# -*- coding: utf-8 -*-
#
#
# Copyright © 2018 Dell Inc. or its subsidiaries. All rights reserved.
# Dell, EMC, and other trademarks are trademarks of Dell Inc. or its subsidiaries.
# Other trademarks may be trademarks of their respective owners.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#    http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# Authors: Vaideeswaran Ganesan
#
eemiregistry = {
        "AMP0300": {
            "Description": "None.",
            "Message": "The system board %1 current is less than the lower warning threshold.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Review system power policy, check system logs for power related failures, and review system configuration changes.",
            "Severity": "Warning"
        },
        "AMP0301": {
            "Description": "None.",
            "Message": "The system board %1 current is less than the lower critical threshold.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Review system power policy, check system logs for power related failures, and review system configuration changes.",
            "Severity": "Critical"
        },
        "AMP0302": {
            "Description": "Product documentation contains information on correct configuration. The failure could also be caused by a faulty component or related cabling. System performance may be degraded.",
            "Message": "The system board %1 current is greater than the upper warning threshold.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Review system power policy, check system logs for power related failures, and review system configuration changes.",
            "Severity": "Warning"
        },
        "AMP0303": {
            "Description": "Product documentation contains information on correct configuration. The failure could also be caused by a faulty component or related cabling. System performance may be degraded.",
            "Message": "The system board %1 current is greater than the upper critical threshold.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Review system power policy, check system logs for power related failures, and review system configuration changes.",
            "Severity": "Critical"
        },
        "AMP0304": {
            "Description": "Product documentation contains information on correct configuration. The failure could also be caused by a faulty component or related cabling. System performance may be degraded.",
            "Message": "The system board %1 current is outside of range.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Review system power policy, check system logs for power related failures, and review system configuration changes.",
            "Severity": "Critical"
        },
        "AMP0305": {
            "Description": "None.",
            "Message": "The system board %1 current is within range.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "AMP0306": {
            "Description": "None.",
            "Message": "Disk drive bay %1 current is less than the lower warning threshold.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Review system power policy, check system logs for power related failures, and review system configuration changes.",
            "Severity": "Warning"
        },
        "AMP0307": {
            "Description": "None.",
            "Message": "Disk drive bay %1 current is less than the lower critical threshold.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Review system power policy, check system logs for power related failures, and review system configuration changes.",
            "Severity": "Critical"
        },
        "AMP0308": {
            "Description": "Product documentation contains information on correct configuration. The failure could also be caused by a faulty component or related cabling. System performance may be degraded.",
            "Message": "Disk drive bay %1 current is greater than the upper warning threshold.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Review system power policy, check system logs for power related failures, and review system configuration changes.",
            "Severity": "Warning"
        },
        "AMP0309": {
            "Description": "Product documentation contains information on correct configuration. The failure could also be caused by a faulty component or related cabling. System performance may be degraded.",
            "Message": "Disk drive bay %1 current is greater than the upper critical threshold.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Review system power policy, check system logs for power related failures, and review system configuration changes.",
            "Severity": "Critical"
        },
        "AMP0310": {
            "Description": "Product documentation contains information on correct configuration. The failure could also be caused by a faulty component or related cabling. System performance may be degraded.",
            "Message": "Disk drive bay %1 current is outside of range.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Review system power policy, check system logs for power related failures, and review system configuration changes.",
            "Severity": "Critical"
        },
        "AMP0311": {
            "Description": "None.",
            "Message": "Disk drive bay %1 current is within range.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "AMP0312": {
            "Description": "None.",
            "Message": "System level current is less than the lower warning threshold.",
            "NumberOfArgs": 0,
            "Resolution": "Review system power policy, check system logs for power related failures, and review system configuration changes.",
            "Severity": "Warning"
        },
        "AMP0313": {
            "Description": "None.",
            "Message": "System level current is less than the lower critical threshold.",
            "NumberOfArgs": 0,
            "Resolution": "Review system power policy, check system logs for power related failures, and review system configuration changes.",
            "Severity": "Critical"
        },
        "AMP0314": {
            "Description": "Product documentation contains information on correct configuration. The failure could also be caused by a faulty component or related cabling. System performance may be degraded.",
            "Message": "System level current is greater than the upper warning threshold.",
            "NumberOfArgs": 0,
            "Resolution": "Review system power policy, check system logs for power related failures, and review system configuration changes.",
            "Severity": "Warning"
        },
        "AMP0315": {
            "Description": "Product documentation contains information on correct configuration. The failure could also be caused by a faulty component or related cabling. System performance may be degraded.",
            "Message": "System level current is greater than the upper critical threshold.",
            "NumberOfArgs": 0,
            "Resolution": "Review system power policy, check system logs for power related failures, and review system configuration changes.",
            "Severity": "Critical"
        },
        "AMP0316": {
            "Description": "Product documentation contains information on correct configuration. The failure could also be caused by a faulty component or related cabling. System performance may be degraded.",
            "Message": "System level current is outside of range.",
            "NumberOfArgs": 0,
            "Resolution": "Review system power policy, check system logs for power related failures, and review system configuration changes.",
            "Severity": "Critical"
        },
        "AMP0317": {
            "Description": "None.",
            "Message": "System level current is within range.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "AMP0318": {
            "Description": "None.",
            "Message": "Chassis power level current is less than the lower warning threshold.",
            "NumberOfArgs": 0,
            "Resolution": "Review system power policy, check system logs for power related failures, and review system configuration changes.",
            "Severity": "Warning"
        },
        "AMP0319": {
            "Description": "None.",
            "Message": "Chassis power level current is less than the lower critical threshold.",
            "NumberOfArgs": 0,
            "Resolution": "Review system power policy, check system logs for power related failures, and review system configuration changes.",
            "Severity": "Critical"
        },
        "AMP0320": {
            "Description": "Product documentation contains information on correct configuration. The failure could also be caused by a faulty component or related cabling. System performance may be degraded.",
            "Message": "Chassis power level current is greater than the upper warning threshold.",
            "NumberOfArgs": 0,
            "Resolution": "Review system power policy, check system logs for power related failures, and review system configuration changes.",
            "Severity": "Warning"
        },
        "AMP0321": {
            "Description": "Product documentation contains information on correct configuration. The failure could also be caused by a faulty component or related cabling. System performance may be degraded.",
            "Message": "Chassis power level current is greater than the upper critical threshold.",
            "NumberOfArgs": 0,
            "Resolution": "Review system power policy, check system logs for power related failures, and review system configuration changes.",
            "Severity": "Critical"
        },
        "AMP0322": {
            "Description": "Product documentation contains information on correct configuration. The failure could also be caused by a faulty component or related cabling. System performance may be degraded.",
            "Message": "Chassis power level current is outside of range.",
            "NumberOfArgs": 0,
            "Resolution": "Review system power policy, check system logs for power related failures, and review system configuration changes.",
            "Severity": "Critical"
        },
        "AMP0323": {
            "Description": "None.",
            "Message": "Chassis power level current is within range.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "ASR0000": {
            "Description": "The operating system or potentially an application failed to communicate to the baseboard management controller (BMC) within the timeout period.",
            "Message": "The watchdog timer expired.",
            "NumberOfArgs": 0,
            "Resolution": "Check the operating system, application, hardware, and system event log for exception events.",
            "Severity": "Critical"
        },
        "ASR0001": {
            "Description": "The operating system or an application failed to communicate to the baseboard management controller (BMC) within the timeout period. The system was reset per the configured setting.",
            "Message": "The watchdog timer reset the system.",
            "NumberOfArgs": 0,
            "Resolution": "Check the operating system, application, hardware, and system event log for exception events.",
            "Severity": "Critical"
        },
        "ASR0002": {
            "Description": "The operating system or an application failed to communicate to the baseboard management controller (BMC). The system powered off per the configured setting.",
            "Message": "The watchdog timer powered off the system.",
            "NumberOfArgs": 0,
            "Resolution": "Check the operating system, application, hardware, and system event log for exception events.",
            "Severity": "Critical"
        },
        "ASR0003": {
            "Description": "The operating system or an application failed to communicate to the baseboard management controller (BMC). The system powered cycled per the configured setting.",
            "Message": "The watchdog timer power cycled the system.",
            "NumberOfArgs": 0,
            "Resolution": "Check the operating system, application, hardware, and system event log for exception events.",
            "Severity": "Critical"
        },
        "ASR0008": {
            "Description": "The operating system or an application failed to communicate to the baseboard management controller (BMC) within the timeout period. The BMC invoked a system interrupt. (IPMI sensor type code 23h - offset 00h).",
            "Message": "The watchdog timer interrupt was initiated.",
            "NumberOfArgs": 0,
            "Resolution": "Check the operating system, application, hardware, and system event log for exception events.",
            "Severity": "Critical"
        },
        "ASR0009": {
            "Description": "The system is communicating to the baseboard management controller (BMC).",
            "Message": "The system returned from a watchdog timer event.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "ASR0100": {
            "Description": "The operating system or an application failed to communicate to the system board within the timeout period. The system was reset per the configured setting. (IPMI sensor type code 23h offset 01h event 3:0 - 2h).",
            "Message": "The BIOS watchdog timer reset the system.",
            "NumberOfArgs": 0,
            "Resolution": "Check the operating system, application, hardware, and system event log for exception events.",
            "Severity": "Critical"
        },
        "ASR0101": {
            "Description": "The operating system or an application failed to communicate within the timeout period. System was reset. (IPMI sensor type code 23h offset 01 - event 3:0 - 3h if booting 4h if running).",
            "Message": "The OS watchdog timer reset the system.",
            "NumberOfArgs": 0,
            "Resolution": "Check the operating system, application, hardware, and system event log for exception events.",
            "Severity": "Critical"
        },
        "ASR0102": {
            "Description": "The operating system or an application failed to communicate within the timeout period. The system was shutdown. (IPMI sensor type code 23h offset - 02h event 3:0 - 4h).",
            "Message": "The OS watchdog timer shutdown the system.",
            "NumberOfArgs": 0,
            "Resolution": "Check the operating system, application, hardware, and system event log for exception events.",
            "Severity": "Critical"
        },
        "ASR0103": {
            "Description": "The operating system or an application failed to communicate within the timeout period. The system was powered down. (IPMI sensor type code 23h offset - 02h event 3:0 - 4h).",
            "Message": "The OS watchdog timer powered down the system.",
            "NumberOfArgs": 0,
            "Resolution": "Check the operating system, application, hardware, and system event log for exception events.",
            "Severity": "Critical"
        },
        "ASR0104": {
            "Description": "The operating system or an application failed to communicate within the timeout period. The system was powered cycled. (IPMI sensor 23h offset - 03h event 3:0 - 4h).",
            "Message": "The OS watchdog timer powered cycle the system.",
            "NumberOfArgs": 0,
            "Resolution": "Check the operating system, application, hardware, and system event log for exception events.",
            "Severity": "Critical"
        },
        "ASR0105": {
            "Description": "The operating system or an application failed to failed to communicate within the timeout period. The system was powered off. (IPMI sensor type code 23h offset - 02h event 3:0 - 4h).",
            "Message": "The OS watchdog timer powered off the system.",
            "NumberOfArgs": 0,
            "Resolution": "Check the operating system, application, hardware, and system event log for exception events.",
            "Severity": "Critical"
        },
        "ASR0106": {
            "Description": "The operating system or an application failed to communicate within the timeout period. No action was taken. (IPMI sensor type code 23h - offset 00h event 3:0 - 4h).",
            "Message": "The OS watchdog timer expired.",
            "NumberOfArgs": 0,
            "Resolution": "Check the operating system, application, hardware, and system event log for exception events.",
            "Severity": "Critical"
        },
        "ASR0107": {
            "Description": "The operating system or an application failed to respond to a pre-notification with-in the timeout period. (IPMI sensor type code 11h - offset 07h).",
            "Message": "The OS watchdog timer pre-timeout interrupt was initiated.",
            "NumberOfArgs": 0,
            "Resolution": "Check the operating system, application, hardware, and system event log for exception events.",
            "Severity": "Critical"
        },
        "ASR0108": {
            "Description": "None.",
            "Message": "The system returned from an OS watchdog timer event.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "ASR8500": {
            "Description": "Watchdog timer is disabled. The watchdog timer is an internal mechanism used to monitor the health of the Chassis Management Controller. The watchdog timer could be disabled as part of a troubleshooting operation and can be enabled by restarting the Chassis Management Controller.",
            "Message": "Watchdog timer is disabled.",
            "NumberOfArgs": 0,
            "Resolution": "No response action required.",
            "Severity": "Informational"
        },
        "BAR001": {
            "Description": "A system profile export operation has been requested.",
            "Message": "Export System Profile requested.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "BAR002": {
            "Description": "The system profile Backup partition detection operation is in progress.",
            "Message": "Validating vFlash Backup partition.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "BAR003": {
            "Description": "The Backup partition is being created for storing the backup file.",
            "Message": "Preparing vFlash Backup partition.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "BAR004": {
            "Description": "Hardware Inventory data is being collected and copied into the backup file.",
            "Message": "Collecting Hardware Inventory information.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "BAR005": {
            "Description": "The Lifecycle Controller data is being collected and copied into the backup file.",
            "Message": "Collecting Lifecycle Controller data.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "BAR006": {
            "Description": "The system profile backup file is being finalized and closed.",
            "Message": "Finalizing Backup file.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "BAR007": {
            "Description": "System profile export operation is successfully completed.",
            "Message": "Export System Profile completed.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "BAR008": {
            "Description": "The passphrase provided is invalid.",
            "Message": "Invalid Backup file passphrase provided.",
            "NumberOfArgs": 0,
            "Resolution": "Verify the request parameters and retry. Check passphrase for rule validity. NOTE: A valid passphrase contains 8 to 32 characters. It must include a combination of uppercase and lowercase letters, numbers, and symbols without spaces.",
            "Severity": "Critical"
        },
        "BAR009": {
            "Description": "The vFlash media is not present on the system.",
            "Message": "Valid vFlash media not present.",
            "NumberOfArgs": 0,
            "Resolution": "Insert the appropriate vFlash media in the designated vFlash portal, enable and initialize it, and retry.",
            "Severity": "Critical"
        },
        "BAR010": {
            "Description": "The Backup partition creation operation did no complete successfully.",
            "Message": "Unable to create Backup partition on vFlash media.",
            "NumberOfArgs": 0,
            "Resolution": "Make sure that the vFlash media is not write-protected. Enable and initialize the vFlash media, retry backup. If that fails Try new vFlash media or use the Network Share option(s).",
            "Severity": "Critical"
        },
        "BAR011": {
            "Description": "Hardware Inventory data collection and export did not complete successfully.",
            "Message": "Unable to collect Hardware Inventory information.",
            "NumberOfArgs": 0,
            "Resolution": "Enter system services to enter Unified Server Configurator (USC), and select exit and reboot option in USC to instantiate the database, if Collect System Inventory on Restart (CSIOR) is not enabled. If the hardware inventory database is present, restart the Integrated Remote Access Controller (iDRAC)and retry.",
            "Severity": "Critical"
        },
        "BAR012": {
            "Description": "Lifecycle Controller data collection and export has failed.",
            "Message": "Unable to collect Lifecycle Controller data.",
            "NumberOfArgs": 0,
            "Resolution": "Do the following: 1) Download and apply the Dell Update Package (DUP) for USC. 2) Run System Services to update the database if CSIOR is not enabled. 3) Reboot the system and retry. If the issue persists after performing these operations, download the Field Service Repair software and repair the Lifecycle Controller. Download and install all the DUPs for USC, diagnostics, driver packs, and device firmware of all the devices of the host system.",
            "Severity": "Informational"
        },
        "BAR013": {
            "Description": "The request to shut the Host system down did not complete successfully.",
            "Message": "Host System Shutdown unsuccessful.",
            "NumberOfArgs": 0,
            "Resolution": "Restart the Integrated Remote Access Controller (iDRAC) and retry the operation.",
            "Severity": "Critical"
        },
        "BAR014": {
            "Description": "Unable to access the server profile Backup file and the operation cannot continue. This can be due to a media error or loss of connectivity.",
            "Message": "Backup file or partition access error.",
            "NumberOfArgs": 0,
            "Resolution": "If using vFlash media replace media and try again. If a network share, make sure there is connectivity to and existence of the destination.",
            "Severity": "Critical"
        },
        "BAR015": {
            "Description": "The Backup file information was not properly processed and the operation cannot continue. This can be due to resource constraints within the processing environment. If the network share is read only, this error will be thrown also.",
            "Message": "Backup file data processing error.",
            "NumberOfArgs": 0,
            "Resolution": "If this is backup to network share, check to make sure network share is read/write accessible. Restart the Integrated Remote Access Controller (iDRAC) and retry the operation.",
            "Severity": "Critical"
        },
        "BAR016": {
            "Description": "A system profile import operation has been requested.",
            "Message": "Import System Profile requested.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "BAR017": {
            "Description": "A system profile backup file validation has been requested.",
            "Message": "Backup file validation requested.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "BAR018": {
            "Description": "A system profile backup file validation request has completed.",
            "Message": "Backup file validation completed.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "BAR019": {
            "Description": "A system profile backup file validation is in progress.",
            "Message": "Validating Restore operation, allow several minutes for this to complete.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "BAR020": {
            "Description": "The Lifecycle Controller data is being imported from the backup file.",
            "Message": "Restoring Lifecycle Controller data.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "BAR021": {
            "Description": "The system profile export could not complete successfully as there is insufficient space on the network share or connectivity was lost.",
            "Message": "Insufficient space on network share.",
            "NumberOfArgs": 0,
            "Resolution": "Delete files to free up 384 MB of space on the current network share, or specify another destination that has enough space.",
            "Severity": "Critical"
        },
        "BAR022": {
            "Description": "The host system is powering up to perform component firmware and configuration restoration.",
            "Message": "System powering up to perform component updates.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "BAR023": {
            "Description": "The process is entering the component update phase of the restore operation.",
            "Message": "Starting component updates.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "BAR024": {
            "Description": "The restoration environment is being initialized.",
            "Message": "Initializing Restore operation.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "BAR025": {
            "Description": "For each component with firmware, an update is in progress.",
            "Message": "Restoring Component Firmware.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "BAR026": {
            "Description": "The configuration is being set for each component.",
            "Message": "Restoring Component Configuration.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "BAR027": {
            "Description": "The component restoration on the host system is complete. The Host System will shutdown.",
            "Message": "Host System Component Restore complete, shutting down Host System.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "BAR028": {
            "Description": "The component restoration on the host system has completed, but there were errors. The Host System will shutdown.",
            "Message": "Host System Component Restore completed with errors, shutting down Host System.",
            "NumberOfArgs": 0,
            "Resolution": "View configuration data and request attributes update for the components or retry system profile import.",
            "Severity": "Warning"
        },
        "BAR029": {
            "Description": "The Integrated Remote Access Controller firmware and configuration import is in progress.",
            "Message": "Restoring Integrated Remote Access Controller firmware.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "BAR030": {
            "Description": "The import system profile is complete. iDRAC restarts to complete restore.",
            "Message": "Import System Profile Complete, restarting Integrated Remote Access Controller.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "BAR031": {
            "Description": "RESERVED.",
            "Message": "RESERVED.",
            "NumberOfArgs": 0,
            "Resolution": "RESERVED.",
            "Severity": "Informational"
        },
        "BAR032": {
            "Description": "The system profile backup file validation did not complete successfully.",
            "Message": "Invalid system profile Backup file.",
            "NumberOfArgs": 0,
            "Resolution": "Do one of the following: 1) An incorrect passphrase may have been entered, correct the input and retry the operation. 2) Download a valid backup image of the host system and retry. 3) Reboot the Integrated Remote Access Controller (iDRAC) and retry. 4) Download a new firmware image for the iDRAC and retry.",
            "Severity": "Critical"
        },
        "BAR033": {
            "Description": "A Lifecycle Controller internal data import operation did not complete successfully.",
            "Message": "Unable to Restore Lifecycle Controller data.",
            "NumberOfArgs": 0,
            "Resolution": "Do the following: 1) Download and apply the Dell Update Package for the Unified Server Configurator (USC). 2) Run System Services to update the database if CSIOR is not enabled. 3) Reboot the system and retry the operation. If these response actions do not resolve the issue, download the Field Service Repair software and repair the Lifecycle Controller. Download and install all the DUPs for USC, diagnostics, driver packs, and device firmware of all the devices of the host system.",
            "Severity": "Critical"
        },
        "BAR034": {
            "Description": "The Integrated Remote Access Controller(iDRAC) firmware import did not complete successfully.",
            "Message": "Unable to Restore Integrated Remote Access Controller firmware.",
            "NumberOfArgs": 0,
            "Resolution": "Download the firmware for the Integrated Remote Access Controller(iDRAC) and apply it.",
            "Severity": "Critical"
        },
        "BAR035": {
            "Description": "The Integrated Remote Access Controller (iDRAC) Configuration import did not complete successfully.",
            "Message": "Unable to Restore Integrated Remote Access Controller configuration.",
            "NumberOfArgs": 0,
            "Resolution": "Manually reset the Integrated Remote Access Controller (iDRAC) configuration.",
            "Severity": "Critical"
        },
        "BAR036": {
            "Description": "A system profile import did not complete successfully and has left the system in an unusable state. Attempting to setup the environment for normal operation.",
            "Message": "System Reset or Lifecycle Controller Actions Canceled, System Profile Failure Recovery initiated.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "BAR037": {
            "Description": "Adjustments to Lifecycle and Integrated Remote Access Controller environments are complete.",
            "Message": "System Reset or Lifecycle Controller Actions Canceled, System Profile Failure Recovery completed.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "BAR038": {
            "Description": "Cancel the operation in progress.",
            "Message": "Cancel.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "BAR039": {
            "Description": "The license required for operation is not present.",
            "Message": "License not present.",
            "NumberOfArgs": 0,
            "Resolution": "Use supported vFlash media and licensing for this feature, and try the operation again.",
            "Severity": "Critical"
        },
        "BAR040": {
            "Description": "Access to the vFlash media is not possible, or has been denied.",
            "Message": "Unable to access vFlash.",
            "NumberOfArgs": 0,
            "Resolution": "Make sure the vFlash SD media is enabled, not write protected, and initialized. Retry the operation.",
            "Severity": "Critical"
        },
        "BAR041": {
            "Description": "Shutting down host system.",
            "Message": "System Shutdown.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "BAR042": {
            "Description": "Lifecycle Controller/System services are not available. There is another operation using the resources at this time.",
            "Message": "Lifecycle Controller Disabled.",
            "NumberOfArgs": 0,
            "Resolution": "Wait for the other operation to release the resources, as indicated by the System Services option presence and retry the operation.",
            "Severity": "Informational"
        },
        "BAR043": {
            "Description": "A timeout occurred waiting for the Unified Server Configurator (USC) to exit.",
            "Message": "Timeout waiting for Unified Server Configurator to exit.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "BAR044": {
            "Description": "Waiting for the host system to successfully get turned off.",
            "Message": "Waiting for the host system to successfully get turned off.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "BAR045": {
            "Description": "The host system is powering down to facilitate the import of the Integrated Remote Access Controller system profile.",
            "Message": "Powering down the Host System for Integrated Remote Access Controller Restore.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "BAR046": {
            "Description": "The Integrated Remote Access Controller (iDRAC) is preparing to switch over to the recently loaded firmware. During this switch over, the connection to iDRAC is lost. The server will startup after iDRAC restarts.",
            "Message": "Host System will power up approximately 10 minutes after Integrated Remote Access Controller Restore (iDRAC).",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "BAR047": {
            "Description": "The System Profile operation was canceled as part of a clean up operation performed during a restart of the Integrated Remote Access Controller.",
            "Message": "System Profile operation canceled by user.",
            "NumberOfArgs": 0,
            "Resolution": "Resubmit the System Profile operation.",
            "Severity": "Informational"
        },
        "BAR048": {
            "Description": "The server motherboard does not have a Service Tag assigned, the operation cannot continue.",
            "Message": "System Service Tag not present.",
            "NumberOfArgs": 0,
            "Resolution": "Perform a System Profile import from a previous backup file. If no backup file is available, contact your service provider.",
            "Severity": "Critical"
        },
        "BAR049": {
            "Description": "The automatic Host System power up request has erred and the system will not power up after the Integrated Remote Access Controller has restarted.",
            "Message": "Automatic Host System power up setup failed.",
            "NumberOfArgs": 0,
            "Resolution": "As indicated by the job status, wait for restore to complete. After the status displays Complete or Failed, wait for a few minutes for the Integrated Remote Access Controller (iDRAC) to restart. After restart, power on the Host System using iDRAC.",
            "Severity": "Warning"
        },
        "BAR050": {
            "Description": "The firmware update for the specified device in progress.",
            "Message": "Performing Firmware Restore for Device : %1",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "BAR051": {
            "Description": "The configuration import for the specified device is in progress.",
            "Message": "Performing Component Configuration Restore for Device : %1",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "BAR052": {
            "Description": "The required device firmware was not found, and the update cannot continue. The device firmware is either not present on the firmware storage partition or does not match the version stored in the configuration information database. No response action is required, however obtaining and installing the update package for the device indicated will update the firmware storage partition. A backup of the server profile is recommended after updating.",
            "Message": "Firmware update cannot be performed for Device: %1",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "BAR053": {
            "Description": "Restoring device firmware on the device identified in the message.",
            "Message": "Restoring Firmware on Device: %1",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "BAR054": {
            "Description": "The attempt to clean up after an unsuccessful Backup/Restore of a system profile operation has not been successful. The Lifecycle Controller/System Services related operations may not execute as expected until the system is properly restored to a functional configuration.",
            "Message": "System Reset or Lifecycle Controller Actions Canceled, System Profile Failure Recovery unsuccessful.",
            "NumberOfArgs": 0,
            "Resolution": "Enter the iDRAC configuration utility. Select the System Services option in the main selection screen. Choose the Cancel Lifecycle Controller Actions / Cancel System Services operation and follow the directions to ensure this operation is performed. If Cancel Lifecycle Controller Actions / Cancel System Services is not available, remove power from the system, wait 1 minute and reapply power. If the issue persists, contact your technical service provider.",
            "Severity": "Critical"
        },
        "BAR055": {
            "Description": "Attempted configuration import was not successful for the specified device.",
            "Message": "Previously stored configuration values not applied to Device: %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "The system event log captures the values that were not set, and must be reset manually.",
            "Severity": "Informational"
        },
        "BAR056": {
            "Description": "The configuration import was successful for the specified device.",
            "Message": "Component Configuration Restored on Device : %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "BAR057": {
            "Description": "The configuration import was completed, but some of the imported values were not set correctly.",
            "Message": "Some of the configuration values not applied to Device: %1",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "The system event log captures the values that were not set, and they must be reset manually.",
            "Severity": "Informational"
        },
        "BAR058": {
            "Description": "The system profile import or export network destination is being tested for access.",
            "Message": "Validating NFS destination access.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "BAR059": {
            "Description": "The system profile import or export network destination is being tested for access.",
            "Message": "Validating CIFS destination access.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "BAR060": {
            "Description": "Collecting firmware inventory and copying it into the system profile backup file.",
            "Message": "Collecting firmware inventory information.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "BAR061": {
            "Description": "Collecting system information and copying it into the backup file. The operation collects system information that includes System Model and Service Tag.",
            "Message": "Collecting System Information.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "BAR062": {
            "Description": "Collecting the Lifecycle Controller configuration database and copying it into the server profile backup file.",
            "Message": "Collecting Lifecycle Controller Configuration database.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "BAR063": {
            "Description": "Collecting the Lifecycle Controller firmware images and copying them in the server profile backup file.",
            "Message": "Collecting Lifecycle Controller Firmware images.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "BAR064": {
            "Description": "Collecting the Integrated Remote Access Controller firmware and copying it in the server profile backup file.",
            "Message": "Collecting Integrated Remote Access Controller firmware.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "BAR065": {
            "Description": "Collecting the Integrated Remote Access Controller configuration and copying it into the server profile backup file.",
            "Message": "Collecting Integrated Remote Access Controller configuration.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "BAR066": {
            "Description": "The system profile export destination is not enabled.",
            "Message": "vFlash media not enabled.",
            "NumberOfArgs": 0,
            "Resolution": "Enable the vFlash media and retry the operation.",
            "Severity": "Critical"
        },
        "BAR067": {
            "Description": "The system profile export destination is not initialized.",
            "Message": "vFlash media not initialized.",
            "NumberOfArgs": 0,
            "Resolution": "Initialize the vFlash media and retry the operation.",
            "Severity": "Critical"
        },
        "BAR068": {
            "Description": "The system profile export destination is not supported.",
            "Message": "vFlash media not supported.",
            "NumberOfArgs": 0,
            "Resolution": "Insert, enable and initialize supported vFlash media and retry the operation.",
            "Severity": "Critical"
        },
        "BAR069": {
            "Description": "The system profile export did not complete successfully because there is insufficient space on the vFlash media.",
            "Message": "Insufficient space on vFlash media.",
            "NumberOfArgs": 0,
            "Resolution": "Delete partitions and free up 384 MB of space on the current vFlash media, or use new vFlash media.",
            "Severity": "Critical"
        },
        "BAR070": {
            "Description": "Access to the NFS export/import destination is not possible or has been denied.",
            "Message": "NFS Destination access denied.",
            "NumberOfArgs": 0,
            "Resolution": "Verify that the input parameters are correct, connectivity exists to the destination end point, and retry the operation.",
            "Severity": "Critical"
        },
        "BAR071": {
            "Description": "Access to the CIFS export/import destination is not possible or has been denied.",
            "Message": "CIFS Destination access denied.",
            "NumberOfArgs": 0,
            "Resolution": "Verify that the input parameters are correct, connectivity exists to the destination end point, and retry the operation.",
            "Severity": "Critical"
        },
        "BAR072": {
            "Description": "The vFlash backup partition format operation was not successful.",
            "Message": "Format of vFlash Backup partition unsuccessful.",
            "NumberOfArgs": 0,
            "Resolution": "Enable and initialize the vFlash media and retry the export. If the issue persists, try a new vFlash media or use the network share option(s).",
            "Severity": "Critical"
        },
        "BAR073": {
            "Description": "The operation to delete the vFlash backup partition did not complete successfully.",
            "Message": "Delete of vFlash Backup partition unsuccessful.",
            "NumberOfArgs": 0,
            "Resolution": "Enable and initialize the vFlash media and retry the export. If the error continues, try a new vFlash media or use the network share option(s).",
            "Severity": "Critical"
        },
        "BAR074": {
            "Description": "The collection and export of firmware inventory data did not complete successfully.",
            "Message": "Unable to collect Firmware Inventory information.",
            "NumberOfArgs": 0,
            "Resolution": "Apply the Dell Update Package for Unified Server Configurator (USC). If collect system inventory on reboot (CSIOR) is not enabled, enter and exit System Services in USC to update the database, reboot the system and try the operation again. If the error continues, use the field service repair software to repair the Lifecycle Controller. Download all Dell Update Packages for USC, Diagnostics Driver Packs, and device firmware for all host system devices, install all packages and retry the operation.",
            "Severity": "Critical"
        },
        "BAR075": {
            "Description": "The collection and export of system information failed.",
            "Message": "Unable to collect System information.",
            "NumberOfArgs": 0,
            "Resolution": "Restart the remote access controller, and retry the operation. If the error continues, use the remote access controller firmware to try the operation again.",
            "Severity": "Critical"
        },
        "BAR076": {
            "Description": "The collection and export of Lifecycle Controller Configuration Database failed.",
            "Message": "Unable to collect the Configuration database.",
            "NumberOfArgs": 0,
            "Resolution": "Enter System Services in USC, and select Exit and Reboot to reset and update the database. If the error continues repair the Lifecycle Controller, apply the Dell Update Packages for USC, diagnostics, device firmware and driver pack and retry the operation.",
            "Severity": "Critical"
        },
        "BAR077": {
            "Description": "The collection and export of host system firmware images was not successful.",
            "Message": "Unable to collect the Firmware images.",
            "NumberOfArgs": 0,
            "Resolution": "Apply Dell Update Packages for all devices and software, and try the operation again. If the error continues, repair the Lifecycle Controller and apply the packages again, and retry the operation.",
            "Severity": "Critical"
        },
        "BAR078": {
            "Description": "The collection and export of Integrated Remote Access Controller (iDRAC)firmware was not successful.",
            "Message": "Unable to collect the Integrated Remote Access Controller firmware.",
            "NumberOfArgs": 0,
            "Resolution": "Apply the integrated remote access controller firmware, manually set the configuration attributes, and try the operation again.",
            "Severity": "Critical"
        },
        "BAR079": {
            "Description": "The collection and export of Integrated Remote Access Controller configuration was not successful.",
            "Message": "Unable to collect the Integrated Remote Access Controller configuration.",
            "NumberOfArgs": 0,
            "Resolution": "Apply the integrated remote access controller firmware, manually set the configuration attributes, and try the operation again.",
            "Severity": "Critical"
        },
        "BAR080": {
            "Description": "Importing the Lifecycle Controller configuration database from the system profile backup file.",
            "Message": "Restoring Lifecycle Controller Configuration database.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "BAR081": {
            "Description": "Importing the Lifecycle Controller firmware image data is from the system profile backup file.",
            "Message": "Restoring Lifecycle Controller Firmware images.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "BAR082": {
            "Description": "Remote access controller firmware and configuration import in progress.",
            "Message": "Restoring Remote Access Controller configuration.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "BAR083": {
            "Description": "System profile backup file validation failed because the host system model information does not match the value stored in the file.",
            "Message": "Host System Model does not match the Backup file System Model information.",
            "NumberOfArgs": 0,
            "Resolution": "Obtain a valid host system backup image and try the operation again. Reboot the remote access controller and try the operation again. If the error continues, download a new remote access controller firmware image and try the operation again.",
            "Severity": "Critical"
        },
        "BAR084": {
            "Description": "System profile backup file validation failed because the host system service tag information does not match the value stored in the file.",
            "Message": "Host System Service Tag does not match the Backup file Service Tag.",
            "NumberOfArgs": 0,
            "Resolution": "Obtain a valid host system backup image and try the operation again. Reboot the remote access controller and try the operation again. If the error continues, download a new remote access controller firmware image and try the operation again.",
            "Severity": "Critical"
        },
        "BAR085": {
            "Description": "The validation of the system profile backup file has failed. The retrieval of system information to validate the backup file has failed.",
            "Message": "Unable to collect System Information for Import Backup file validation.",
            "NumberOfArgs": 0,
            "Resolution": "Restart the remote access controller, and retry the operation. If the error continues, use the remote access controller firmware to try the operation again.",
            "Severity": "Critical"
        },
        "BAR086": {
            "Description": "The system profile import of Lifecycle Controller configuration data has failed.",
            "Message": "Unable to Restore The Lifecycle Controller Configuration database.",
            "NumberOfArgs": 0,
            "Resolution": "If collect system inventory on reboot (CSIOR) is not enabled, enter and exit System Services in USC to update the database, reboot the system and try the operation again. If the error continues, use the field service repair software to repair the Lifecycle Controller. Download all Dell Update Packages for USC, Diagnostics Driver Packs, and device firmware for all host system devices, install all packages and retry the operation.",
            "Severity": "Critical"
        },
        "BAR087": {
            "Description": "The system profile import of Lifecycle Controller firmware images has failed.",
            "Message": "Unable to Restore the Lifecycle Controller Firmware images.",
            "NumberOfArgs": 0,
            "Resolution": "Apply the Dell Update Package for this system. If the error continues, use the field service repair software to repair the Lifecycle Controller. Download all Dell Update Packages for USC, Diagnostics Driver Packs, and device firmware for all host system devices, install all packages and retry the operation.",
            "Severity": "Critical"
        },
        "BAR088": {
            "Description": "The maximum number of partitions are already in use.",
            "Message": "No partitions available on vFlash media.",
            "NumberOfArgs": 0,
            "Resolution": "Delete partitions and free up 384MB of space on the current vFlash media or obtain new vFlash media.",
            "Severity": "Critical"
        },
        "BAR089": {
            "Description": "A problem has been detected with the installation of the Unified Server Configurator (USC). This needs to be corrected before a valid Backup file can be created.",
            "Message": "Lifecycle Controller needs to be updated.",
            "NumberOfArgs": 0,
            "Resolution": "Obtain the Dell update package for the Unified Server Configurator and apply it. Then perform a Backup operation to save this data, for later restore.",
            "Severity": "Critical"
        },
        "BAR090": {
            "Description": "A request to create a System Profile Backup file has been made by the user of the Unified Server Configurator interface.",
            "Message": "System Profile Backup requested.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "BAR091": {
            "Description": "A System Profile Backup request made by the user of the Unified Server Configurator interface has completed.",
            "Message": "System Profile Backup completed.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "BAR092": {
            "Description": "The attempt to disconnect from the specified NFS location was not successful.",
            "Message": "Disconnect from NFS unsuccessful.",
            "NumberOfArgs": 0,
            "Resolution": "If this happens on a backup request, restart the Integrated Remote Access Controller and try the operation again. If this is a restore request the Integrated Remote Access will be restarted during the execution of the request. Only restart the Integrated Remote Access Controller if it does not restart on its own.",
            "Severity": "Critical"
        },
        "BAR093": {
            "Description": "The attempt to disconnect from the specified CIFS location was not successful.",
            "Message": "Disconnect from CIFS unsuccessful.",
            "NumberOfArgs": 0,
            "Resolution": "If this happens on a backup request, restart the Integrated Remote Access Controller and try the operation again. If this is a restore request the Integrated Remote Access will be restarted during the execution of the request. Only restart the Integrated Remote Access Controller if it does not restart on its own.",
            "Severity": "Critical"
        },
        "BAR094": {
            "Description": "The request to create a System Profile Backup file did not complete successfully because there is already a request in progress.",
            "Message": "Another Backup operation already in progress.",
            "NumberOfArgs": 0,
            "Resolution": "If possible monitor the in progress job for completion and then retry the request. If that is not possible try clearing all jobs and try the request again. If the issue persists, restart the Integrated Remote Access Controller (iDRAC) and try the request again.",
            "Severity": "Critical"
        },
        "BAR095": {
            "Description": "The request to restore a System Profile from a Backup file did not complete successfully because there is already a request in progress.",
            "Message": "Another Restore operation already in progress.",
            "NumberOfArgs": 0,
            "Resolution": "If possible monitor the in progress job for completion and then retry the request. If that is not possible try clearing all jobs and try the request again. If the issue persists, restart the Integrated Remote Access controller and try the request again.",
            "Severity": "Critical"
        },
        "BAR096": {
            "Description": "The current BIOS firmware installed on the system does not have Backup and Restore feature support.",
            "Message": "BIOS incompatibility detected.",
            "NumberOfArgs": 0,
            "Resolution": "Obtain the System BIOS firmware with Backup and Restore support, update the system and try the operation again.",
            "Severity": "Critical"
        },
        "BAR097": {
            "Description": "The current Lifecycle Controller Unified Server Configurator software installed on the system does not have Backup and Restore feature support.",
            "Message": "Lifecycle Controller Unified Server Configurator incompatibility detected.",
            "NumberOfArgs": 0,
            "Resolution": "Obtain the Lifecycle Controller Unified Server Configurator update package with Backup and Restore support, update the software and try the operation again.",
            "Severity": "Critical"
        },
        "BAR098": {
            "Description": "The Service Tag installed on the system is invalid. The Backup and Restore feature will not operate without a valid Service Tag.",
            "Message": "Invalid System Service Tag.",
            "NumberOfArgs": 0,
            "Resolution": "Contact your service provider.",
            "Severity": "Critical"
        },
        "BAR099": {
            "Description": "License data is being collected and copied into the backup Server Profile.",
            "Message": "Collecting License data.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "BAR100": {
            "Description": "An error occurred accessing license data. Cannot collect license data to copy to Server Profile backup file.",
            "Message": "Unable to collect License data.",
            "NumberOfArgs": 0,
            "Resolution": "Refer to License Management documentation for re-installation of license(s) instructions and retry the operation.",
            "Severity": "Critical"
        },
        "BAR101": {
            "Description": "Importing license data from the backup Server Profile.",
            "Message": "Restoring License data.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "BAR102": {
            "Description": "Unable to import license data from the backup Server Profile.",
            "Message": "Unable to restore license data.",
            "NumberOfArgs": 0,
            "Resolution": "Refer to iDRAC User Guide documentation license installation instructions and retry the operation.",
            "Severity": "Critical"
        },
        "BAR103": {
            "Description": "System branding data is being collected and copied to the backup Server Profile.",
            "Message": "Collecting system branding data.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "BAR104": {
            "Description": "Unable to collect system branding data to copy to backup Server Profile.",
            "Message": "Unable to collect system branding data.",
            "NumberOfArgs": 0,
            "Resolution": "Retry the operation. If the issue persists, contact your service provider.",
            "Severity": "Critical"
        },
        "BAR105": {
            "Description": "Importing system branding data from the Server Profile backup file.",
            "Message": "Restoring system branding data.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "BAR106": {
            "Description": "Unable to import system branding data from the backup Server Profile.",
            "Message": "Unable to restore system branding data.",
            "NumberOfArgs": 0,
            "Resolution": "Retry the operation. If the issue persists, contact your service provider.",
            "Severity": "Critical"
        },
        "BAR107": {
            "Description": "The vFlash media reader requires a license to function.",
            "Message": "vFlash media reader license not present.",
            "NumberOfArgs": 0,
            "Resolution": "Obtain the license for vFlash media from your service provider. Install the license and retry the operation.",
            "Severity": "Critical"
        },
        "BAR108": {
            "Description": "The license required for Server Profile Import and Export operations to function is not present.",
            "Message": "License to Export and Import Server Profile not present.",
            "NumberOfArgs": 0,
            "Resolution": "Obtain the license for Server Profile Export and Import, install the license and retry the operation.",
            "Severity": "Critical"
        },
        "BAR109": {
            "Description": "The OEMDRV partition is mounted for performing operating system deployment use. This situation prevents the Export and Import Server Profile operation from continuing.",
            "Message": "OEMDRV partition is in use.",
            "NumberOfArgs": 0,
            "Resolution": "Dismount the OEMDRV partition by selecting F10 during boot and retry the operation.",
            "Severity": "Informational"
        },
        "BAR110": {
            "Description": "All the existing jobs are canceled during the Import Server Profile operation or if the Import operation fails.",
            "Message": "All existing jobs cancelled because of Import Server Profile request processing.",
            "NumberOfArgs": 0,
            "Resolution": "Resubmit any jobs that were cancelled by the Import operation after the Import Server Profile operation completes.",
            "Severity": "Informational"
        },
        "BAR111": {
            "Description": "The Import or Export job did not complete successfully. The Import or Export operation timed-out while validating or transferring Server Profile data. Possible causes are loss of network connectivity, vFlash SD card access issues, or problems encountered with system power off and on.",
            "Message": "Server Profile operation timed out.",
            "NumberOfArgs": 0,
            "Resolution": "If the managed system does not turn off during Import, turn off the system and retry the operation. If the managed system turned off, restart the Remote Access Controller and retry the operation. If the export was to a network share verify the connection and try the operation again. If the export destination was the vFlash media, insert a new SD card and try the operation again.",
            "Severity": "Critical"
        },
        "BAR112": {
            "Description": "Server Profile backup file validation failed because the target system identifier information does not match the value stored in the file. The Server Profile file may be from another system or the iDRAC may need to be restarted to acquire the system identifier information accurately.",
            "Message": "The system identifier in the Server Profile file does not match the target system.",
            "NumberOfArgs": 0,
            "Resolution": "Obtain a valid Server Profile file for the target system and try the operation again. If the problem reoccurs, restart the iDRAC and try the operation again.",
            "Severity": "Critical"
        },
        "BAR113": {
            "Description": "The Automatic Backup job that was earlier schedule was not successfully created. This could be due to an invalid parameter entered to create the job.",
            "Message": "Unable to create an Automatic Backup job.",
            "NumberOfArgs": 0,
            "Resolution": "Using the iDRAC Web UI, select Server Profile from the navigation panel, and then the Automatic Backup tab. Clear Settings and reenter appropriate data, the select Schedule Backup to restart the Automatic Backup jobs. Using the RACADM CLI or WSMAN API, clear the scheduled backup settings and retry the Automatic Backup scheduling operation.",
            "Severity": "Warning"
        },
        "BAR114": {
            "Description": "The Automatic Backup job identified in the message is created per the Server Profile automatic export schedule previously configured.",
            "Message": "An Automatic Backup job %1 is created.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "BAR115": {
            "Description": "The number of Automatic Server Profile backup files has reached the specified limit. Restarting the numbering from 1 which will overwrite the oldest backup file.",
            "Message": "The number of Automatic Server Profile backup files has reached the specified limit. Restarting the numbering from 1.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "BAR116": {
            "Description": "Unable to create a recurring export Server Profile job because an existing scheduled Backup Image job is scheduled within the next 24 hours.",
            "Message": "Unable to create a recurring export Server Profile job because an existing scheduled Backup Image job is scheduled within the next 24 hours.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "BAR117": {
            "Description": "The firmware version for the iDRAC contained in the hardware Server Profile image is not compatible with this system hardware. Continue to use the installed firmware version or update to later versions if necessary.",
            "Message": "The iDRAC firmware cannot be restored due to hardware compatibility restraints.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "BAR118": {
            "Description": "The Restore operation cannot be completed because the backup image file name is invalid.",
            "Message": "Unable to continue with Restore operation because the backup image file name is invalid.",
            "NumberOfArgs": 0,
            "Resolution": "Make sure the backup image file name has valid characters and is not too long, and then retry the operation. For information about valid image file names, see the iDRAC's User's Guide available on the support site.",
            "Severity": "Warning"
        },
        "BAR119": {
            "Description": "The Backup operation is currently validating the ability to access the HTTP destination.",
            "Message": "The Backup operation is currently validating the ability to access the HTTP destination.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "BAR120": {
            "Description": "The Backup operation is currently validating the ability to access the HTTPs destination.",
            "Message": "The Backup operation is currently validating the ability to access the HTTPs destination.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "BAR121": {
            "Description": "The Backup operation cannot be completed because access to the HTTP destination is denied.",
            "Message": "Unable to continue with Backup operation because access to the HTTP destination is denied.",
            "NumberOfArgs": 0,
            "Resolution": "Make sure that the input parameters are correct, network connection exists to the destination, and then retry the operation.",
            "Severity": "Critical"
        },
        "BAR122": {
            "Description": "The Backup operation cannot be completed because access to the HTTPs destination is denied.",
            "Message": "Unable to continue with Backup operation because access to the HTTPs destination is denied.",
            "NumberOfArgs": 0,
            "Resolution": "Make sure that the input parameters are correct, network connection exists to the destination, and then retry the operation.",
            "Severity": "Critical"
        },
        "BAR123": {
            "Description": "The Server Profile file cannot be copied to the HTTP/HTTPs share either because of incorrect filepath, or network connection issues.",
            "Message": "Unable to copy the Server Profile file to the HTTP/HTTPs share either because of incorrect filepath, or network connection issues.",
            "NumberOfArgs": 0,
            "Resolution": "Make sure that the input parameters are correct, network connection exists to the destination, and then retry the operation.",
            "Severity": "Critical"
        },
        "BAT0000": {
            "Description": "System settings may be preserved if input power is not removed from the power supplies.",
            "Message": "The system board battery is low.",
            "NumberOfArgs": 0,
            "Resolution": "Check the system board battery at the next service window.",
            "Severity": "Warning"
        },
        "BAT0001": {
            "Description": "None.",
            "Message": "The system board battery is operating normally.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "BAT0002": {
            "Description": "System settings may be preserved if input power is not removed from the power supplies.",
            "Message": "The system board battery has failed.",
            "NumberOfArgs": 0,
            "Resolution": "Check the system board battery.",
            "Severity": "Critical"
        },
        "BAT0003": {
            "Description": "None.",
            "Message": "The system board battery is present.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "BAT0004": {
            "Description": "System settings may be preserved if input power is not removed from the power supplies.",
            "Message": "The system board battery is absent.",
            "NumberOfArgs": 0,
            "Resolution": "Check the system board battery to confirm presence.",
            "Severity": "Critical"
        },
        "BAT0005": {
            "Description": "To charge the battery, the system has to remain powered on.",
            "Message": "The storage battery is low.",
            "NumberOfArgs": 0,
            "Resolution": "Allow the PERC RAID controller battery to charge. If the issue persists, contact technical support. Refer to the product documentation to choose a convenient contact method.",
            "Severity": "Warning"
        },
        "BAT0006": {
            "Description": "None.",
            "Message": "The storage battery is operating normally.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "BAT0007": {
            "Description": "The PERC RAID controller battery may have failed because of thermal exceptions.",
            "Message": "The storage battery has failed.",
            "NumberOfArgs": 0,
            "Resolution": "1) Verify the PERC RAID controller battery installation. 2) Check the system logs for thermal related issues.",
            "Severity": "Critical"
        },
        "BAT0008": {
            "Description": "None.",
            "Message": "The storage battery is present.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "BAT0009": {
            "Description": "The PERC RAID controller battery may report absent due to disconnect or thermal exceptions.",
            "Message": "The storage battery is absent.",
            "NumberOfArgs": 0,
            "Resolution": "1) Verify the PERC RAID controller battery installation.2) If installed, reseat or reconnect the battery and cables. 3) Check the system logs for thermal related issues.",
            "Severity": "Critical"
        },
        "BAT0010": {
            "Description": "To charge the battery, the system has to remain powered on.",
            "Message": "The storage battery for disk drive bay %1 is low.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Allow the PERC RAID controller battery for the associated bay to charge. If the issue persists, contact technical support. Refer to the product documentation to choose a convenient contact method.",
            "Severity": "Warning"
        },
        "BAT0011": {
            "Description": "None.",
            "Message": "The storage battery for disk drive bay %1 is operating normally.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Verify the battery installation, check the system logs for thermal related issues.",
            "Severity": "Informational"
        },
        "BAT0012": {
            "Description": "The PERC RAID controller battery may have failed because of thermal exceptions.",
            "Message": "The storage battery for disk drive bay %1 has failed.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "1) Verify the PERC RAID controller battery installation for the associated bay.2) Check the system logs for thermal related issues.",
            "Severity": "Critical"
        },
        "BAT0013": {
            "Description": "None.",
            "Message": "The storage battery for disk drive bay %1 is present.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "BAT0014": {
            "Description": "The PERC RAID controller battery may report absent due to disconnect or thermal exceptions.",
            "Message": "The storage battery for disk drive bay %1 is absent.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "1) Verify the PERC RAID controller battery installation for the associated bay. 2) If installed, reseat or reconnect the battery and cables. 3) Check the system logs for thermal related issues.",
            "Severity": "Critical"
        },
        "BAT0015": {
            "Description": "System settings may be preserved if input power is not removed from the power supplies.",
            "Message": "The %1 battery is low.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Check the battery at the next service window.",
            "Severity": "Warning"
        },
        "BAT0016": {
            "Description": "None.",
            "Message": "The %1 battery is operating normally.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "BAT0017": {
            "Description": "System settings may be preserved if input power is not removed from the power supplies.",
            "Message": "The %1 battery has failed.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Check the battery.",
            "Severity": "Critical"
        },
        "BAT0018": {
            "Description": "None.",
            "Message": "The %1 battery is present.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "BAT0019": {
            "Description": "System settings may be preserved if input power is not removed from the power supplies.",
            "Message": "The %1 battery is absent.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Check the battery to confirm presence.",
            "Severity": "Critical"
        },
        "BAT1000": {
            "Description": "The controller cannot communicate with the battery. The battery is absent or improperly connected. A battery with a weak or depleted charge may also cause this message.",
            "Message": "Battery on %1 is missing.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Verify that the device is present and then check the cables. See the storage hardware documentation to verify cabling. In addition check the connection to the controller battery and the battery health. A battery with a weak or depleted charge may cause this message.",
            "Severity": "Warning"
        },
        "BAT1001": {
            "Description": "A controller's battery was replaced.",
            "Message": "Battery on %1 was replaced.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "BAT1002": {
            "Description": "This alert is provided for informational purposes.",
            "Message": "The battery on %1 learn cycle has started.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "BAT1003": {
            "Description": "This alert is provided for informational purposes.",
            "Message": "The battery on %1 learn cycle has completed.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "BAT1004": {
            "Description": "The controller battery must be fully charged before the learn cycle can begin. The battery may be unable to maintain a full charge causing the learn cycle to timeout. In addition, the battery must be able to maintain cached data for a specified period of time in the event of a power loss. For example, some batteries maintain cached data for 24 hours. If the battery is unable to maintain cached data for the required period of time, then the Learn cycle will timeout.",
            "Message": "The battery on %1 learn cycle has timed out.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Replace the battery pack. The battery is unable to maintain a full charge.",
            "Severity": "Warning"
        },
        "BAT1005": {
            "Description": "This alert is provided for informational purposes.",
            "Message": "The battery on %1 learn cycle has been postponed.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "BAT1006": {
            "Description": "This alert is provided for informational purposes.",
            "Message": "The battery on %1 learn cycle will start in %2 days.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "BAT1007": {
            "Description": "This alert is provided for informational purposes.",
            "Message": "The battery on %1 learn cycle will start in %2 hours.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "BAT1008": {
            "Description": "The controller battery cannot maintain cached data for the required period of time. For example, if the required period of time is 24 hours, then the battery cannot maintain cached data for 24 hours.",
            "Message": "Write policy on %1 was changed to Write Through.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Verify the battery health is good. See the storage hardware documentation to verify battery health. Contact technical support.",
            "Severity": "Warning"
        },
        "BAT1009": {
            "Description": "The controller battery health has returned to normal.",
            "Message": "Write policy on %1 was changed to Write Back.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "BAT1010": {
            "Description": "Battery is in warn only mode and requires reconditioning.",
            "Message": "Battery on %1 requires reconditioning. Initiate a learn cycle.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Start a learn cycle on the battery.",
            "Severity": "Warning"
        },
        "BAT1011": {
            "Description": "This alert is provided for informational purposes.",
            "Message": "Battery on %1 is in warn only mode and requires reconditioning.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "BAT1012": {
            "Description": "Diagnostic event for service to determine if there is an ambient temperature problem.",
            "Message": "The %1 battery temperature is above normal.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "BAT1013": {
            "Description": "The battery cannot be recharged further.",
            "Message": "Recharge count has exceeded the maximum limit for battery on %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Replace the battery pack.",
            "Severity": "Warning"
        },
        "BAT1014": {
            "Description": "Diagnostic event for service to determine if there is an ambient temperature problem.",
            "Message": "%1 battery charge in-progress.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "BAT1015": {
            "Description": "Diagnostic event for service to determine if there is an ambient temperature problem.",
            "Message": "%1 battery charge process is interrupted.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "BAT1016": {
            "Description": "This alert is provided for informational purposes.",
            "Message": "The %1 battery learn mode has changed to Auto.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "BAT1017": {
            "Description": "This alert is provided for informational purposes.",
            "Message": "The %1 battery learn mode has changed to Warn.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "BAT1018": {
            "Description": "The temperature of the battery is high. This may be due to the battery being charged.",
            "Message": "Battery on %1 is degraded.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "If the battery is being charged, then charging the battery should be stopped until the battery cools down and charging should be resumed. If this is not case, then some other condition exists and should be investigated.",
            "Severity": "Warning"
        },
        "BAT1019": {
            "Description": "This alert is provided for informational purposes.",
            "Message": "Battery on %1 is charging.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "BAT1020": {
            "Description": "This alert is provided for informational purposes.",
            "Message": "The %1 battery is executing a learn cycle.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "BAT1021": {
            "Description": "The controller battery cannot maintain sufficient charge level to function properly or the battery is discharging.",
            "Message": "The charge level for the battery on %1 is below the normal threshold.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Check for other events related to the state of the battery. These may help determine the cause of this event.",
            "Severity": "Warning"
        },
        "BAT1022": {
            "Description": "This alert is provided for informational purposes.",
            "Message": "%1 battery recondition is completed.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "BAT1023": {
            "Description": "The battery health has returned to normal.",
            "Message": "The charge level for the battery on %1 is within normal limits.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "BAT1024": {
            "Description": "The battery or the battery charger is not functioning properly. The battery may have an inadequate charge.",
            "Message": "Errors detected with battery on %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Contact technical support.",
            "Severity": "Warning"
        },
        "BAT1025": {
            "Description": "The controller was unable to recover data from the cache. This may indicate data loss has occurred.",
            "Message": "%1 is unable to recover cached data from the Battery Backup Unit (BBU).",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Verify that the battery is charged and in good health. See the hardware documentation for more information. When the battery charge is unacceptably low, the battery cannot maintain cached data. Data loss may also have occurred, restoring data from backups may be needed. Verify whether the battery has met its recharge limit. The battery may need to be recharged. Contact technical support if the issue persists.",
            "Severity": "Critical"
        },
        "BAT1026": {
            "Description": "The controller has retrieved cached data.",
            "Message": "The %1 has recovered cached data from the Battery Backup Unit (BBU).",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "BAT1027": {
            "Description": "The battery successfully completed a charge cycle.",
            "Message": "The battery on %1 completed a charge cycle.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "BAT1028": {
            "Description": "The controller battery voltage is low. This may indicate that the battery is no longer protecting the controller cache.",
            "Message": "The battery voltage on %1 is low.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "The battery needs to recharged. Wait 24 hours to see if the charge is restored.",
            "Severity": "Warning"
        },
        "BAT1029": {
            "Description": "The controller battery cannot recharge. The battery may have already recharged the maximum number of times or the battery charger may not be working.",
            "Message": "The battery on %1 can no longer recharge.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Contact technical support.",
            "Severity": "Critical"
        },
        "BAT1030": {
            "Description": "This alert is provided for informational purposes.",
            "Message": "The %1 battery charge level is normal.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "BAT1031": {
            "Description": "The room temperature may be too hot. In addition, the system fan may be degraded or failed.",
            "Message": "The battery temperature on %1 is above normal.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Verify that the room temperature is normal and that fans are functioning properly. See the storage hardware documentation for acceptable operating temperatures.",
            "Severity": "Warning"
        },
        "BAT1032": {
            "Description": "The battery temperature is within the normal operating range.",
            "Message": "The battery temperature on %1 is normal.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "BAT1033": {
            "Description": "The controller cannot communicate with the battery. Either the battery was removed, or the contact point between the controller and the battery is degraded.",
            "Message": "The battery on %1 was removed.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Make sure that the battery is present and properly connected. If the battery is present, wait for a few minutes and re-check if the battery is detected. If the contact point between the battery and the controller is degraded, you must replace the battery, the controller, or both. Refer to the storage hardware documentation for information on how to safely access, or remove. Contact technical support if the issue persists.",
            "Severity": "Warning"
        },
        "BAT1034": {
            "Description": "One or more battery properties were modified.",
            "Message": "The battery properties for %1 have changed.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "BAT1037": {
            "Description": "A battery is detected on the Controller identified in the message.",
            "Message": "A battery is detected on the Controller %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "BIOS0001": {
            "Description": "BIOS logged a Trusted Compute Module (TPM) Physical Presence Operation.",
            "Message": "Trusted Compute Module (TPM) Physical Presence Operation %1 logged.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "BIOS001": {
            "Description": "The command was successful.",
            "Message": "The command was successful",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "BIOS002": {
            "Description": "Unable to allocate required memory to perform the requested operation; see the inserted comment.",
            "Message": "Resource allocation failure.",
            "NumberOfArgs": 0,
            "Resolution": "Power cycle system and reapply firmware packages for Lifecycle Controller and iDRAC.",
            "Severity": "Critical"
        },
        "BIOS003": {
            "Description": "An invalid number of arguments was passed to the method.",
            "Message": "Missing required parameter. Refer to the inserted comment.",
            "NumberOfArgs": 0,
            "Resolution": "Enter all the required command parameters. Check documentation and try again.",
            "Severity": "Warning"
        },
        "BIOS004": {
            "Description": "The value for the specified parameter is invalid.",
            "Message": "Invalid parameter value for %1",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Verify that parameter values passed to the method are entered as they appear in the enumeration and parameter data type matches the documentation.",
            "Severity": "Warning"
        },
        "BIOS005": {
            "Description": "The number of AttributeName and AttributeValue parameters do not match.",
            "Message": "Mismatch in AttributeName and AttributeValue count",
            "NumberOfArgs": 0,
            "Resolution": "Enter the same number of parameters for AttributeName and AttributeValue. Refer to documentation for method input parameter details.",
            "Severity": "Warning"
        },
        "BIOS006": {
            "Description": "A configuration job is already created on the specified target. No further command is allowed until the existing job succeeds or the job is cancelled.",
            "Message": "Configuration job already created, cannot set attribute on specified target until existing job is completed or is cancelled.",
            "NumberOfArgs": 0,
            "Resolution": "Wait for the job to complete. To continue with more set operations on the specified target, cancel the job and proceed.",
            "Severity": "Informational"
        },
        "BIOS007": {
            "Description": "A configuration job is already created on the specified target. No further command is allowed until the existing job succeeds or the job is cancelled.",
            "Message": "Configuration job already created, cannot create another configuration job on specified target until existing job is completed or is cancelled.",
            "NumberOfArgs": 0,
            "Resolution": "Wait for the job to complete. To continue with more set operations on the specified target, cancel the job and proceed.",
            "Severity": "Informational"
        },
        "BIOS008": {
            "Description": "No changes are available between the previous configuration and the current configuration. To create a configuration job, at least one attribute should be changed.",
            "Message": "No pending data present to create a Configuration job.",
            "NumberOfArgs": 0,
            "Resolution": "Change the configuration of one or more attributes and then create a configuration job.",
            "Severity": "Informational"
        },
        "BIOS009": {
            "Description": "Lifecycle Controller cannot gain access to internal storage because of use by another application or operation.",
            "Message": "Lifecycle Controller is currently in use.",
            "NumberOfArgs": 0,
            "Resolution": "Wait for the current Lifecycle Controller operation to complete. Verify that the system is 1) Not currently in Lifecycle Controller Unified Server Configurator utility 2) Waiting for user intervention at F1/F2 POST error 3) Not in any of the device or controller Option ROMs and retry the operation.",
            "Severity": "Informational"
        },
        "BIOS010": {
            "Description": "For 11G systems: System Services must be enabled to perform the requested operation. System Services has been disabled through the iDRAC configuration utility accessed by pressing CTRL+E on boot up or through a remote operation. For 12G and above generations: Lifecycle Controller must be enabled to perform the requested operation. Lifecycle Controller has been disabled by pressing F2 Setup, selecting iDRAC Configuration, and selecting Lifecycle Controller Settings on boot up or through a remote operation.",
            "Message": "Lifecycle Controller is not enabled, cannot create Configuration job.",
            "NumberOfArgs": 0,
            "Resolution": "For 11G systems: Use the iDRAC configuration utility to enable the System Services by pressing on the CTRL+E option on boot up at the targeted system. For 12G and above generations: Use F2 Setup, select iDRAC Configuration, and select Lifecycle Controller Settings, to enable the Lifecycle Controller on boot up of the targeted system.",
            "Severity": "Informational"
        },
        "BIOS011": {
            "Description": "Configuration job already created on the specified target. No further command is allowed until the existing job is completed.",
            "Message": "Configuration job already created, pending data cannot be deleted.",
            "NumberOfArgs": 0,
            "Resolution": "Cancel the configuration job or wait for the job to complete. Refer to documentation on job cancellation.",
            "Severity": "Informational"
        },
        "BIOS012": {
            "Description": "No changes to BIOS attribute data are available between the previous configuration and the current configuration.",
            "Message": "No pending data to delete.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "BIOS013": {
            "Description": "An unknown AttributeName was specified in the operation.",
            "Message": "Invalid AttributeName %1",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Enter the correct AttributeName available in the system. Refer to the enumeration response for desired attribute.",
            "Severity": "Informational"
        },
        "BIOS014": {
            "Description": "AttributeValue may be invalid because of the following causes: 1) Length of new AttributeValue is not within required minimum length and maximum length 2) Value of new AttributeValue is not within required LowerBound and UpperBound 3) Value of new AttributeValue is not one of the possible values.",
            "Message": "Invalid AttributeValue for AttributeName: %1",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Refer to the documentation on valid Attribute values.",
            "Severity": "Informational"
        },
        "BIOS015": {
            "Description": "A set attribute operation was attempted on a read only attribute.",
            "Message": "AttributeValue cannot be changed to read only AttributeName %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "BIOS016": {
            "Description": "A set attribute operation was attempted on a disabled attribute.",
            "Message": "AttributeValue cannot be changed for disabled AttributeName %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "BIOS017": {
            "Description": "Unable to delete vFlash pending one-time boot configuration.",
            "Message": "Unable to delete vFlash pending one-time boot configuration",
            "NumberOfArgs": 0,
            "Resolution": "Remove AC power from system and after restoring AC power, retry the operation.",
            "Severity": "Critical"
        },
        "BIOS018": {
            "Description": "The BIOS password specified in the operation is not valid. A valid BIOS password must be made from the following: 0 to 32 characters in length, numbers 0 to 9, lowercase letters a to z, special characters <>|-,+./;[\\]'.",
            "Message": "Invalid BIOS Password.",
            "NumberOfArgs": 0,
            "Resolution": "Retry the operation with a BIOS password that conforms with system BIOS password requirements.",
            "Severity": "Warning"
        },
        "BIOS021": {
            "Description": "The old BIOS password specified in the change BIOS password operation was incorrect.",
            "Message": "Cannot authenticate BIOS password.",
            "NumberOfArgs": 0,
            "Resolution": "Retry the operation with correct old BIOS password.",
            "Severity": "Warning"
        },
        "BIOS022": {
            "Description": "The BIOS password is disabled in the hardware using a jumper and can not be set. See the system owners manual for jumper location.",
            "Message": "Cannot set the BIOS password. Password is disabled due to a jumper setting on the motherboard.",
            "NumberOfArgs": 0,
            "Resolution": "Change the jumper setting on the system board to enable changing the BIOS password.",
            "Severity": "Warning"
        },
        "BIOS023": {
            "Description": "An unrecoverable error occurred in the operation while communicating with iDRAC.",
            "Message": "Cannot perform the operation due to an unknown error in iDRAC.",
            "NumberOfArgs": 0,
            "Resolution": "Retry the operation. If the issue continues, reset the iDRAC.",
            "Severity": "Warning"
        },
        "BIOS024": {
            "Description": "The operation cannot run as the attribute value cannot be modified.",
            "Message": "The set operation did not complete successfully as the attribute is read-only.",
            "NumberOfArgs": 0,
            "Resolution": "For more information on the attribute, see Lifecycle Controller-Remote Services documentation.",
            "Severity": "Warning"
        },
        "BIOS025": {
            "Description": "The status of the password is Locked in BIOS and must be set to Unlocked for the operation to succeed.",
            "Message": "Unable set the BIOS password as the BIOS password status is locked.",
            "NumberOfArgs": 0,
            "Resolution": "Change BIOS password status in the BIOS setup from Locked to Unlocked and retry the operation.",
            "Severity": "Warning"
        },
        "BIOS026": {
            "Description": "The status of the Password cannot be set to locked, because currently there is a System Password change is pending.",
            "Message": "Password status cannot be set to locked when a System Password change is pending.",
            "NumberOfArgs": 0,
            "Resolution": "Wait until the pending System Password change is applied or delete the pending System Password change and retry the operation.",
            "Severity": "Warning"
        },
        "BIOS027": {
            "Description": "The attribute identified in the message cannot be set, because the password is currently being reset by using plain text. The BIOS password cannot be simultaneously configured by using plain text and a hash.",
            "Message": "Unable to change the BIOS password because the password is currently being configured using plain text. Unable to set the attribute %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Wait until the current password configuration process is completed, and then retry the operation.",
            "Severity": "Warning"
        },
        "BIOS028": {
            "Description": "The BIOS password cannot be simultaneously configured by using plain text and a hash.",
            "Message": "Unable to change the BIOS password using plain text because the password is currently being configured using a hash.",
            "NumberOfArgs": 0,
            "Resolution": "Wait until the current password configuration process is completed and retry the operation.",
            "Severity": "Warning"
        },
        "BIOS029": {
            "Description": "The BIOS password cannot be configured because an Export Server Profile operation is already running.",
            "Message": "Unable to change the BIOS password because an Export Server Profile operation is already running.",
            "NumberOfArgs": 0,
            "Resolution": "Wait until the current export operation is completed, and then retry the operation.",
            "Severity": "Warning"
        },
        "BIOS030": {
            "Description": "The BIOS password cannot be configured because an Import Server Profile operation is already running.",
            "Message": "Unable to change the BIOS password because an Import Server Profile operation is already running.",
            "NumberOfArgs": 0,
            "Resolution": "Wait until the current import operation is completed, and then retry the operation.",
            "Severity": "Warning"
        },
        "BIOS031": {
            "Description": "The configuration operation cannot be started because the System Lockdown mode is enabled.",
            "Message": "Unable to start the configuration operation because the System Lockdown mode is enabled.",
            "NumberOfArgs": 0,
            "Resolution": "Make sure that the Lockdown.1#SystemLockdown attribute is set to Disabled in the DCIM_iDracCardEnumeration class by running the WS-Man get command at the command line interface (CLI), and then retry the operation.",
            "Severity": "Informational"
        },
        "BIOS032": {
            "Description": "The network share cannot be accessed because incorrect network share identify information is entered.",
            "Message": "Unable to access the network share because incorrect network share identify information is entered.",
            "NumberOfArgs": 0,
            "Resolution": "Enter correct network share identify information and retry the operation.",
            "Severity": "Informational"
        },
        "BIOS033": {
            "Description": "Data cannot be written to the network share either because the network share is read-only or sufficient disk space is unavailable for the export operation.",
            "Message": "Unable to write to the network share either because the network share is read-only or sufficient disk space is unavailable for the export operation.",
            "NumberOfArgs": 0,
            "Resolution": "Do the following and retry the operation: 1) Make sure that the network share is not read-only. 2) Make sure that there is sufficient disk space on the network share.",
            "Severity": "Informational"
        },
        "BIOS034": {
            "Description": "The record operation cannot be retrieved because the requested record is not available.",
            "Message": "Unable to retrieve the record information because the requested record is not available.",
            "NumberOfArgs": 0,
            "Resolution": "Make sure that the record data entered is correct and retry the operation.",
            "Severity": "Informational"
        },
        "BIOS035": {
            "Description": "The operation cannot be started because invalid hash signature parameter is entered.",
            "Message": "Unable to start the operation because invalid hash signature parameter is entered.",
            "NumberOfArgs": 0,
            "Resolution": "Make sure that correct parameters are entered and retry the operation.",
            "Severity": "Informational"
        },
        "BIOS036": {
            "Description": "The import operation cannot be started because the public key (PK) certificate is already available.",
            "Message": "Unable to start the import operation because the public key (PK) certificate is already available.",
            "NumberOfArgs": 0,
            "Resolution": "Delete the existing public key (PK) certificate, enter a new PK, and then retry the operation.",
            "Severity": "Warning"
        },
        "BIOS037": {
            "Description": "The import operation cannot be started either because the file name identified in the message is invalid, file is corrupted, or the file encoding format is incorrect.",
            "Message": "Unable to start the import operation either because the file name entered : %1 is invalid, file is corrupted, or the file encoding format is incorrect.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Make sure that a valid file is used and retry the operation.",
            "Severity": "Warning"
        },
        "BIOS038": {
            "Description": "The SecureBoot policy cannot be read because of unknown issues.",
            "Message": "Unable to read the SecureBoot policy because of unknown issues.",
            "NumberOfArgs": 0,
            "Resolution": "Perform the Collect System Inventory on Restart (CSIOR) operation, see the report, and then retry the operation.",
            "Severity": "Informational"
        },
        "BIOS039": {
            "Description": "The operation cannot be started because invalid parameters are entered.",
            "Message": "Unable to start the operation because invalid parameters are entered.",
            "NumberOfArgs": 0,
            "Resolution": "Make sure that correct parameters are entered and retry the operation.",
            "Severity": "Informational"
        },
        "BIOS040": {
            "Description": "The SecureBoot certificate data cannot be imported because of insufficient disk space to store the certificate data.",
            "Message": "Unable to import the SecureBoot certificate data because of insufficient disk space to store the certificate data.",
            "NumberOfArgs": 0,
            "Resolution": "Delete the current SecureBoot certificate and retry the operation. If the issue, persists, contact service provider.",
            "Severity": "Warning"
        },
        "BIOS041": {
            "Description": "The operation cannot be completed because hash signature is not supported in Platform Key (PK) and Key Exchange Key (KEK).",
            "Message": "Operation not allowed because hash signature is not supported in Platform Key (PK) and Key Exchange (KEK).",
            "NumberOfArgs": 0,
            "Resolution": "Make sure that hash signature is not used in the input parameter and retry the operation.",
            "Severity": "Informational"
        },
        "BIOS042": {
            "Description": "The file identified in the message cannot be imported because the file does not exist in the source directory.",
            "Message": "Unable to import the file %1 because the file does not exist in the source directory.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Make sure that the file exists in the remote share and retry the operation.",
            "Severity": "Informational"
        },
        "BIOS043": {
            "Description": "The maximum number of characters allowed for the parameter is displayed.",
            "Message": "Unable to complete the operation because the length of input parameter %1 is more than the maximum allowed length %2.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "Make sure that the parameter length is equal to or less than the maximum allowed, and then retry the operation.",
            "Severity": "Warning"
        },
        "BIOS044": {
            "Description": "The operation cannot be completed because the operation is not allowed when the Secure Boot Policy is in Standard mode.",
            "Message": "Unable to complete the operation because the operation is not allowed when the Secure Boot Policy is in Standard mode.",
            "NumberOfArgs": 0,
            "Resolution": "Make sure that the BIOS.Setup.1-1:SecureBootPolicy is set to Custom in the DCIM_BIOSEnumeration class by running the WS-Man get command at the command line interface (CLI), and then retry the operation.",
            "Severity": "Warning"
        },
        "BOOT001": {
            "Description": "The command was successful.",
            "Message": "The command was successful.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "BOOT002": {
            "Description": "Unable to allocate required memory to perform the operation.",
            "Message": "Resource allocation error.",
            "NumberOfArgs": 0,
            "Resolution": "Power cycle system and reapply firmware packages for Lifecycle Controller and iDRAC.",
            "Severity": "Warning"
        },
        "BOOT003": {
            "Description": "This operation is not supported on the current configuration.",
            "Message": "Method not supported.",
            "NumberOfArgs": 0,
            "Resolution": "This operation is not supported on the current configuration, check documentation and try again.",
            "Severity": "Informational"
        },
        "BOOT004": {
            "Description": "An invalid number of source arguments was passed to the method.",
            "Message": "Invalid number of Boot Source arguments",
            "NumberOfArgs": 0,
            "Resolution": "Check documentation and try again (details).",
            "Severity": "Informational"
        },
        "BOOT005": {
            "Description": "One or more of the invoked methods required parameters are missing.",
            "Message": "Missing required parameter.",
            "NumberOfArgs": 0,
            "Resolution": "Check documentation for the method in question and try again.",
            "Severity": "Informational"
        },
        "BOOT006": {
            "Description": "One or more of the Boot Source instance ID's does not contain valid data.",
            "Message": "Invalid Boot Source InstanceID",
            "NumberOfArgs": 0,
            "Resolution": "Verify that all of the Boot Source instance IDs being entered are as they appear in the DCIM_BootSourceSetting enumeration.",
            "Severity": "Informational"
        },
        "BOOT007": {
            "Description": "One or more of the Boot Source instance IDs does not belong to the affected Boot Configuration.",
            "Message": "Boot Source does not belong to specified Boot Configuration",
            "NumberOfArgs": 0,
            "Resolution": "ChangeBootOrderByInstanceID only accepts Boot Sources from the impacted Boot Configuration. Verify that all source arguments belong to the desired Boot Configuration.",
            "Severity": "Informational"
        },
        "BOOT008": {
            "Description": "More source arguments were provided than are available for the impacted Boot Configuration.",
            "Message": "Source argument contains more devices than are present on the system",
            "NumberOfArgs": 0,
            "Resolution": "Verify that all of the Boot Source instance IDs being entered are as they appear in the DCIM_BootSourceSetting enumeration.",
            "Severity": "Informational"
        },
        "BOOT009": {
            "Description": "No Boot Sources could be found for the desired Boot Configuration.",
            "Message": "Boot Sources cannot be found for this Boot Configuration",
            "NumberOfArgs": 0,
            "Resolution": "Verify that Boot Sources for the indicated Boot Configuration are displaying when enumerating DCIM_BootSourceSetting. Power cycle system and reapply firmware packages for Lifecycle Controller and iDRAC.",
            "Severity": "Informational"
        },
        "BOOT010": {
            "Description": "The provided vFlash partition index could not be found on the system.",
            "Message": "Could not locate vFlash partition index",
            "NumberOfArgs": 0,
            "Resolution": "Verify that a vFlash partition with the desired index exists on the System.",
            "Severity": "Informational"
        },
        "BOOT011": {
            "Description": "The provided vFlash partition could not be set for one time boot.",
            "Message": "Failed to set vFlash partition for one time boot",
            "NumberOfArgs": 0,
            "Resolution": "Power cycle system and reapply firmware packages for Lifecycle Controller and iDRAC.",
            "Severity": "Warning"
        },
        "BOOT012": {
            "Description": "A job was created to configure a OneTime boot to the specified vFlash SD card partition. If this partition was not attached to the system, the job attaches it as well.",
            "Message": "Job started to attach and set vFlash SD card partition for OneTime boot.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "BOOT013": {
            "Description": "The boot list is currently not active. Changes cannot be made to boot list that is not active.",
            "Message": "Cannot make changes to non-active boot list.",
            "NumberOfArgs": 0,
            "Resolution": "Alter boot mode to set the boot list active and retry the operation.",
            "Severity": "Warning"
        },
        "BOOT014": {
            "Description": "The system's SD card has been removed or is in use.",
            "Message": "Virtual media not ready.",
            "NumberOfArgs": 0,
            "Resolution": "Verify that the SD card is inserted and that another operation is not in progress, and try again.",
            "Severity": "Informational"
        },
        "BOOT015": {
            "Description": "The boot partition configuration request was successful. An unattached vFlash partition was configured for one-time boot using the ChangeBootOrderByInstanceID method. The method creates a job (to attach the vFlash partition and set the partition for one-time boot.",
            "Message": "Set operation successful for the boot partition.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "BOOT016": {
            "Description": "The input source argument value referring to the boot device is incorrect or empty. The boot device identifier must match the InstanceID for the Boot Source Setting instance that represents the boot device.",
            "Message": "Input source argument value for the boot device is incorrect or not found among the boot devices on the system.",
            "NumberOfArgs": 0,
            "Resolution": "Use the correct source argument value for the boot device and retry the operation.",
            "Severity": "Warning"
        },
        "BOOT017": {
            "Description": "The boot device(s) specified in the source argument used in the operation cannot be enabled or disabled. This behavior applies to BCV devices and one-time boot.",
            "Message": "Source argument does not support enable or disable mode.",
            "NumberOfArgs": 0,
            "Resolution": "Refer to the documentation on validity of operation for the boot device specified. For more information on the operation, see Lifecycle Controller-Remote Services documentation.",
            "Severity": "Warning"
        },
        "BOOT018": {
            "Description": "The Boot Control List specified in the operation is read-only and cannot be modified.",
            "Message": "Specified Boot Control List is read-only",
            "NumberOfArgs": 0,
            "Resolution": "Refer to the documentation on validity of operation for the Boot Control List specified. For more information on the operation, see Lifecycle Controller-Remote Services documentation.",
            "Severity": "Warning"
        },
        "BOOT8500": {
            "Description": "Unable to change the BIOS boot order for the server because of a broken communication between the CMC and iDRAC, or iDRAC is rebooting.",
            "Message": "Unable to change the BIOS boot order for the Server %1",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Reset iDRAC or wait until iDRAC reboots, and retry the operation.",
            "Severity": "Critical"
        },
        "CBL0001": {
            "Description": "A backplane signal cable was detected, but the accompanying power cable was not present.",
            "Message": "Backplane %1 power cable disconnected.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Reconnect or replace the power cable. If the issue persists, contact your service provider.",
            "Severity": "Critical"
        },
        "CBL0002": {
            "Description": "A backplane power cable was detected, but the accompanying signal cable was not present.",
            "Message": "Backplane %1 signal cable disconnected.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Reconnect or replace the signal cable for the backplane identified in the message. If the issue persists, contact your service provider.",
            "Severity": "Critical"
        },
        "CBL0003": {
            "Description": "The backplane cable identified in the message is disconnected or no cable is detected.",
            "Message": "Backplane %1 %2 cable is disconnected.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "Reconnect or replace the cable identified in the message. If the issue persists, contact your service provider.",
            "Severity": "Critical"
        },
        "CBL0004": {
            "Description": "The cable identified in the message is incorrectly connected to the backplane connector.",
            "Message": "The %1 cable is incorrectly connected to backplane %2 connector %3.",
            "NumberOfArgs": 3,
            "ParamTypes": [
                "String",
                "String",
                "String"
            ],
            "Resolution": "Make sure the cable identified in the message is cabled correctly. If the issue persists, contact your service provider.",
            "Severity": "Critical"
        },
        "CBL0005": {
            "Description": "The backplane connector identified in the message is incorrectly connected to the motherboard SATA controller.",
            "Message": "Backplane %1 %2 connector incorrectly connected to the motherboard SATA controller.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "Make sure the cable identified in the message is cabled correctly. If the issue persists, contact your service provider.",
            "Severity": "Critical"
        },
        "CBL0006": {
            "Description": "Each server model only supports a certain set of backplane configurations. For unified backplanes or split mode capable backplanes that are in unified mode, multiple controllers cannot be connected to the same backplane. In unified backplane situations any controller besides the first will not be operational.",
            "Message": "Unsupported backplane %1 configuration: Multiple RAID controllers cannot be connected to the same backplane.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Make sure that only one RAID controller is connected to the backplane. If the issue persists, contact your service provider.",
            "Severity": "Critical"
        },
        "CBL0007": {
            "Description": "The backplane cables identified in the message need to be connected to the correct backplane bays.",
            "Message": "Backplane %1 %2 cable and backplane %1 %2 cable are swapped.",
            "NumberOfArgs": 4,
            "ParamTypes": [
                "String",
                "String",
                "String",
                "String"
            ],
            "Resolution": "Make sure the cables identified in the message are cabled correctly. If the issue persists, contact your service provider.",
            "Severity": "Critical"
        },
        "CBL8500": {
            "Description": "SAS cables are not connected to the expander correctly.",
            "Message": "SAS cable %1 to expander %2 is not connected.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "Check whether or not the SAS cables are connected to the expander. Reconnect the cables and retry the operation.",
            "Severity": "Critical"
        },
        "CBL8501": {
            "Description": "The SAS cable identified in the message is not connected to the correct expander.",
            "Message": "SAS cable %1 is connected to the incorrect expander.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Reconnect the SAS cable to the correct expander and retry the operation.",
            "Severity": "Informational"
        },
        "CMC001": {
            "Description": "The operation is successfully completed.",
            "Message": "The operation is successfully completed.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "CMC002": {
            "Description": "The operation cannot be successfully completed because of an unknown issue.",
            "Message": "Unable to complete the operation because of an unknown issue.",
            "NumberOfArgs": 0,
            "Resolution": "Do one of the following: 1) Retry the operation. 2) Reset CMC and retry the operation.",
            "Severity": "Critical"
        },
        "CMC003": {
            "Description": "The operation cannot be completed because the parameter identified in the message is missing.",
            "Message": "Unable to complete the operation because the parameter %1 is missing.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Enter the missing parameter and retry the operation. For information about the parameters, see the CMC Profile document available on the support site.",
            "Severity": "Warning"
        },
        "CMC004": {
            "Description": "The operation cannot be completed because the parameter identified in the message is invalid.",
            "Message": "Unable to complete the operation because the parameter %1 is invalid.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Enter a valid parameter and retry the operation. For information about valid parameters, see the CMC Profile document available on the support site.",
            "Severity": "Warning"
        },
        "CMC005": {
            "Description": "The operation cannot be completed because of a mismatch between AttributeName and AttributeValue count.",
            "Message": "Unable to complete the operation because of a mismatch between AttributeName and AttributeValue count.",
            "NumberOfArgs": 0,
            "Resolution": "Enter a valid AttributeName and AttributeValue count, and then retry the operation.",
            "Severity": "Warning"
        },
        "CMC401": {
            "Description": "Changing the Reserved QuickDeploy IP Addresses setting to <number of IP address> may create an issue in the future if higher density server nodes are inserted in to the Chassis (for example, quarter-height servers).",
            "Message": "Changing the Reserved QuickDeploy IP Addresses setting to %1 may create an issue in the future if higher density server nodes are inserted in to the Chassis (for example, quarter-height servers). Press OK to continue.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Select a higher number to accommodate future higher density server node additions, otherwise no response action is required.",
            "Severity": "Warning"
        },
        "CMC8501": {
            "Description": "Multi Chassis Management feature on CMC allows for pushing the lead chassis configuration data to it's members. This message appears in the member's log when the configuration data is successfully synchronized with the Chassis group leader's configuration data.",
            "Message": "Chassis Group Leader has synchronized this member's configuration.",
            "NumberOfArgs": 0,
            "Resolution": "No response action required.",
            "Severity": "Informational"
        },
        "CMC8502": {
            "Description": "CMC is unable to access the specified server's IPv6 information. Unable to display the specified server's Launch iDRAC link on the CMC Web interface.",
            "Message": "Unable to access the IPv6 information of the server.",
            "NumberOfArgs": 0,
            "Resolution": "Enable IPv6 for the specified server using the CMC command line or CMC Web GUI interface, so that the link to launch iDRAC is displayed on the CMC Web interface. For the command line options or navigation for Web interface, see the Troubleshooting section in the CMC User's Guide.",
            "Severity": "Critical"
        },
        "CMC8503": {
            "Description": "CMC is unable to access the IPv4 information for the specified server. Unable to display the specified server's Launch iDRAC link on the CMC Web interface.",
            "Message": "Unable to access the IPv4 information of the server.",
            "NumberOfArgs": 0,
            "Resolution": "Enable IPv4 on the specified slot's iDRAC via the CMC command line or Web GUI interface, for the iDRAC's launch point to show up on the CMC web GUI. For the command line options or navigation for Web interface, see the Troubleshooting section in the CMC User's Guide.",
            "Severity": "Critical"
        },
        "CMC8504": {
            "Description": "The NIC is disabled on the server identified in the message, and the CMC is unable to display the link to launch the iDRAC web interface.",
            "Message": "Unable to access server: %1, because the NIC is disabled on the identified server.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Enable the NIC on the server identified in the message using the CMC command line or CMC Web interface, so that the link to launch iDRAC is displayed on the CMC Web interface. To enable the NIC for DHCP using RACADM, enter \"racadm setniccfg -m server-<slot number> -d\" where <slot number> is the server identified in the message. To enable the NIC using the Web interface, click Server Overview > select the identified server, go to Setup > select the Enable LAN check box.",
            "Severity": "Informational"
        },
        "CMC8505": {
            "Description": "IPv4 and IPv6 are disabled on the specified server and the CMC is unable to display the link to launch iDRAC web interface.",
            "Message": "Unable to access server: %1 because both IPv4 and IPv6 are disabled. NIC Enabled = %2.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "Enable IPv4 or IPv6 for the specified server using the CMC command line or CMC Web GUI interface, so that the link to launch iDRAC is displayed on the CMC Web interface. To enable the NIC for DHCP using RACADM, enter \"racadm setniccfg -m server-<slot number> -d\" where <slot number> is the server identified in the message. To enable the NIC using the Web interface, click Server Overview > select the identified server, go to Setup > select the Enable IPv4 check box and/or the Enable IPv6 check box.",
            "Severity": "Informational"
        },
        "CMC8506": {
            "Description": "A command to shut down the CMC was initiated.",
            "Message": "A command to shut down the CMC was initiated.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "CMC8507": {
            "Description": "The Extended Storage feature synchronizes data from the primary CMC removable flash media SD Card is synchronized with the secondary CMC removable flash media SD Card.",
            "Message": "Extended Storage for primary CMC and secondary CMC synchronization is complete.",
            "NumberOfArgs": 0,
            "Resolution": "No response action required.",
            "Severity": "Informational"
        },
        "CMC8508": {
            "Description": "The Extended Storage feature is not activated if the removable flash media SD Card on the secondary CMC is not functioning properly.",
            "Message": "Unable to synchronize the primary and secondary CMC removable flash media and the Extended Storage feature is not available.",
            "NumberOfArgs": 0,
            "Resolution": "Do the following and retry the operation: 1) In the CMC Web interface, go to Chassis Controller > Flash Media > Configuration, and verify if the SD card on secondary CMC displays errors. 2) If errors are displayed, execute the following racadm command: \"racadm cmcchangeover\". 3) Repair the removable flash media SD Card by selecting the Chassis Controller > Flash Media > Configuration > Repair Active Controller Media in the CMC Web interface. Repairing is only allowed on the SD card of the primary CMC. If the problem persists, replace the card.",
            "Severity": "Warning"
        },
        "CMC8509": {
            "Description": "The extended storage feature is not activated if the media on the secondary CMC is no longer functional.",
            "Message": "Unable to activate the extended storage feature on the secondary CMC: %1. The feature will be deactivated.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Do one of the following, and retry the operation: 1) In the CMC Web interface, go to Chassis Controller > Flash Media > Configuration and verify if the card on the secondary CMC displays errors. 2) Do a failover and then reprovision the card from the same GUI page. Reprovisioning is only allowed on the card of primary CMC. However, if both the options 1 and 2 fail, the card may be no longer functional.",
            "Severity": "Critical"
        },
        "CMC8510": {
            "Description": "This happens during promotion of extended storage feature from single CMC to dual CMC. If the media on Standby CMC is not healthy, this message is displayed and the feature returns to single CMC state.",
            "Message": "Unable to activate the extended storage feature on the secondary CMC: %1. The feature will return to single CMC mode.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Do one of the following, and retry the operation: 1) In the CMC Web interface, go to Chassis Controller > Flash Media > Configuration and verify if the card on the secondary CMC displays some errors. 2) Do a failover and then reprovision the card from the same GUI page. Reprovisioning is only allowed on the card of primary CMC. However, if both the options 1 and 2 fail, the card may be no longer functional.",
            "Severity": "Critical"
        },
        "CMC8511": {
            "Description": "The data on the Extended Storage removable flash media SD cards is not synchronized when the CMC is unable to determine which card has the latest data.",
            "Message": "Unable to synchronize the data in the Extended Storage removable flash media in the primary and secondary CMCs.",
            "NumberOfArgs": 0,
            "Resolution": "Disable and then enable the Extended Storage feature. Using racadm, execute the following commands: \"racadm feature -d -c Extended Storage\" to disable and then \"racadm -a -c Extended Storage\" to enable the feature. NOTE: All the data on the removable flash media SD card is erased when the feature is disabled.",
            "Severity": "Warning"
        },
        "CMC8512": {
            "Description": "The Extended Storage feature is not activated if the removable flash media SD card on the secondary CMC does not respond within 90 seconds after activation is initiated.",
            "Message": "The Extended Storage feature activation timed out. The feature is not active.",
            "NumberOfArgs": 0,
            "Resolution": "Do the following and retry the operation: 1) In the CMC Web interface, go to Chassis Controller > Flash Media > Configuration, and verify if the SD card on secondary CMC displays errors. 2) If errors are displayed, execute the following racadm command: \"racadm cmcchangeover\". 3) Repair the removable flash media SD Card by selecting the Chassis Controller > Flash Media > Configuration > Repair Active Controller Media in the CMC Web interface. Repairing is only allowed on the SD card of the primary CMC. If the problem persists, replace the card.",
            "Severity": "Critical"
        },
        "CMC8513": {
            "Description": "The Extended Storage feature activation on the secondary CMC timed out. If the media on Standby CMC does not respond within 90 seconds of confirming activation the feature returns to single CMC mode.",
            "Message": "The Extended Storage feature activation on the secondary CMC timed out. The feature is being returned to single CMC mode.",
            "NumberOfArgs": 0,
            "Resolution": "Do the following and retry the operation: 1) In the CMC Web interface, go to Chassis Controller > Flash Media > Configuration, and verify if the SD card on secondary CMC displays errors. 2) If errors are displayed, execute the following racadm command: \"racadm cmcchangeover\". 3) Repair the removable flash media SD Card by selecting the Chassis Controller > Flash Media > Configuration > Repair Active Controller Media in the CMC Web interface. Repairing is only allowed on the SD card of the primary CMC. If the problem persists, replace the card.",
            "Severity": "Warning"
        },
        "CMC8514": {
            "Description": "This error may occur due to any of the following conditions: 1) Invalid I/O Module and mezzanine card configuration, where a newly installed I/O Modules fabric type and the resident mezzanine cards fabric types do not match or are incompatible. 2) Invalid I/O Module and I/O Module configuration, where a newly installed I/O Module has a different or incompatible fabric type from an I/O Module already installed in the fabric.",
            "Message": "Fabric mismatch is detected in the I/O Module %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Refer to Chassis Management Controller User's Guide for additional information.",
            "Severity": "Critical"
        },
        "CMC8516": {
            "Description": "The I/O module may have taken more time to boot than was expected or the I/O module did not boot.",
            "Message": "The I/O Module %1 did not boot within the expected time.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Verify the I/O Module is turned on using CMC Web Interface or RACADM CLI and retry the operation. Otherwise, reinsert the I/O Module and retry the operation. If the problem persists, contact technical support.",
            "Severity": "Warning"
        },
        "CMC8517": {
            "Description": "A double height server is detected in slot specified in the message, however the server is not detected in the bottom slot. This occurs if the server is not correctly inserted into the chassis.",
            "Message": "A double height server is detected in slot %1, however the server is not detected in the bottom slot.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Remove the server from the chassis, check for any broken or bent pins at the rear of the server. If there is no damage, reinsert the server into the chassis.",
            "Severity": "Critical"
        },
        "CMC8518": {
            "Description": "A double-height server is detected in the slot identified in the message. However, the iDRAC in the server of slot identified in the message is also responding. If a double-height server is already present in the chassis, the server in the bottom slot must not respond.",
            "Message": "A double-height server is detected in the slot %1. However, the iDRAC in the server of bottom slot %1 is also responding.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "Do the following: 1) Remove the server in the bottom slot <slot number>. 2) Restart the Chassis Management Controller (CMC) and wait for the CMC to complete the startup process. 3) Reinsert the server identified in the message. If the issue persists, contact your service provider.",
            "Severity": "Critical"
        },
        "CMC8519": {
            "Description": "FRU of the LOM riser specified in the message is not functioning or CMC is unable to read it.",
            "Message": "The LOM riser FRU for slot %1 FRU ID %2 is not functioning.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "Do the following: 1) Reset iDRAC of the specified server or virtual reseat the server. 2) Reset CMC and wait for a few minutes. If the issue persists, contact your service provider.",
            "Severity": "Critical"
        },
        "CMC8520": {
            "Description": "FRU on the server specified in the message is not functioning or CMC is unable to read it.",
            "Message": "The FRU on server %1 is not functioning.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Do the following: 1) Reset iDRAC of the specified server or virtual reseat the server. 2) Reset CMC and wait for a few minutes. If the issue persists, contact your service provider.",
            "Severity": "Critical"
        },
        "CMC8521": {
            "Description": "The Mezz card 1 FRU for the server specified in the message is not functioning or CMC is unable to read it.",
            "Message": "The Mezz card 1 FRU for the server %1 is not functioning.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Do the following: 1) Reset iDRAC of the specified server or virtual reseat the server. 2) Reset CMC and wait for a few minutes. If the issue persists, contact your service provider.",
            "Severity": "Critical"
        },
        "CMC8522": {
            "Description": "The Mezz card 2 FRU for the server specified in the message is not functioning or CMC is unable to read it.",
            "Message": "The Mezz card 2 FRU for the server %1 is not functioning.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Do the following: 1) Reset iDRAC of the specified server or virtual reseat the server. 2) Reset CMC and wait for a few minutes. If the issue persists, contact your service provider.",
            "Severity": "Critical"
        },
        "CMC8523": {
            "Description": "The Mezz card 3 FRU for the server specified in the message is not functioning or CMC is unable to read it.",
            "Message": "The Mezz card 3 FRU for the server %1 is not functioning.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Do the following: 1) Reset iDRAC of the specified server or virtual reseat the server. 2) Reset CMC and wait for a few minutes. If the issue persists, contact your service provider.",
            "Severity": "Critical"
        },
        "CMC8524": {
            "Description": "The Mezz card 4 FRU for the server specified in the message is not functioning or CMC is unable to read it.",
            "Message": "The Mezz card 4 FRU for the server %1 is not functioning.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Do the following: 1) Reset iDRAC of the specified server or virtual reseat the server. 2) Reset CMC and wait for a few minutes. If the issue persists, contact your service provider.",
            "Severity": "Critical"
        },
        "CMC8525": {
            "Description": "The FRU on the sleeve specified in the message is not functioning or CMC is unable to read it.",
            "Message": "The FRU on the sleeve %1 is not functioning.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Do the following: 1) Reset iDRAC of the specified server or virtual reseat the server. 2) Reset CMC and wait for a few minutes. If the issue persists, contact your service provider.",
            "Severity": "Critical"
        },
        "CMC8526": {
            "Description": "CMC is unable to obtain the CPU information from the server specified in the message. This occurs if there is no communication between CMC and iDRAC.",
            "Message": "Unable to retrieve the server-%1 CPU information.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Do the following: 1) Reset iDRAC. 2) Reset CMC. If the issue persists, contact your service provider.",
            "Severity": "Warning"
        },
        "CMC8527": {
            "Description": "CMC is unable to obtain the memory information from the server specified in the message. This occurs if there is no communication between CMC and iDRAC.",
            "Message": "Unable to retrieve the server-%1 memory information.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Do the following: 1) Reset iDRAC. 2) Reset CMC. If the issue persists, contact your service provider.",
            "Severity": "Warning"
        },
        "CMC8528": {
            "Description": "CMC is unable to obtain the link tuning or flex address information for the newly installed hardware (server, Input Output Module, or Mezzanine card), or is unable to send the link tuning or flex address information to iDRAC.",
            "Message": "Unable to obtain or send link tuning or flex address data to server-%1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Make sure that the currently installed CMC firmware is the latest. Otherwise, update the CMC with the latest CMC firmware and retry the operation.",
            "Severity": "Warning"
        },
        "CMC8529": {
            "Description": "The user account does not have sufficient privileges to perform the requested operation. Server Administrator privilege is required to perform the requested action.",
            "Message": "Unable to perform the requested action on the server-%1, because of insufficient privileges.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Use a different user account that has Server Administrator privilege, and retry the operation. For more information, contact your system administrator or service provider.",
            "Severity": "Warning"
        },
        "CMC8531": {
            "Description": "The user account does not have sufficient privileges to perform the virtual reseat operation on the Sleeve or Sled specified in the message. The server administration privilege is required to perform a virtual reseat operation. This applies to Sleeve or Sled components.",
            "Message": "Unable to perform the requested action on the Sleeve or Sled %1 because of insufficient user privileges.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Use a different user account that has server administration privileges, and retry the operation. For more information, contact your system administrator about necessary privileges.",
            "Severity": "Warning"
        },
        "CMC8532": {
            "Description": "The user account does not have sufficient privileges to perform the requested operation. Server Administrator privilege is required to perform the requested action.",
            "Message": "Unable to perform the requested action on the peripheral sled %1, because of insufficient privileges.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Use a different user account that has Server Administrator privilege, and retry the operation. For more information, contact your system administrator or service provider.",
            "Severity": "Warning"
        },
        "CMC8533": {
            "Description": "Unable to read the header of the extended FRU information. This can occur if there is a problem in the communication between the CMC and the server.",
            "Message": "Unable to read the FRU information, status = %1",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Remove and reinsert the server. The CMC will retry the read operation of the FRU information. If the issue persists, contact your service provider.",
            "Severity": "Critical"
        },
        "CMC8534": {
            "Description": "Unable to turn on the server specified in the message, because the available power is lesser than the requested power.",
            "Message": "Unable to turn on the server %1 because the power requirement request exceeds the power cap value.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "In the CMC Web interface, verify the available power and server power requirements. If sufficient power is available, retry the operation. Otherwise, increase the power cap value.",
            "Severity": "Warning"
        },
        "CMC8535": {
            "Description": "Unable to turn on the server specified in the message because of an internal CMC error.",
            "Message": "Unable to turn on High Power Management for the server %1",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Reboot CMC and retry the operation. If the issue persists, reseat the server and retry the operation.",
            "Severity": "Critical"
        },
        "CMC8538": {
            "Description": "The length of the CMC firmware version to be sent in the message from local CMC to peer CMC is too long. Under these conditions, CMC version in the message is displayed as 1.0.",
            "Message": "Firmware version string is too long.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "CMC8539": {
            "Description": "CMC cannot log new events to Hardware Log if Hardware Log is full. Therefore, new events are not written to the log unless older events are cleared. This issue also occurs if event logging is disabled.",
            "Message": "The CMC %1 is unable to log %2 event to the Hardware Log.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "Do the following: 1) Save the Hardware Log if required. 2) Clear the Hardware Log.",
            "Severity": "Informational"
        },
        "CMC8540": {
            "Description": "The CMC specified in the message is turned on because of a CMC insertion or due to chassis AC power on.",
            "Message": "The CMC %1 is turned on.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "CMC8541": {
            "Description": "The CMC specified in the message was reset by a watchdog event.",
            "Message": "The watchdog has reset the CMC %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Warning"
        },
        "CMC8542": {
            "Description": "The CMC specified in the message was manually restarted.",
            "Message": "The CMC %1 was restarted because of a manual reset.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "CMC8543": {
            "Description": "The CMC specified in the message has reset because of thermal issues.",
            "Message": "The CMC %1 has reset because the thermal threshold was exceeded.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Do the following: 1) Review the Hardware Log and check if there are fans that are not functioning properly. 2) Replace the fans that are not functioning properly. 3) If all the fans are functioning, check the chassis temperature in the CMC Web Interface or by using RACADM. When the fans are functioning properly and the chassis temperature is too high, the ambient air temperature is too high or the air inlets are not receiving sufficient air.",
            "Severity": "Critical"
        },
        "CMC8545": {
            "Description": "A firmware error has occurred causing a CMC failover. The process identified in the message was not detected. The CMC will restart automatically.",
            "Message": "Detected a missing process failover condition detected. Process = %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required. If multiple failovers occur, contact your service provider.",
            "Severity": "Critical"
        },
        "CMC8546": {
            "Description": "A firmware error has occurred in the internal firmware process identified in the message. This condition will cause a CMC failover to occur. If the issue persists, contact your service provider.",
            "Message": "Issues identified with Process %1. Failover condition detected.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required. A failover may result from this condition. If multiple failovers occur, contact your service provider.",
            "Severity": "Critical"
        },
        "CMC8547": {
            "Description": "A firmware error occurred causing the failover. If this condition continues, a failover will result. If multiple failovers occur, contact Service.",
            "Message": "Missing kernel module %1. Failover condition detected.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required. If the issue persists, contact your service provider.",
            "Severity": "Critical"
        },
        "CMC8548": {
            "Description": "The active Chassis Management Controller is not connected to an external network for more than 25 seconds. A failover is performed if the standby CMC is connected to the external network.",
            "Message": "The active Chassis Management Controller is no longer connected to an external network.",
            "NumberOfArgs": 0,
            "Resolution": "Make sure that the external network cable is connected to the active CMC and the network switch. If the issue persists, contact your service provider.",
            "Severity": "Critical"
        },
        "CMC8550": {
            "Description": "If the chassis health status changes, new status is logged. The possible states are Invalid, Other, Unknown, Healthy, Non-critical, Critical, and Non-recoverable.",
            "Message": "The chassis health is %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "CMC8551": {
            "Description": "The message is displayed if the chassis health is not OK (non-critical or critical). The message after this message in the log indicates cause for the issue.",
            "Message": "The chassis health is %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Critical"
        },
        "CMC8553": {
            "Description": "An internal I2C hardware occurred and CMC initiated a failover to clear the hardware error. If the issue persists, contact your service provider.",
            "Message": "An internal error occurred and a failover condition is detected.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Critical"
        },
        "CMC8554": {
            "Description": "An internal network error occurred. If none of the external sources have an issue, the CMC may have a hardware issue. If the issue persists, contact your service provider.",
            "Message": "An internal network error occurred.",
            "NumberOfArgs": 0,
            "Resolution": "Reseat the network cable and check the connectivity to the outbound switch.",
            "Severity": "Critical"
        },
        "CMC8555": {
            "Description": "An internal memory error occurred affecting the configuration database and CMC has initiated a failover . If the issue persists, contact your service provider.",
            "Message": "An internal memory error has occurred and a failover condition is detected.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Critical"
        },
        "CMC8557": {
            "Description": "The code number specified in the message is displayed after a firmware error occurs before a failover .",
            "Message": "The system health failover is requested. Code %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Critical"
        },
        "CMC8558": {
            "Description": "The system health has recovered from a failover condition.",
            "Message": "The system health is restored.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "CMC8561": {
            "Description": "Unable to send the email alerts to the destination.",
            "Message": "Unable to send the email to %1 after trying %2 times.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "Make sure to use a valid email address.",
            "Severity": "Warning"
        },
        "CMC8562": {
            "Description": "The hardware log is cleared.",
            "Message": "The log is cleared.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "CMC8563": {
            "Description": "The KVM is mapped to the server slot number specified in the message.",
            "Message": "The KVM is mapped to the server slot %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "CMC8564": {
            "Description": "The KVM is not mapped to any of the server slots.",
            "Message": "The KVM mapping feature is disabled.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "CMC8565": {
            "Description": "The KVM mapping is enabled for the server slot specified in the message. The KVM cannot be mapped to this server slot.",
            "Message": "KVM mapping is enabled for the server slot %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "CMC8566": {
            "Description": "The KVM mapping is disabled for the server slot specified in the message. The KVM cannot be mapped to this server slot.",
            "Message": "KVM mapping is disabled for the server slot %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "CMC8567": {
            "Description": "The DVD drive is mapped to the server slot specified in the message.",
            "Message": "The DVD drive is mapped to the server slot %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "CMC8568": {
            "Description": "The DVD drive is disabled and is not mapped to any of the server slots.",
            "Message": "The DVD drive mapping feature is disabled.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "CMC8569": {
            "Description": "The server slot specified in the message is enabled for DVD drive mapping. The DVD drive can be mapped to this server slot.",
            "Message": "The server slot %1 is enabled for DVD drive mapping.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "CMC8570": {
            "Description": "The server slot specified in the message is disabled for DVD drive mapping. The DVD drive cannot be mapped to this server slot.",
            "Message": "The server slot %1 is enabled for DVD drive mapping.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "CMC8571": {
            "Description": "The coin cell battery in the primary CMC is not working. The battery needs to be replaced.",
            "Message": "The coin cell battery in the primary CMC is not working.",
            "NumberOfArgs": 0,
            "Resolution": "Replace the coin cell battery in the primary CMC.",
            "Severity": "Critical"
        },
        "CMC8572": {
            "Description": "The coin cell battery in the CMC located in the slot specified in the message is not working. The battery needs to be replaced.",
            "Message": "The coin cell battery in CMC %1 is not working.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Replace the coin cell battery of the standby CMC.",
            "Severity": "Critical"
        },
        "CMC8573": {
            "Description": "The chassis health is critical or non-recoverable.",
            "Message": "The chassis health is %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Review the Chassis log or the Chassis Management Controller(CMC) SEL log for the failure or Export chassis log and SEL log and contact technical support .",
            "Severity": "Critical"
        },
        "CMC8575": {
            "Description": "The RAC SSL Certificate is changed.",
            "Message": "The RAC SSL Certificate is changed.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "CMC8576": {
            "Description": "The RAC CA Certificate is changed.",
            "Message": "The RAC CA Certificate is changed.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "CMC8577": {
            "Description": "The Remote Access Controller (RAC) Kerberos Keytab is changed.",
            "Message": "The Remote Access Controller (RAC) Kerberos Keytab is changed.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "CMC8578": {
            "Description": "The Remote Access Controller (RAC) SSL Certificate and key is changed.",
            "Message": "The Remote Access Controller (RAC) SSL Certificate and key is changed.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "CMC8579": {
            "Description": "The security certificate cannot be uploaded because of an Unexpected Event issue in the Remote Access Controller.",
            "Message": "Unable to upload the security certificate because of an Unexpected Event issue in the Remote Access Controller (RAC).",
            "NumberOfArgs": 0,
            "Resolution": "Upload the certificate again and retry operation.",
            "Severity": "Warning"
        },
        "CMC8601": {
            "Description": "The Chassis group identified in the message is created. This chassis is the leader of the group.",
            "Message": "The Chassis group %1 is created.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action required.",
            "Severity": "Informational"
        },
        "CMC8602": {
            "Description": "The Chassis group identified in the message is deleted. This chassis was the leader of the group.",
            "Message": "The Chassis group %1 is deleted.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action required.",
            "Severity": "Informational"
        },
        "CMC8603": {
            "Description": "CMC cannot read the information about the FRU, because of an internal issue with the CMC and the server. Some information such as model number may not be reported. The server may not power up if the server planar FRU cannot be read.",
            "Message": "Unable to read the FRU information from the server %1, status %2.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "Remove and reinsert the server. The Chassis Management Controller will retry the read operation of the FRU information. If the issue persists, contact your service provider.",
            "Severity": "Critical"
        },
        "CMC8604": {
            "Description": "The FRU on the storage sled specified in the message is not functioning or CMC is unable to read it.",
            "Message": "The FRU on storage sled %1 is not functioning.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Do the following: 1) Reinsert the specified storage sled or virtual reseat the sled 2) Reset CMC and wait for a few minutes for the CMC to finish restarting. If the issue persists, contact your service provider.",
            "Severity": "Critical"
        },
        "CMC8605": {
            "Description": "The chassis health state is no longer OK and is currently the state identified in the message. Actions should be taken to resolve any outstanding issues so that the chassis health state will return to OK.",
            "Message": "The chassis health state is no longer OK and is currently %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Review the Chassis log or the Chassis Management Controller(CMC) SEL log for any outstanding issue(s) and resolve any issues found by performing the recommended response action for each issue found. If the issue persists, export the chassis log and CMC SEL log and contact your support provider.",
            "Severity": "Warning"
        },
        "CMC8607": {
            "Description": "Information about the firmware on server in slot identified in the message cannot be retrieved because there is no communication between Chassis Management Controller (CMC) and iDRAC.",
            "Message": "Unable to retrieve information about the firmware on server in slot %1, because there is no communication between Chassis Management Controller (CMC) and iDRAC.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "1.Reset iDRAC by using the graphical user interface (GUI): Click Chassis Overview > Troubleshooting > Reset Components. In the Reset Server section, from the Reset drop-down menu, select iDRAC Reset corresponding to the server iDRAC to be reset, and then click Apply Selection. Or, reset iDRAC by running the following command at the command line interface (CLI): racadm racreset -m server-n.2.Reset Chassis Management Controller (CMC) by using the GUI: Click Chassis Overview > Troubleshooting > Reset Components, and then click Reset/Failover CMC. Or, reset CMC by running the following command at the CLI: racadm racreset.For more information about the syntax and parameters used, see the iDRAC 8/7 v2.30.30.30 RACADM CLI Guide and the Chassis Management Controller Version 5.0 for Dell PowerEdge M1000e RACADM Command Line Reference Guide available on the support site.",
            "Severity": "Warning"
        },
        "CMC8608": {
            "Description": "The operation cannot be started on the server identified in the message because of insufficient user privileges.",
            "Message": "Unable to start the operation on server in slot %1, because of insufficient user privileges.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Retry the operation by using user credential that has Server Debug privileges. For more information about recommended user privileges, contact your system administrator or service provider.",
            "Severity": "Warning"
        },
        "CMC8609": {
            "Description": "The version number of Complex Programmable Logical Device (CPLD) on the sleeve identified in the message cannot be read because the CPLD version is very old, or the Chassis Management Controller (CMC) is unable to identify the version.",
            "Message": "Unable to read the Complex Programmable Logical Device (CPLD) version number of sleeve %1 because the CPLD version is very old, or the Chassis Management Controller (CMC) is unable to identify the version.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Update the CPLD version of sleeve and retry the operation. For more information about the recommended CPLD versions, see the Chassis Management Controller User's Guide available at the support site.",
            "Severity": "Critical"
        },
        "CMC8610": {
            "Description": "The read operation cannot be done because the Field Replaceable Unit (FRU) is not functioning on the sled identified in the message.",
            "Message": "Unable to read because the Field Replaceable Unit (FRU) is not functioning on the sled %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Do the following and retry the operation. 1) Reset iDRAC on the sled identified in the message or reseat the sled. 2) Reset Chassis Management Controller (CMC) and wait few minutes. If the issue persists, contact your service provider.Reset iDRAC using racadm racreset -m server-nReset CMC using racadm racreset. From GUI, navigate to Chassis Overview->Troubleshooting Reset CMC using Reset/Failover CMC. Reset iDRAC using iDRAC reset from dropdown.",
            "Severity": "Critical"
        },
        "CMC8611": {
            "Description": "The version number of Complex Programmable Logical Device (CPLD) on the sled identified in the message cannot be read because the CPLD version is very old, or the Chassis Management Controller (CMC) is unable to identify the version.",
            "Message": "Unable to read the Complex Programmable Logical Device (CPLD) version number of sled %1 because the CPLD version is very old, or the Chassis Management Controller (CMC) is unable to identify the version.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Update the CPLD version of sled and retry the operation. For more information about the recommended CPLD versions, see the Chassis Management Controller User's Guide available at the support site.",
            "Severity": "Critical"
        },
        "CMC8612": {
            "Description": "The Link Tuning Table is successfully updated by using iDRAC on the slot identified in the message.",
            "Message": "The Link Tuning Table is successfully updated by using iDRAC on slot %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "CMC8613": {
            "Description": "The reset process of iDRAC Non Maskable Interrupt (NMI) on sled identified in the message is initiated.",
            "Message": "The reset process of iDRAC Non Maskable Interrupt (NMI) on sled %1 is initiated.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "CMC8614": {
            "Description": "The reset process of iDRAC Non Maskable Interrupt (NMI) on server identified in the message is initiated.",
            "Message": "The reset process of iDRAC Non Maskable Interrupt (NMI) on server %1 is initiated.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "CMC8701": {
            "Description": "The Member Chassis could not join the chassis group identified in the message because either the Member Chassis is already a part of the other chassis group; or, the Member Chassis could not be reached.",
            "Message": "The Member Chassis could not join the chassis group %1 because either the Member Chassis is already a part of the other chassis group; or, the Member Chassis could not be reached.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Do the following and retry the operation: 1) If the Member Chassis is a part of other chassis groups, remove the Member Chassis from the other groups by using the Chassis Management Controller (CMC) graphical user interface (GUI): Log in to the Member Chassis. Click Chassis Overview > Setup > Group Administration. From the drop-down menu, select None. 2) Restart the Member Chassis by clicking Chassis Overview > Troubleshooting > Reset Components > Reset/Failover CMC. To reset by running RACADM command at the command line interface (CLI), enter racadm chassisaction reset.",
            "Severity": "Warning"
        },
        "CMC8702": {
            "Description": "The Member Chassis exited from the Chassis group <GroupName> because of manual changes made on the member chassis.",
            "Message": "The Member Chassis exited from the chassis group %1 because of manual changes made on the member chassis.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "CMC8703": {
            "Description": "The Member chassis identified in the message has joined the chassis group.",
            "Message": "The Member chassis has joined the Chassis group%1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action required.",
            "Severity": "Informational"
        },
        "CPU0000": {
            "Description": "System event log and OS logs may indicate the source of the error.",
            "Message": "Internal error has occurred check for additional logs.",
            "NumberOfArgs": 0,
            "Resolution": "Review System Event Log and Operating System Logs. These logs can help the user identify the possible issue that is producing the problem.",
            "Severity": "Informational"
        },
        "CPU0001": {
            "Description": "The processor temperature increased beyond the operational range. Thermal protection shut down the processor. Factors external to the processor may have induced this exception.",
            "Message": "CPU %1 has a thermal trip (over-temperature) event.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Review logs for fan failures, replace failed fans. If no fan failures are detected, check inlet temperature (if available) and reinstall processor heatsink.",
            "Severity": "Critical"
        },
        "CPU0002": {
            "Description": "None.",
            "Message": "CPU %1 has failed the built-in self-test (BIST).",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "1) Turn system off and remove input power for one minute. Re-apply input power and turn system on. 2) Make sure the processor is inserted correctly, if the processor is removable. 3) If the issue still persists, contact technical support. Refer to the product documentation to choose a convenient contact method.",
            "Severity": "Critical"
        },
        "CPU0003": {
            "Description": "None.",
            "Message": "CPU %1 is stuck in POST.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "1) Turn off the server and disconnect input power for one minute. Re-apply input power and turn system on. 2) Reduce system configuration to minimum memory and remove all PCI devices. If system completes POST, update system BIOS. Re-install memory and PCI one component at a time to meet the original configuration. 3) If the issue still persists, contact technical support. Refer to the product documentation to choose a convenient contact method.",
            "Severity": "Critical"
        },
        "CPU0004": {
            "Description": "None.",
            "Message": "CPU %1 failed to initialize.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "1) Turn system off and remove input power for one minute. Re-apply input power and turn system on. 2) Make sure the processor is inserted correctly, if the processor is removable.3) If the issue still persists, contact technical support. Refer to the product documentation to choose a convenient contact method.",
            "Severity": "Critical"
        },
        "CPU0005": {
            "Description": "System is unable to boot or may run in a degraded state.",
            "Message": "CPU %1 configuration is unsupported.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Review product documentation for supported CPU configurations.",
            "Severity": "Critical"
        },
        "CPU0006": {
            "Description": "System is unable to boot or may run in a degraded state.",
            "Message": "Unrecoverable CPU complex error detected on CPU %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "1) Turn system off and remove input power for one minute. Re-apply input power and turn system on. 2) Make sure the processor is seated correctly. 3) If the issue still persists, contact technical support. Refer to the product documentation to choose a convenient contact method.",
            "Severity": "Critical"
        },
        "CPU0007": {
            "Description": "None.",
            "Message": "CPU %1 is present.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "CPU0008": {
            "Description": "System is unable to boot or may run in a degraded state.",
            "Message": "CPU %1 is disabled.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "If unexpected, check presence, and system setup (BIOS) configuration.",
            "Severity": "Warning"
        },
        "CPU0009": {
            "Description": "None.",
            "Message": "CPU %1 terminator is present.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "CPU0010": {
            "Description": "The CPU is throttled due to thermal or power conditions.",
            "Message": "CPU %1 is throttled.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Review system logs for power or thermal exceptions.",
            "Severity": "Warning"
        },
        "CPU0011": {
            "Description": "None.",
            "Message": "Uncorrectable Machine Check Exception detected on CPU %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Review System Event Log and Operating System Logs. If the issue persists, contact technical support. Refer to the product documentation to choose a convenient contact method.",
            "Severity": "Critical"
        },
        "CPU0012": {
            "Description": "None.",
            "Message": "Correctable Machine Check Exception detected on CPU %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Review System Event Log and Operating System Logs. If the issue persists, contact technical support. Refer to the product documentation to choose a convenient contact method.",
            "Severity": "Warning"
        },
        "CPU0016": {
            "Description": "None.",
            "Message": "CPU %1 is operating correctly.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "CPU0021": {
            "Description": "None.",
            "Message": "CPU %1 is configured correctly.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "CPU0024": {
            "Description": "None.",
            "Message": "CPU %1 is enabled.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "CPU0025": {
            "Description": "System is unable to boot or may run in a degraded state.",
            "Message": "CPU %1 terminator is absent.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Check presence and reinstall the terminator.",
            "Severity": "Warning"
        },
        "CPU0700": {
            "Description": "System BIOS was unable to boot the processor.",
            "Message": "CPU %1 initialization error detected.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "1) Turn system off and remove input power for one minute. Re-apply input power and turn system on. 2) Make sure the processor is seated correctly. 3) If the issue still persists, contact technical support. Refer to the product documentation to choose a convenient contact method.",
            "Severity": "Critical"
        },
        "CPU0701": {
            "Description": "System event log and OS logs may indicate that the exception is external to the processor.",
            "Message": "CPU %1 protocol error detected.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "1) Check system and operating system logs for exceptions. If no exceptions are found continue. 2) Turn system off and remove input power for one minute. Re-apply input power and turn system on. 3) Make sure the processor is seated correctly. 4) If the issue still persists, contact technical support. Refer to the product documentation to choose a convenient contact method.",
            "Severity": "Critical"
        },
        "CPU0702": {
            "Description": "System event log and OS logs may indicate that the exception is external to the processor.",
            "Message": "CPU bus parity error detected.",
            "NumberOfArgs": 0,
            "Resolution": "Check system and operating system logs for exceptions. If no exceptions found, remove input power, reinstall the processor, then apply input power.",
            "Severity": "Critical"
        },
        "CPU0703": {
            "Description": "System event log and OS logs may indicate that the exception is external to the processor.",
            "Message": "CPU bus initialization error detected.",
            "NumberOfArgs": 0,
            "Resolution": "1) Check system and operating system logs for exceptions. If no exceptions are found continue. 2) Turn system off and remove input power for one minute. Re-apply input power and turn system on. 3) Make sure the processor is seated correctly. 4) If the issue still persists, contact technical support. Refer to the product documentation to choose a convenient contact method.",
            "Severity": "Critical"
        },
        "CPU0704": {
            "Description": "System event log and OS logs may indicate that the exception is external to the processor.",
            "Message": "CPU %1 machine check error detected.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "1) Check system and operating system logs for exceptions. If no exceptions are found continue. 2) Turn system off and remove input power for one minute. Re-apply input power and turn system on. 3) Make sure the processor is seated correctly. 4) If the issue still persists, contact technical support. Refer to the product documentation to choose a convenient contact method.",
            "Severity": "Critical"
        },
        "CPU0800": {
            "Description": "None.",
            "Message": "CPU %1 voltage regulator module is present.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "CPU0801": {
            "Description": "System performance may be degraded or the system may fail to operate.",
            "Message": "CPU %1 voltage regulator module failed.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "1) Turn system off and remove input power for one minute. Re-apply input power and turn system on. 2) Make sure the processor is seated correctly. 3) If the issue still persists, contact technical support. Refer to the product documentation to choose a convenient contact method.",
            "Severity": "Critical"
        },
        "CPU0802": {
            "Description": "System performance may be degraded or the system may fail to operate.",
            "Message": "A predictive failure detected on CPU %1 voltage regulator module.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "1) Turn system off and remove input power for one minute. Re-apply input power and turn system on. 2) Make sure the processor is seated correctly. 3) If the issue still persists, contact technical support. Refer to the product documentation to choose a convenient contact method.",
            "Severity": "Warning"
        },
        "CPU0803": {
            "Description": "System performance may be degraded or the system may fail to operate.",
            "Message": "The power input for CPU %1 voltage regulator module is lost.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "1) Turn system off and remove input power for one minute. Re-apply input power and turn system on. 2) Make sure the processor is seated correctly. 3) If the issue still persists, contact technical support. Refer to the product documentation to choose a convenient contact method.",
            "Severity": "Critical"
        },
        "CPU0804": {
            "Description": "System performance may be degraded or the system may fail to operate.",
            "Message": "The power input for CPU %1 voltage regulator module is outside of range.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "1) Turn system off and remove input power for one minute. Re-apply input power and turn system on. 2) Make sure the processor is seated correctly. 3) If the issue still persists, contact technical support. Refer to the product documentation to choose a convenient contact method.",
            "Severity": "Critical"
        },
        "CPU0805": {
            "Description": "System performance may be degraded or the system may fail to operate.",
            "Message": "The power input for CPU %1 voltage regulator module is outside of range, but it is attached to the system.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "1) Turn system off and remove input power for one minute. Re-apply input power and turn system on. 2) Make sure the processor is seated correctly. 3) If the issue still persists, contact technical support. Refer to the product documentation to choose a convenient contact method.",
            "Severity": "Warning"
        },
        "CPU0806": {
            "Description": "System performance may be degraded or the system may fail to operate.",
            "Message": "CPU %1 voltage regulator module is incorrectly configure.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Review product documentation for proper configuration and installation procedures.",
            "Severity": "Critical"
        },
        "CPU0816": {
            "Description": "System performance may be degraded or the system may fail to operate.",
            "Message": "CPU %1 voltage regulator module is absent.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "If removal was unintended, check presence and re-install .",
            "Severity": "Critical"
        },
        "CPU0817": {
            "Description": "None.",
            "Message": "CPU %1 voltage regulator module is operating normally.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "CPU0819": {
            "Description": "None.",
            "Message": "The power input for CPU %1 voltage regulator module has been restored.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "CPU0822": {
            "Description": "None.",
            "Message": "CPU %1 voltage regulator module is configured correctly.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "CPU9000": {
            "Description": "None.",
            "Message": "An OEM diagnostic event occurred.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "CPU9001": {
            "Description": "A correctable error was detected in propagation of signals between processors.",
            "Message": "CPU interconnect %1 has a correctable error.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Do the following: 1) Restart the server and verify whether or not the issue persists. 2) If yes, reseat the processors, and then restart the server. 3) If the issue persists, contact your server provider.",
            "Severity": "Warning"
        },
        "CPUA0023": {
            "Description": "None.",
            "Message": "CPU %1 is absent",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Verify processor installation. If present, reseat the processor.",
            "Severity": "Critical"
        },
        "CTL1": {
            "Description": "This event is retrieved from the controller when iDRAC storage monitoring was not running. Such events which are generated in the past are logged as informational severity.",
            "Message": "Controller event log: %1",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "CTL10": {
            "Description": "The controller alarm test has run successfully. This alert is provided for informational purposes.",
            "Message": "%1 alarm has been tested.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "CTL100": {
            "Description": "The Patrol Read operation running on the controller was stopped by user request or an issue was detected by the controller.",
            "Message": "The Patrol Read operation was stopped and did not complete for %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "CTL101": {
            "Description": "The controller identified in the message is disabled by a user action.",
            "Message": "The %1 is disabled.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "CTL102": {
            "Description": "The controller identified in the message is enabled by a user action.",
            "Message": "The %1 is enabled.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "CTL103": {
            "Description": "The Check Consistency Mode value of the controller identified in the message is set to the value identified in the message.",
            "Message": "The Check Consistency Mode value of %1 is set to %2.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "CTL104": {
            "Description": "The Enhanced Auto Import Foreign Config status of the controller identified in the message is set to the value identified in the message.",
            "Message": "The Enhanced Auto Import Foreign Config value of %1 is set to %2.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "CTL105": {
            "Description": "The Patrol Read attribute identified in the message is set to the value identified in the message for the controller identified in the message.",
            "Message": "The Patrol Read attribute %1 is set to %2 for %3.",
            "NumberOfArgs": 3,
            "ParamTypes": [
                "String",
                "String",
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "CTL106": {
            "Description": "The Background Initialization Rate of the controller identified in the message is set to the value identified in the message.",
            "Message": "The Background Initialization Rate of %1 is set to %2.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "CTL107": {
            "Description": "The Rebuild Rate of the controller identified in the message is set to the value identified in the message.",
            "Message": "The Rebuild Rate of %1 is set to %2.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "CTL108": {
            "Description": "The Check Consistency Rate of the controller identified in the message is set to the value identified in the message.",
            "Message": "The Check Consistency Rate of %1 is set to %2.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "CTL109": {
            "Description": "The Reconstruct Rate of the controller identified in the message is set to the value identified in the message.",
            "Message": "The Reconstruct Rate of %1 is set to %2.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "CTL11": {
            "Description": "A user operation to reset the controller configuration was performed.",
            "Message": "Configuration on %1 was reset.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "CTL110": {
            "Description": "The Patrol ReadRate of the controller identified in the message is set to the value identified in the message.",
            "Message": "The Patrol Read Rate of %1 is set to %2.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "CTL111": {
            "Description": "The CopyBack Mode the controller identified in the message is set to the value identified in the message.",
            "Message": "The CopyBack Mode of %1 is set to %2.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "CTL112": {
            "Description": "The Loadbalance Mode of the controller identified in the message is set to the value identified in the message.",
            "Message": "The Loadbalance Mode of %1 is set to %2.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "CTL113": {
            "Description": "The controller identified in the message is operating in Degraded Fault Tolerant Mode because of a mismatch between the encryption key setting of controller and its peer controller.",
            "Message": "The controller %1 is operating in Degraded Fault Tolerant Mode because of a mismatch between the encryption key setting of the controller and its peer controller.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Make sure that the encryption key for the peer controllers matches by using controller security operations such as creating a security key, modifying a security key, deleting a security key, and then power-cycle the chassis. Make sure to use same encryption key identifier on two controllers joining cluster.",
            "Severity": "Warning"
        },
        "CTL114": {
            "Description": "The encryption key for the controller identified in the message matches with its peer.",
            "Message": "The encryption key of %1 matches with its peer controller.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action required.",
            "Severity": "Informational"
        },
        "CTL115": {
            "Description": "The Secure Drive related operations cannot be performed because a key mismatch was detected between peer controllers.",
            "Message": "Unable to perform Secure Drive related operations because a key mismatch was detected between peer controllers.",
            "NumberOfArgs": 0,
            "Resolution": "Make sure that the encryption key for the peer controllers matches by using controller security operations such as creating a security key, modifying a security key, deleting a security key, and then retry the operation.",
            "Severity": "Informational"
        },
        "CTL116": {
            "Description": "The secure foreign locked drives cannot be unlocked because already unlocked drives are detected which have secure locked configuration that are neither imported nor erased.",
            "Message": "Unable to unlock secure foreign locked drives because already unlocked drives are detected that are neither imported nor deleted.",
            "NumberOfArgs": 0,
            "Resolution": "The unlock command should be followed by an import config command to import a secure foreign locked configuration or by a cryptographic erase command. If the unlocked drives are not imported or erased, then further unlock operations on locked drives will be blocked. To import already unlocked drives on a controller, run the RACADM command at the command line interface (CLI): \"racadm raid importconfig:<Controller FQDD>\" where <Controller FQDD> is the FQDD identifier of the target controller. In order to erase the data on the unlocked drive, run the command: \"racadm raid cryptographicerase:<Drive FQDD>\" where <Drive FQDD> is the FQDD identifier of the target drive.",
            "Severity": "Informational"
        },
        "CTL117": {
            "Description": "The operation cannot be completed because an invalid passphrase is passed for the controller identified in the message.",
            "Message": "Unable to complete the operation because an invalid passphrase is passed for the controller %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Enter a valid passphrase and retry the operation.",
            "Severity": "Informational"
        },
        "CTL118": {
            "Description": "The RAID controller firmware version identified in the message cannot be updated because the downloaded firmware image file is corrupted.",
            "Message": "Unable to update the RAID controller %1 firmware version because the downloaded firmware image file is corrupted.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Download the correct firmware image file and retry the operation. If the issue persists, contact your service provider.",
            "Severity": "Warning"
        },
        "CTL119": {
            "Description": "The firmware version of the RAID controller identified in the message cannot be updated because of an error in erasing the previous RAID controller firmware version (Flash Erase Error). The previous image file was not correctly erased.",
            "Message": "Unable to update the RAID controller %1 firmware version because of an error in erasing the previous RAID controller firmware version (Flash Erase Error).",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Do not reset, restart, or turn off the Chassis Management Controller (CMC). However, retry the operation by using a correct firmware image file. If the issue persists, contact your service provider.",
            "Severity": "Critical"
        },
        "CTL12": {
            "Description": "The controller and attached enclosures are not cabled correctly.",
            "Message": "An invalid SAS configuration has been detected on %1. Details: %2",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "Refer to the storage hardware documentation for information on correct cabling configurations.",
            "Severity": "Critical"
        },
        "CTL120": {
            "Description": "The firmware version of the RAID controller identified in the message cannot be updated because of a timeout while erasing the previous RAID controller firmware version.",
            "Message": "Unable to update the RAID controller %1 firmware version because of a timeout while erasing the previous RAID controller firmware version.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Do not reset, restart, or turn off the Chassis Management Controller (CMC). However, retry the operation by using a correct firmware image file. If the issue persists, contact the service provider.",
            "Severity": "Critical"
        },
        "CTL121": {
            "Description": "The firmware version of the RAID controller identified in the message cannot be updated because of an issue during the update process (programming error).",
            "Message": "Unable to update the RAID controller %1 firmware version because of an issue during the update process (programming error).",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Do not reset, restart, or turn off the Chassis Management Controller (CMC). However, retry the operation by using a correct firmware image file. If the issue persists, contact the service provider.",
            "Severity": "Critical"
        },
        "CTL122": {
            "Description": "The firmware version of the RAID controller identified in the message cannot be updated because of an issue during the update process (programming timeout error).",
            "Message": "Unable to update the RAID controller %1 firmware version because of an issue during the update process (programming timeout error).",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Do not reset, restart, or turn off the Chassis Management Controller (CMC). However, retry the operation by using a correct firmware image file. If the issue persists, contact the service provider.",
            "Severity": "Critical"
        },
        "CTL123": {
            "Description": "The firmware version of the RAID controller identified in the message cannot be updated because the memory chip on which the firmware image is saved in is of an unknown type.",
            "Message": "Unable to update the RAID controller %1 firmware version because the memory chip on which the firmware image is saved in is of an unknown type.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Download the correct firmware image file and retry the operation. If the issue persists, contact your service provider.",
            "Severity": "Critical"
        },
        "CTL124": {
            "Description": "The firmware version of the RAID controller identified in the message cannot be updated because of an issue detected in the firmware image file during the verification process.",
            "Message": "Unable to update the RAID controller %1 firmware version because of an issue detected in the firmware image file during the verification process.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Download the correct firmware image file and retry the operation. If the issue persists, contact your service provider.",
            "Severity": "Critical"
        },
        "CTL125": {
            "Description": "The firmware version of the RAID controller identified in the message cannot be updated because of an issue detected in the firmware image file during the verification process.",
            "Message": "Unable to update the RAID controller %1 firmware version because the firmware image file is not supported.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Download the correct firmware image file and retry the operation. If the issue persists, contact your service provider.",
            "Severity": "Warning"
        },
        "CTL126": {
            "Description": "The firmware version of the RAID controller identified in the message cannot be updated because the firmware image file is not signed and certified by an authorized source.",
            "Message": "Unable to update the RAID controller %1 firmware version because the firmware image file is not signed and certified by an authorized source.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Download the correct firmware image file and retry the operation. If the issue persists, contact your service provider.",
            "Severity": "Warning"
        },
        "CTL127": {
            "Description": "The firmware version of the RAID controller identified in the message cannot be updated because the signed and certified firmware image file is not authenticated.",
            "Message": "Unable to update the RAID controller %1 firmware version because the signed and certified firmware image file is not authenticated.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Download the correct firmware image file and retry the operation. If the issue persists, contact your service provider.",
            "Severity": "Warning"
        },
        "CTL13": {
            "Description": "The controller has flushed the cache and all data in the cache has been lost. This may occur when the system has memory or battery problems that cause the controller to distrust the cache. Although user data may have been lost, this alert does not always indicate that relevant or user data has been lost.",
            "Message": "The %1 cache has been discarded.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Verify that the battery and memory are functioning properly.",
            "Severity": "Warning"
        },
        "CTL14": {
            "Description": "The storage controller memory identified in the message is not operating correctly.",
            "Message": "Single-bit ECC error limit exceeded on the %1 DIMM.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Contact your service provider.",
            "Severity": "Warning"
        },
        "CTL16": {
            "Description": "This alert is provided for informational purposes.",
            "Message": "None of the %1 properties are set.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Re-issue the command.",
            "Severity": "Informational"
        },
        "CTL17": {
            "Description": "This alert is provided for informational purposes.",
            "Message": "%1 %2 is changed to %3.",
            "NumberOfArgs": 3,
            "ParamTypes": [
                "String",
                "String",
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "CTL18": {
            "Description": "This alert is provided for informational purposes.",
            "Message": "Load Balance and Auto Copyback on Predictive Failure has changed for %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Re-issue the command.",
            "Severity": "Informational"
        },
        "CTL19": {
            "Description": "This alert is provided for informational purposes.",
            "Message": "Abort CC on Error, Copyback, and Load Balance has changed for %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Re-issue the command.",
            "Severity": "Informational"
        },
        "CTL2": {
            "Description": "You have changed the controller rebuild rate. This alert is provided for informational purposes.",
            "Message": "%1 rebuild rate has changed.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "CTL20": {
            "Description": "This alert is provided for informational purposes.",
            "Message": "Copyback and Load Balance has changed for %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Re-issue the command.",
            "Severity": "Informational"
        },
        "CTL21": {
            "Description": "This alert is provided for informational purposes.",
            "Message": "Abort CC on Error and Load Balance has changed for %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Re-issue the command.",
            "Severity": "Informational"
        },
        "CTL22": {
            "Description": "This alert is provided for informational purposes.",
            "Message": "Load Balance has changed for %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Re-issue the command.",
            "Severity": "Informational"
        },
        "CTL23": {
            "Description": "This alert is provided for informational purposes.",
            "Message": "Copyback and Auto Copyback on Predictive Failure has changed for %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Re-issue the command.",
            "Severity": "Informational"
        },
        "CTL24": {
            "Description": "This alert is provided for informational purposes.",
            "Message": "Abort CC on Error and Auto Copyback on Predictive Failure has changed for %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Re-issue the command.",
            "Severity": "Informational"
        },
        "CTL25": {
            "Description": "This alert is provided for informational purposes.",
            "Message": "Auto Copyback on Predictive Failure has changed for %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Re-issue the command.",
            "Severity": "Informational"
        },
        "CTL26": {
            "Description": "This alert is provided for informational purposes.",
            "Message": "Copyback and Abort CC on Error has changed for %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Re-issue the command.",
            "Severity": "Informational"
        },
        "CTL27": {
            "Description": "This alert is provided for informational purposes.",
            "Message": "The %1 alarm is silenced.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "CTL28": {
            "Description": "This alert is provided for informational purposes.",
            "Message": "The Background Initialization (BGI) rate has changed for %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "CTL29": {
            "Description": "This alert is provided for informational purposes.",
            "Message": "The Patrol Read rate has changed for %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "CTL3": {
            "Description": "You have enabled the controller alarm. This alert is provided for informational purposes.",
            "Message": "%1 alarm is enabled.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "CTL30": {
            "Description": "This alert is provided for informational purposes.",
            "Message": "The Check Consistency rate has changed for %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "CTL31": {
            "Description": "This alert is provided for informational purposes.",
            "Message": "Copyback is modified for %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Re-issue the command.",
            "Severity": "Informational"
        },
        "CTL32": {
            "Description": "This alert is provided for informational purposes.",
            "Message": "Abort CC on Error is modified for %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Re-issue the command.",
            "Severity": "Informational"
        },
        "CTL33": {
            "Description": "This alert is provided for informational purposes.",
            "Message": "The %1 debug log file has been exported.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "CTL34": {
            "Description": "This is the result of a user operation.",
            "Message": "A foreign configuration was cleared on %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "CTL35": {
            "Description": "The operation to import foreign configuration (virtual disks, host spares, and so on) completed successfully.",
            "Message": "A foreign configuration was imported on %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Verify the foreign configuration was successfully imported by viewing the virtual disks and hot spares. See the hardware documentation for more information.",
            "Severity": "Informational"
        },
        "CTL36": {
            "Description": "This alert is provided for informational purposes.",
            "Message": "The Patrol Read mode has changed for %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "CTL37": {
            "Description": "A patrol read operation was initiated by the controller or the user.",
            "Message": "A Patrol Read operation started for %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "CTL38": {
            "Description": "The patrol read task ended.",
            "Message": "The Patrol Read operation completed for %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "CTL39": {
            "Description": "This alert is provided for informational purposes.",
            "Message": "The %1 reconstruct rate has changed.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "CTL4": {
            "Description": "You have disabled the controller alarm. This alert is provided for informational purposes.",
            "Message": "%1 alarm is disabled.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "CTL40": {
            "Description": "An error involving multiple bits has been encountered during a read or write operation. The error correction algorithm recalculates parity data during read and write operations. If an error involves only a single bit, it may be possible for the error correction algorithm to correct the error and maintain parity data. An error involving multiple bits, however, generally indicates data loss. In some cases, if the multi-bit error occurs during a read operation, then the data on the disk may be ok. If the multi-bit error occurs during a write operation, then data loss has occurred.",
            "Message": "Multi-bit ECC error on %1 DIMM.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Replace the Dual In-line Memory Module (DIMM). The DIMM is a part of the controller battery pack. Refer to the storage hardware documentation for information on replacing the DIMM. You may need to restore data from backup.",
            "Severity": "Critical"
        },
        "CTL41": {
            "Description": "An error involving a single bit has been encountered during a read or write operation. The error correction algorithm has corrected this error.",
            "Message": "Single-bit ECC error on %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Warning"
        },
        "CTL42": {
            "Description": "An attempt to hot plug an Enclosure Management Module (EMM) has been detected.",
            "Message": "Enclosure Management Module (EMM) hot plug is not supported on %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "If the new enclosure and its device are not detected by the operating system, try restarting your system to verify the newly attached enclosure and its sub-components are detected. See the hardware documentation for more information.",
            "Severity": "Informational"
        },
        "CTL43": {
            "Description": "This alert is provided for informational purposes. The text for this alert is generated by the utility that ran the diagnostics and can vary depending on the situation.",
            "Message": "Diagnostic message %1 from %2",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "CTL44": {
            "Description": "A diagnostics test failed. The text for this message is generated by the tool that ran the diagnostics and can vary depending on the situation.",
            "Message": "Diagnostic message %1 from %2",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "Refer to the storage hardware documentation for more information on the diagnostic test.",
            "Severity": "Critical"
        },
        "CTL45": {
            "Description": "The Dual In-line Memory Module (DIMM) is beginning to malfunction.",
            "Message": "Single-bit ECC error on %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Replace the Dual In-line Memory Module (DIMM) to avoid data loss or data corruption. The DIMM is a part of the controller battery pack. Refer to hardware documentation for information on replacing the DIMM.",
            "Severity": "Warning"
        },
        "CTL46": {
            "Description": "The Dual In-line Memory Module (DIMM) is malfunctioning. Data loss or data corruption may occur.",
            "Message": "Single-bit ECC error. The %1 DIMM is critically degraded.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Replace the DIMM immediately to avoid data loss or data corruption. The DIMM is a part of the controller battery pack. Refer to the storage hardware documentation for information on replacing the DIMM.",
            "Severity": "Critical"
        },
        "CTL47": {
            "Description": "The Dual In-line Memory Module (DIMM) is malfunctioning. Data loss or data corruption may occur. The DIMM must be replaced immediately.",
            "Message": "Single-bit ECC error on %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Replace the DIMM immediately. The DIMM is a part of the controller battery pack. Refer to your hardware documentation for information on replacing the DIMM.",
            "Severity": "Critical"
        },
        "CTL48": {
            "Description": "The controller has physical disks that were moved from another controller or have been removed and replaced on the current configuration. These physical disks contain virtual disks that were created on the current or other controller. See the storage hardware documentation for Import Foreign Configuration and Clear Foreign Configuration for more information. Foreign configuration is seen when a controller is replaced.",
            "Message": "A foreign configuration was detected on %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Import or clear the detected foreign configuration using a configuration tool or utility.",
            "Severity": "Informational"
        },
        "CTL49": {
            "Description": "The NVRAM has corrupted data. This may occur after a power surge, a battery failure, or for other reasons. The controller is reinitializing the NVRAM.",
            "Message": "The NVRAM has corrupted data on %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required as the controller is taking the required corrective action. However, If this message is generated often (such as during each reboot), then replace the controller.",
            "Severity": "Warning"
        },
        "CTL5": {
            "Description": "A portion of a physical disk is damaged. See Receive a \"Bad Block\" Alert with \"Replacement,\" \"Sense,\" or \"Medium\" Error for more information.",
            "Message": "Bad block replacement error on %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "See Receive a \"Bad Block\" Alert with \"Replacement,\" \"Sense,\" or \"Medium\" Error for more information.",
            "Severity": "Warning"
        },
        "CTL50": {
            "Description": "The NVRAM has corrupt data. The controller is unable to correct the situation.",
            "Message": "The %1 NVRAM has corrupt data.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Replace the controller.",
            "Severity": "Warning"
        },
        "CTL51": {
            "Description": "The text for this message is generated by the controller during runtime and can vary depending on the situation.",
            "Message": "%1 SAS port report: %2",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "Make sure the SAS cables attached to the enclosure/backplane are attached securely. Refer to the storage hardware documentation for more information on checking the cables. Contact technical support if the issue persists.",
            "Severity": "Warning"
        },
        "CTL52": {
            "Description": "This alert is provided for informational purposes. The text for this alert is generated by the controller and can vary depending on the situation.",
            "Message": "%1 SAS port report: %2",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "CTL53": {
            "Description": "This alert is provided for informational purposes.",
            "Message": "A controller hot plug has been detected.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "CTL54": {
            "Description": "This alert is provided for informational purposes. The text for this alert is generated by the controller and can vary depending on the situation.",
            "Message": "%1 event log: <args.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "CTL55": {
            "Description": "The text for this alert is generated by the controller and can vary depending on the situation. This text is from events in the controller event log that were generated while Storage Management was not running.",
            "Message": "%1 event log: %2",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "If there is a problem, review the controller event log and the Server Administrator alert log for significant events or alerts that may assist in diagnosing the problem. Verify the health of the storage components. See the hardware documentation for more information.",
            "Severity": "Warning"
        },
        "CTL56": {
            "Description": "The text for this alert is generated by the controller and can vary depending on the situation. This text is from events in the controller event log that were generated while Storage Management was not running.",
            "Message": "%1 event log: %2",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "See the hardware documentation for more information.",
            "Severity": "Critical"
        },
        "CTL57": {
            "Description": "The controller was reset to factory default configuration settings.",
            "Message": "The factory default settings were restored on %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "CTL58": {
            "Description": "The text for this alert is generated by the firmware and can vary depending on the situation. The reference to SMP in this text refers to SAS Management Protocol.",
            "Message": "%1 SAS SMP communications error %2",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "There may be a SAS topology error. See the hardware documentation for information on correct SAS topology configurations. There may be problems with the cables such as a loose connection or an invalid cabling configuration. See the Cables Attached Correctly section for more information on checking the cables. See the hardware documentation for information on correct cabling configurations. Verify that the firmware version is supported.",
            "Severity": "Critical"
        },
        "CTL59": {
            "Description": "There may be a problem with the enclosure. Verify the health of the enclosure and its components. To verify the health of the enclosure, select the enclosure object in the tree view. The Health sub-tab displays a red X or yellow exclamation point for enclosure components that are failed or degraded. See the enclosure documentation for more information.",
            "Message": "%1 SAS expander error: %2",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "There may be a problem with the enclosure. Verify the health of the enclosure and its components. To verify the health of the enclosure, select the enclosure object in the tree view. The Health sub-tab displays a red X or yellow exclamation mark for enclosure components that are failed or degraded. See the enclosure documentation for more information.",
            "Severity": "Critical"
        },
        "CTL6": {
            "Description": "A portion of a physical disk is damaged. See Receive a \"Bad Block\" Alert with \"Replacement,\" \"Sense,\" or \"Medium\" Error for more information.",
            "Message": "Bad block sense error from %1",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "See Receive a \"Bad Block\" Alert with \"Replacement,\" \"Sense,\" or \"Medium\" Error for more information.",
            "Severity": "Warning"
        },
        "CTL60": {
            "Description": "This alert is provided for informational purposes.",
            "Message": "A user has discarded data from the %1 cache.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "CTL61": {
            "Description": "The controller has detected a change in the storage configuration between since its last shut down. This can generally happen if some configured physical disks are removed from the system when the system was shutdown.",
            "Message": "Physical disks found missing from configuration during boot time on %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Shut down the system. Re-insert the removed physical disks and re-start the system.",
            "Severity": "Warning"
        },
        "CTL62": {
            "Description": "Physical disk(s) have been removed from a virtual disk. The virtual disk will be in Failed state during the next system reboot. This alert is provided for informational purposes.",
            "Message": "%1 on %2 has missing drives and will go offline at boot.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "CTL63": {
            "Description": "The controller is unable to retrieve storage configuration saved during last shut down. This can generally happen if some configured physical disks are removed from the system when the system was shutdown.",
            "Message": "Previous configuration was found completely missing during boot time on %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Shut down the system. Re-insert the removed physical disks and re-start the system.",
            "Severity": "Warning"
        },
        "CTL64": {
            "Description": "This alert is provided for informational purposes.",
            "Message": "Attempted to import Unsupported Virtual Disk type RAID%1 on %2.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "CTL65": {
            "Description": "This alert is provided for informational purposes.",
            "Message": "Attempted to import Unsupported Virtual Disk type RAID%1 on %2.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "CTL66": {
            "Description": "This alert is provided for informational purposes.",
            "Message": "Attempted to import Unsupported Virtual Disk type RAID%1 on %2.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "CTL67": {
            "Description": "This alert is provided for informational purposes.",
            "Message": "Attempted to import Virtual Disk with missing span on %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "CTL68": {
            "Description": "This alert is provided for informational purposes.",
            "Message": "Attempted to import Virtual Disk with missing Physical Disk on %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "CTL69": {
            "Description": "This alert is provided for informational purposes.",
            "Message": "Attempted to import virtual disk with outdated physical disk information on %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "CTL7": {
            "Description": "A portion of a physical disk is damaged. See Receive a \"Bad Block\" Alert with \"Replacement,\" \"Sense,\" or \"Medium\" Error for more information.",
            "Message": "Bad block medium error on %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "See Receive a \"Bad Block\" Alert with \"Replacement,\" \"Sense,\" or \"Medium\" Error for more information.",
            "Severity": "Warning"
        },
        "CTL70": {
            "Description": "This alert is provided for informational purposes.",
            "Message": "Attempted to import an orphan drive on %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "CTL71": {
            "Description": "This alert is provided for informational purposes.",
            "Message": "Attempted to import an incompatible Physical Disk on %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "CTL72": {
            "Description": "There is too much foreign configuration data to be imported in one attempt.",
            "Message": "The foreign configuration overflow has occurred on %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Import these foreign configurations in multiple attempts.",
            "Severity": "Warning"
        },
        "CTL73": {
            "Description": "This alert is provided for informational purposes.",
            "Message": "Foreign configuration is imported only partially. Some configurations failed to import on %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "CTL74": {
            "Description": "The controller has preserved data in the cache from a virtual disk, which it can no longer locate. No data loss has occurred as the controller is saving these operations in its cache.",
            "Message": "Preserved cache detected on %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Check for the existence of a foreign configuration and import if any. Check that enclosures are cabled correctly.",
            "Severity": "Warning"
        },
        "CTL75": {
            "Description": "The controller cache was discarded by the user. Data may have been lost or corrupted.",
            "Message": "Preserved cache discarded on %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "If data was corrupted or lost, restore the data to the disk from a backup copy.",
            "Severity": "Warning"
        },
        "CTL76": {
            "Description": "The controller encountered errors while applying the configuration on the physical disks. The configuration command applied has not taken effect.",
            "Message": "A configuration command could not be committed to disk on %1",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Re-issue the failed configuration command or try with a different set of physical disks. Contact technical support if the problem persists.",
            "Severity": "Critical"
        },
        "CTL78": {
            "Description": "This alert message occurs if controller firmware is flashed.",
            "Message": "Firmware image %1 is flashing on %2.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "CTL79": {
            "Description": "This controller does not support features required for this chassis. This controller will not be powered on to prevent data loss.",
            "Message": "Controller in %1 is not supported and will not be powered on.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Replace the controller with a supported controller.",
            "Severity": "Warning"
        },
        "CTL8": {
            "Description": "A portion of a physical disk is damaged. See Receive a \"Bad Block\" Alert with \"Replacement,\" \"Sense,\" or \"Medium\" Error for more information.",
            "Message": "Bad block extended sense error on %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "See Receive a \"Bad Block\" Alert with \"Replacement,\" \"Sense,\" or \"Medium\" Error for more information.",
            "Severity": "Warning"
        },
        "CTL80": {
            "Description": "The controller identified in the message has an issue as displayed in the message.",
            "Message": "%1 experienced the following warning during startup: %2.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "To resolve this issue, see Troubleshooting section in the Dell Shared PowerEdge RAID Controller (SPERC8) documentation.",
            "Severity": "Warning"
        },
        "CTL81": {
            "Description": "The security key assigned to the controller identified in the message is modified.",
            "Message": "Security key assigned to %1 is modified.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "CTL82": {
            "Description": "The controller identified in the message is functioning normally.",
            "Message": "%1 is functioning normally.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "CTL83": {
            "Description": "The management controller is not communicating with the storage controller identified in the message. This may be because of any one of the following: 1) PCIe subsystem is has stopped functioning 2) An issue in the storage controller 3) An issue in the management controller.",
            "Message": "Communication with %1 has been lost.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Restart the server. If the issue persists, contact your service provider.",
            "Severity": "Warning"
        },
        "CTL84": {
            "Description": "The firmware on the controller identified in the message is not supported by this version of the CMC. This may result in degraded functionality.",
            "Message": "%1 is running an unsupported firmware version.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Update the CMC Firmware to the latest version available or revert the controller firmware to a previous version.",
            "Severity": "Warning"
        },
        "CTL85": {
            "Description": "The controller identified in the message experienced a PCIe training error and is operating at less than full bandwidth. Until this issue is resolved, a reduction in the storage performance is expected.",
            "Message": "%1 is operating at less than optimal bandwidth.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Perform a Powercycle operation on the Chassis. If the issue persists, contact your service provider.",
            "Severity": "Warning"
        },
        "CTL86": {
            "Description": "The controller is operating in conjunction with another controller to service the same set of virtual and physical disks, providing better redundancy.",
            "Message": "%1 is operating in Fault Tolerant Mode.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "CTL89": {
            "Description": "The peer controller is no longer active in this fault tolerant pair. This can be a temporary situation.",
            "Message": "%1 is no longer fault tolerant because the peer controller is not available.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Check the chassis log for issues with the peer controller. If the peer controller does not resume normal operations after 5 minutes contact your service provider.",
            "Severity": "Warning"
        },
        "CTL9": {
            "Description": "A portion of a physical disk is damaged. See Receive a \"Bad Block\" Alert with \"Replacement,\" \"Sense,\" or \"Medium\" Error for more information.",
            "Message": "Bad block extended medium error on %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "See Receive a \"Bad Block\" Alert with \"Replacement,\" \"Sense,\" or \"Medium\" Error for more information.",
            "Severity": "Warning"
        },
        "CTL90": {
            "Description": "The peer controller is not compatible with the controller identified in the message because of a hardware mismatch.",
            "Message": "%1 is not operating in Fault Tolerant Mode because of an incompatible peer controller.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Replace the peer controller with the same model controller as the controller identified in the message.",
            "Severity": "Critical"
        },
        "CTL91": {
            "Description": "The controller identified in the message is unable to communicate with its peer. This can be because of a cabling issue.",
            "Message": "%1 is unable to communicate with its peer.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Check the cabling between the PERC cards and the expanders. If this does not resolve the issue then contact your service provider.",
            "Severity": "Warning"
        },
        "CTL92": {
            "Description": "The controller identified in the message licensed features do not match its peer.",
            "Message": "%1 is not operating in Fault Tolerant Mode because of an incompatible license setting on its peer controller.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Update the license on the peer controller.",
            "Severity": "Warning"
        },
        "CTL93": {
            "Description": "The controller identified in the message has been changed to operate as part of a fault tolerant pair.",
            "Message": "%1 has been successfully changed to operate in Fault Tolerant mode.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "CTL94": {
            "Description": "The controller identified in the message has been changed to operate as a single controller and not as part of a fault tolerant pair.",
            "Message": "%1 has been successfully changed to operate in single controller mode.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "CTL95": {
            "Description": "The controller identified in the message has stopped operating in a fault tolerant mode.",
            "Message": "%1 has left the fault tolerant pair.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "This situation may resolve itself in a few minutes. If the situation does not resolve itself or this message is repeated, contact your service provider.",
            "Severity": "Warning"
        },
        "CTL96": {
            "Description": "The controller identified in the message has an issue as displayed in the message.",
            "Message": "%1 has entered safe mode with limited functionality due to %2",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "To resolve this issue, see Troubleshooting section in the Dell Shared PowerEdge RAID Controller (SPERC8) documentation.",
            "Severity": "Critical"
        },
        "CTL97": {
            "Description": "The controller identified in the message has been changed to a new personality mode (HBA or RAID).",
            "Message": "%1 personality changed to %2 mode.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "CTL98": {
            "Description": "The security key provided as input has been assigned to the controller identified in the message.",
            "Message": "Security key assigned to %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "CTL99": {
            "Description": "The security key assigned to the controller identified in the message is deleted.",
            "Message": "Security key assigned to %1 is deleted.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "DH001": {
            "Description": "Resource temporarily unavailable.",
            "Message": "Resource needed to perform the operation is unavailable.",
            "NumberOfArgs": 0,
            "Resolution": "Try again. If the error persists, use RACADM command racreset to clear the issue.",
            "Severity": "Warning"
        },
        "DH002": {
            "Description": "Internal I/O failure.",
            "Message": "Internal I/O failure.",
            "NumberOfArgs": 0,
            "Resolution": "Try again. If the error persists, use RACADM command racreset to clear the issue.",
            "Severity": "Warning"
        },
        "DH003": {
            "Description": "Service Tag Missing.",
            "Message": "Service tag could not be read.",
            "NumberOfArgs": 0,
            "Resolution": "Try again. If the error persists, use RACADM command racreset to clear the issue.",
            "Severity": "Warning"
        },
        "DH004": {
            "Description": "Error generation Keys.",
            "Message": "iDRAC does not have sufficient free resources to generate keys.",
            "NumberOfArgs": 0,
            "Resolution": "Boot the OS. If the error persists, contact technical support.",
            "Severity": "Critical"
        },
        "DH005": {
            "Description": "Invalid CA Cert.",
            "Message": "CA Cert is corrupted, expired, or does not have signing privileges.",
            "NumberOfArgs": 0,
            "Resolution": "Close other iDRAC sessions and activities. Try again.",
            "Severity": "Informational"
        },
        "DH006": {
            "Description": "Invalid Passphrase.",
            "Message": "Not the right passphrase for the private key (need to re-write).",
            "NumberOfArgs": 0,
            "Resolution": "Validate that the certificate parameter matches the certificate contents; the certificate can be validated using OpenSSL tools.",
            "Severity": "Informational"
        },
        "DH007": {
            "Description": "CA private key/CA Certificate mismatch.",
            "Message": "The password unlocked the private key but it was the wrong private key.",
            "NumberOfArgs": 0,
            "Resolution": "Check that the private key parameter is correct. The passphrase can be validated against the private key, passphrase, and certificate can be validated using OpenSSL tools.",
            "Severity": "Informational"
        },
        "DH008": {
            "Description": "Unable to save the provided client certificate to internal persistent storage.",
            "Message": "There was a problem saving the certificate to persistent storage.",
            "NumberOfArgs": 0,
            "Resolution": "Try again. If the error persists, use RACADM command racresetcfg to clear the issue.",
            "Severity": "Warning"
        },
        "DH009": {
            "Description": "An unexpected internal problem has occurred and the operation did not complete successfully.",
            "Message": "The operation did not complete successfully because of an unexpected internal problem.",
            "NumberOfArgs": 0,
            "Resolution": "Remove AC power from the system and re-apply AC power to the system. After the server restarts, retry the operation. If the issue persists, contact your service provider.",
            "Severity": "Critical"
        },
        "DH010": {
            "Description": "The iDRAC must be reset to apply a new certificate. Until the iDRAC has reset, the old certificate will be active.",
            "Message": "Reset iDRAC to apply new certificate. Until iDRAC is reset, the old certificate will be active.",
            "NumberOfArgs": 0,
            "Resolution": "Reset the iDRAC. The iDRAC can be reset by pressing the Identify button for 15 seconds. Using the RACADM command line utility, run \"racadm racreset\".",
            "Severity": "Informational"
        },
        "DIS001": {
            "Description": "Auto Discovery starts automatically, but was unable to find a valid license. Once you have obtained a valid license and installed it, restart.",
            "Message": "Auto Discovery feature not licensed.",
            "NumberOfArgs": 0,
            "Resolution": "Follow service providers instructions to enable the license.",
            "Severity": "Informational"
        },
        "DIS002": {
            "Description": "Use the Lifecycle Controller or other service to enable Auto Discovery and restart.",
            "Message": "Auto Discovery feature disabled.",
            "NumberOfArgs": 0,
            "Resolution": "If you want AutoDiscovery to locate a Provisioning Server, enable this feature.",
            "Severity": "Informational"
        },
        "DIS003": {
            "Description": "Auto Discovery process will try to connect to a Provisioning Server over the next 24 hours.",
            "Message": "Auto Discovery process started.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "DIS004": {
            "Description": "The Auto Discovery process has timed out and stopped. The Auto Discovery process runs for 24 hours from the initial system power on or re-initialization request. Every 90 seconds the Auto Discovery client will attempt to identify and contact the Provisioning Server during this period.",
            "Message": "Auto Discovery 24-hour timeout occurred. Stopping Auto Discovery process.",
            "NumberOfArgs": 0,
            "Resolution": "Check for previous messages in the Lifecycle Controller Log that provide more specific information why the timeout occurred.",
            "Severity": "Informational"
        },
        "DIS005": {
            "Description": "Message was sent successfully from Auto Discovery to Provisioning Server to request certificate.",
            "Message": "Auto Discovery communicated successfully with Provisioning Server %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "DIS006": {
            "Description": "Auto Discovery operation was successful in establishing connection and getting certificate. Auto Discovery feature is no longer needed and has been disabled.",
            "Message": "Auto Discovery operation successful. Disabling Auto Discovery feature.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "DIS007": {
            "Description": "Unable to connect to Provisioning Server to notify about new iDRAC IP .",
            "Message": "Unable to notify Provisioning Server of iDRAC IP address change.",
            "NumberOfArgs": 0,
            "Resolution": "Check Provisioning Server connectivity and retry.",
            "Severity": "Informational"
        },
        "DIS008": {
            "Description": "iDRAC IP address change in progress with Provisioning Server.",
            "Message": "Notification of iDRAC IP address changed to %1 from %2 sent to Provisioning Server.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "DIS009": {
            "Description": "iDRAC IP address sent to Provisioning Server.",
            "Message": "Notification of iDRAC IP address changed to %1 sent to Provisioning Server.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "DIS010": {
            "Description": "The Auto Discovery process has encountered a problem. One of the following messages will be displayed on the LCD display and entered in the LC log: 1) No credentials returned, 2) Blocked Because Admin Account Enabled, 3) Blocked Because IPv6 Enabled, 4) No IP on NIC, 5) No provisioning server found, 6) Provisioning server is unreachable/invalid address, 7) SSL connection failed no service at IP/port, 8) SSL connection refused, 9) SSL connection failed (Server authentication), 10) SSL connection failed (client authentication), 11) SSL connection failed other, 12) SOAP failure, 13) Failed to create account, 14) Blocked Because Active Directory Enabled, 15) No Service Tag, and 16) Unknown.",
            "Message": "Auto Discovery LCD display message: %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Refer to Lifecycle Controller Remote Services User's Guide for additional information for LCD messages.",
            "Severity": "Informational"
        },
        "DIS011": {
            "Description": "Customer provided client certificate is being used. Auto Discovery client is using this certificate for the SSL connection with the Provisioning Server.",
            "Message": "Auto Discovery client using customer signed client certificate.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "DIS012": {
            "Description": "Factory signed client certificate is being used. Auto Discovery client is using this certificate for the SSL connection with the Provisioning Server.",
            "Message": "Auto Discovery client using factory signed client certificate.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "DIS013": {
            "Description": "Default client certificate is being used. Auto Discovery client is using this certificate for the SSL connection with the Provisioning Server.",
            "Message": "Auto Discovery client using default client certificate.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "DIS014": {
            "Description": "Auto Discovery client is using the customer provided Certificate Authority certificate to authenticate the Provisioning Server for the SSL connection.",
            "Message": "Auto Discovery client using customer provided CA certificate to authenticate Provisioning Server.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "DIS015": {
            "Description": "Auto Discovery client is using the default Certificate Authority certificate to authenticate the Provisioning Server for the SSL connection.",
            "Message": "Auto Discovery client using default CA certificate to authenticate Provisioning Server.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "DIS016": {
            "Description": "Provisioning Server responded to iDRAC IP address change.",
            "Message": "Response received from Provisioning Server to the notification of iDRAC IP address change.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "DIS100": {
            "Description": "The AutoConfig operation is successfully completed by the iDRAC using the AutoConfig import file specified in the DHCP scope option field where the VendorID=iDRAC.",
            "Message": "The AutoConfig operation is successful.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "DIS101": {
            "Description": "The AutoConfig operation is started by iDRAC using the AutoConfig import file specified in the DHCP scope option field where the VendorID=iDRAC.",
            "Message": "The execution of AutoConfig operation is started.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "DIS102": {
            "Description": "The AutoConfig configuration import operation could not be started, because the AutoConfig .xml file is not available in the sharename or location specified in the DHCP scope option field where the VendorID=iDRAC.",
            "Message": "Unable to start the AutoConfig import operation, because the AutoConfig import file is not available.",
            "NumberOfArgs": 0,
            "Resolution": "Update the sharename or location in the DHCP scope option field where the VendorID=iDRAC, make sure the AutoConfig import file is available, and then retry the operation.",
            "Severity": "Informational"
        },
        "DIS103": {
            "Description": "The network share folder cannot be accessed by using the credentials specified in the DHCP scope option field where the VendorID=iDRAC.",
            "Message": "The AutoConfig operation is unable to access a network share folder, because incorrect credentials are specified in the DHCP scope option field where the VendorID=iDRAC.",
            "NumberOfArgs": 0,
            "Resolution": "Verify whether or not the following are correctly entered in the DHCP scope option field where the VendorID=iDRAC, and then retry the operation: 1) Network share name. 2) The IP address of the network share folder. 3) The username and password (-u <username> & -p <password>).",
            "Severity": "Informational"
        },
        "DIS104": {
            "Description": "The AutoConfig operation is unable to access the network share folder, because an invalid filename is specified in the DHCP scope option field where the VendorID=iDRAC.",
            "Message": "The AutoConfig operation is unable to access the network share folder, because an invalid filename is specified in the DHCP scope option field where the VendorID=iDRAC.",
            "NumberOfArgs": 0,
            "Resolution": "Specify a valid file name in the DHCP scope option field where the VendorID=iDRAC using the (-f <filename>).",
            "Severity": "Informational"
        },
        "DIS105": {
            "Description": "The network share folder cannot be accessed, because an unsupported or invalid share type is specified in the DHCP scope option field where the VendorID=iDRAC.",
            "Message": "The AutoConfig operation is unable to access the network share folder, because an invalid sharetype value is specified in the DHCP scope option field where the VendorID=iDRAC.",
            "NumberOfArgs": 0,
            "Resolution": "Enter a valid sharetype in DHCP scope option field where the VendorID=iDRAC using (-s <0 or 1>) where 0 = NFS, 2 = CIFS.",
            "Severity": "Informational"
        },
        "DIS106": {
            "Description": "The AutoConfig import file operation could not be successfully completed, because the shutdown type (-d) specified in the DHCP scope option field where the VendorID=iDRAC is incorrect.",
            "Message": "Unable to start the AutoConfig file import operation, because an invalid shutdown type was specified in the DHCP scope option field where the VendorID=iDRAC.",
            "NumberOfArgs": 0,
            "Resolution": "Enter a valid shutdown type in the DHCP scope option field where the VendorID=iDRAC using (-d <0 or 1>) where 0 = Graceful shutdown and 1 = Forced shutdown.",
            "Severity": "Informational"
        },
        "DIS107": {
            "Description": "Unable to start the AutoConfig file import operation, because an invalid AutoConfig time-to-wait value is specified in the DHCP scope option field where the VendorID=iDRAC.",
            "Message": "Unable to start the AutoConfig file import operation, because an invalid AutoConfig time-to-wait value is specified in the DHCP scope option field where the VendorID=iDRAC.",
            "NumberOfArgs": 0,
            "Resolution": "In the DHCP scope option field where VendorID=iDRAC, enter a time-to-wait (-t) value more than 300 seconds and less than 3600 seconds and then retry the operation.",
            "Severity": "Informational"
        },
        "DIS108": {
            "Description": "The server could not be successfully configured, because Lifecycle Controller is either not installed or not enabled.",
            "Message": "Unable to start the AutoConfig import operation, because Lifecycle Controller is not enabled.",
            "NumberOfArgs": 0,
            "Resolution": "Verify that the Lifecycle Controller firmware on the server being configured is installed and enabled, then restart the iDRAC by pressing the System ID button for 15 seconds. For more information about Lifecycle Controller, see the Lifecycle Controller Users Guide available at dell.com/support/manuals.",
            "Severity": "Informational"
        },
        "DIS109": {
            "Description": "The server could not be configured because the End Host Power State value specified in the DHCP scope option field where the VendorID=iDRAC is incorrect.",
            "Message": "Unable to start the AutoConfig file import operation, because an invalid End Host Power State value is specified in the DHCP scope option field where the VendorID=iDRAC.",
            "NumberOfArgs": 0,
            "Resolution": "In the DHCP scope option field where VendorID=iDRAC, enter a end-host-power-state (-e <0 or 1>) where 0 = Powered Off and = Powered On, and then retry the operation.",
            "Severity": "Informational"
        },
        "DIS110": {
            "Description": "The AutoConfig operation is completed.",
            "Message": "The AutoConfig operation is completed.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "DIS111": {
            "Description": "The AutoConfig operation is started.",
            "Message": "The AutoConfig operation is started.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "DIS112": {
            "Description": "The AutoConfig operation is using the file identified in the message.",
            "Message": "The AutoConfig operation is using the %1 file.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "DIS113": {
            "Description": "The AutoConfig configuration import operation could not be started, because no options were specified in the DHCP scope option field where the VendorID=iDRAC.",
            "Message": "Unable to start the AutoConfig file import operation, because no options were specified in the DHCP scope option field where the VendorID=iDRAC.",
            "NumberOfArgs": 0,
            "Resolution": "Make sure that the following are correctly entered in the DHCP scope option field where the VendorID=iDRAC, and then retry the operation: 1) Filename -f <filename>). 2) The IP address of the network share folder (-i <ip-address>). 3) Network share name (-n <share-name>). 4) The share type (-s <0 or 2>) where 0 = NFS, 2 = CIFS. 5) The username and password (-u <username> & -p <password>) 6) Shutdown type (-d <0 or 1>) where 0 = Graceful shutdown and 1 = Forced shutdown. 7) Time to wait (-t <value>) where value is more than 300 seconds and less than 3600 seconds.",
            "Severity": "Informational"
        },
        "DIS114": {
            "Description": "The AutoConfig feature timed out while waiting for Remote Services to be ready.",
            "Message": "The AutoConfig feature timed out while waiting for Remote Services to be ready.",
            "NumberOfArgs": 0,
            "Resolution": "Retry the operation. If the issue persists, reset iDRAC. To reset iDRAC by using RACADM command, run the racadm racreset command at the command line interface (CLI). For more information about resetting iDRAC, see iDRAC Users Guide available at the support site.",
            "Severity": "Informational"
        },
        "DIS115": {
            "Description": "The AutoConfig configuration import operation could not be started, because no options were specified in the DHCP scope option field where the VendorID=iDRAC.",
            "Message": "Unable to start the AutoConfig file import operation, because no options were specified in the DHCP scope option field where the VendorID=iDRAC.",
            "NumberOfArgs": 0,
            "Resolution": "Make sure that the following are correctly entered in the DHCP scope option field where the VendorID=iDRAC, and then retry the operation: 1) Filename -f <filename>). 2) The IP address of the server containing the filename (-i <ip-address>). 3) The share type (-s <0, 2, 4 or 5>) where 0 = NFS, 2 = CIFS, 4 = HTTP, 5 = HTTPS. 4) For share type CIFS and NFS, provide the network share name (-n <share-name>). 5) For share type CIFS, provide the username and password (-u <username> & -p <password>).",
            "Severity": "Informational"
        },
        "DIS116": {
            "Description": "The AutoConfig operation cannot be completed because the parameter name identified in the message is not of flag type which is causing a syntax error. The parameter name must always be of flag type.",
            "Message": "Unable to complete the AutoConfig operation because the parameter %1 is not of flag type, which is causing a syntax error.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Enter an appropriate parameter of flag type and retry the operation. For example, -u is a flag indicating the username that has access to network share of CIFS type. For a list of recommended flags, see the Zero-Touch Bare Metal Server Provisioning using Dell iDRAC with Lifecycle Controller Auto Config white paper available at Dell TechCenter website.",
            "Severity": "Informational"
        },
        "DIS117": {
            "Description": "The AutoConfig operation cannot be completed because an argument is not entered for the flag identified in the message, which is causing a syntax error.",
            "Message": "Unable to complete the AutoConfig operation because an argument is not entered for the flag %1, which is causing a syntax error.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Enter an appropriate argument for the flag and retry the operation. For example, -s 0 indicates argument 0 is entered to indicate a share type of NFS. For a list of recommended flags and arguments, see the Zero-Touch Bare Metal Server Provisioning using Dell iDRAC with Lifecycle Controller Auto Config white paper available at Dell TechCenter.",
            "Severity": "Informational"
        },
        "DIS118": {
            "Description": "The AutoConfig operation cannot be completed because the flag identified in the message is not recognized, which is causing a syntax error.",
            "Message": "Unable to complete the AutoConfig operation because the flag %1 is not recognized, which is causing a syntax error.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Enter an appropriate flag and retry the operation. For example, -u is a flag indicating the username that has access to network share of CIFS type. For a list of recommended flags, see the Zero-Touch Bare Metal Server Provisioning using Dell iDRAC with Lifecycle Controller Auto Config white paper available at Dell TechCenter.",
            "Severity": "Informational"
        },
        "DIS119": {
            "Description": "The AutoConfig operation Timeout value is set to the duration as identified in the message.",
            "Message": "The AutoConfig operation Timeout value is set to %1 minutes.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "DIS120": {
            "Description": "The AutoConfig import operation cannot be started because the AutoConfig import file is not available in the sharename or location specified in DHCP scope option field where the VendorID=iDRAC.",
            "Message": "Unable to start the AutoConfig import operation because the AutoConfig import file, %1, is not available.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Update the sharename or location in the DHCP scope option field where the VendorID=iDRAC, make sure the AutoConfig import file is available, and then retry the operation.",
            "Severity": "Informational"
        },
        "DKM1000": {
            "Description": "None.",
            "Message": "A network problem detected. Cannot contact key management server.",
            "NumberOfArgs": 0,
            "Resolution": "Check for network connectivity. Review network, server, and client configuration.",
            "Severity": "Critical"
        },
        "DKM1001": {
            "Description": "None.",
            "Message": "The key management service is operating correctly.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "DKM1002": {
            "Description": "None.",
            "Message": "Key management server certificate problem detected.",
            "NumberOfArgs": 0,
            "Resolution": "Check server configuration and certificates.",
            "Severity": "Critical"
        },
        "DKM1004": {
            "Description": "None.",
            "Message": "The key management server received a bad request.",
            "NumberOfArgs": 0,
            "Resolution": "Check for network connectivity. Review network, server, and client configuration.",
            "Severity": "Critical"
        },
        "DKM1006": {
            "Description": "None.",
            "Message": "Key management server error detected.",
            "NumberOfArgs": 0,
            "Resolution": "Review server error logs for additional information.",
            "Severity": "Critical"
        },
        "ENC1": {
            "Description": "An Enclosure Management Module (EMM) has failed is inserted into the enclosure.",
            "Message": "%1 was inserted.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "ENC10": {
            "Description": "You have changed the enclosure asset name. This alert is provided for informational purposes.",
            "Message": "The %1 asset name was changed.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "ENC11": {
            "Description": "An enclosure service tag was changed. In most circumstances, this service tag should only be changed by the service provider.",
            "Message": "The %1 service tag was changed.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Make sure that the service tag was changed under authorized circumstances.",
            "Severity": "Informational"
        },
        "ENC12": {
            "Description": "Communication with an enclosure has been restored. This alert is provided for informational purposes.",
            "Message": "Communication resumed on %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "ENC13": {
            "Description": "An unsupported configuration was detected. The SCSI rate of the Enclosure Management Modules (EMMs) are not the same.",
            "Message": "Unsupported configuration detected on %1. %2 %3",
            "NumberOfArgs": 3,
            "ParamTypes": [
                "String",
                "String",
                "String"
            ],
            "Resolution": "Replace one of the EMMs with the matching SCSI rate EMM.",
            "Severity": "Warning"
        },
        "ENC14": {
            "Description": "There are too many enclosures attached to the controller port. When the enclosure limit is exceeded, the controller loses contact with all enclosures attached to the port. This is an unsupported configuration.",
            "Message": "The number of enclosures connected on %1 has exceeded the maximum limit supported by the controller.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Remove the extra enclosures. Refer to the storage hardware documentation for maximum number of enclosures that can be connected.",
            "Severity": "Critical"
        },
        "ENC15": {
            "Description": "This alert is provided for informational purposes.",
            "Message": "An enclosure blink operation has initiated on %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "ENC16": {
            "Description": "This alert is provided for informational purposes.",
            "Message": "An enclosure blink has ceased on %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "ENC17": {
            "Description": "This alert is provided for informational purposes.",
            "Message": "An Enclosure Management Module (EMM) has been discovered on %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "ENC18": {
            "Description": "The controller has lost communication with an Enclosure Management Module (EMM). The cables may be loose or defective.",
            "Message": "Communication with %1 was lost.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Make sure the cables are attached securely. See the storage hardware documentation for more information on checking the cables. Reboot the system.",
            "Severity": "Critical"
        },
        "ENC19": {
            "Description": "An Enclosure Management Module (EMM) has failed. The failure may be caused by a loss of power to the EMM. The EMM self-test may also have identified a failure. There may also be a firmware problem or a multi-bit error.",
            "Message": "%1 has failed.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Reset the Enclosure Management Module (EMM). See the storage hardware documentation for information on replacing the EMM. Replace the EMM. Contact technical support if the issue persists.",
            "Severity": "Critical"
        },
        "ENC2": {
            "Description": "An Enclosure Management Module (EMM) was removed.",
            "Message": "%1 was removed.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Reinsert the Enclosure Management Module (EMM). See the storage hardware documentation for information on replacing the EMM.",
            "Severity": "Critical"
        },
        "ENC21": {
            "Description": "A device has been removed and the system is no longer functioning in optimal condition.",
            "Message": "%1 has been removed.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Replace the device.",
            "Severity": "Critical"
        },
        "ENC22": {
            "Description": "The enclosure has a bad sensor. The enclosure sensors monitor the fan speeds, temperature probes, and so on.",
            "Message": "The %1 has a bad sensor %2.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "Refer to the storage hardware documentation for more information.",
            "Severity": "Warning"
        },
        "ENC23": {
            "Description": "There is a problem with a physical connection or PHY in the enclosure identified in the message.",
            "Message": "%1 - Issue with PHY %2.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "Contact your service provider.",
            "Severity": "Critical"
        },
        "ENC24": {
            "Description": "The controller is not receiving a consistent response from the enclosure. There could be a firmware problem or an invalid cabling configuration. If the cables are too long, they degrade the signal.",
            "Message": "Communication with %1 is intermittent.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Power down all enclosures attached to the system and reboot . If the problem persists, upgrade the firmware to the latest supported version. Verify the cable configuration is valid. See the storage hardware documentation for valid cabling configurations.",
            "Severity": "Critical"
        },
        "ENC25": {
            "Description": "The enclosure or an enclosure component is in a Failed or Degraded state.",
            "Message": "%1 has a hardware error.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Verify the health of the enclosure and its components. See the storage hardware documentation for more information. Contact technical support.",
            "Severity": "Critical"
        },
        "ENC26": {
            "Description": "The enclosure or an enclosure component is in a Failed or Degraded state. It is not responding to storage management commands or there is a connectivity problem between the controller and enclosure.",
            "Message": "%1 is not responding.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Verify the health of the enclosure and its components. See the hardware documentation to for more information. Contact technical support.",
            "Severity": "Critical"
        },
        "ENC27": {
            "Description": "The enclosure cannot support both SAS and SATA physical disks. Physical disks may be disabled. This alert is provided for informational purposes.",
            "Message": "SAS or SATA mixing of physical disks is not supported within the %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "ENC28": {
            "Description": "The firmware on the EMM modules is not the same version. Both modules must have the same firmware version. This message is caused when you attempt to insert an EMM module that has a different firmware version than an existing module.",
            "Message": "Enclosure Management Module (EMM) firmware version mismatch detected in %1.%2 %3.",
            "NumberOfArgs": 3,
            "ParamTypes": [
                "String",
                "String",
                "String"
            ],
            "Resolution": "Upgrade to the same version of the firmware on both EMM modules and then powercycle the system and attached enclosures.",
            "Severity": "Warning"
        },
        "ENC29": {
            "Description": "This alert is provided for informational purposes.",
            "Message": "%1 temperature has returned to normal.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "ENC3": {
            "Description": "The physical disk enclosure is either hotter or cooler than the maximum or minimum allowable temperature range.",
            "Message": "%1 is shutdown.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Check for factors that may cause overheating or excessive cooling. For example, verify that the enclosure fan is working. You should also check the thermostat settings and examine whether the enclosure is located near a heat source. Make sure the enclosure has enough ventilation and that the room temperature is not too hot or too cold. Refer to the enclosure documentation for more diagnostic information.",
            "Severity": "Critical"
        },
        "ENC30": {
            "Description": "This alert is provided for informational purposes.",
            "Message": "%1 firmware download is in-progress.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "ENC31": {
            "Description": "The system was unable to download firmware to the enclosure. The controller may have lost communication with the enclosure. There may have been problems with the data transfer or the download media may be corrupt.",
            "Message": "Firmware download on %1 has failed.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Attempt to download the enclosure firmware again. If problems continue, verify that the controller can communicate with the enclosure. Make sure that the enclosure is powered ON. Refer to the storage hardware documentation for information on checking the cables.",
            "Severity": "Warning"
        },
        "ENC32": {
            "Description": "The SEP has been rebooted as part of the firmware download operation and will be unavailable until the operation completes.",
            "Message": "Storage Enclosure Processor (SEP) for %1 has been rebooted.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "ENC33": {
            "Description": "Data redundancy has been restored to an enclosure that previously suffered a loss of redundancy.",
            "Message": "Redundancy on %1 is normal.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "This alert is provided for informational purposes.",
            "Severity": "Informational"
        },
        "ENC4": {
            "Description": "The firmware on the EMM modules is not the same version. It is required that both modules have the same version of the firmware. This alert may be caused when you attempt to insert an EMM module that has a different firmware version than an existing module.",
            "Message": "%1 firmware mismatch.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Download the same version of the firmware to both EMM modules.",
            "Severity": "Warning"
        },
        "ENC40": {
            "Description": "The controller detected a new enclosure. This is due either to a hot plug of an enclosure, or a power state change of an enclosure. In addition, this message is generated if the daisy chain order of the enclosures changes.",
            "Message": "A new enclosure was detected on %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "ENC5": {
            "Description": "One or more of the enclosure components has failed. For example, a fan or power supply may have failed. Although the enclosure is currently operational, the failure of additional components could cause the enclosure to fail.",
            "Message": "Redundancy on %1 is degraded",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Identify and replace the failed component. To identify the failed component, select the enclosure in the tree view and click the Health subtab. Any failed component will be identified with a red X on the enclosure's Health subtab. Alternatively, you can select the Storage object and click the Health subtab. The controller status displayed on the Health subtab indicates whether a controller has a failed or degraded component. See the enclosure documentation for information on replacing enclosure components and for other diagnostic information.",
            "Severity": "Warning"
        },
        "ENC6": {
            "Description": "The controller is unable to communicate with an enclosure. There are several reasons for communication loss. For example, there may be a bad or loose cable. An unusual amount of I/O may also interrupt communication with the enclosure. In addition, communication loss may be caused by software, hardware, or firmware problems, bad or failed power supplies, and enclosure shutdown.",
            "Message": "Communication timeout on %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Check for problems with the cables. See the Cables attached correctly section for more information on checking the cables. You should also check to see if the enclosure has degraded or failed components. To do this, select the enclosure object in the tree view and click the Health subtab. The Health subtab displays the status of the enclosure components. Verify that the controller has the supported driver and firmware versions installed and that each Enclosure Management Modules (EMMs) are running the same version of supported firmware.",
            "Severity": "Warning"
        },
        "ENC7": {
            "Description": "You have enabled the enclosure alarm. This alert is provided for informational purposes.",
            "Message": "The %1 alarm was enabled.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "ENC8": {
            "Description": "You have disabled the enclosure alarm.",
            "Message": "The %1 alarm was disabled.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "ENC9": {
            "Description": "You have changed the enclosure asset tag. This alert is provided for informational purposes.",
            "Message": "The %1 asset tag was changed.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "FAN0000": {
            "Description": "The fan is not performing optimally. The fan may be installed improperly or may be failing.",
            "Message": "Fan %1 RPM is less than the lower warning threshold.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Remove and re-install the fan at the next scheduled service window. If the issue persists, contact technical support. Refer to the product documentation to choose a convenient contact method.",
            "Severity": "Warning"
        },
        "FAN0001": {
            "Description": "The fan is not performing optimally. The fan may be installed improperly or may be failing.",
            "Message": "Fan %1 RPM is less than the lower critical threshold.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Remove and re-install the fan. If the issue persists, contact technical support. Refer to the product documentation to choose a convenient contact method.",
            "Severity": "Critical"
        },
        "FAN0002": {
            "Description": "The fan is not performing optimally. The fan may be installed improperly or may be failing.",
            "Message": "Fan %1 RPM is greater than the upper warning threshold.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Remove and re-install the fan at the next scheduled service window. If the issue persists, contact technical support. Refer to the product documentation to choose a convenient contact method.",
            "Severity": "Warning"
        },
        "FAN0003": {
            "Description": "The fan is not performing optimally. The fan may be installed improperly or may be failing.",
            "Message": "Fan %1 RPM is greater than the upper critical threshold.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Remove and re-install the fan. If the issue persists, contact technical support. Refer to the product documentation to choose a convenient contact method.",
            "Severity": "Critical"
        },
        "FAN0004": {
            "Description": "The fan is not performing optimally. The fan may be installed improperly or may be failing.",
            "Message": "Fan %1 RPM is outside of range.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Remove and re-install the fan. If the issue persists, contact technical support. Refer to the product documentation to choose a convenient contact method.",
            "Severity": "Critical"
        },
        "FAN0005": {
            "Description": "None.",
            "Message": "Fan %1 RPM is within range.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "FAN0006": {
            "Description": "The fan may be required for optimal performance.",
            "Message": "Fan %1 is removed.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "If unintentional, install a fan.",
            "Severity": "Critical"
        },
        "FAN0007": {
            "Description": "None.",
            "Message": "Fan %1 was inserted.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "FAN0008": {
            "Description": "None.",
            "Message": "Fan %1 is present.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "FAN0009": {
            "Description": "The fan may be required for optimal performance.",
            "Message": "Fan %1 is absent.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "If unintentional, install a fan.",
            "Severity": "Critical"
        },
        "FAN0010": {
            "Description": "The fan may be required for optimal performance.",
            "Message": "Fan %1 is disabled.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Warning"
        },
        "FAN0011": {
            "Description": "None.",
            "Message": "Fan %1 is enabled.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "FAN0012": {
            "Description": "The device is not performing optimally. The device may be installed improperly.",
            "Message": "%1 RPM is less than the lower warning threshold.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Remove and re-install the device at the next scheduled service. If the issue persists, contact technical support. Refer to the product documentation to choose a convenient contact method.",
            "Severity": "Warning"
        },
        "FAN0013": {
            "Description": "The cooling device is not performing optimally. The cooling device may be installed improperly.",
            "Message": "%1 RPM is less than the lower critical threshold.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Remove and re-install the cooling device. If the issue persists, contact technical support. Refer to the product documentation to choose a convenient contact method.",
            "Severity": "Critical"
        },
        "FAN0014": {
            "Description": "The cooling device is not performing optimally. The cooling device may be installed improperly.",
            "Message": "%1 RPM is greater than the upper warning threshold.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Remove and re-install the cooling device. If the issue persists, contact technical support. Refer to the product documentation to choose a convenient contact method.",
            "Severity": "Warning"
        },
        "FAN0015": {
            "Description": "The cooling device is not performing optimally. The cooling device may be installed improperly.",
            "Message": "%1 RPM is greater than the upper critical threshold.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Remove and re-install the cooling device. If the issue persists, contact technical support. Refer to the product documentation to choose a convenient contact method.",
            "Severity": "Critical"
        },
        "FAN0016": {
            "Description": "The cooling device is not performing optimally. The cooling device may be installed improperly.",
            "Message": "%1 RPM is outside of normal operating range.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Remove and re-install the cooling device. If the issue persists, contact technical support. Refer to the product documentation to choose a convenient contact method.",
            "Severity": "Critical"
        },
        "FAN0017": {
            "Description": "The RPM of the fan identified in the message is functioning correctly.",
            "Message": "%1 RPM is within normal operating range.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "FAN0018": {
            "Description": "Enhanced Cooling Mode is not supported by the type of fan identified in the message.",
            "Message": "Enhanced Cooling Mode is not supported for fan %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Replace the fan identified in the message with another fan which supports Enhanced Cooling Mode.",
            "Severity": "Warning"
        },
        "FAN0019": {
            "Description": "An incompatibility between operating mode and fan type was corrected for the fan identified in the message.",
            "Message": "An incompatibility between operating mode and fan type was corrected for fan %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "FAN0028": {
            "Description": "The fan identified in the message is inserted.",
            "Message": "The fan %1 is inserted.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "FAN0029": {
            "Description": "The fan identified in the message is either removed, incorrectly installed, or not present.",
            "Message": "The fan %1 is either removed, incorrectly installed, or not present.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Install the fan at the next scheduled service.",
            "Severity": "Critical"
        },
        "FAN0030": {
            "Description": "The configuration of fan identified in the message is not matching with the other fans in the server.",
            "Message": "The configuration of fan %1 is not matching with the other fans in the server.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Replace the fan with one that has similar configuration during the next scheduled service. For more information about recommended fan configurations, see the iDRAC User's Guide available on the support site.",
            "Severity": "Critical"
        },
        "FAN0031": {
            "Description": "The configuration mismatch of fan identified in the message is successfully resolved. For more information about recommended fan configurations, see the iDRAC User's Guide available on the support site.",
            "Message": "The configuration mismatch of fan %1 is successfully resolved.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "FAN1000": {
            "Description": "The enclosure detected that a fan was removed and the enclosure is no longer functioning in optimal condition.",
            "Message": "%1 was removed.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Re-insert the fan into the enclosure. Contact technical support if the issue persists.",
            "Severity": "Critical"
        },
        "FAN1001": {
            "Description": "The enclosure detected that a fan was inserted.",
            "Message": "%1 has been inserted.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "FAN1002": {
            "Description": "The enclosure detected that a fan has failed and the enclosure is no longer functioning in optimal condition.",
            "Message": "%1 has failed.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Contact technical support.",
            "Severity": "Critical"
        },
        "FAN8500": {
            "Description": "Enabling Enhanced Cooling Mode will provide increased airflow capability to the blades by increasing the maximum allowable blower speed at the cost of increased power consumption.",
            "Message": "Enhanced Cooling Mode is Enabled",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "FAN8501": {
            "Description": "Disabling Enhanced Cooling Mode allows for reduced power consumption by reducing the maximum speed of the blowers while still providing sufficient blade airflow.",
            "Message": "Enhanced Cooling Mode is Disabled",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "FAN8502": {
            "Description": "The current CMC firmware did not detect the blower identified in the message.",
            "Message": "Unable to detect the blower %1 because the blower may not be optimally operating.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Make sure that CMC is using the latest firmware, and then retry the operation.",
            "Severity": "Informational"
        },
        "FAN8503": {
            "Description": "The Chassis was turned off because more than two Chassis internal fans stopped functioning. The fans with issues are identified in the CMC Hardware (System Event Log) and Chassis Logs.",
            "Message": "The Chassis was turned off because more than two internal fans stopped functioning.",
            "NumberOfArgs": 0,
            "Resolution": "Make sure that the Chassis internal fans are functioning. At the command line interface (CLI), enter the following command to identify fans that are not functioning: \"racadm getsel\". Using the CMC Web GUI, select the chassis, click the Logs tab, and then select Hardware Log. Reinsert or replace fans that are not functioning correctly.",
            "Severity": "Critical"
        },
        "FAN900": {
            "Description": "The Enhanced Cooling Mode is successfully enabled.",
            "Message": "The Enhanced Cooling Mode is successfully enabled.",
            "NumberOfArgs": 0,
            "Resolution": "No response action required.",
            "Severity": "Warning"
        },
        "FAN901": {
            "Description": "The Enhanced Cooling Mode is successfully disabled.",
            "Message": "The Enhanced Cooling Mode is successfully disabled.",
            "NumberOfArgs": 0,
            "Resolution": "No response action required.",
            "Severity": "Warning"
        },
        "FAN902": {
            "Description": "The Enhanced Cooling Mode cannot be set because required power is not available.",
            "Message": "Cannot enable the Enhanced Cooling Mode because sufficient power is not available.",
            "NumberOfArgs": 0,
            "Resolution": "Add PSUs with higher power capability or remove Chassis components such as I/O Modules or servers until the power requirements have been lowered enough to enable the Enhanced Cooling Mode, and then retry the operation.",
            "Severity": "Warning"
        },
        "FAN903": {
            "Description": "The Enhanced Cooling Mode cannot be enabled because an unsupported fan is present in the Chassis.",
            "Message": "Cannot enable the Enhanced Cooling Mode because an unsupported fan is inserted in the Chassis.",
            "NumberOfArgs": 0,
            "Resolution": "Insert a fan that is supported by the Chassis, and then retry the operation. For a list of fans that are supported by Chassis, see the Chassis Management Controller Users Guide.",
            "Severity": "Warning"
        },
        "FAN904": {
            "Description": "The Enhanced Cooling Mode cannot be enabled because the Maximum Power Conservation Mode is enabled.",
            "Message": "Cannot enable the Enhanced Cooling Mode because the Maximum Power Conservation Mode is enabled.",
            "NumberOfArgs": 0,
            "Resolution": "Disable the Maximum Power Conservation Mode, and then retry the operation. To disable the mode by using CMC Web interface, click Chassis Overview > Power > Configuration. To disable the mode using the RACADM utility, run the command \"racadm config -g cfgThermal -o cfgThermalEnhancedCoolingMode 0\".",
            "Severity": "Warning"
        },
        "FAN905": {
            "Description": "Applying fan configuration settings. This may take several seconds.",
            "Message": "Applying fan configuration settings. This may take several seconds.",
            "NumberOfArgs": 0,
            "Resolution": "No response action required.",
            "Severity": "Warning"
        },
        "FAN906": {
            "Description": "Changes are not made to the current settings.",
            "Message": "Changes are not made to the current settings.",
            "NumberOfArgs": 0,
            "Resolution": "Make sure that changes are made to the settings and retry the operation.",
            "Severity": "Warning"
        },
        "FAN907": {
            "Description": "The Enhanced Cooling Mode feature is already enabled.",
            "Message": "The Enhanced Cooling Mode feature is already enabled.",
            "NumberOfArgs": 0,
            "Resolution": "No response action required.",
            "Severity": "Warning"
        },
        "FAN908": {
            "Description": "The Enhanced Cooling Mode feature is already disabled.",
            "Message": "The Enhanced Cooling Mode feature is already disabled.",
            "NumberOfArgs": 0,
            "Resolution": "No response action required.",
            "Severity": "Warning"
        },
        "FAN911": {
            "Description": "The attempt to enable the Enhanced Cooling Mode (ECM) was not successful because ECM is already enabled or Gen3 fans are not present in the Chassis.",
            "Message": "The attempt to enable the Enhanced Cooling Mode was not successful.",
            "NumberOfArgs": 0,
            "Resolution": "Check whether or not the Enhanced Cooling Mode (ECM) is already enabled. Make sure there are Gen3 fans in the Chassis and retry the operation.",
            "Severity": "Warning"
        },
        "FC001": {
            "Description": "The command was successful.",
            "Message": "The command was successful.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "FC002": {
            "Description": "Unable to allocate memory required to perform the operation.",
            "Message": "Unable to allocate memory.",
            "NumberOfArgs": 0,
            "Resolution": "Perform an AC power cycle and retry Lifecycle Controller and iDRAC firmware update.",
            "Severity": "Critical"
        },
        "FC003": {
            "Description": "An invalid number of arguments was provided to the method.",
            "Message": "Missing required parameter.",
            "NumberOfArgs": 0,
            "Resolution": "Enter required input parameters and retry. For more information, see Lifecycle Controller User's Guide or the FC HBA Profile specification.",
            "Severity": "Warning"
        },
        "FC004": {
            "Description": "The value for the specified parameter is invalid.",
            "Message": "Invalid parameter value for %1",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Make sure that the input parameter values that are provided to the method match the parameter data type and possible values defined in the FC HBA Profile specification.",
            "Severity": "Warning"
        },
        "FC005": {
            "Description": "The number of AttributeName and AttributeValue array elements are not equal.",
            "Message": "The number of AttributeName array elements does not match the AttributeValue array element count.",
            "NumberOfArgs": 0,
            "Resolution": "Provide equal number of array elements for AttributeName and AttributeValue parameters. For more information about input parameters, see FC HBA Profile specification.",
            "Severity": "Warning"
        },
        "FC006": {
            "Description": "A configuration job already exists for the specified target. No further configuration operations are allowed until the existing job is competed or the job is cancelled.",
            "Message": "Configuration job already created, cannot set attribute on specified target until existing job is completed or is cancelled.",
            "NumberOfArgs": 0,
            "Resolution": "Wait until the existing configuration job for the targeted component is complete or cancel the existing job before retrying the operation.",
            "Severity": "Warning"
        },
        "FC007": {
            "Description": "Configuration job already created on the specified target. No further command is allowed until the existing job succeeded or the job is cancelled.",
            "Message": "A configuration job already exists. Unable to create another configuration job on specified target until existing job is completed or is cancelled.",
            "NumberOfArgs": 0,
            "Resolution": "Wait for the existing job to complete or cancel the existing job and retry the operation.",
            "Severity": "Warning"
        },
        "FC008": {
            "Description": "No changes are available between the previous configuration and the current configuration. To create a Configuration job, change at least one attribute.",
            "Message": "No pending data present to create a Configuration job.",
            "NumberOfArgs": 0,
            "Resolution": "Change the configuration of one or more attributes and retry creating the Configuration job.",
            "Severity": "Informational"
        },
        "FC009": {
            "Description": "Lifecycle Controller cannot gain access to internal storage due to use by another application or operation.",
            "Message": "Lifecycle Controller is currently in use.",
            "NumberOfArgs": 0,
            "Resolution": "Wait for Lifecycle Controller to complete the current operation. Make sure that the system is: 1) Not currently in Lifecycle Controller Unified Server Configurator 2) Not waiting for user intervention at F1/F2 POST error 3) Not in any of the device or controller Option ROMs and retry the operation.",
            "Severity": "Warning"
        },
        "FC010": {
            "Description": "For 11G systems: System Services must be enabled to perform the requested operation. System Services has been disabled through the iDRAC configuration utility accessed by pressing CTRL+E on boot up or through a remote operation. For 12G and above generations: Lifecycle Controller must be enabled to perform the requested operation. Lifecycle Controller has been disabled by pressing F2 Setup, selecting iDRAC Configuration, and selecting Lifecycle Controller Settings on boot up or through a remote operation.",
            "Message": "Unable to create Configuration job because Lifecycle Controller is not enabled.",
            "NumberOfArgs": 0,
            "Resolution": "For 11G systems: Use the iDRAC configuration utility to enable the System Services by pressing the CTRL+E option on boot up at the targeted system. For 12G and above generations: Use F2 Setup, select iDRAC Configuration, and select Lifecycle Controller Settings, to enable the Lifecycle Controller on boot up of the targeted system.",
            "Severity": "Warning"
        },
        "FC011": {
            "Description": "Configuration job already created on the specified target. No further command is allowed until the existing job is completed.",
            "Message": "Configuration job already created, pending data cannot be deleted.",
            "NumberOfArgs": 0,
            "Resolution": "Cancel the configuration job or wait for the job to complete. Refer to documentation on job cancellation.",
            "Severity": "Warning"
        },
        "FC012": {
            "Description": "No changes to component attribute data are available between the previous configuration and the current configuration.",
            "Message": "No pending data to delete.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "FC013": {
            "Description": "An incorrect AttributeName parameter name was provided.",
            "Message": "Invalid AttributeName: %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Enter the correct AttributeName available for the component in the system. Identify the correct AttributeName from the attribute enumeration response for the component or refer to the FC HBA Profile specification.",
            "Severity": "Warning"
        },
        "FC014": {
            "Description": "The AttributeValue parameter is invalid due to one of the following: 1) The length of new AttributeValue is not within the minimum length and maximum length range or does not comply with the governing regular expression 2) Value of new AttributeValue is not within the lower bound and upper bound range limits 3) The value is not one of the possible values.",
            "Message": "Invalid AttributeValue parameter content for corresponding AttributeName %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "For valid attribute values, see the FC HBA Profile specification.",
            "Severity": "Warning"
        },
        "FC015": {
            "Description": "A set attribute operation was not successful because the attribute is read-only.",
            "Message": "Unable to change read-only attribute %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "FC016": {
            "Description": "A set attribute operation was not successful because the attribute is disabled.",
            "Message": "Unable to change the attribute value of the disabled attribute %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "FC017": {
            "Description": "An internal error occurred in iDRAC and the operation cannot continue. An iDRAC reset is required to recover from the error.",
            "Message": "Unable to perform the operation due to an internal error in iDRAC.",
            "NumberOfArgs": 0,
            "Resolution": "Disconnect the AC power source from the system, reconnect the power source, and retry the operation.",
            "Severity": "Critical"
        },
        "FC018": {
            "Description": "The configuration operation cannot be started because the System Lockdown mode is enabled.",
            "Message": "Unable to start the configuration operation because the System Lockdown mode is enabled.",
            "NumberOfArgs": 0,
            "Resolution": "Make sure that the Lockdown.1#SystemLockdown attribute is set to Disabled in the DCIM_iDracCardEnumeration class by running the WS-Man get command at the command line interface (CLI), and then retry the operation.",
            "Severity": "Informational"
        },
        "FC102": {
            "Description": "The FC controller port link identified in the message is not functioning either because the FC cable is not connected or the FC device is not functioning.",
            "Message": "The %1 port %2 link is not functioning either because the FC cable is not connected or the FC device is not functioning.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "Do the following: 1) Make sure that the FC port is enabled. 2) Make sure the Activity/Speed LEDs are lit if the physical port has LEDs. 3) Check the FC cable and FC cable connections for proper installation. 4) Check that the attached FC switch is functioning.",
            "Severity": "Warning"
        },
        "FC103": {
            "Description": "The network connection of the FC controller port link identified in the message is successfully started.",
            "Message": "The %1 port %2 network connection is successfully started.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "No response action required.",
            "Severity": "Informational"
        },
        "FCD8500": {
            "Description": "The server specified in the message must be turned off or the server slot must be empty before changing the FlexAddress configuration.",
            "Message": "Unable to apply the %1 configuration. The affected servers (slot %2) are not turned off.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "Turn off the server and retry the operation.",
            "Severity": "Warning"
        },
        "FCD8501": {
            "Description": "The FlexAddress, FlexAddress+ or extended storage feature is deactivated. Turn chassis off and remove the feature card.",
            "Message": "The feature is deactivated: %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Turn chassis OFF and remove card. Alternately, to repair the card, perform Repair by navigating to the CMC GUI -> Chassis Controller -> Flash Media page.",
            "Severity": "Critical"
        },
        "FCD8503": {
            "Description": "Chassis already has the feature identified in the message activated. Only one instance of a feature can be activated at a time. If the feature must be activated on the new card, it must be deactivated before activating.",
            "Message": "The feature is activated in the chassis: %1",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "FCD8504": {
            "Description": "The card was installed and activated on another chassis. To use this card, it must be deactivated (uninstalled) on the other chassis.",
            "Message": "The feature was previously activated on another chassis.",
            "NumberOfArgs": 0,
            "Resolution": "Remove the card and install it on the chassis where the feature is activated.",
            "Severity": "Informational"
        },
        "FCD8505": {
            "Description": "Features cannot be deactivated when the chassis is turned on.",
            "Message": "The features cannot be deactivated when the chassis is turned on.",
            "NumberOfArgs": 0,
            "Resolution": "Turn off the chassis via the Web interface or RACADM command line interface before deactivating the feature. To turn off the chassis using Racadm type \"racadm chassisaction -m chassis powerdown\". To deactivate the feature using RACADM, type \"racadm <feature> -d\" where <feature> is the name of the feature to be deactivated.",
            "Severity": "Warning"
        },
        "FCD8531": {
            "Description": "The CMC is not responding. The chassis has the factory-programmed service tag.",
            "Message": "Unable to activate the %1. The chassis service tag is unavailable.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Contact your service provider.",
            "Severity": "Critical"
        },
        "FSD000": {
            "Description": "The customer has authorized the specified debug capabilities on this iDRAC. (This should occur in response to a request from Dell tech support.) Each debug capability represents a certain action Dell engineers can perform to debug iDRAC.",
            "Message": "Debug authorized by customer; debugcaps: %1, was authorized by: %2, at %3 for the period: %4 to %5.",
            "NumberOfArgs": 5,
            "ParamTypes": [
                "String",
                "String",
                "String",
                "String",
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "FSD001": {
            "Description": "Dell has authorized the specified debug capabilities. Each debug capability represents a certain action Dell engineers can perform to debug iDRAC.",
            "Message": "Debug authorized by Dell; debugcaps: %1, at %2, was authorized by Dell employee: %3, for the time period %4 to %5.",
            "NumberOfArgs": 5,
            "ParamTypes": [
                "String",
                "String",
                "String",
                "String",
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "FSD002": {
            "Description": "A RACADM Debug command failed. If the RACADM Debug command was executed under the direction of Dell tech support then further assistance from tech support should be requested. Otherwise this command is not intended for customer use.",
            "Message": "Debug authorization failed; for debugCaps: %1, authorized by iDRAC user: %2, and Dell employee: %3, at %4 for the period: %5 to %6.",
            "NumberOfArgs": 6,
            "ParamTypes": [
                "String",
                "String",
                "String",
                "String",
                "String",
                "String"
            ],
            "Resolution": "Verify all of the following 1) ensure that the unblock, grant, and invoke/start/stop/resume commands are all executed against the same iDRAC. 2) ensure dat.ini file has not been changed in any way. 3) ensure that current date falls between the start and end times. Note that Dell can further restrict both the set of debugCaps that is authorized and the start and stop times. If an authorized person did not enter a RACADM debug command then an attacker may have entered the command.",
            "Severity": "Warning"
        },
        "GMGR0000": {
            "Description": "The iDRAC Group Manager feature is disabled. iDRAC will no longer be able to create or join iDRAC local groups. However, all the earlier settings of Group Manager are preserved. To enable the Group Manager, log in to iDRAC. On the Dashboard page, from the Open Group Manager menu, select Enable Group Manager.",
            "Message": "The iDRAC Group Manager feature is disabled.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "GMGR0001": {
            "Description": "The iDRAC Group Manager feature is enabled. All the iDRAC Group Manager features, if configured earlier to a group, will be preserved. iDRAC will be able to create or join iDRAC local groups.",
            "Message": "The iDRAC Group Manager feature is enabled.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "GMGR0002": {
            "Description": "The iDRAC local group with a name identified in the message is successfully created. Current iDRAC continues to be the Primary Controller of iDRAC local group.",
            "Message": "The iDRAC local group %1 is successfully created.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "GMGR0003": {
            "Description": "The iDRAC local group with a name identified in the message is successfully deleted. The deleted iDRAC will be shown as available in other groups' views for forming a group.",
            "Message": "The iDRAC local group %1 is successfully deleted.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "GMGR0004": {
            "Description": "The iDRAC local group is successfully renamed to new name identified in the message.",
            "Message": "The iDRAC local group is successfully renamed to %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "GMGR0005": {
            "Description": "The iDRAC with the Service Tag identified in the message has successfully joined the local iDRAC group identified in the message.",
            "Message": "iDRAC %1 successfully joined the local iDRAC Group %2.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "GMGR0006": {
            "Description": "The iDRAC successfully removed itself from the local group identified in the message. The removed iDRAC can now join any available local groups.",
            "Message": "iDRAC successfully removed itself from the local group %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "GMGR0007": {
            "Description": "The server having the Service Tag identified in the message has successfully joined the local iDRAC group identified in the message. The server can now be managed from the local group.",
            "Message": "The server %1 has successfully joined the local iDRAC group %2.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "GMGR0008": {
            "Description": "The iDRAC having the Service Tag identified in the message has been successfully removed from the local iDRAC group identified in the message.",
            "Message": "The server %1 is successfully removed from the group %2 by the Group Manager administrator.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "GMGR0009": {
            "Description": "The server having the Service Tag identified in the message is assigned as the Primary Controller of the group identified in the message. Hereafter, all group tasks can be done from the Primary Controller.",
            "Message": "The server %1 is successfully assigned as the Primary Controller of the group %2.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "GMGR0010": {
            "Description": "iDRAC is unable to communicate within the server group because either the service tag is not configured, group passcode has changed, group was deleted and does not exist or network cable is disconnected from the Primary Controller.",
            "Message": "Unable to complete the operation as iDRAC is unable to communicate within the server group either because service tag is not configured, group passcode has changed, group was deleted and does not exist or network is disconnected from the master server.",
            "NumberOfArgs": 0,
            "Resolution": "Make sure that the group was not deleted prior or cabling of all iDRAC servers is correct or server has a configured service tag. If the issue persists, try disabling and reenabling the group manager or reset the IDRAC.",
            "Severity": "Informational"
        },
        "GMGR0011": {
            "Description": "The Group Manager identified a Secondary Controller for the local group.",
            "Message": "The Group Manager identified a Secondary Controller for the local group.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "GMGR0012": {
            "Description": "The new iDRAC local group cannot be created in Group Manager either because a group with the same name already exists, Service tag not setup for the system or there is an error in network connection.",
            "Message": "Unable to create new iDRAC local group either because a group with the same name already exists, Service tag not setup for the server or there is an error in network connection.",
            "NumberOfArgs": 0,
            "Resolution": "Do any one of the following and retry the operation: a) Check if another group with the same name appears in the Group Manager Discovered Groups view. b) Verify the system has a servicetag setup c) Verify your network settings. d) Restart iDRAC.",
            "Severity": "Warning"
        },
        "GMGR0013": {
            "Description": "The iDRAC local group identified in the message cannot be deleted because of an internal issue in the Primary Group Controller.",
            "Message": "Unable to delete the iDRAC local group %1 because of an internal issue in the Primary Group Controller.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Retry the operation. If the issue persists, restart the iDRAC.",
            "Severity": "Warning"
        },
        "GMGR0014": {
            "Description": "The iDRAC local group cannot be renamed to the new name identified in the message either because a group already exists with the same name or there is an internal issue in the Primary Group Controller.",
            "Message": "Unable to rename the iDRAC local group to %1 either because a group already exists with the same name or there is an internal issue in the Primary Group Controller.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Do any one of the following and retry the operation: a) Check if another group with the same name appears in the Group Manager Discovered Groups view. b) Restart iDRAC.",
            "Severity": "Informational"
        },
        "GMGR0015": {
            "Description": "The iDRAC cannot be added to local group identified in the message because the maximum possible iDRACs are already added to group.",
            "Message": "Unable to add iDRAC to local group %1 because the maximum possible iDRACs are already added to group.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Remove existing iDRAC(s) from the local group to free up slots. If there are more than the maximum possible iDRACs, consider upgrading to OpenManage Consoles.",
            "Severity": "Warning"
        },
        "GMGR0016": {
            "Description": "The Service Tag identified in the message could not join the iDRAC local group identified in the message either because the Group passcode entered is incorrect, local group already has the max allowed iDRACs, or issues in network connection.",
            "Message": "%1 is unable to join the iDRAC local group %2 either because the Group passcode is incorrect, group already has the max allowed iDRACs, iDRAC already part of another group, group name does not exist, or issues in network connection.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "Do any one of the following and retry the operation: a) Enter correct Group Passcode. b) Remove existing iDRAC(s) from the local group. Consider upgrading to a supported console if there are more than the maximum iDRACs. c) Verify the network cabling connections.",
            "Severity": "Warning"
        },
        "GMGR0017": {
            "Description": "The group member identified in the message cannot be removed from group identified in the message because a group job is in progress with in the group. Retry the operation after the group job is complete.",
            "Message": "Unable to remove the group member %1 from group %2 because a group job is in progress with in the group.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "Log in to the group manager and track the progress of the group task. Retry the operation once the group task is completed.",
            "Severity": "Informational"
        },
        "GMGR0018": {
            "Description": "The group job identified in the message is successfully rescheduled.",
            "Message": "The group job %1 of type %2 is rescheduled.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "GMGR0019": {
            "Description": "The group job identified in the message is successfully stopped. The job details can be viewed in the Group Manager job view.",
            "Message": "The group job %1 of type %2 is stopped.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "GMGR0020": {
            "Description": "The group job identified in the message is successfully cancelled.",
            "Message": "The group job %1 of type %2 is cancelled.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "GMGR0021": {
            "Description": "The group job identified in the message is rerunning a failed operation on the basis of a user request.",
            "Message": "The group job %1 of type %2 is rerunning a failed operation per user request.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "GMGR0022": {
            "Description": "The group job identified in the message is successfully completed.",
            "Message": "The group job %1 of type %2 is successfully completed.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "GMGR0023": {
            "Description": "The group job identified in the message is completed but with errors. The job details can be viewed in the Group Manager job view.",
            "Message": "The group job %1 of type %2 is completed but with errors.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "Review the error details in Group Manager job view and rerun the operation if required.",
            "Severity": "Critical"
        },
        "GMGR0024": {
            "Description": "The group passcode is successfully changed.",
            "Message": "The group passcode is successfully changed.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "GMGR0025": {
            "Description": "The group job identified in the message could not be completed.",
            "Message": "Unable to complete the group job %1 of type %2 on the iDRAC %3.",
            "NumberOfArgs": 3,
            "ParamTypes": [
                "String",
                "String",
                "String"
            ],
            "Resolution": "See the job details in the iDRAC Group Manager job view, and then retry the operation if required.",
            "Severity": "Warning"
        },
        "GMGR0026": {
            "Description": "The group passcode cannot be modified because one or more iDRACs did not respond within 48 hours.",
            "Message": "Unable to modify the group passcode because one or more iDRACs did not respond within 48 hours.",
            "NumberOfArgs": 0,
            "Resolution": "Check the group job ID for information about the failed iDRACs in the Group Manager job view. Check network connection and system health of each iDRAC from the GUI. Remove the iDRAC(s) from the group and rejoin the group by using new passcode.",
            "Severity": "Warning"
        },
        "GMGR0027": {
            "Description": "The group passcode could not be modified.",
            "Message": "Unable to modify the local group passcode.",
            "NumberOfArgs": 0,
            "Resolution": "Log in to the iDRAC as administrator, exit the local group, and then rejoin by using the new passcode. If the issue persists, restart iDRAC and retry the operation.",
            "Severity": "Warning"
        },
        "GMGR0028": {
            "Description": "The configuration clone operation cannot be completed either because of a firmware mismatch between Primary Group Controller and Group Member or because of network issues.",
            "Message": "Unable to complete the configuration clone operation either because of a firmware mismatch between Primary Group Controller and Group Member or because of network issues.",
            "NumberOfArgs": 0,
            "Resolution": "See iDRAC Group Manager job view for information about recommended correction action. In case of a firmware mismatch, ensure the firmware versions match each other by performing a firmware update.",
            "Severity": "Warning"
        },
        "GMGR0029": {
            "Description": "The iDRAC identified in the message is successfully ignored from the Group Manager's autodiscovery, and then added to the Ignore list.",
            "Message": "The iDRAC %1 is successfully ignored from the Group Manager's autodiscovery.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "GMGR0030": {
            "Description": "The passcode for joining iDRAC local group is successfully changed.",
            "Message": "The iDRAC local group passcode is successfully changed.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "GMGR0031": {
            "Description": "The Secondary Controller iDRAC is unavailable. Group redundancy is degraded. The group automatically selects a Secondary Controller after 10 minutes.",
            "Message": "The iDRAC local group Secondary Controller %1 is unavailable.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "GMGR0032": {
            "Description": "The iDRAC identified in the message is successfully removed from the Ignore list.",
            "Message": "The iDRAC %1 is successfully removed from the Ignore list.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "GMGR0033": {
            "Description": "The new group job identified in the message is successfully created.",
            "Message": "A new group job %1 is successfully created for %2. The job progress can be viewed in the Group Manager job view.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "GMGR0034": {
            "Description": "The group job identified in the message is successfully deleted.",
            "Message": "The group job %1 is successfully deleted.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "GMGR0035": {
            "Description": "The group job identified in the message is successfully cancelled.",
            "Message": "The group job %1 is successfully cancelled.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "GMGR0036": {
            "Description": "The group job identified in the message can not be deleted because the job is actively running.",
            "Message": "Unable to delete the group job %1 of type %2 because the job is running.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "Wait for the job to complete or stop it if it is actively running.",
            "Severity": "Informational"
        },
        "GMGR0037": {
            "Description": "The group job identified in the message cannot be deleted because the job is running.",
            "Message": "Unable to reschedule the group job %1 of type %2 because the job is actively running.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "Wait for the job to complete and retry the operation. Else, stop the job if running and retry the operation.",
            "Severity": "Informational"
        },
        "GMGR0038": {
            "Description": "The iDRAC local group could not identify a Secondary Controller either because of firmware incompatibility between master and members, or because the local group does not have a second member to select a master.",
            "Message": "The iDRAC local group could not identify a Secondary Controller either because of firmware incompatibility between master and members, or because the local group does not have a second member to select a master.",
            "NumberOfArgs": 0,
            "Resolution": "To enable redundancy, make sure that there is at least one more member that has the supported firmware version for the Controller capability.",
            "Severity": "Critical"
        },
        "GMGR0039": {
            "Description": "The operation cannot be completed because of an internal error or timeout connecting with the master.",
            "Message": "Unable to complete the operation because of an internal error or timeout to connect with the group master.",
            "NumberOfArgs": 0,
            "Resolution": "Reset the iDRAC and retry the operation. To reset the iDRAC by using RACADM command line interface (CLI), enter \"racadm racreset\". To reset by using iDRAC graphical user interface (GUI), on the iDRAC homepage, click Maintenance > Diagnostics > Reset iDRAC.",
            "Severity": "Informational"
        },
        "GMGR0040": {
            "Description": "The group job identified in the message cannot be stopped because it is not in the active state. Scheduled and completed group jobs cannot be stopped.",
            "Message": "Unable to stop the group job %1 of type %2 because the group job is not an actively running task.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "GMGR0041": {
            "Description": "The group job identified in the message cannot be retried because the group job is not in an error state. Only failed or errored group job shall be retried.",
            "Message": "Unable to retry the group job %1 of type %2 because the group job is not in an error state.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "GMGR0042": {
            "Description": "The group job identified in the message cannot be started because the operation is not supported.",
            "Message": "Unable to start the requested operation on the group job %1 of type %2 because the operation is not supported.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "GMGR0043": {
            "Description": "The group job identified in the message cannot be scheduled because the maximum number of group jobs are already created. A maximum of 50 group jobs of all states are maintained by the group manager.",
            "Message": "Unable to schedule a group job of type %1 because maximum number of group jobs are already created.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Delete any completed group job and retry the operation.",
            "Severity": "Informational"
        },
        "GMGR0044": {
            "Description": "The group job identified in the message cannot be completed because a group job is already in progress.",
            "Message": "Unable to start a system configuration job of type %1 because a group configuration job is already in progress. The job status is %2.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "Wait for the group configuration job to get completed and retry the operation.",
            "Severity": "Informational"
        },
        "GMGR0045": {
            "Description": "The group job cannot be canceled because it is not in the scheduled state. Active and completed group jobs cannot be canceled.",
            "Message": "Unable to cancel the group job %1 of type %2 because it is not a job in scheduled state.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "GMGR0046": {
            "Description": "The group job at the member level cannot be started either because the group member is unavailable or turned off.",
            "Message": "The group member is unavailable or turned off.",
            "NumberOfArgs": 0,
            "Resolution": "Wait for the group member to be available and rerun the job.",
            "Severity": "Informational"
        },
        "GMGR0047": {
            "Description": "The group job is either stopped by a user action or failed at the member level.",
            "Message": "The group job is either stopped by a user action or failed at the member level.",
            "NumberOfArgs": 0,
            "Resolution": "Do the following and rerun the job: 1) Check the group job rollup status to see if the job is stopped by the user. If yes, rerun the job if required. 2) If not, review the job execution details in the Lifecycle Log details of the member iDRAC. By using the iDRAC graphical user interface (GUI), on the home page, click Maintenance > Lifecycle Log. By using command line interface (CLI), enter the RACADM command \"racadm lclog view\".",
            "Severity": "Warning"
        },
        "GMGR0048": {
            "Description": "The group job at the member level is completed but with errors. Review the job execution details at member iDRAC lifecycle log.",
            "Message": "The group job is completed, but with errors.",
            "NumberOfArgs": 0,
            "Resolution": "Review the job execution details at member iDRAC lifecycle log. Rerun the job if required after addressing any action items.",
            "Severity": "Informational"
        },
        "GMGR0049": {
            "Description": "The Discovered Servers are not detected in the current network configuration.",
            "Message": "The Discovered Servers are not detected in the current network configuration.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "GMGR0050": {
            "Description": "There are no jobs present in the current group.",
            "Message": "There are no jobs present in the current group.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "GMGR0051": {
            "Description": "The operation cannot be completed because Grouped Servers are not detected in the group.",
            "Message": "Unable to complete the operation because Grouped Servers are not detected in the group.",
            "NumberOfArgs": 0,
            "Resolution": "Wait for some time, because the group initialization may take time. If the issue persists, do the following: 1) Verify that the group was not deleted by reviewing lifecycle logs. 2) Disable, and then enable the Group Manager by using the iDRAC home page. 3) Make sure that network connections are correct. 4)If the iDRAC was already part of group, logged into the group manager and if the group deletion job is successful, log out and log in to the iDRAC Group Manager. 5) Log out, and then log in to the iDRAC Group Manager. If the issue persists, contact your service provider.",
            "Severity": "Critical"
        },
        "GMGR0052": {
            "Description": "The role of current iDRAC Group Manager cannot be determined because of an internal error.",
            "Message": "Unable to determine the current iDRAC Group Manager role because of an internal error.",
            "NumberOfArgs": 0,
            "Resolution": "Wait for some time and try again, Do the following if issue persists: 1) Disable and then enable the Group Manager by using the iDRAC home page. 2) Make sure that network connections are correct. 3) Restart the iDRAC. If the issue still persists, contact your service provider.",
            "Severity": "Critical"
        },
        "GMGR0053": {
            "Description": "A duplicate group is detected.",
            "Message": "A duplicate group is detected.",
            "NumberOfArgs": 0,
            "Resolution": "Do any one of the following: 1) Change the current group name. 2) Log in to the other group and change the other group's name. If the issue persists, contact your service provider.",
            "Severity": "Critical"
        },
        "GMGR0054": {
            "Description": "The operation cannot be started by opening the Group Manager because either the primary or secondary servers are unavailable.",
            "Message": "Unable to start the operation by opening the Group Manager because either the primary or secondary servers are unavailable.",
            "NumberOfArgs": 0,
            "Resolution": "Do any one of the following: 1) Wait 10 minutes and retry the operation. 2) If the issue persists, delete the existing group and create a new group.",
            "Severity": "Critical"
        },
        "GMGR0055": {
            "Description": "The Group Manager cannot be accessed because of insufficient privileges to the logged in user.",
            "Message": "Unable to access the Group Manager because of insufficient privileges.",
            "NumberOfArgs": 0,
            "Resolution": "Contact the system administrator to get necessary privileges. For more information about user privileges, see the Online help by pressing F1, or see the iDRAC User's Guide available on the support site.",
            "Severity": "Warning"
        },
        "GMGR0056": {
            "Description": "The Group Manager cannot be accessed because of insufficient license permissions.",
            "Message": "Unable to access the Group Manager because of insufficient license permissions.",
            "NumberOfArgs": 0,
            "Resolution": "Contact the system administrator to get necessary Enterprise license. For more information about licenses, see the Online help by pressing F1, or see the iDRAC User's Guide available on the support site.",
            "Severity": "Warning"
        },
        "GMGR0057": {
            "Description": "Your business depends on efficient management of IT infrastructure and application. You face the challenges of maintaining IT availability, improving productivity and reducing operational costs. At the same time, your IT resources must remain flexible in response to dynamic business needs. Dell's enterprise systems management solutions drive operational efficiencies that help you achieve dramatic improvements in the productivity and agility of your IT environment.",
            "Message": "Your business depends on efficient management of IT infrastructure and application. You face the challenges of maintaining IT availability, improving productivity and reducing operational costs.",
            "NumberOfArgs": 0,
            "Resolution": "At the same time, your IT resources must remain flexible in response to dynamic business needs. Dell's enterprise systems management solutions drive operational efficiencies that help you achieve dramatic improvements in the productivity and agility of your IT environment.",
            "Severity": "Informational"
        },
        "GMGR0058": {
            "Description": "Unable to complete the configuration operation because the System Lockdown mode is enabled.",
            "Message": "Unable to complete the configuration operation because the System Lockdown mode is enabled.",
            "NumberOfArgs": 0,
            "Resolution": "Disable the System Lockdown mode and retry the operation. To disable System Lockdown mode, Go to iDRAC home page > Dashboard > More Actions > Turn off the System Lockdown Mode (or) on iDRAC secure shell, use the command racadm set iDRAC.Lockdown.SystemLockdownMode Disabled.",
            "Severity": "Informational"
        },
        "GMGR0059": {
            "Description": "The configuration clone operation is successfully completed to clone the group email alert settings while the server is joined to the group. The job status is as identified in the message.",
            "Message": "The configuration clone operation is successfully completed to clone the group email alert settings while the server is joined to the group. The job status is %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "GMGR0060": {
            "Description": "The group member cannot be removed because the group needs at least one active member. A member in a group that has only one member or whole group members all together cannot be removed, but the group itself must be deleted by running the command.",
            "Message": "Unable to remove the group member because the group needs at least one member.",
            "NumberOfArgs": 0,
            "Resolution": "Delete the group by using the graphical user interface (GUI): On the Group Manager Summary page, click the Edit Group tab. Or, run the RACADM command at the command line interface (CLI): - racadm groupmanager delete -g <groupname>.",
            "Severity": "Warning"
        },
        "GMGR0061": {
            "Description": "The job cannot be run because the server is offline. However, the server is removed from the controller cache, but the server may reappear in the group after the server iDRAC is available online.",
            "Message": "Unable to run the job because the server is offline.",
            "NumberOfArgs": 0,
            "Resolution": "Wait for the server to be available online, and then rerun the job.",
            "Severity": "Warning"
        },
        "GMGR0062": {
            "Description": "The job cannot be run because invalid user credentials are entered.",
            "Message": "Unable to run the job because invalid user credentials are entered.",
            "NumberOfArgs": 0,
            "Resolution": "Enter valid credentials and retry the operation.",
            "Severity": "Warning"
        },
        "GMGR0063": {
            "Description": "The iDRAC Group Manager feature is disabled. iDRAC will no longer be able to create or join or maintain iDRAC local groups. However, all the earlier settings of Group Manager are preserved. To enable the Group Manager, log in to iDRAC. On the Dashboard page, click Enable Group Manager.",
            "Message": "Unable to complete the requested operation because the iDRAC Group Manager feature is disabled.",
            "NumberOfArgs": 0,
            "Resolution": "Enable the iDRAC Group Manager feature and retry the operation. To enable the Group Manager, log in to iDRAC. On the Dashboard page, click Enable Group Manager.",
            "Severity": "Warning"
        },
        "GMGR0064": {
            "Description": "The group job cannot be stopped because it is not in the active state. Only a job in running state can be stopped. Scheduled and completed group jobs cannot be stopped.",
            "Message": "Unable to stop the group job because it is not an actively running job.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Warning"
        },
        "GMGR0065": {
            "Description": "The group job cannot be retried because it is not in an error state. Only failed or errored group job shall be retried.",
            "Message": "Unable to retry completing the group job because it is not in an error state.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Warning"
        },
        "GMGR0066": {
            "Description": "The group job cannot be started because an invalid operation is requested.",
            "Message": "Unable to start the requested operation on the group job because the operation is not supported.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Warning"
        },
        "GMGR0067": {
            "Description": "The group job cannot be scheduled for the requested operation because the maximum number of group jobs are already created. A maximum of 50 group jobs of all states are maintained by the Group Manager.",
            "Message": "Unable to schedule a group job for the requested operation because the maximum number of group jobs are already created.",
            "NumberOfArgs": 0,
            "Resolution": "Delete the completed group jobs and retry the operation.",
            "Severity": "Warning"
        },
        "GMGR0068": {
            "Description": "The group job cannot be completed because a group job is in progress.",
            "Message": "Unable to complete a system configuration job because a group job is in progress.",
            "NumberOfArgs": 0,
            "Resolution": "Wait for the existing group job to get completed and retry the operation.",
            "Severity": "Warning"
        },
        "GMGR0069": {
            "Description": "The group job cannot be cancelled because it is not in the scheduled state. Active and completed group jobs cannot be cancelled.",
            "Message": "Unable to cancel the group job because it is not in the scheduled state.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "GMGR0070": {
            "Description": "The server with the Service Tag identified in the message is unable to leave the local group either because the iDRAC is not part of the group or there are issues in the network connection.",
            "Message": "The server with the Service Tag %1 is unable to leave the local group %2 either because the iDRAC is not part of the group or there are issues in the network connection.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "Do any one of the following and retry the operation: 1) Enter the correct group name. 2) Verify the network cabling connections.",
            "Severity": "Warning"
        },
        "GMGR0071": {
            "Description": "The group member cannot be onboarded because the Group Controller detected three or more repeated failed authentication attempts. Group is locked for 5 minutes.",
            "Message": "Unable to onboard the group member because the Group Controller detected %1 or more repeated failed authentication attempts.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Wait for 5 minutes, and then retry onboarding the group member.",
            "Severity": "Warning"
        },
        "GMGR0072": {
            "Description": "The group job cannot be deleted because the job is running.",
            "Message": "Unable to delete the group job because the job is already running.",
            "NumberOfArgs": 0,
            "Resolution": "Do any one of the following: 1) Wait for the job to run successfully and then delete the job. 2) Stop the job and then delete the job.",
            "Severity": "Warning"
        },
        "GMGR0073": {
            "Description": "The group job cannot be rescheduled because the job is running.",
            "Message": "Unable to reschedule the group job because the job is already running.",
            "NumberOfArgs": 0,
            "Resolution": "Do any one of the following: 1) Wait for the job to run successfully and then delete the job. 2) Stop the job and then delete the job.",
            "Severity": "Warning"
        },
        "GMGR0074": {
            "Description": "The requested Group Manager Configuration operation is successfully completed.",
            "Message": "The requested Group Manager Configuration operation is successfully completed.",
            "NumberOfArgs": 0,
            "Resolution": "Wait for 60 seconds before performing another Group Manager operation.",
            "Severity": "Informational"
        },
        "GMGR0075": {
            "Description": "Some Group members are offline. Changing a group passcode when some group members are offline results in the creation of duplicate groups.",
            "Message": "Some Group members are offline. Changing the group passcode when some group members are offline results in the creation of duplicate groups. Do you want to continue?",
            "NumberOfArgs": 0,
            "Resolution": "Do one or all of the following and retry the operation: 1) Resolve all the connectivity issues in the group, and then change the group passcode. 2) Remove the offline group members, and then change the group password.",
            "Severity": "Warning"
        },
        "GMGR0076": {
            "Description": "The configuration operation cannot be completed because either the iDRAC has a pending update process or a pending local configuration job in the queue.",
            "Message": "Unable to complete the configuration operation because either the iDRAC has a pending update process or a pending local configuration job in the queue.",
            "NumberOfArgs": 0,
            "Resolution": "Wait for the current operation or local iDRAC jobs to complete and retry the operation. To view a list of local iDRAC jobs, on the iDRAC homepage of graphical user interface (GUI), click Job Queue. To view by running the RACADM command, enter \"racadm jobqueue\".",
            "Severity": "Warning"
        },
        "GMGR0077": {
            "Description": "The iDRAC cannot be added to group because the maximum possible iDRACs are already added to group.",
            "Message": "Unable to add the iDRAC to group because the maximum possible iDRACs are already added to group.",
            "NumberOfArgs": 0,
            "Resolution": "Remove existing iDRAC(s) from group to free up slots. If available iDRACs are more than allowed number of iDRACs, upgrade to OpenManage Consoles.",
            "Severity": "Warning"
        },
        "HWC0001": {
            "Description": "The error is caused due to iDRAC failure.",
            "Message": "Unable to complete the operation as there is no response from iDRAC.",
            "NumberOfArgs": 0,
            "Resolution": "1) Turn off the system and disconnect the power cord.2) Wait for five seconds.3) Reconnect the power cord and turn on the system.",
            "Severity": "Critical"
        },
        "HWC0002": {
            "Description": "The vFlash SD Card is either not present or not correctly inserted.",
            "Message": "Unable to detect vFlash SD card.",
            "NumberOfArgs": 0,
            "Resolution": "Insert the vFlash SD card or reinsert the vFlash SD card, and retry the operation.",
            "Severity": "Warning"
        },
        "HWC0003": {
            "Description": "The vFlash SD card was successfully initialized.",
            "Message": "Successfully initialized vFlash SD card.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "HWC0004": {
            "Description": "The vFlash SD card is incorrectly inserted, the vFlash SD card is faulty, or there is an iDRAC communication failure.",
            "Message": "Unable to initialize vFlash SD card.",
            "NumberOfArgs": 0,
            "Resolution": "Reinsert or replace the vFlash SD card, or reset iDRAC, and retry the operation. If the problem persists:1) Turn off the system and disconnect the power cord.2) Wait for five seconds.3) Reconnect the power cord, turn on the system, and retry the operation.",
            "Severity": "Critical"
        },
        "HWC0005": {
            "Description": "Internal error while retrieving firmware version for the currently installed components. For more information about the failure, see Lifecycle Log.",
            "Message": "Internal error while retrieving update information.",
            "NumberOfArgs": 0,
            "Resolution": "1) Turn off the system and disconnect the power cord.2) Wait for five seconds.3) Reconnect the power cord, turn on the system, and retry the operation.",
            "Severity": "Critical"
        },
        "HWC0006": {
            "Description": "If a vFlash SD card is not present in the system or if the card is locked, Lifecycle Controller cannot save the settings.",
            "Message": "Unable to save vFlash SD card settings.",
            "NumberOfArgs": 0,
            "Resolution": "Insert the vFlash SD card or unlock the vFlash SD card and retry the operation.",
            "Severity": "Critical"
        },
        "HWC0007": {
            "Description": "Lifecycle Controller is unable to retrieve vFlash SD card information from iDRAC.",
            "Message": "Unable to load vFlash SD card settings.",
            "NumberOfArgs": 0,
            "Resolution": "Reinsert the vFlash SD card and retry the operation. If the problem persists:1) Turn off the system and disconnect the power cord.2) Wait for five seconds.3) Reconnect the power cord, turn on the system, and retry the operation.",
            "Severity": "Critical"
        },
        "HWC0008": {
            "Description": "An internal error occurred while communicating with iDRAC.",
            "Message": "Unable to communicate with iDRAC.",
            "NumberOfArgs": 0,
            "Resolution": "Exit the wizard and retry the operation. If the problem persists:1) Turn off the system and disconnect the power cord.2) Wait for five seconds.3) Reconnect the power cord, turn on the system, and retry the operation.",
            "Severity": "Critical"
        },
        "HWC0009": {
            "Description": "The vFlash SD card is missing or not inserted correctly. iDRAC is not able to enable vFlash SD card.",
            "Message": "Unable to enable vFlash SD card.",
            "NumberOfArgs": 0,
            "Resolution": "Reinsert the vFlash SD card and retry the operation. If the problem persists:1) Turn off the system and disconnect the power cord.2) Wait for five seconds.3) Reconnect the power cord, turn on the system, and retry the operation.",
            "Severity": "Critical"
        },
        "HWC0010": {
            "Description": "Operation failed because the folder name entered is incorrect or the USB drive is disconnected.",
            "Message": "Invalid folder name or USB drive not found.",
            "NumberOfArgs": 0,
            "Resolution": "Enter a valid folder name or attach the USB drive and retry the operation.",
            "Severity": "Critical"
        },
        "HWC0011": {
            "Description": "The USB drive does not have sufficient free space to copy the file.",
            "Message": "Insufficient space to copy the file to the USB drive.",
            "NumberOfArgs": 0,
            "Resolution": "Make sure the USB drive has sufficient free space before retrying the operation.",
            "Severity": "Critical"
        },
        "HWC0012": {
            "Description": "The USB drive is write protected.",
            "Message": "Unable to write to the USB drive.",
            "NumberOfArgs": 0,
            "Resolution": "Remove write protection on the USB drive before retrying the operation.",
            "Severity": "Critical"
        },
        "HWC0013": {
            "Description": "The USB drive is disconnected or is not readable.",
            "Message": "Unable to copy the file to USB drive.",
            "NumberOfArgs": 0,
            "Resolution": "Remove and reinsert the USB drive and retry the operation. If the problem persists, restart the system and retry.",
            "Severity": "Critical"
        },
        "HWC0014": {
            "Description": "The import operation failed because the vFlash SD card is missing or disabled.",
            "Message": "Unable to detect vFlash SD card.",
            "NumberOfArgs": 0,
            "Resolution": "Make sure the vFlash SD card is inserted and enabled before retrying the operation.",
            "Severity": "Critical"
        },
        "HWC0015": {
            "Description": "iDRAC has encountered a hardware error.",
            "Message": "iDRAC not responding.",
            "NumberOfArgs": 0,
            "Resolution": "Retry the operation. If the problem persists, 1) Turn off the system and disconnect the power cord.2) Wait five seconds.3) Reconnect the power cord, turn on the system, and retry the operation.",
            "Severity": "Critical"
        },
        "HWC0016": {
            "Description": "Lifecycle Controller is unable to communicate with iDRAC.",
            "Message": "iDRAC communication failure.",
            "NumberOfArgs": 0,
            "Resolution": "Retry the operation. If the problem persists, 1) Turn off the system and disconnect the power cord.2) Wait five seconds.3) Reconnect the power cord, turn on the system, and retry the operation.",
            "Severity": "Critical"
        },
        "HWC0017": {
            "Description": "Cannot start Lifecycle Controller because Lifecycle Controller is unable to communicate with iDRAC because of internal issues.",
            "Message": "Unable to start Lifecycle Controller because Lifecycle Controller cannot communicate with iDRAC, because of internal issues %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Issue is because of an internal error. To resolve the issue:1) Turn off the server and disconnect the power cord. 2) Wait for 10 seconds, reconnect the power cord, turn on the server, and retry starting Lifecycle Controller by pressing F10 when the company logo is displayed. 3) If the issue persists, update iDRAC firmware to the latest version, and then retry the operation. Else, contact your service provider.",
            "Severity": "Critical"
        },
        "HWC0018": {
            "Description": "The necessary drivers cannot be loaded because of internal issues between iDRAC and Lifecycle Controller.",
            "Message": "Unable to load the necessary drivers because of internal issues between iDRAC and Lifecycle Controller %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Issue is because of an internal error. To resolve the issue:1) Turn off the server and disconnect the power cord. 2) Wait for 10 seconds, reconnect the power cord, turn on the server, and retry starting Lifecycle Controller by pressing F10 when the company logo is displayed. 3) If the issue persists, update iDRAC firmware to the latest version, and then retry the operation. Else, contact your service provider.",
            "Severity": "Critical"
        },
        "HWC1000": {
            "Description": "None.",
            "Message": "The %1 is present.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "HWC1001": {
            "Description": "The absent device may be necessary for proper operation. System functionality may be degraded.",
            "Message": "The %1 is absent.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Re-install or reconnect the hardware.",
            "Severity": "Critical"
        },
        "HWC1002": {
            "Description": "None.",
            "Message": "The %1 is disabled.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "If device disabled unexpectedly, re-enable device.",
            "Severity": "Informational"
        },
        "HWC1003": {
            "Description": "None.",
            "Message": "The %1 is enabled.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "HWC1004": {
            "Description": "None.",
            "Message": "The storage adapter is present.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "HWC1005": {
            "Description": "The storage adapter may be necessary for proper operation. System functionality may be degraded.",
            "Message": "The storage adapter is absent.",
            "NumberOfArgs": 0,
            "Resolution": "Install storage adapter.",
            "Severity": "Critical"
        },
        "HWC1006": {
            "Description": "None.",
            "Message": "The storage adapter is disabled.",
            "NumberOfArgs": 0,
            "Resolution": "If adapter disabled unexpectedly, re-enable the storage adapter.",
            "Severity": "Informational"
        },
        "HWC1007": {
            "Description": "None.",
            "Message": "The storage adapter is enabled.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "HWC1008": {
            "Description": "None.",
            "Message": "The backplane is present.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "HWC1009": {
            "Description": "The backplane may be necessary for proper operation. System functionality may be degraded.",
            "Message": "The backplane is absent.",
            "NumberOfArgs": 0,
            "Resolution": "If removal was unintended, check presence, then re-install or reconnect.",
            "Severity": "Critical"
        },
        "HWC1010": {
            "Description": "None.",
            "Message": "The backplane is disabled.",
            "NumberOfArgs": 0,
            "Resolution": "If disabled unexpectedly, re-enable backplane.",
            "Severity": "Informational"
        },
        "HWC1011": {
            "Description": "None.",
            "Message": "The backplane is enabled.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "HWC1012": {
            "Description": "None.",
            "Message": "The USB cable is present.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "HWC1013": {
            "Description": "The USB cable may be necessary for proper operation. System functionality may be degraded.",
            "Message": "The USB cable is absent.",
            "NumberOfArgs": 0,
            "Resolution": "If removal was unintended, check presence, then re-install or reconnect.",
            "Severity": "Critical"
        },
        "HWC1014": {
            "Description": "None.",
            "Message": "The mezzanine card %1 is present.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "HWC1015": {
            "Description": "The mezzanine card may be necessary for proper operation. System functionality may be degraded.",
            "Message": "The mezzanine card %1 is absent.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "If removal was unintended, check presence, then re-install or reconnect.",
            "Severity": "Critical"
        },
        "HWC1100": {
            "Description": "None.",
            "Message": "The %1 was installed in slot %2.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "HWC1101": {
            "Description": "None.",
            "Message": "The %1 is removed from slot %2.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "HWC1102": {
            "Description": "The peripheral sled identified in the message is installed in the unsupported slot identified in the message.",
            "Message": "The %1 is installed in an unsupported slot %2.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "Install the Storage sled in a supported slot and retry the operation. For information about the supported sleds and slots, see the User's Guide available at the support site.",
            "Severity": "Warning"
        },
        "HWC1103": {
            "Description": "The peripheral sled identified in the message is removed from the unsupported slot identified in the message.",
            "Message": "The %1 installed in an unsupported slot %2 is removed.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "HWC1104": {
            "Description": "The peripheral sled identified in the message that is inserted in the slot identified in the message is not supported by the chassis or the current CMC firmware version.",
            "Message": "The %1 installed in slot %2 is not supported by the chassis.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "Make sure that the peripheral sled identified in the message is supported by the chassis and the CMC firmware. For information about the supported sleds and firmware versions, see the System Manual available at the support site.",
            "Severity": "Warning"
        },
        "HWC1105": {
            "Description": "The peripheral sled identified in the message is removed from the unsupported slot identified in the message.",
            "Message": "The %1 is removed from the slot %2.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "HWC1200": {
            "Description": "The sled identified in the message is inserted in the slot identified in the message.",
            "Message": "The sled %1 is inserted in slot %2.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "HWC1201": {
            "Description": "The sled identified in the message is removed from the slot identified in the message.",
            "Message": "The sled %1 is removed from slot %2.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Critical"
        },
        "HWC1202": {
            "Description": "None.",
            "Message": "The %1 was installed in slot %2.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "HWC1203": {
            "Description": "None.",
            "Message": "The %1 is removed from slot %2.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Critical"
        },
        "HWC2000": {
            "Description": "None.",
            "Message": "The %1 cable or interconnect is connected.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "HWC2001": {
            "Description": "The cable may be necessary for proper operation. System functionality may be degraded.",
            "Message": "The %1 cable or interconnect is not connected or is improperly connected.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Check presence, then re-install or reconnect.",
            "Severity": "Critical"
        },
        "HWC2002": {
            "Description": "None.",
            "Message": "The storage %1 cable or interconnect is connected.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "HWC2003": {
            "Description": "The cable may be necessary for proper operation. System functionality may be degraded.",
            "Message": "The storage %1 cable is not connected, or is improperly connected.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Check presence, then re-install or reconnect.",
            "Severity": "Critical"
        },
        "HWC2004": {
            "Description": "None.",
            "Message": "The system board %1 cable or interconnect is connected.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "HWC2005": {
            "Description": "The cable may be necessary for proper operation. System functionality may be degraded.",
            "Message": "The system board %1 cable or interconnect is not connected, or is improperly connected.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Check presence, then re-install or reconnect.",
            "Severity": "Critical"
        },
        "HWC2006": {
            "Description": "The device may be necessary for proper operation. System functionality may be degraded.",
            "Message": "The %1 is not installed correctly.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Check presence, then re-install or reconnect.",
            "Severity": "Critical"
        },
        "HWC2007": {
            "Description": "None.",
            "Message": "The %1 is installed correctly.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "HWC2008": {
            "Description": "The fabric type for the IOM and mezzanine cards must match. Once an IOM or mezzanine card is inserted into the chassis, the fabric type is then set for the CMC and the CMC will ensure that all subsequent IOM's and mezzanine cards match.",
            "Message": "A fabric mismatch detected for mezzanine card %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Check chassis fabric type in CMC GUI and compare to the type of IOM or mezzanine card.",
            "Severity": "Critical"
        },
        "HWC2009": {
            "Description": "None.",
            "Message": "Mezzanine card %1 is installed correctly.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "HWC2010": {
            "Description": "None.",
            "Message": "The riser board cable or interconnect is connected.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "HWC2011": {
            "Description": "The riser blade cable may be necessary for proper operation. System functionality may be degraded.",
            "Message": "The riser board cable or interconnect is not connected, or is improperly connected.",
            "NumberOfArgs": 0,
            "Resolution": "Check presence, then re-install or reconnect.",
            "Severity": "Critical"
        },
        "HWC2012": {
            "Description": "The fabric type on the server does not match that of the IO module.",
            "Message": "A fabric mismatch detected on fabric %1 with server in slot %2.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "Check chassis fabric type in CMC GUI and compare to the type of IOM or mezzanine card.",
            "Severity": "Critical"
        },
        "HWC2013": {
            "Description": "None.",
            "Message": "Fabric mismatch corrected on fabric %1 with server in slot %2.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "HWC2014": {
            "Description": "None.",
            "Message": "A hardware misconfiguration detected on %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Make sure the hardware is installed correctly. Refer to the product documentation for correct configuration and installation procedures.",
            "Severity": "Critical"
        },
        "HWC2015": {
            "Description": "None.",
            "Message": "The %1 is configured correctly.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "HWC2016": {
            "Description": "A fabric type mismatch is detected between the server in slot and I/O module as identified in the message.",
            "Message": "A fabric type %1 mismatch is detected between the server in slot %2 and I/O module.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "Check the chassis fabric type by using the Chassis Management Controller (CMC) graphic user interface (GUI) and compare against the type of fabric used in the I/O or mezzanine card. To check chassis type on the CMC home page, select the server, and then view the I/O module properties. For more information about the compatible fabric types, see the CMC User's Guide available on the support site.",
            "Severity": "Warning"
        },
        "HWC3000": {
            "Description": "The removed device may be necessary for proper operation. System functionality may be degraded.",
            "Message": "The %1 is removed.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "If removal was unintended, check presence, then re-install or reconnect.",
            "Severity": "Critical"
        },
        "HWC3001": {
            "Description": "None.",
            "Message": "The %1 is inserted.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "HWC3002": {
            "Description": "None.",
            "Message": "Server %1 is removed.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "If removal was unintended, check presence, then re-insert.",
            "Severity": "Critical"
        },
        "HWC3003": {
            "Description": "None.",
            "Message": "Server %1 was inserted.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "HWC3004": {
            "Description": "None.",
            "Message": "IO module %1 is removed.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "If removal was unintended, check presence, then re-insert.",
            "Severity": "Critical"
        },
        "HWC3005": {
            "Description": "None.",
            "Message": "IO module %1 was inserted.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "HWC3006": {
            "Description": "There are not enough IPv4 addresses reserved for the servers in this chassis. Therefore the newly inserted server could not be configured with the QuickDeploy feature.",
            "Message": "Unable to QuickDeploy server in slot %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Do the following: 1) Check the number of reserved IPv4 addresses for QuickDeploy. 2) Modify it such that the newly inserted blade will obtain an IP address for QuickDeploy. 3) Reseat the server to retry the QuickDeploy operation or manually configure the network parameters for the server. (Note that some chassis models may require a response at the LCD panel).",
            "Severity": "Warning"
        },
        "HWC4000": {
            "Description": "A hardware incompatibility was detected between BMC/iDRAC firmware and Processor(s). An iDRAC or BMC firmware update is needed.",
            "Message": "A hardware incompatibility detected between BMC/iDRAC firmware and CPU.",
            "NumberOfArgs": 0,
            "Resolution": "Update the BMC/iDRAC firmware. If the problem persists, contact support.",
            "Severity": "Critical"
        },
        "HWC4001": {
            "Description": "None.",
            "Message": "A hardware incompatibility was corrected between BMC/iDRAC firmware and CPU.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "HWC4002": {
            "Description": "A hardware incompatibility was detected between BMC/iDRAC firmware and other hardware. An iDRAC or BMC firmware update is needed.",
            "Message": "A hardware incompatibility detected between BMC/iDRAC firmware and other hardware.",
            "NumberOfArgs": 0,
            "Resolution": "Update the BMC/iDRAC firmware. If the problem persists, contact support.",
            "Severity": "Critical"
        },
        "HWC4003": {
            "Description": "None.",
            "Message": "A hardware incompatibility was corrected between BMC/iDRAC firmware and other hardware.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "HWC4010": {
            "Description": "None.",
            "Message": "Hardware successfully updated for mezzanine card %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "HWC4011": {
            "Description": "None.",
            "Message": "Hardware unsuccessfully updated for mezzanine card %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Check presence, re-install or reconnect, then re-attempt the update. If the problem persists, contact support.",
            "Severity": "Critical"
        },
        "HWC4012": {
            "Description": "None.",
            "Message": "Hardware successfully updated for embedded NIC.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "HWC4013": {
            "Description": "None.",
            "Message": "Hardware unsuccessfully updated for embedded NIC.",
            "NumberOfArgs": 0,
            "Resolution": "Check presence, re-install or reconnect, then re-attempt the update. If the problem persists, contact support.",
            "Severity": "Critical"
        },
        "HWC4014": {
            "Description": "None.",
            "Message": "Link Tuning data successfully updated.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "HWC4015": {
            "Description": "CMC has old firmware and does not recognize the new device which has requested link tuning information. After updating the firmware the CMC will recognize the device.",
            "Message": "Link Tuning error detected.",
            "NumberOfArgs": 0,
            "Resolution": "Update the CMC firmware. If the problem persists, contact support.",
            "Severity": "Critical"
        },
        "HWC4016": {
            "Description": "The system has detected a mezzanine card that is not supported on this system.",
            "Message": "Hardware incompatibility detected with mezzanine card %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "1) Review system documentation for supported mezzanine cards. 2) Replace mezzanine card with a supported mezzanine card.",
            "Severity": "Critical"
        },
        "HWC4017": {
            "Description": "The system has detected an unsupported hardware component. A hardware incompatibility is detected between the components identified in the message.",
            "Message": "A hardware incompatibility is detected between %1%2 and %3%4.",
            "NumberOfArgs": 4,
            "ParamTypes": [
                "String",
                "String",
                "String",
                "String"
            ],
            "Resolution": "Do the following: 1) Review system documentation for the hardware components identified in the message. 2) Replace unsupported components with supported components.",
            "Severity": "Critical"
        },
        "HWC4018": {
            "Description": "A hardware incompatibility was corrected between the components identified in the message.",
            "Message": "A hardware incompatibility was corrected between %1%2 and %3%4.",
            "NumberOfArgs": 4,
            "ParamTypes": [
                "String",
                "String",
                "String",
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "HWC4019": {
            "Description": "The fan speed cannot be controlled because a sled mismatch or hardware incompatibility is detected. This results in fans rotating at the maximum allowed speed (RPM).",
            "Message": "Unable to control the fan speed because a sled mismatch or hardware incompatibility is detected.",
            "NumberOfArgs": 0,
            "Resolution": "Remove the sled in which a hardware incompatibility is detected and replace with a compatible working sled. For more information about hardware compatibility, see the platform Owners Manual available on the support site.",
            "Severity": "Critical"
        },
        "HWC5000": {
            "Description": "None.",
            "Message": "%1 is online.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "HWC5001": {
            "Description": "None.",
            "Message": "%1 is offline.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "If unexpected, check presence, then re-install or reconnect.",
            "Severity": "Warning"
        },
        "HWC5002": {
            "Description": "The fabric type for the IOM and mezzanine cards must match. Once an IOM or mezzanine card is inserted into the chassis, the fabric type is then set for the CMC and the CMC will ensure that all subsequent IOM's and mezzanine cards match.",
            "Message": "A fabric mismatch detected on %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Check chassis fabric type in CMC GUI and compare to the type of IOM or mezzanine card.",
            "Severity": "Warning"
        },
        "HWC5003": {
            "Description": "None.",
            "Message": "%1 is operating correctly.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "HWC5004": {
            "Description": "CMC has old firmware and does not recognize the new device which has requested link tuning information. After updating the firmware the CMC will recognize the device.",
            "Message": "A link tuning failure detected on %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Update the CMC firmware. If the problem persists, contact support.",
            "Severity": "Warning"
        },
        "HWC5006": {
            "Description": "None.",
            "Message": "A failure is detected on %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Contact technical support. Refer to your product documentation to choose the contact method that is convenient for you.",
            "Severity": "Critical"
        },
        "HWC5008": {
            "Description": "None.",
            "Message": "Console is not available for the %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Contact technical support. Refer to your product documentation to choose the contact method that is convenient for you.",
            "Severity": "Warning"
        },
        "HWC5010": {
            "Description": "None.",
            "Message": "%1 cannot detect any hosts.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Contact technical support. Refer to your product documentation to choose the contact method that is convenient for you.",
            "Severity": "Critical"
        },
        "HWC5012": {
            "Description": "None.",
            "Message": "On screen display (OSCAR) is not functional for the %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Contact technical support. Refer to your product documentation to choose the contact method that is convenient for you.",
            "Severity": "Critical"
        },
        "HWC5014": {
            "Description": "None.",
            "Message": "%1 is not functional and is powered off.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Contact technical support. Refer to your product documentation to choose the contact method that is convenient for you.",
            "Severity": "Critical"
        },
        "HWC5030": {
            "Description": "None.",
            "Message": "IO module %1 is online.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "HWC5031": {
            "Description": "The CMC has powered off the IOM.",
            "Message": "IO module %1 is offline.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Contact technical support. Refer to your product documentation to choose the contact method that is convenient for you.",
            "Severity": "Warning"
        },
        "HWC5032": {
            "Description": "The fabric type for IOM's on the same chassis fabric must match.",
            "Message": "A fabric mismatch detected on IO module %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Check chassis fabric type in CMC GUI and compare to the type of both IOM's.",
            "Severity": "Critical"
        },
        "HWC5033": {
            "Description": "None.",
            "Message": "IO module %1 is operating correctly.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "HWC5034": {
            "Description": "Link tuning table not supported for this IO modular.",
            "Message": "A link tuning failure detected on IO module %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Update the CMC firmware. If the problem persists, contact support.",
            "Severity": "Warning"
        },
        "HWC5035": {
            "Description": "The I/O module over heated.",
            "Message": "An over-temperature event detected on I/O module %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Do the following: 1) Make sure fans are installed and working correctly. 2) Check the temperature sensor status for the chassis and make sure it is within the chassis operating temperature range. 3) Reseat the I/O module to clear the over-temperature condition. If the problem persists, contact the service provider.",
            "Severity": "Critical"
        },
        "HWC5036": {
            "Description": "The IOM module performance may be impact.",
            "Message": "A failure is detected on IO module %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Contact technical support. Refer to your product documentation to choose the contact method that is convenient for you.",
            "Severity": "Critical"
        },
        "HWC5037": {
            "Description": "The firmware on the I/O module did not boot. The problem may be because the I/O module is not inserted correctly.",
            "Message": "I/O module %1 failed to boot.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Reseat I/O module. If problem persists, contact the service provider.",
            "Severity": "Critical"
        },
        "HWC6000": {
            "Description": "Information and status from the controller is unavailable.",
            "Message": "The %1 controller is offline.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Remove and reapply input power. If problem persists, contact technical support. Refer to the product documentation to choose a convenient contact method.",
            "Severity": "Warning"
        },
        "HWC6001": {
            "Description": "None.",
            "Message": "The %1 controller is online.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "HWC6002": {
            "Description": "Information and status from the controller is unavailable.",
            "Message": "The %1 controller is stuck in boot mode.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Remove and reapply input power. If problem persists, contact technical support. Refer to the product documentation to choose a convenient contact method.",
            "Severity": "Critical"
        },
        "HWC6003": {
            "Description": "None.",
            "Message": "The %1 controller is booting.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "HWC6004": {
            "Description": "Information and status from the controller is unavailable.",
            "Message": "Cannot communicate with %1 controller.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Remove and reapply input power. If problem persists, contact technical support. Refer to the product documentation to choose a convenient contact method.",
            "Severity": "Critical"
        },
        "HWC6005": {
            "Description": "None.",
            "Message": "Communications restored for %1 controller.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "HWC7000": {
            "Description": "None.",
            "Message": "Server %1 health changed to a normal state.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "HWC7002": {
            "Description": "Server health changed to a warning state from a normal state.",
            "Message": "Server %1 health changed to a warning state from a normal state.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Review System Log or front panel for additional information.",
            "Severity": "Warning"
        },
        "HWC7004": {
            "Description": "Server health changed to a critical state from either a normal or warning state.",
            "Message": "Server %1 health changed to a critical state from either a normal or warning state.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Review System Log or front panel for additional information.",
            "Severity": "Critical"
        },
        "HWC7006": {
            "Description": "Server <number> health changed to a non-recoverable state from a less severe state.",
            "Message": "Server %1 health changed to a non-recoverable state from a less severe state.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Review System Log or front panel for additional information.",
            "Severity": "Critical"
        },
        "HWC7008": {
            "Description": "Server <number> health changed to a warning state from more severe state.",
            "Message": "Server %1 health changed to a warning state from more severe state.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Review System Log or front panel for additional information.",
            "Severity": "Warning"
        },
        "HWC7010": {
            "Description": "Server <number> health changed to a critical state from a non-recoverable state.",
            "Message": "Server %1 health changed to a critical state from a non-recoverable state.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Review System Log or front panel for additional information.",
            "Severity": "Critical"
        },
        "HWC7012": {
            "Description": "Server <number> health changed to a non-recoverable state.",
            "Message": "Server %1 health changed to a non-recoverable state.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Review System Log or front panel for additional information.",
            "Severity": "Critical"
        },
        "HWC7014": {
            "Description": "An invalid cable related hardware configuration detected on the system.",
            "Message": "An invalid cable or incorrect cable configuration is detected.",
            "NumberOfArgs": 0,
            "Resolution": "Make sure the hardware and related cables are installed correctly. For information about configuration and installation procedures, see the system's Owners Manual available at the support site.",
            "Severity": "Critical"
        },
        "HWC8501": {
            "Description": "The operation could not successfully completed because of an issue with the I/O panel cable.",
            "Message": "Unable to complete the operation because of an issue with the I/O panel cable.",
            "NumberOfArgs": 0,
            "Resolution": "Do one of the following and retry the operation: 1) Connect the I/O panel cable properly 2) Replace the I/O panel cable.",
            "Severity": "Critical"
        },
        "HWC8502": {
            "Description": "The internal cable that connects the I/O panel to the system board is properly connected.",
            "Message": "The I/O panel cable is connected.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "HWC8503": {
            "Description": "The internal communication between the Chassis Management Controller (CMC) and the control panel identified in the message is restored, and the control panel is normally functioning.",
            "Message": "The internal communication between the Chassis Management Controller (CMC) and the %1 control panel is restored.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "HWC8504": {
            "Description": "The Chassis Management Controller (CMC) cannot communicate with the control panel identified in the message because of internal issues.",
            "Message": "The Chassis Management Controller (CMC) cannot communicate with the %1 control panel because of internal issues.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Disconnect the input power supplied to the chassis and reconnect. If the issue persists, contact your service provider.",
            "Severity": "Critical"
        },
        "HWC8506": {
            "Description": "During a Chassis Management Controller (CMC) firmware update, the control panel firmware synchronization failed. The control panel may be inoperable.",
            "Message": "Unable to synchronize control panel firmware due to internal error.",
            "NumberOfArgs": 0,
            "Resolution": "Remove and reapply chassis input power. If problem persists, contact your service provider.",
            "Severity": "Critical"
        },
        "HWC8507": {
            "Description": "The USB device inserted in to the I/O Panel USB port is causing an issue and cannot be used. The USB device may not be operational.",
            "Message": "The USB device inserted in to the I/O Panel USB port is causing an issue and cannot be used.",
            "NumberOfArgs": 0,
            "Resolution": "Remove the USB device from the I/O Panel USB port, and then retry the operation with another USB device.",
            "Severity": "Warning"
        },
        "HWC8508": {
            "Description": "A device causing an issue in the I/O panel USB port is removed.",
            "Message": "A device causing an issue in the I/O panel USB port is removed.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "HWC8509": {
            "Description": "The heatsinks are critical for providing cooling to the PCIe switches. If a PCIe switch stops functioning due to improper cooling, the PCIe subsystem may no longer function correctly and data loss may occur.",
            "Message": "One or more PCIe switch heatsinks are not properly attached.",
            "NumberOfArgs": 0,
            "Resolution": "Immediately turn off the Chassis by pressing the Chassis power button or removing chassis input power. The Chassis can be turned off remotely by running the following RACADM command \"racadm chassisaction -m chassis nongraceshutdown\". After turning off, contact your service provider.",
            "Severity": "Critical"
        },
        "HWC8510": {
            "Description": "The heat sinks of the PCIe switches are properly attached.",
            "Message": "The heat sinks of the PCIe switches are properly attached.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "HWC8511": {
            "Description": "The Coin Cell battery in the front panel is not working.",
            "Message": "The Coin Cell battery in the front panel is not working.",
            "NumberOfArgs": 0,
            "Resolution": "Replace the Coin Cell battery. For more information about replacing, see the Chassis Management Controller User's Guide available on the support site.",
            "Severity": "Critical"
        },
        "HWC8512": {
            "Description": "The Coin Cell battery in the front panel was detected low and a new battery is installed.",
            "Message": "The Coin Cell battery in the front panel is properly installed.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "HWC8513": {
            "Description": "The control panel identified in the message is not installed, or the cable is not connected to the Chassis Management Controller (CMC).",
            "Message": "The %1 control panel is not installed, or the cable is not connected to the Chassis Management Controller (CMC).",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Turn off the chassis and check if the control panel identified in the message is properly installed.",
            "Severity": "Critical"
        },
        "HWC9000": {
            "Description": "The inlet temperature, fan health, and total power associated with the BOSS device identified in the message are restored to normal.",
            "Message": "The inlet temperature, fan health properties, and total power associated with the %1 device are restored to normal.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "HWC9001": {
            "Description": "The BOSS device identified in the message may stop functioning because either the inlet temperature, fan health, or total power associated with the BOSS device is reaching the threshold value.",
            "Message": "The %1 device may stop functioning because either the inlet temperature, fan health, or total power associated with the %1 device is reaching the threshold value.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "Make sure that the inlet temperature, fan health, or total power associated with the BOSS device is within specified limits. For information about specified values, see the iDRAC 9.0 and later User's Guide available on the support site.",
            "Severity": "Warning"
        },
        "HWC9002": {
            "Description": "The BOSS device identified in the message is not functioning because either the inlet temperature, fan health properties, or total power associated with the BOSS device has exceeded the threshold values.",
            "Message": "The %1 device is not functioning because either the inlet temperature, fan health properties, or total power associated with the %1 device has exceeded the threshold values.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "Make sure that the inlet temperature, fan health, or total power associated with the BOSS device are within specified limits.For information about specified values, see the iDRAC 9.0 and later User's Guide available on the support site.",
            "Severity": "Critical"
        },
        "HWC9003": {
            "Description": "The BOSS device identified in the message is not functioning because of a Watchdog failure.",
            "Message": "The %1 device is not functioning because of a Watchdog failure.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Make sure that the inlet temperature, fan health, or total power associated with the BOSS device is within specified limits. For information about specified values, see the iDRAC 9.0 and later User's Guide available on the support site.",
            "Severity": "Warning"
        },
        "HWC9004": {
            "Description": "The BOSS device identified in the message does not have a fan installed in it.",
            "Message": "The BOSS-S1 device does not have a fan installed in it.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "HWC9005": {
            "Description": "The BOSS device identified in the message has a fan installed in it.",
            "Message": "The BOSS-S1 device has a fan installed in it.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "IOID001": {
            "Description": "After the I/O Identity optimization feature is enabled, the time during boot to configure I/O Identity attributes using the Server Configuration Profile (Configuration XML) import feature will be significantly reduced.",
            "Message": "The Input/Output Identity (I/O Identity) optimization feature is enabled.",
            "NumberOfArgs": 0,
            "Resolution": "No response action required.",
            "Severity": "Informational"
        },
        "IOID002": {
            "Description": "After the I/O Identity optimization feature is disabled, the time during boot to configure I/O Identity attributes using the Server Configuration Profile (Configuration XML) import feature will increase.",
            "Message": "The Input/Output Identity (I/O Identity) optimization feature is disabled.",
            "NumberOfArgs": 0,
            "Resolution": "No response action required.",
            "Severity": "Informational"
        },
        "IOID003": {
            "Description": "The Virtual Address Persistence Policy setting for Auxiliary powered devices is changed to the restart type identified in the message.",
            "Message": "The Virtual Address Persistence Policy setting for Auxiliary powered devices is changed to %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "IOID004": {
            "Description": "The Virtual Address Persistence Policy setting for Non-Auxiliary powered devices is changed to the restart type identified in the message.",
            "Message": "Virtual Address Persistence Policy setting for Non-Auxiliary powered devices is changed to %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "IOID005": {
            "Description": "The Storage Initiator Persistence Policy setting is changed to the restart type identified in the message.",
            "Message": "Storage Initiator Persistence Policy setting is changed to %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "IOID006": {
            "Description": "The Storage Target Persistence Policy setting is changed to the restart type identified in the message.",
            "Message": "Storage Target Persistence Policy setting is changed to %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "IOID110": {
            "Description": "The virtual address of NIC port identified in the message is configured.",
            "Message": "The virtual address of %1 Port %2 is configured.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "IOID111": {
            "Description": "The virtual address of the NIC port identified in the message could not be successfully configured because either the network port connection is not enabled or the NIC is not capable of Virtual Addressing.",
            "Message": "Unable to configure the virtual address of %1 Port %2.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "Verify that the network port is enabled and that the port has Virtual Addressing capability and then retry the operation.",
            "Severity": "Warning"
        },
        "IOID112": {
            "Description": "The initiator properties of the NIC port identified in the message are successfully configured.",
            "Message": "The initiator properties of the %1 Port %2 are successfully configured.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "IOID113": {
            "Description": "The initiator properties of the NIC port could not be configured because either iSCSI or FCoE partition of the network port is not enabled, or the network controller is not functioning.",
            "Message": "Unable to configure the initiator properties of %1 Port %2.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "Make sure that the iSCSI or FCoE partition of the network port is enabled. Check whether or not the network controller is working and then retry the operation.",
            "Severity": "Warning"
        },
        "IOID114": {
            "Description": "The target setting properties of the NIC port identified in the message are successfully configured.",
            "Message": "The target settings properties of the %1 Port %2 are successfully configured.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "IOID115": {
            "Description": "The target settings properties of the NIC port identified in the message could not be configured, because either iSCSI or FCoE partition of the network port is not enabled; or, the network controller is not functioning.",
            "Message": "Unable to configure the target settings properties of the %1 Port %2.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "Make sure that the iSCSI or FCoE partition of the network port is enabled. Check whether or not the network controller is working.",
            "Severity": "Warning"
        },
        "IOID116": {
            "Description": "The iDRAC has started to apply I/O Identity settings on NIC and FC HBA devices based on the current persistence policy settings.",
            "Message": "Applying I/O Identity settings based on current persistence policy settings.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "IOID117": {
            "Description": "The iDRAC has applied I/O Identity settings on NIC and FC HBA devices. All the device configuration related to virtual addresses, initiator and target settings have been configured successfully according to the current persistence policy settings.",
            "Message": "The operation to apply I/O Identity settings based on current persistence policy settings has completed successfully.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "IOID118": {
            "Description": "The iDRAC has applied I/O Identity Configuration on NIC and FC HBA devices. One or more of the setting configuration operations did not complete successfully.",
            "Message": "Unable to configure some or all I/O Identity settings based on current persistence policy settings.",
            "NumberOfArgs": 0,
            "Resolution": "Review the previous log entries and identify the devices that did not successfully complete configuration operations. For the identified devices, do the following and then restart the server: 1) Make sure the device is installed properly. 2) Make sure the device has latest firmware installed. If the issue persists, contact your service provider.",
            "Severity": "Warning"
        },
        "IOID119": {
            "Description": "The FlexAddress feature is enabled on the system. The iDRAC will assign FlexAddress defined MAC and WWN values to all the ports and/or partitions of bNDCs and mezzanine adapters of the system.",
            "Message": "FlexAddress is enabled on all NIC and FC HBA devices.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "IOV000": {
            "Description": "This operation was successful.",
            "Message": "Successfully completed the operation.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "IOV001": {
            "Description": "The operation or operation parameter sent to the Chassis Manager is invalid or not supported.",
            "Message": "The operation contains an invalid request or argument.",
            "NumberOfArgs": 0,
            "Resolution": "Contact technical support. Refer to Chassis Manager product documentation to determine the contact method for the service provider.",
            "Severity": "Warning"
        },
        "IOV002": {
            "Description": "CMC could not successfully allocate resources because of the following reasons: 1) The chassis manager is unable to allocate required resources. 2) The chassis manager or chassis infrastructure firmware is rolled back to an earlier version. 3) There is an issue with the internal communications between chassis components.",
            "Message": "Unable to create or allocate the required resources.",
            "NumberOfArgs": 0,
            "Resolution": "Make sure the firmware for the various chassis components are compatible with each other. If this is the case, do the following: 1) Turn off the chassis, by pressing the chassis Power Button, 2) run the following CMC RACADM command \"racadm racresetcfg\". If the problem persists, contact your technical service provider.",
            "Severity": "Warning"
        },
        "IOV003": {
            "Description": "A PCIe device error was detected that does not allow the assignment, unassignment, or the turning off of the device. The errors can be caused by incorrect PCIe device installation or installation of an unsupported PCIe adapter card. For a list of supported PCIe adapter cards contact your service provider.",
            "Message": "Unable to manage the device located in the PCIe slot specified in the operation.",
            "NumberOfArgs": 0,
            "Resolution": "Make sure that supported adapters are used and installed correctly in the PCIe slots.",
            "Severity": "Warning"
        },
        "IOV004": {
            "Description": "The chassis manager is unable to turn on the PCIe device because of one of the following reasons: 1) PCIe device is not supported, 2) The device is not properly inserted in the slot, 3) The device is not functioning properly, or 4) The device power requirements exceed the power available for the slot.",
            "Message": "Unable to turn on PCIe adapter.",
            "NumberOfArgs": 0,
            "Resolution": "Make sure a supported PCIe device is used and that it is properly inserted in the PCIe slot. For a list of supported devices, contact the service provider.",
            "Severity": "Warning"
        },
        "IOV005": {
            "Description": "The Chassis Management Controller is not ready to run commands because the chassis must be turned on.",
            "Message": "Chassis Management Controller (CMC) is not ready to run commands.",
            "NumberOfArgs": 0,
            "Resolution": "Turn on chassis and retry the command.",
            "Severity": "Informational"
        },
        "IOV006": {
            "Description": "The Chassis Infrastructure Mainboard firmware is not at the correct version.",
            "Message": "Incorrect Chassis Infrastructure Mainboard firmware version.",
            "NumberOfArgs": 0,
            "Resolution": "Run the command \"racadm fwupdate -g -u -a <TFTP server IP Address> -d mainboard.bin -m main_board\" to upload the latest firmware version to the Chassis Infrastructure Mainboard.",
            "Severity": "Informational"
        },
        "IOV007": {
            "Description": "For each adapter assigned to a server, power is allocated when the server is turned on. If the available power is less than the required power, the Chassis Management Controller (CMC) will not power on the adapters associated with the server.",
            "Message": "Chassis Management Controller (CMC) is unable to allocate power to one or more PCIe adapters in the Chassis Infrastructure component.",
            "NumberOfArgs": 0,
            "Resolution": "To release the required power, turn off one or more servers by pressing the Power Button on the individual server units.",
            "Severity": "Informational"
        },
        "IOV008": {
            "Description": "The Chassis Management Controller (CMC) was unable to reset the PCIe subsystem into factory default mode.",
            "Message": "Chassis Management Controller (CMC) is unable to put PCIe subsystem into factory default mode.",
            "NumberOfArgs": 0,
            "Resolution": "Turn off the chassis, turn on the chassis, and then retry the operation.",
            "Severity": "Informational"
        },
        "IOV009": {
            "Description": "The Chassis Management Controller (CMC) runs this function only when the chassis is turned off.",
            "Message": "Chassis Management Controller (CMC) is unable to reset to factory default or pre-factory default settings.",
            "NumberOfArgs": 0,
            "Resolution": "Turn off the chassis and retry the operation.",
            "Severity": "Informational"
        },
        "IOV010": {
            "Description": "Unable to assign the PCIe slots because a license is required to assign more than two PCIe slots to a server. Non-licensed systems are allowed only two slots per server.",
            "Message": "Unable to assign the PCIe slot(s) because a license is required to assign more than two PCIe slots to a server.",
            "NumberOfArgs": 0,
            "Resolution": "Import a license that allows assignments of more than two PCIe slots per server. For more information about licenses, contact your service provider.",
            "Severity": "Informational"
        },
        "IOV011": {
            "Description": "All servers that PCIe slots or virtual adapter (VA) will be assigned-to and unassigned-from must be turned off before an assign or unassign operation can be performed.",
            "Message": "Unable to assign or unassign PCIe slot(s) or virtual adapter (VA) because all affected servers must be turned off.",
            "NumberOfArgs": 0,
            "Resolution": "Turn off all servers that the PCIe slots or virtual adapter (VA) will be assigned-to and unassigned-from, and then retry the operation.",
            "Severity": "Informational"
        },
        "IOV012": {
            "Description": "By default, the non-licensed system assigns virtual adapters (VA) 1-4 to servers 1-4 respectively.",
            "Message": "Unable to assign a virtual adapter (VA) to a non-default server because a license is required.",
            "NumberOfArgs": 0,
            "Resolution": "Import a license which enables the assignment of a PERC virtual adapter (VA) to any server. For more information about licenses, contact your service provider.",
            "Severity": "Informational"
        },
        "IOV013": {
            "Description": "Unable to assign a virtual adapter (VA) to a server that is already assigned a VA, because a server may be assigned only one VA.",
            "Message": "Unable to assign a virtual adapter (VA) to a server that is already assigned a VA, because a server may be assigned only one VA.",
            "NumberOfArgs": 0,
            "Resolution": "Unassign the server's current virtual adapter (VA) and retry the operation. To unassign the VA using RACADM, run the following command \"racadm setpciecfg\".",
            "Severity": "Informational"
        },
        "IOV1001": {
            "Description": "The requested operation was successfully executed.",
            "Message": "The requested operation was successfully executed.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "IOV1002": {
            "Description": "The operation did not complete successfully due to an exception from the instrumentation layer.",
            "Message": "The operation was not successful.",
            "NumberOfArgs": 0,
            "Resolution": "Retry the operation. If the issue persists, reset CMC and retry the operation when the CMC has completed restarting. The CMC may take 2 to 3 minutes to complete restarting.",
            "Severity": "Critical"
        },
        "IOV1003": {
            "Description": "One or more parameters identified in the message required for the method are missing.",
            "Message": "Missing required parameter %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Refer to the DCIM Chassis PCI Management Profile document and provide the required parameter.",
            "Severity": "Warning"
        },
        "IOV1004": {
            "Description": "The parameters for the method identified in the message are not passed correctly.",
            "Message": "Too many slots provided as parameters to Assign and UnAssign Servers methods.",
            "NumberOfArgs": 0,
            "Resolution": "Refer to the DCIM Chassis PCI Management Profile document and provide the required parameters.",
            "Severity": "Warning"
        },
        "IOV1005": {
            "Description": "The FQDD (Fully Qualified Device Descriptor) entered for the operation does not map to any instance of the DCIM_ChassisPCISlot class.",
            "Message": "Invalid slot FQDD %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Perform the Enumerate operation on the DCIM_ChassisPCISlot class to determine the correct FQDD value for the required slot. Retry the operation with the correct FQDD value.",
            "Severity": "Warning"
        },
        "IOV1006": {
            "Description": "The PCI slot or Server slot FQDD (Fully Qualified Device Descriptor) values entered for the operation are not valid.",
            "Message": "Invalid PCI slot or Server slot.",
            "NumberOfArgs": 0,
            "Resolution": "Perform the Enumerate operation on the DCIM_ChassisPCISlot class and DCIM_BladeServerView class to get the correct FQDD values for the PCIe slot and Server slot. Retry the operation with the correct FQDD values.",
            "Severity": "Warning"
        },
        "IOV101": {
            "Description": "The Chassis Management Controller (CMC) detected the insertion of an adapter in the slot identified in the message.",
            "Message": "A PCIe adapter %1 is inserted in %2 %3.",
            "NumberOfArgs": 3,
            "ParamTypes": [
                "String",
                "String",
                "String"
            ],
            "Resolution": "If the adapter in slot identified in the message is mapped to a server, the server must be turned off then back on before server can access adapter. If the adapter in slot is a shared adapter and any server is on then the entire chassis must be turned off and turned on for the server(s) to gain access to the installed shared adapter.",
            "Severity": "Informational"
        },
        "IOV102": {
            "Description": "The Chassis Management Controller (CMC) detected the removal of an adapter card from the slot identified in the message.",
            "Message": "A PCIe adapter %1 is removed from %2 %3.",
            "NumberOfArgs": 3,
            "ParamTypes": [
                "String",
                "String",
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "IOV103": {
            "Description": "The Chassis Management Controller (CMC) detected the replacement of an adapter in the slot identified in the message.",
            "Message": "A PCIe adapter %1 in %2%3 is replaced by PCIe adapter %1.",
            "NumberOfArgs": 4,
            "ParamTypes": [
                "String",
                "String",
                "String",
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "IOV104": {
            "Description": "For each adapter assigned to a server, power is allocated when the server is turned on. If the available power is less than the required power, the Chassis Management Controller (CMC) will not power on the adapters associated with the server.",
            "Message": "The Chassis Management Controller (CMC) is unable to allocate %1 Watt for server-%2 PCIe adapters.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "Using the Chassis Management Controller (CMC) RACADM command line interface, run the command \"racadm config -g cfgChassisPower -o cfgChassisPowerCap <Power cap>\" to increase the power cap or add an additional power supply.",
            "Severity": "Warning"
        },
        "IOV105": {
            "Description": "An error by the Chassis Infrastructure slot management detected an error which may prevent the physical assignment/unassignment or power off of a slot. The errors may be caused by PCIE training timeouts, false hot plug signals, or installation of an unsupported PCIe adapter card. For a list of supported PCIe adapter cards contact your service provider.",
            "Message": "Unable to manage PCIE adapter %1 located in %2 %3.",
            "NumberOfArgs": 3,
            "ParamTypes": [
                "String",
                "String",
                "String"
            ],
            "Resolution": "Make sure that supported adapters are used and installed correctly in the PCIe slot.",
            "Severity": "Warning"
        },
        "IOV106": {
            "Description": "The Chassis Management Controller (CMC) is unable to power on adapter. Possible reasons for power failures are: 1) Adapter not an approved adapter. 2) Adapter not fully inserted in the slot 3) Auxiliary power cable not connected (applicable to slot 1 - 3 only). 4) Adapter is damaged.",
            "Message": "Unable to power on PCIe adapter %1 in %2 %3.",
            "NumberOfArgs": 3,
            "ParamTypes": [
                "String",
                "String",
                "String"
            ],
            "Resolution": "Make sure a supported PCIe device is used and that it is properly inserted in the PCIe slot. For a list of supported devices, contact the service provider.",
            "Severity": "Warning"
        },
        "IOV107": {
            "Description": "The Chassis Management Controller (CMC) has detected the removal of a PCIe adapter card while it was powered on.",
            "Message": "PCIe adapter %1 in slot %2 was removed while powered on.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "Power down the affected server(s) and then power on the server(s). Note: OS reboot only will not correct this issue.",
            "Severity": "Critical"
        },
        "IOV108": {
            "Description": "The Chassis Management Controller (CMC) detected a power fault in an adapter after the adapter was powered on. A power fault may be caused by a damaged adapter or the adapter power requirements exceed the maximum power limits of the slot.",
            "Message": "Power fault detected on PCIE adapter %1 in %2 %3.",
            "NumberOfArgs": 3,
            "ParamTypes": [
                "String",
                "String",
                "String"
            ],
            "Resolution": "Make sure a supported PCIe device is used and that it is properly inserted in the PCIe slot. For a list of supported devices, contact your service provider.",
            "Severity": "Warning"
        },
        "IOV109": {
            "Description": "An error condition associated with the PCIe slot is cleared.",
            "Message": "An error condition associated with the PCIe slot is cleared.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "IOV110": {
            "Description": "Successfully updated Chassis Infrastructure firmware.",
            "Message": "Successfully updated Chassis Infrastructure firmware.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "IOV111": {
            "Description": "Unable to successfully update Chassis Infrastructure firmware.",
            "Message": "Unable to update Chassis Infrastructure firmware.",
            "NumberOfArgs": 0,
            "Resolution": "Refer to the release notes of the Mainboard update package for recommended action. If the issue persists, contact your service provider.",
            "Severity": "Critical"
        },
        "IOV112": {
            "Description": "Chassis infrastructure firmware is not valid and must be reinstalled.",
            "Message": "Chassis Infrastructure firmware is not valid.",
            "NumberOfArgs": 0,
            "Resolution": "Update the Chassis Infrastructure firmware. Using Chassis Management Controller (CMC) RACADM, run the command \"racadm fwupdate -g -u -a <TFTP server IP Address> -d mainboard.bin -m main_board\" to upload the latest firmware version to the Chassis Infrastructure Mainboard.",
            "Severity": "Critical"
        },
        "IOV113": {
            "Description": "Chassis Infrastructure firmware re-installation is successful.",
            "Message": "Chassis Infrastructure firmware re-installation is successful.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "IOV114": {
            "Description": "The PCIE Slot or PERC Virtual Adapter (VA) identified in the message has been assigned to the server identified in the message.",
            "Message": "%1 %2 assigned to server-%3.",
            "NumberOfArgs": 3,
            "ParamTypes": [
                "String",
                "String",
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "IOV115": {
            "Description": "The discovery process for PCIE adapters was unable to allocate the power required to power on the PCIE adapters.",
            "Message": "Unable to allocate %1 WATTS for discovery of PCIE adapters.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Using the Chassis Management Controller (CMC) RACADM command line interface, run the command \"racadm config -g cfgChassisPower -o cfgChassisPowerCap <Power cap>\" to increase the power cap or add an additional power supply.",
            "Severity": "Warning"
        },
        "IOV116": {
            "Description": "The Chassis Management Controller (CMC) detected a power fault in an PCIE AUX power cable after the adapter was powered on. A power fault may be caused by a loose cable connection to the adapter or between the cable and the AUX cable harness.",
            "Message": "PCIE AUX power cable %1.was disconnected while powered on.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Make sure AUX power cable identified in the message is fully plugged into the adapter and the AUX cable harness.",
            "Severity": "Warning"
        },
        "IOV117": {
            "Description": "The PCIE Slot or PERC Virtual Adapter(VA) identified in the message has been unassigned/unmapped from the server identified in the message.",
            "Message": "%1 %2 was unassigned/unmapped from server-%3.",
            "NumberOfArgs": 3,
            "ParamTypes": [
                "String",
                "String",
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "IOV118": {
            "Description": "The Fabric identified in the message is not up and a chassis power cycle is required.",
            "Message": "Fabric %1 is down.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Power cycle the chassis. Using the Chassis Management Controller (CMC) RACADM command line interface, run the command \"racadm chassisaction powercycle\".",
            "Severity": "Critical"
        },
        "IOV119": {
            "Description": "The Chassis Management Controller (CMC) has disabled PCIe ride-through mode. PCIe adapters that are turned on and in \"ride-through\" mode are immediately turned off.",
            "Message": "PCIe ride-through mode is disabled.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "IOV120": {
            "Description": "The Chassis Management Controller (CMC) has enabled PCIe ride-through mode. PCIe adapters will remain turned on for the number of seconds specified by the ride-through timeout value after the server they are assigned to is turned off.",
            "Message": "PCIe ride-through mode is enabled.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "IOV121": {
            "Description": "The Chassis Management Controller (CMC) has changed the PCIe ride-through timeout to the value identified in the message. PCIe adapters will remain turned on for the number of seconds specified by the ride-through timeout value after the server they are assigned to is turned off. Note: A value of zero equals infinite number of seconds.",
            "Message": "PCIe ride-through time out has changed from %1 to %1 seconds.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "IOV122": {
            "Description": "The PCIE Slot or PERC Virtual Adapter (VA) identified in the message has been assigned to the extension of the server slot identified in the message.",
            "Message": "%1 %2 is mapped/assigned to extension of server slot %3.",
            "NumberOfArgs": 3,
            "ParamTypes": [
                "String",
                "String",
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "IOV123": {
            "Description": "The PCIE Slot or PERC Virtual Adapter(VA) identified in the message has been unassigned/unmapped from the extension of the server slot identified in the message.",
            "Message": "%1 %2 is unassigned/unmapped from extended server slot %3.",
            "NumberOfArgs": 3,
            "ParamTypes": [
                "String",
                "String",
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "IOV2008": {
            "Description": "The Chassis Management Controller (CMC) could not successfully connect to the PCIe subsystem.",
            "Message": "The Chassis Management Controller (CMC) is unable to communicate with the PCIe subsystem.",
            "NumberOfArgs": 0,
            "Resolution": "Do the following: 1) Perform an AC Power Cycle operation on the Chassis by disconnecting the chassis from AC power, wait for 30 seconds, and then reconnect AC power. 2) Turn on at least one server. Using the Chassis Management Controller (CMC) web interface, select Server Overview->Power->Control and select the Power On Server option. If the issue persists, contact your service provider.",
            "Severity": "Critical"
        },
        "IPA0001": {
            "Description": "Invalid parameters passed to the function.",
            "Message": "Invalid NIC IP address parameter specified.",
            "NumberOfArgs": 0,
            "Resolution": "Enter the valid IP Address.",
            "Severity": "Warning"
        },
        "IPA0002": {
            "Description": "Invalid parameters passed to the function.",
            "Message": "Invalid IP address specified.",
            "NumberOfArgs": 0,
            "Resolution": "Enter a valid IP Address.",
            "Severity": "Warning"
        },
        "IPA0003": {
            "Description": "Invalid parameters passed to the function.",
            "Message": "Invalid subnet mask specified.",
            "NumberOfArgs": 0,
            "Resolution": "Enter the appropriate subnet mask.",
            "Severity": "Warning"
        },
        "IPA0004": {
            "Description": "Invalid parameters passed to the function.",
            "Message": "Invalid gateway address specified.",
            "NumberOfArgs": 0,
            "Resolution": "Enter the appropriate gateway.",
            "Severity": "Warning"
        },
        "IPA0100": {
            "Description": "The iDRAC IP Address changed from the earlier IP Address identified in the message to the new IP Address identified in the message. This notification will be generated when the iDRAC network card selection is changed, if the DHCP lease expires and the DHCP server assigns another address, or if iDRAC IP address is manually changed.",
            "Message": "The iDRAC IP Address changed from %1 to %2.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "Remote management consoles that have cached or stored the iDRAC IP address may have to be updated with the new IP address either through a re-discovery or manual reconfiguration. A response action may not be required if the console receives this SNMP notification and updates the iDRAC IP address accordingly.",
            "Severity": "Informational"
        },
        "ISM0000": {
            "Description": "The iDRAC Service Module is started on the OS of server.",
            "Message": "The iDRAC Service Module is started on the operating system (OS) of server.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "ISM0001": {
            "Description": "The iDRAC Service Module detected a OS to iDRAC Pass-through mode as identified in the message. iDRAC Service Module will automatically connect to iDRAC after the OS to iDRAC Pass-through is configured to the USB NIC mode.",
            "Message": "The iDRAC Service Module detected a OS to iDRAC Pass-through in the %1 mode. Switch the OS to iDRAC Pass-through to a USB NIC mode.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Configure OS to iDRAC Pass-through to the USB NIC mode by running the commands: 1) racadm set idrac.os-bmc.PTMode usb-p2p 2) racadm set idrac.os-bmc.UsbNicIpAddress <ip address> 3) racadm set idrac.os-bmc.adminstate enabled.",
            "Severity": "Critical"
        },
        "ISM0002": {
            "Description": "The OS to iDRAC Pass-through mode is disabled. The iDRAC Service Module is currently enabling the OS to iDRAC Pass-through mode in the USB NIC mode. This operation is done only for the first run of iDRAC Service Module. If OS to iDRAC Pass-through is disabled after this point of time, iDRAC Service Module will not be able to connect to iDRAC until user enables the OS-iDRAC Pass-through in the USB mode.",
            "Message": "The OS to iDRAC Pass-through is disabled. The iDRAC Service Module is currently enabling the OS to iDRAC Pass-through in the USB NIC mode.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "ISM0003": {
            "Description": "The iDRAC Service Module could not successfully discover iDRAC from the server OS. However, the iDRAC Service Module will continue the discovery operation. Make sure that the IPMI drivers are enabled on the server operating system.",
            "Message": "The iDRAC Service Module is unable to discover iDRAC from the operating system of the server.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "ISM0004": {
            "Description": "The iDRAC Service Module has successfully started communication with iDRAC.",
            "Message": "The iDRAC Service Module has successfully started communication with iDRAC.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "ISM0005": {
            "Description": "The iDRAC Service Module has successfully restarted communication with iDRAC.",
            "Message": "The iDRAC Service Module has successfully restarted communication with iDRAC.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "ISM0006": {
            "Description": "The iDRAC Service Module could not successfully communicate with iDRAC, because the OS to iDRAC Pass-through channel is not configured in the USB-NIC mode.",
            "Message": "The iDRAC Service Module is unable to communicate with iDRAC using the OS to iDRAC Pass-through channel.",
            "NumberOfArgs": 0,
            "Resolution": "Make sure that the OS to iDRAC Pass-through channel is configured only in the USB-NIC mode, and then retry the operation. To enable the OS-to-iDRAC Pass-through channel, run the following command in the order they are listed: 1) racadm set idrac.os-bmc.PTMode usb-p2p 2) racadm set idrac.os-bmc.UsbNicIpAddress <ip address> 3) racadm set idrac.os-bmc.adminstate enabled.",
            "Severity": "Critical"
        },
        "ISM0007": {
            "Description": "The iDRAC Service Module ended communication with iDRAC over the OS to iDRAC Pass-through channel. This is because either iDRAC is being restarted or the OS to iDRAC Pass-through configuration is being changed. The iDRAC Service Module will continue to try connecting to iDRAC.",
            "Message": "The iDRAC Service Module communication with iDRAC has ended.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Warning"
        },
        "ISM0008": {
            "Description": "iDRAC Service Module detected that OpenManage Server Administrator is running on the OS of this server. Therefore, one or more features of iDRAC Service Module will be disabled.",
            "Message": "Some features of iDRAC Service Module will be disabled on this server, because OpenManage Server Administrator is running on the operating system (OS) of this server.",
            "NumberOfArgs": 0,
            "Resolution": "End the OpenManage Server Administrator session. The features will be automatically started by iDRAC Service Module.",
            "Severity": "Warning"
        },
        "ISM0009": {
            "Description": "iDRAC Service Module detected that OpenManage Server Administrator is not running on the OS of this server. Therefore, one or more features of iDRAC Service Module that were earlier disabled are now enabled on this server.",
            "Message": "The features of iDRAC Service Module that were disabled will be enabled on this server, because OpenManage Server Administrator is not running on the operating system (OS) of this server.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "ISM0010": {
            "Description": "The iDRAC Service Module received a request from a source identified in the message to stop the Service Module services. For example, a requesting source can be an OS or iDRAC.",
            "Message": "The iDRAC Service Module received a request from the %1 to stop the services of Service Module.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "If the requesting source is iDRAC, enable the iDRAC Service Module on the iDRAC before starting this service on the server OS. To enable the Service Module by using iDRAC GUI: Click Network, click OS to iDRAC Pass-through, and then click the USB NIC option. In the OS IP Address box , type an IP address, and then click Apply. To enable the module by using RACADM command, run the following command at the command line interface: racadm set idrac.servicemodule.ServiceModuleEnable enabled.",
            "Severity": "Informational"
        },
        "ISM0011": {
            "Description": "The server OS could not start the iDRAC Service Module, because the iDRAC Service Module disabled on iDRAC.",
            "Message": "The server operating system (OS) is unable to start the iDRAC Service Module, because it is set to \"disabled\" in iDRAC.",
            "NumberOfArgs": 0,
            "Resolution": "Enable the iDRAC Service Module on the iDRAC before starting this service on the server OS, and then retry the operation. To enable the module by using iDRAC GUI: Click Network, click OS to iDRAC Pass-through, and then click the USB NIC option. In the OS IP Address box , type an IP address, and then click Apply. To enable the module by using RACADM command, run the following command at the command line interface: racadm set idrac.servicemodule. ServiceModuleEnable enabled.",
            "Severity": "Warning"
        },
        "ISM0012": {
            "Description": "The iDRAC Service Module is successfully ended on the server OS.",
            "Message": "The iDRAC Service Module is successfully ended on the server operating system (OS).",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "ISM0013": {
            "Description": "The feature identified in the message is enabled by using the one of the iDRAC interfaces.",
            "Message": "The feature %1 is enabled.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "ISM0014": {
            "Description": "The feature identified in the message is disabled by using one of the iDRAC interfaces.",
            "Message": "The feature %1 is disabled.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "ISM0015": {
            "Description": "The iDRAC Service Module detected a change in the host name of the server OS.",
            "Message": "The iDRAC Service Module detected a change in the host name of the server operating system (OS).",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "ISM0016": {
            "Description": "The BMC watchdog reset time is changed to a value identified in the message.",
            "Message": "The BMC watchdog reset time is changed to %1 seconds.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "ISM0017": {
            "Description": "The BMC watchdog auto-recovery action is changed from the original action identified in the message to the new action identified in the message.",
            "Message": "The BMC watchdog auto-recovery action is changed from %1 to %2.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "ISM0018": {
            "Description": "The OS Collector application is started on the server Operating System.",
            "Message": "The OS Collector application is successfully started on the server operating system (OS).",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "ISM0019": {
            "Description": "The OS Collector application did not start successfully on the server operating system (OS), because checksum verification did not succeed for some files.",
            "Message": "The OS Collector application did not start successfully on the server operating system (OS) because checksum verification did not succeed for some files.",
            "NumberOfArgs": 0,
            "Resolution": "Do the following: 1) Retry the operation. 2) If the issue persists, reinstall the OS Collector on the iDRAC to the most recent version available, and then retry the operation.",
            "Severity": "Warning"
        },
        "ISM0020": {
            "Description": "The OS Collector application did not start successfully on the server operating system (OS) because the iDRAC emulated USB device with the OS Collector application was not found.",
            "Message": "The OS Collector application did not start successfully on the server operating system (OS) because the iDRAC emulated USB device with the OS Collector application was not found.",
            "NumberOfArgs": 0,
            "Resolution": "Do the following: 1) Retry the operation. 2) If the issue persists, restart the iDRAC, and then retry the operation.",
            "Severity": "Warning"
        },
        "ISM0021": {
            "Description": "The OS Collector application did not start successfully on the server operating system (OS) because the OS Collector executable was not found.",
            "Message": "The OS Collector application did not start successfully on the server operating system (OS) because the OS Collector executable was not found.",
            "NumberOfArgs": 0,
            "Resolution": "Do the following: 1) Retry the operation. 2) If the issue persists, reinstall the OS Collector on the iDRAC to the most recent version available, and then retry the operation.",
            "Severity": "Warning"
        },
        "ISM0022": {
            "Description": "The OS Collector application did not start successfully on the server operating system (OS) because the application encountered an error.",
            "Message": "The OS Collector application did not start successfully on the server operating system (OS) because the application encountered an error.",
            "NumberOfArgs": 0,
            "Resolution": "Do the following: 1) Retry the operation. 2) If the issue persists, reinstall the OS Collector on the iDRAC to the most recent version available, and then retry the operation.",
            "Severity": "Warning"
        },
        "ISM0023": {
            "Description": "The feature WMI Information is disabled. It will be enabled when a compatible iDRAC firmware is installed.",
            "Message": "The feature WMI Information is deactivated because the iDRAC firmware version installed is not compatible. It will be activated when the compatible iDRAC firmware is installed.",
            "NumberOfArgs": 0,
            "Resolution": "WMI Information feature requires iDRAC 8 firmware version 2.00.00 or later. Update the iDRAC firmware to the appropriate version to activate the WMI Information feature.",
            "Severity": "Informational"
        },
        "ISM0024": {
            "Description": "The NVMe Device identified in the message is successfully prepared for removal from the PCIe slot identified in the message.",
            "Message": "The NVMe Device %1 is successfully prepared for removal from PCIe slot %2.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "No further response action is required before removing the NVMe Device identified in the message. To enable the NVMe Device for use, remove and re-insert the device or restart the system with the device inserted.",
            "Severity": "Informational"
        },
        "ISM0025": {
            "Description": "The NVMe device cannot be prepared for removal from (the PCIe slot identified in the message because of one or more of the following reasons: 1) NVMe device is busy, 2) NVMe device is not present or 3) NVMe driver is not present.",
            "Message": "Unable to prepare the NVMe device %1 for removal from the PCIe slot %2 because of one or more of the following reasons: 1) NVMe device is busy, 2) NVMe device is not present or 3) NVMe driver is not installed.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "Make sure of the following: 1)That the NVMe device identified in the message is not in use, 2) the NVMe device is present, and 3) NVMe device drive is installed.",
            "Severity": "Warning"
        },
        "ISM0026": {
            "Description": "The iDRAC Hard Reset operation is performed by system OS user identified in the message from the operating system (OS) on the day-date-time-year identified in the message.",
            "Message": "The iDRAC Hard Reset operation is performed by system OS user %1 from the operating system (OS) on date %2.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "The iDRAC may take up to 2 minutes to fully restart. Wait until the iDRAC is fully restarted before performing further operations with the iDRAC.",
            "Severity": "Informational"
        },
        "ISM0027": {
            "Description": "An unprivileged user identified in the message tried to perform an iDRAC Hard Reset operation from the operating system (OS).",
            "Message": "An unprivileged user %1 tried to perform an iDRAC Hard Reset operation from the operating system (OS).",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Warning"
        },
        "ISM0028": {
            "Description": "The iDRAC Hard Reset operation cannot be performed either because of an unsupported CPLD firmware version or the iDRAC Hard reset feature is currently disabled on iDRAC.",
            "Message": "Unable to perform the iDRAC Hard Reset operation either because of an unsupported CPLD firmware version or the iDRAC Hard Reset feature is currently disabled on iDRAC.",
            "NumberOfArgs": 0,
            "Resolution": "Do one of the following: 1) Update the CPLD version by using iDRAC graphical user interface (GUI). 2) To enable the iDRAC Hard Reset feature by running RACADM command, enter the following at the command line interface (CLI): \"racadm set idrac.servicemodule.idrachardreset enabled\".",
            "Severity": "Warning"
        },
        "ISM0029": {
            "Description": "Unable to complete the iDRAC Hard Reset operation because BIOS on the server does not support this feature.",
            "Message": "Unable to complete the iDRAC Hard Reset operation because BIOS on the server does not support this feature.",
            "NumberOfArgs": 0,
            "Resolution": "Install the required BIOS version and retry the operation. To know about the recommended BIOS version, see the iDRAC User's Guide available on the support site.",
            "Severity": "Informational"
        },
        "ISM0030": {
            "Description": "Unable to complete iDRAC Hard Reset operation because this feature is not supported on this platform.",
            "Message": "Unable to complete the iDRAC Hard Reset operation because this feature is not supported on this platform.",
            "NumberOfArgs": 0,
            "Resolution": "Refer to the platform User's Guide documentation for information about whether the iDRAC Hard Reset feature is available.",
            "Severity": "Informational"
        },
        "ISM0031": {
            "Description": "The Full Power Cycle operation is triggered by the server operating system (OS) user from the OS on date as identified in the message. However, the server components will be AC power cycled when the server is shut down.",
            "Message": "The Full Power Cycle operation is triggered by the server operating system (OS) user %1 from the OS on date %2. However, the server components will be AC power cycled when the server is shut down.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "No response action is required. For information about Full powercycle, see the platform User's Guide available on the support site.",
            "Severity": "Informational"
        },
        "ISM0032": {
            "Description": "The Full Power Cycle operation is successfully cancelled by the server operating system (OS) user from the OS on date as identified in the message.",
            "Message": "The Full Power Cycle operation is successfully cancelled by the server operating system (OS) user %1 from the OS on date %2.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "No response action is required. For information about Virtual AC powercycle, see the platform User's Guide available on the support site.",
            "Severity": "Informational"
        },
        "ISM0033": {
            "Description": "The user identified in the message, without necessary privileges, tried to perform a Full Power Cycle operation from the operating system (OS).",
            "Message": "The user %1, without necessary privileges, tried to perform a Full Power Cycle operation from the operating system (OS).",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Warning"
        },
        "ISM0034": {
            "Description": "The Auto Update feature successfully completed the task on the Host OS, where the server operating system (OS) user is as identified in the message.",
            "Message": "The Auto Update feature successfully %1 the iDRAC Service Module to version %2, where the server operating system (OS) user is %3.",
            "NumberOfArgs": 3,
            "ParamTypes": [
                "String",
                "String",
                "String"
            ],
            "Resolution": "No response action required.",
            "Severity": "Informational"
        },
        "ISM0035": {
            "Description": "The operating system (OS) collector service is successfully closed on the server OS.",
            "Message": "The operating system (OS) collector service is successfully closed on the server OS.",
            "NumberOfArgs": 0,
            "Resolution": "No response action required.",
            "Severity": "Informational"
        },
        "ISM0036": {
            "Description": "The operating system (OS) collector service cannot be successfully closed on the server OS because either the service is not responding or the service has already closed.",
            "Message": "Unable to successfully close the operating system (OS) collector service on the server OS because either the service is not responding or the service has already closed.",
            "NumberOfArgs": 0,
            "Resolution": "No response action required.",
            "Severity": "Warning"
        },
        "JCP000": {
            "Description": "A new job with the ID identified in the message is created.",
            "Message": "A new job with ID %1 is created.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "JCP001": {
            "Description": "The UEFI automated task related to the job was successfully scheduled.",
            "Message": "Task successfully scheduled.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "JCP002": {
            "Description": "The Lifecycle Controller is not able to schedule a job at this time because of an internal error.",
            "Message": "Unable to schedule the job.",
            "NumberOfArgs": 0,
            "Resolution": "Wait up to three minutes and retry the operation. If the problem persists, reboot the system and enumerate DCIM_Lifeycle Job to view the list of jobs that are currently scheduled.",
            "Severity": "Warning"
        },
        "JCP003": {
            "Description": "The Job did not complete successfully.",
            "Message": "The Job did not complete successfully.",
            "NumberOfArgs": 0,
            "Resolution": "Retry the operation, and if necessary, make sure that valid parameters are provided for the operation. If the issue persists, contact your service provider.",
            "Severity": "Warning"
        },
        "JCP004": {
            "Description": "The job's time window expired and the job failed to complete.",
            "Message": "Time elapsed - Job Failed.",
            "NumberOfArgs": 0,
            "Resolution": "Retry the action and increase the time window so that the job can complete.",
            "Severity": "Informational"
        },
        "JCP005": {
            "Description": "System services was cancelled by selecting CTRL+E or F2 on boot up and cancelling it through the iDRAC configuration utility. This prevents jobs from executing further.",
            "Message": "System services cancelled - Job Failed",
            "NumberOfArgs": 0,
            "Resolution": "For 11G systems: Use the iDRAC configuration utility to enable the System Services by pressing on the CTRL+E option on boot up at the targeted system. For 12G and above generations: Use F2 Setup, select iDRAC Configuration, and select Lifecycle Controller Settings, to enable the Lifecycle Controller on boot up of the targeted system.",
            "Severity": "Informational"
        },
        "JCP006": {
            "Description": "One or more of the specified values for creating a job are invalid or an internal error has occurred when scheduling the job.",
            "Message": "Invalid job attribute.",
            "NumberOfArgs": 0,
            "Resolution": "Use the correct value for the job attribute and retry the operation.",
            "Severity": "Warning"
        },
        "JCP007": {
            "Description": "The submitted job completed successfully.",
            "Message": "Job successfully completed.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "JCP008": {
            "Description": "Multiple attributes were set in the operation but some set attribute actions were not successful. For example, setting an attribute that is not valid for the component being configured.",
            "Message": "Job completed with errors.",
            "NumberOfArgs": 0,
            "Resolution": "Examine the results of the configuration job in the Lifecycle Log for the source of the errors. Modify the settings as necessary and resubmit the job.",
            "Severity": "Warning"
        },
        "JCP009": {
            "Description": "Scheduled jobs were deleted as a result of a cancel job request. The job cancellation request is manually or programmatically initiated. Lifecycle Controller enters Recovery mode when unrecoverable and persistent errors occur.",
            "Message": "Scheduled job was cancelled.",
            "NumberOfArgs": 0,
            "Resolution": "If the job was not cancelled manually, then Lifecycle Controller may be in Recovery mode. To verify or change Recovery mode, use F2 Setup to select iDRAC Configuration then Lifecycle Controller Settings.",
            "Severity": "Informational"
        },
        "JCP010": {
            "Description": "The method invoked was successfully completed.",
            "Message": "The command was successful.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "JCP011": {
            "Description": "The value provided for the specified parameter is invalid and must be corrected for the invoked method to complete successfully.",
            "Message": "Invalid parameter value for %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "To provide the correct value for the specified parameter, see Lifecycle Controller-Remote Services documentation. Retry the operation requested with corrected value.",
            "Severity": "Warning"
        },
        "JCP012": {
            "Description": "The requested operation requires memory or file space allocation. The operation failed due to lack of memory or file space in the iDRAC.",
            "Message": "The operation failed due to an internal iDRAC error.",
            "NumberOfArgs": 0,
            "Resolution": "Retry the operation. If the issue persists, reset iDRAC and retry the operation.",
            "Severity": "Critical"
        },
        "JCP013": {
            "Description": "One or more required input parameters needed for the operation are missing.",
            "Message": "Missing parameter(s) %1",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Refer to the documentation for the operation being attempted and provide valid values for the identified parameters.",
            "Severity": "Warning"
        },
        "JCP014": {
            "Description": "The number of jobs specified in the SetupJobQueue request combined with the existing job count contains more jobs IDs than the maximum number of jobs supported by the system (256). Completed jobs are automatically deleted if they are older than the delete on completion timeout setting.",
            "Message": "Maximum jobs per queue exceeded.",
            "NumberOfArgs": 0,
            "Resolution": "Reduce the number of jobs specified in the operation or reduce the existing job count before retrying the operation. Perform one of the following to reduce the job count: 1) Delete one or more jobs and retry the operation. 2) Wait until existing jobs have an elapsed time since completion that is greater than the delete on completion timeout setting and are automatically deleted. 3) Change the delete on completion timeout setting to a smaller value so that completed jobs are automatically deleted sooner.",
            "Severity": "Warning"
        },
        "JCP015": {
            "Description": "The job is currently executing and cannot be deleted. The job needs to finish running, whether successful or not, before it can be deleted.",
            "Message": "A running job cannot be deleted.",
            "NumberOfArgs": 0,
            "Resolution": "Wait for the job to have a completed job status. Retry the operation.",
            "Severity": "Warning"
        },
        "JCP016": {
            "Description": "The UntilTime input parameter for the job or job queue creation must be at least 5 minutes after the value specified in the StartTime parameter.",
            "Message": "Invalid UntilTime value. A minimum of 5 minutes is required.",
            "NumberOfArgs": 0,
            "Resolution": "Set the UntilTime at least 5 minutes after StartTime and retry the operation.",
            "Severity": "Warning"
        },
        "JCP017": {
            "Description": "The current job count has reached the maximum value supported. No more jobs are created until the number of jobs on the system is reduced. Completed jobs are automatically deleted if they are older than the DeleteOnCompletionTimeout setting.",
            "Message": "Job creation request unsuccessful. Maximum number of jobs reached.",
            "NumberOfArgs": 0,
            "Resolution": "Do one of the following to reduce the job count: 1) Delete one or more jobs and retry the operation. 2) Wait until existing jobs have an elapsed time since completion that is greater than the delete on completion timeout setting and are automatically deleted. 3) change the DeleteOnCompletionTimeout setting using the WSMAN API to a smaller value so that completed jobs are automatically deleted sooner.",
            "Severity": "Warning"
        },
        "JCP018": {
            "Description": "A new job cannot be created until the existing Export job is completed or the job is deleted. There can only be one Export Server Profile job running at a time.",
            "Message": "Cannot create new jobs until the existing Export job is completed or the job is cancelled.",
            "NumberOfArgs": 0,
            "Resolution": "Do one of the following: 1) Retry the operation after the Export Server Profile job is completed. 2) Delete the scheduled Export job and retry the operation.",
            "Severity": "Warning"
        },
        "JCP019": {
            "Description": "A new job cannot be created until the existing Import Server Profile job is complete or deleted. Only one Import Server Profile job can be running at any given time.",
            "Message": "Cannot create new jobs until the existing Import System Profile job is completed or cancelled.",
            "NumberOfArgs": 0,
            "Resolution": "Do one of the following: 1) Retry the operation after the Import Server Profile job is complete. 2) Delete the scheduled Import Server Profile job and retry the operation.",
            "Severity": "Warning"
        },
        "JCP020": {
            "Description": "Existing jobs cannot be scheduled while an Export Server Profile or Import Server Profile job is running.",
            "Message": "Cannot schedule jobs while export or import operations are running.",
            "NumberOfArgs": 0,
            "Resolution": "Retry the job scheduling operation after the export or import operation is completed.",
            "Severity": "Warning"
        },
        "JCP021": {
            "Description": "The operation did not complete successfully because of lack of an unknown error in the iDRAC.",
            "Message": "The operation failed due to an internal iDRAC error.",
            "NumberOfArgs": 0,
            "Resolution": "Retry the operation. If the issue persists, reset the iDRAC.",
            "Severity": "Warning"
        },
        "JCP022": {
            "Description": "An invalid Job ID was provided as input for a scheduling or deletion operation. The Job ID indicated in the message does not match an existing Job on the target system.",
            "Message": "Invalid Job ID %1 for scheduling or deletion operation.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Verify the job ID value by enumerating job instances and validating that the Job ID value is correct for the job being scheduled or deleted. Retry the operation with the correct Job ID value.",
            "Severity": "Warning"
        },
        "JCP023": {
            "Description": "One of the job ID values specified as input to the operation is a duplicate. The duplicated Job ID is indicated in the message.",
            "Message": "Duplicate Job ID %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Use the correct job ID and retry. Use the GetAllJobs method to retrieve all open jobs.",
            "Severity": "Warning"
        },
        "JCP024": {
            "Description": "Lifecycle Controller cannot gain access to internal storage due to use by another application or operation. This job starts when Lifecycle Controller is available.",
            "Message": "Lifecycle Controller is in use. This job starts when Lifecycle Controller is available.",
            "NumberOfArgs": 0,
            "Resolution": "Wait for current Lifecycle Controller operation to complete. Verify that the system is: 1) Not currently in Lifecycle Controller Unified Server Configurator 2) Not waiting for user intervention at F1/F2 POST error 3) Not in any of the device or controller Option ROMs.",
            "Severity": "Informational"
        },
        "JCP025": {
            "Description": "Lifecycle Controller must be enabled to perform the requested operation. Lifecycle Controller can be enabled in the F2 Setup application or through a remote operation.",
            "Message": "Lifecycle Controller is not enabled.",
            "NumberOfArgs": 0,
            "Resolution": "If Lifecycle Controller is in Recovery mode a firmware update of Lifecycle Controller may be required. To change the Lifecycle Controller mode, do the following: 1) Restart the system and press F2 to launch the System Setup application 2) Select iDRAC Configuration 3) Select Lifecycle Controller Settings to enable Lifecycle Controller.",
            "Severity": "Informational"
        },
        "JCP026": {
            "Description": "Update packages are being downloaded for other jobs initiated on this system. This job resumes when the downloads complete.",
            "Message": "Update packages are being downloaded. This job resumes when the downloads are completed.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "JCP027": {
            "Description": "The (installation or configuration) job identified in the message is successfully created on iDRAC.",
            "Message": "The (installation or configuration) job %1 is successfully created on iDRAC.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "JCP028": {
            "Description": "An install or configuration job status is successfully updated on iDRAC.",
            "Message": "Job status updated.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "JCP029": {
            "Description": "Only one Job of the JobType requested can be created or scheduled at any time. A job of the same type already exists in the job queue.",
            "Message": "A Job of JobType %1 already exists.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Wait until the existing job is complete or delete the existing job and then retry the operation.",
            "Severity": "Warning"
        },
        "JCP030": {
            "Description": "Unable to schedule jobs for execution while an iDRAC firmware update job is running.",
            "Message": "Unable to schedule jobs while an iDRAC firmware update or configuration job is running.",
            "NumberOfArgs": 0,
            "Resolution": "Wait for the running job to complete, and then retry the operation.",
            "Severity": "Informational"
        },
        "JCP031": {
            "Description": "The job ID specified as input to the operation has configuration data that is currently being processed by the iDRAC. The job can be deleted after the processing is done.",
            "Message": "Unable to delete the job because the configuration is still being committed.",
            "NumberOfArgs": 0,
            "Resolution": "Retry the operation. If the issue persists, reset the iDRAC by pressing the System ID button for 15 seconds, wait for the iDRAC to finish restarting, and then retry the operation.",
            "Severity": "Informational"
        },
        "JCP032": {
            "Description": "The configuration job cannot be created because the -r and --realtime options cannot be used at the same time.",
            "Message": "Unable to create a job because conflicting options are entered.",
            "NumberOfArgs": 0,
            "Resolution": "Make sure that only one of either -r or --realtime option is entered. For example, to run a job immediately, enter the --realtime option. To schedule a job that will be run after restarting a server, use the -r option. For more information about options, see the RACADM Command Line Reference Guide available at the support site. If the issue persists, contact your service provider.",
            "Severity": "Informational"
        },
        "JCP033": {
            "Description": "This job is newly created. This is the default message in a job when it has just been created.",
            "Message": "New job.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "JCP034": {
            "Description": "A new configuration or update job has been created.",
            "Message": "%1 job is successfully created on iDRAC with %2.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "JCP035": {
            "Description": "New jobs cannot be created because a backup job is currently running.",
            "Message": "Unable to create new jobs because a backup job is currently running.",
            "NumberOfArgs": 0,
            "Resolution": "Wait for the running job to complete, and then retry the operation. To view a list of the jobs currently running, use the RACADM command \"racadm jobqueue view\" or using the WSMAN API, enumerate DCIM_LifeCycleJob to view the list of jobs that are currently scheduled.",
            "Severity": "Informational"
        },
        "JCP036": {
            "Description": "The job identified in the message is successfully deleted on iDRAC.",
            "Message": "The job %1 is successfully deleted.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "JCP037": {
            "Description": "The (installation or configuration) job identified in the message is successfully completed on iDRAC.",
            "Message": "The (installation or configuration) job %1 is successfully completed.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "JCP038": {
            "Description": "The (installation or configuration) job identified in the message cannot be run. For more information, see the Job Queue.",
            "Message": "Unable to run the (installation or configuration) job %1 because %2.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "Navigate to the Maintenance->overview->Lifecycle Log page in the iDRAC GUI. Look for logs with the prefix \"RED\" within the timeframe. Perform the recommended response action for these messages by referring to the error message guide.",
            "Severity": "Informational"
        },
        "JCP040": {
            "Description": "User created configuration / update Job with specified Job Name using specified interface.",
            "Message": "User %1 via IP %2 created configuration / update Job ID %3 with Job Name %4 using %5.",
            "NumberOfArgs": 5,
            "ParamTypes": [
                "String",
                "String",
                "String",
                "String",
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "JCP041": {
            "Description": "The job cannot be run because the System Lockdown mode is enabled.",
            "Message": "Unable to successfully run the job because the System Lockdown mode is enabled.",
            "NumberOfArgs": 0,
            "Resolution": "Disable the System Lockdown mode and retry the operation.",
            "Severity": "Informational"
        },
        "JCP042": {
            "Description": "The (installation or configuration) job identified in the message cannot be run. For more information, see the Job Queue.",
            "Message": "Unable to run the (installation or configuration) job %1 because %2.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "Review the LC Log for related update, configuration, or collection job errors. Retry the operation. If the problem persists, contact your service provider.",
            "Severity": "Warning"
        },
        "JCP043": {
            "Description": "The update operation cannot be started because the Export or Server Profile Import operation is already in progress.",
            "Message": "Unable to start the update operation because the Export or Server Profile Import operation is already in progress.",
            "NumberOfArgs": 0,
            "Resolution": "Wait for the Export or Server Profile Import operation to complete, and then retry the operation.",
            "Severity": "Informational"
        },
        "JCP044": {
            "Description": "The new jobs cannot be created until the current iDRAC job downloading operation is either completed or deleted. Only one Import Server Profile job can be run at a given time.",
            "Message": "Unable to create new jobs until the current iDRAC job downloading operation is either completed or deleted.",
            "NumberOfArgs": 0,
            "Resolution": "Do one of the following and retry the operation: 1) Wait for the current iDRAC job download operation to complete. 2) Delete the scheduled iDRAC download job.",
            "Severity": "Warning"
        },
        "JCP8501": {
            "Description": "This job information message occurs if some configuration stored in the profile are not applicable to the target server.",
            "Message": "Job ID: %1. CMC sent %2 properties from %3 profile to the server (Service Tag: %4 ) in the slot %5.",
            "NumberOfArgs": 5,
            "ParamTypes": [
                "String",
                "String",
                "String",
                "String",
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "LC001": {
            "Description": "The command completed successfully.",
            "Message": "Command successful.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "LC002": {
            "Description": "A general failure occurred while executing the command.",
            "Message": "General failure.",
            "NumberOfArgs": 0,
            "Resolution": "Verify network connectivity. If failure persists, reset the iDRAC to resolve the issue.",
            "Severity": "Critical"
        },
        "LC003": {
            "Description": "An error occurred while trying to set the firmware update mode.",
            "Message": "Failed to change the firmware update mode.",
            "NumberOfArgs": 0,
            "Resolution": "Verify that the firmware version supports this mode. Also confirm that the command and parameters are correct. The parameter choices are: 1) Disable (default) 2) Allow version upgrade only 3) Match firmware of replaced part.",
            "Severity": "Warning"
        },
        "LC004": {
            "Description": "The Provisioning Server parameter information is not formatted correctly.",
            "Message": "Provisioning Server information is not formatted correctly.",
            "NumberOfArgs": 0,
            "Resolution": "Verify the string format. Enter a valid IP address or hostname for the Provisioning Server such as: 1) hostname 2) hostname.domain.com 3) 1.1.1.1 4) hostname:8080 5) hostname.dell.com:8080 6) hostname1:80,hostname2:8080.",
            "Severity": "Warning"
        },
        "LC005": {
            "Description": "The value provided for the update mode parameter is invalid.",
            "Message": "Invalid firmware update mode.",
            "NumberOfArgs": 0,
            "Resolution": "Verify that the correct firmware update mode was entered. The choices are: 1) Disable (default) 2)Allow version upgrade only 3) Match firmware of replaced part.",
            "Severity": "Warning"
        },
        "LC006": {
            "Description": "The Auto-Discovery action selected is invalid.",
            "Message": "Invalid Auto-Discovery action.",
            "NumberOfArgs": 0,
            "Resolution": "Verify that the selected Auto-Discovery action is supported. The supported commands are documented in the Lifecycle Controller User Guide.",
            "Severity": "Warning"
        },
        "LC007": {
            "Description": "One of the parameters specified in the method is invalid.",
            "Message": "Invalid Parameter.",
            "NumberOfArgs": 0,
            "Resolution": "Verify that the parameters specified are correct. For a list of parameters for this method refer to the Lifecycle Controller User Guide.",
            "Severity": "Warning"
        },
        "LC008": {
            "Description": "The parameter value is not supported.",
            "Message": "Unsupported method parameter value.",
            "NumberOfArgs": 0,
            "Resolution": "Confirm that the parameters provided are correct. For a list of parameters for this method refer to the Lifecycle Controller User Guide.",
            "Severity": "Warning"
        },
        "LC009": {
            "Description": "There were insufficient parameters specified for this command.",
            "Message": "Insufficient method parameters.",
            "NumberOfArgs": 0,
            "Resolution": "Confirm that the parameters provided are correct. For a list of parameters for this method refer to the Lifecycle Controller User Guide.",
            "Severity": "Warning"
        },
        "LC010": {
            "Description": "The communications encryption certificate was imported successfully.",
            "Message": "Certificate imported successfully.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "LC0100": {
            "Description": "A persistent error has occurred while carrying out a Lifecycle Controller operation. This situation causes Lifecycle Controller to enter Recovery mode. Any remote jobs pending execution were cancelled.",
            "Message": "Lifecycle Controller has entered Recovery mode.",
            "NumberOfArgs": 0,
            "Resolution": "To verify or change Recovery mode, use F2 Setup, select iDRAC Configuration, and select Lifecycle Controller Settings. Updating Lifecycle Controller clears the Recovery mode.",
            "Severity": "Warning"
        },
        "LC0101": {
            "Description": "A user cancelled Lifecycle Controller actions. Any remote jobs pending execution were cancelled.",
            "Message": "Lifecycle Controller action was cancelled by a user.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "LC011": {
            "Description": "There was a general failure in the certificate import process.",
            "Message": "Certificate import operation failed.",
            "NumberOfArgs": 0,
            "Resolution": "Try one of the following: 1) Rerun the command. 2) Reset iDRAC and run the command.",
            "Severity": "Critical"
        },
        "LC012": {
            "Description": "Lifecycle Controller is in use by another process. Wait for other process to complete before attempting to run another command.",
            "Message": "Another process is using Lifecycle Controller.",
            "NumberOfArgs": 0,
            "Resolution": "Try one of the following: 1) Rerun the command after about 2 minutes. 2) Make sure that Lifecycle Controller Unified Server Configurator or an Update Package is not currently running on the server 3) Reset iDRAC and rerun the command.",
            "Severity": "Warning"
        },
        "LC013": {
            "Description": "No changes are available between the previous configuration and the current configuration. At least one attribute should be changed to create a configuration job.",
            "Message": "A configuration job cannot be created because there are no pending values to change.",
            "NumberOfArgs": 0,
            "Resolution": "Change the configuration of one or more attributes before creating a configuration job.",
            "Severity": "Informational"
        },
        "LC014": {
            "Description": "Maximum comment length is 255 characters.",
            "Message": "Maximum comment length is 255 characters.",
            "NumberOfArgs": 0,
            "Resolution": "Limit the number of characters in the comment to 255 characters.",
            "Severity": "Warning"
        },
        "LC015": {
            "Description": "Invalid current attribute value.",
            "Message": "Invalid Part Configuration Update",
            "NumberOfArgs": 0,
            "Resolution": "Check for correct parameter values: 1) Disabled 2) Apply always 3) Apply only if firmware match.",
            "Severity": "Warning"
        },
        "LC016": {
            "Description": "A required method argument was missing.",
            "Message": "Missing required parameter, %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Include all the parameters required for the command. Check Lifecycle Controller Profile documentation and try again.",
            "Severity": "Warning"
        },
        "LC017": {
            "Description": "A parameter value provided when the method was invoked is not valid.",
            "Message": "Invalid value for the parameter, %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Verify that parameter values provided to the method are typed as they appear in the enumeration and that the parameter data type matches the Lifecycle Controller Profile documentation.",
            "Severity": "Warning"
        },
        "LC018": {
            "Description": "The certificate modification operation was successful. Communication to iDRAC will be lost as iDRAC restarts to use the new server certificate.",
            "Message": "Server certificate successfully modified. iDRAC will now restart and be unavailable during restart.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "LC019": {
            "Description": "The PKCS12 string could not be decoded from the Base64 encoding into a PKCS12 binary file.",
            "Message": "Base64 decode of PKCS12 content was not successful.",
            "NumberOfArgs": 0,
            "Resolution": "Validate that the contents of the PKCS12 parameter is base64 encoded. OpenSSL can be used to validate the encoding.",
            "Severity": "Warning"
        },
        "LC020": {
            "Description": "The contents of the PKCS12 parameter was not valid because: 1) not a valid PKCS12 file 2) not a valid pfx file 3) did not contain a certificate that matched the private key in the file.",
            "Message": "PKCS12 decrypt of the certificate could not complete.",
            "NumberOfArgs": 0,
            "Resolution": "Validate that the PKCS12 content was Base64 encoded. OpenSSL can be used to create or validate a PKCS12 encoding.",
            "Severity": "Warning"
        },
        "LC021": {
            "Description": "The contents of the PKCS12 parameter was not valid because: 1) not a valid PKCS12 file 2) not a valid pfx file 3) did not contain a valid key.",
            "Message": "PKCS12 decrypt of private key could not complete.",
            "NumberOfArgs": 0,
            "Resolution": "Validate that the PKCS12 file was Base64 encoded. OpenSSL can be used to create or validate a PKCS12 file.",
            "Severity": "Warning"
        },
        "LC022": {
            "Description": "The Lifecycle Controller Log was successfully exported to the destination specified.",
            "Message": "Lifecycle Controller Log Export was successful.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "LC023": {
            "Description": "Credentials or network share identity information provided did not result in a network connection being established.",
            "Message": "Cannot access network share.",
            "NumberOfArgs": 0,
            "Resolution": "Check network share access credentials (IP address, user name, password, share type, and so on). Refer to Lifecycle Controller Profile documentation for more details.",
            "Severity": "Warning"
        },
        "LC024": {
            "Description": "Unable to retrieve Lifecycle Controller Log records because of an issue internal to the firmware.",
            "Message": "Unable to retrieve Lifecycle Controller Log records.",
            "NumberOfArgs": 0,
            "Resolution": "Do one of the following: 1) Try the operation again 2) AC power cycle the system 3) apply the latest firmware update packages for Lifecycle Controller and iDRAC.",
            "Severity": "Critical"
        },
        "LC025": {
            "Description": "Insufficient space on network share.",
            "Message": "Insufficient space on network share.",
            "NumberOfArgs": 0,
            "Resolution": "Make more space available on the network share and try the operation again.",
            "Severity": "Warning"
        },
        "LC026": {
            "Description": "This method is not supported in this version of the iDRAC firmware.",
            "Message": "Lifecycle Controller Log Export method is not supported.",
            "NumberOfArgs": 0,
            "Resolution": "Update the iDRAC firmware to a version that supports the log export.",
            "Severity": "Informational"
        },
        "LC027": {
            "Description": "The Hardware Inventory XML file export operation was successful.",
            "Message": "The Hardware Inventory file export was successful.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "LC028": {
            "Description": "Hardware Inventory information is not retrievable due to an internal error.",
            "Message": "Unable to retrieve Hardware Inventory information.",
            "NumberOfArgs": 0,
            "Resolution": "Try one of the following: 1) Try the operation again 2) AC power cycle system 3) apply the latest firmware update packages for Lifecycle Controller and iDRAC.",
            "Severity": "Warning"
        },
        "LC029": {
            "Description": "An invalid File Path was specified in the export operation.",
            "Message": "Invalid file path specified.",
            "NumberOfArgs": 0,
            "Resolution": "Correct the specified file path and try again.",
            "Severity": "Warning"
        },
        "LC030": {
            "Description": "The file path specified for the operation is a read-only file system.",
            "Message": "The file path is to a read-only file system.",
            "NumberOfArgs": 0,
            "Resolution": "Enable write access to the file path and try again.",
            "Severity": "Warning"
        },
        "LC031": {
            "Description": "An internal error occurred while exporting the Hardware Inventory XML file.",
            "Message": "Internal error occurred while exporting inventory.",
            "NumberOfArgs": 0,
            "Resolution": "Reset iDRAC and retry the command.",
            "Severity": "Critical"
        },
        "LC032": {
            "Description": "This method is not supported in the current version of iDRAC firmware.",
            "Message": "The Hardware Inventory Export method not supported.",
            "NumberOfArgs": 0,
            "Resolution": "Update the iDRAC firmware to a version that supports this method.",
            "Severity": "Informational"
        },
        "LC033": {
            "Description": "The Hardware Inventory XML file representing the system configuration as shipped from the factory was successful.",
            "Message": "As-Shipped Hardware Inventory export was successful.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "LC034": {
            "Description": "The As-Shipped from the factory Hardware Inventory information is not present on the system.",
            "Message": "Unable to retrieve As-Shipped Hardware Inventory from the system.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "LC035": {
            "Description": "This method is not supported in this version of Firmware.",
            "Message": "As-Shipped Hardware Inventory Export method is not supported.",
            "NumberOfArgs": 0,
            "Resolution": "Update the iDRAC firmware to a version that supports this method.",
            "Severity": "Informational"
        },
        "LC036": {
            "Description": "The Lifecycle Controller has been disabled through the iDRAC configuration utility accessed by pressing CTRL+E or F2 on boot up or through a remote command.",
            "Message": "Lifecycle Controller is not enabled.",
            "NumberOfArgs": 0,
            "Resolution": "For 11G systems: Use the iDRAC configuration utility to enable the System Services by pressing on the CTRL+E option on boot up at the targeted system. For 12G and above generations : Use F2 Setup, select iDRAC Configuration, and select Lifecycle Controller Settings, to enable the Lifecycle Controller on boot up of the targeted system.",
            "Severity": "Informational"
        },
        "LC037": {
            "Description": "Lifecycle Controller is locked by another instance of Lifecycle Controller Log Export operation. Wait for that operation to complete before attempting to run another command.",
            "Message": "An instance of Lifecycle Controller Log Export is already running.",
            "NumberOfArgs": 0,
            "Resolution": "Do one of the following: 1) Wait approximately 2 minutes and retry the operation. 2) Reset iDRAC and retry the operation.",
            "Severity": "Warning"
        },
        "LC038": {
            "Description": "Lifecycle Controller is locked by another instance of the Hardware Inventory export process. Allow the process to complete before attempting another export operation.",
            "Message": "An instance of Hardware Inventory export is already in progress.",
            "NumberOfArgs": 0,
            "Resolution": "Do one of the following: 1) Rerun the command after about 2 minutes 2) Reset the iDRAC and rerun the command.",
            "Severity": "Warning"
        },
        "LC039": {
            "Description": "Lifecycle Controller is locked by another instance of the As-Shipped Inventory export process. Allow the process to complete before attempting another export operation.",
            "Message": "An instance of As-Shipped Inventory export is already in progress.",
            "NumberOfArgs": 0,
            "Resolution": "Do one of the following: 1) Rerun the command after about 2 minutes 2) Reset iDRAC and rerun the command.",
            "Severity": "Warning"
        },
        "LC040": {
            "Description": "Unable to allocate required memory to perform the operation.",
            "Message": "Memory resource allocation failure.",
            "NumberOfArgs": 0,
            "Resolution": "Power cycle system and retry the operation. If the problem persists, reapply firmware packages for Lifecycle Controller and iDRAC.",
            "Severity": "Critical"
        },
        "LC041": {
            "Description": "The length of the Console name exceeds the maximum length allowed or the file operation error encountered.",
            "Message": "Console name configure failed",
            "NumberOfArgs": 0,
            "Resolution": "Change the name of a console to a name less than 32 characters.",
            "Severity": "Warning"
        },
        "LC042": {
            "Description": "Configure Console name while Virtual Address Management is in FlexAddress mode.",
            "Message": "Configure Console name in FlexAddress mode",
            "NumberOfArgs": 0,
            "Resolution": "Configure the Virtual Address Management to Console mode, and then configure the name of a console.",
            "Severity": "Warning"
        },
        "LC043": {
            "Description": "Work notes cannot include non-printable or reserved characters, such as &, <, >, /.",
            "Message": "Work note contains non-printable or reserved characters.",
            "NumberOfArgs": 0,
            "Resolution": "Do not use non-printable characters or reserved characters such as &, <, >, and /.",
            "Severity": "Warning"
        },
        "LC044": {
            "Description": "The Lifecycle Controller system configuration wipe operation is currently running. The operation deletes user information from system hardware and resets BIOS, iDRAC and Lifecycle Controller to default settings. The current operation and system restart must complete before the operation can be attempted again.",
            "Message": "An instance of Lifecycle Controller system configuration wipe is already running.",
            "NumberOfArgs": 0,
            "Resolution": "Wait for the Lifecycle Controller system configuration wipe operation that is currently running to complete before requesting another operation.",
            "Severity": "Warning"
        },
        "LC045": {
            "Description": "The CreateConfigJob operation is currently running. The current operation and system restart must complete before the operation can be attempted again.",
            "Message": "An instance of CreateConfigJob is already running.",
            "NumberOfArgs": 0,
            "Resolution": "Wait for the CreateConfigJob operation that is currently running to complete before requesting another operation.",
            "Severity": "Warning"
        },
        "LC046": {
            "Description": "The DownloadServerPublicKey operation is in progress. The operation may take a few minutes to complete before the operation can be attempted again.",
            "Message": "An instance of DownloadServerPublicKey is already running.",
            "NumberOfArgs": 0,
            "Resolution": "Wait a few minutes before retrying retry the operation.",
            "Severity": "Warning"
        },
        "LC047": {
            "Description": "The DownloadClientCerts operation is in progress. The operation may take a few minutes to compete before the operation can be attempted again.",
            "Message": "An instance of DownloadClientCerts is already running.",
            "NumberOfArgs": 0,
            "Resolution": "Wait a few minutes before retrying retry the operation.",
            "Severity": "Warning"
        },
        "LC048": {
            "Description": "The value provided to set the attribute identified in the message is invalid.",
            "Message": "Invalid input value for IPChangeNotifyPS.",
            "NumberOfArgs": 0,
            "Resolution": "For more information on the valid values, see Lifecycle Controller-Remote Services documentation. Retry the operation with a valid value for the IPChangeNotifyPS attribute.",
            "Severity": "Warning"
        },
        "LC049": {
            "Description": "The value provided to set the attribute identified in the message is invalid.",
            "Message": "Invalid value for VirtualAddressManagement.",
            "NumberOfArgs": 0,
            "Resolution": "For more information on the valid values, see Lifecycle Controller-Remote Services documentation. Retry the operation with a valid value for the VirtualAddressManagement attribute.",
            "Severity": "Warning"
        },
        "LC050": {
            "Description": "The value provided to set the attribute identified in the message is invalid.",
            "Message": "Invalid value for SystemServicesState.",
            "NumberOfArgs": 0,
            "Resolution": "For more information on the valid values, see Lifecycle Controller-Remote Services documentation. Retry the operation with a valid value for the SystemServicesState attribute.",
            "Severity": "Warning"
        },
        "LC051": {
            "Description": "There can only be one Server Profile Export job at a time.",
            "Message": "Cannot create multiple Server Profile Export jobs.",
            "NumberOfArgs": 0,
            "Resolution": "Wait for the existing Server Profile Export job to run and complete or cancel it, before retrying the operation.",
            "Severity": "Warning"
        },
        "LC052": {
            "Description": "There can only be one Server Profile Import job at a time.",
            "Message": "Cannot create multiple Server Profile Import jobs.",
            "NumberOfArgs": 0,
            "Resolution": "Wait for the existing Server Profile Import job to run and complete or cancel it, before retrying the operation.",
            "Severity": "Warning"
        },
        "LC053": {
            "Description": "Lifecycle Controller Remote Service is either not ready or currently reloading server information.",
            "Message": "Lifecycle Controller Remote Services is currently unavailable.",
            "NumberOfArgs": 0,
            "Resolution": "Retry the operation. If the issue persists, refer to Lifecycle Controller-Remote Services documentation for more information.",
            "Severity": "Warning"
        },
        "LC054": {
            "Description": "The network share may be read-only or it may not have sufficient space for the export operation.",
            "Message": "Unable to write to the network share.",
            "NumberOfArgs": 0,
            "Resolution": "Verify the network share is not read-only and has sufficient space for exporting, then retry the operation.",
            "Severity": "Warning"
        },
        "LC055": {
            "Description": "The operation did not complete successfully because the number of AttributeName input parameters provided to the method exceeded the number of attributes available in iDRAC.",
            "Message": "The operation did not complete successfully because of an invalid attribute array.",
            "NumberOfArgs": 0,
            "Resolution": "Retry the operation with an input parameter array that matches the available attributes in iDRAC.",
            "Severity": "Warning"
        },
        "LC056": {
            "Description": "The name value pairs in the input parameter arrays do not match in the input.",
            "Message": "AttributeName and AttributeValue count mismatch.",
            "NumberOfArgs": 0,
            "Resolution": "Retry the operation with a valid (AttributeName, AttributeValue) pair.",
            "Severity": "Warning"
        },
        "LC057": {
            "Description": "The attribute name provided is not valid for the current method.",
            "Message": "Invalid AttributeName parameter value.",
            "NumberOfArgs": 0,
            "Resolution": "Retry the operation with a valid AttributeName parameter value.",
            "Severity": "Warning"
        },
        "LC058": {
            "Description": "The attribute value specified in the AttributeValue array is not valid for the corresponding specified attribute.",
            "Message": "Invalid AttributeValue parameter value for corresponding AttributeName value, %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Retry the operation with a valid attribute value for the corresponding specified attribute.",
            "Severity": "Warning"
        },
        "LC059": {
            "Description": "The attribute specified is read only and the value cannot be changed.",
            "Message": "Cannot set read only attribute specified in AttributeName %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Warning"
        },
        "LC060": {
            "Description": "Lifecycle controller is currently performing tasks and another task cannot be scheduled until the previous task finishes.",
            "Message": "Lifecycle controller is currently not ready to take provisioning requests",
            "NumberOfArgs": 0,
            "Resolution": "Wait until Lifecycle controller finishes performing current tasks and host system to finish POST.",
            "Severity": "Warning"
        },
        "LC061": {
            "Description": "Jobs, invoke methods, enumerates can now be performed on Lifecycle controller. Lifecycle controller is ready to take provisioning requests.",
            "Message": "Lifecycle controller is ready to take provisioning requests",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "LC062": {
            "Description": "Export or Import server profile operation is already running. The operation may take a few minutes to compete.",
            "Message": "Export or Import server profile operation is already running.",
            "NumberOfArgs": 0,
            "Resolution": "To retry the operation, wait for a few minutes.",
            "Severity": "Warning"
        },
        "LC063": {
            "Description": "All jobs must be completed before creating a new job.",
            "Message": "Cannot create new jobs until the existing running jobs are completed or deleted.",
            "NumberOfArgs": 0,
            "Resolution": "Retry after all the existing jobs are completed or deleted.",
            "Severity": "Warning"
        },
        "LC064": {
            "Description": "The maximum number of characters allowed for the parameter is displayed.",
            "Message": "The value exceeds the maximum length of %1 characters for %2.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "Reduce the number of characters to the maximum length allowed for this parameter.",
            "Severity": "Warning"
        },
        "LC065": {
            "Description": "The static IPv4 information for the iDRAC represented by the related iDRACCard Attributes must be configured correctly.",
            "Message": "The iDRAC static IP address information is not fully configured. The missing attribute InstanceID is %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Configure the iDRAC static IP address information by setting the related iDRACCard Attributes. The related attributes that must be configured are the following:: 1) In the IPv4 group: Address, NetMask, Gateway, DNS1 2) In the NIC Static group: DNSDomainName.",
            "Severity": "Warning"
        },
        "LC066": {
            "Description": "The Export Certificate operation is already running and may take a few minutes to complete.",
            "Message": "The Export Certificate operation is currently running.",
            "NumberOfArgs": 0,
            "Resolution": "Wait until the current operation is complete and then retry the operation.",
            "Severity": "Warning"
        },
        "LC067": {
            "Description": "The Export Certification operation successfully exported the SSL Certificate.",
            "Message": "Successfully exported SSL Certificate.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "LC068": {
            "Description": "The import or export system configuration operation cannot be performed because there are pending attribute changes or a configuration job is in progress.",
            "Message": "Unable to perform the import or export operation because there are pending attribute changes or a configuration job is in progress.",
            "NumberOfArgs": 0,
            "Resolution": "Apply or cancel any pending attribute changes. Changes can be applied by creating a targeted configuration job, or the changes can be cancelled by invoking the DeletePendingConfiguration method. If a configuration job is in progress, wait until it is completed before retrying the import or export system configuration operation.",
            "Severity": "Warning"
        },
        "LC069": {
            "Description": "The certificate does not exist for export or delete operation.",
            "Message": "Certificate does not exist.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Warning"
        },
        "LC070": {
            "Description": "The configuration XML file used for the import operation does not exist on the specified network share.",
            "Message": "Unable to find the configuration XML import file.",
            "NumberOfArgs": 0,
            "Resolution": "Make sure the input configuration XML file for the operation exists on the network share.",
            "Severity": "Warning"
        },
        "LC071": {
            "Description": "Unable to export or import server configuration XML because the Lifecycle Controller version on the target does not support this feature.",
            "Message": "The Lifecycle Controller version does not support the export or import of the Server Configuration XML file.",
            "NumberOfArgs": 0,
            "Resolution": "Update the Lifecycle Controller version on the target system to a version that supports the export and import server configuration XML feature, and retry the operation.",
            "Severity": "Warning"
        },
        "LC072": {
            "Description": "An SSL Certificate is successfully generated in response to the requested operation.",
            "Message": "An SSL Certificate is successfully generated.",
            "NumberOfArgs": 0,
            "Resolution": "Download the SSL Certificate and get it signed by an authority.",
            "Severity": "Informational"
        },
        "LC073": {
            "Description": "An SSL Certificate cannot be generated because of internal firmware issues.",
            "Message": "Unable to generate an SSL Certificate because of internal firmware issues.",
            "NumberOfArgs": 0,
            "Resolution": "Make sure that the security attributes are valid and retry the operation. If the issue persists, restart the iDRAC by invoking the WS-Man iDRACReset method which is defined in the DCIM_iDRACCardService class , and then retry the operation.",
            "Severity": "Informational"
        },
        "LC074": {
            "Description": "The Certificate export operation did not complete successfully.",
            "Message": "The Certificate export operation did not complete successfully.",
            "NumberOfArgs": 0,
            "Resolution": "Retry the operation. If the issue persists, restart the iDRAC and retry the operation.",
            "Severity": "Informational"
        },
        "LC075": {
            "Description": "Deleting the custom signed certificate should regenerate a new unique certificate . Reset iDRAC to apply new certificate. Until iDRAC is reset old certificate will be active.",
            "Message": "The Custom Signed Certificate (CSC) is deleted successfully. Reset iDRAC to complete the delete action of the certificate.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "LC076": {
            "Description": "Unable to perform the Custom Signed Certificate (CSC) certificate delete operation. This may be due to IPMI communications issues.",
            "Message": "Unable to perform the Custom Signed Certificate (CSC) certificate delete operation.",
            "NumberOfArgs": 0,
            "Resolution": "Retry the operation. If the issue persists, restart the iDRAC and retry the operation.",
            "Severity": "Informational"
        },
        "LC077": {
            "Description": "The new certificate will not be in-use until iDRAC has been restarted.",
            "Message": "Certificate imported successfully. Reset iDRAC to apply new certificate. Until iDRAC is reset old certificate will be active",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "LC078": {
            "Description": "The Message Registry was successfully exported to the specified destination file folder.",
            "Message": "The Export Message Registry operation was successfully completed.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "LC079": {
            "Description": "The export operation cannot be started because Lifecycle Controller is currently running an instance of Export Message Registry operation.",
            "Message": "Unable to start the export operation because Lifecycle Controller is currently running an instance of Export Message Registry operation.",
            "NumberOfArgs": 0,
            "Resolution": "Wait for the current export process to complete, and then retry the operation.",
            "Severity": "Informational"
        },
        "LC080": {
            "Description": "The Export Server Screen Shot operation successfully exported the server screen shot file.",
            "Message": "The Export Server Screen Shot operation successfully exported the server screen shot file.",
            "NumberOfArgs": 0,
            "Resolution": "Download the encoded Base64 format server screen shot file, decode the Base64 file and then save it as a *.png file.",
            "Severity": "Informational"
        },
        "LC081": {
            "Description": "The Server Screen Shot export operation cannot be completed because of internal firmware issues.",
            "Message": "Unable to complete the Server Screen Shot export operation because of internal firmware issues.",
            "NumberOfArgs": 0,
            "Resolution": "Retry the operation. If the issue persists, restart iDRAC by invoking the WS-Man iDRACReset method which is defined in the DCIM_iDRACCardService class (input parameters are not required for this method), and then retry the operation.",
            "Severity": "Informational"
        },
        "LC082": {
            "Description": "Unable to complete the requested operation because the Collect System Inventory On Restart (CSIOR) attribute setting is disabled on the system.",
            "Message": "Unable to complete the requested operation because the Collect System Inventory On Restart (CSIOR) attribute setting is disabled on the system.",
            "NumberOfArgs": 0,
            "Resolution": "Enable the Collect System Inventory On Restart (CSIOR) attribute setting and then retry the operation. To enable the CSIOR setting using the RACADM command line utility, type \"racadm set lifecyclecontroller.LCAttributes.CollectSystemInventoryOnRestart Enabled\".",
            "Severity": "Informational"
        },
        "LC083": {
            "Description": "The Redfish Event service cannot deliver notifications to the IP Address identified in the message because of network communication issues.",
            "Message": "The Redfish Event service cannot deliver notifications to %1 because of network communication issues.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Make sure that the server is connected to the network and retry the operation. If the issue persists, delete the subscription and then subscribe by using an IP that is connected to the network.",
            "Severity": "Warning"
        },
        "LC084": {
            "Description": "The video log cannot be exported because there are no files in the source folder that can be compressed and exported.",
            "Message": "Unable to export the video log because there are no files in the source folder that can be compressed and exported.",
            "NumberOfArgs": 0,
            "Resolution": "For boot capture, make sure that VirtualConsole.1#BootCaptureSequence attribute is enabled in the DCIM_iDracCardInteger class by running the winrm get WS-Man command at the command line interface (CLI), and then retry the operation.",
            "Severity": "Informational"
        },
        "LC085": {
            "Description": "The Export Video Log operation is successfully completed and the files are exported to iDRAC Local folder.",
            "Message": "The Export Video Log operation is successfully completed and the files are exported to iDRAC Local folder.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "LC086": {
            "Description": "The Export Video Log operation cannot be completed because of internal issues.",
            "Message": "Unable to complete the Export Video Log operation because of internal issues.",
            "NumberOfArgs": 0,
            "Resolution": "Retry the operation. If the issue persists, restart iDRAC by invoking the WS-Man iDRACReset method which is defined in the DCIM_iDRACCardService class , and then retry the operation.",
            "Severity": "Informational"
        },
        "LC087": {
            "Description": "The configuration operation cannot be started because the System Lockdown mode is enabled.",
            "Message": "Unable to start the configuration operation because the System Lockdown mode is enabled.",
            "NumberOfArgs": 0,
            "Resolution": "Make sure that the Lockdown.1#SystemLockdown attribute is set to Disabled in the DCIM_iDracCardEnumeration class by running the WS-Man get command at the command line interface (CLI), and then retry the operation.",
            "Severity": "Informational"
        },
        "LC088": {
            "Description": "Unable to export the server screen shot because there is no file in source folder.",
            "Message": "Unable to export the server screen shot because there is no file in source folder.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "LC089": {
            "Description": "The job cannot be set to run on monthly or quarterly recurrence basis because required parameters are not entered in the command.",
            "Message": "Unable to set the job to run on monthly or quarterly recurrence basis because necessary parameters are not entered in the command.",
            "NumberOfArgs": 0,
            "Resolution": "For setting monthly or quarterly recurrence, enter either the DayofMonth parameter, or the WeekofMonth and DayofWeek parameters. For information about correct syntax and parameters, see the Profile Documents on the TechCenter website.",
            "Severity": "Warning"
        },
        "LC090": {
            "Description": "The iDRAC cannot be registered to SupportAssist because the length of parameter entered is less than the stipulated length as identified in the message.",
            "Message": "Unable to register iDRAC to SupportAssist because the length of parameter %1 entered is less than the stipulated length %2.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "Make sure that the parameter length is more than or equal to minimum allowed length and retry the operation. For information about specified parameter length, see the SupportAssist documentation on DellTechCenter.",
            "Severity": "Warning"
        },
        "LC091": {
            "Description": "The SSL Certificate cannot be generated because a certificate generation process is currently in progress.",
            "Message": "Unable to generate the SSL Certificate because a certificate generation process is currently in progress.",
            "NumberOfArgs": 0,
            "Resolution": "Wait for the current Certificate generation process to complete and retry the operation.",
            "Severity": "Warning"
        },
        "LC092": {
            "Description": "The Client Trust Certificate cannot be deleted because of issues in the Intelligent Platform Management Interface (IPMI).",
            "Message": "Unable to delete the Client Trust Certificate because of issues in the Intelligent Platform Management Interface (IPMI).",
            "NumberOfArgs": 0,
            "Resolution": "Retry the operation. If the issue persists, restart the iDRAC and retry the operation.",
            "Severity": "Warning"
        },
        "LC093": {
            "Description": "The Client Trust Certificate is successfully deleted.",
            "Message": "The Client Trust Certificate is successfully deleted.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "LC094": {
            "Description": "The Export SVG (Scalable Vector Graphics) file operation is successfully completed and the files are exported to iDRAC Local folder.",
            "Message": "The Export SVG file operation is successfully completed and the files are exported to iDRAC Local folder.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "LC095": {
            "Description": "Unable to complete the Export SVG (Scalable Vector Graphics) file operation because of internal issues.",
            "Message": "Unable to complete the Export SVG file operation because of internal issues.",
            "NumberOfArgs": 0,
            "Resolution": "Retry the operation. If the issue persists, restart iDRAC by invoking the WS-Man iDRACReset method which is defined in the DCIM_iDRACCardService class , and then retry the operation.",
            "Severity": "Informational"
        },
        "LC096": {
            "Description": "The SSL Certificate is successfully imported.",
            "Message": "The SSL Certificate is successfully imported.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "LC097": {
            "Description": "The Diagnostics report cannot be exported because the proxy port number entered is invalid.",
            "Message": "Unable to export the Diagnostics report because the proxy port number entered is invalid.",
            "NumberOfArgs": 0,
            "Resolution": "Enter a valid proxy port number and retry the operation. The valid range is 0-65535. For more information, see the iDRAC User's Guide available on the support site.",
            "Severity": "Warning"
        },
        "LIC000": {
            "Description": "This command was successful.",
            "Message": "The License Manager action succeeded.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "LIC001": {
            "Description": "The command or command parameters passed to License Manager is invalid. This is an internal error indicative of memory corruption. Under normal circumstances this error should not occur.",
            "Message": "The License Manager command parameter used is invalid.",
            "NumberOfArgs": 0,
            "Resolution": "Contact technical support. Refer to your product documentation to choose the contact method that is convenient for you.",
            "Severity": "Warning"
        },
        "LIC002": {
            "Description": "The error may occur when License Manager: 1) Is unable to allocate system resources.2) Determines one or more files is incompatible with the current firmware version. This occurs when an older firmware version has been uploaded to a system that was previously running a newer firmware version. If this occurs, the current internal License Manager files are deleted and new ones are created, which align with the firmware version. A license reimport may be required. NOTE: All import, delete, export, view license commands are blocked until this issue is resolved.",
            "Message": "License Manager is unable to allocate the required resources at startup.",
            "NumberOfArgs": 0,
            "Resolution": "If the firmware has been rolled back to a previous version, this error may occur. All previously installed licenses must be re-imported. If this is not the case, contact technical support.",
            "Severity": "Critical"
        },
        "LIC003": {
            "Description": "System resources may be unavailable at the time command is issued.",
            "Message": "License Manager was unable to create and/or allocate the required resources.",
            "NumberOfArgs": 0,
            "Resolution": "Re-issue the command. If the issue persists, contact technical support. Refer to your product documentation to choose the contact method that is convenient for you.",
            "Severity": "Warning"
        },
        "LIC004": {
            "Description": "This error condition is reported when one of the following conditions occur: 1) Operating system detected a file error (for example, bad CRC, bad sector) when reading/writing a license manager file. The error could indicate bad or corrupt FLASH device. 2) License Manager detected an internal memory data corruption.3) The command or command parameters passed to License Manager is invalid. This is an internal error showing memory corruption. Under normal circumstances this error should not occur.4) When exporting a license file, License Manager was unable to allocate the temporary space required for the transfer of the file.",
            "Message": "An internal system error has occurred.",
            "NumberOfArgs": 0,
            "Resolution": "Contact technical support. Refer to your product documentation to choose the contact method that is convenient for you.",
            "Severity": "Warning"
        },
        "LIC005": {
            "Description": "The maximum number of installed licenses has been reached.",
            "Message": "Import failed: The maximum number of licenses are installed.",
            "NumberOfArgs": 0,
            "Resolution": "Delete one of the currently installed licenses and retry the import.",
            "Severity": "Warning"
        },
        "LIC006": {
            "Description": "The license end date has been reached.",
            "Message": "The license has expired.",
            "NumberOfArgs": 0,
            "Resolution": "Obtain a replacement license and import it.",
            "Severity": "Warning"
        },
        "LIC007": {
            "Description": "Each License Manager object has a unique identifier by which it may be accessed. If the user supplied identifier is outside the acceptable range or the object no longer exists in the system, then this error is returned. Most common identifiers are the license entitlement identifier, the device Fully Qualified Device Descriptor, or the import transaction identifier assigned to a license when imported.",
            "Message": "Invalid entry: Object does not exist or cannot be found.",
            "NumberOfArgs": 0,
            "Resolution": "Re-issue this command with correct License Manager object identifier.",
            "Severity": "Warning"
        },
        "LIC008": {
            "Description": "All bound perpetual licenses contain the unique identifier of a specific device. The unique identifier binds a license to the device. For example, iDRAC's unique identifier is the service tag.",
            "Message": "The license binding ID does not match the device unique identifier.",
            "NumberOfArgs": 0,
            "Resolution": "Obtain a new license file with the correct unique identifier for the device. To use this license, import to the device with the correct unique identifier.",
            "Severity": "Warning"
        },
        "LIC009": {
            "Description": "An upgrade license carries specific information about the license it is replacing. If that information does not match, then the license import is aborted.",
            "Message": "The license upgrade was unsuccessful.",
            "NumberOfArgs": 0,
            "Resolution": "Obtain a new license file with the correct upgrade information.",
            "Severity": "Warning"
        },
        "LIC010": {
            "Description": "A license is not imported to the iDRAC when one of the following conditions exists:1) The license is not for the iDRAC.2) The target system may not be upgraded to the product class specified by the license (for example, user may not upgrade from an express product class to an enterprise product class).",
            "Message": "Import failed: This license is not for the specified device.",
            "NumberOfArgs": 0,
            "Resolution": "Verify this system may be upgraded to the product class specified by the license. If this system cannot be upgraded to the product class specified, obtain a new license file.",
            "Severity": "Warning"
        },
        "LIC011": {
            "Description": "License Manager does not allow the replacement of a non-evaluation license with an evaluation license.",
            "Message": "A non-evaluation license cannot be replaced with an evaluation license.",
            "NumberOfArgs": 0,
            "Resolution": "To replace a non-evaluation license, first delete the non-evaluation license, then import the evaluation license.",
            "Severity": "Warning"
        },
        "LIC012": {
            "Description": "This error may occur if: 1) The license was deleted by another user. 2) The license that is being imported may have been deleted from the temporary storage before the import operation completed.3) At start-up, License Manager does not find the license assigned to the device. This may occur if a power outage occurs before a license delete operation completes.",
            "Message": "The license file does not exist.",
            "NumberOfArgs": 0,
            "Resolution": "Re-import the license.",
            "Severity": "Warning"
        },
        "LIC013": {
            "Description": "The license includes features not supported in this firmware release.",
            "Message": "These license features are not supported by this firmware version.",
            "NumberOfArgs": 0,
            "Resolution": "Update the firmware to the latest version.",
            "Severity": "Warning"
        },
        "LIC014": {
            "Description": "An attempt to lock the License Manager database for Lifecycle Controller backup or restore occurred when the License Manager database was already locked. This may occur when two or more users attempt to do a backup or restore operation simultaneously.",
            "Message": "Multiple backup or restore operations have been simultaneously attempted on the License Manager database.",
            "NumberOfArgs": 0,
            "Resolution": "Repeat the Lifecycle Controller backup or restore operation.",
            "Severity": "Warning"
        },
        "LIC015": {
            "Description": "This error occurs when the Lifecycle Controller restore operation is interrupted before it completes. This can occur due to a power outage or when a system is rebooted before the operation is completed.",
            "Message": "The License Manager database restore operation failed.",
            "NumberOfArgs": 0,
            "Resolution": "Repeat the Lifecycle Controller restore operation. If the problem persists, contact technical support. Refer to your product documentation to choose the contact method that is convenient for you.",
            "Severity": "Critical"
        },
        "LIC016": {
            "Description": "The license includes features that are dependent upon additional licensed features not included in this license. These licensed features are not activated until license(s) with the dependent licensed features are imported to the system.",
            "Message": "The feature dependencies of the license are not met.",
            "NumberOfArgs": 0,
            "Resolution": "Import the license(s) that meet the license features dependencies.",
            "Severity": "Warning"
        },
        "LIC017": {
            "Description": "This error can occur when the license file: 1) Signature is not valid. 2) Data is not in the correct format. 3) Missing needed data. 4) Contains unknown data.5) Has not been unzipped.",
            "Message": "The license file is corrupted, has not been unzipped, or is not a valid license file.",
            "NumberOfArgs": 0,
            "Resolution": "Download the license file, unzip and import the license.",
            "Severity": "Critical"
        },
        "LIC018": {
            "Description": "The license is already imported on the system and does not need to be reimported.",
            "Message": "The license is already imported.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "LIC019": {
            "Description": "A leased license may not be imported prior to the actual start date of the license.",
            "Message": "A leased license may not be imported prior to its start date.",
            "NumberOfArgs": 0,
            "Resolution": "Import the license on or after the license start date.",
            "Severity": "Warning"
        },
        "LIC020": {
            "Description": "Importing an upgrade license without a base license is not allowed, as it may be a violation of the license EULA agreement. If the base license was deleted, the system allows the user to override the warning by invoking the import override option.",
            "Message": "Import failed: End User License Agreement (EULA) import upgrade warning.",
            "NumberOfArgs": 0,
            "Resolution": "If the base license was deleted, override the warning by invoking the import override option.",
            "Severity": "Warning"
        },
        "LIC021": {
            "Description": "All the features in the evaluation license are currently licensed in the system. The license is not imported as it would duplicate existing and active licensed features.",
            "Message": "Import failed: The features contained in the evaluation license are already licensed.",
            "NumberOfArgs": 0,
            "Resolution": "Remove the license(s) that contain the license set from the evaluation license.",
            "Severity": "Warning"
        },
        "LIC022": {
            "Description": "License Manager database is locked while a backup and restore operation is in progress. License import/export/delete operations are not allowed but a user can view license information.",
            "Message": "License Manager database locked due to ongoing backup and restore operation.",
            "NumberOfArgs": 0,
            "Resolution": "Wait until the backup or restore operation completes and try again.",
            "Severity": "Informational"
        },
        "LIC023": {
            "Description": "An unauthorized iDRAC license version is being used.",
            "Message": "An unauthorized iDRAC license version is being used.",
            "NumberOfArgs": 0,
            "Resolution": "Obtain an authorized iDRAC license version. For more information, contact your service provider. Also, see the iDRAC User's Guide available on the support site.",
            "Severity": "Informational"
        },
        "LIC024": {
            "Description": "The License can not be installed, deleted or replaced when the device is on.",
            "Message": "License operation did not complete successfully because the device is turned on.",
            "NumberOfArgs": 0,
            "Resolution": "Turn off the respective device and retry the License operation.",
            "Severity": "Warning"
        },
        "LIC201": {
            "Description": "This license is going to expire. An expired license could result in the loss of functionality that is specific to the features supported by the license.",
            "Message": "License %1 assigned to device %2 expires in %3 days.",
            "NumberOfArgs": 3,
            "ParamTypes": [
                "String",
                "String",
                "String"
            ],
            "Resolution": "Purchase a new license to prevent interruption of licensed features.",
            "Severity": "Warning"
        },
        "LIC202": {
            "Description": "This error can occur when:1) Platform table has invalid value for default license feature set and permissible license upgrade path. In this case, the system sets the default licensed feature set to Basic Management and does not restrict the license upgrade path.2) License Manager fails to load due to lack of system resources.",
            "Message": "A system error was detected during License Manager startup.",
            "NumberOfArgs": 0,
            "Resolution": "Reset iDRAC.",
            "Severity": "Critical"
        },
        "LIC203": {
            "Description": "Signature verification failed due to an error in the saved license file.",
            "Message": "The license %1 has encountered an error.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Delete and re-import the license file.",
            "Severity": "Critical"
        },
        "LIC204": {
            "Description": "This error occurs when the Lifecycle Controller restore operation is interrupted before it completes. This can occur due to a power outage or when the iDRAC is reset while the restore operation is in progress.",
            "Message": "The License Manager database restore operation failed.",
            "NumberOfArgs": 0,
            "Resolution": "Repeat the Lifecycle Controller restore operation. If the problem persists, contact technical support. Refer to your product documentation to choose the contact method that is convenient for you.",
            "Severity": "Critical"
        },
        "LIC205": {
            "Description": "The License Manager sets a maximum time period that its database may be locked. If that timeout exceeds, it releases the lock conditions and reports the error. The user must assume that the Lifecycle Controller backup or restore operation failed and should repeat the operation.",
            "Message": "License Manager database lock timeout has been exceeded.",
            "NumberOfArgs": 0,
            "Resolution": "Repeat the backup or restore operation.",
            "Severity": "Warning"
        },
        "LIC206": {
            "Description": "The license was imported after the user overrode EULA warning.",
            "Message": "EULA warning: Importing license %1 may violate the End-User License Agreement.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Remove the license if the import violates the EULA.",
            "Severity": "Warning"
        },
        "LIC207": {
            "Description": "The license has expired. This could result in the loss of functionality that is specific to the features supported by the license.",
            "Message": "License %1 on device %2 has expired.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "Obtain and import a replacement license.",
            "Severity": "Warning"
        },
        "LIC208": {
            "Description": "A license was successfully imported.",
            "Message": "License %1 imported to device %2 successfully.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "LIC209": {
            "Description": "A license was successfully exported.",
            "Message": "License %1 exported from device %2 successfully.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "LIC210": {
            "Description": "A license was successfully deleted.",
            "Message": "License %1 deleted from device %2 successfully.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "LIC211": {
            "Description": "License import/delete/expiration resulted in a feature set change.",
            "Message": "The iDRAC feature set has changed.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "LIC212": {
            "Description": "The features are updated because the license was imported or deleted, or the license has expired.",
            "Message": "The CMC features are changed.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "LIC213": {
            "Description": "This error can occur when:1) License Manager fails to load due to lack of system resources.",
            "Message": "A system error was detected during License Manager startup.",
            "NumberOfArgs": 0,
            "Resolution": "Reset CMC.",
            "Severity": "Critical"
        },
        "LIC501": {
            "Description": "The attempted action requires a valid license for certain advanced features installed in the system but the required license is missing or expired.",
            "Message": "A required license is missing or expired.",
            "NumberOfArgs": 0,
            "Resolution": "Obtain an appropriate license then try again. If the problem persists, contact technical support. Refer to your product documentation to choose the contact method that is convenient for you.",
            "Severity": "Warning"
        },
        "LIC502": {
            "Description": "The attempted features are not available in the system.",
            "Message": "Features not available.",
            "NumberOfArgs": 0,
            "Resolution": "Contact technical support. Refer to your product documentation to choose the contact method that is convenient for you.",
            "Severity": "Warning"
        },
        "LIC503": {
            "Description": "The currently installed license does not support the feature for the requested operation. The operation requires a valid license to enable specific features in the system. Since the required license is missing or expired, the features that are being accessed during the operation are disabled.",
            "Message": "Unable to complete the current operation. The currently installed license does not support the following features: %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Acquire and install the license to enable the required feature, and retry the operation. If the problem persists, contact technical support or see product documentation for more information.",
            "Severity": "Warning"
        },
        "LIC900": {
            "Description": "The operation was successful.",
            "Message": "The command was successful.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "LIC901": {
            "Description": "The value provided for the specified parameter is invalid.",
            "Message": "Invalid parameter value for %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "To provide the correct value for the specified parameter, see Lifecycle Controller-Remote Services documentation.",
            "Severity": "Warning"
        },
        "LIC902": {
            "Description": "Unable to allocate the resource because of lack of memory or file space in the iDRAC.",
            "Message": "Resource allocation failure.",
            "NumberOfArgs": 0,
            "Resolution": "Reset iDRAC and retry the operation.",
            "Severity": "Critical"
        },
        "LIC903": {
            "Description": "One or more parameters were not specified for the invoked method.",
            "Message": "Missing parameters %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "To provide the correct parameters, see Lifecycle Controller-Remote Services documentation.",
            "Severity": "Warning"
        },
        "LIC904": {
            "Description": "The network share is not accessible from the iDRAC.",
            "Message": "Could not connect to network share.",
            "NumberOfArgs": 0,
            "Resolution": "Verify the network share connection and retry the operation.",
            "Severity": "Warning"
        },
        "LIC905": {
            "Description": "The LicenseName value is greater than the allowed max length of 64.",
            "Message": "The LicenseName value cannot exceed 64 characters.",
            "NumberOfArgs": 0,
            "Resolution": "Correct the length of the LicenseName value and retry the operation.",
            "Severity": "Warning"
        },
        "LIC906": {
            "Description": "The license file is not present or accessible from the network share location.",
            "Message": "License file is not accessible on the network share.",
            "NumberOfArgs": 0,
            "Resolution": "Verify the license file is located on the network share and file access permissions are correct, then retry the operation.",
            "Severity": "Warning"
        },
        "LIC907": {
            "Description": "The operation did not complete successfully because of lack of an unknown error in the iDRAC.",
            "Message": "Unable to perform the operation due to an unknown error in iDRAC.",
            "NumberOfArgs": 0,
            "Resolution": "Retry the operation. If the issue persists, reset the iDRAC.",
            "Severity": "Warning"
        },
        "LNK0001": {
            "Description": "The entered network share name is not valid.",
            "Message": "Network share name unavailable.",
            "NumberOfArgs": 0,
            "Resolution": "Enter a valid network share name and retry the operation. For more information, see Lifecycle Controller User's Guide.",
            "Severity": "Critical"
        },
        "LNK0002": {
            "Description": "The DNS query did not complete successfully. This may be because the connection timed out due to an incorrect host name or a DNS server configuration issue.",
            "Message": "Unable to resolve host name.",
            "NumberOfArgs": 0,
            "Resolution": "Do the following: 1) Verify host name entered is valid and retry the operation. 2) If the issue persists, verify the DNS server settings are configured properly to resolve the host name.",
            "Severity": "Critical"
        },
        "LNK0003": {
            "Description": "Cannot connect to the DNS server because of network issues or there is no response from the DNS server.",
            "Message": "Unable to connect to the DNS server.",
            "NumberOfArgs": 0,
            "Resolution": "Verify that the server is connected to the network and retry the operation.",
            "Severity": "Critical"
        },
        "LNK0004": {
            "Description": "Unable to connect to FTP server due to a network error.",
            "Message": "Unable to connect to FTP server.",
            "NumberOfArgs": 0,
            "Resolution": "Check the network connection, network configuration settings, and retry. If the problem persists, restart the FTP server.",
            "Severity": "Critical"
        },
        "LNK0005": {
            "Description": "Error occurred while communicating with the DHCP server because the network settings are not configured correctly or the DHCP server could not be contacted.",
            "Message": "Unable to connect to DHCP server.",
            "NumberOfArgs": 0,
            "Resolution": "Verify if the network cable is connected and network configuration settings are correct, and retry the operation. If the problem persists, update the network interface controller (NIC) firmware to the latest version and retry the operation.",
            "Severity": "Critical"
        },
        "LNK2700": {
            "Description": "CMC has lost network connection.",
            "Message": "The %1 network link is down.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Check network cable and network connections.",
            "Severity": "Critical"
        },
        "LNK2701": {
            "Description": "None.",
            "Message": "The %1 network link is up.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "LNK8500": {
            "Description": "The server identified in the message could not be successfully connected to the external network, because the network connection is not functional.",
            "Message": "Unable to connect the server in slot %1 to the IOM in slot %2 port %3, because the IOM port is down.",
            "NumberOfArgs": 3,
            "ParamTypes": [
                "String",
                "String",
                "String"
            ],
            "Resolution": "Do one of the following, and then retry the operation: 1) Check whether or not the external network cable is functioning. 2) Reinstall or replace network cable of the IOM and port identified in the message.",
            "Severity": "Warning"
        },
        "LNK8501": {
            "Description": "The network connection of the identified server to the external network is restored.",
            "Message": "The network connection of server in slot %1 IOM in slot %2 port %3 is restarted.",
            "NumberOfArgs": 3,
            "ParamTypes": [
                "String",
                "String",
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "LOG001": {
            "Description": "One or more required parameters needed for the method invoked in the operation are missing.",
            "Message": "Missing required InstanceID or JobID parameter.",
            "NumberOfArgs": 0,
            "Resolution": "To provide the correct value for the specified parameter, see Lifecycle Controller-Remote Services documentation.",
            "Severity": "Warning"
        },
        "LOG002": {
            "Description": "An invalid parameter ID is entered for the instance ID or job ID identified in the message.",
            "Message": "An invalid parameter ID is entered for %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Enter the correct WS-Man parameter for the instance ID or job ID. For information about valid parameters, see the Lifecycle Controller Remote Services Quick Start Guide available on the support site.",
            "Severity": "Warning"
        },
        "LOG003": {
            "Description": "The log entry with the specified InstanceID does not have any associated configuration results.",
            "Message": "ConfigResults not available for log entry specified.",
            "NumberOfArgs": 0,
            "Resolution": "Verify the ConfigResults availability for the InstanceID through enumeration of the LogEntry class and retry the operation. Refer to the Lifecycle Controller-Remote Services documentation.",
            "Severity": "Warning"
        },
        "LOG004": {
            "Description": "The operation did not complete successfully because of lack of memory or file space in iDRAC firmware.",
            "Message": "Resource allocation failure.",
            "NumberOfArgs": 0,
            "Resolution": "Reset iDRAC and retry the operation.",
            "Severity": "Critical"
        },
        "LOG005": {
            "Description": "The operation did not complete successfully because of an unknown error in iDRAC.",
            "Message": "Cannot perform the operation due to an unknown error in iDRAC.",
            "NumberOfArgs": 0,
            "Resolution": "Retry the operation. If the issue persists, reset the iDRAC.",
            "Severity": "Warning"
        },
        "LOG006": {
            "Description": "This message is generated while performing a Test Event action. Performing a Test Event action logs an event in the Lifecycle Log with the user specified message ID. It may also generate events through SNMP, email, or other event notification sources if they are enabled. The test event does not indicate that there is a hardware or software problem. It provides a mechanism for users to test their event processing applications.",
            "Message": "Test event generated for message ID %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "LOG007": {
            "Description": "This message is generated after a series of sequential duplicate events. Log entry count is the number of times the previous message was repeated.",
            "Message": "The previous log entry was repeated %1 times.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "LOG008": {
            "Description": "The complete Lifecycle Log was successfully created for a requested export operation.",
            "Message": "The complete Lifecycle Log was successfully created for an export operation.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "LOG201": {
            "Description": "Lifecycle Controller Log corruption was detected during iDRAC boot. The Lifecycle Controller Log was truncated at the point of corruption.",
            "Message": "Recovered from Lifecycle Controller Log corruption.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "LOG202": {
            "Description": "Unable to access part of Lifecycle Controller Log comments file during iDRAC boot. The file was truncated at the point of corruption.",
            "Message": "Recovered from Lifecycle Controller Log comments file corruption.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "LOG203": {
            "Description": "This message is generated while archiving Lifecycle Log. All the older messages are archived and can be retrieved using the export Lifecycle Log feature.",
            "Message": "Lifecycle Log archived up to Log Sequence number %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "LOG204": {
            "Description": "The archive operation did not complete. 10% of the events from the cache will be dropped to make space for new events.",
            "Message": "Lifecycle Log archive operation did not complete.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Warning"
        },
        "LOG300": {
            "Description": "The system recovered from Chassis Log file corruption. Some log entries may not be recovered.",
            "Message": "The system recovered from Chassis Log file corruption.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "LOG302": {
            "Description": "The Chassis Log file header is corrupted. The Chassis Log will be recreated and all current log entries will not be preserved.",
            "Message": "The Chassis Log file header is corrupted.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "LOG303": {
            "Description": "Unable to rename current Chassis Log file during archive operation. Some log entries may be lost.",
            "Message": "Unable to archive the Chassis Log file.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "LOG305": {
            "Description": "The Chassis Log file was cleared as a result of clear log operation.",
            "Message": "The Chassis Log file was cleared.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "LOG501": {
            "Description": "The command cannot be run because a general issue occurred.",
            "Message": "Unable to run the command because of a general issue.",
            "NumberOfArgs": 0,
            "Resolution": "Retry the operation. If the issue persists, reset the CMC, and then retry the operation.",
            "Severity": "Critical"
        },
        "LOG502": {
            "Description": "The command cannot be run because the method parameter identified in the message is missing.",
            "Message": "Unable to run the command because the method parameter %1 is missing.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Enter all the parameters required in the command, and then retry the operation. For more information, see the Chassis Record Log Profile.",
            "Severity": "Warning"
        },
        "LOG503": {
            "Description": "The command cannot be run because the value of the parameter identified in the message is not valid.",
            "Message": "Unable to run the method because the parameter %1 is not valid.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Enter all the parameters required in the command as per the enumeration, and then retry the operation. For more information, see the Chassis Record Log Profile.",
            "Severity": "Warning"
        },
        "LOG504": {
            "Description": "The Chassis Log was successfully exported to the destination specified.",
            "Message": "Chassis Log Export was successful.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "LOG505": {
            "Description": "The network share access cannot be accessed.",
            "Message": "Unable to access the network share.",
            "NumberOfArgs": 0,
            "Resolution": "Make sure that correct network share access credentials are entered (such as IP address, username, password, and share type). For more information, see the Chassis Record Log Profile.",
            "Severity": "Warning"
        },
        "LOG506": {
            "Description": "The requested operation cannot be started because the ExportChassisLog operation is already running.",
            "Message": "Unable to start the requested operation because the ExportChassisLog operation is already running.",
            "NumberOfArgs": 0,
            "Resolution": "Wait for the current ExportChassisLog operation to complete and then retry the operation. If the issue persists, contact your service provider.",
            "Severity": "Warning"
        },
        "LOG507": {
            "Description": "The operation did not complete successfully because of lack of memory or file space in the CMC.",
            "Message": "Unable to allocated required CMC resources.",
            "NumberOfArgs": 0,
            "Resolution": "Reset the CMC and retry the operation.",
            "Severity": "Critical"
        },
        "LOG508": {
            "Description": "The network share may be read-only or it may not have sufficient space for the export operation.",
            "Message": "Unable to write to the network share.",
            "NumberOfArgs": 0,
            "Resolution": "Verify the network share is not read-only and has sufficient space for exporting, then retry the operation.",
            "Severity": "Warning"
        },
        "LOG509": {
            "Description": "The command cannot be run because the value of the parameter identified in the message exceeds the maximum length identified in the message.",
            "Message": "Unable to run the command because the parameter value of %1 exceeds the maximum allowed number of %2 characters.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "Enter a value for the parameter identified in the message that is equal to or less than the maximum allowed characters.",
            "Severity": "Warning"
        },
        "LOG510": {
            "Description": "The operation cannot be completed because of an unknown issue.",
            "Message": "Unable to complete the operation because of an unknown issue in the CMC.",
            "NumberOfArgs": 0,
            "Resolution": "Retry the operation. If the issue persists, reset CMC and then retry the operation.",
            "Severity": "Warning"
        },
        "MEM0000": {
            "Description": "The memory is operational. This is an early indicator of a possible future uncorrectable error.",
            "Message": "Persistent correctable memory errors detected on a memory device at location(s) %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Re-install the memory component. If the problem persists, contact technical support. Refer to the product documentation to choose a convenient contact method.",
            "Severity": "Informational"
        },
        "MEM0001": {
            "Description": "The memory has encountered a uncorrectable error. System performance may be degraded. The operating system and/or applications may fail as a result.",
            "Message": "Multi-bit memory errors detected on a memory device at location(s) %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Re-install the memory component. If the problem persists, contact technical support. Refer to the product documentation to choose a convenient contact method.",
            "Severity": "Critical"
        },
        "MEM0002": {
            "Description": "The memory is operational. This is an early indicator of a possible future uncorrectable error.",
            "Message": "Parity memory errors detected on a memory device at location %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Re-install the memory component. If the problem persists, contact technical support. Refer to the product documentation to choose a convenient contact method.",
            "Severity": "Critical"
        },
        "MEM0003": {
            "Description": "The memory is operational. This is an early indicator of a possible future uncorrectable error.",
            "Message": "Stuck bit memory error detected on a memory device at location %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Re-install the memory component. If the problem persists, contact technical support. Refer to the product documentation to choose a convenient contact method.",
            "Severity": "Critical"
        },
        "MEM0004": {
            "Description": "The memory may not be seated correctly, misconfigured, or has failed. Memory size is reduced.",
            "Message": "Memory device at location %1 is disabled.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Re-install the memory component. Review product documentation for supported memory configurations. If the problem continues, contact support.",
            "Severity": "Critical"
        },
        "MEM0005": {
            "Description": "The memory is operational. This is an early indicator of a possible future uncorrectable error.",
            "Message": "Persistent correctable memory error limit reached for a memory device at location(s) %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Re-install the memory component. If the problem persists, contact technical support. Refer to the product documentation to choose a convenient contact method.",
            "Severity": "Critical"
        },
        "MEM0006": {
            "Description": "None.",
            "Message": "Memory device at location %1 is present.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "MEM0007": {
            "Description": "The memory may not be seated correctly, misconfigured, or has failed. Memory size is reduced.",
            "Message": "Unsupported memory configuration; check memory device at location %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Review product documentation for supported memory configurations.",
            "Severity": "Critical"
        },
        "MEM0008": {
            "Description": "None.",
            "Message": "Memory device at location %1 is spare memory.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "MEM0009": {
            "Description": "System performance is degraded.",
            "Message": "Memory device at location %1 is throttled.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "If unexpected, review system logs for power or thermal exceptions.",
            "Severity": "Warning"
        },
        "MEM0010": {
            "Description": "System performance is degraded.",
            "Message": "Memory device at location %1 is overheating.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "If unexpected, review system logs for power or thermal exceptions.",
            "Severity": "Critical"
        },
        "MEM0016": {
            "Description": "None.",
            "Message": "Memory device at location(s) %1 is operating correctly.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "MEM0020": {
            "Description": "None.",
            "Message": "Memory device at location %1 is enabled.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "MEM0021": {
            "Description": "None.",
            "Message": "Persistent correctable memory error limit reset for a memory device at location %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "MEM0022": {
            "Description": "The memory may not be seated correctly, misconfigured, or has failed. Memory size is reduced.",
            "Message": "Memory device at location %1 is absent.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "If unexpected, check presence, then re-install.",
            "Severity": "Warning"
        },
        "MEM0024": {
            "Description": "None.",
            "Message": "Memory device at location %1 is no longer spare memory.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "MEM0600": {
            "Description": "None.",
            "Message": "Memory device was added at location %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "MEM0601": {
            "Description": "None.",
            "Message": "Memory device is removed from location %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "MEM0700": {
            "Description": "None.",
            "Message": "The persistent correctable memory error rate is at normal levels for a memory device at location %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "MEM0701": {
            "Description": "The memory may not be operational. This an early indicator of a possible future uncorrectable error.",
            "Message": "Correctable memory error rate exceeded for %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Re-install the memory component. If the problem continues, contact support.",
            "Severity": "Warning"
        },
        "MEM0702": {
            "Description": "The memory may not be operational. This an early indicator of a possible future uncorrectable error.",
            "Message": "Correctable memory error rate exceeded for %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Re-install the memory component. If the problem continues, contact support.",
            "Severity": "Critical"
        },
        "MEM1000": {
            "Description": "None.",
            "Message": "Memory device at location %1 transition to a running state.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "MEM1001": {
            "Description": "None.",
            "Message": "Memory device at location %1 failed to transition to a running state.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Re-install the memory component. If the problem continues, contact support.",
            "Severity": "Critical"
        },
        "MEM1002": {
            "Description": "None.",
            "Message": "Memory device at location %1 is in test.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "MEM1003": {
            "Description": "None.",
            "Message": "Memory device at location %1 failed to transition to in test.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Re-install the memory component. If the problem continues, contact support.",
            "Severity": "Warning"
        },
        "MEM1004": {
            "Description": "None.",
            "Message": "Memory device at location %1 is powered off.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "MEM1005": {
            "Description": "None.",
            "Message": "Memory device at location %1 failed to power off.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Re-attempt memory removal process.",
            "Severity": "Critical"
        },
        "MEM1006": {
            "Description": "None.",
            "Message": "Memory device at location %1 is online.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "MEM1007": {
            "Description": "None.",
            "Message": "Memory device at location %1 failed to transition to online.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Re-attempt memory removal process.",
            "Severity": "Critical"
        },
        "MEM1008": {
            "Description": "None.",
            "Message": "Memory device at location %1 is offline.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "MEM1009": {
            "Description": "None.",
            "Message": "Memory device at location %1 failed to transition to offline.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Re-attempt memory removal process.",
            "Severity": "Critical"
        },
        "MEM1010": {
            "Description": "None.",
            "Message": "Memory device at location %1 is off-duty.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "MEM1011": {
            "Description": "None.",
            "Message": "Memory device at location %1 is on-duty.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "MEM1012": {
            "Description": "None.",
            "Message": "Memory device at location %1 is in a degraded state.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Re-install the memory component. If the problem continues, contact support.",
            "Severity": "Warning"
        },
        "MEM1013": {
            "Description": "None.",
            "Message": "Memory device at location %1 is in a full state.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "MEM1014": {
            "Description": "None.",
            "Message": "Memory device at location %1 is in a power save state.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "MEM1015": {
            "Description": "None.",
            "Message": "Memory device at location %1 is in a power active state.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "MEM1016": {
            "Description": "The memory may not be seated correctly, misconfigured, or has failed. Memory size is reduced.",
            "Message": "Memory device at location %1 is not installed correctly.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Re-install the memory component. If the problem continues, contact support.",
            "Severity": "Critical"
        },
        "MEM1017": {
            "Description": "None.",
            "Message": "Memory device at location %1 is installed correctly.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "MEM1200": {
            "Description": "None.",
            "Message": "Memory RAID is redundant.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "MEM1201": {
            "Description": "None.",
            "Message": "Memory RAID redundancy is lost. Check memory device at location(s) %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Re-install the memory component. If the problem continues, contact support.",
            "Severity": "Critical"
        },
        "MEM1202": {
            "Description": "None.",
            "Message": "Memory RAID redundancy is degraded. Check memory device at location(s) %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Re-install the memory component. If the problem continues, contact support.",
            "Severity": "Warning"
        },
        "MEM1203": {
            "Description": "None.",
            "Message": "Memory is not redundant.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "MEM1204": {
            "Description": "None.",
            "Message": "Memory mirror is redundant.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "MEM1205": {
            "Description": "The memory may not be seated correctly, misconfigured, or has failed.",
            "Message": "Memory mirror redundancy is lost. Check memory device at location(s) %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Review system logs for memory exceptions. Re-install memory at location <location>.",
            "Severity": "Critical"
        },
        "MEM1206": {
            "Description": "The memory may not be seated correctly, misconfigured, or has failed.",
            "Message": "Memory mirror redundancy is degraded. Check memory device at location %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Review system logs for memory exceptions. Re-install memory at location <location>.",
            "Severity": "Warning"
        },
        "MEM1207": {
            "Description": "None.",
            "Message": "Memory spare is redundant.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "MEM1208": {
            "Description": "The assigned spare is no longer available.",
            "Message": "Memory spare redundancy is lost. Check memory device at location %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Review system logs for memory exceptions. Re-install memory at location <location>.",
            "Severity": "Critical"
        },
        "MEM1209": {
            "Description": "None.",
            "Message": "Memory spare redundancy is degraded. Check memory device at location %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "MEM1210": {
            "Description": "None.",
            "Message": "Memory is redundant.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "MEM1212": {
            "Description": "The memory may not be seated correctly, misconfigured, or has failed.",
            "Message": "Memory redundancy is lost.",
            "NumberOfArgs": 0,
            "Resolution": "Review system logs for memory exceptions. Re-install memory at location <location>.",
            "Severity": "Critical"
        },
        "MEM1214": {
            "Description": "The memory may not be seated correctly, misconfigured, or has failed.",
            "Message": "Memory redundancy is degraded.",
            "NumberOfArgs": 0,
            "Resolution": "Review system logs for memory exceptions. Re-install memory at location <location>.",
            "Severity": "Warning"
        },
        "MEM7000": {
            "Description": "None.",
            "Message": "The memory riser mismatch was corrected.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "MEM7002": {
            "Description": "None.",
            "Message": "A hardware mismatch detected for memory riser.",
            "NumberOfArgs": 0,
            "Resolution": "Review product documentation for proper memory riser installation and configuration.",
            "Severity": "Critical"
        },
        "MEM8000": {
            "Description": "Errors are being corrected but no longer logged.",
            "Message": "Correctable memory error logging disabled for a memory device at location %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Review system logs for memory exceptions. Re-install memory at location <location>.",
            "Severity": "Critical"
        },
        "MEM8001": {
            "Description": "None.",
            "Message": "Persistent correctable memory error logging enabled for a memory device at location %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "MEM8500": {
            "Description": "A low memory condition was detected. If this condition continues, a failover or a reset may occur. If multiple resets occur, contact your service provider.",
            "Message": "Low memory condition detected.",
            "NumberOfArgs": 0,
            "Resolution": "If multiple resets occur, contact Service.",
            "Severity": "Critical"
        },
        "MEM8501": {
            "Description": "A low memory condition was detected. If this condition continues, a failover or a reset may occur.",
            "Message": "Low memory warning, %1KB, %2KB.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "If multiple resets occur, contact your service provider.",
            "Severity": "Warning"
        },
        "MEM8502": {
            "Description": "An ECC memory condition was detected on the primary CMC and a failover was initiated.",
            "Message": "ECC Memory error rate failover condition detected.",
            "NumberOfArgs": 0,
            "Resolution": "Reseat the primary CMC and initiate a failover back to the primary CMC. If the problem persists and multiple failovers occur, contact your service provider.",
            "Severity": "Critical"
        },
        "MEM9000": {
            "Description": "An issue is detected in the propagation of signals between the processor and the memory.",
            "Message": "Memory interconnect degraded.",
            "NumberOfArgs": 0,
            "Resolution": "Do one of the following: 1) Reseat the memory riser and restart the server. 2) If the issue is not resolved by preceding action, reseat the processor and restart the server. 3) If the issue persists, contact your service provider.",
            "Severity": "Critical"
        },
        "MEM9001": {
            "Description": "The memory interconnect is functioning normally.",
            "Message": "Memory interconnect is functioning normally.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "MEM9002": {
            "Description": "A correctable error was detected in propagation of signals between processors through the Intel QPI interconnect interconnect identified in the message.",
            "Message": "Intel QPI interconnect %1 has a correctable error.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Do one of the following: 1) Restart the server and check whether the issue persists. 2) If the issue is not resolved by the preceding action, reseat the processors and restart the server. 3) If the issue persists, contact your service provider.",
            "Severity": "Warning"
        },
        "MEM9003": {
            "Description": "A correctable error was detected in propagation of signals between processor and memory through the Intel SMI 2 memory interconnect identified in the message.",
            "Message": "Intel SMI 2 Memory interconnect %1 has a correctable error.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Do one of the following: 1) Reseat the memory riser and restart the server. 2) If the issue is not resolved by preceding action, reseat the processor and restart the server. 3) If the issue persists, contact your services provider.",
            "Severity": "Warning"
        },
        "MEM9004": {
            "Description": "A link degradation was detected in propagation of signals between processors through the Intel QPI interconnect interconnect identified in the message. The system will continue to operate at reduced performance.",
            "Message": "Intel QPI interconnect %1 has degraded.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Do one of the following: 1) Restart the server and check whether the issue persists. 2) If the issue is not resolved by the preceding action, reseat the processors and restart the server. 3) If the issue persists, contact your service provider.",
            "Severity": "Critical"
        },
        "MEM9005": {
            "Description": "A link degradation was detected in propagation of signals between processor and memory through the Intel SMI 2 memory interconnect identified in the message.",
            "Message": "Intel SMI 2 Memory interconnect %1 has degraded.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Do one of the following: 1) Reseat the memory riser and restart the server. 2) If the issue is not resolved by preceding action, reseat the processor and restart the server. 3) If the issue persists, contact your service provider.",
            "Severity": "Critical"
        },
        "MEM9006": {
            "Description": "A non-recoverable link issue was detected in propagation of signals between processors through the Intel QPI interconnect interconnect identified in the message.",
            "Message": "Intel QPI interconnect %1 has a non-recoverable issue.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Do one of the following: 1) Restart the server and check whether the issue persists. 2) If the issue is not resolved by the preceding action, reseat the processors and restart the server. 3) If the issue persists, contact your service provider.",
            "Severity": "Critical"
        },
        "MEM9007": {
            "Description": "A non-recoverable link issue was detected in propagation of signals between processor and memory through the Intel SMI 2 memory interconnect identified in the message.",
            "Message": "Intel SMI 2 Memory interconnect %1 has a non-recoverable issue.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Do one of the following: 1) Reseat the memory riser and restart the server. 2) If the issue is not resolved by preceding action, reseat the processor and restart the server. 3) If the issue persists, contact your service provider.",
            "Severity": "Critical"
        },
        "MEM9008": {
            "Description": "A non-recoverable issue was detected in the propagation of signals on the Intel DDR memory interconnect identified in the message.",
            "Message": "Intel DDR Memory interconnect %1 has a non-recoverable issue.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Reseat all DIMMs on the memory riser, reseat the memory riser, and restart the server. If the issue persists, contact your service provider.",
            "Severity": "Critical"
        },
        "MEM9009": {
            "Description": "A correctable error was detected in the propagation of signals on the Intel DDR memory interconnect identified in the message.",
            "Message": "Intel DDR Memory interconnect %1 has a correctable error.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Do the following: 1) Reseat all DIMMs on the memory riser, 2) Reseat the memory riser, and 3) Restart the server. If the issue persists, contact your service provider.",
            "Severity": "Warning"
        },
        "MEM9010": {
            "Description": "BIOS logged the major and minor code of a QuickPath Interconnect (QPI) Reference Code warning. This information can be reviewed by using a tool which displays raw IPMI SEL log data such as IPMItool with the -vvv option or RACADM with the -E option.",
            "Message": "A QuickPath Interconnect (QPI) Reference Code warning message code is logged.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "MEM9011": {
            "Description": "BIOS logged location information of a QuickPath Interconnect (QPI) warning. This information can be reviewed by using a tool which displays raw IPMI SEL data such as IPMItool with the -vvv option or RACADM with the -E option.",
            "Message": "QuickPath Interconnect (QPI) Reference Code warning location information is logged.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Warning"
        },
        "MEM9012": {
            "Description": "BIOS logged the major and minor code of a Memory Reference Code (MRC) warning. This information can be reviewed by using a tool which displays raw IPMI SEL data such as IPMI tool with the -vvv option or RACADM with the -E option.",
            "Message": "A Memory Reference Code (MRC) warning code is logged.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "MEM9013": {
            "Description": "BIOS logged location information of a Memory Reference Code (MRC) warning. This information can be reviewed by using a tool which displays raw IPMI SEL data such as IPMItool with the -vvv option or RACADM with the -E option.",
            "Message": "Memory Reference Code (MRC) warning location information is logged.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Warning"
        },
        "MEM9014": {
            "Description": "The memory device identified in the message has encountered a correctable memory error. This may be an early indicator of a possible future uncorrectable error.",
            "Message": "A correctable memory error has occurred in Dual In-line Memory Module (DIMM) device %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "This is a correctable error. Review log information and if multiple correctable errors have occurred on the DIMM identified in the message, re-install the memory device. If the issue persists, contact your service provider.",
            "Severity": "Warning"
        },
        "MEM9015": {
            "Description": "The memory device identified in the message has encountered a uncorrectable error. System performance may be degraded. The operating system and/or applications may fail as a result.",
            "Message": "Multi-bit memory errors detected on a Dual In-line Memory Module (DIMM) device %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Re-install the memory component identified in the message. If the issue persists, contact your service provider. Refer to the product documentation to choose a convenient contact method.",
            "Severity": "Critical"
        },
        "MEM9016": {
            "Description": "The memory device identified in the message may not be operational. This an early indicator of a possible future uncorrectable error.",
            "Message": "Correctable memory error rate exceeded for Dual In-line Memory Module (DIMM)%1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Re-install the memory component identified in the message. If the issue persists, contact your service provider. Refer to the product documentation to choose a convenient contact method.",
            "Severity": "Warning"
        },
        "MEM9020": {
            "Description": "The NVDIMM device in the slot, identified in the message, is about to reach the end of supported life duration.",
            "Message": "The Non-Volatile Dual In-line Memory Module (NVDIMM) device in the slot %1 is about to reach the end of supported life duration.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "During the next scheduled maintenance, replace the Non-Volatile Dual In-line Memory Module (NVDIMM) device. For more information about the usage of NVDIMMs, see the system Owner's Manual on the support site.",
            "Severity": "Warning"
        },
        "MEM9030": {
            "Description": "The NVDIMM device in the slot identified in the message is not responding and is disabled.",
            "Message": "The Non-Volatile Dual In-line Memory Module (NVDIMM) device in the slot %1 is not responding and is disabled.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Remove and reinstall the Non-Volatile Dual In-line Memory Module (NVDIMM) device. If the issue persists, contact your service provider. For information about removing and reinstalling the NVDIMM, see the system Owner's Manual on the support site.",
            "Severity": "Critical"
        },
        "MEM9031": {
            "Description": "The NVDIMM device in the slot identified in the message is unable to save the data during the previous system shutdown operation or power loss. The NVDIMM is placed in write-protect mode.",
            "Message": "The Non-Volatile Dual In-line Memory Module (NVDIMM) device in the slot %1 is unable to save the data during the previous system shutdown operation or power loss.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Remove and reinstall the Non-Volatile Dual In-line Memory Module (NVDIMM) device. If the issue persists, contact your service provider. For information about removing and reinstalling the NVDIMM, see the system Owner's Manual on the support site.",
            "Severity": "Critical"
        },
        "MEM9032": {
            "Description": "The NVDIMM device in the slot identified in the message is unable to restore the data that was saved in the previous 'save' operation. The NVDIMM is placed in write-protect mode.",
            "Message": "The Non-Volatile Dual In-line Memory Module (NVDIMM) device in the slot %1 is unable to restore the data that was saved in the previous 'save' operation.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Remove and reinstall the Non-Volatile Dual In-line Memory Module (NVDIMM) device. If the issue persists, contact your service provider. For information about removing and reinstalling the NVDIMM, see the system Owner's Manual on the support site.",
            "Severity": "Critical"
        },
        "MEM9033": {
            "Description": "An unsupported Non-Volatile Dual In-line Memory Module (NVDIMM) device is of unsupported configuration and unable to operate as currently configured.",
            "Message": "An unsupported Non-Volatile Dual In-line Memory Module (NVDIMM) device is of unsupported configuration and unable to operate as currently configured.",
            "NumberOfArgs": 0,
            "Resolution": "Review the memory configuration and make sure the configuration is as per memory rules defined in the system Owner's Manual on the support site.",
            "Severity": "Critical"
        },
        "MEM9034": {
            "Description": "The NVDIMM device in the slot identified in the message is not responding.",
            "Message": "The Non-Volatile Dual In-line Memory Module (NVDIMM) device in the slot %1 is not responding.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Remove and reinstall the Non-Volatile Dual In-line Memory Module (NVDIMM) device. If the issue persists, contact your service provider. For information about removing and reinstalling the NVDIMM, see the system Owner's Manual on the support site.",
            "Severity": "Critical"
        },
        "MEM9035": {
            "Description": "The NVDIMM device in the slot identified in the message cannot be configured to save data during a power loss because of an issue in the NVDIMM.",
            "Message": "The Non-Volatile Dual In-line Memory Module (NVDIMM) device in the slot %1 cannot be configured to save data during a power loss because of an issue in the NVDIMM.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Remove and reinstall the Non-Volatile Dual In-line Memory Module (NVDIMM) device. If the issue persists, contact your service provider. For information about removing and reinstalling the NVDIMM, see the system Owner's Manual on the support site.",
            "Severity": "Critical"
        },
        "MEM9036": {
            "Description": "The Non-Volatile Dual In-line Memory Module (NVDIMM) devices are placed in write-protect mode because the server may not provide sufficient power or the battery is not sufficiently charged to save data in case of power loss.",
            "Message": "The Non-Volatile Dual In-line Memory Module (NVDIMM) devices are placed in write-protect mode because the system may not provide sufficient power to save data in case of power loss.",
            "NumberOfArgs": 0,
            "Resolution": "Review any preceding power or battery entries in the log and resolve the issues. Refer to your documentation for details on how to view the log.",
            "Severity": "Critical"
        },
        "MEM9037": {
            "Description": "The NVDIMM device in the slot identified in the message has reached the end of supported life duration and is placed in write-protect mode.",
            "Message": "The Non-Volatile Dual In-line Memory Module (NVDIMM) device in the slot %1 has reached the end of supported life duration and is placed in write-protect mode.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Replace the Non-Volatile Dual In-line Memory Module (NVDIMM) device. For information about removing and reinstalling the NVDIMM, see the system Owner's Manual on the support site.",
            "Severity": "Critical"
        },
        "MEM9038": {
            "Description": "The NVDIMM device in the slot identified in the message has lost persistency and is placed in write-protect mode.",
            "Message": "The Non-Volatile Dual In-line Memory Module (NVDIMM) device in the slot %1 has lost persistency and is placed in write-protect mode.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Remove and reinstall the Non-Volatile Dual In-line Memory Module (NVDIMM) device. If the issue persists, contact the service provider. For information about removing and reinstalling the NVDIMM, see the system Owner's Manual on the support site.",
            "Severity": "Critical"
        },
        "MEM9050": {
            "Description": "The NVDIMM device in the slot identified in the message has regained persistency and is available for use.",
            "Message": "The Non-Volatile Dual In-line Memory Module (NVDIMM) device in the slot %1 has regained persistency and is available for use.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action required.",
            "Severity": "Informational"
        },
        "MEM9060": {
            "Description": "The Post-Package Repair operation is successfully completed on the Dual in-line Memory Module (DIMM) device that was failing earlier.",
            "Message": "The Post-Package Repair operation is successfully completed on the Dual in-line Memory Module (DIMM) device that was failing earlier.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "MEM9070": {
            "Description": "The memory module is in its factory default state because the BIOS sent the Factory Default command to the module controller. This command erases all data in the module, disables all event notifications, and resets all module registers to their default values. The Factory Default command does not affect the firmware version of the module.",
            "Message": "The Non-Volatile Dual In-line Memory Module (NVDIMM) with serial number %1 is reconfigured to its factory default state.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "NIC001": {
            "Description": "The command was successful.",
            "Message": "The command was successful.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "NIC002": {
            "Description": "Unable to allocate required memory to perform the operation.",
            "Message": "Resource allocation failure",
            "NumberOfArgs": 0,
            "Resolution": "Power cycle system and reapply firmware packages for Lifecycle Controller and iDRAC.",
            "Severity": "Critical"
        },
        "NIC003": {
            "Description": "An invalid number of arguments was passed to the method.",
            "Message": "Missing required parameter",
            "NumberOfArgs": 0,
            "Resolution": "Enter all the required command parameters. Check documentation and try again.",
            "Severity": "Warning"
        },
        "NIC004": {
            "Description": "The value for the specified parameter is invalid.",
            "Message": "Invalid parameter value for %1",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Verify that parameter values passed to the method are entered as they appear in the enumeration and parameter data type matches the documentation.",
            "Severity": "Warning"
        },
        "NIC005": {
            "Description": "The number of AttributeName and AttributeValue parameters do not match.",
            "Message": "Mismatch in AttributeName and AttributeValue count",
            "NumberOfArgs": 0,
            "Resolution": "Pass the same number of parameters for AttributeName and AttributeValue. Refer to documentation for method input parameter details.",
            "Severity": "Warning"
        },
        "NIC006": {
            "Description": "A configuration job already exists for the specified target. No further configuration operation is allowed until the existing job completes or the job is cancelled.",
            "Message": "A configuration job already exists, Cannot set attribute on specified target until existing job is completed or is cancelled",
            "NumberOfArgs": 0,
            "Resolution": "Do one of the following: 1) Wait for the existing configuration job to complete and retry the operation, 2) To continue with a configuration change, cancel the existing job and retry the operation.",
            "Severity": "Warning"
        },
        "NIC007": {
            "Description": "A configuration job already exists for the specified target. No further configuration operation is allowed until the existing job completes or the job is cancelled.",
            "Message": "A configuration job already exists, Cannot create another configuration job on specified target until existing job is completed or is cancelled",
            "NumberOfArgs": 0,
            "Resolution": "Do one of the following: 1) Wait for the existing configuration job to complete and retry the operation, 2) To continue with a configuration change, cancel the existing job and retry the operation.",
            "Severity": "Warning"
        },
        "NIC008": {
            "Description": "No changes are available between the previous configuration and the current configuration. To create a Configuration job, at least one attribute should be changed.",
            "Message": "No pending data present to create a Configuration job",
            "NumberOfArgs": 0,
            "Resolution": "Change the configuration of one or more attributes and then create a configuration job.",
            "Severity": "Informational"
        },
        "NIC009": {
            "Description": "Lifecycle Controller cannot gain access to internal storage because it is use by another application or operation.",
            "Message": "Lifecycle Controller is currently in use.",
            "NumberOfArgs": 0,
            "Resolution": "Wait for the current Lifecycle Controller operation to complete. Verify that the system is 1) Not currently in Lifecycle Controller Unified Server Configurator utility 2) Not waiting for user intervention at F1/F2 POST error 3) Not in any of the device or controller Option ROMs and retry the operation.",
            "Severity": "Warning"
        },
        "NIC010": {
            "Description": "For 11G systems: System Services must be enabled to perform the requested operation. System Services has been disabled through the iDRAC configuration utility accessed by pressing CTRL+E on boot up or through a remote operation. For 12G and above generations: Lifecycle Controller must be enabled to perform the requested operation. Lifecycle Controller has been disabled by pressing F2 Setup, selecting iDRAC Configuration, and selecting Lifecycle Controller Settings on boot up or through a remote operation.",
            "Message": "Lifecycle Controller is not enabled, cannot create Configuration job.",
            "NumberOfArgs": 0,
            "Resolution": "For 11G systems: Use the iDRAC configuration utility to enable the System Services by pressing on the CTRL+E option on boot up at the targeted system. For 12G and above generations: Use F2 Setup, select iDRAC Configuration, and select Lifecycle Controller Settings, to enable the Lifecycle Controller on boot up of the targeted system.",
            "Severity": "Warning"
        },
        "NIC011": {
            "Description": "Configuration job already created on the specified target. No further command is allowed until the existing job is completed.",
            "Message": "Configuration job already created, pending data cannot be deleted",
            "NumberOfArgs": 0,
            "Resolution": "Cancel the configuration job or wait for the job to complete. Refer to documentation on job cancellation.",
            "Severity": "Warning"
        },
        "NIC012": {
            "Description": "No changes to BIOS attribute data are available between the previous configuration and the current configuration.",
            "Message": "No pending data to delete.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "NIC013": {
            "Description": "An unknown AttributeName was entered for the operation.",
            "Message": "Invalid AttributeName: %1",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Enter the correct AttributeName available in the system. Refer to the enumeration response for desired attribute.",
            "Severity": "Warning"
        },
        "NIC014": {
            "Description": "AttributeValue may be invalid because of the following causes: 1) Length of new AttributeValue is not within minLength and maxLength 2) Value of new AttributeValue is not within LowerBound and UpperBound 3) Value of new AttributeValue is not one of the possible values.",
            "Message": "Invalid AttributeValue for AttributeName %1",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Refer to the documentation on valid attribute values.",
            "Severity": "Warning"
        },
        "NIC015": {
            "Description": "A set attribute operation was attempted on a read only attribute.",
            "Message": "AttributeValue cannot be changed to read only AttributeName %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "NIC016": {
            "Description": "A set attribute operation was attempted on a disabled attribute.",
            "Message": "AttributeValue cannot be changed for disabled AttributeName %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "NIC017": {
            "Description": "Unable to delete vFlash pending one-time boot configuration.",
            "Message": "Unable to delete vFlash pending one-time boot configuration",
            "NumberOfArgs": 0,
            "Resolution": "Remove AC power from system and after restoring AC power, retry the operation.",
            "Severity": "Critical"
        },
        "NIC018": {
            "Description": "The input BIOS password used in the operation is invalid.",
            "Message": "Invalid BIOS password.",
            "NumberOfArgs": 0,
            "Resolution": "Use a valid BIOS password and retry.",
            "Severity": "Warning"
        },
        "NIC021": {
            "Description": "The old BIOS password used to change the password is incorrect.",
            "Message": "Cannot authenticate specified BIOS password.",
            "NumberOfArgs": 0,
            "Resolution": "Enter the correct old password for the BIOS and retry the operation.",
            "Severity": "Warning"
        },
        "NIC022": {
            "Description": "The current BIOS password jumper setting prevents the BIOS password from being changed.",
            "Message": "Unable to set the BIOS password because of a jumper setting on the motherboard.",
            "NumberOfArgs": 0,
            "Resolution": "Change the jumper setting to enable setting the BIOS password.",
            "Severity": "Warning"
        },
        "NIC023": {
            "Description": "The operation did not complete successfully because of an unknown error in iDRAC.",
            "Message": "Cannot perform the operation due to an unknown error in iDRAC.",
            "NumberOfArgs": 0,
            "Resolution": "Retry the action. If the issue persists, reset the iDRAC.",
            "Severity": "Warning"
        },
        "NIC024": {
            "Description": "The attribute specified in the operation is currently read only and the value cannot be modified.",
            "Message": "The set operation did not complete successfully as the attribute is read-only.",
            "NumberOfArgs": 0,
            "Resolution": "For more information on the attribute, see Lifecycle Controller-Remote Services documentation.",
            "Severity": "Warning"
        },
        "NIC025": {
            "Description": "The configuration operation cannot be started because the System Lockdown mode is enabled.",
            "Message": "Unable to start the configuration operation because the System Lockdown mode is enabled.",
            "NumberOfArgs": 0,
            "Resolution": "Make sure that the Lockdown.1#SystemLockdown attribute is set to Disabled in the DCIM_iDracCardEnumeration class by running the WS-Man get command at the command line interface (CLI), and then retry the operation.",
            "Severity": "Informational"
        },
        "NIC100": {
            "Description": "The network link is down. Either the network cable is not connected or the network device is not working.",
            "Message": "The %1 Port %2 network link is down.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "Verify that the network port is enabled and if the port has Activity/Speed LEDs, that they are lit. Check the network cable, network cable connections, and the attached network switch.",
            "Severity": "Warning"
        },
        "NIC101": {
            "Description": "The transition from network link not started (down) to network link started (up) has been detected on the NIC controller port identified in the message.",
            "Message": "The %1 Port %2 network link is started.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "NIC500": {
            "Description": "The values of IP Address is not allowed to change if DHCP is enabled.",
            "Message": "The requested object is not allowed to be configured if DHCP is enabled.",
            "NumberOfArgs": 0,
            "Resolution": "Disable DHCP and then modify the value.",
            "Severity": "Informational"
        },
        "NIC501": {
            "Description": "Autoconfig assigns values to the network components.",
            "Message": "The requested object is not allowed to be configured if Auto Config is enabled.",
            "NumberOfArgs": 0,
            "Resolution": "Disable Autoconfig and then modify the value.",
            "Severity": "Informational"
        },
        "NIC502": {
            "Description": "The value of the specified parameter cannot be changed.",
            "Message": "DHCP is required to be enabled on the NIC before DHCP can be enabled for DNS server or domain name objects.",
            "NumberOfArgs": 0,
            "Resolution": "Enable DHCP on the NIC before enabling it for DNS.",
            "Severity": "Informational"
        },
        "NIC503": {
            "Description": "The value of the specified parameter cannot be changed.",
            "Message": "The DNS server IP address is not allowed to be configured if DNS server DHCP (cfgDNSServersFromDHCP) is enabled.",
            "NumberOfArgs": 0,
            "Resolution": "Disable the cfgDNSServersFromDHCP object.",
            "Severity": "Informational"
        },
        "NIC504": {
            "Description": "The value of the specified parameter cannot be changed.",
            "Message": "The IPv6 DNS Server IP address is not allowed to be configured if IPv6 DNS Server DHCP (cfgIPv6DNSServersFromDHCP6) is enabled.",
            "NumberOfArgs": 0,
            "Resolution": "Disable the cfgIPv6DNSServersFromDHCP6 object.",
            "Severity": "Informational"
        },
        "NIC505": {
            "Description": "The value of the specified parameter cannot be changed.",
            "Message": "The DNS domain name is not allowed to be configured if domain name DHCP (cfgDNSDomainNameFromDHCP) is enabled.",
            "NumberOfArgs": 0,
            "Resolution": "Disable the cfgDNSDomainNameFromDHCP object.",
            "Severity": "Informational"
        },
        "NIC506": {
            "Description": "The requested operation requires the DNS registration to be enabled.",
            "Message": "The requested object requires DNS registration to be enabled.",
            "NumberOfArgs": 0,
            "Resolution": "Enable the DNS registration.",
            "Severity": "Informational"
        },
        "NIC507": {
            "Description": "For the requested operation, enable the NIC to get the NIC details.",
            "Message": "Unable to determine current NIC state.",
            "NumberOfArgs": 0,
            "Resolution": "Check if the NIC is disabled. If disabled, enable the NIC.",
            "Severity": "Critical"
        },
        "NIC508": {
            "Description": "None.",
            "Message": "NIC teaming info is not currently available.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Critical"
        },
        "NIC509": {
            "Description": "Success message.",
            "Message": "NIC is now ENABLED",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "NIC510": {
            "Description": "Success message.",
            "Message": "NIC is now DISABLED",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "NIC511": {
            "Description": "Success message.",
            "Message": "NIC is already ENABLED",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "NIC512": {
            "Description": "Success message.",
            "Message": "DHCP is already ENABLED",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "NIC513": {
            "Description": "Success message.",
            "Message": "DHCP6 is already ENABLED",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "NIC514": {
            "Description": "Success message.",
            "Message": "DHCP is now ENABLED",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "NIC515": {
            "Description": "Success message.",
            "Message": "DHCP6 is now ENABLED",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "NIC516": {
            "Description": "Success message.",
            "Message": "Static IP configuration enabled and modified successfully",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "OSD062": {
            "Description": "The process of installing an operating system or hypervisor is started and is in progress.",
            "Message": "The process of installing an operating system or hypervisor is started and is in progress.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "OSD063": {
            "Description": "The process of installing an operating system or hypervisor is successfully completed.",
            "Message": "The process of installing an operating system or hypervisor is successfully completed.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "OSD064": {
            "Description": "The process of installing an operating system or hypervisor is abruptly stopped either by the user or the installation infrastructure.",
            "Message": "The process of installing an operating system or hypervisor is abruptly stopped either by the user or the installation infrastructure.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "OSD065": {
            "Description": "The Operating System/Hypervisor installation did not complete successfully. The system may be unable to boot into the operating system/hypervisor because of the incomplete installation.",
            "Message": "Operating System/Hypervisor Installation did not complete successfully.",
            "NumberOfArgs": 0,
            "Resolution": "Check the installation logs of operating system or hypervisor, resolve any issues identified, and then retry the operation. If the issue persists, contact your service provider.",
            "Severity": "Critical"
        },
        "OSD1": {
            "Description": "The command was successful.",
            "Message": "The command was successful.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "OSD10": {
            "Description": "Installation for the selected operating system is not supported. Make sure that the correct operating system name was entered.",
            "Message": "Installation not supported for the selected operating system.",
            "NumberOfArgs": 0,
            "Resolution": "Recheck the operating system name with the output of GetDriverPackInfo().",
            "Severity": "Warning"
        },
        "OSD11": {
            "Description": "Lifecycle Controller does not have any drivers for the selected operating system. The operating system installation uses the native drivers present on the operating system media.",
            "Message": "Driver Pack does not have drivers for the selected operating system.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "OSD12": {
            "Description": "iDRAC was unable to create and expose the drivers as a USB device for the OS installation to proceed.",
            "Message": "Cannot create the USB device needed to copy drivers for the selected operating system.",
            "NumberOfArgs": 0,
            "Resolution": "1) Rerun the command. 2) Reset iDRAC and rerun the command.",
            "Severity": "Critical"
        },
        "OSD13": {
            "Description": "iDRAC was unable to mount the drivers as a USB device for the OS installation to proceed.",
            "Message": "Cannot mount the USB device needed to copy drivers for the selected operating system.",
            "NumberOfArgs": 0,
            "Resolution": "1) Rerun the command. 2) Reset iDRAC and rerun the command.",
            "Severity": "Critical"
        },
        "OSD14": {
            "Description": "iDRAC was unable to expose the drivers as a USB device for the OS installation to proceed.",
            "Message": "Unable to expose the USB device that contains the operating system drivers to host system.",
            "NumberOfArgs": 0,
            "Resolution": "1) Rerun the command. 2) Reset iDRAC and rerun the command.",
            "Severity": "Critical"
        },
        "OSD15": {
            "Description": "Unable to mount the network share using the credentials specified in the command because either the username or password is incorrect.",
            "Message": "Mount network share failed - incorrect username or password.",
            "NumberOfArgs": 0,
            "Resolution": "Rerun the command with the correct username and password.",
            "Severity": "Warning"
        },
        "OSD16": {
            "Description": "Unable to mount the network share using the parameters specified in the command because either the IP address or share name is incorrect.",
            "Message": "Mount network share failed - incorrect IP address or share name.",
            "NumberOfArgs": 0,
            "Resolution": "Rerun the command with the correct IP address and share name.",
            "Severity": "Warning"
        },
        "OSD17": {
            "Description": "Unable to expose the ISO image as an internal CD device to the host system because the ISO file is no longer present, network errors are preventing access to the ISO file, or iDRAC may not be responsive.",
            "Message": "Exposing ISO image as internal device to the server failed.",
            "NumberOfArgs": 0,
            "Resolution": "1) Rerun the command. 2) Reset iDRAC and rerun the command.",
            "Severity": "Critical"
        },
        "OSD18": {
            "Description": "Unable to find the ISO file specified in the network share. Make sure that the correct ISO file path was entered into the command and that all other user credentials are correct.",
            "Message": "Unable to locate the ISO image on the network share point.",
            "NumberOfArgs": 0,
            "Resolution": "Rerun the command with the correct ISO file path.",
            "Severity": "Warning"
        },
        "OSD19": {
            "Description": "Failed to execute fork() system call to perform the task in a child process. iDRAC may be unresponsive.",
            "Message": "The fork() command for a child process to perform the task failed.",
            "NumberOfArgs": 0,
            "Resolution": "Reset iDRAC and rerun the command.",
            "Severity": "Critical"
        },
        "OSD2": {
            "Description": "An unknown error occurred.",
            "Message": "General failure.",
            "NumberOfArgs": 0,
            "Resolution": "1) Rerun the command. 2) Reset iDRAC and run the command.",
            "Severity": "Critical"
        },
        "OSD20": {
            "Description": "Unable to get the size or label for selected operating system from the Driver Pack present in Lifecycle Controller. The driver pack may be corrupt.",
            "Message": "Unable to get size or label from Driver Pack for selected operating system.",
            "NumberOfArgs": 0,
            "Resolution": "Update the Driver Pack using USC or DUP and rerun the command.",
            "Severity": "Warning"
        },
        "OSD21": {
            "Description": "Booting to ISO has failed. Either BIOS was unable to boot to the ISO image or the provider did not get a response in 5 minutes from BIOS on successful boot to ISO image.",
            "Message": "Unable to boot to ISO image.",
            "NumberOfArgs": 0,
            "Resolution": "1) Make sure that a POST error did not result in user interaction (Press F1 to continue or F2 to run BIOS setup). 2) Reset iDRAC and rerun the command.",
            "Severity": "Warning"
        },
        "OSD22": {
            "Description": "Unable to detach ISO image from the host because either the image is already detached, or iDRAC may not be operating normally.",
            "Message": "Unable to detach ISO image from the host.",
            "NumberOfArgs": 0,
            "Resolution": "1) Rerun the command. 2) Reset iDRAC.",
            "Severity": "Critical"
        },
        "OSD23": {
            "Description": "Cannot continue with DetachISOImage because another command is in the process of exposing the ISO image and booting to it.",
            "Message": "Unable to continue with DetachISOImage - another command is in the process of exposing the ISO Image and booting to it.",
            "NumberOfArgs": 0,
            "Resolution": "See the ConcreteJob status to make sure that the current running process is complete and then run DetachISOImage.",
            "Severity": "Informational"
        },
        "OSD24": {
            "Description": "Unable to continue with DetachDrivers - UnPackAndAttach is in progress.",
            "Message": "Unable to continue with DetachDrivers - UnPackAndAttach is in progress.",
            "NumberOfArgs": 0,
            "Resolution": "Wait until UnpackAndAttach finishes and then run DetachDrivers. This can take more than 5 minutes.",
            "Severity": "Informational"
        },
        "OSD25": {
            "Description": "Detaching the USB device (that contains drivers for the operating system installation) from the host has failed. The device may be detached, or iDRAC may not be operating normally.",
            "Message": "Unable to detach USB device containing operating system drivers.",
            "NumberOfArgs": 0,
            "Resolution": "Reset iDRAC to detach this device automatically.",
            "Severity": "Critical"
        },
        "OSD26": {
            "Description": "Unable to continue with BootToPXE command because another process is using Lifecycle Controller.",
            "Message": "Unable to continue with BootToPXE - another command is running.",
            "NumberOfArgs": 0,
            "Resolution": "See ConcreteJob status to make sure that the running process is complete, and then run BootToPXE.",
            "Severity": "Warning"
        },
        "OSD27": {
            "Description": "Copying drivers for selected operating system failed. The Driver Pack may be unusable.",
            "Message": "Copying drivers for selected operating system failed.",
            "NumberOfArgs": 0,
            "Resolution": "Update the Driver Pack using USC or DUP and then rerun the command.",
            "Severity": "Informational"
        },
        "OSD28": {
            "Description": "Hash verification on the ISO image has failed. The hash value specified in the command is either incorrect or the ISO image has been changed.",
            "Message": "Hash verification on the ISO image failed.",
            "NumberOfArgs": 0,
            "Resolution": "1) Verify that the hash value specified in the command is correct. 2) Make sure that the ISO has not been changed 3) Replace the ISO image on the share and rerun the command.",
            "Severity": "Warning"
        },
        "OSD29": {
            "Description": "Driver Pack configuration file not found in Lifecycle Controller. Driver Pack may be unusable.",
            "Message": "Driver Pack configuration file not found in Lifecycle Controller. The Driver Pack might be corrupt.",
            "NumberOfArgs": 0,
            "Resolution": "Update the Driver Pack using USC or DUP and then rerun the command.",
            "Severity": "Warning"
        },
        "OSD3": {
            "Description": "Lifecycle Controller is currently locked by another process. Make sure that the process completes before attempting to run another command.",
            "Message": "Lifecycle Controller is being used by another process.",
            "NumberOfArgs": 0,
            "Resolution": "1) After two minutes, rerun the command. 2) Make sure that USC or DUP is not currently running on the server. 3) Reset iDRAC and rerun the command.",
            "Severity": "Warning"
        },
        "OSD30": {
            "Description": "The value specified for ExposeDuration is out of range. It must be between 60 and 65535 seconds.",
            "Message": "Invalid value for ExposeDuration - must be 60 - 65535 seconds",
            "NumberOfArgs": 0,
            "Resolution": "Rerun the command with a ExposeDuration value between 60 and 65535 seconds.",
            "Severity": "Warning"
        },
        "OSD31": {
            "Description": "Copying drivers for the selected operating system to network share failed. The share may be read-only or the Driver Pack present in Lifecycle Controller may be unusable.",
            "Message": "Copying operating system drivers to network share failed",
            "NumberOfArgs": 0,
            "Resolution": "1) Make sure that the network share has write permission. 2) Update the Driver Pack using USC or DUP and then rerun the command.",
            "Severity": "Warning"
        },
        "OSD32": {
            "Description": "Cannot continue with DetachISOImage because the system does not have an attached ISO image.",
            "Message": "ISO image is not attached",
            "NumberOfArgs": 0,
            "Resolution": "The call to DetachISOImage is unnecessary since the ISO image is not currently attached.",
            "Severity": "Informational"
        },
        "OSD33": {
            "Description": "The system has an older version of BIOS that does not support this method. Install the latest version of BIOS to use this method.",
            "Message": "Installed BIOS version does not support this method.",
            "NumberOfArgs": 0,
            "Resolution": "Update the BIOS to version 1.2 or later and then rerun the command.",
            "Severity": "Warning"
        },
        "OSD34": {
            "Description": "Unable to continue with BootToPXE command because the system has an ISO image attached. Detach the ISO image before continuing with BootToPXE.",
            "Message": "Unable to continue with BootToPXE - ISO image is attached to the system.",
            "NumberOfArgs": 0,
            "Resolution": "Run the DetachISOImage command and then run BootToPXE.",
            "Severity": "Informational"
        },
        "OSD35": {
            "Description": "Lifecycle Controller is disabled on the system, so none of the remote operating system deployment commands will work. Make sure Lifecycle Controller is enabled before running any command.",
            "Message": "Lifecycle Controller is not enabled.",
            "NumberOfArgs": 0,
            "Resolution": "For 11G systems: Use the iDRAC configuration utility to enable the System Services by pressing on the CTRL+E option on boot up at the targeted system. For 12G and above generations: Use F2 Setup, select iDRAC Configuration, and select Lifecycle Controller Settings, to enable the Lifecycle Controller on boot up of the targeted system.",
            "Severity": "Informational"
        },
        "OSD36": {
            "Description": "User has cancelled system services by using the CTRL+E option (iDRAC configuration utility) or F2 option during POST. This action cancels the WSMAN request to boot to ISO.",
            "Message": "Boot to ISO Image has been cancelled by using CTRL+E or F2 option on the server.",
            "NumberOfArgs": 0,
            "Resolution": "To resolve the issue rerun the command. Do not cancel system services using CTRL+E or F2 during POST when system is rebooting to the ISO.",
            "Severity": "Warning"
        },
        "OSD37": {
            "Description": "ISO Image size is bigger than the available size in vFlash.",
            "Message": "ISO image size too large.",
            "NumberOfArgs": 0,
            "Resolution": "1) Use a smaller size ISO Image. 2) Format the vFlash using the iDRAC GUI, RACADM, or iDRAC configuration utility and then retry this command.",
            "Severity": "Warning"
        },
        "OSD38": {
            "Description": "There was an error while copying the ISO from the network share.",
            "Message": "Copying the ISO image from the network failed.",
            "NumberOfArgs": 0,
            "Resolution": "1) Make sure the network connection is functional. 2) Make sure the Dell vFlash does not have hardware issues by accessing it through the iDRAC GUI.",
            "Severity": "Warning"
        },
        "OSD39": {
            "Description": "Unable to get vFlash information from internal instrumentation.",
            "Message": "Unable to find the VFlash.",
            "NumberOfArgs": 0,
            "Resolution": "1) Make sure the Dell vFlash is seated correctly. 2) Make sure a Dell licensed vFlash card is inserted 3) Make sure the Dell vFlash does not have any hardware issues by accessing it through the iDRAC GUI.",
            "Severity": "Warning"
        },
        "OSD4": {
            "Description": "Driver Pack partition in Lifecycle Controller is not accessible. The Lifecycle Controller or the iDRAC might be unresponsive.",
            "Message": "Cannot access Lifecycle Controller Driver Pack partition.",
            "NumberOfArgs": 0,
            "Resolution": "Reset the iDRAC and rerun the command. If the command fails again, check if the iDRAC is functional and accessible on the system.",
            "Severity": "Critical"
        },
        "OSD40": {
            "Description": "This is not a Dell-licensed vFlash.",
            "Message": "VFlash is not Dell licensed.",
            "NumberOfArgs": 0,
            "Resolution": "Insert a Dell vFlash and then retry this command.",
            "Severity": "Informational"
        },
        "OSD41": {
            "Description": "vFlash does not contain the ISO Image because either the image was deleted, or it was never copied.",
            "Message": "ISO Image not found on VFlash.",
            "NumberOfArgs": 0,
            "Resolution": "Download the ISO Image to the vFlash again using the DownloadISOToVFlash method.",
            "Severity": "Warning"
        },
        "OSD42": {
            "Description": "There was an error while copying the ISO image from the network share to the vFlash.",
            "Message": "Downloading ISO File to VFlash failed.",
            "NumberOfArgs": 0,
            "Resolution": "1) Make sure the network connection is working. 2) Make sure the Dell vFlash does not have any hardware issues by accessing it through the iDRAC GUI.",
            "Severity": "Warning"
        },
        "OSD43": {
            "Description": "vFlash is not present on the server.",
            "Message": "VFlash unavailable.",
            "NumberOfArgs": 0,
            "Resolution": "Insert a Dell-licensed vFlash and then retry this command.",
            "Severity": "Warning"
        },
        "OSD44": {
            "Description": "The ISO on vFlash is not currently attached, so the DetachISOFromVFlash command could not be executed.",
            "Message": "Unable to detach ISO image on VFlash.",
            "NumberOfArgs": 0,
            "Resolution": "Since the ISO image is not attached, the DetachISOFromVFlash command does not have to be run.",
            "Severity": "Informational"
        },
        "OSD45": {
            "Description": "The ISO Image present in vFlash is attached to the host system. The ISO Image cannot be deleted from vFlash.",
            "Message": "Cannot delete ISO image from VFlash.",
            "NumberOfArgs": 0,
            "Resolution": "Execute DetachISOFromVFlash() before running DeleteISOFromVFlash().",
            "Severity": "Warning"
        },
        "OSD46": {
            "Description": "Another process (iDRAC GUI /racadm/iDRAC configuration utility) is currently accessing vFlash.",
            "Message": "VFlash in use.",
            "NumberOfArgs": 0,
            "Resolution": "Wait until the access to vFlash is relinquished and then retry this command.",
            "Severity": "Informational"
        },
        "OSD47": {
            "Description": "Unable to access the network share using the credentials specified or the firewall might be enabled and is preventing access to the share.",
            "Message": "Inaccessible network share.",
            "NumberOfArgs": 0,
            "Resolution": "Make sure that the firewall is disabled, and that the credentials (username, password) are correct.",
            "Severity": "Warning"
        },
        "OSD48": {
            "Description": "ISO Images of more than 4GB are not supported and cannot be copied to VFlash.",
            "Message": "ISO Images of more than 4GB not supported.",
            "NumberOfArgs": 0,
            "Resolution": "Use an ISO that is smaller than 4GB.",
            "Severity": "Warning"
        },
        "OSD49": {
            "Description": "vFlash cannot be accessed because RIPS mode is enabled.",
            "Message": "Disable RIPS mode to access VFlash.",
            "NumberOfArgs": 0,
            "Resolution": "Disable the RIPS mode from BIOS or from the iDRAC GUI, and then continue executing the method.",
            "Severity": "Warning"
        },
        "OSD5": {
            "Description": "A Driver Pack was not found on the Lifecycle Controller.",
            "Message": "Lifecycle Controller Driver Pack not found.",
            "NumberOfArgs": 0,
            "Resolution": "Update the Driver Pack using USC or DUP and then run the command again.",
            "Severity": "Warning"
        },
        "OSD50": {
            "Description": "Lifecycle Controller is in field service mode and needs to be updated before proceeding further.",
            "Message": "Lifecycle Controller is in field service mode.",
            "NumberOfArgs": 0,
            "Resolution": "Install the Lifecycle Controller field services package using the iDRAC GUI.",
            "Severity": "Warning"
        },
        "OSD51": {
            "Description": "There are pending System Services tasks on the host system that are preventing the execution of this method.",
            "Message": "Reboot the system to run pending System Services Tasks.",
            "NumberOfArgs": 0,
            "Resolution": "Reboot the host system. The system will automatically enter System Services and complete the pending tasks.",
            "Severity": "Informational"
        },
        "OSD52": {
            "Description": "vFlash is disabled.",
            "Message": "vFlash is disabled.",
            "NumberOfArgs": 0,
            "Resolution": "Enable the vFlash from the iDRAC GUI or RACADM, and then proceed.",
            "Severity": "Informational"
        },
        "OSD53": {
            "Description": "vFlash is write protected.",
            "Message": "vFlash is write protected.",
            "NumberOfArgs": 0,
            "Resolution": "Remove the write protect from the SD card and then proceed.",
            "Severity": "Informational"
        },
        "OSD54": {
            "Description": "vFlash allows only 16 partitions to be created.",
            "Message": "vFlash already has 16 partitions.",
            "NumberOfArgs": 0,
            "Resolution": "Make sure that there are less than 16 partitions before creating another partition on vFlash.",
            "Severity": "Informational"
        },
        "OSD55": {
            "Description": "Cannot attach the ISO image since it is already attached to the host.",
            "Message": "ISO Image is attached to host",
            "NumberOfArgs": 0,
            "Resolution": "ISO Image is already attached to the host server. Detach the ISO and then rerun the command.",
            "Severity": "Informational"
        },
        "OSD56": {
            "Description": "An ISO is already connected using Remote File Share (RFS). The connection might have been initiated from iDRAC GUI, racadm, or Remote Services API.",
            "Message": "An ISO is already connected using Remote File Share (RFS).",
            "NumberOfArgs": 0,
            "Resolution": "Disconnect the Remote File Share (RFS) using iDRAC GUI, racadm, or Remote Services API and then retry the operation to connect the ISO again.",
            "Severity": "Informational"
        },
        "OSD57": {
            "Description": "Remote File Share (RFS) is currently configured to be in auto-attach mode. For Web services to attach an ISO, RFS should be changed to attach mode.",
            "Message": "Remote File Share (RFS) is in Auto-Attach mode.",
            "NumberOfArgs": 0,
            "Resolution": "Change the Remote File Share (RFS) mode to Attach using iDRAC GUI or Remote Services API and retry.",
            "Severity": "Warning"
        },
        "OSD58": {
            "Description": "The connect ISO operation using Remote File Share (RFS) did not complete successfully.",
            "Message": "Unable to connect an ISO using Remote File Share (RFS).",
            "NumberOfArgs": 0,
            "Resolution": "Verify all the parameters are correct. If the problem persists. then reset iDRAC and retry the operation.",
            "Severity": "Warning"
        },
        "OSD59": {
            "Description": "Disconnecting ISO using Remote File Share (RFS) operation did not complete successfully.",
            "Message": "Unable to disconnect from ISO using Remote File Share (RFS).",
            "NumberOfArgs": 0,
            "Resolution": "Reset iDRAC and retry the operation.",
            "Severity": "Warning"
        },
        "OSD6": {
            "Description": "Unable to dynamically allocate memory to perform the task.",
            "Message": "Cannot allocate memory.",
            "NumberOfArgs": 0,
            "Resolution": "Reset iDRAC and run the command.",
            "Severity": "Critical"
        },
        "OSD60": {
            "Description": "Connecting ISO using Remote File Share (RFS) was unsuccessful.",
            "Message": "Unable to connect to ISO using Remote File Share (RFS).",
            "NumberOfArgs": 0,
            "Resolution": "Verify ISO is connected using Remote File Share (RFS) and retry the operation.",
            "Severity": "Informational"
        },
        "OSD61": {
            "Description": "The IP Address format is invalid and cannot be validated. The specified IP address may not be a valid IPv4 or IPv6 address.",
            "Message": "IP Address format is invalid.",
            "NumberOfArgs": 0,
            "Resolution": "Verify the IP address format and retry the operation.",
            "Severity": "Warning"
        },
        "OSD62": {
            "Description": "The command cannot be run because an invalid firmware image file name is entered.",
            "Message": "Unable to run the command because an invalid firmware image file name is entered.",
            "NumberOfArgs": 0,
            "Resolution": "Make sure that a valid firmware image file is entered. The file must not contain any file path components such as forward slash (/) or period (.).",
            "Severity": "Warning"
        },
        "OSD63": {
            "Description": "The DetachDrivers invoke method cannot be run because the driver files are not attached.",
            "Message": "Unable to run the DetachDrivers invoke method because the driver files are not attached.",
            "NumberOfArgs": 0,
            "Resolution": "No response action required.",
            "Severity": "Warning"
        },
        "OSD64": {
            "Description": "The ConfigurableBootToNetworkISO method cannot be run by specifying the ResetType parameter as 'warm reboot' because the server is in turned-off state.",
            "Message": "Unable to invoke the ConfigurableBootToNetworkISO method by specifying the ResetType parameter as 'warm reboot' because the server is in turned-off state.",
            "NumberOfArgs": 0,
            "Resolution": "Make sure that the server is turned on and retry the operation.",
            "Severity": "Warning"
        },
        "OSD65": {
            "Description": "The ISO file is successfully attached. The next host reboot is scheduled to boot to the ISO file.",
            "Message": "The ISO file is successfully attached. The next host reboot is scheduled to boot to the ISO file.",
            "NumberOfArgs": 0,
            "Resolution": "No response action required.",
            "Severity": "Warning"
        },
        "OSD66": {
            "Description": "The method cannot be invoked because the mandatory input parameter 'OSName' is missing.",
            "Message": "Unable to invoke the method because the mandatory input parameter 'OSName' is missing.",
            "NumberOfArgs": 0,
            "Resolution": "Provide the missing parameter \"OSName\" in the method invocation and retry the operation.",
            "Severity": "Warning"
        },
        "OSD67": {
            "Description": "The method cannot be invoked because the mandatory input parameter 'IPAddress' is missing.",
            "Message": "Unable to invoke the method because the mandatory input parameter 'IPAddress' is missing.",
            "NumberOfArgs": 0,
            "Resolution": "Provide the missing parameter \"IPAddress\" in the method invocation and retry the operation.",
            "Severity": "Warning"
        },
        "OSD68": {
            "Description": "The method cannot be invoked because the mandatory input parameter 'ShareName' is missing.",
            "Message": "Unable to invoke the method because the mandatory input parameter 'ShareName' is missing.",
            "NumberOfArgs": 0,
            "Resolution": "Provide the missing parameter \"ShareName\" in the method invocation and retry the operation.",
            "Severity": "Warning"
        },
        "OSD69": {
            "Description": "The method cannot be invoked because the mandatory input parameter 'ShareType' is missing.",
            "Message": "Unable to invoke the method because the mandatory input parameter 'ShareType' is missing.",
            "NumberOfArgs": 0,
            "Resolution": "Provide the missing parameter \"ShareType\" in the method invocation and retry the operation.",
            "Severity": "Warning"
        },
        "OSD7": {
            "Description": "Unable to connect to Lifecycle Controller because of an existing open connection or an internal error.",
            "Message": "Unable to retrieve Lifecycle Controller handle.",
            "NumberOfArgs": 0,
            "Resolution": "Reset iDRAC, and rerun the command to correct the problem.",
            "Severity": "Critical"
        },
        "OSD70": {
            "Description": "The method cannot be invoked because the mandatory input parameter 'Username' is missing.",
            "Message": "Unable to invoke the method because the mandatory input parameter 'Username' is missing.",
            "NumberOfArgs": 0,
            "Resolution": "Provide the missing parameter \"Username\" in the method invocation and retry the operation.",
            "Severity": "Warning"
        },
        "OSD71": {
            "Description": "The method cannot be invoked because the mandatory input parameter 'Password' is missing.",
            "Message": "Unable to invoke the method because the mandatory input parameter 'Password' is missing.",
            "NumberOfArgs": 0,
            "Resolution": "Provide the missing parameter \"Password\" in the method invocation and retry the operation.",
            "Severity": "Warning"
        },
        "OSD72": {
            "Description": "The method cannot be invoked because the mandatory input parameter 'ImageName' is missing.",
            "Message": "Unable to invoke the method because the mandatory input parameter 'ImageName' is missing.",
            "NumberOfArgs": 0,
            "Resolution": "Provide the missing parameter \"ImageName\" in the method invocation and retry the operation.",
            "Severity": "Warning"
        },
        "OSD73": {
            "Description": "The method cannot be invoked because the mandatory input parameter 'HashValue' is missing.",
            "Message": "Unable to invoke the method because the mandatory input parameter 'HashValue' is missing.",
            "NumberOfArgs": 0,
            "Resolution": "Provide the missing parameter \"HashValue\" in the method invocation and retry the operation.",
            "Severity": "Warning"
        },
        "OSD74": {
            "Description": "The method cannot be invoked because the mandatory input parameter 'ShareType' is invalid.",
            "Message": "Unable to invoke the method because the mandatory input parameter 'ShareType' is invalid.",
            "NumberOfArgs": 0,
            "Resolution": "Check the value provided for input parameter \"ShareType\" and retry the operation.",
            "Severity": "Warning"
        },
        "OSD75": {
            "Description": "The method cannot be invoked because the mandatory input parameter 'HashType' is invalid.",
            "Message": "Unable to invoke the method because the mandatory input parameter 'HashType' is invalid.",
            "NumberOfArgs": 0,
            "Resolution": "Check the value provided for input parameter \"HashType\" and retry the operation.",
            "Severity": "Warning"
        },
        "OSD76": {
            "Description": "The method cannot be invoked because the mandatory input parameter 'ResetType' is invalid.",
            "Message": "Unable to invoke the method because the mandatory input parameter 'ResetType' is invalid.",
            "NumberOfArgs": 0,
            "Resolution": "Check the value provided for input parameter \"ResetType\" and retry the operation.",
            "Severity": "Warning"
        },
        "OSD77": {
            "Description": "The method cannot be invoked because the mandatory input parameter 'ResetType' is missing.",
            "Message": "Unable to invoke the method because the mandatory input parameter 'ResetType' is missing.",
            "NumberOfArgs": 0,
            "Resolution": "Provide the missing parameter \"ResetType\" in the method invocation and retry the operation.",
            "Severity": "Warning"
        },
        "OSD8": {
            "Description": "The BIOS boot order set to PXE using a standard IPMI command has failed.",
            "Message": "Setting Boot to PXE through IPMI failed.",
            "NumberOfArgs": 0,
            "Resolution": "1) Check BIOS PXE settings. 2) Rerun the command. 3) Reset iDRAC and rerun the command.",
            "Severity": "Critical"
        },
        "OSD9": {
            "Description": "Resetting the targeted server using the standard IPMI command has failed.",
            "Message": "Failed to reboot the system using an IPMI command.",
            "NumberOfArgs": 0,
            "Resolution": "1) Rerun the command. 2) Reset iDRAC and rerun the command.",
            "Severity": "Critical"
        },
        "OSE0000": {
            "Description": "The system halted due to an exception during operating system load or operating system initialization.",
            "Message": "A critical stop occurred during OS load.",
            "NumberOfArgs": 0,
            "Resolution": "Review operating system logs and system video for additional information.",
            "Severity": "Informational"
        },
        "OSE0001": {
            "Description": "The system halted due to an exception while the operating system was running. This is a kernel panic or bug check event.",
            "Message": "A runtime critical stop occurred.",
            "NumberOfArgs": 0,
            "Resolution": "Review operating system logs and system video for additional information.",
            "Severity": "Informational"
        },
        "OSE0002": {
            "Description": "(IPMI sensor type 20h - offset 02h).",
            "Message": "An OS graceful stop occurred.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "OSE0003": {
            "Description": "(IPMI sensor type 20h - offset 03h).",
            "Message": "An OS graceful shut-down occurred.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "OSE0004": {
            "Description": "A separate exception or status condition shutdown the operating system. (IPMI sensor type 20h - offset 04h).",
            "Message": "A soft shut-down initiated by platform event filter.",
            "NumberOfArgs": 0,
            "Resolution": "Review system event log for platform events capable of shutting the system down.",
            "Severity": "Critical"
        },
        "OSE0005": {
            "Description": "Graceful shutdown request to an agent via the BMC did not occur due to a system hardware or software exception.",
            "Message": "Agent is not responding.",
            "NumberOfArgs": 0,
            "Resolution": "Review operating system logs and system video for additional information.",
            "Severity": "Critical"
        },
        "OSE1000": {
            "Description": "The system OS has successfully booted from A:.",
            "Message": "A: boot completed.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "OSE1001": {
            "Description": "None.",
            "Message": "Failed to boot from A.",
            "NumberOfArgs": 0,
            "Resolution": "Review system boot configuration and boot media. Verify the media in a: is bootable. See system video for additional information.",
            "Severity": "Critical"
        },
        "OSE1002": {
            "Description": "The system OS has successfully booted from C:.",
            "Message": "C: boot completed.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "OSE1003": {
            "Description": "None.",
            "Message": "Failed to boot from C.",
            "NumberOfArgs": 0,
            "Resolution": "Review system boot configuration and boot media. Verify the media in C: is bootable. See system video for additional information.",
            "Severity": "Critical"
        },
        "OSE1004": {
            "Description": "The system OS has successfully booted from the PXE server.",
            "Message": "PXE boot completed.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "OSE1005": {
            "Description": "None.",
            "Message": "PXE boot failed.",
            "NumberOfArgs": 0,
            "Resolution": "Review system boot configuration, local PXE configuration, and PXE server configuration.",
            "Severity": "Critical"
        },
        "OSE1006": {
            "Description": "The system has successfully booted to diagnostics.",
            "Message": "Diagnostic boot completed.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "OSE1007": {
            "Description": "None.",
            "Message": "Diagnostic boot failed.",
            "NumberOfArgs": 0,
            "Resolution": "Review system boot configuration and boot media. See system video for additional information.",
            "Severity": "Critical"
        },
        "OSE1008": {
            "Description": "The system OS has successfully booted from the CD-ROM.",
            "Message": "CD-ROM boot completed.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "OSE1009": {
            "Description": "None.",
            "Message": "Failed to boot from CD-ROM.",
            "NumberOfArgs": 0,
            "Resolution": "Review system boot configuration and boot media. Verify the media in the CDROM is bootable. See system video for additional information.",
            "Severity": "Critical"
        },
        "OSE1010": {
            "Description": "The system has successfully booted to ROM.",
            "Message": "ROM boot completed.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "OSE1011": {
            "Description": "None.",
            "Message": "Failed to boot from ROM.",
            "NumberOfArgs": 0,
            "Resolution": "Check system event logs for additional exception information. Power down the system and attempt to boot again.",
            "Severity": "Critical"
        },
        "OSE1012": {
            "Description": "The system has successfully booted.",
            "Message": "Boot completed.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "OSE1013": {
            "Description": "None.",
            "Message": "Failed to boot.",
            "NumberOfArgs": 0,
            "Resolution": "Review system boot configuration and boot media. See system video for additional information.",
            "Severity": "Critical"
        },
        "PCI1300": {
            "Description": "The front panel diagnostic was pressed, and the system may be halted as a result. The interrupt was user induced.",
            "Message": "A front panel diagnostic interrupt was detected.",
            "NumberOfArgs": 0,
            "Resolution": "Reset the system to continue operation.",
            "Severity": "Critical"
        },
        "PCI1302": {
            "Description": "System performance may be degraded. The device has failed to respond to a transaction (master/target abort or completion timeout).",
            "Message": "A bus time-out was detected on a component at bus %1 device %2 function %3.",
            "NumberOfArgs": 3,
            "ParamTypes": [
                "String",
                "String",
                "String"
            ],
            "Resolution": "Cycle input power, update component drivers, if device is removable, re-install the device.",
            "Severity": "Critical"
        },
        "PCI1304": {
            "Description": "None.",
            "Message": "An I/O channel check error was detected.",
            "NumberOfArgs": 0,
            "Resolution": "Cycle input power, update component drivers, if device is removable, re-install the device.",
            "Severity": "Critical"
        },
        "PCI1306": {
            "Description": "None.",
            "Message": "A software error was detected on a component at bus %1 device %2 function %3.",
            "NumberOfArgs": 3,
            "ParamTypes": [
                "String",
                "String",
                "String"
            ],
            "Resolution": "Reboot the system and update the component drivers.",
            "Severity": "Critical"
        },
        "PCI1308": {
            "Description": "System performance may be degraded, or system may fail to operate.",
            "Message": "A PCI parity error was detected on a component at bus %1 device %2 function %3.",
            "NumberOfArgs": 3,
            "ParamTypes": [
                "String",
                "String",
                "String"
            ],
            "Resolution": "Cycle input power, update component drivers, if device is removable, re-install the device.",
            "Severity": "Critical"
        },
        "PCI1310": {
            "Description": "System performance may be degraded, or system may fail to operate.",
            "Message": "A PCI system error was detected on a component at bus %1 device %2 function %3.",
            "NumberOfArgs": 3,
            "ParamTypes": [
                "String",
                "String",
                "String"
            ],
            "Resolution": "Cycle input power, update component drivers, if device is removable, re-install the device.",
            "Severity": "Critical"
        },
        "PCI1312": {
            "Description": "None.",
            "Message": "An EISA fail-safe time-out was detected.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Critical"
        },
        "PCI1314": {
            "Description": "System performance may be degraded.",
            "Message": "A bus correctable error was detected on a component at bus %1 device %2 function %3.",
            "NumberOfArgs": 3,
            "ParamTypes": [
                "String",
                "String",
                "String"
            ],
            "Resolution": "Cycle input power, update component drivers, if device is removable re-install the device at the next scheduled service time.",
            "Severity": "Critical"
        },
        "PCI1316": {
            "Description": "System performance may be degraded, or system may fail to operate.",
            "Message": "A bus uncorrectable error was detected on a component at bus %1 device %2 function %3.",
            "NumberOfArgs": 3,
            "ParamTypes": [
                "String",
                "String",
                "String"
            ],
            "Resolution": "Cycle input power, update component drivers, if device is removable, re-install the device.",
            "Severity": "Critical"
        },
        "PCI1318": {
            "Description": "System performance may be degraded, or system may fail to operate.",
            "Message": "A fatal error was detected on a component at bus %1 device %2 function %3.",
            "NumberOfArgs": 3,
            "ParamTypes": [
                "String",
                "String",
                "String"
            ],
            "Resolution": "Cycle input power, update component drivers, if device is removable, re-install the device.",
            "Severity": "Critical"
        },
        "PCI1319": {
            "Description": "A high-severity issue was detected in the SSD bay identified in the message.",
            "Message": "A high-severity issue is detected in the SSD bay %1, Slot %2.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "Remove and reinsert the component identified in the message, and then monitor the log for a re-occurrence of the issue. If the issue persists, and occurs during server startup, update the component firmware. If the issue persists and occurs during OS runtime, restart the server and update the OS drivers for the component identified in the message.",
            "Severity": "Critical"
        },
        "PCI1320": {
            "Description": "System performance may be degraded, or system may fail to operate.",
            "Message": "A bus fatal error was detected on a component at bus %1 device %2 function %3.",
            "NumberOfArgs": 3,
            "ParamTypes": [
                "String",
                "String",
                "String"
            ],
            "Resolution": "Cycle input power, update component drivers, if device is removable, re-install the device.",
            "Severity": "Critical"
        },
        "PCI1321": {
            "Description": "A high-severity issue is detected in the component identified in the message.",
            "Message": "A high-severity issue is detected in a component of the bus %1, device 0, function %2.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "Remove and reinsert the component identified in the message, and then monitor the log for a re-occurrence of the issue. If the issue persists, and occurs during server startup, update the component firmware. If the issue persists and occurs during OS runtime, restart the server and update the OS drivers for the component identified in the message.",
            "Severity": "Critical"
        },
        "PCI1322": {
            "Description": "System performance may be degraded. The bus is not operating at maximum speed or width.",
            "Message": "Bus performance degraded for a component at bus %1 device %2 function %3.",
            "NumberOfArgs": 3,
            "ParamTypes": [
                "String",
                "String",
                "String"
            ],
            "Resolution": "Cycle input power, update component drivers, if device is removable, re-install the device.",
            "Severity": "Warning"
        },
        "PCI1342": {
            "Description": "System performance may be degraded. The device has failed to respond to a transaction (master/target abort or completion timeout).",
            "Message": "A bus time-out was detected on a component at slot %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Cycle input power, update component drivers, if device is removable, re-install the device.",
            "Severity": "Critical"
        },
        "PCI1344": {
            "Description": "None.",
            "Message": "An I/O channel check error was detected.",
            "NumberOfArgs": 0,
            "Resolution": "Cycle input power, update component drivers, if device is removable, re-install the device.",
            "Severity": "Critical"
        },
        "PCI1346": {
            "Description": "None.",
            "Message": "A software error was detected on a component at slot %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Reboot the system and update the component drivers.",
            "Severity": "Critical"
        },
        "PCI1348": {
            "Description": "System performance may be degraded, or system may fail to operate.",
            "Message": "A PCI parity error was detected on a component at slot %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Cycle input power, update component drivers, if device is removable, re-install the device.",
            "Severity": "Critical"
        },
        "PCI1350": {
            "Description": "System performance may be degraded, or system may fail to operate.",
            "Message": "A PCI system error was detected on a component at slot %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Cycle input power, update component drivers, if device is removable, re-install the device.",
            "Severity": "Critical"
        },
        "PCI1354": {
            "Description": "System performance may be degraded.",
            "Message": "A bus correctable error was detected on a component at slot %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Cycle input power, update component drivers, remove and re-install the device at the next scheduled service time.",
            "Severity": "Critical"
        },
        "PCI1356": {
            "Description": "System performance may be degraded, or system may fail to operate.",
            "Message": "A bus uncorrectable error was detected on a component at slot %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Cycle input power, update component drivers, if device is removable, re-install the device.",
            "Severity": "Critical"
        },
        "PCI1358": {
            "Description": "System performance may be degraded, or system may fail to operate.",
            "Message": "A fatal error was detected on a component at slot %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Cycle input power, update component drivers, if device is removable, re-install the device.",
            "Severity": "Critical"
        },
        "PCI1360": {
            "Description": "System performance may be degraded, or system may fail to operate.",
            "Message": "A bus fatal error was detected on a component at slot %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Cycle input power, update component drivers, if device is removable, re-install the device.",
            "Severity": "Critical"
        },
        "PCI1362": {
            "Description": "System performance may be degraded. The bus is not operating at maximum speed or width.",
            "Message": "Bus performance degraded for a component at slot %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Cycle input power, update component drivers, remove and re-install the device at the next scheduled service time.",
            "Severity": "Warning"
        },
        "PCI2000": {
            "Description": "System performance may be degraded, or system may fail to operate.",
            "Message": "A fatal IO error detected on a component at bus %1 device %2 function %3.",
            "NumberOfArgs": 3,
            "ParamTypes": [
                "String",
                "String",
                "String"
            ],
            "Resolution": "Cycle input power, update component drivers, remove and re-install the device.",
            "Severity": "Critical"
        },
        "PCI2001": {
            "Description": "None.",
            "Message": "The component at bus %1 device %2 function %3 recovered from a fatal IO error.",
            "NumberOfArgs": 3,
            "ParamTypes": [
                "String",
                "String",
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PCI2002": {
            "Description": "System performance may be degraded, or system may fail to operate.",
            "Message": "A fatal IO error detected on a component at slot %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Cycle input power, update component drivers, remove and re-install the device.",
            "Severity": "Critical"
        },
        "PCI2003": {
            "Description": "None.",
            "Message": "The component at slot %1 recovered from a fatal IO error.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PCI3000": {
            "Description": "Either the BIOS, BMC/iDRAC, or LOM firmware is out of date and does not support FlexAddress.",
            "Message": "Device option ROM on embedded NIC failed to support Link Tuning or FlexAddress.",
            "NumberOfArgs": 0,
            "Resolution": "Update BIOS, BMC/iDRAC, and LOM firmware. If problem persists please contact customer support.",
            "Severity": "Critical"
        },
        "PCI3001": {
            "Description": "None.",
            "Message": "Device option ROM on embedded NIC was successfully updated.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PCI3002": {
            "Description": "Either the BIOS, BMC/iDRAC, LOM, or NIC firmware is out of date and does not support FlexAddress.",
            "Message": "Failed to program virtual MAC address on a component at bus %1 device %2 function %3.",
            "NumberOfArgs": 3,
            "ParamTypes": [
                "String",
                "String",
                "String"
            ],
            "Resolution": "Update BIOS, BMC/iDRAC, LOM, and mezzanine card firmware. If problem persists please contact customer support.",
            "Severity": "Critical"
        },
        "PCI3003": {
            "Description": "None.",
            "Message": "Virtual MAC address for component at bus %1 device %2 function %3 was successfully programed.",
            "NumberOfArgs": 3,
            "ParamTypes": [
                "String",
                "String",
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PCI3004": {
            "Description": "Either the BIOS, BMC/iDRAC, or mezzanine card firmware is out of date and does not support FlexAddress.",
            "Message": "Device option ROM on mezzanine card %1 failed to support Link Tuning or FlexAddress.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Update BIOS, BMC/iDRAC, and mezzanine card firmware. If problem persists please contact customer support.",
            "Severity": "Critical"
        },
        "PCI3005": {
            "Description": "None.",
            "Message": "Device option ROM on mezzanine card %1 was successfully updated.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PCI3006": {
            "Description": "Either the BIOS or BMC/iDRAC firmware is out of date and does not support FlexAddress.",
            "Message": "Failed to get Link Tuning or FlexAddress data from iDRAC.",
            "NumberOfArgs": 0,
            "Resolution": "Update BIOS, and BMC/iDRAC firmware. If problem persists please contact customer support.",
            "Severity": "Critical"
        },
        "PCI3007": {
            "Description": "None.",
            "Message": "Link Tuning or FlexAddress data successfully obtained.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PCI3008": {
            "Description": "System performance may be degraded.",
            "Message": "A non-fatal PCIe error detected on a component at bus %1 device %2 function %3.",
            "NumberOfArgs": 3,
            "ParamTypes": [
                "String",
                "String",
                "String"
            ],
            "Resolution": "Cycle input power, update component drivers, remove and re-install the device at the next service window.",
            "Severity": "Warning"
        },
        "PCI3009": {
            "Description": "None.",
            "Message": "PCIe is operating normally on a component at bus %1 device %2 function %3.",
            "NumberOfArgs": 3,
            "ParamTypes": [
                "String",
                "String",
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PCI3010": {
            "Description": "System performance may be degraded.",
            "Message": "A non-fatal IO error detected on a component at bus %1 device %2 function %3.",
            "NumberOfArgs": 3,
            "ParamTypes": [
                "String",
                "String",
                "String"
            ],
            "Resolution": "Cycle input power, update component drivers, remove and re-install the device at the next service window.",
            "Severity": "Warning"
        },
        "PCI3011": {
            "Description": "None.",
            "Message": "The component at bus %1 device %2 function %3 recovered from a non-fatal IO error.",
            "NumberOfArgs": 3,
            "ParamTypes": [
                "String",
                "String",
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PCI3012": {
            "Description": "System performance may be degraded. The bus is not operating at maximum speed or width.",
            "Message": "The QuickPath Interconnect (QPI) width degraded.",
            "NumberOfArgs": 0,
            "Resolution": "Reset the system, if the problem persists reinstall processors.",
            "Severity": "Warning"
        },
        "PCI3013": {
            "Description": "None.",
            "Message": "The QuickPath Interconnect (QPI) width regained.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PCI3014": {
            "Description": "System performance may be degraded.",
            "Message": "A non-fatal PCIe error detected on a component at slot %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Cycle input power, update component drivers, remove and re-install the device at the next scheduled service time.",
            "Severity": "Warning"
        },
        "PCI3015": {
            "Description": "None.",
            "Message": "The component at slot %1 recovered from a non-fatal PCIe error.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PCI3016": {
            "Description": "Either the BIOS, BMC/iDRAC, or mezzanine card firmware is out of date and does not support FlexAddress.",
            "Message": "Device option ROM on mezzanine card failed to support Link Tuning or FlexAddress.",
            "NumberOfArgs": 0,
            "Resolution": "Update BIOS, BMC/iDRAC, and mezzanine card firmware. If problem persists please contact customer support.",
            "Severity": "Critical"
        },
        "PCI3017": {
            "Description": "None.",
            "Message": "Device option ROM on mezzanine card was successfully updated.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PCI3018": {
            "Description": "New PCI card(s) have been detected in the system that may require additional airflow. Fan speeds may have changed to add additional cooling to the cards.",
            "Message": "New PCI card(s) have been detected in the system. Fan speeds may have changed to add additional cooling to the cards.",
            "NumberOfArgs": 0,
            "Resolution": "Changing default fan response to PCIe cards should be done with appropriate understanding of the PCIe cooling needs of the cards present in the system. If the automatic cooling response is insufficient, additional cooling can be added by one of the following methods. 1) From iDRAC Web GUI, click Hardware -> Fans -> Setup, then from the fan speed offset drop-down list appropriately select the cooling level needed or set the minimum fan speed to a custom value. 2) From F2 System Setup, select iDRAC Settings -> Thermal, and set a higher fan speed from the fan speed offset or minimum fan speed. 3) For RACADM commands run \"racadm help system.thermalsettings\". If a lower fan speed is required, contact your service provider for the appropriate IPMI commands to reduce the default fan speed response for new PCIe cards.",
            "Severity": "Informational"
        },
        "PCI3019": {
            "Description": "A low-severity issue was detected in the SSD bay identified in the message.",
            "Message": "A low-severity issue is detected in the SSD bay %1, Slot %2.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "Remove and reinsert the component identified in the message, and then monitor the log for a re-occurrence of the issue. If the issue persists, and occurs during server startup, update the component firmware. If the issue persists and occurs during OS runtime, restart the server and update the OS drivers for the component identified in the message.",
            "Severity": "Warning"
        },
        "PCI3020": {
            "Description": "A low-severity issue is detected in the component identified in the message.",
            "Message": "A low-severity issue is detected in a component of the bus %1, device 0, function %2.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "Remove and reinsert the component identified in the message, and then monitor the log for a re-occurrence of the issue. If the issue persists, and occurs during server startup, update the component firmware. If the issue persists and occurs during OS runtime, restart the server and update the OS drivers for the component identified in the message.",
            "Severity": "Warning"
        },
        "PCI3021": {
            "Description": "The Airflow Linear Flow per Minute (LFM) custom value cannot be set because the LFM Mode is not set to 'Cusom'.",
            "Message": "Unable to set the Airflow Linear Flow per Minute (LFM) custom value because the LFM Mode is not set to 'Custom'.",
            "NumberOfArgs": 0,
            "Resolution": "Set the Linear Flow per Minute (LFM Mode) to 'Custom' and retry the operation. To set the LFM Mode to Custom using iDRAC GUI, navigate to Configuration -> System Settings -> Hardware Settings -> PCIe Airflow Settings page.",
            "Severity": "Warning"
        },
        "PCI3022": {
            "Description": "The Airflow Linear Flow per Minute (LFM) settings of the PCIe slot cannot be adjusted because the LFM settings can be adjusted only for installed cards that are identified as third party cards.",
            "Message": "Unable to adjust the Airflow Linear Flow per Minute (LFM) settings of the PCIe slot because the LFM settings can be adjusted only for installed cards that are identified as third party cards.",
            "NumberOfArgs": 0,
            "Resolution": "Make sure that the cards installed in the PCIe slots are third party cards.",
            "Severity": "Warning"
        },
        "PCI3030": {
            "Description": "New PCI card(s) have been detected in the system that may require additional airflow. Fan speeds may have changed to add additional cooling to the cards.",
            "Message": "New PCI card(s) have been detected in the system. Fan speeds may have changed to add additional cooling to the cards.",
            "NumberOfArgs": 0,
            "Resolution": "If the automatic cooling response is insufficient, additional cooling can be added by one of the following methods. 1) From iDRAC Web GUI, click Cooling -> Configure Fans -> PCIe Airflow Settings, then select Custom option for that PCIe slot and define desired LFM value. 2) For RACADM commands run \"racadm help system.PcieSlotLFM\". If automatic cooling response is above desired levels, this response can be turned off in most cases and/or a different LFM target can be set using PCIe Airflow Settings options in iDRAC GUI or Racadm. See iDRAC User Guide for more details by searching for \"cooling\" . Changing default fan response to PCIe cards should be done in alignment with vendor specification for PCIe cooling needs of the cards present in the system.",
            "Severity": "Informational"
        },
        "PCI5001": {
            "Description": "A PCIe card carrier containing a PCIe card is present in the slot identified in the message. This PCIe card will be enabled when the associated server is turned on or power cycled.",
            "Message": "A PCIe card carrier containing a PCIe card is inserted in PCIe slot%1 .",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Turn on or power cycle the associated server to enable the PCIe card.",
            "Severity": "Informational"
        },
        "PCI5002": {
            "Description": "A PCIe card carrier that does not contain a PCIe card is inserted in the PCIe slot identified in the message.",
            "Message": "A PCIe card carrier that does not contain a PCIe card is inserted in the PCIe slot%1 .",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PCI5003": {
            "Description": "A PCIe card carrier is removed from the PCIe slot identified in the message.",
            "Message": "A PCIe card carrier is removed from the PCIe slot%1 .",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PCI5004": {
            "Description": "The Chassis Management Controller (CMC) detected an issue in the PCIe adapter that was turned on in the slot identified in the message.",
            "Message": "A power fault issue is detected in the PCIe adapter that was turned on in PCIe slot%1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Make sure that: 1) The PCIe adapter used is supported by the Chassis Management Controller (CMC). For a list of supported adapters, contact your service provider. 2) The adapter is not damaged. 3) The power requirement of adapter is not more than the power allocated to the slot. 4) The adapter is properly inserted in the slot.",
            "Severity": "Critical"
        },
        "PCI5005": {
            "Description": "Chassis Management Controller (CMC) detected an issue in the PCIe adapter that was turned on in the slot identified in the message.",
            "Message": "An auxiliary power fault issue is detected in the PCIe adapter that was turned on in PCIe slot%1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Make sure that: 1) The PCIe adapter used is supported by the Chassis Management Controller (CMC). For a list of supported adapters, contact your service provider. 2) The adapter is not damaged. 3) The adapter is properly inserted in the slot.",
            "Severity": "Critical"
        },
        "PCI5006": {
            "Description": "The power related issue of the PCIe device in the slot identified in the message is resolved.",
            "Message": "The power-related issue of the PCIe adapter in slot%1 is resolved.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PCI5007": {
            "Description": "The 3.3 Volt Regulator power related issue of PCIe carrier present in the slot identified in the message is resolved.",
            "Message": "The auxiliary power-related issue of the PCIe adapter in slot %1 is resolved.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PCI5008": {
            "Description": "The Chassis Management Controller (CMC) could not successfully connect to the PCIe switch board.",
            "Message": "The Chassis Management Controller (CMC) is unable to communicate with the PCIe switch board.",
            "NumberOfArgs": 0,
            "Resolution": "Do the following: 1) Perform an AC Power Cycle operation on the Chassis by disconnecting the chassis from AC power, waiting for 30 seconds, and then reconnecting AC power. 2) Power on at least one server. Using the Chassis Management Controller (CMC) web interface, select Server Overview->Power->Control and then click the Operation field and select the Power On Server operation. If the issue persists, contact your service provider.",
            "Severity": "Critical"
        },
        "PCI5009": {
            "Description": "Chassis Management Controller (CMC) detected that a PCIe adapter was removed from a server which was turned-on. This may cause the server operating system to stop responding or to function in an improper manner.",
            "Message": "The PCIe adapter in the PCIe slot%1 was removed from the slot while the server%2 was turned-on.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "Perform a 'Power Cycle' operation on the associated server. Restarting the operating system will not resolve this issue. Only remove PCIe adapters when the associated server is turned-off.",
            "Severity": "Warning"
        },
        "PDR1": {
            "Description": "This message is generated after a copyback stops on a physical disk during a rebuild operation.",
            "Message": "%1 copyback stopped for rebuild.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Wait for rebuild to finish, then copyback should resume.",
            "Severity": "Warning"
        },
        "PDR10": {
            "Description": "This message is generated after a rebuild starts on a physical disk.",
            "Message": "%1 rebuild has started.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PDR100": {
            "Description": "The controller is not able to communicate with a disk that is assigned as a dedicated hot spare. The disk may have been removed. There may also be a bad or loose cable.",
            "Message": "Dedicated Hot Spare %1 no longer useful for all arrays.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Verify that the disk is healthy and that it has not been removed. Check the cables. See the Cables Attached Correctly section for more information on checking the cables. If necessary, replace the disk and reassign the dedicated hot spare.",
            "Severity": "Warning"
        },
        "PDR1000": {
            "Description": "None.",
            "Message": "Drive %1 is installed in disk drive bay %2.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PDR1001": {
            "Description": "The controller detected a failure on the disk and has taken the disk offline.",
            "Message": "Fault detected on drive %1 in disk drive bay %2.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "Remove and reseat the failed drive. If the problem persists, contact technical support. Refer to the product documentation to choose a convenient contact method.",
            "Severity": "Critical"
        },
        "PDR1002": {
            "Description": "The controller received a SMART error from the drive. The drive is operational but needs replacement.",
            "Message": "A predictive failure detected on drive %1 in disk drive bay %2.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "The drive will need replacement at the next service window.",
            "Severity": "Warning"
        },
        "PDR1003": {
            "Description": "None.",
            "Message": "Drive %1 in disk drive bay %2 is the hot-spare drive.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Warning"
        },
        "PDR1004": {
            "Description": "None.",
            "Message": "Consistency check is in progress for drive %1 in disk drive bay %2.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Warning"
        },
        "PDR1005": {
            "Description": "None.",
            "Message": "Drive %1 in disk drive bay %2 is in the critical array.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Critical"
        },
        "PDR1006": {
            "Description": "None.",
            "Message": "Drive %1 in disk drive bay %2 is in the failed array.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Critical"
        },
        "PDR1007": {
            "Description": "None.",
            "Message": "Rebuild is in progress for drive %1 in disk drive bay %2.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PDR1008": {
            "Description": "None.",
            "Message": "Rebuild was aborted for drive %1 in disk drive bay %2.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Warning"
        },
        "PDR101": {
            "Description": "This alert message occurs if there are arrays not protected with a global hot spare.",
            "Message": "Global Hot Spare %1 does not cover all arrays.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Warning"
        },
        "PDR1016": {
            "Description": "The controller detected that the drive was removed.",
            "Message": "Drive %1 is removed from disk drive bay %2.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "Verify drive installation. Remove and reseat the failed drive. If the problem persists, contact technical support. Refer to the product documentation to choose a convenient contact method.",
            "Severity": "Critical"
        },
        "PDR1017": {
            "Description": "None.",
            "Message": "Drive %1 in disk drive bay %2 is operating normally.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PDR1019": {
            "Description": "None.",
            "Message": "Drive %1 in disk drive bay %2 is no longer the hot-spare drive.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PDR1020": {
            "Description": "None.",
            "Message": "Consistency check for drive %1 in disk drive bay %2 completed.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PDR1021": {
            "Description": "None.",
            "Message": "Drive %1 in disk drive bay %2 is no longer in the critical array.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PDR1022": {
            "Description": "None.",
            "Message": "Drive %1 in disk drive bay %2 is no longer in the failed array.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PDR1023": {
            "Description": "None.",
            "Message": "Rebuild completed for drive %1 in disk drive bay %2.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PDR1024": {
            "Description": "The installed disk does not meet the array requirements, for example a SATA disk may not operate in an array containing SAS drives.",
            "Message": "Drive mismatch detected for drive %1 in disk drive bay %2.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "Verify the disk meets the array requirements.",
            "Severity": "Critical"
        },
        "PDR1025": {
            "Description": "None.",
            "Message": "Drive mismatch corrected for drive %1 in disk drive bay %2.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PDR103": {
            "Description": "Cryptographic Erase operation is successfully completed on the physical disk drive identified in the message.",
            "Message": "Cryptographic Erase operation is successfully completed on %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PDR104": {
            "Description": "The PCIe solid state device identified in the message has turned off because the critical temperature threshold of the device was exceeded.",
            "Message": "The %1 has turned off because the critical temperature threshold is exceeded.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Contact your service provider.",
            "Severity": "Critical"
        },
        "PDR105": {
            "Description": "The physical disk drive identified in the message is assigned as a dedicated hot-spare.",
            "Message": "The physical disk drive %1 is assigned as a dedicated hot-spare.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PDR106": {
            "Description": "A physical disk identified in the hot-spare that was assigned as a hot spare has been un-assigned and is no longer functioning as a hot spare. The physical disk was unassigned by a user or automatically by the storage management software. When one of the disks in a virtual disk fails, data is rebuilt onto the hot spare, The hot spare becomes a member of the virtual disk and is no longer assigned as a hot spare. In this situation, assigning a new hot spare to maintain data protection in recommended.",
            "Message": "The physical disk drive %1 is unassigned as a dedicated hot-spare.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required. Assigning a new dedicated hot spare to the virtual disk is recommended.",
            "Severity": "Informational"
        },
        "PDR107": {
            "Description": "The physical disk drive identified in the message is assigned as a global hot-spare.",
            "Message": "The physical disk drive %1 is assigned as a global hot-spare.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PDR108": {
            "Description": "The physical disk identified in the message that had been assigned as a hot spare has been unassigned and is no longer functioning as a hot spare. The physical disk was unassigned by a user or automatically by the storage management software. When one of the disks in a virtual disk fails, data is rebuilt onto the hot spare, The hot spare becomes a member of the virtual disk and is no longer assigned as a hot spare. In this situation, assigning a new hot spare to maintain data protection in recommended.",
            "Message": "The physical disk drive %1 is unassigned as a global hot spare.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required. Assigning a new global hot spare is recommended.",
            "Severity": "Informational"
        },
        "PDR11": {
            "Description": "A user has cancelled the rebuild operation.",
            "Message": "%1 rebuild was cancelled.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Restart the rebuild operation.",
            "Severity": "Informational"
        },
        "PDR110": {
            "Description": "The reliability of the PCIe solid state device identified in the message degraded. Data loss is possible.",
            "Message": "The %1 reliability has degraded.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Back up the data on the device, and contact your service provider for further instructions.",
            "Severity": "Critical"
        },
        "PDR1100": {
            "Description": "None.",
            "Message": "Drive %1 is installed.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PDR1101": {
            "Description": "The controller detected a failure on the disk and has taken the disk offline.",
            "Message": "Fault detected on drive %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Remove and reseat the failed disk. If the problem persists, contact technical support. Refer to the product documentation to choose a convenient contact method.",
            "Severity": "Critical"
        },
        "PDR1102": {
            "Description": "The controller received a SMART error from the drive. The drive is operational but needs replacement.",
            "Message": "A predictive failure detected on drive %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "The drive will need replacement at the next service window.",
            "Severity": "Warning"
        },
        "PDR1103": {
            "Description": "None.",
            "Message": "Drive %1 is the hot-spare drive.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Warning"
        },
        "PDR1104": {
            "Description": "None.",
            "Message": "Consistency check is in progress for drive %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Warning"
        },
        "PDR1105": {
            "Description": "None.",
            "Message": "Drive %1 is in the critical array.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Critical"
        },
        "PDR1106": {
            "Description": "None.",
            "Message": "Drive %1 is in the failed array.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Critical"
        },
        "PDR1107": {
            "Description": "None.",
            "Message": "Rebuild is in progress for drive %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PDR1108": {
            "Description": "None.",
            "Message": "Rebuild was aborted for drive %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Warning"
        },
        "PDR111": {
            "Description": "The volatile memory backup device on the PCIe solid state device identified in the message is no longer functional. Data loss is possible.",
            "Message": "The volatile memory backup device on %1 is no longer functional.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Back up the data on the device, and contact your service provider for further instructions.",
            "Severity": "Critical"
        },
        "PDR1116": {
            "Description": "The controller detected a drive removal.",
            "Message": "Drive %1 is removed.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "If unintended, verify drive installation. Remove and reseat the indicated disk. If the problem persists, contact technical support. Refer to the product documentation to choose a convenient contact method.",
            "Severity": "Critical"
        },
        "PDR1117": {
            "Description": "None.",
            "Message": "Drive %1 is operating normally.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PDR1119": {
            "Description": "None.",
            "Message": "Drive %1 is no longer the hot-spare drive.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PDR112": {
            "Description": "The PCIe solid state device identified in the message is approaching the warranted wear-out limit.",
            "Message": "The %1 has reached %2 of warranted device wear-out limit.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Warning"
        },
        "PDR1120": {
            "Description": "None.",
            "Message": "Consistency check for drive %1 completed.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PDR1121": {
            "Description": "None.",
            "Message": "Drive %1 is no longer in the critical array.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PDR1122": {
            "Description": "None.",
            "Message": "Drive %1 is no longer in the failed array.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PDR1123": {
            "Description": "None.",
            "Message": "Rebuild completed for drive %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PDR113": {
            "Description": "The PCIe solid state device identified in the message has either reached or exceeded the warranted wear-out limit.",
            "Message": "The %1 has reached or exceeded its warranted wear-out limit.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Back up the data on the device, and contact your service provider for further instructions.",
            "Severity": "Warning"
        },
        "PDR114": {
            "Description": "The PCIe solid state device identified in the message is between 90% and 100% of reaching read-only mode.",
            "Message": "The %1 is approaching read-only mode.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Warning"
        },
        "PDR115": {
            "Description": "The PCIe solid state device identified in the message is in read-only mode.",
            "Message": "The %1 is in read-only mode.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Back up the data on the device, and contact your service provider for further instructions.",
            "Severity": "Critical"
        },
        "PDR116": {
            "Description": "The PCIe Solid-State Drive is predicted to fail. Many physical disks contain Self Monitoring Analysis and Reporting Technology (SMART). When enabled, SMART monitors the disk health based on indications such as the number of write operations that were performed on the disk.",
            "Message": "Predictive failure reported for %1",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Back up the data on the device, and contact your service provider for further instructions.",
            "Severity": "Warning"
        },
        "PDR117": {
            "Description": "The PCIe solid state device identified in the message has turned off because the critical temperature threshold of the device was exceeded.",
            "Message": "The %1 has turned off because the critical temperature threshold is exceeded.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Contact your service provider for further instructions.",
            "Severity": "Critical"
        },
        "PDR12": {
            "Description": "The physical disk has failed or is corrupt.",
            "Message": "%1 initialization has failed.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Replace the failed or corrupt disk. Identify a disk that has failed by locating the disk that has a red \"X\" for its status. Restart the initialization.",
            "Severity": "Critical"
        },
        "PDR13": {
            "Description": "A physical disk included in the virtual disk has failed or is corrupted. In addition, you may have cancelled the rebuild.",
            "Message": "%1 rebuild has failed.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Replace the failed or corrupt disk, and then start the rebuild operation.",
            "Severity": "Critical"
        },
        "PDR14": {
            "Description": "This alert is provided for informational purposes.",
            "Message": "%1 initialization is complete.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PDR15": {
            "Description": "This message is generated after a rebuild completes on a physical disk.",
            "Message": "%1 rebuild is complete.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PDR16": {
            "Description": "The physical disk is predicted to fail. Many physical disks contain Self Monitoring Analysis and Reporting Technology (SMART). When enabled, SMART monitors the disk health based on indications such as the number of write operations that were performed on the disk.",
            "Message": "Predictive failure reported for %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Replace the physical disk. Even though the disk may not have failed yet, it is strongly recommended that the disk be replaced. Review other messages for additional information.",
            "Severity": "Warning"
        },
        "PDR17": {
            "Description": "A user has have assigned a physical disk as a global hot spare. This alert is provided for informational purposes.",
            "Message": "Global hot spare assigned to %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PDR18": {
            "Description": "A physical disk assigned as a hot spare was unassigned and is no longer functioning as a hot spare. The physical disk was unassigned by a user or automatically unassigned by Storage Management. Storage Management unassigns hot spares were used to rebuild data. Once the data is rebuilt onto the hot spare, the hot spare becomes a member of the virtual disk and is no longer assigned as a hot spare. Assign a new hot spare to maintain data protection in this situation.",
            "Message": "Global hot spare unassigned from %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Although this alert is provided for informational purposes, you may need to assign a new hot spare to the virtual disk. See Protecting Your Virtual Disk with a Hot Spare for more information.",
            "Severity": "Informational"
        },
        "PDR19": {
            "Description": "A disk on the specified controller has received a SMART alert (predictive failure) indicating that the disk is likely to fail in the near future.",
            "Message": "SMART FPT exceeded for %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Replace the disk that has received the SMART alert. If the physical disk is a member of a non-redundant virtual disk, then back up the data before replacing the disk. Removing a physical disk that is included in a non-redundant virtual disk causes the virtual disk to fail and may cause data loss.",
            "Severity": "Warning"
        },
        "PDR2": {
            "Description": "This message is generated if a physical disk does not have enough space to do a copyback operation.",
            "Message": "Insufficient space available on %1 to perform a copyback operation.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Replace the physical disk with a larger physical disk, and then restart the copyback operation.",
            "Severity": "Warning"
        },
        "PDR20": {
            "Description": "A disk has received a SMART alert (predictive failure) after a configuration change. The disk is likely to fail in the near future.",
            "Message": "SMART configuration change for %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Replace the disk that has received the SMART alert. If the physical disk is a member of a non-redundant virtual disk, then back up the data before replacing the disk. Removing a physical disk that is included in a non-redundant virtual disk will cause the virtual disk to fail and may cause data loss.",
            "Severity": "Critical"
        },
        "PDR208": {
            "Description": "The Cryptographic Erase operation is successfully completed on the physical disk drive identified in the message.",
            "Message": "The Cryptographic Erase operation is successfully completed on the physical disk drive %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PDR21": {
            "Description": "A disk has received a SMART alert (predictive failure). The disk is likely to fail in the near future.",
            "Message": "SMART warning for %1",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Replace the disk that has received the SMART alert. If the physical disk is a member of a non-redundant virtual disk, then back up the data before replacing the disk. Removing a physical disk that is included in a non-redundant virtual disk will cause the virtual disk to fail and may cause data loss.",
            "Severity": "Warning"
        },
        "PDR217": {
            "Description": "The cryptographic erase operation cannot be completed on the physical disk drive identified in the message.",
            "Message": "Unable to complete the Cryptographic erase operation on the physical disk drive %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Warning"
        },
        "PDR218": {
            "Description": "The Patrol Read operation detected a media error (bad block) on the disk drive identified in the message and automatically corrected the error. The Patrol Read automatically remapped data to correct the error.",
            "Message": "The Patrol Read operation detected a media error on the disk drive %1 and automatically corrected the error.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PDR22": {
            "Description": "A disk has reached an unacceptable temperature and received a SMART alert (predictive failure). The disk is likely to fail in the near future.",
            "Message": "SMART warning temperature for %1",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Do the following:1) Determine why the physical disk reached an unacceptable temperature. For example, a fan failure, incorrect thermostat settings, or the room temperature may be too hot or cold. 2) Verify that the fans in the server or enclosure are working. 3) If the physical disk is in an enclosure, check the thermostat settings and examine whether the enclosure is located near a heat source. Verify the enclosure has enough ventilation and that the room temperature is not too hot. Refer to the enclosure documentation for more diagnostic information. 4) If you cannot identify why the disk has reached an unacceptable temperature, then replace the disk. If the physical disk is a member of a non-redundant virtual disk, then back up the data before replacing the disk. Removing a physical disk that is included in a non-redundant virtual disk causes the virtual disk to fail and may cause data loss.",
            "Severity": "Warning"
        },
        "PDR23": {
            "Description": "A disk is degraded and has received a SMART alert (predictive failure). The disk is likely to fail in the near future.",
            "Message": "SMART warning degraded for %1",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Replace the disk that has received the SMART alert. If the physical disk is a member of a non-redundant virtual disk, then back up the data before replacing the disk. Removing a physical disk that is included in a non-redundant virtual disk will cause the virtual disk to fail and may cause data loss.",
            "Severity": "Warning"
        },
        "PDR24": {
            "Description": "A disk has received a SMART alert (predictive failure) due to test conditions.",
            "Message": "Failure prediction threshold exceeded on %1 due to test. No action needed.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Warning"
        },
        "PDR25": {
            "Description": "Portions of the physical disk that were formerly inaccessible have been recovered. This alert is provided for informational purposes.",
            "Message": "%1 dead segments are removed.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PDR26": {
            "Description": "A drive has entered the online state. This may be because the system just started or could be because a problem with the drive has been corrected.",
            "Message": "%1 is online.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PDR27": {
            "Description": "A user assigned a physical disk as a dedicated hot spare to a virtual disk. See Protecting Your Virtual Disk with a Hot Spare for more information. This alert is provided for informational purposes.",
            "Message": "Dedicated hot spare assigned to %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PDR28": {
            "Description": "A physical disk that was assigned as a hot spare has been unassigned and is no longer functioning as a hot spare. The physical disk was unassigned by a user or automatically unassigned by Storage Management. Storage Management unassigns hot spares that have been used to rebuild data. Once data is rebuilt onto the hot spare, the hot spare becomes a member of the virtual disk and is no longer assigned as a hot spare. Assign a new hot spare to maintain data protection in this situation.",
            "Message": "Dedicated hot spare unassigned from %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Although this alert is provided for informational purposes, you may need to assign a new hot spare to the virtual disk. Refer to product documentation and see the section Protecting Your Virtual Disk with a Hot Spare for more information.",
            "Severity": "Informational"
        },
        "PDR29": {
            "Description": "See A Rebuild Completes with Errors for more information.",
            "Message": "Rebuild on %1 completed with error(s).",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "See A Rebuild Completes with Errors for more information.",
            "Severity": "Critical"
        },
        "PDR3": {
            "Description": "The RAID Controller may not be able to read/write data to the physical disk drive indicated in the message. This may be due to a failure with the physical disk drive or because the physical disk drive was removed from the system.",
            "Message": "%1 is not functioning correctly.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Remove and re-insert the physical disk drive identified in the message and make sure the physical disk drive is inserted properly. If the issue persists, replace the physical disk drive.",
            "Severity": "Critical"
        },
        "PDR30": {
            "Description": "The controller cannot to communicate with a disk that is assigned as a global hot spare. The disk either failed or was removed. There may also be a bad or loose cable.",
            "Message": "A global hot spare failed.%1",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Verify that the disk is healthy and installed. Check the cables. Refer to the product documentation and see the Cables Attached Correctly section for more information on checking the cables. If necessary, replace the disk and reassign the global hot spare.",
            "Severity": "Warning"
        },
        "PDR31": {
            "Description": "The controller cannot to communicate with a disk that is assigned as a global hot spare. The disk either failed or was removed. There may also be a bad or loose cable.",
            "Message": "A global hot spare has been removed.%1",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Verify that the disk is healthy and installed. Check the cables. Refer to the product documentation and see the Cables Attached Correctly section for more information on checking the cables. If necessary, replace the disk and reassign the global hot spare.",
            "Severity": "Informational"
        },
        "PDR32": {
            "Description": "The controller cannot to communicate with a disk that is assigned as a global hot spare. The disk either failed or was removed. There may also be a bad or loose cable.",
            "Message": "A dedicated hot spare failed.%1",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Verify that the disk is healthy and installed. Check the cables. Refer to the product documentation and see the Cables Attached Correctly section for more information on checking the cables. If necessary, replace the disk and reassign the global hot spare.",
            "Severity": "Warning"
        },
        "PDR33": {
            "Description": "The controller cannot to communicate with a disk that is assigned as a dedicated hot spare. The disk either failed or was removed. There may also be a bad or loose cable.",
            "Message": "A dedicated hot spare has been removed. %1",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Verify that the disk is healthy and installed. Check the cables. Refer to the product documentation and see the Cables Attached Correctly section for more information on checking the cables. If necessary, replace the disk and reassign the dedicated hot spare.",
            "Severity": "Informational"
        },
        "PDR34": {
            "Description": "The hot spare is no longer required because the virtual disk it was assigned to has been deleted.",
            "Message": "A dedicated hot spare has been automatically unassigned.%1",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PDR35": {
            "Description": "The only physical disk available to be assigned as a hot spare is using SATA technology. The physical disks in the virtual disk are using SAS technology. Because of this difference in technology, the hot spare cannot rebuild data if one of the physical disks in the virtual disk fails.",
            "Message": "The only hot spare available is a SATA disk %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Add a SAS disk that is large enough to be used as the hot spare and assign the new disk as a hot spare.",
            "Severity": "Warning"
        },
        "PDR36": {
            "Description": "The only physical disk available to be assigned as a hot spare is using SAS technology. The physical disks in the virtual disk are using SATA technology. Because of this difference in technology, the hot spare cannot rebuild data if one of the physical disks in the virtual disk fails.",
            "Message": "The only hot spare available is a SAS disk %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Add a SATA disk that is large enough to be used as the hot spare and assign the new disk as a hot spare.",
            "Severity": "Warning"
        },
        "PDR37": {
            "Description": "The physical device may not have a supported version of the firmware or the physical device may not be supported.",
            "Message": "The %1 is not supported.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "If the physical device is supported, then update the firmware to a supported version. If the physical device is not supported, then replace the physical device with one that is supported.",
            "Severity": "Warning"
        },
        "PDR38": {
            "Description": "A user has initiated a clear operation on a physical disk.",
            "Message": "A clear operation started on %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PDR39": {
            "Description": "This alert is provided for informational purposes.",
            "Message": "A blink operation has initiated on %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PDR4": {
            "Description": "A physical drive that was previously in an error state has returned to a ready state.",
            "Message": "%1 returned to a ready state.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PDR40": {
            "Description": "This alert is provided for informational purposes.",
            "Message": "The blink operation has ceased on %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PDR41": {
            "Description": "The clear command did not complete on the physical disk. This means that some data was not cleared and may be recoverable.",
            "Message": "The clear operation on %1 was cancelled.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PDR42": {
            "Description": "This alert is provided for informational purposes.",
            "Message": "%1 has been started.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PDR43": {
            "Description": "This message is generated after a clear operation completes on a physical disk.",
            "Message": "The clear operation on %1 has completed.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PDR44": {
            "Description": "A Clear task was being performed on a physical disk but the task was interrupted and did not complete successfully. The controller may have lost communication with the disk, the disk was removed, or the cables may be loose or defective.",
            "Message": "The clear operation on %1 failed.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Verify that the disk is present and not in a Failed state. Make sure the cables are attached securely. See the storage hardware documentation for more information on checking the cables. Restart the Clear task.",
            "Severity": "Critical"
        },
        "PDR46": {
            "Description": "The Patrol Read task has encountered an error that cannot be corrected. There may be a bad disk block that cannot be remapped.",
            "Message": "Patrol Read found an uncorrectable media error on %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Backup your data from the disk. Start disk initialization and wait for it to complete, then restore the data from the backup to the disk.",
            "Severity": "Critical"
        },
        "PDR47": {
            "Description": "The controller encountered an unrecoverable medium error when attempting to read a block on the physical disk and marked that block as invalid. If the controller encountered the unrecoverable medium error on a source physical disk during a rebuild or reconfigure operation, it punctures the corresponding block on the target physical disk. The invalid block clears on a write operation.",
            "Message": "A block on %1 was punctured by the controller.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Back up the data from the disk. Start disk initialization and wait for it to complete, and then restore the data from a backup copy.",
            "Severity": "Critical"
        },
        "PDR48": {
            "Description": "This message is generated after rebuild resumes on a physical disk.",
            "Message": "The %1 rebuild has resumed.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PDR49": {
            "Description": "The dedicated hot spare is not large enough to protect all virtual disks that reside on the disk group.",
            "Message": "The dedicated hot spare %1 is too small.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Assign a larger disk as the dedicated hot spare.",
            "Severity": "Warning"
        },
        "PDR5": {
            "Description": "A physical disk has been removed from the disk group. This alert can also be caused by loose or defective cables or by problems with the enclosure.",
            "Message": "%1 is removed.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Do one of the following: 1) If a physical disk was removed from the disk group, either replace the disk or restore the original disk. Identify the disk that was removed by locating the disk that has a red \"X\" for its status. 2) Perform a rescan after replacing or restoring the disk. 3) If a disk was not removed from the disk group, then check for cable problems. Refer to product documentation for more information on checking the cables. 4) Make sure that the enclosure is powered on. 5) If the problem persists, check the enclosure documentation for further diagnostic information.",
            "Severity": "Warning"
        },
        "PDR50": {
            "Description": "The global hot spare is not large enough to protect all virtual disks that reside on the controller.",
            "Message": "Insufficient space on the global hot spare %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Assign a larger disk as the global hot spare.",
            "Severity": "Warning"
        },
        "PDR51": {
            "Description": "The controller firmware attempted to do SMART polling on the hot spare but could not complete the SMART polling. The controller may have lost communication with the hot spare.",
            "Message": "Hot spare %1 SMART polling has failed.%2",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "Verify the health of the disk assigned as a hot spare. Replace the disk and reassign the hot spare. Make sure the cables are attached securely. See the storage hardware documentation for more information on checking the cables.",
            "Severity": "Critical"
        },
        "PDR52": {
            "Description": "The controller has two connectors that are connected to the same enclosure. The communication path on one connector has lost connection with the enclosure. The communication path on the other connector is reporting this loss.",
            "Message": "A redundant path is broken.",
            "NumberOfArgs": 0,
            "Resolution": "Make sure the cables are attached securely. See the Cables Attached Correctly section for more information on checking the cables. Make sure both Enclosure Management Modules (EMMs) are healthy.",
            "Severity": "Warning"
        },
        "PDR53": {
            "Description": "This alert is provided for informational purposes.",
            "Message": "A redundant path has been restored for %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PDR54": {
            "Description": "This message is generated after a disk media error is corrected on a physical disk.",
            "Message": "A disk media error on %1 was corrected during recovery.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PDR55": {
            "Description": "The physical disk inserted is too small for the rebuild to occur.",
            "Message": "Insufficient space available on the %1 to perform a rebuild.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Replace the physical disk with one of correct protocol (SAS, SATA) with at least the required size. Force rebuild if it does not start automatically.",
            "Severity": "Warning"
        },
        "PDR56": {
            "Description": "The bad block table is the table used for remapping bad disk blocks. This table fills as bad disk blocks are remapped. When the table is full, bad disk blocks are no longer remapped, which means that disk errors are no longer corrected. At this point, data loss can occur. The bad block table is now 80 percent full.",
            "Message": "Bad block table on %1 is 80% full.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Replace the disk generating this message.",
            "Severity": "Warning"
        },
        "PDR57": {
            "Description": "The bad block table is the table used for remapping bad disk blocks. This table fills as bad disk blocks are remapped. When the table is full, bad disk blocks are no longer remapped, which means that disk errors are no longer corrected. At this point, data loss can occur.",
            "Message": "Bad block table on %1 is full. Unable to log block %2.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "Replace the disk generating this message and restore from a backup copy. You may have lost data.",
            "Severity": "Critical"
        },
        "PDR58": {
            "Description": "A user attempted to replace a disk with another disk that is using an incompatible technology. For example, replaced one side of a mirror with a SAS disk when the other side of the mirror is using SATA technology.",
            "Message": "%1is incompatible.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Refer to the hardware documentation for information on replacing disks.",
            "Severity": "Warning"
        },
        "PDR59": {
            "Description": "The disk has a bad block. Data was remapped to another disk block. No data loss has occurred.",
            "Message": "A bad disk block was reassigned on %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Monitor the disk for other messages or indications of poor health.",
            "Severity": "Informational"
        },
        "PDR6": {
            "Description": "A physical disk in the virtual disk is offline. This may have been user initiated.",
            "Message": "%1 is offline.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Force the physical disk online or assign a hot spare to the virtual disk.",
            "Severity": "Warning"
        },
        "PDR60": {
            "Description": "The reason for the error can vary depending on the situation. The firmware error code is indicated in the message.",
            "Message": "Error occurred on %1 : %2.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "Verify the health of attached devices. Review the Lifecycle log for significant events. Replace faulty hardware, if required. Make sure the cables are attached securely. Refer to the storage hardware documentation for more information on checking the cable connections.",
            "Severity": "Warning"
        },
        "PDR61": {
            "Description": "It is not possible to rebuild data that resides on a defective disk.",
            "Message": "The rebuild of %1 failed due to errors on the source physical disk.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Replace the source disk and restore data from backup.",
            "Severity": "Critical"
        },
        "PDR62": {
            "Description": "It is not possible to rebuild data that resides on a defective disk.",
            "Message": "The rebuild failed due to errors on the target %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Replace the target disk. If a rebuild does not automatically start after replacing the disk, then initiate the Rebuild task. You may need to assign the new disk as a hot spare to initiate the rebuild.",
            "Severity": "Critical"
        },
        "PDR63": {
            "Description": "A write operation cannot complete because the disk contains bad disk blocks that could not be reassigned. Data loss may have occurred. Data redundancy may be lost.",
            "Message": "A bad disk block on %1 cannot be reassigned during a write operation.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Replace the disk.",
            "Severity": "Critical"
        },
        "PDR64": {
            "Description": "The rebuild or recovery operation encountered an unrecoverable disk media error.",
            "Message": "An unrecoverable disk media error occurred on %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Replace the disk.",
            "Severity": "Critical"
        },
        "PDR65": {
            "Description": "This alert is provided for informational purposes.",
            "Message": "%1 is marked as missing.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PDR66": {
            "Description": "This alert is provided for informational purposes.",
            "Message": "%1 that was marked as missing has been replaced.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PDR67": {
            "Description": "The physical disk does not comply with the standards set by service provider and is not supported.",
            "Message": "An unsupported physical disk drive has been detected.",
            "NumberOfArgs": 0,
            "Resolution": "Replace the physical disk with a supported physical disk.",
            "Severity": "Warning"
        },
        "PDR68": {
            "Description": "This alert is provided for informational purposes.",
            "Message": "Dedicated spare %1 imported as global due to missing disk groups.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PDR69": {
            "Description": "Physical disk inserted is of the incorrect protocol. SAS or SATA mixing is not supported in the same virtual disk.",
            "Message": "Rebuild not possible on %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Remove drive, insert correct protocol type, and force a rebuild as imposed for controller and system.",
            "Severity": "Warning"
        },
        "PDR7": {
            "Description": "A physical disk has reported an error condition and may be degraded. The physical disk may have reported the error condition in response to a check consistency or other operation.",
            "Message": "%1 has degraded.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Replace the degraded physical disk. Identify the disk that is degraded by locating the disk that has a red \"X\" for its status. Perform a rescan after replacing the disk.",
            "Severity": "Warning"
        },
        "PDR70": {
            "Description": "A copyback operation began to copy data from one physical disk to another physical disk. This may be due to a user initiated operation or a predictive failure.",
            "Message": "Copyback started from %1 to %1.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PDR71": {
            "Description": "The copyback operation completed.",
            "Message": "Copyback completed from %1 to %1.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PDR72": {
            "Description": "This alert is provided for informational purposes.",
            "Message": "Copyback resumed on %1 from %1.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PDR73": {
            "Description": "The physical disk participating in the copyback operation failed.",
            "Message": "Copyback failed from %1 to %1.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "Replace the disk and retry the operation.",
            "Severity": "Critical"
        },
        "PDR74": {
            "Description": "A user cancelled the copyback operation.",
            "Message": "Copyback cancelled on %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PDR75": {
            "Description": "This alert is provided for informational purposes.",
            "Message": "Copyback stopped for hot spare %1 .",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Warning"
        },
        "PDR76": {
            "Description": "Copyback not possible as SAS or SATA mixing is not supported in the same virtual disk. This alert is provided for informational purposes.",
            "Message": "Copyback not possible as SAS or SATA mixing is not supported.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Warning"
        },
        "PDR77": {
            "Description": "This alert is provided for informational purposes.",
            "Message": "%1 state changed from READY to Non-RAID.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PDR78": {
            "Description": "This alert is provided for informational purposes.",
            "Message": "%1 state changed from Non-RAID to READY.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PDR79": {
            "Description": "A user aborted an ongoing copyback operation. The operation did not complete.",
            "Message": "A user terminated Copyback from %1 to %1.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "Re-issue the command.",
            "Severity": "Informational"
        },
        "PDR8": {
            "Description": "This alert is provided for informational purposes.",
            "Message": "%1 is inserted.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PDR81": {
            "Description": "The physical disk firmware update operation has started.",
            "Message": "Microcode update started on %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PDR82": {
            "Description": "Security on a secure encrypted disk was activated.",
            "Message": "%1 security was activated.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PDR83": {
            "Description": "This alert is provided for informational purposes.",
            "Message": "%1 is reprovisioned.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PDR84": {
            "Description": "The Security key on a secure encrypted disk was activated.",
            "Message": "%1 Security key has changed.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PDR85": {
            "Description": "Errors were detected with security related operations on the disk. The data on the disk might not be retrieved or stored successfully. In addition, the security of the stored data might be at risk.",
            "Message": "Security subsystem errors detected for %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Verify the disk is a Secure Encrypted Disk and is not locked. If it is not, replace the disk with a Secure Encrypted Disk. See the storage hardware documentation for more information.",
            "Severity": "Critical"
        },
        "PDR86": {
            "Description": "The number of blocks on the disk that exhibit an error has exceeded the capacity of the drive to remap. Any future writes to bad sectors will be unrecoverable.",
            "Message": "Bad block table on %1 is full.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Replace the disk.",
            "Severity": "Warning"
        },
        "PDR87": {
            "Description": "The physical device was reset. This is a normal part of operations and is not a cause for concern.",
            "Message": "%1 was reset.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PDR88": {
            "Description": "When physical drives in spun down power state are configured, the drives should transition to spun up power state. If the drive is not functioning properly, this transition could fail.",
            "Message": "Power state change failed on %1. (from %2 to %2)",
            "NumberOfArgs": 3,
            "ParamTypes": [
                "String",
                "String",
                "String"
            ],
            "Resolution": "Replace the physical disk and try again. Contact technical support if the issue persists.",
            "Severity": "Critical"
        },
        "PDR9": {
            "Description": "This alert is provided for informational purposes.",
            "Message": "Initialization has started on %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PDR9000": {
            "Description": "Internal Use Only.",
            "Message": "Foreign Configuration was detected on %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Internal Use Only.",
            "Severity": "Warning"
        },
        "PDR93": {
            "Description": "The physical disk firmware update operation has completed.",
            "Message": "Microcode update on %1 has completed.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PDR94": {
            "Description": "The attempt to update the physical disk has timed out. This may be due to too much activity on the bus, a bad update package, or a bad disk.",
            "Message": "Microcode update on %1 has timed out.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Retry the update. The update utility may have already performed the retry operation.",
            "Severity": "Informational"
        },
        "PDR95": {
            "Description": "The attempt to update the physical disk has failed. This is due to too much activity on the bus, a bad update package, or a bad disk.",
            "Message": "Microcode update on %1 has failed.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Retry the update. If the update fails a second time, verify the update package is valid. If the update package is valid, replace the failing disk. Contact technical support if the problem persists.",
            "Severity": "Warning"
        },
        "PDR96": {
            "Description": "Security on a secure encrypted disk was disabled.",
            "Message": "Security was disabled on %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PDR97": {
            "Description": "The controller detected drives that require security keys for access. Without providing security keys, the drives are unstable.",
            "Message": "%1 security key required.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Provide the security key required to unlock the secure encrypted drives.",
            "Severity": "Informational"
        },
        "PDR98": {
            "Description": "An error occurred while performing an action on the disk.",
            "Message": "Command timeout occurred on %1.%2.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "Check the disk is present or replace the disk.",
            "Severity": "Warning"
        },
        "PDR99": {
            "Description": "This message is generated after the secure erase operation completion on a Self-Encryption Disk.",
            "Message": "The secure erase operation on Self Encryption Disk %1 has completed.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PFM0001": {
            "Description": "The utilization value of the sensor identified in the message is higher than the upper critical threshold.",
            "Message": "The value of %1 is greater than the upper critical threshold.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Check the work load of the server and reduce the workload if necessary to bring the system performance into required ranges. For more information about the specified values, see the relevant product documentation available at the support site.",
            "Severity": "Critical"
        },
        "PFM0002": {
            "Description": "The utilization value of the sensor identified in the message is higher than the upper warning threshold.",
            "Message": "The value of %1 is greater than the upper warning threshold.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Check the work load of the server and reduce the workload if necessary to bring the system performance into required ranges. For more information about the specified values, see the relevant product documentation available at the support site.",
            "Severity": "Warning"
        },
        "PFM0003": {
            "Description": "The utilization value of the sensor identified in the message is lower than the lower warning threshold value.",
            "Message": "The value of %1 is less than the lower warning threshold.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "The workload on server is almost zero. Consider assigning additional workloads to the server.",
            "Severity": "Informational"
        },
        "PFM0004": {
            "Description": "The value of the sensor identified in the message is within specified limits.",
            "Message": "The value of %1 is within specified limits.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "POW000": {
            "Description": "Host failed to power up because chassis infrastructure is not ready. This messages has been replaced by Message ID PWR2250.",
            "Message": "Power on permission error, chassis infrastructure not ready.",
            "NumberOfArgs": 0,
            "Resolution": "Check status of chassis infrastructure.",
            "Severity": "Warning"
        },
        "POW001": {
            "Description": "Host failed to power up because chassis cover is open. This messages has been replaced by Message ID PWR2251.",
            "Message": "Power on permission error, chassis cover open.",
            "NumberOfArgs": 0,
            "Resolution": "Check chassis cover.",
            "Severity": "Warning"
        },
        "POW002": {
            "Description": "Host failed to power up because unsupported components installed in Fabric1/fabric2.This messages has been replaced by Message ID PWR2252.",
            "Message": "Power on permission error, unknown component installed in Fabric1/Fabric2.",
            "NumberOfArgs": 0,
            "Resolution": "Check for unsupported components installed in Fabric1/Fabric2.",
            "Severity": "Warning"
        },
        "POW003": {
            "Description": "Host failed to power up because PCI/Mezz cards not installed in Fabric1/Fabric2.This messages has been replaced by Message ID PWR2253.",
            "Message": "Power on permission error, no PCI/Mezz card installed in Fabric1/Fabric2.",
            "NumberOfArgs": 0,
            "Resolution": "Install PCI/Mezz card in Fabric1/Fabric2.",
            "Severity": "Warning"
        },
        "POW004": {
            "Description": "Host failed to power up because of unacknowledged use of 110V. This messages has been replaced by Message ID PWR2254.",
            "Message": "Power on permission error, unacknowledged use of 110V.",
            "NumberOfArgs": 0,
            "Resolution": "Check for unacknowledged use of 110V.",
            "Severity": "Warning"
        },
        "POW005": {
            "Description": "Host failed to power up because CMC MPCM mode is enabled. This messages has been replaced by Message ID PWR2255.",
            "Message": "Power on permission error, CMC is in MPCM mode.",
            "NumberOfArgs": 0,
            "Resolution": "Disable MPCM mode to power up.",
            "Severity": "Warning"
        },
        "PR1": {
            "Description": "The specified device has been replaced.",
            "Message": "A replacement part was detected for device: %1",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PR10": {
            "Description": "The Part Replacement feature has detected a firmware difference and would apply firmware based on user settings for the system. However, the previous device's firmware update package is not present on the Lifecycle Controller.",
            "Message": "Firmware update will not be performed. Firmware package is not present for %1",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Use Unified Server Configurator or Dell update package to update device.",
            "Severity": "Informational"
        },
        "PR11": {
            "Description": "A valid license for this feature is not present.",
            "Message": "A required license for the Part Replacement feature is not present, replacement action(s) will not be performed.",
            "NumberOfArgs": 0,
            "Resolution": "Obtain license to utilize functionality.",
            "Severity": "Informational"
        },
        "PR12": {
            "Description": "The Part Replacement feature has detected a firmware difference and would apply firmware. However, user settings indicate that Part Replacement should perform the upgrade only and not a downgrade to an earlier firmware version.",
            "Message": "Firmware update setting allows version upgrade only and will not be performed.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PR13": {
            "Description": "The Part Replacement feature detected a firmware difference and cannot apply the configuration changes. After the device firmware is updated, configuration changes can be applied.",
            "Message": "Firmware mismatch detected. Configuration changes not applied.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PR14": {
            "Description": "The device identified in the message could not apply the configuration settings. This may indicate configuration changes since the last system inventory.",
            "Message": "The configuration could not be applied to device: %1",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Check the current system configuration and retry the operation.",
            "Severity": "Warning"
        },
        "PR15": {
            "Description": "The configuration changes requested have not passed the device specific verification check and will not be applied.",
            "Message": "Unable to verify configuration changes for device: %1",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Warning"
        },
        "PR16": {
            "Description": "The device could not apply some of the configuration settings. This may indicate configuration changes since the last system inventory or mutually exclusive settings.",
            "Message": "Some of the configuration values could not be applied to device: %1",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Check the current system configuration and ensure all settings are correct. If not, retry the operation.",
            "Severity": "Warning"
        },
        "PR17": {
            "Description": "Some of the configuration values stored for the previous device could not be applied to the current device. This may be due to firmware version or other differences in the part.",
            "Message": "Some of the configuration values stored for the previous device could not be applied to device: %1",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Check the device's configuration and ensure that the new configuration is correct for the system.",
            "Severity": "Warning"
        },
        "PR18": {
            "Description": "The Part Replacement feature has detected a firmware difference between the current and previous components. Depending on the Part Firmware Update setting value this may cause a firmware update to the replaced part.",
            "Message": "Firmware version difference detected for device: %1",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PR19": {
            "Description": "The specified job has completed successfully.",
            "Message": "Job completed successfully.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PR2": {
            "Description": "The specified device configuration is different from the previous device configuration.",
            "Message": "Configuration difference detected for device: %1",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PR20": {
            "Description": "The specified job is in progress.",
            "Message": "Job in progress.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PR21": {
            "Description": "The specified job did not complete successfully.",
            "Message": "Job failed.",
            "NumberOfArgs": 0,
            "Resolution": "Check the Lifecycle Log for more details associated with this failure then retry the operation.",
            "Severity": "Warning"
        },
        "PR22": {
            "Description": "This is the initial job status value when a job is created. This message is no longer in use in Lifecycle Controller 2.0 as the job control functionality handles this operation.",
            "Message": "Preparing new job.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PR23": {
            "Description": "The specified job is ready to start. It is waiting for scheduling from job control. This message is no longer in use in Lifecycle Controller 2.0 as the job control functionality handles this operation.",
            "Message": "Job is ready for execution.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PR24": {
            "Description": "The specified job was cancelled. This could be due to user action or system error. This message is no longer in use in Lifecycle Controller 2.0 as the job control functionality handles this operation.",
            "Message": "Job cancelled.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PR25": {
            "Description": "The system's configuration database is missing or is unreadable. This may be due to a user action such as Lifecycle Controller Wipe or a replaced motherboard.",
            "Message": "Missing or corrupt configuration database.",
            "NumberOfArgs": 0,
            "Resolution": "Enable the Collect System Inventory on Restart attribute of the Lifecycle Controller and restart the system. Alternatively, use the Unified Server Configurator utility.",
            "Severity": "Critical"
        },
        "PR26": {
            "Description": "The configuration data associated with the specified job could not be located.",
            "Message": "Missing or corrupt job information.",
            "NumberOfArgs": 0,
            "Resolution": "Retry the operation. If this issue persists, contact technical support.",
            "Severity": "Warning"
        },
        "PR27": {
            "Description": "The system ran out of memory while attempting to perform an operation. This has been deprecated.",
            "Message": "Unable to allocate resources.",
            "NumberOfArgs": 0,
            "Resolution": "Retry the operation. If more than one operation was attempted retry them one at a time.",
            "Severity": "Critical"
        },
        "PR28": {
            "Description": "The device that the job was intended for is no longer detected. This could be due to the device being removed, disabled, or a failure.",
            "Message": "Unable to locate device in current configuration.",
            "NumberOfArgs": 0,
            "Resolution": "If the device was removed, reinsert the device and retry the operation. If the device was disabled, re-enable the device and retry the operation.",
            "Severity": "Informational"
        },
        "PR29": {
            "Description": "The device that the job was intended for has no previous information recorded. The request has failed as this information is required to initiate the operation. This has been deprecated.",
            "Message": "Unable to locate device in previous configuration.",
            "NumberOfArgs": 0,
            "Resolution": "Enable the Collect System Inventory on Restart attribute of the Lifecycle Controller and restart the system. Alternatively, use the Unified Server Configurator utility.",
            "Severity": "Warning"
        },
        "PR3": {
            "Description": "The current component firmware version is higher than the replaced component firmware version.",
            "Message": "Newer version of firmware found on device: %1",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PR30": {
            "Description": "Operation validation was unsuccessful. The command, target and operation data are all validated before proceeding. If any of them are missing or incorrect the request is failed.",
            "Message": "Job processing initialization failure.",
            "NumberOfArgs": 0,
            "Resolution": "Enable the Collect System Inventory on Restart attribute of the Lifecycle Controller and restart the system. After the system has restarted, retry the operation.",
            "Severity": "Warning"
        },
        "PR31": {
            "Description": "All the tasks in the Job were attempted, but some did not complete successfully.",
            "Message": "Job completed with errors.",
            "NumberOfArgs": 0,
            "Resolution": "Check the Lifecycle Log for more details associated with this warning then retry the operation if appropriate.",
            "Severity": "Warning"
        },
        "PR32": {
            "Description": "The configuration changes requested, for the indicated job, have not passed the device specific verification check and will not be applied.",
            "Message": "Failed verification of configuration changes.",
            "NumberOfArgs": 0,
            "Resolution": "Check the scripts or company documentation and try again.",
            "Severity": "Warning"
        },
        "PR33": {
            "Description": "The platform system motherboard was replaced.",
            "Message": "Motherboard replacement detected.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PR34": {
            "Description": "The job was attempted but failed unexpectedly. An AC Power loss, system crash, or other interruption during the job processing can cause this failure.",
            "Message": "%1 failed after exceeding retry attempt limit.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Recreate and resubmit the job.",
            "Severity": "Critical"
        },
        "PR35": {
            "Description": "The Part Replacement feature has detected a firmware difference for the power supply and will start the firmware update process upon system reboot.",
            "Message": "Power Supply slot %1 firmware update will be performed during next system reboot.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PR36": {
            "Description": "The system has detected a different firmware version than previously recorded for the indicated device. This may be due to a firmware update, rollback, or part replacement.",
            "Message": "Version change detected for %1 firmware. Previous version:%2, Current version:%3",
            "NumberOfArgs": 3,
            "ParamTypes": [
                "String",
                "String",
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PR4": {
            "Description": "The current component firmware version is lower than the previous component firmware version.",
            "Message": "Older version of firmware found on device: %1",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PR5": {
            "Description": "Some or all configuration values stored for the previous device could not be applied to the current device. This may be due to firmware version or other differences in the part.",
            "Message": "The configuration values stored for the previous device could not be applied to device: %1",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Check the device's configuration and ensure that the new configuration is correct for the system.",
            "Severity": "Warning"
        },
        "PR6": {
            "Description": "The configuration values stored for the previous device were applied to the current device.",
            "Message": "Configuration changes successfully applied to device: %1",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PR7": {
            "Description": "The specified device was added to the system.",
            "Message": "New device detected: %1",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PR8": {
            "Description": "The indicated device has been removed from the system, is no longer functioning, or has been disabled.",
            "Message": "Device not detected: %1",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "If the part is present, make sure it is properly installed. Ensure that the device has not been disabled in the system BIOS or other configuration utility. Contact technical support if the device is still non functional.",
            "Severity": "Warning"
        },
        "PR9": {
            "Description": "The Part Replacement feature started the firmware update process based on Part Firmware Update attribute settings.",
            "Message": "Firmware update operation initiated.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PST0000": {
            "Description": "The BIOS provided a progress code to the iDRAC, but that progress code is not recognized by the current iDRAC firmware.",
            "Message": "Unrecognized Post Code.",
            "NumberOfArgs": 0,
            "Resolution": "Do one of the following: 1) Update the iDRAC firmware. 2) Restart the system and retry the operation. If the issue persists, contact your service provider.",
            "Severity": "Informational"
        },
        "PST0001": {
            "Description": "System BIOS detected the system is turned on.",
            "Message": "System Power On.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PST0002": {
            "Description": "System BIOS has started loading the processor microcode.",
            "Message": "CPU Microcode load.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PST0003": {
            "Description": "System BIOS has started chipset initialization.",
            "Message": "Chipset Initialization.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PST0004": {
            "Description": "System BIOS has started memory configuration.",
            "Message": "Memory Configuration.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PST0005": {
            "Description": "System BIOS has started copying image from flash to system memory.",
            "Message": "Shadow BIOS.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PST0006": {
            "Description": "System BIOS has started initialization multiprocessor support.",
            "Message": "Multiprocessor Initialization.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PST0007": {
            "Description": "System BIOS has started power on self test.",
            "Message": "POST processing start.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PST0008": {
            "Description": "System BIOS has started System Management Mode (SMM) initialization.",
            "Message": "System Management Mode (SMM)initialization.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PST0009": {
            "Description": "System BIOS has started PCI bus enumeration and video initialization.",
            "Message": "PCI bus enumeration & video initialization.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PST0010": {
            "Description": "The iDRAC initialization is completed.",
            "Message": "iDRAC is ready.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PST0011": {
            "Description": "System started extended memory test.",
            "Message": "Extended Memory test started.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PST0012": {
            "Description": "System extended memory test in progress.",
            "Message": "Extended Memory test running \\",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PST0013": {
            "Description": "System extended memory test in progress.",
            "Message": "Extended Memory test running /",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PST0014": {
            "Description": "System completed extended memory test.",
            "Message": "Extended Memory test completed.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PST0064": {
            "Description": "System BIOS is displaying power on splash screen.",
            "Message": "Display sign-on.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PST0065": {
            "Description": "System BIOS is configuring PCI devices.",
            "Message": "PCI configuration.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PST0080": {
            "Description": "System is at the F1/F2 prompt because the system BIOS detected an issue other than \"No bootable devices\".",
            "Message": "An issue was detected. System at boot F1/F2 prompt. Requires entry to continue.",
            "NumberOfArgs": 0,
            "Resolution": "Check post display screen for details. Press F1 to continue boot, or press F2 to go to setup.",
            "Severity": "Warning"
        },
        "PST0081": {
            "Description": "System is at F1/F2 prompt because the system BIOS was unable to detect a bootable device.",
            "Message": "No bootable devices.",
            "NumberOfArgs": 0,
            "Resolution": "Make sure a bootable device is attached to the system and enabled in BIOS setup. If device is attached and enabled, remove and reapply power to server. If the problem persists, contact your service provider. Refer to the product documentation to choose a convenient contact method.",
            "Severity": "Critical"
        },
        "PST0082": {
            "Description": "System is at the BIOS Setup Menu.",
            "Message": "In BIOS Setup Menu.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PST0083": {
            "Description": "System is at the BIOS Boot Menu.",
            "Message": "In BIOS Boot Menu.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PST0084": {
            "Description": "System started the Automated Task application.",
            "Message": "Automated Task application.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PST0085": {
            "Description": "System is performing CSIOR (Collect System Inventory on Restart).",
            "Message": "Performing CSIOR.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PST0086": {
            "Description": "System BIOS has launched the Lifecycle Controller user interface.",
            "Message": "In Lifecycle Controller.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PST0087": {
            "Description": "System BIOS is initializing iDRAC.",
            "Message": "Initializing iDRAC.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PST0088": {
            "Description": "System BIOS is preparing to boot the system.",
            "Message": "Preparing to Boot.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PST0089": {
            "Description": "A problem was detected during Power-On Self-Test (POST). The next logged message contains more specific details for the detected issue.",
            "Message": "A problem was detected during Power-On Self-Test (POST).",
            "NumberOfArgs": 0,
            "Resolution": "Review the next logged message for the recommended response action to resolve the problem.",
            "Severity": "Informational"
        },
        "PST0090": {
            "Description": "A problem was detected related to the previous server boot. The next logged message contains more specific details for the detected issue.",
            "Message": "A problem was detected related to the previous server boot.",
            "NumberOfArgs": 0,
            "Resolution": "Review the next logged message for the recommended response action to resolve the problem.",
            "Severity": "Informational"
        },
        "PST0091": {
            "Description": "A problem was detected in Memory Reference Code (MRC). The next logged message contains more specific details for the detected issue.",
            "Message": "A problem was detected in Memory Reference Code (MRC).",
            "NumberOfArgs": 0,
            "Resolution": "Review the next logged message for the recommended response action to resolve the problem.",
            "Severity": "Informational"
        },
        "PST0126": {
            "Description": "System is currently booting to an UEFI compatible operating system. No more POST codes will be generated in this boot sequence.",
            "Message": "Giving control to UEFI aware OS.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PST0127": {
            "Description": "System BIOS gave control to the operating system.",
            "Message": "Giving control to OS.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PST0128": {
            "Description": "System BIOS was unable to detect memory in the system . This exception occurred early in system power on, thus the system may not display video (BIOS Post Exception 80).",
            "Message": "No memory is detected.",
            "NumberOfArgs": 0,
            "Resolution": "Inspect System Memory.",
            "Severity": "Critical"
        },
        "PST0129": {
            "Description": "System BIOS detected memory, but was unable to configure the memory for system operation. Compare system memory installation to supported system memory configurations. Reduce the system to minimum memory configuration if acceptable. This exception occurred early in system power on, thus the system may not display video.(BIOS POST Exception Code 81).",
            "Message": "Memory is detected, but is not configurable.",
            "NumberOfArgs": 0,
            "Resolution": "Compare system memory installation to supported system memory configurations.",
            "Severity": "Critical"
        },
        "PST0130": {
            "Description": "During memory configuration system BIOS encountered device failures or speed configurations that resulted in unused memory. This exception occurred early in system power on, thus the system may not display video. (BIOS POST Exception code 82).",
            "Message": "Memory is configured, but not usable.",
            "NumberOfArgs": 0,
            "Resolution": "Remove input power. Reseat memory devices or reduce system to minimum supported memory configuration.",
            "Severity": "Critical"
        },
        "PST0131": {
            "Description": "Memory errors occurred copying BIOS image into system memory. This exception occurred early in system power on, thus the system may not display video. (BIOS POST Exception Code 83).",
            "Message": "System BIOS shadow failed.",
            "NumberOfArgs": 0,
            "Resolution": "Remove input power. Reduce system memory to minimum configuration and apply input power.",
            "Severity": "Critical"
        },
        "PST0132": {
            "Description": "System BIOS detected a failure with CMOS memory during system POST. This exception occurred early in system power on, thus the system may not display video. (BIOS POST Exception Code 84).",
            "Message": "CMOS failed.",
            "NumberOfArgs": 0,
            "Resolution": "Check system event log for CMOS battery exceptions. Remove and reapply input power. If the problem persists, contact technical support. Refer to the product documentation to choose a convenient contact method.",
            "Severity": "Critical"
        },
        "PST0133": {
            "Description": "System BIOS detected a failure with the DMA controller during system POST. This exception occurred early in system power on, thus the system may not display video. (BIOS POST Exception code 85).",
            "Message": "DMA controller failed.",
            "NumberOfArgs": 0,
            "Resolution": "Remove and reapply input power.",
            "Severity": "Critical"
        },
        "PST0134": {
            "Description": "System BIOS detected a failure with the interrupt controller during system POST. This exception occurred early in system power on, thus the system may not display video. (BIOS POST Exception code 86).",
            "Message": "Interrupt controller failed.",
            "NumberOfArgs": 0,
            "Resolution": "Remove and reapply input power. If the problem persists, contact technical support. Refer to the product documentation to choose a convenient contact method.",
            "Severity": "Critical"
        },
        "PST0135": {
            "Description": "System BIOS detected a timer refresh failure during system POST. This exception occurred early in system power on, thus the system may not display video. (BIOS POST Exception code 87).",
            "Message": "Timer refresh failed.",
            "NumberOfArgs": 0,
            "Resolution": "Remove and reapply input power. If the problem persists, contact technical support. Refer to the product documentation to choose a convenient contact method.",
            "Severity": "Critical"
        },
        "PST0136": {
            "Description": "System BIOS detected an failure with the programmable interval timer during POST. This exception occurred early in system power on, thus the system may not display video.(BIOS POST Exception code 88).",
            "Message": "Programmable interval timer error.",
            "NumberOfArgs": 0,
            "Resolution": "Remove and reapply input power. If the problem persists, contact technical support. Refer to the product documentation to choose a convenient contact method.",
            "Severity": "Critical"
        },
        "PST0137": {
            "Description": "System BIOS detected a parity error during post This exception occurred early in system power on, thus the system may not display video. (BIOS POST exception code 89).",
            "Message": "Parity error.",
            "NumberOfArgs": 0,
            "Resolution": "Remove and reapply input power. If the problem persists, contact technical support. Refer to the product documentation to choose a convenient contact method.",
            "Severity": "Critical"
        },
        "PST0138": {
            "Description": "System BIOS detected a failure with the SIO. This exception occurred early in system power on, thus the system may not display video. (BIOS POST code exception code 8A).",
            "Message": "SuperIO failed.",
            "NumberOfArgs": 0,
            "Resolution": "Remove and reapply input power. If the problem persists, contact technical support. Refer to the product documentation to choose a convenient contact method.",
            "Severity": "Critical"
        },
        "PST0139": {
            "Description": "System BIOS detected a failure with the Keyboard Controller. This exception occurred early in system power on, thus the system may not display video. (BIOS POST exception code 8B).",
            "Message": "Keyboard controller failed.",
            "NumberOfArgs": 0,
            "Resolution": "Remove and reapply input power. If the problem persists, contact technical support. Refer to the product documentation to choose a convenient contact method.",
            "Severity": "Critical"
        },
        "PST0140": {
            "Description": "System BIOS failed to initialize the system management interrupt. This exception occurred early in system power on, thus the system may not display video. (BIOS POST exception code 8C) .",
            "Message": "System management interrupt initialization failed.",
            "NumberOfArgs": 0,
            "Resolution": "Remove and reapply input power. If the problem persists, contact technical support. Refer to the product documentation to choose a convenient contact method.",
            "Severity": "Critical"
        },
        "PST0141": {
            "Description": "Quick Path Interconnect failed during system POST. Reboot the system. If problem persists, remove input power and reseat processors. This exception occurred early in system power on, thus the system may not display video.",
            "Message": "QuickPath Interconnect (QPI) fatal error.",
            "NumberOfArgs": 0,
            "Resolution": "Reboot the system. If problem persists, remove input power and reseat processors.",
            "Severity": "Critical"
        },
        "PST0142": {
            "Description": "BIOS Memory testing failed. Compare system memory installation to supported system memory configurations. Reduce system configuration to minimum memory configuration. This exception occurred early in system power on, thus the system may not display video.",
            "Message": "MRC fatal error.",
            "NumberOfArgs": 0,
            "Resolution": "Compare system memory installation to supported system memory configurations. Reduce system configuration to minimum memory configuration.",
            "Severity": "Critical"
        },
        "PST0143": {
            "Description": "TXT boot failed. This could be related to memory errors or an error with the system TXT configuration. A socketed TPM module may have been removed. This exception occurred early in system power on, thus the system may not display video.",
            "Message": "Intel Trusted Execution Technology (TXT) fatal error.",
            "NumberOfArgs": 0,
            "Resolution": "Check TPM presence. Remove and reapply input power. If the problem persists, contact technical support. Refer to the product documentation to choose a convenient contact method.",
            "Severity": "Critical"
        },
        "PST0144": {
            "Description": "System BIOS is unable to load the required BIOS files.",
            "Message": "Unable to load required BIOS files.",
            "NumberOfArgs": 0,
            "Resolution": "Remove and reapply power to server. If the problem persists, contact your server provider. Refer to the product documentation to choose a convenient contact method.",
            "Severity": "Critical"
        },
        "PST0192": {
            "Description": "System BIOS shutdown test failed during POST. This exception occurred early in system power on, thus the system may not display video. (BIOS POST exception code C0).",
            "Message": "Shut-down test failed.",
            "NumberOfArgs": 0,
            "Resolution": "Check system event log for CMOS battery exceptions. Remove and reapply input power. If the problem persists, contact technical support. Refer to the product documentation to choose a convenient contact method.",
            "Severity": "Critical"
        },
        "PST0193": {
            "Description": "System BIOS POST memory test failed. This exception occurred early in system power on, thus the system may not display video. (BIOS POST exception code C1).",
            "Message": "BIOS POST memory test failed.",
            "NumberOfArgs": 0,
            "Resolution": "Compare system memory installation to supported system memory configurations. Reduce system configuration to minimum memory configuration.",
            "Severity": "Critical"
        },
        "PST0194": {
            "Description": "System BIOS could not configure the Remote Access controller This exception occurred early in system power on, thus the system may not display video. (BIOS POST exception code C2).",
            "Message": "Remote access controller configuration failed.",
            "NumberOfArgs": 0,
            "Resolution": "Cycle input power and power on the system. If the problem persists, contact technical support. Refer to the product documentation to choose a convenient contact method.",
            "Severity": "Critical"
        },
        "PST0195": {
            "Description": "The current processor configuration is unsupported or encountered a fatal exception during POST. Check the processor configuration. This exception occurred early in system power on, thus the system may not display video. (BIOS POST exception code C3).",
            "Message": "CPU configuration failed.",
            "NumberOfArgs": 0,
            "Resolution": "Review system processor configuration and reduce the system to the minimum configuration.",
            "Severity": "Critical"
        },
        "PST0196": {
            "Description": "System BIOS detected an invalid memory population. Reinstall the memory to match the supported population. This exception occurred early in system power on, thus the system may not display video. (BIOS POST Exception code C4).",
            "Message": "Incorrect memory configuration.",
            "NumberOfArgs": 0,
            "Resolution": "Re-install memory to match supported memory configuration.",
            "Severity": "Critical"
        },
        "PST0208": {
            "Description": "System BIOS has halted and is unable to continue.",
            "Message": "System BIOS has halted.",
            "NumberOfArgs": 0,
            "Resolution": "Do one of the following: 1) If new hardware has been added, remove the new hardware and restart the server, 2) Turn server off and back on using the power button, or 3) Remove and reapply server input power. If the problem persists, contact your service provider. Refer to the product documentation to choose a convenient contact method.",
            "Severity": "Critical"
        },
        "PST0209": {
            "Description": "System BIOS has halted and is unable to continue. System BIOS has detected a Non-Maskable Interrupt (NMI) which may have been caused by a hardware change.",
            "Message": "System BIOS has halted due to Non-Maskable Interrupt (NMI).",
            "NumberOfArgs": 0,
            "Resolution": "Do one of the following: 1) If new hardware has been added, remove the new hardware and restart the server, 2) Turn server off and back on using the power button, or 3) Remove and reapply server input power. If the problem persists, contact your service provider. Refer to the product documentation to choose a convenient contact method.",
            "Severity": "Critical"
        },
        "PST0254": {
            "Description": "System BIOS detected a functional or configuration issue during system POST. Check the system video screen for more information. The system event log may contain additional details. This exception occurred early in system power on, thus the system may not display video. (BIOS POST Exception code FE).",
            "Message": "General failure after video.",
            "NumberOfArgs": 0,
            "Resolution": "Check system video and review event log for additional information.",
            "Severity": "Critical"
        },
        "PST0256": {
            "Description": "System BIOS detected a functional or configuration issue during system POST. Check the system video screen for more information. The system event log may contain additional details.",
            "Message": "POST fatal error detected.",
            "NumberOfArgs": 0,
            "Resolution": "Check system video and review event log for additional information.",
            "Severity": "Critical"
        },
        "PSU0000": {
            "Description": "None.",
            "Message": "Power supply %1 is present.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PSU0001": {
            "Description": "None.",
            "Message": "Power supply %1 failed.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Remove and re-install the power supply. If the issue persists, contact technical support. Refer to the product documentation to choose a convenient contact method.",
            "Severity": "Critical"
        },
        "PSU0002": {
            "Description": "System performance and power redundancy may be degraded or lost.",
            "Message": "A predictive failure detected on power supply %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Remove and re-install the power supply at the next service window. If the issue persists, contact technical support. Refer to the product documentation to choose a convenient contact method.",
            "Severity": "Warning"
        },
        "PSU0003": {
            "Description": "The power supply is installed correctly but an input source is not connected or is not functional.",
            "Message": "The power input for power supply %1 is lost.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Verify the input source is attached to the power supply. Verify the input power is within the operating requirements for the power supply.",
            "Severity": "Critical"
        },
        "PSU0004": {
            "Description": "The operating requirements for the power supply may be found in product documentation or on the power supply itself.",
            "Message": "The power input for power supply %1 is outside of range.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Verify the input source is attached to the power supply. Verify the input power is within the operating requirements for the power supply.",
            "Severity": "Critical"
        },
        "PSU0005": {
            "Description": "The operating requirements for the power supply may be found in product documentation or on the power supply itself.",
            "Message": "The power input for power supply %1 is outside of the allowable range, but it is attached to the system.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Verify the input power is within the operating requirements for the power supply.",
            "Severity": "Warning"
        },
        "PSU0006": {
            "Description": "The power supply identified in the message must be supported by the platform. Generally, multiple power supplies in the server should have the same feature set and power rating.",
            "Message": "Power supply %1 is incorrectly configured.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Review server product documentation for supported power supplies and power supply configurations.",
            "Severity": "Critical"
        },
        "PSU0007": {
            "Description": "A power supply that is designed to operate at 220V, but is connected to a 110V power source requires additional current for operation. The additional current may trip circuit-breakers or cause other electrical issues with the input source.",
            "Message": "Power supply %1 is operating at 110 volts, and could cause a circuit breaker fault.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Check input power source and cabling. Use recommended input power. Review the product documentation. If the issue persists, contact technical support. Refer to the product documentation to choose a convenient contact method.",
            "Severity": "Warning"
        },
        "PSU0017": {
            "Description": "None.",
            "Message": "Power supply %1 is operating normally.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PSU0019": {
            "Description": "None.",
            "Message": "The input power for power supply %1 has been restored.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PSU0022": {
            "Description": "None.",
            "Message": "Power supply %1 is correctly configured.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PSU0023": {
            "Description": "None.",
            "Message": "Power supply %1 operating at 110 volts has been acknowledged by user.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PSU0031": {
            "Description": "The power supply may operate, however power supply monitoring will be degraded. System performance may be degraded.",
            "Message": "Cannot communicate with power supply %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Remove and re-install the power supply. If the issue persists, contact technical support. Refer to the product documentation to choose a convenient contact method.",
            "Severity": "Critical"
        },
        "PSU0032": {
            "Description": "System performance may be degraded.",
            "Message": "The temperature for power supply %1 is in a warning range.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Check the system operating environment, including airflow and inlet temperature. Check system logs for temperature and thermal component failures.",
            "Severity": "Warning"
        },
        "PSU0033": {
            "Description": "System performance may be degraded.",
            "Message": "The temperature for power supply %1 is outside of range.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Check the system operating environment, including airflow and inlet temperature. Check system logs for temperature and thermal component failures.",
            "Severity": "Critical"
        },
        "PSU0034": {
            "Description": "This failure may be the result of an electrical issue with cables or subsystem components in the system.",
            "Message": "An under voltage fault detected on power supply %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "1) Remove and re-install the power supply.2) Check cables and subsystem components in the system for damage. 3) If the issue persists, contact technical support. Refer to the product documentation to choose a convenient contact method.",
            "Severity": "Critical"
        },
        "PSU0035": {
            "Description": "None.",
            "Message": "An over voltage fault detected on power supply %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Check input power, replace or re-install the power supply. If the issue persists, contact technical support. Refer to the product documentation to choose a convenient contact method.",
            "Severity": "Critical"
        },
        "PSU0036": {
            "Description": "This failure may be the result of an electrical issue with cables or subsystem components in the system.",
            "Message": "An over current fault detected on power supply %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "1) Remove and re-install the power supply.2) Check cables and subsystem components in the system for damage. 3) If the issue persists, contact technical support. Refer to the product documentation to choose a convenient contact method.",
            "Severity": "Critical"
        },
        "PSU0037": {
            "Description": "None.",
            "Message": "Fan failure detected on power supply %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Check for fan blockage. If not replace the power supply.",
            "Severity": "Critical"
        },
        "PSU0038": {
            "Description": "None.",
            "Message": "Power supply %1 fan is operating normally.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PSU0039": {
            "Description": "Insufficient amount of current to keep power supply operating at a normal levels.",
            "Message": "An under current fault detected on power supply %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "1) Remove and re-install the power supply input cord. 2) Check power distribution or PSU input source for anomalies. 3) If the issue persists, contact technical support. Refer to the product documentation to choose a convenient contact method.",
            "Severity": "Critical"
        },
        "PSU0040": {
            "Description": "The power supply output voltage is insufficient to keep system operating at a normal levels.",
            "Message": "An output under voltage fault detected on power supply %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "1) Remove the power supply input cord and then remove power supply. 2) Re-install the power supply and then re-install the power supply cord. 3) If the issue persists, contact technical support. Refer to the product documentation to choose a convenient contact method.",
            "Severity": "Critical"
        },
        "PSU0041": {
            "Description": "None.",
            "Message": "An output over voltage fault detected on power supply %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "1) Remove the power supply input cord and then remove power supply. 2) Re-install the power supply and then re-install the power supply cord. 3) If the issue persists, contact technical support. Refer to the product documentation to choose a convenient contact method.",
            "Severity": "Critical"
        },
        "PSU0042": {
            "Description": "None.",
            "Message": "An output over current fault detected on power supply %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "1) Remove the power supply input cord and then remove power supply. 2) Re-install the power supply and then re-install the power supply cord. 3) If the issue persists, contact technical support. Refer to the product documentation to choose a convenient contact method.",
            "Severity": "Critical"
        },
        "PSU0043": {
            "Description": "None.",
            "Message": "An output under current fault detected on power supply %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "1) Remove the power supply input cord and then remove power supply. 2) Re-install the power supply and then re-install the power supply cord. 3) If the issue persists, contact technical support. Refer to the product documentation to choose a convenient contact method.",
            "Severity": "Critical"
        },
        "PSU0044": {
            "Description": "The power supply is operating but the system cannot get status information.",
            "Message": "Cannot obtain status information from power supply %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "If problem persist, remove and re-install power supply.",
            "Severity": "Warning"
        },
        "PSU0045": {
            "Description": "None.",
            "Message": "Power supply %1 status information successfully obtained.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PSU0046": {
            "Description": "None.",
            "Message": "Communication has been restored to power supply %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PSU0076": {
            "Description": "Power supplies should be of the same input type and power rating.",
            "Message": "A power supply wattage mismatch is detected; power supply %1 is rated for %2 watts.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "Install matched power supplies and review product documentation for proper configuration.",
            "Severity": "Critical"
        },
        "PSU0077": {
            "Description": "Power supplies should be of the same input type and power rating.",
            "Message": "Power supply %1 vendor type mismatch detected.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Install matched power supplies and review product documentation for proper configuration.",
            "Severity": "Critical"
        },
        "PSU0078": {
            "Description": "This power supply revision is not supported for this system.",
            "Message": "Power supply %1 revision mismatch detected.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Review product documentation, change power supply with correct revision.",
            "Severity": "Critical"
        },
        "PSU0080": {
            "Description": "The system does not support mixed voltage power supplies.",
            "Message": "Power supply %1 voltage rating does not match the system's requirements.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Review product documentation, change power supply with correct voltage rating.",
            "Severity": "Critical"
        },
        "PSU0090": {
            "Description": "None.",
            "Message": "Power supply %1 wattage mismatch corrected.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PSU0091": {
            "Description": "The rating of the power supply unit identified in the message should not exceed system power distribution limits.",
            "Message": "Power supply unit %1 rating exceeds the system power distribution limits.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Remove the power supply unit identified in the message and review server product documentation for appropriate configuration.",
            "Severity": "Warning"
        },
        "PSU0092": {
            "Description": "The rating of the power supply unit identified in the message does not exceed system power distribution limits.",
            "Message": "Power supply unit %1 rating is appropriate for the system power distribution limits.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PSU0800": {
            "Description": "Lists the complete status of the power supply unit.",
            "Message": "Power Supply %1: Status = 0x%2, IOUT = 0x%3, VOUT= 0x%4, TEMP= 0x%5, FAN = 0x%6, INPUT= 0x%7.",
            "NumberOfArgs": 7,
            "ParamTypes": [
                "String",
                "String",
                "String",
                "String",
                "String",
                "String",
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PSU0801": {
            "Description": "The Power Supply had a CRC error detected.",
            "Message": "Power Supply %1: CRC error detected.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Acquire the power supply firmware image and update the power supply indicated in the message.",
            "Severity": "Informational"
        },
        "PSU0802": {
            "Description": "The power supply redundancy policy on the system has been set.",
            "Message": "The power supply redundancy policy on the system has been set to %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PSU0803": {
            "Description": "Insufficient power in chassis to power on server.",
            "Message": "Insufficient power in chassis to power on server.",
            "NumberOfArgs": 0,
            "Resolution": "Utilize the Chassis Management Controller web interface to check available power and server power requirements. If sufficient power is available, retry the operation.",
            "Severity": "Informational"
        },
        "PSU0900": {
            "Description": "None.",
            "Message": "Power unit %1 is off.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PSU0901": {
            "Description": "None.",
            "Message": "Power unit %1 is on.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PSU0902": {
            "Description": "None.",
            "Message": "Power unit %1 was power cycled.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PSU0904": {
            "Description": "In order to meet service requirements the supply must be shut down.",
            "Message": "Could not power down 240VA on power unit %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Remove input power at the power supply.",
            "Severity": "Critical"
        },
        "PSU0906": {
            "Description": "In order to meet service requirements the supply must be shut down.",
            "Message": "An interlock power down error detected on power unit %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Remove input power at the power supply.",
            "Severity": "Critical"
        },
        "PSU0907": {
            "Description": "None.",
            "Message": "An interlock power down error was corrected for power unit %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Remove input power at the power supply.",
            "Severity": "Informational"
        },
        "PSU0908": {
            "Description": "The power supply is installed correctly but an input source is not connected or is not functional.",
            "Message": "Power lost on power unit %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Verify the input source is attached to the power supply. Verify the input power is within the operating requirements for the power supply.",
            "Severity": "Critical"
        },
        "PSU0909": {
            "Description": "None.",
            "Message": "Power restored on power unit %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PSU0910": {
            "Description": "The system did not respond correctly to a power down request.",
            "Message": "Soft power control failure detected on power unit %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Disconnect Input Power.",
            "Severity": "Critical"
        },
        "PSU0911": {
            "Description": "None.",
            "Message": "Soft power control restored on power unit %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PSU0912": {
            "Description": "Status from the power supply indicates a power supply exception occurred. The power supply will try to operate in a degraded state. System Performance and power redundancy may be degraded or lost.",
            "Message": "A failure detected on power unit %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Check input power. Re-install the power supply. If problem persists contact support.",
            "Severity": "Critical"
        },
        "PSU0913": {
            "Description": "None.",
            "Message": "Power unit %1 is operating normally.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PSU0914": {
            "Description": "Status from the power supply indicates a power supply exception occurred. The power supply will try to operate. System Performance and power redundancy may be degraded or lost.",
            "Message": "A predictive failure detected on power unit %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Remove input power and re-install supply at the next service window.",
            "Severity": "Warning"
        },
        "PSU1000": {
            "Description": "The power supply unit is not receiving input AC power. The power cable may not be connected properly or removed. This can happen if there is an AC failure or problems with the power strip attached to the enclosure power supply.",
            "Message": "Power supply cable has been removed from %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Reconnect the power cable to the power supply unit if it was disconnected. Restore the input AC power supply. Make sure the power supply is restored to the enclosure from the mains.",
            "Severity": "Warning"
        },
        "PSU1001": {
            "Description": "The enclosure detected that a power supply unit has failed.",
            "Message": "%1 has failed.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Check for other messages related to the state of the power supply unit/enclosure. These may help determine the cause of this event. Contact technical support if the issue still persists.",
            "Severity": "Critical"
        },
        "PSU1002": {
            "Description": "The enclosure detected that a power supply unit was removed and is no longer functioning in optimal condition.",
            "Message": "%1 was removed",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Re-insert the power supply unit into the enclosure. Re-connect the AC power cable and switch on the power supply unit. Contact technical support if the issue persists.",
            "Severity": "Critical"
        },
        "PSU1003": {
            "Description": "The power supply is not providing any power. This may be because the power supply switch is in the off position or the power supply has failed.",
            "Message": "%1 is switched OFF.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Check whether the power switch on the power supply unit is turned off or on. If it is turned off, turn it on. If the problem is not corrected, verify that the power cord is attached and functional. See the storage hardware documentation for more information.",
            "Severity": "Warning"
        },
        "PSU1004": {
            "Description": "The enclosure detected that AC power supply was restored to the power supply unit.",
            "Message": "Power supply cable has been inserted into %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PSU1005": {
            "Description": "The enclosure detected that a power supply unit was switched on.",
            "Message": "%1 is switched on.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PSU1006": {
            "Description": "The enclosure detected that a power supply unit was inserted.",
            "Message": "%1 was inserted.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PSU1007": {
            "Description": "A device has been failed and the system is no longer functioning in optimal condition.",
            "Message": "%1 has failed.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Replace the device.",
            "Severity": "Critical"
        },
        "PSU1010": {
            "Description": "The power supply unit is switched off. Either you have switched off the power supply unit or it is defective.",
            "Message": "The DC power supply is switched off.",
            "NumberOfArgs": 0,
            "Resolution": "Check to see whether the power switch is turned off or on. If it is turned off, turn it on. If the problem is not corrected, verify that the power cord is attached and functional. If the problem continues or if the power switch is already turned on, then replace the power supply unit.",
            "Severity": "Critical"
        },
        "PSU500": {
            "Description": "Racadm tool cannot obtain the power status possible reason is that the IPMI call failed.",
            "Message": "Unable to get the current server power status.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Critical"
        },
        "PSU501": {
            "Description": "The server was already up, when the user gave a power on request.",
            "Message": "Server is already powered ON.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PSU502": {
            "Description": "The server was already down, when the user gave a power off request.",
            "Message": "Server is already powered OFF.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PSU503": {
            "Description": "Success message.",
            "Message": "Server power status: %1",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PSU504": {
            "Description": "Success message.",
            "Message": "Server power operation successful",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PSU8501": {
            "Description": "Unable to retrieve input voltage information for the PSU specified in the message.",
            "Message": "Unable to retrieve PSU %1 input voltage information.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Remove the PSU from the chassis, wait for two minutes, and reinsert it. If the issue persists, contact your service provider.",
            "Severity": "Warning"
        },
        "PSU8502": {
            "Description": "The input voltage of the PSU specified in the message does not match the input voltage of the PSUs already present in the chassis.",
            "Message": "The PSU in slot %1 detected 110 VAC input voltage and does not match chassis configuration.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Do the following: 1) Check the power configuration \"Allow 110 VAC Operation\" setting and make sure it is enabled. 2) Check if the input voltage of all the PSUs are the same. 3) If the input voltage of the PSU specified in the message is not the same, then remove the unmatched PSU.",
            "Severity": "Warning"
        },
        "PSU8503": {
            "Description": "The input voltage of the PSU specified in the message does not match the input voltage of the PSUs already present in the chassis.",
            "Message": "The PSU in slot %1 detected 220 VAC input voltage and does not match chassis configuration.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Do the following: 1) Check if the input voltage of all the PSUs are the same. 2) If the input voltage of the PSU specified in the message is not the same, then remove the unmatched PSU.",
            "Severity": "Warning"
        },
        "PSU8504": {
            "Description": "Selecting the Allow 110 VAC Operation involves potential risk that an overload can occur. The overload risk was not acknowledged in the CMC Web interface when the selection was made.",
            "Message": "The Allow 110 VAC Operation overload risk is not acknowledged.",
            "NumberOfArgs": 0,
            "Resolution": "Select the Allow 110 VAC Operation and accept the subsequent dialog that acknowledges the overload risk.",
            "Severity": "Informational"
        },
        "PSU8505": {
            "Description": "Unable to set the chassis redundancy policy to AC Redundancy.",
            "Message": "Unable to set the chassis redundancy policy to AC Redundancy.",
            "NumberOfArgs": 0,
            "Resolution": "Retry the operation using the CMC command line interface or CMC Web interface. To set the chassis redundancy policy using the command line, enter \"racadm config -g cfgChassisPower -o cfgChassisRedundancyPolicy 1\". To configure the chassis redundancy policy using the Web interface, click Chassis Overview > Power > Configuration. From the Redundancy drop-down menu, select AC Redundancy.",
            "Severity": "Critical"
        },
        "PSU8506": {
            "Description": "When the Server Power Management mode is enabled the Power cap cannot be set.",
            "Message": "Unable to change power cap because Server Based Power Management Mode is enabled.",
            "NumberOfArgs": 0,
            "Resolution": "To enable the ability to set the power cap, switch to external Power Management and disable the Server Based Management Mode in the CMC Web interface.",
            "Severity": "Warning"
        },
        "PSU8507": {
            "Description": "The PSU identified in the message has been disengaged or removed. Insufficient power is available.",
            "Message": "Insufficient power available because PSU in the slot %1 is not present.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Insert a PSU in the slot identified in the message.",
            "Severity": "Informational"
        },
        "PSU8508": {
            "Description": "Unable to set the Power configuration because the PSU firmware update is in progress.",
            "Message": "%1, PSU%2 firmware update is in progress.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "Retry the operation after the PSU firmware update is completed.",
            "Severity": "Warning"
        },
        "PSU8510": {
            "Description": "The firmware for the PSU identified in the message is successfully updated to the version displayed in the message.",
            "Message": "PSU in slot %1 FW updated successfully to version %2",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PSU8511": {
            "Description": "The firmware for the PSU identified in the message was successfully updated.",
            "Message": "Successfully updated the firmware for the PSU in slot %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PSU8512": {
            "Description": "The firmware update operation for the PSU identified in the message did not complete, because of internal communication errors.",
            "Message": "Unable to update the firmware for the PSU in slot %1. Error=0x%2 (%3)",
            "NumberOfArgs": 3,
            "ParamTypes": [
                "String",
                "String",
                "String"
            ],
            "Resolution": "Retry the firmware update operation. If the issue persists, contact your service provider.",
            "Severity": "Warning"
        },
        "PSU8513": {
            "Description": "Unable to update the PSU firmware due to PMBus communication errors.",
            "Message": "Unable to complete the PSU slot %1 firmware update. Error=0x%2.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "Retry the firmware update operation. If the problem persists, contact your service provider.",
            "Severity": "Warning"
        },
        "PSU8515": {
            "Description": "Unable to set the Enable Dynamic Power Supply Engagement attribute.",
            "Message": "Unable to set the Enable Dynamic Power Supply Engagement attribute.",
            "NumberOfArgs": 0,
            "Resolution": "Do the following: 1) Retry the operation. 2) If the issue persists, review the tracelog for more details. To retrieve the tracelog, in the CMC Web interface, go to Troubleshooting > Diagnostics page and enter the \"gettracelog\" command, or use RACADM \"gettracelog\" command. If the issue continues to persist, contact your service provider and provide the tracelog.",
            "Severity": "Warning"
        },
        "PSU8516": {
            "Description": "Unable to set redundancy policy because PSU enumeration is in progress. The policy can be set after PSU enumeration is complete.",
            "Message": "Unable to set redundancy policy because PSU enumeration is in progress.",
            "NumberOfArgs": 0,
            "Resolution": "Retry the operation after the PSU enumeration is complete.",
            "Severity": "Informational"
        },
        "PSU8517": {
            "Description": "The operation to change the PSU redundancy policy is complete.",
            "Message": "PSU redundancy policy changed.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PSU8518": {
            "Description": "The operation to read the FRU data from the PSU identified in the message did not complete successfully due to internal communication errors.",
            "Message": "Unable to access the PSU %1 FRU data.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Retry the operation. If the condition persists, contact your service provider.",
            "Severity": "Critical"
        },
        "PSU8519": {
            "Description": "The Dynamic Power Supply Engagement (DPSE) feature is suspended due to the configuration or the type of PSU present. The feature is enabled, but suspended until a supported PSU configuration is in place.",
            "Message": "Enhanced Dynamic Power Supply Engagement (DPSE) is not supported by the current power supply configuration and is suspended.",
            "NumberOfArgs": 0,
            "Resolution": "Dynamic Power Supply Engagement (DPSE) is not supported by the current power supply configuration. Verify the PSUs are supported. Replace the unsupported PSUs.",
            "Severity": "Warning"
        },
        "PSU8520": {
            "Description": "The Dynamic Power Supply Engagement feature is supported and fully operational.",
            "Message": "Enhanced Dynamic Power Supply Engagement (DPSE) is fully supported.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PSU8521": {
            "Description": "The power supply unit (PSU) identified in the message was turned off because the temperature exceeded the high temperature threshold in the unit.",
            "Message": "PSU %1 exceeded upper temperature threshold and has been turned off.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Remove and reinsert the PSU or remove AC power and reapply power to the PSU to get it functional again.",
            "Severity": "Critical"
        },
        "PSUA0016": {
            "Description": "The supply has been removed or has failed.",
            "Message": "Power supply %1 is absent.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Install the power supply if needed.",
            "Severity": "Critical"
        },
        "PWR0100": {
            "Description": "None.",
            "Message": "The power button was pressed.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PWR0101": {
            "Description": "None.",
            "Message": "The power button was released.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PWR0102": {
            "Description": "None.",
            "Message": "The sleep button was pressed.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PWR0103": {
            "Description": "None.",
            "Message": "The sleep button was released.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PWR0104": {
            "Description": "The system will reset.",
            "Message": "The reset button was pressed.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PWR0105": {
            "Description": "The system will reset.",
            "Message": "The reset button was released.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PWR0106": {
            "Description": "None.",
            "Message": "The %1 is latched.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PWR0107": {
            "Description": "None.",
            "Message": "The %1 is unlatched.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PWR0108": {
            "Description": "None.",
            "Message": "The %1 service was requested.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PWR0109": {
            "Description": "None.",
            "Message": "The %1 service has completed.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PWR1000": {
            "Description": "None.",
            "Message": "The system performance restored.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PWR1001": {
            "Description": "To avoid shutdown, system performance has been degraded.",
            "Message": "The system performance degraded.",
            "NumberOfArgs": 0,
            "Resolution": "Review system configuration and power consumption.",
            "Severity": "Warning"
        },
        "PWR1002": {
            "Description": "To avoid shutdown, system performance has been degraded.",
            "Message": "The system performance degraded because of thermal protection.",
            "NumberOfArgs": 0,
            "Resolution": "Review system configuration and system logs for thermal or environmental failures and warnings.",
            "Severity": "Warning"
        },
        "PWR1003": {
            "Description": "To avoid shutdown, system performance has been degraded.",
            "Message": "The system performance degraded because cooling capacity has changed.",
            "NumberOfArgs": 0,
            "Resolution": "If unintended, review system configuration changes and thermal policy.",
            "Severity": "Warning"
        },
        "PWR1004": {
            "Description": "To avoid shutdown, system performance has been degraded.",
            "Message": "The system performance degraded because power capacity has changed.",
            "NumberOfArgs": 0,
            "Resolution": "If unintended, review system configuration changes and power policy.",
            "Severity": "Warning"
        },
        "PWR1005": {
            "Description": "To avoid exceeding the user defined capacity, system performance has been degraded.",
            "Message": "The system performance degraded because of user-defined power capacity has changed.",
            "NumberOfArgs": 0,
            "Resolution": "If unintended, review system configuration changes and power policy.",
            "Severity": "Warning"
        },
        "PWR1006": {
            "Description": "The system may shutdown.",
            "Message": "The system halted because system power exceeds capacity.",
            "NumberOfArgs": 0,
            "Resolution": "Review system configuration, upgrade power supplies or reduce system power consumption.",
            "Severity": "Critical"
        },
        "PWR1007": {
            "Description": "To avoid shutdown, system performance has been degraded.",
            "Message": "The system performance degraded because power exceeds capacity.",
            "NumberOfArgs": 0,
            "Resolution": "Review system configuration, upgrade power supplies or reduce system power consumption.",
            "Severity": "Warning"
        },
        "PWR1008": {
            "Description": "To avoid shutdown, system performance has been degraded.",
            "Message": "The system performance degraded because power draw exceeds the power threshold.",
            "NumberOfArgs": 0,
            "Resolution": "Review system configuration, upgrade power supplies or reduce system power consumption.",
            "Severity": "Critical"
        },
        "PWR1009": {
            "Description": "System power capacity is restored.",
            "Message": "System power capacity is restored.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PWR200": {
            "Description": "Enabling the Max Power Conservation Mode (MPCM) feature will disable the Extended Power Performance (EPP) feature. MPCM forces servers in to a low-power and limited-performance mode, and then disables the ability to turn on additional servers.",
            "Message": "Enabling the Max Power Conservation Mode (MPCM) feature will disable the Extended Power Performance (EPP) feature.",
            "NumberOfArgs": 0,
            "Resolution": "No response action required.",
            "Severity": "Warning"
        },
        "PWR2000": {
            "Description": "None.",
            "Message": "The system powered up.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PWR2001": {
            "Description": "None.",
            "Message": "The system hard reset.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PWR2002": {
            "Description": "None.",
            "Message": "The system warm reset.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PWR2003": {
            "Description": "None.",
            "Message": "User requested a PXE boot.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PWR2004": {
            "Description": "None.",
            "Message": "System booted automatically into diagnostics.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PWR2005": {
            "Description": "None.",
            "Message": "The OS run-time software initiated a hard reset.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PWR2006": {
            "Description": "None.",
            "Message": "The OS run-time software initiated a warm reset.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PWR2007": {
            "Description": "None.",
            "Message": "System restarted.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PWR201": {
            "Description": "Selecting the Server Based Power Management Mode option sets your power cap to a maximum value, server priorities to a default priority, and then disables the Max Power Conservation Mode.",
            "Message": "Selecting the Server Based Power Management Mode option sets your power cap to a maximum value, server priorities to a default priority, and then disables the Max Power Conservation Mode. Do you want to continue?",
            "NumberOfArgs": 0,
            "Resolution": "No response action required.",
            "Severity": "Warning"
        },
        "PWR202": {
            "Description": "Enabling the Max Power Conservation Mode (MPCM) feature forces servers in to a low-power and limited-performance mode, and then disables the ability to turn on additional servers.",
            "Message": "Enabling the Max Power Conservation Mode (MPCM) feature forces servers in to a low-power and limited-performance mode, and then disables the ability to turn on additional servers.",
            "NumberOfArgs": 0,
            "Resolution": "No response action required.",
            "Severity": "Warning"
        },
        "PWR203": {
            "Description": "The System Input Power Cap value cannot be set to less than or equal to 13300 W, because the Extended Power Performance feature is enabled.",
            "Message": "Unable to set the System Input Power Cap value to less than or equal to 13300 W (45381 BTU/h), because the Extended Power Performance feature is enabled.",
            "NumberOfArgs": 0,
            "Resolution": "Enter a Power cap value greater than 13300 W, and then retry the operation.",
            "Severity": "Warning"
        },
        "PWR204": {
            "Description": "Object value is successfully modified. Max Power Conservation Mode will deactivate the Extended Power Performance feature.",
            "Message": "Object value is successfully modified. Max Power Conservation Mode will deactivate the Extended Power Performance feature.",
            "NumberOfArgs": 0,
            "Resolution": "No response action required.",
            "Severity": "Warning"
        },
        "PWR205": {
            "Description": "The Server Performance Over Power Redundancy (SPOPR) feature cannot be enabled because the Extended Power Performance is enabled.",
            "Message": "The Server Performance Over Power Redundancy (SPOPR) feature cannot be enabled because the Extended Power Performance is enabled.",
            "NumberOfArgs": 0,
            "Resolution": "Disable Extended Power Performance and retry the operation.",
            "Severity": "Warning"
        },
        "PWR206": {
            "Description": "The Server Based Power Management (SBPM) feature cannot be enabled because the Extended Power Performance mode is enabled.",
            "Message": "The Server Based Power Management (SBPM) feature cannot be enabled because the Extended Power Performance mode is enabled.",
            "NumberOfArgs": 0,
            "Resolution": "Disable Extended Power Performance and retry the operation.",
            "Severity": "Warning"
        },
        "PWR207": {
            "Description": "The Dynamic Power Supply Engagement (DPSE) feature cannot be enabled because the Extended Power Performance mode is enabled.",
            "Message": "The Dynamic Power Supply Engagement (DPSE) feature cannot be enabled because the Extended Power Performance mode is enabled.",
            "NumberOfArgs": 0,
            "Resolution": "Disable Extended Power Performance and retry the operation.",
            "Severity": "Warning"
        },
        "PWR209": {
            "Description": "The redundancy policy cannot be changed to either Power Supply Redundancy or No Redundancy because the Extended Power Performance is enabled.",
            "Message": "Unable to change the redundancy policy to either Power Supply Redundancy or No Redundancy because the Extended Power Performance is enabled.",
            "NumberOfArgs": 0,
            "Resolution": "Disable Extended Power Performance and retry the operation.",
            "Severity": "Warning"
        },
        "PWR210": {
            "Description": "The redundancy policy cannot be changed to either Power Supply Redundancy or No Redundancy because the Extended Power Performance is enabled.",
            "Message": "The redundancy policy cannot be changed to either Power Supply Redundancy or No Redundancy because the Extended Power Performance is enabled.",
            "NumberOfArgs": 0,
            "Resolution": "No response action required.",
            "Severity": "Warning"
        },
        "PWR211": {
            "Description": "The Fresh Air (FA) mode cannot be set because the Extended Power Performance (EPP) feature is enabled.",
            "Message": "Unable to set the Fresh Air (FA) mode because the Extended Power Performance (EPP) feature is enabled.",
            "NumberOfArgs": 0,
            "Resolution": "No response action required.",
            "Severity": "Warning"
        },
        "PWR213": {
            "Description": "Cannot enable the Extended Power Performance (EPP) mode because the Max Power Conservation Mode (MPCM) is enabled.",
            "Message": "Cannot enable the Extended Power Performance (EPP) mode because the Max Power Conservation Mode (MPCM) is enabled.",
            "NumberOfArgs": 0,
            "Resolution": "Disable the Max Power Conservation Mode and retry the operation.",
            "Severity": "Warning"
        },
        "PWR214": {
            "Description": "Cannot enable the Extended Power Performance (EPP) mode because Dynamic Power Supply Engagement (DPSE) is enabled.",
            "Message": "Cannot enable the Extended Power Performance (EPP) mode because Dynamic Power Supply Engagement (DPSE) is enabled.",
            "NumberOfArgs": 0,
            "Resolution": "Disable Dynamic Power Supply Engagement (DPSE) and retry the operation.",
            "Severity": "Warning"
        },
        "PWR216": {
            "Description": "Unable to enable Extended Power Performance, because redundancy policy is set to Grid Redundancy or No Redundancy.",
            "Message": "Unable to enable Extended Power Performance, because Redundancy Policy is set to Grid Redundancy or No Redundancy.",
            "NumberOfArgs": 0,
            "Resolution": "Configure Redundancy Policy to Power Supply Redundancy and retry the operation. Using the CMC Web GUI, click Power > Configuration. From the Redundancy Policy drop-down menu, select Power Supply Redundancy.",
            "Severity": "Warning"
        },
        "PWR218": {
            "Description": "Cannot enable the Extended Power Performance (EPP) the feature because the Fresh Air (FA) mode is enabled.",
            "Message": "Cannot enable the Extended Power Performance (EPP) feature because the Fresh Air (FA) mode is enabled.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Warning"
        },
        "PWR219": {
            "Description": "The Extended Power Performance (EPP) feature cannot be enabled because PSU in the slot identified in the message is not a 3000 W PSU.",
            "Message": "The Extended Power Performance (EPP) feature cannot be enabled because the PSU in slot %1 is not a 3000 W PSU.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "In order to use the Extended Power Performance (EPP) feature, replace the PSU identified in the message with a 3000 W PSU.",
            "Severity": "Warning"
        },
        "PWR220": {
            "Description": "The Extended Power Performance (EPP) feature cannot be enabled because the slot identified in the message is empty.",
            "Message": "The Extended Power Performance (EPP) feature cannot be enabled because slot %1 is empty.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Insert an appropriate PSU in the slot identified in the message and retry the operation.",
            "Severity": "Warning"
        },
        "PWR2200": {
            "Description": "None.",
            "Message": "The system is in the ON state.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PWR2201": {
            "Description": "None.",
            "Message": "The system is sleeping with system hardware and processor context maintained.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PWR2202": {
            "Description": "None.",
            "Message": "The system is sleeping with lost processor context.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PWR2203": {
            "Description": "None.",
            "Message": "The system is sleeping with system hardware and processor context lost.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PWR2204": {
            "Description": "None.",
            "Message": "The system is in a non-volatile sleep state.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PWR2205": {
            "Description": "None.",
            "Message": "The system is in a soft-off state.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PWR2207": {
            "Description": "None.",
            "Message": "The system is in a mechanical off state.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PWR2208": {
            "Description": "None.",
            "Message": "The system is in a sleep state.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PWR2209": {
            "Description": "None.",
            "Message": "The system is in an undermined sleep state.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PWR221": {
            "Description": "The Extended Power Performance (EPP) feature is already disabled.",
            "Message": "The Extended Power Performance (EPP) feature is already disabled.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Warning"
        },
        "PWR2210": {
            "Description": "None.",
            "Message": "The system was forced into a soft-off state.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PWR2211": {
            "Description": "None.",
            "Message": "The system is in legacy ON state.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PWR2212": {
            "Description": "None.",
            "Message": "The system is in legacy OFF state.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PWR222": {
            "Description": "The Extended Power Performance (EPP) feature is already enabled.",
            "Message": "The Extended Power Performance (EPP) feature is already enabled.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Warning"
        },
        "PWR223": {
            "Description": "Cannot perform a 110V AC operation because the Extended Power Performance (EPP) feature is enabled.",
            "Message": "Cannot perform a 110V AC operation because the Extended Power Performance (EPP) feature is enabled.",
            "NumberOfArgs": 0,
            "Resolution": "Disable the Extended Power Performance (EPP) feature and retry the operation.",
            "Severity": "Warning"
        },
        "PWR2250": {
            "Description": "The server did not turn on because the chassis infrastructure is not ready. The chassis infrastructure includes: PCIe subsystem, storage components, and the chassis management controller.",
            "Message": "Unable to turn on the server because the chassis infrastructure not ready.",
            "NumberOfArgs": 0,
            "Resolution": "Check the status of the chassis infrastructure in the CMC Web or RACADM interface. Wait until the chassis infrastructure components are fully turned on.",
            "Severity": "Warning"
        },
        "PWR2251": {
            "Description": "The server did not turn on because the chassis cover is open.",
            "Message": "Unable to turn on the server because the chassis cover is open.",
            "NumberOfArgs": 0,
            "Resolution": "Close the chassis cover and retry the operation.",
            "Severity": "Warning"
        },
        "PWR2252": {
            "Description": "The server did not turn on because an NDC or Mezzanine card is incompatible with the I/O Module or PCIe subsystem.",
            "Message": "Unable to turn on the server because an NDC or Mezzanine card is incompatible with the I/O Module or PCIe subsystem.",
            "NumberOfArgs": 0,
            "Resolution": "Check the release notes for the product and make sure to install compatible components in the server.",
            "Severity": "Warning"
        },
        "PWR2253": {
            "Description": "The server did not turn on because a PCIe card or Mezzanine card is not installed.",
            "Message": "Unable to turn on the server because a PCIe card or Mezzanine card is not installed.",
            "NumberOfArgs": 0,
            "Resolution": "Install a PCI or Mezzanine card in the appropriate slot and retry the operation.",
            "Severity": "Warning"
        },
        "PWR2254": {
            "Description": "The use of 110V is unacknowledged for the chassis and the chassis cannot grant power on permission to the server.",
            "Message": "The use of 110V is unacknowledged and the chassis cannot grant power on permission to the server.",
            "NumberOfArgs": 0,
            "Resolution": "Check for unacknowledged use of 110V and change to acknowledged. Using the Chassis Management Controller (CMC) web interface, select Chassis Overview>Power>Configuration and then check the 110V Acknowledge field. Retry the operation to turn on the server.",
            "Severity": "Warning"
        },
        "PWR2255": {
            "Description": "The Chassis Management Controller (CMC) is configured in Max Power Conservation Mode and is unable to grant power on permission to the server.",
            "Message": "The Chassis Management Controller (CMC) is configured in Max Power Conservation Mode and is unable to grant power on permission to the server.",
            "NumberOfArgs": 0,
            "Resolution": "Disable the Max Power Conservation Mode on the chassis and retry the operation. Using the Chassis Management Controller (CMC) web interface, select Chassis Overview>Power>Configuration and then uncheck the Max Power Conservation Mode field.",
            "Severity": "Warning"
        },
        "PWR2256": {
            "Description": "The chassis infrastructure components are being initialized and are not ready to grant power on permission to the servers.",
            "Message": "Unable to allocate power for servers to turn on because the Chassis Management Controller (CMC) is initializing chassis infrastructure components.",
            "NumberOfArgs": 0,
            "Resolution": "Wait until the chassis infrastructure has been initialized and then retry the operation. To check that the infrastructure is initialized, using the RACADM command line utility run the command \"racadm getmodinfo\" and check that the \"pwrstate\" field is on for the chassis component.",
            "Severity": "Warning"
        },
        "PWR2257": {
            "Description": "The target power allocation override has been enabled or disabled as identified in the message.",
            "Message": "The target power allocation override is %1. The target power allocation (AC) is %2 Watts.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "No response action required.",
            "Severity": "Informational"
        },
        "PWR2258": {
            "Description": "The Power Supply Unit (PSU) hotspare thresholds were modified to the Wake Threshold and Sleep Threshold identified in the message.",
            "Message": "The Power Supply Unit (PSU) hotspare thresholds were modified. Wake Threshold: %1 %, Sleep Threshold: %2 %.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "No response action required.",
            "Severity": "Informational"
        },
        "PWR2260": {
            "Description": "The iDRAC experienced an IPMB communication issue with the Intel Management Engine and was not able to recover IPMB communications. The server thermal failsafe state is activated.",
            "Message": "The Intel Management Engine is unresponsive and the server thermal failsafe state is activated.",
            "NumberOfArgs": 0,
            "Resolution": "Disconnect power from the server and reconnect power. Turn on the server. If the issue persists, contact your service provider.",
            "Severity": "Warning"
        },
        "PWR2261": {
            "Description": "The iDRAC experienced an issue initializing the Current Monitor. The system motherboard may need replacement.",
            "Message": "Current Monitor initialization issue observed, IMON Revision %1, CPLD IMON MFR Revision %2.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "Contact your service provider.",
            "Severity": "Warning"
        },
        "PWR2262": {
            "Description": "The Intel Management Engine is unable to utilize the PECI over DMI facility.",
            "Message": "The Intel Management Engine has reported an internal system error.",
            "NumberOfArgs": 0,
            "Resolution": "Look for the PWR2264 \"normal system operation\" message in the Lifecycle Log after the PWR2262 entry. It may take 30 seconds for the message to be logged. If the PWR2264 message does not appear, do the following: Disconnect power from the server and reconnect power. Turn on the server. If the issue persists, contact your service provider.",
            "Severity": "Warning"
        },
        "PWR2263": {
            "Description": "User continued after receiving power supply oversubscription warning (F1/F2).",
            "Message": "User ignored Power Supply Oversubscription Warning.",
            "NumberOfArgs": 0,
            "Resolution": "No response action required.",
            "Severity": "Informational"
        },
        "PWR2264": {
            "Description": "The Intel Management Engine has recovered the ability to utilize the PECI over DMI facility.",
            "Message": "The Intel Management Engine has reported normal system operation.",
            "NumberOfArgs": 0,
            "Resolution": "If the PWR2262 \"internal system error\" was logged within the previous 30 seconds, ignore the message. No response action required.",
            "Severity": "Informational"
        },
        "PWR2265": {
            "Description": "The power supply unit (PSU) identified in the message is disabled because of a configuration mismatch and therefore the PSU is not supported on the server.",
            "Message": "The power supply unit (PSU) %1 is disabled because of a configuration mismatch and therefore the PSU is not supported on the server.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Install a supported power supply unit (PSU). For information about supported PSUs, see the product documentation available on the support site.",
            "Severity": "Critical"
        },
        "PWR2266": {
            "Description": "The power supply unit (PSU) identified in the message is disabled because of a generation mismatch and therefore the PSU is not supported on the server.",
            "Message": "The power supply unit (PSU) %1 is disabled because of a generation mismatch and therefore the PSU is not supported on the server.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Install a supported power supply unit (PSU). For information about PSUs of supported generations, see the product documentation available on the support site.",
            "Severity": "Critical"
        },
        "PWR2267": {
            "Description": "The power supply unit (PSU) identified in the message is disabled because of a capacity mismatch and therefore the PSU is not supported on the server.",
            "Message": "The power supply unit (PSU) %1 is disabled because of a capacity mismatch and therefore the PSU is not supported on the server.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Install a supported power supply unit (PSU). For information about PSUs of supported capacities, see the product documentation available on the support site.",
            "Severity": "Critical"
        },
        "PWR2268": {
            "Description": "The power supply unit (PSU) identified in the message is disabled because of a mismatch in the input voltage and therefore the PSU is not supported on the server.",
            "Message": "The power supply unit (PSU) %1 is disabled because of a mismatch in the input voltage and therefore the PSU is not supported on the server.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Install a power supply unit (PSU) that has similar input voltage. For information about supported PSUs, see the product documentation available on the support site.",
            "Severity": "Critical"
        },
        "PWR2269": {
            "Description": "The properties of Power Cap setting mode is changed.",
            "Message": "The properties of Power Cap setting mode is changed.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PWR2270": {
            "Description": "The Intel Management Engine has encountered a Health Event.",
            "Message": "The Intel Management Engine has encountered a Health Event.",
            "NumberOfArgs": 0,
            "Resolution": "Perform an AC Cycle operation on the host server, and then update the BIOS firmware to the latest version. For information about recommended BIOS versions, see the BIOS documentation on the support site.",
            "Severity": "Warning"
        },
        "PWR2271": {
            "Description": "The Intel Management Engine has encountered a Exception Event.",
            "Message": "The Intel Management Engine has encountered a Exception Event.",
            "NumberOfArgs": 0,
            "Resolution": "Perform an AC Cycle operation on the host server, and then update the BIOS firmware to the latest version. If the issue persists, contact your service provider. For information about recommended BIOS versions, see the BIOS documentation on the support site.",
            "Severity": "Critical"
        },
        "PWR2272": {
            "Description": "The power required by server exceeds the power supplied by the PSUs.",
            "Message": "The power required by server exceeds the power supplied by the power supply units (PSUs).",
            "NumberOfArgs": 0,
            "Resolution": "Check the power supply unit (PSUs) configuration, and then upgrade the PSU, if necessary.",
            "Severity": "Critical"
        },
        "PWR2273": {
            "Description": "The power required by server is within the power supplied by the power supply units (PSUs).",
            "Message": "The power required by server is within the power supplied by the power supply units (PSUs).",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PWR2400": {
            "Description": "The power management firmware cannot reduce power consumption to meet configuration or user defined settings.",
            "Message": "Power management firmware unable to maintain power limit.",
            "NumberOfArgs": 0,
            "Resolution": "1) Review system power policy.2) Check system event logs for thermal or power related exceptions.",
            "Severity": "Warning"
        },
        "PWR2401": {
            "Description": "The iDRAC controller detected that the power management firmware did not initialize properly. The system may operate in a performance degraded state.",
            "Message": "Power management firmware initialization error.",
            "NumberOfArgs": 0,
            "Resolution": "1) Disconnect system input power, wait one minute, reconnect system input power.2) Re-flash system BIOS.3) Upgrade system BIOS to the latest revision.",
            "Severity": "Critical"
        },
        "PWR2402": {
            "Description": "The iDRAC controller cannot communicate with the power management firmware due to an problem with the interface to the power management engine or with the power management engine itself. The system may operate in a performance degraded state.",
            "Message": "iDRAC is unable to communicate with power management firmware.",
            "NumberOfArgs": 0,
            "Resolution": "Check the Lifecycle Controller Log (LC Log) and make sure that there are no subsequent log entries indicating that Communication with power management firmware has been restored. If this log entry is not present then do one of the following: 1) Disconnect system input power, wait one minute, reconnect system input power. 2) Re-flash system BIOS. 3) Upgrade system BIOS to the latest revision.",
            "Severity": "Critical"
        },
        "PWR2403": {
            "Description": "The iDRAC controller established communication to the power management firmware. System performance will return to normal.",
            "Message": "iDRAC communication with power management firmware has been restored.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PWR2404": {
            "Description": "Power supply capacity alert disabled due to user configuration.",
            "Message": "Power supply capacity alert disabled.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PWR8500": {
            "Description": "The chassis power state from the configuration database and the current state are different. The current chassis power state will be updated in the configuration database. This is to insure the chassis power state will be the same if the CMC is rebooted or a CMC failover occurs. Note that the numerical value of the state is intended for technical support use.",
            "Message": "Chassis power state updated to %1 from %2.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PWR8501": {
            "Description": "Power allocation succeeded for Virtual infrastructure.",
            "Message": "Successfully set Virtual Infrastructure Device power to %1 WDC.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PWR8503": {
            "Description": "This Information is provided to enable checking whether the powercap is lower than the maximum supported powercap limit.",
            "Message": "The current value of System Input Power Cap (%1W AC) is less than the upper limit (%1W AC).",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PWR8504": {
            "Description": "The chassis power button press is detected but the button has been disabled.",
            "Message": "Chassis power button is pressed, but the button is disabled.",
            "NumberOfArgs": 0,
            "Resolution": "The chassis power button is disabled. To enable the chassis power button use the CMC RACADM command line interface, CMC Web interface. Using the command line, enter \"racadm config -g cfgChassisPower -o cfgChassisPowerButtonEnable 1\". Using the Web interface, click Chassis Overview > Power > Configuration. Clear the Disable Chassis Power Button check box.",
            "Severity": "Informational"
        },
        "PWR8505": {
            "Description": "The Dynamic Power Supply Engagement feature was not successfully enabled.",
            "Message": "The Dynamic Power Supply Engagement feature was not successfully enabled.",
            "NumberOfArgs": 0,
            "Resolution": "Restart the Chassis Management Controller and retry the operation. To restart the Chassis Management Controller, using the WEB UI, go to Chassis Overview > Power > Control, select the Reset CMC option, and then click Apply.",
            "Severity": "Warning"
        },
        "PWR8506": {
            "Description": "Resetting the power computation reading causes the log to report time at which it is reset.",
            "Message": "Cumulative power computation (KWH) time is reset on %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PWR8507": {
            "Description": "The system Input Power Cap was changed from the value to the value indicated in the message.",
            "Message": "System Input Power Cap changed from %1W AC to %2W AC.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PWR8508": {
            "Description": "If the power budget exceeds the effective capacity for the current redundancy policy, it is possible for power allocations to grow beyond the effective capacity, which would reduce redundancy capabilities.",
            "Message": "New power budget (%1W AC) may permit future degradation of redundancy.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required. Make sure there are enough PSUs to support redundancy at the specified power budget.",
            "Severity": "Warning"
        },
        "PWR8509": {
            "Description": "Unable to change the server power priority because Server Based Power Management mode is enabled.",
            "Message": "Unable to change the server power priority because Server Based Power Management mode is enabled.",
            "NumberOfArgs": 0,
            "Resolution": "The server power priority can be changed once Server Based Power Management mode is disabled. Using the CMC Web UI, navigate to the Chassis Overview > Power > Configuration page, then uncheck the Enable Server Based Power Management checkbox. Retry the operation.",
            "Severity": "Warning"
        },
        "PWR8510": {
            "Description": "Unable to set the chassis power identified in the message.",
            "Message": "Unable to set chassis power property %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Retry the operation. If the issue persists, contact your service provider.",
            "Severity": "Warning"
        },
        "PWR8511": {
            "Description": "Unable to set the CHASSIS_POWER_button_disable chassis power property.",
            "Message": "Unable to set the CHASSIS_POWER_button_disable chassis power property.",
            "NumberOfArgs": 0,
            "Resolution": "Retry the operation. If the issue persists, contact your service provider.",
            "Severity": "Warning"
        },
        "PWR8512": {
            "Description": "Power configuration data in memory cannot be accessed due to synchronization issues.",
            "Message": "CMC rebooted, because the power configuration data could not be accessed.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Critical"
        },
        "PWR8514": {
            "Description": "The user account credentials provided for this chassis power action do not have the correct privilege. Chassis control privilege is required to perform chassis power actions.",
            "Message": "Unable to perform chassis power action due to insufficient privileges.",
            "NumberOfArgs": 0,
            "Resolution": "Retry to action with a different user account that has chassis power control privilege.",
            "Severity": "Warning"
        },
        "PWR8515": {
            "Description": "Unable to perform the chassis power action because the chassis is not turned on.",
            "Message": "Unable to perform the chassis power action because the chassis is not turned on.",
            "NumberOfArgs": 0,
            "Resolution": "Turn the chassis on and retry the operation.",
            "Severity": "Informational"
        },
        "PWR8516": {
            "Description": "Unable to perform the chassis power action requested.",
            "Message": "Unable to perform the chassis power action requested.",
            "NumberOfArgs": 0,
            "Resolution": "Check the tracelog for more information. If the issue persists, contact your service provider.",
            "Severity": "Informational"
        },
        "PWR8517": {
            "Description": "Chassis power state transition did not complete successfully. This may be due to one of the following: 1) Unable to turn off one or more servers, 2) A firmware update may be in progress.",
            "Message": "Unable to turn off chassis power.",
            "NumberOfArgs": 0,
            "Resolution": "Check the tracelog for more information. If the issue persists, contact your service provider.",
            "Severity": "Warning"
        },
        "PWR8518": {
            "Description": "Unable to perform the chassis power action because the chassis is already turned on.",
            "Message": "Unable to perform the chassis power action because the chassis is already turned on.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PWR8519": {
            "Description": "Unable to perform the chassis power action because the chassis is already turned off.",
            "Message": "Unable to perform the chassis power action because the chassis is already turned off.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PWR8520": {
            "Description": "The chassis reset operation was initiated.",
            "Message": "Initiated the chassis reset operation.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PWR8521": {
            "Description": "The chassis reset operation was completed.",
            "Message": "Completed chassis reset operation.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PWR8522": {
            "Description": "The chassis power cycle operation was initiated.",
            "Message": "Initiated chassis power cycle operation.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PWR8523": {
            "Description": "The chassis power cycle operation was completed.",
            "Message": "Completed chassis power cycle operation.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PWR8524": {
            "Description": "The redundancy was lost because the power requirement of the chassis exceeds the current redundant policy.",
            "Message": "Redundancy was lost, while Server Performance Over Power Redundancy is enabled.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required. Review the power requirements and determine if more PSUs are needed to restore redundancy.",
            "Severity": "Informational"
        },
        "PWR8525": {
            "Description": "110VAC operation of PSUs is acknowledged.",
            "Message": "110VAC Operation acknowledged.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PWR8526": {
            "Description": "110VAC operation of PSUs is unacknowledged.",
            "Message": "110VAC Operation unacknowledged.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PWR8527": {
            "Description": "Server slot power priorities were changed. Power to servers is being reallocated.",
            "Message": "Server slot power priorities changed - reallocating power.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PWR8528": {
            "Description": "The Max Power Conservation Mode can be enabled only when Server Based Power Management Mode is disabled.",
            "Message": "Unable to set Max Power Conservation Mode because the Server Based Power Management mode is enabled.",
            "NumberOfArgs": 0,
            "Resolution": "The Max Power Conservation Mode can be changed when Server Based Power Management mode is disabled. Using the CMC Web UI, navigate to the Chassis Overview > Power > Configuration page, then uncheck the Enable Server Based Power Management checkbox. Retry the operation.",
            "Severity": "Warning"
        },
        "PWR8529": {
            "Description": "The Max Power Conservation Mode is enabled.",
            "Message": "Max Power Conservation Mode is enabled.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PWR8530": {
            "Description": "Max Power Conservation Mode is disabled.",
            "Message": "Max Power Conservation Mode is disabled.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PWR8531": {
            "Description": "Server Based Power Management Mode is enabled.",
            "Message": "Server Based Power Management Mode is enabled.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PWR8532": {
            "Description": "Server Based Power Management Mode is disabled.",
            "Message": "Server Based Power Management Mode is disabled.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PWR8533": {
            "Description": "Power cap setting was changed.",
            "Message": "Power cap changed from %1 W AC to %1 W AC.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PWR8534": {
            "Description": "Unable to set Server Based Power Management Mode to enable.",
            "Message": "Unable to set Server Based Power Management Mode to enable.",
            "NumberOfArgs": 0,
            "Resolution": "Retry the operation. If the issue persists, contact your service provider.",
            "Severity": "Warning"
        },
        "PWR8535": {
            "Description": "Unable to set Server Based Power Management Mode to disable.",
            "Message": "Unable to set Server Based Power Management Mode to disable.",
            "NumberOfArgs": 0,
            "Resolution": "Retry the operation. If the issue persists, contact your service provider.",
            "Severity": "Warning"
        },
        "PWR8536": {
            "Description": "Server Performance Over Power Redundancy is enabled.",
            "Message": "Server Performance Over Power Redundancy is enabled.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PWR8537": {
            "Description": "Server Performance Over Power Redundancy is disabled.",
            "Message": "Server Performance Over Power Redundancy is disabled.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PWR8538": {
            "Description": "Power Remote Logging is enabled.",
            "Message": "Power Remote Logging is enabled.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PWR8539": {
            "Description": "Power Remote Logging is disabled.",
            "Message": "Power Remote Logging is disabled.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PWR8540": {
            "Description": "The interval for remote logging of power information is set to the value identified in the message.",
            "Message": "Power Remote Logging Interval set to %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PWR8541": {
            "Description": "Chassis powerup operation initiated.",
            "Message": "Chassis powerup operation initiated.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PWR8542": {
            "Description": "Chassis powerup operation completed.",
            "Message": "Chassis powerup operation completed.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PWR8543": {
            "Description": "Invalid power inventory reported by the iDRAC of the server identified in the message to the CMC.",
            "Message": "Server %1 power inventory is not valid. Power inventory reading is Max Power=%2 AC Watt, Min Power=%3 AC Watt, Allocated Power=%4 AC Watt.",
            "NumberOfArgs": 4,
            "ParamTypes": [
                "String",
                "String",
                "String",
                "String"
            ],
            "Resolution": "Turn on the server identified in the message. If the issue persists, contact your service provider.",
            "Severity": "Warning"
        },
        "PWR8544": {
            "Description": "Insufficient power is available for the server identified in the message to function. The server will be turned off until there is sufficient power available.",
            "Message": "Chassis Management Controller turned off the Server %1 because of insufficient power at inventory.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Make sure there is enough power supply to distribute power. Using the CMC Web UI, go to Chassis Overview > Power > Power Budget Status. In the Total Input Power Available For Allocation field view the available power. To add more power, insert more PSUs or remove unused components from the chassis.",
            "Severity": "Critical"
        },
        "PWR8545": {
            "Description": "Incorrect power inventory information reported by the iDRAC for the server identified in the message.",
            "Message": "Chassis Management Controller turned off the server %1 because of incorrect power data retrieved from iDRAC at inventory.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Invalid power inventory information could be due to outdated iDRAC firmware or server BIOS firmware versions. Update the components to their latest versions.",
            "Severity": "Critical"
        },
        "PWR8546": {
            "Description": "A chassis shutdown was already in progress, when the additional shutdown request was received.",
            "Message": "Chassis shutdown already in progress.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PWR8547": {
            "Description": "The chassis was already turned off, when the power off request was received.",
            "Message": "Chassis is already powered off.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PWR8548": {
            "Description": "Chassis shutdown operation initiated.",
            "Message": "Chassis shutdown operation initiated.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PWR8549": {
            "Description": "The requested chassis shutdown operation did not complete successfully.",
            "Message": "Chassis shutdown did not complete successfully.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Warning"
        },
        "PWR8550": {
            "Description": "Chassis shutdown completed.",
            "Message": "Chassis shutdown completed.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PWR8551": {
            "Description": "This will be logged when a Virtual Infrastructure Device power allocation is configured.",
            "Message": "Successfully set Virtual Infrastructure Device power to %1 DC Watt.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PWR8552": {
            "Description": "There is insufficient power for the component identified in the message to turn on.",
            "Message": "Chassis Management Controller is unable to turn on %1-%2 because of insufficient power.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "Make sure there is enough power supply to distribute power. Using the CMC Web UI, go to Chassis Overview > Power > Power Budget Status. In the Total Input Power Available For Allocation field view the available power. To add more power, insert more PSUs or remove unused components from the chassis. Contact your service provider for information on the power required for the component identified in the message.",
            "Severity": "Warning"
        },
        "PWR8554": {
            "Description": "This situation occurs if the iDRAC is found to be turned off after power allocation information is sent by the CMC or if the communications between the CMC and iDRAC is non functional.",
            "Message": "Chassis Management Controller is unable to send power allocation information to %1-%2 at priority %3.",
            "NumberOfArgs": 3,
            "ParamTypes": [
                "String",
                "String",
                "String"
            ],
            "Resolution": "Perform a Virtual Reseat of the component identified in the message. Using the CMC Web UI, go to Chassis Overview > Troubleshooting > Reset Components, and then select slot for the component identified in the message and apply the Virtual Reseat.",
            "Severity": "Critical"
        },
        "PWR8555": {
            "Description": "The request to turn on the component identified in the message was not successful because insufficient power is available at the identified priority for the component.",
            "Message": "Chassis Management Controller unable to turn on %1-%2 at priority %3 because of insufficient power. Minimum power needed is %4 AC Watt, but only %5 AC Watt is available.",
            "NumberOfArgs": 5,
            "ParamTypes": [
                "String",
                "String",
                "String",
                "String",
                "String"
            ],
            "Resolution": "Make sure there is enough power supply to distribute power. Using the CMC Web UI, go to Chassis Overview > Power > Power Budget Status. In the Total Input Power Available For Allocation field view the available power. To add more power, insert more PSUs or remove unused components from the chassis.",
            "Severity": "Warning"
        },
        "PWR8556": {
            "Description": "The Server identified in the message was shutdown due to insufficient power.",
            "Message": "Server %1 was shutdown due to insufficient power.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Critical"
        },
        "PWR8557": {
            "Description": "The current Power Cap setting cannot be enforced. This may be the result of changing the redundancy mode or by changing the PSUs. The power cap setting must be increased to be usable.",
            "Message": "The System Input Power Cap is too low to be enforced using the current Power Supply configuration.",
            "NumberOfArgs": 0,
            "Resolution": "Increase the Power Cap value. To increase the Power Cap do one of the following: 1) Using CMC Web interface: Select \"Chassis Overview\" -> Power -> Configuration and then adjust System Input Power Cap values. 2) Run the following RACADM command at the command line interface: \"config -g cfgChassisPower -o cfgChassisPowerCap <value>\".Try setting the power cap above the lower bound displayed on the power configuration page.",
            "Severity": "Warning"
        },
        "PWR8558": {
            "Description": "A configuration change has occurred such that the current power cap is now supported.",
            "Message": "The System Input Power Cap is being enforced with the current Power Supply configuration.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PWR8559": {
            "Description": "Power cycle initiated for the I/O module in the slot identified in the message.",
            "Message": "Power cycle initiated for I/O Module %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PWR8560": {
            "Description": "Unable to turn on the I/O Module identified in the message due to insufficient chassis power.",
            "Message": "Unable to turn on I/O Module %1 due to insufficient chassis power.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Utilize the Chassis Management Controller (CMC) web interface to check available power and I/O Module power requirements. If sufficient power is available, restart the CMC and retry the operation. If sufficient power is not available due to an insufficient number of PSUs, add additional PSU(s) and reinsert the I/O Module.",
            "Severity": "Critical"
        },
        "PWR8561": {
            "Description": "The Chassis Management Controller is unable to communicate with the Server iDRAC service processor and the server could not be powered on. This situation may occur when iDRAC is rebooting.",
            "Message": "Unable to power on server %1 because of iDRAC communication issue.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Wait for three minutes and then retry the operation. If the issue persists, remove and reinsert the server and wait for the iDRAC to finish restarting.",
            "Severity": "Critical"
        },
        "PWR8562": {
            "Description": "Unable to power on the server before the power on timer has expired. This happens if the server did not show power on status change within 30 seconds after the power on operation was initiated. This issue may also occur when iDRAC is rebooting.",
            "Message": "Unable to power on the server %1 before power on timer expired.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "The Server may need more time to power on. Wait for ten seconds and check the power status. If the server was not powered on, retry the operation. If the issue persists, remove and reinsert the server, wait for the iDRAC to complete startup, and retry the operation.",
            "Severity": "Warning"
        },
        "PWR8563": {
            "Description": "The Server identified in the message did not turn on due to a fabric mismatch between the I/O Module and the Mezzanine card on the Server.",
            "Message": "Unable to turn on Server %1 due to I/O fabric inconsistency.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Make sure that the hardware compatibility between the I/O Module (IOM) and the Mezzanine (Mezz) card is correct. Check the M1000e Hardware Manual for correct component compatibility.",
            "Severity": "Critical"
        },
        "PWR8564": {
            "Description": "The server identified in the message was not turned on because the available power is less than the requested power.",
            "Message": "Unable to turn on the Server %1 because the power request exceeded the System Input Power Cap.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Utilize the Chassis Management Controller web interface to check the System Input Max Power Capacity Power and server power requirements. If sufficient power is available, retry the operation. Otherwise, increase the System Input Power Cap value.",
            "Severity": "Warning"
        },
        "PWR8565": {
            "Description": "The Chassis Management Controller is unable to communicate with the iDRAC service processor for the Server identified in the message and the Server could not be turned off. This situation may occur when iDRAC is rebooting.",
            "Message": "Unable to turn off the Server %1 due to iDRAC communication issue.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Do the following: 1) Wait for a few minutes for the iDRAC service processor to complete startup. 2) Retry the operation. 3) If the issue persists, reset the iDRAC and wait a few minutes for the iDRAC startup to complete before retrying the operation.",
            "Severity": "Critical"
        },
        "PWR8566": {
            "Description": "Unable to turn off the Server before the Power Off timer has expired. This happens if the Server did not show \"power off\" status change within 30 seconds after the operation was initiated. This situation may also occur when iDRAC is rebooting.",
            "Message": "Unable to turn off the Server %1 before the Power Off timer expired.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "The Server may need more time to turn off. Wait for ten seconds and check the power status. If the Server was not turned off, retry the operation. If the issue persists, remove and reinsert the Server, wait for the iDRAC to complete startup, and retry the operation.",
            "Severity": "Warning"
        },
        "PWR8567": {
            "Description": "Unable to turn off the Server on a power cycle operation. This happens if the Server did not show a \"power off\" status change within the expected time.",
            "Message": "Unable to turn off Server %1 on a power cycle action.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "The Server could have taken more time to turn off than expected. If the Server is turned off, turn on to complete the power cycle. If the Server has not completed a power cycle, retry the operation.",
            "Severity": "Warning"
        },
        "PWR8568": {
            "Description": "The server identified in the message did not gracefully shutdown before the CMC shutdown timer expired. This happens if the server did not show power off status change within 60 seconds after the operation was initiated, or if the OS in the server has not successfully shutdown.",
            "Message": "Server %1 did not gracefully shutdown before the timer expired.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Check if the OS in the server identified in the message has successfully shutdown, if not, manually complete the shutdown or wait for the shutdown to complete normally. If the issue persists, perform a forced power down of the server identified in the message.",
            "Severity": "Warning"
        },
        "PWR8569": {
            "Description": "The requested power cycle operation cannot be performed when the server is not turned on. The server should be already turned on for the power cycle operation to be successful.",
            "Message": "Unable to power cycle the server %1 because the server is off.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Turn on the server, if necessary, before requesting a power cycle operation.",
            "Severity": "Informational"
        },
        "PWR8570": {
            "Description": "The Chassis Management Controller is not able to communicate with the iDRAC on the server identified in the message. Therefore, the server could not be power cycled. This situation may occur when iDRAC is rebooting.",
            "Message": "Unable to communicate to the iDRAC, when trying to power cycle the server %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Wait for few minutes, and then retry the operation. If the issue persists, do one of the following: 1) Reset the iDRAC, 2) Perform a Virtual Reseat of the server, 3) Remove and re-insert the server.",
            "Severity": "Warning"
        },
        "PWR8571": {
            "Description": "Another power action is in progress. The requested power action cannot be carried out until the power action in progress completes.",
            "Message": "Unable to perform the power action requested for the server %1because another power action is in progress.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Wait for the power action in progress to complete and retry the operation. It may take a few minutes for the current power action to complete.",
            "Severity": "Informational"
        },
        "PWR8572": {
            "Description": "The server identified in the message can be shutdown only if the server is turned on.",
            "Message": "Unable to shutdown the server %1 because the server is off.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PWR8573": {
            "Description": "The Chassis Management Controller is not able to communicate with the iDRAC on the server identified in the message. Therefore the server could not be turned off. This situation may occur when iDRAC is restarting.",
            "Message": "The Chassis Management Controller is unable to communicate to the iDRAC, when trying to turn off the server %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Wait for three minutes, and then retry the operation. If the issue persists, remove and reinsert the server and wait for the iDRAC to finish restarting before retying the operation.",
            "Severity": "Warning"
        },
        "PWR8574": {
            "Description": "The Chassis Management Controller is not able to communicate with the iDRAC on the server identified in the message. Therefore the server could not be hard reset. This situation may occur when iDRAC is restarting.",
            "Message": "The Chassis Management Controller is unable to communicate to the iDRAC, when trying to hard reset the server %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Wait for three minutes, and then retry the operation. If the issue persists, remove and reinsert the server and wait for the iDRAC to finish restarting before retying the operation.",
            "Severity": "Critical"
        },
        "PWR8575": {
            "Description": "A Virtual Reseat for the server identified in the message is initiated. A Virtual Reseat is the same as removing and inserting a server.",
            "Message": "Initiated the Virtual Reseat of server %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PWR8576": {
            "Description": "The virtual reseat initiated on the Sleeve or Sled identified in the message successfully turned off the component. However, the Sleeve or Sled did not turn on successfully. A virtual reseat is the same as removing and inserting a Sleeve or Sled.",
            "Message": "Unable to turn on the Sleeve or Sled %1 after a virtual reseat operation.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Retry the virtual reseat operation on the Sleeve or Sled identified in the message. If the issue persists, manually remove and reinsert the Sleeve or Sled in the chassis.",
            "Severity": "Warning"
        },
        "PWR8577": {
            "Description": "A virtual reseat operation is initiated on the Sleeve or Sled identified in the message. A virtual reseat is the same as removing and inserting a Sleeve or Sled.",
            "Message": "A virtual reseat operation is initiated on Sleeve or Sled %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PWR8578": {
            "Description": "The Chassis Management Controller is unable to turn on the iDRAC because power required is less than available power.",
            "Message": "Chassis Management Controller is unable to turn on the iDRAC on server-%1 because power required is less than available power.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Make sure there is enough power supply to distribute power. Go to, the Chassis Overview > Power > Power Budget Status. In the Total Input Power Available For Allocation field, view the available power. To add more power, insert more PSUs or remove unused components from the chassis. Remove and reinsert the server when enough power is available.",
            "Severity": "Warning"
        },
        "PWR8579": {
            "Description": "A request to reset the CMC identified in the message is initiated. If a second CMC is present, a failover to the other CMC will occur as a result.",
            "Message": "Request to reset the CMC %1 is initiated.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PWR8580": {
            "Description": "The power on request for the server identified in the message was not successful because the Chassis is turned off.",
            "Message": "Chassis Management Controller is unable to turn on server-%1 because the Chassis is not turned on.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Turn on the Chassis, and then retry the operation. To turn on the Chassis using the Chassis Management Controller Web UI, go to Chassis Overview > Power > Control, select the Power On System option, and then click Apply.",
            "Severity": "Informational"
        },
        "PWR8581": {
            "Description": "A chassis power operation is currently in progress and the server identified in the message could not be turned on.",
            "Message": "Chassis Management Controller is unable to turn on server-%1 because another chassis power operation is in progress.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Wait until the current chassis power operation is complete and the chassis is On and then retry the operation.",
            "Severity": "Informational"
        },
        "PWR8582": {
            "Description": "Unable to turn on the server identified in the message because the Max Power Conservation Mode (MPCM) is enabled. After MPCM is enabled, the chassis will be in power conservation mode and the CMC cannot process any further server power on operation requests.",
            "Message": "Chassis Management Controller is unable to turn on server-%1 because Max Power Conservation Mode is enabled.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Disable the Max Power Conservation Mode and retry the operation.",
            "Severity": "Informational"
        },
        "PWR8583": {
            "Description": "To enable 110V operation, the Allow 110VAC Operation feature must be enabled. If the feature is not enabled, the server turn-on operation will not be processed.",
            "Message": "Chassis Management Controller is unable to turn on server-%1 because unacknowledged 110V PSUs are present.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "On the Power Configuration page, in the Web UI, select the Allow 110VAC Operation for power supplies and retry the operation. Using the RACADM utility, run the following command, \"racadm config -g cfgChassisPower -o cfgChassisAllow110VACOperation 1\".",
            "Severity": "Informational"
        },
        "PWR8584": {
            "Description": "If power redundancy is lost and the server Performance Over Power Redundancy feature is disabled, the server turn-on will not be allowed.",
            "Message": "Chassis Management Controller is unable to turn on server-%1 because the power supply redundancy is lost and Performance Over Power Redundancy feature is disabled and the power required is less than the available power.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "To enable the server to be turned-on, on the Power Configuration page in the Web UI, enable the server Performance Over Power Redundancy option . Using the RACADM utility, run the following command \"racadm config -g cfgChassisPower -o cfgChassisPerformanceOverRedundancy 1\". Then retry the operation.",
            "Severity": "Informational"
        },
        "PWR8585": {
            "Description": "Chassis Management Controller granted the power required to turn on the server identified in the message.",
            "Message": "Chassis Management Controller granted the power required to turn on server-%1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PWR8586": {
            "Description": "The Chassis does not support the server identified in the message.",
            "Message": "Chassis Management Controller is unable to turn on server-%1 because it is not supported in the VRTX chassis.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "The server inserted is not supported in the Chassis. Remove the server from the Chassis.",
            "Severity": "Informational"
        },
        "PWR8587": {
            "Description": "The server cannot be turned on if the chassis enclosure is open.",
            "Message": "Chassis Management Controller is unable to turn on server-%1 because the chassis enclosure is open.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "The chassis enclosure is open. Retry the operation after closing the enclosure.",
            "Severity": "Informational"
        },
        "PWR8588": {
            "Description": "The server identified in the message cannot be turned on while a chassis infrastructure firmware update operation is in progress.",
            "Message": "Chassis Management Controller is unable to turn on server-%1 because a chassis infrastructure firmware update is in progress.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "The chassis infrastructure firmware update is in progress. Retry the operation after the firmware update is complete.",
            "Severity": "Informational"
        },
        "PWR8589": {
            "Description": "The PCIe Mezzanine card in the slot B1 is absent. Without PCIe Mezzanine cards, the chassis PCIe cards will not be available for servers.",
            "Message": "The server-%1 does not have PCIe Mezzanine card in slot B1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Insert a PCIe Mezzanine card in slot B1.",
            "Severity": "Informational"
        },
        "PWR8590": {
            "Description": "The PCIe Mezzanine card in the slot C1 is absent. Without PCIe Mezzanine cards, the chassis PCIe cards will not be available for servers.",
            "Message": "The server-%1 does not have PCIe Mezzanine card in slot C1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Insert a PCIe Mezzanine card in slot C1.",
            "Severity": "Informational"
        },
        "PWR8591": {
            "Description": "Before inserting hard disk drives, always make sure the Chassis has enough available power. Otherwise operating servers may be turned off.",
            "Message": "Servers are turned off to allocate power to the newly inserted hard disk drives.",
            "NumberOfArgs": 0,
            "Resolution": "Make sure there is enough power supply to distribute power. Go to, the Chassis Overview > Power > Power Budget Status. In the Total Input Power Available For Allocation field, view the available power. To add more power, insert more PSUs or remove unused components from the chassis.",
            "Severity": "Critical"
        },
        "PWR8592": {
            "Description": "The request to turn on or turn off the chassis was issued before the previous power operation was completed.",
            "Message": "Chassis Management Controller is unable to turn on or turn off the chassis because another chassis power operation is in progress.",
            "NumberOfArgs": 0,
            "Resolution": "Retry the operation after the current operation is complete.",
            "Severity": "Informational"
        },
        "PWR8593": {
            "Description": "The chassis power operation cannot be performed when a chassis infrastructure firmware update is in progress.",
            "Message": "Chassis Management Controller is unable to turn on or turn off the chassis because the chassis infrastructure component firmware update is in progress.",
            "NumberOfArgs": 0,
            "Resolution": "Retry the operation after the chassis infrastructure component firmware update is complete.",
            "Severity": "Informational"
        },
        "PWR8594": {
            "Description": "The available power is not sufficient to enable the Enhanced Cooling Mode feature.",
            "Message": "Chassis Management Controller is unable to set the Enhanced Cooling Mode because the requested power %1 AC Watt is more than available power %2 AC Watt.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "Make sure there is enough power supply to enable the Enhanced Cooling Mode feature. Go to, the Chassis Overview > Power > Power Budget Status. In the Total Input Power Available For Allocation field view the available power. To add more power, insert more PSUs or remove unused components from the chassis.",
            "Severity": "Warning"
        },
        "PWR8595": {
            "Description": "The turn-on request for the server identified in the message did not succeed because of insufficient power to the chassis component identified in the message.",
            "Message": "Chassis Management Controller is unable to turn on server %1 due to insufficient power for the %2.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "The Chassis Management Controller (CMC) will retry turning on the server and the corresponding components associated to the server after a predefined interval. If the issue persists, refer to the Managing and Monitoring Power section in the CMC User Guide for more information on configuring power management settings.",
            "Severity": "Warning"
        },
        "PWR8596": {
            "Description": "The Chassis Management Controller cannot turn on the server identified in the message, because PSU redundancy is lost or PSUs are removed. Sufficient power is not available for the operation.",
            "Message": "Chassis Management Controller is unable to turn on server-%1 because PSU redundancy is lost and the available power is insufficient.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Make sure there is enough power supply to distribute power. Go to, the Chassis Overview > Power > Power Budget Status. In the Total Input Power Available For Allocation field, view the available power. To add more power, insert more PSUs or remove unused components from the chassis. When enough power is available, retry the operation.",
            "Severity": "Warning"
        },
        "PWR8597": {
            "Description": "The identified Power Supply Unit (PSU) is turned off because it is not supported by the Chassis.",
            "Message": "The Power Supply Unit (PSU) %1 is turned off because it is not supported by the Chassis.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Replace the PSU identified in the message with an appropriate unit, and then retry the operation. For a list of PSUs that are compatible, consult the system Owner's Manual or contact your service provider.",
            "Severity": "Critical"
        },
        "PWR8598": {
            "Description": "The Power Supply Unit (PSU) identified in the message is turned off because it is not compatible with the other PSUs in the Chassis.",
            "Message": "The Power Supply Unit (PSU) %1 is turned off because it is not compatible with the other PSUs used in the Chassis.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Replace the PSU with an appropriate unit, and then retry the operation. For a list of PSUs that are compatible, consult the system Owner's Manual or contact your service provider.",
            "Severity": "Critical"
        },
        "PWR8601": {
            "Description": "The power buttons for all multinode sleds in the chassis are disabled. The operation to disable the power button is only applicable to the multinode sleds available, and does not affect other servers in the chassis.",
            "Message": "The multinode sled power button is disabled.",
            "NumberOfArgs": 0,
            "Resolution": "To enable the chassis power button use the CMC RACADM command line interface (CLI) or CMC Web interface. At the CLI, enter \"racadm config -g cfgChassisPower -o cfgChassisSledPowerButtonEnable 1\". Using the Web interface, click Server Overview > Power > Control. Clear the Disable power button for all multinode sleds in the chassis\" check box.",
            "Severity": "Informational"
        },
        "PWR8602": {
            "Description": "The power buttons for all multinode sleds in the chassis are enabled. The operation to enable the power button is only applicable to the multinode sleds available, and does not affect other servers in the chassis.",
            "Message": "The multinode sled power button is enabled.",
            "NumberOfArgs": 0,
            "Resolution": "To disable the chassis power button use the CMC RACADM command line interface (CLI) or CMC Web interface. At the CLI, enter \"racadm config -g cfgChassisPower -o cfgChassisSledPowerButtonEnable 0\". Using the Web interface, click Server Overview > Power > Control. Select the \"Disable power button for all multinode sleds in the chassis\" check box.",
            "Severity": "Informational"
        },
        "PWR8654": {
            "Description": "CMC could not successfully send the power allocation information to the component identified in the message, because either iDRAC is stopped after the power allocation was sent by CMC or the communication between CMC and iDRAC has ended.",
            "Message": "Chassis Management Controller (CMC) is unable to send power allocation information to the component %1-%2.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "Perform a Virtual Reseat operation of the component, and then retry the operation. To virtually reseat a component, log in to the CMC Web interface, select Chassis Overview > Troubleshooting > Reset Components > select the option corresponding to the component, and then click Virtual Reseat.",
            "Severity": "Critical"
        },
        "PWR8655": {
            "Description": "CMC could not successfully turn on the component identified in the message, because of insufficient power available.",
            "Message": "Chassis Management Controller (CMC) is unable to turn on the component %1-%2 because of insufficient power. The minimum required power is %3 AC Watts, but only %4 AC Watts is available.",
            "NumberOfArgs": 4,
            "ParamTypes": [
                "String",
                "String",
                "String",
                "String"
            ],
            "Resolution": "Make sure there is sufficient power available, and then retry the operation. To view the available power, on the CMC Web interface, click Chassis Overview > Power > Power Budget Status. The available power is displayed in the Total Input Power Available For Allocation field. To increase available power, add more PSUs or remove unused components from the Chassis.",
            "Severity": "Warning"
        },
        "PWR8656": {
            "Description": "CMC could not successfully turn on the component identified in the message, because of insufficient power available.",
            "Message": "Chassis Management Controller (CMC) is unable to turn on the component %1-%2 because of insufficient power.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "Make sure there is sufficient power available, and then retry the operation. To increase available power, add more PSUs, use PSUs with higher voltage inputs or a higher power rating, remove unused components from the Chassis, or change the redundancy policy to Redundancy Alerting Only or Non-redundant.",
            "Severity": "Warning"
        },
        "PWR8663": {
            "Description": "The server identified in the message could not be successfully turned on because of incompatibility between the I/O module and mezzanine card.",
            "Message": "Unable to turn on the server %1 because of an inconsistency between the I/O module and mezzanine card.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Make sure that the I/O module and mezzanine card are compatible. For information about compatibility of hardware components, see the Modular System Chassis Hardware Manual.",
            "Severity": "Critical"
        },
        "PWR8664": {
            "Description": "The power configuration property dynamic power supply engagement feature is disabled or enabled as identified in the message.",
            "Message": "The Dynamic Power Supply Engagement feature is %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PWR8665": {
            "Description": "The property chassis power button is either enabled or disabled as identified in the message.",
            "Message": "The Chassis power button is %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PWR8666": {
            "Description": "The iKVM power cycle operation is initiated.",
            "Message": "The iKVM power cycle operation is initiated.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PWR8667": {
            "Description": "Chassis Management Controller (CMC) is resetting iKVM to its default settings.",
            "Message": "Chassis Management Controller (CMC) is resetting iKVM to its default settings.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PWR8668": {
            "Description": "Chassis Management Controller (CMC) has initiated the process of resetting iKVM.",
            "Message": "Chassis Management Controller (CMC) has initiated the process of resetting iKVM.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PWR8669": {
            "Description": "The server identified in the message could not be successfully turned on because of incompatibility between the chassis PCIe components and mezzanine card.",
            "Message": "Unable to turn on the server %1 because of an inconsistency between the chassis and server components.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Make sure that the chassis PCIe components and mezzanine card are compatible. For information about compatibility of hardware components, see the Modular System Chassis Hardware Manual available at the support site.",
            "Severity": "Critical"
        },
        "PWR8670": {
            "Description": "The server identified in the message cannot be turned on if the Connector Limit for the subsystems identified in the message is exceeded .",
            "Message": "Unable to turn on server%1 because the required power %2 AC Watts exceeds the subsystem Connector Limit %3 AC Watts for IO modules, Blowers and Servers.",
            "NumberOfArgs": 3,
            "ParamTypes": [
                "String",
                "String",
                "String"
            ],
            "Resolution": "Make sure the system operates within the subsystem Connector Limit for the components specified. To review power budget information select Chassis Overview -> Power -> Budget Status. Turn off unused components within the subsystem to make power available for the server to turn on or turn off low priority servers and try the operation again.",
            "Severity": "Warning"
        },
        "PWR8671": {
            "Description": "The Enhanced Cooling Mode feature cannot be enabled because the requested power exceeds the Chassis subsystem power limit for IO Modules, Blowers and Servers.",
            "Message": "The Chassis Management Controller is unable to set the Enhanced Cooling Mode because the requested power %1 AC Watts exceeds the subsystem power limit %2 AC Watts for IO Modules, Blowers and Servers.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "Make sure the system operates within the subsystem Connector Limit for the components specified. To review power budget information select Chassis Overview -> Power -> Budget Status. Turn off unused components within the subsystem to make power available to set Enhanced Cooling Mode.",
            "Severity": "Informational"
        },
        "PWR8672": {
            "Description": "The server identified in the message does not have a card in the Mezzanine slot as identified in the message. A mezzanine card position is identified with the following numbers: For quarter-width server, the position number is 1. For half-width server mezzanine C & B maps to position numbers 1 & 2 respectively. For full-width server, mezzanine C & B on the upper- or left part of the server maps to position numbers 1 & 2 respectively. Mezzanine C & B on the lower- or right part of the server maps to position numbers 3 & 4 respectively.",
            "Message": "The server in slot %1 does not have a %2 mezzanine card in slot %3.",
            "NumberOfArgs": 3,
            "ParamTypes": [
                "String",
                "String",
                "String"
            ],
            "Resolution": "Insert a mezzanine card in the slot identified in the message.",
            "Severity": "Informational"
        },
        "PWR8673": {
            "Description": "Displays voltage change with power configuration change.",
            "Message": "%1chassis configuration detected at %2%3.",
            "NumberOfArgs": 3,
            "ParamTypes": [
                "String",
                "String",
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PWR8674": {
            "Description": "Unable to change the value of the Allow 110 VAC Operation property because it is not supported in NEBS configuration PWR or PSU.",
            "Message": "Unable to change the value of Allow 110 VAC Operation property because it is not supported in NEBS configuration PWR or PSU.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PWR8675": {
            "Description": "AC power supply is detected in the NEBS configuration.",
            "Message": "AC power supply is detected in the NEBS configuration.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PWR8676": {
            "Description": "The chassis power property identified in the message cannot be set.",
            "Message": "Unable to set the chassis power property %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Contact your service provider.",
            "Severity": "Warning"
        },
        "PWR8677": {
            "Description": "Dynamic Power Supply Engagement configuration is changed.",
            "Message": "Dynamic Power Supply Engagement configuration is changed.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PWR8678": {
            "Description": "The power property identified in the message is changed as identified in the message.",
            "Message": "The value of the property %1 is %2.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PWR8680": {
            "Description": "The firmware identified in the message does not support the storage sled.",
            "Message": "The %1 firmware in the server slot %2 does not support the storage sled.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "Update the firmware identified in the message to the supported latest available version. See the latest iDRAC User Guide for information on the versions that support the storage sled.",
            "Severity": "Critical"
        },
        "PWR8681": {
            "Description": "The firmware identified in the message does not support the PCIe reassignment operation.",
            "Message": "The %1 firmware in the server slot %2 does not support additional PCIe slots.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "Update the firmware identified in the message to the supported latest available version. See the latest iDRAC User Guide for information on the versions that support the PCIe reassignment.",
            "Severity": "Critical"
        },
        "PWR8682": {
            "Description": "The Chassis Management Controller (CMC) is unable to turn on the storage sled controller identified in the message. The Chassis storage sled controller is unable to turn on due to a configuration or hardware issue.",
            "Message": "Unable to turn on the storage sled controller %1 in slot %2 because the %3 module is not functioning.",
            "NumberOfArgs": 3,
            "ParamTypes": [
                "String",
                "String",
                "String"
            ],
            "Resolution": "Remove the storage sled identified in the message, re-insert it and observe whether the issue is resolved. If the issue persists, contact your service provider.",
            "Severity": "Critical"
        },
        "PWR8683": {
            "Description": "A Virtual Reseat for the peripheral sled identified in the message is initiated. A Virtual Reseat is the same as removing and inserting a peripheral sled.",
            "Message": "Initiated the Virtual Reseat of peripheral %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PWR8684": {
            "Description": "The storage sled controller in the slot identified in the message turned on successfully.",
            "Message": "Storage sled controller %1 in slot %2 turned on successfully.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PWR8685": {
            "Description": "The firmware identified in the message supports the storage sled.",
            "Message": "The %1 firmware in the server slot %2 supports the storage sled.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "PWR8686": {
            "Description": "The Chassis Management Controller (CMC) is unable to turn on the storage sled controller identified in the message because iDRAC version installed on the server is not compatible.",
            "Message": "The Chassis Management Controller (CMC) is unable to turn on the storage sleds associated with server in slot %1 because the iDRAC firmware version in the server does not support the chassis storage module.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Update the iDRAC firmware identified in the message to the supported latest available version and retry the operation. For information about the supported firmware versions, refer to the Chassis Management Controller user's Guide available at the support site.",
            "Severity": "Warning"
        },
        "PWR8687": {
            "Description": "The Chassis Management Controller (CMC) is unable to turn on the storage sled controller installed on the server in the slot identified in the message because the server does not have a Mezzanine card. A Mezzanine card position is identified with the following numbers: For quarter-width server, the position number is 1. For half-width server mezzanine C & B maps to position numbers 1 & 2 respectively. For full-width server, Mezzanine C & B on the upper- or left part of the server maps to position numbers 1 & 2 respectively. Mezzanine C & B on the lower- or right part of the server maps to position numbers 3 & 4 respectively.",
            "Message": "The Chassis Management Controller (CMC) is unable to turn on the storage sled controller installed on server in slot %1 because the server does not have a Mezzanine card.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Install a Mezzanine card in the Mezzanine card slot of the server identified in the message, and then retry the operation.",
            "Severity": "Warning"
        },
        "RAC001": {
            "Description": "The command was successful.",
            "Message": "The command was successful.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "RAC002": {
            "Description": "An unknown error occurred.",
            "Message": "General failure.",
            "NumberOfArgs": 0,
            "Resolution": "Do one of the following: 1) Rerun the command. 2) Reset iDRAC and retry the operation.",
            "Severity": "Critical"
        },
        "RAC003": {
            "Description": "One or more required parameters for the method are missing.",
            "Message": "Missing required parameter %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Refer to the profile document and provide the required parameters.",
            "Severity": "Warning"
        },
        "RAC004": {
            "Description": "The parameter value for the given parameter is invalid.",
            "Message": "Invalid parameter value for %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Provide a valid parameter value for specified parameter.",
            "Severity": "Warning"
        },
        "RAC005": {
            "Description": "The name value pairs do not match in the input specified in the method invocation parameters.",
            "Message": "Mismatch in AttributeName and AttributeValue count.",
            "NumberOfArgs": 0,
            "Resolution": "Provide a valid (AttributeName, AttributeValue) pair.",
            "Severity": "Warning"
        },
        "RAC006": {
            "Description": "The attribute value cannot be changed because it is of read-only type.",
            "Message": "The attribute value cannot be changed because it is of read-only type.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Warning"
        },
        "RAC007": {
            "Description": "The attribute value is outside the acceptable range.",
            "Message": "The attribute value is outside the acceptable range.",
            "NumberOfArgs": 0,
            "Resolution": "Enter a value within the range and retry the operation. For more information about the acceptable range, refer to the Dell Lifecycle Controller Remote Services Quick Start Guide and DCIM Profile Documents available at the support site.",
            "Severity": "Warning"
        },
        "RAC008": {
            "Description": "The attribute boolean value is not valid for the specified attribute.",
            "Message": "Invalid boolean Value",
            "NumberOfArgs": 0,
            "Resolution": "Provide valid boolean value for the specified attribute.",
            "Severity": "Warning"
        },
        "RAC009": {
            "Description": "The requested operation cannot be completed because the length of the input string exceeds maximum length allowed.",
            "Message": "Input string length exceeds maximum length.",
            "NumberOfArgs": 0,
            "Resolution": "Verify the string length and retry the operation. Refer to the Lifecycle Controller-Remote Services documentation.",
            "Severity": "Warning"
        },
        "RAC010": {
            "Description": "The input value for the attribute being set contains characters that are not allowed.",
            "Message": "Input contains invalid character.",
            "NumberOfArgs": 0,
            "Resolution": "Retry the operation using valid input characters. Refer to the Lifecycle Controller-Remote Services documentation.",
            "Severity": "Warning"
        },
        "RAC0100": {
            "Description": "Communication with the Smart Card has been lost.",
            "Message": "The Smart Card is removed. Further communication is not possible.",
            "NumberOfArgs": 0,
            "Resolution": "Insert a valid Smart Card and try again.",
            "Severity": "Informational"
        },
        "RAC0101": {
            "Description": "The data returned is not in a known format.",
            "Message": "The inserted Smart Card is not valid or the Smart Card reader is not supported.",
            "NumberOfArgs": 0,
            "Resolution": "This error may occur because:1. Smart Card is invalid. Insert a valid Smart Card and try again. 2. Check connection between reader and system.3. There may be an issue with the Smart Card reader. Try reinstalling the reader driver or use a different reader.",
            "Severity": "Informational"
        },
        "RAC0102": {
            "Description": "The software to communicate with the Smart Card is not loaded in this browser. Smart Card can be used for log in only if the appropriate Smart Card software is installed in the browser.",
            "Message": "The Smart Card Logon plug-in is not installed. Install the plug-in from the iDRAC Web GUI to log in using Smart Card.",
            "NumberOfArgs": 0,
            "Resolution": "Install the plug-in prompted by the iDRAC Web GUI to log in using Smart Card.",
            "Severity": "Informational"
        },
        "RAC0103": {
            "Description": "Smart Card login is only supported in newer versions of Internet Explorer.",
            "Message": "This browser does not support Smart Card logon on iDRAC. Use Internet Explorer version 7.0 or later to use this feature.",
            "NumberOfArgs": 0,
            "Resolution": "See the iDRAC help text or documentation for a list of supported browsers.",
            "Severity": "Informational"
        },
        "RAC0104": {
            "Description": "An invalid PIN was entered. Too many log in attempts with a Smart Card login can result in a user being locked out of the system.",
            "Message": "An incorrect PIN was entered.",
            "NumberOfArgs": 0,
            "Resolution": "1. Enter a valid Smart Card PIN and try again.2. Use a different Smart Card.",
            "Severity": "Informational"
        },
        "RAC0105": {
            "Description": "Communication with the Smart Card reader cannot be established, or is lost.",
            "Message": "The Smart Card reader cannot be detected. Check whether the reader is installed correctly.",
            "NumberOfArgs": 0,
            "Resolution": "This error may occur because:1. Check connection between reader and system.2. There may be an issue with the Smart Card reader. Try reinstalling the reader driver or use a different reader.",
            "Severity": "Informational"
        },
        "RAC0106": {
            "Description": "Communication with the Smart Card reader is established and a Smart Card is inserted, but there are problems reading the Smart Card.",
            "Message": "The Smart Card cannot be detected. Insert the Smart Card correctly.",
            "NumberOfArgs": 0,
            "Resolution": "This error may occur because:1. Make sure the Smart Card is seated correctly.2. Smart Card is invalid. Insert a valid Smart Card and try again. 3. Check connection between reader and system.4. There may be an issue with the Smart Card reader. Try reinstalling the reader driver or use a different reader.",
            "Severity": "Informational"
        },
        "RAC0107": {
            "Description": "Communication with the Smart Card reader is established and a Smart Card is inserted, but there are problems accessing the Smart Card. The appropriate Cryptographic Service Provider (CSP) drivers are not installed.",
            "Message": "The inserted Smart Card cannot be recognized. Ensure that the correct Smart Card CSP drivers are installed.",
            "NumberOfArgs": 0,
            "Resolution": "There may be an issue with the Smart Card Cryptographic Service Provider (CSP) drivers. Use the client OS to install CSP driver. If the OS has problem with Smart Card, then there will have problem using the Smart Card. So make sure Smart Card can login with Windows OS.",
            "Severity": "Informational"
        },
        "RAC0108": {
            "Description": "A non-specific error is detected when accessing the Smart Card.",
            "Message": "An internal error is encountered. Insert a valid Smart Card and try again.",
            "NumberOfArgs": 0,
            "Resolution": "Review the error message preceding or following this message.",
            "Severity": "Informational"
        },
        "RAC011": {
            "Description": "A Job has already been scheduled to apply pending iDRAC attribute values. Additional configuration operations are not allowed while there is a configuration Job pending execution.",
            "Message": "A configuration Job already exists, cannot process more set operations.",
            "NumberOfArgs": 0,
            "Resolution": "Wait for the scheduled Job to complete before setting more attributes.",
            "Severity": "Warning"
        },
        "RAC0113": {
            "Description": "Data entered is not an integer value in the valid range of numbers.",
            "Message": "Remote Syslog Port value is invalid: Valid range is 1-65535 or 0x1-0xFFFF.",
            "NumberOfArgs": 0,
            "Resolution": "Enter a Remote Syslog Port number. Expected range: [1-65535 or 0x1-0xFFFF].",
            "Severity": "Informational"
        },
        "RAC0115": {
            "Description": "The IPv4 address does not conform to the addressing standard or the supported IPv4 address range.",
            "Message": "The Destination IP Address value is invalid.",
            "NumberOfArgs": 0,
            "Resolution": "Enter the Destination IP Address value between [1.0.0.0 - 223.255.255.255 excluding: 127 (first octet), 0 or 255 (last octet)].",
            "Severity": "Informational"
        },
        "RAC0116": {
            "Description": "The entered IPv6 address does not conform to the addressing standard or the supported IPv6 address range.",
            "Message": "Invalid Destination IPv6 Address.",
            "NumberOfArgs": 0,
            "Resolution": "Enter a valid Destination IPv6 Address.",
            "Severity": "Informational"
        },
        "RAC0117": {
            "Description": "The SD card is not present, or communication with the SD card is lost. This could result in reduced functionality and capabilities.",
            "Message": "SD card is unavailable.",
            "NumberOfArgs": 0,
            "Resolution": "This error may occur because: 1. Make sure the SD card is seated correctly. 2. The SD card is invalid. Insert a valid SD card of size greater than 256MB and try again.",
            "Severity": "Informational"
        },
        "RAC0118": {
            "Description": "The SD card is not a valid vFlash SD card. The use of non-Dell media prevents the use of some extended capabilities and functions.",
            "Message": "Unsupported vFlash SD card detected.",
            "NumberOfArgs": 0,
            "Resolution": "Insert a supported vFlash SD card.",
            "Severity": "Informational"
        },
        "RAC012": {
            "Description": "The user credentials supplied do not have sufficient privileges to perform the operation.",
            "Message": "Unable to perform the operation because of insufficient user privileges.",
            "NumberOfArgs": 0,
            "Resolution": "Retry the operation with user credentials authorized for the requested operation.",
            "Severity": "Warning"
        },
        "RAC0120": {
            "Description": "Requested partition size exceeds the available space.",
            "Message": "The selected partition size exceeds the available space.",
            "NumberOfArgs": 0,
            "Resolution": "Enter a partition size smaller than the unused space on the vFlash SD card.",
            "Severity": "Informational"
        },
        "RAC0121": {
            "Description": "SD card not readable. The card must be initialized.",
            "Message": "SD card is not initialized.",
            "NumberOfArgs": 0,
            "Resolution": "Initialize the SD card before it can be used.",
            "Severity": "Informational"
        },
        "RAC0124": {
            "Description": "All characters in the label must be alphanumeric.",
            "Message": "Invalid label: Label must be exclusively alphanumeric characters.",
            "NumberOfArgs": 0,
            "Resolution": "Enter all alphanumeric characters.",
            "Severity": "Informational"
        },
        "RAC0126": {
            "Description": "The label field is empty. A label is required to create an empty partition.",
            "Message": "The label value is invalid. Expected range: 1-6 alphanumeric characters.",
            "NumberOfArgs": 0,
            "Resolution": "Enter a label that contains one to six alphanumeric characters.",
            "Severity": "Informational"
        },
        "RAC0127": {
            "Description": "Size must be a whole number.",
            "Message": "The specified size must be a non-fractional numeric value.",
            "NumberOfArgs": 0,
            "Resolution": "Enter a whole number for the size field.",
            "Severity": "Informational"
        },
        "RAC0128": {
            "Description": "A non-specific error has been detected while accessing the vFlash.",
            "Message": "An error has occurred in vFlash.",
            "NumberOfArgs": 0,
            "Resolution": "Try the operation again in a few minutes. If the problem persists, reset iDRAC before trying the operation again.",
            "Severity": "Informational"
        },
        "RAC0129": {
            "Description": "No status response was returned after completing the initialization request.",
            "Message": "An error has occurred while initializing the SD card.",
            "NumberOfArgs": 0,
            "Resolution": "Try reinitializing the card again in a few minutes.",
            "Severity": "Informational"
        },
        "RAC013": {
            "Description": "The method cannot be run because an invalid FQDD is entered.",
            "Message": "Unable to run the method because an invalid FQDD is entered.",
            "NumberOfArgs": 0,
            "Resolution": "Enter a valid FQDD and retry the operation.",
            "Severity": "Warning"
        },
        "RAC0130": {
            "Description": "A separate message will provide more detail about this error which was detected while creating the vFlash partition.",
            "Message": "An error has occurred while creating a partition.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "RAC0131": {
            "Description": "A separate message will provide more detail about this error which was detected while deleting the vFlash partition.",
            "Message": "An error has occurred while deleting a partition.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "RAC0132": {
            "Description": "A separate message will provide more detail about this error which was detected while formatting the vFlash partition.",
            "Message": "An error has occurred while formatting a partition.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "RAC0133": {
            "Description": "A non-specific error has been detected when downloading the partition.",
            "Message": "An error has occurred while downloading a partition.",
            "NumberOfArgs": 0,
            "Resolution": "Try downloading the partition again in a few minutes. If the problem persists, reset iDRAC before trying the operation again.",
            "Severity": "Informational"
        },
        "RAC0134": {
            "Description": "The SD card is not a valid vFlash SD card. The use of non-Dell media prevents the use of some extended capabilities and functions.",
            "Message": "This operation is unavailable for non-vFlash SD cards.",
            "NumberOfArgs": 0,
            "Resolution": "Insert a valid vFlash SD card.",
            "Severity": "Informational"
        },
        "RAC0135": {
            "Description": "A separate message will provide more detail about this error which was detected while detaching the vFlash partition.",
            "Message": "An error has occurred while detaching a partition.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "RAC0136": {
            "Description": "A separate message will provide more detail about this error which was detected while attaching the vFlash partition.",
            "Message": "An error has occurred while attaching a partition.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "RAC0137": {
            "Description": "A separate message will provide more detail about this error which was detected while changing the read-write state of the vFlash partition.",
            "Message": "An error has occurred while changing the read-write state for the partition.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "RAC0138": {
            "Description": "The retrieved certificate came back as a null or empty document.",
            "Message": "A valid certificate is not loaded.",
            "NumberOfArgs": 0,
            "Resolution": "Upload a valid certificate.",
            "Severity": "Informational"
        },
        "RAC014": {
            "Description": "The method cannot be run because an invalid attribute name is entered.",
            "Message": "Unable to run the method because an invalid attribute name is entered.",
            "NumberOfArgs": 0,
            "Resolution": "Enter a valid attribute name and retry the operation.",
            "Severity": "Warning"
        },
        "RAC0140": {
            "Description": "The firmware update process returned an 'Update Failed' status.",
            "Message": "Firmware update has failed.",
            "NumberOfArgs": 0,
            "Resolution": "Try the firmware update again in a few minutes. If the problem persists, try uploading the firmware through another interface such as Web GUI, RACADM, or DUPs.",
            "Severity": "Informational"
        },
        "RAC0141": {
            "Description": "Firmware update verification process failed; the firmware update status is unknown.",
            "Message": "Firmware update verification failed: The update status is unknown.",
            "NumberOfArgs": 0,
            "Resolution": "Verify if the firmware has been updated by checking the new firmware version number. If it has not been updated try the firmware update again in a few minutes. If the problem persists, try uploading the firmware through another interface such as Web GUI, RACADM, or DUPs.",
            "Severity": "Informational"
        },
        "RAC0142": {
            "Description": "The firmware update process identified an invalid firmware image.",
            "Message": "File is not valid for iDRAC firmware update.",
            "NumberOfArgs": 0,
            "Resolution": "Upload a valid iDRAC firmware image.",
            "Severity": "Informational"
        },
        "RAC0146": {
            "Description": "Firmware rollback operation failed.",
            "Message": "Firmware rollback has failed.",
            "NumberOfArgs": 0,
            "Resolution": "Try the operation after a few minutes. If the problem persists, reset iDRAC and repeat the operation.",
            "Severity": "Informational"
        },
        "RAC0147": {
            "Description": "Firmware rollback image is missing or is corrupt.",
            "Message": "Rollback firmware is not available.",
            "NumberOfArgs": 0,
            "Resolution": "Upload a new firmware image.",
            "Severity": "Informational"
        },
        "RAC0148": {
            "Description": "While the system is powered off it is unable to retrieve information about the batteries.",
            "Message": "Unable to retrieve the batteries information. The system is powered off.",
            "NumberOfArgs": 0,
            "Resolution": "Turn the system on to view this information.",
            "Severity": "Informational"
        },
        "RAC0149": {
            "Description": "While the system is powered off it is unable to retrieve information about the fans.",
            "Message": "Unable to retrieve the fan information. The system is powered off.",
            "NumberOfArgs": 0,
            "Resolution": "Turn the system on to view this information.",
            "Severity": "Informational"
        },
        "RAC015": {
            "Description": "The input attribute value is not valid for the attribute identified in the message.",
            "Message": "Unable to run the method because the input value is not one of the possible values for AttributeName %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Provide valid attribute value for the attribute identified in the message and retry the operation.",
            "Severity": "Warning"
        },
        "RAC0150": {
            "Description": "While the system is powered off it is unable to retrieve information about system intrusion.",
            "Message": "Unable to retrieve the intrusion sensor information. The system is powered off.",
            "NumberOfArgs": 0,
            "Resolution": "Turn the system on to view this information.",
            "Severity": "Informational"
        },
        "RAC0151": {
            "Description": "While the system is powered off it is unable to retrieve information about removable flash media.",
            "Message": "Unable to retrieve the removable flash media information. The system is powered off.",
            "NumberOfArgs": 0,
            "Resolution": "Turn the system on to view this information.",
            "Severity": "Informational"
        },
        "RAC0152": {
            "Description": "While the system is powered off it is unable to retrieve information about power supplies.",
            "Message": "Unable to retrieve the power supply information. The system is powered off.",
            "NumberOfArgs": 0,
            "Resolution": "Turn the system on to view this information.",
            "Severity": "Informational"
        },
        "RAC0153": {
            "Description": "Power redundancy is typically used to protect equipment from unexpected power disruption that could cause data loss or hardware damage.",
            "Message": "Non-redundant power mode: Check the system hardware manual for implications.",
            "NumberOfArgs": 0,
            "Resolution": "It is recommended to use power redundancy.",
            "Severity": "Informational"
        },
        "RAC0154": {
            "Description": "Displayed when a group of redundant power supplies has one or more individual power supplies with bad status.",
            "Message": "Non-redundant power mode: Secondary power supply has degraded.",
            "NumberOfArgs": 0,
            "Resolution": "Replace the degraded power supply unit. Check the Power Supplies page for more information.",
            "Severity": "Informational"
        },
        "RAC0155": {
            "Description": "While the system is powered off it is unable to retrieve information about system temperature.",
            "Message": "Unable to retrieve the temperature information. The system is powered off.",
            "NumberOfArgs": 0,
            "Resolution": "Turn the system on to view this information.",
            "Severity": "Informational"
        },
        "RAC0156": {
            "Description": "While the system is powered off it is unable to retrieve information about system voltage.",
            "Message": "Unable to retrieve the voltage information. The system is powered off.",
            "NumberOfArgs": 0,
            "Resolution": "Turn the system on to view this information.",
            "Severity": "Informational"
        },
        "RAC0158": {
            "Description": "The Kerberos keytab is needed by the iDRAC to authenticate itself to the Kerberos (Active Directory) server. It is created on the AD server, and issued for the iDRAC. Its like a password, and therefore should be kept secret.",
            "Message": "Uploading kerberos keytab has failed.",
            "NumberOfArgs": 0,
            "Resolution": "The Kerberos keytab file may be corrupt. Upload a valid Kerberos keytab file.",
            "Severity": "Informational"
        },
        "RAC0159": {
            "Description": "Certificate upload failed because there is no pending Certificate Signing Request (CSR) or private key.",
            "Message": "Certificate upload failed: No pending CSR or private key.",
            "NumberOfArgs": 0,
            "Resolution": "Upload failed due to no pending Certificate Signing Request (CSR). Try creating a new CSR and then upload the certificate.",
            "Severity": "Informational"
        },
        "RAC016": {
            "Description": "The method cannot be run because an invalid attribute name is entered.",
            "Message": "Unable to run the method because an invalid attribute name is entered.",
            "NumberOfArgs": 0,
            "Resolution": "Enter a valid attribute name and retry the operation.",
            "Severity": "Warning"
        },
        "RAC0160": {
            "Description": "Certificate upload failed because the certificate could not be validated.",
            "Message": "Certificate upload failed: Cannot validate the certificate.",
            "NumberOfArgs": 0,
            "Resolution": "Certificate may be corrupt. Try creating a new Certificate Signing Request (CSR) and then upload the certificate.",
            "Severity": "Informational"
        },
        "RAC0163": {
            "Description": "The hardware identity certificate is either missing or corrupted. If the hardware identity certificate is missing, certain security features are not enabled.",
            "Message": "The hardware identity certificate is either missing or corrupted.",
            "NumberOfArgs": 0,
            "Resolution": "To restore the hardware identify certificate, replace the iDRAC board.",
            "Severity": "Warning"
        },
        "RAC0169": {
            "Description": "Certificate upload failed because the certificate is not valid.",
            "Message": "Certificate upload failed: Certificate is not valid.",
            "NumberOfArgs": 0,
            "Resolution": "Certificate may be corrupt. Try creating a new Certificate Signing Request (CSR) and then upload the certificate.",
            "Severity": "Informational"
        },
        "RAC017": {
            "Description": "The requested job has been created.",
            "Message": "Job created to apply the attribute value.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "RAC0171": {
            "Description": "Certificate upload failed because the certificate has expired.",
            "Message": "Certificate upload failed: Certificate has expired.",
            "NumberOfArgs": 0,
            "Resolution": "Certificate has expired. Try creating a new Certificate Signing Request (CSR) and then upload the certificate.",
            "Severity": "Informational"
        },
        "RAC018": {
            "Description": "All the tasks in the Job were attempted, but some did not complete successfully.",
            "Message": "The Job is completed but with errors.",
            "NumberOfArgs": 0,
            "Resolution": "Examine source of the errors by inspecting the results from the Job execution, and after resolving the issues, retry the operation. Job results can be retrieved from the Lifecycle Log or the WSMan API.",
            "Severity": "Warning"
        },
        "RAC0180": {
            "Description": "Certificate upload failed. Unable to get local issuer certificate. The local issuer certificate is the certificate for the Certificate Authority (CA) that has signed the certificate for the Active Directory (AD) server, unless it is self signed. The iDRAC needs to verify that the CA is legitimate.",
            "Message": "Certificate upload failed: Unable to get local issuer certificate from the Certification Authority (CA) for confirming the CA is legitimate.",
            "NumberOfArgs": 0,
            "Resolution": "Certificate has expired. Try creating a new CSR and then upload the certificate.",
            "Severity": "Informational"
        },
        "RAC0181": {
            "Description": "The iDRAC recovered from a firmware Bootloader error that occurred because of the reason identified in the message.",
            "Message": "The iDRAC recovered from a firmware boot loader error with the following reason : %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "RAC0182": {
            "Description": "The iDRAC was reset for the reason identified in the message. The reasons may include: AC Power Cycle, Watchdog timer expiry, or a reset initiated via user interface or ID Button.",
            "Message": "The iDRAC firmware was rebooted with the following reason: %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "RAC019": {
            "Description": "The submitted job did not complete successfully.",
            "Message": "Job did not complete successfully.",
            "NumberOfArgs": 0,
            "Resolution": "Examine source of the errors by inspecting the results from the job execution, and after resolving the issues, retry the operation. Job results can be retrieved from the Lifecycle Log or the WSMan API.",
            "Severity": "Warning"
        },
        "RAC020": {
            "Description": "The submitted job completed successfully.",
            "Message": "Completed",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "RAC0206": {
            "Description": "Certificate upload failed because this is not a certificate file.",
            "Message": "Certificate upload failed: Not a certificate file.",
            "NumberOfArgs": 0,
            "Resolution": "Upload a valid certificate.",
            "Severity": "Informational"
        },
        "RAC0207": {
            "Description": "Certificate upload failed possibly due to poor network connection.",
            "Message": "Certificate upload failed.",
            "NumberOfArgs": 0,
            "Resolution": "Try the operation again in a few minutes. If the problem persists, issue a new Certificate Signing Request (CSR) and try again.",
            "Severity": "Informational"
        },
        "RAC0208": {
            "Description": "Upload failed possibly due to invalid key data.",
            "Message": "Upload failed: May be due to invalid key data.",
            "NumberOfArgs": 0,
            "Resolution": "Upload a certificate with a valid key.",
            "Severity": "Informational"
        },
        "RAC0209": {
            "Description": "Certificate upload failed because iDRAC unable to upload at this time.",
            "Message": "Certificate upload failed: iDRAC unable to upload at this time.",
            "NumberOfArgs": 0,
            "Resolution": "Try the operation again in a few minutes.",
            "Severity": "Informational"
        },
        "RAC021": {
            "Description": "The static values for IPAddress Net mask or Gateway cannot be set because DHCP is enabled.",
            "Message": "Unable to set static values for IPAddress Net mask or Gateway because DHCP is Enabled.",
            "NumberOfArgs": 0,
            "Resolution": "Disable DHCP to set static values for IPAddress Net mask or Gateway.",
            "Severity": "Warning"
        },
        "RAC0211": {
            "Description": "Firmware update has failed. This may be due to a corrupt firmware image, poor network connection, or another issue.",
            "Message": "Firmware update has failed.",
            "NumberOfArgs": 0,
            "Resolution": "Download a new firmware image and try loading the firmware again.",
            "Severity": "Informational"
        },
        "RAC0212": {
            "Description": "This is a generic error message used on all the login pages.",
            "Message": "Login failed. Verify that username and password is correct.",
            "NumberOfArgs": 0,
            "Resolution": "Enter valid credentials.",
            "Severity": "Informational"
        },
        "RAC0213": {
            "Description": "Login page is missing a username.",
            "Message": "Missing Username.",
            "NumberOfArgs": 0,
            "Resolution": "Enter a valid username.",
            "Severity": "Informational"
        },
        "RAC0214": {
            "Description": "Login page is missing a password.",
            "Message": "Missing Password.",
            "NumberOfArgs": 0,
            "Resolution": "Enter a valid password.",
            "Severity": "Informational"
        },
        "RAC0215": {
            "Description": "Login failed because the user does not have 'Login to iDRAC' privilege.",
            "Message": "Login failed: User does not have 'Login to iDRAC' privilege.",
            "NumberOfArgs": 0,
            "Resolution": "Login to iDRAC' privilege is needed.",
            "Severity": "Informational"
        },
        "RAC0216": {
            "Description": "Login failed because of an unknown reason.",
            "Message": "Login failed.",
            "NumberOfArgs": 0,
            "Resolution": "Try the operation after a few minutes. If the problem persists, reset iDRAC and repeat the operation.",
            "Severity": "Informational"
        },
        "RAC0217": {
            "Description": "Client did not receive a response for the login request.",
            "Message": "iDRAC is not responding.",
            "NumberOfArgs": 0,
            "Resolution": "Try pinging the iDRAC and then try again.",
            "Severity": "Informational"
        },
        "RAC0218": {
            "Description": "A maximum of 4 iDRAC Web GUI sessions can be open at any time.",
            "Message": "The maximum number of user sessions is reached.",
            "NumberOfArgs": 0,
            "Resolution": "Close one or more sessions before opening another session.",
            "Severity": "Informational"
        },
        "RAC0219": {
            "Description": "Requested power state change has failed.",
            "Message": "Power command failed.",
            "NumberOfArgs": 0,
            "Resolution": "Try the operation after a few minutes. If the problem persists, reset iDRAC and repeat the operation.",
            "Severity": "Informational"
        },
        "RAC022": {
            "Description": "Unable to set values for User Password, IPMILan, IPMISerial or User Admin Privilege because the User Name is not configured.",
            "Message": "Unable to set values for User Password, IPMILan, IPMISerial or User Admin Privilege because the User Name is not configured.",
            "NumberOfArgs": 0,
            "Resolution": "Set User Name before attempting to set values of other identified attributes.",
            "Severity": "Warning"
        },
        "RAC0221": {
            "Description": "The Destination E-mail Address can contain up to 64 characters.",
            "Message": "The Destination E-mail Address is too long. The maximum length is 64 characters.",
            "NumberOfArgs": 0,
            "Resolution": "Enter an email address that contains up to 64 characters.",
            "Severity": "Informational"
        },
        "RAC0222": {
            "Description": "The specified email address does not match an email address format. Ex: \"janedoe@email.com&quot;.",
            "Message": "The Destination E-mail Address is invalid.",
            "NumberOfArgs": 0,
            "Resolution": "Enter a valid email address.",
            "Severity": "Informational"
        },
        "RAC0223": {
            "Description": "The Subject line in the email contains invalid characters.",
            "Message": "Enter an alphanumeric value or a valid symbol for the following (see the online help for more information).",
            "NumberOfArgs": 0,
            "Resolution": "Invalid character. Enter a valid value as mentioned in the online help.",
            "Severity": "Informational"
        },
        "RAC0224": {
            "Description": "A partial string used to construct a complete error message.",
            "Message": "Invalid e-mail description.",
            "NumberOfArgs": 0,
            "Resolution": "Enter a valid email description.",
            "Severity": "Informational"
        },
        "RAC0225": {
            "Description": "Sending the test mail failed. This will prevent alert messages from being sent to this email address.",
            "Message": "Sending the test mail failed.",
            "NumberOfArgs": 0,
            "Resolution": "Confirm that:1. A valid SMTP server address is configured in the iDRAC. 2. The remote email server is configured properly to send and receive emails.",
            "Severity": "Informational"
        },
        "RAC0226": {
            "Description": "Sending the test mail failed. This will prevent alert messages from being sent to this email address.",
            "Message": "Send Failed: Request processing failed.",
            "NumberOfArgs": 0,
            "Resolution": "Confirm that:1. A valid SMTP server address is configured in the iDRAC. 2. The remote email server is configured properly to send and receive emails.",
            "Severity": "Informational"
        },
        "RAC0227": {
            "Description": "The SD card is not present, or communication with the SD card is lost. This could result in reduced functionality and capabilities.",
            "Message": "SD card is not detected: Insert an SD Card of size greater than 256MB.",
            "NumberOfArgs": 0,
            "Resolution": "This error may occur because: 1. Make sure the SD card is seated correctly. 2. The SD card is invalid. Insert a valid SD card of size greater than 256MB and try again.",
            "Severity": "Informational"
        },
        "RAC0228": {
            "Description": "SD Card needs to be formatted to make it usable. The card must be initialized.",
            "Message": "SD Card is detected with an unrecognized format. Click Initialize to initialize the card.",
            "NumberOfArgs": 0,
            "Resolution": "Click Initialize to initialize the card and make it usable.",
            "Severity": "Informational"
        },
        "RAC023": {
            "Description": "Unable to enable the User or set values for IPMILan, IPMISerial, or User Admin Privilege because the User Password is not configured.",
            "Message": "Unable to enable the User or set values for IPMILan, IPMISerial, or User Admin Privilege because the User Password is not configured.",
            "NumberOfArgs": 0,
            "Resolution": "Set User Password before attempting to enable the other identified attributes.",
            "Severity": "Warning"
        },
        "RAC0230": {
            "Description": "This message is displayed when a confirmation is required to initialize the vFlash SD Card.",
            "Message": "This operation erases all data in the SD Card. Do you want to continue?",
            "NumberOfArgs": 0,
            "Resolution": "Press OK to initialize the SD Card. This will erase all data. If undesired press Cancel.",
            "Severity": "Informational"
        },
        "RAC0231": {
            "Description": "This message is displayed when a confirmation is required to format the vFlash SD Card partition.",
            "Message": "This operation erases all data in the partition. Do you want to continue?",
            "NumberOfArgs": 0,
            "Resolution": "Press OK to initialize this partition of the SD Card. This action will erase all the data in this partition. If undesired press Cancel.",
            "Severity": "Informational"
        },
        "RAC0232": {
            "Description": "This is a specific error message used only on the default prompt login page when the user fails to enter the secure default password.",
            "Message": "Login failed. Verify username and password is correct. The secure default password is on the pull-out Information Tag located on the front of the chassis.",
            "NumberOfArgs": 0,
            "Resolution": "Enter valid credentials and retry the operation.",
            "Severity": "Informational"
        },
        "RAC0235": {
            "Description": "When uploading an image to the vFlash partition, the operation is unresponsive, and has timed out.",
            "Message": "vFlash image upload timed out.",
            "NumberOfArgs": 0,
            "Resolution": "Try uploading the vFlash image again.",
            "Severity": "Informational"
        },
        "RAC0236": {
            "Description": "vFlash image upload failed because the image is not valid.",
            "Message": "Invalid image: Upload failed.",
            "NumberOfArgs": 0,
            "Resolution": "Image may be corrupt. Try uploading a valid vFlash image.",
            "Severity": "Informational"
        },
        "RAC0237": {
            "Description": "A separate message will provide more detail about this error which was detected while uploading the vFlash image.",
            "Message": "An error occurred while uploading the vFlash image.",
            "NumberOfArgs": 0,
            "Resolution": "Try uploading the vFlash image again.",
            "Severity": "Informational"
        },
        "RAC0238": {
            "Description": "vFlash is unable to service the request at this time. Try again later.",
            "Message": "vFlash is currently in-use by another process. Try again later.",
            "NumberOfArgs": 0,
            "Resolution": "Try the operation after a few minutes.",
            "Severity": "Informational"
        },
        "RAC0239": {
            "Description": "The contents of a write protected SD Card cannot be modified.",
            "Message": "SD Card is write-protected.",
            "NumberOfArgs": 0,
            "Resolution": "Make sure the SD Card is not write-protected before attempting to change its contents.",
            "Severity": "Informational"
        },
        "RAC024": {
            "Description": "Unable to VLAN is Disabled so cannot set VLAN Priority because VLAN is Disabled.",
            "Message": "Unable to VLAN is Disabled so cannot set VLAN Priority because VLAN is Disabled.",
            "NumberOfArgs": 0,
            "Resolution": "Enable VLAN to set VLAN Priority.",
            "Severity": "Warning"
        },
        "RAC0240": {
            "Description": "vFlash needs to be enabled before attempting this operation.",
            "Message": "vFlash is disabled.",
            "NumberOfArgs": 0,
            "Resolution": "Enable vFlash before trying the operation.",
            "Severity": "Informational"
        },
        "RAC0241": {
            "Description": "SD Card does not have enough free space available.",
            "Message": "The specified size exceeds the maximum size of %1 MB.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Delete existing data or insert a SD card of greater size and retry.",
            "Severity": "Informational"
        },
        "RAC0242": {
            "Description": "The vFlash partition does not exist. This may be due to another user deleting that partition.",
            "Message": "The selected partition does not exist.",
            "NumberOfArgs": 0,
            "Resolution": "Refresh the Web GUI page to see the available partitions.",
            "Severity": "Informational"
        },
        "RAC0243": {
            "Description": "There was a conflict with a concurrent session. Another user may have logged in using a separate browser or RACADM.",
            "Message": "Partition failed: A partitioning conflict has occurred with another session.",
            "NumberOfArgs": 0,
            "Resolution": "There was a conflict with a concurrent session. Refresh the page to see the currently available options.",
            "Severity": "Informational"
        },
        "RAC0244": {
            "Description": "This message is displayed when a duplicate vFlash partition name is entered.",
            "Message": "The partition label must be unique.",
            "NumberOfArgs": 0,
            "Resolution": "Enter a unique label name for the partition.",
            "Severity": "Informational"
        },
        "RAC0245": {
            "Description": "The vFlash partition is in-use by another process. Therefore, the current operation cannot proceed.",
            "Message": "The partition is in-use by another process.",
            "NumberOfArgs": 0,
            "Resolution": "Try the operation after a few minutes or with another partition. If the problem persists, reset iDRAC and repeat the operation.",
            "Severity": "Informational"
        },
        "RAC0246": {
            "Description": "The contents of a read-only partition cannot be modified.",
            "Message": "Partition is read-only.",
            "NumberOfArgs": 0,
            "Resolution": "Make sure the partition is writable before attempting to change its contents.",
            "Severity": "Informational"
        },
        "RAC0247": {
            "Description": "This message is displayed when trying to format or download to an attached vFlash partition.",
            "Message": "The partition is currently attached.",
            "NumberOfArgs": 0,
            "Resolution": "Detach this partition and try again.",
            "Severity": "Informational"
        },
        "RAC0248": {
            "Description": "This message is displayed when trying to delete a vFlash partition.",
            "Message": "This operation deletes the partition permanently. Do you want to continue?",
            "NumberOfArgs": 0,
            "Resolution": "Press OK to delete this partition of the SD Card. This action will erase all the data in this partition. If undesired press Cancel.",
            "Severity": "Informational"
        },
        "RAC0249": {
            "Description": "The vFlash partition is in-use by another process. Therefore, the current operation cannot proceed.",
            "Message": "One or more partitions are in-use by another process.",
            "NumberOfArgs": 0,
            "Resolution": "Try the operation after a few minutes. If the problem persists, reset iDRAC and repeat the operation.",
            "Severity": "Informational"
        },
        "RAC025": {
            "Description": "Unable to set static values for DNS1 or DNS2 when DNS from DHCP is Enabled.",
            "Message": "Unable to set values for DNS1 or DNS2 attributes because DNS from DHCP is Enabled.",
            "NumberOfArgs": 0,
            "Resolution": "Disable DNS from DHCP to set values for DNS1 or DNS2.",
            "Severity": "Warning"
        },
        "RAC0250": {
            "Description": "The vFlash partitions are read-only. Therefore, the current operation cannot proceed.",
            "Message": "One or more partitions are read-only.",
            "NumberOfArgs": 0,
            "Resolution": "Make sure the partitions are writable before attempting to change their contents.",
            "Severity": "Informational"
        },
        "RAC0251": {
            "Description": "The vFlash partitions are attached. Therefore, the current operation cannot proceed.",
            "Message": "One or more partitions are currently attached.",
            "NumberOfArgs": 0,
            "Resolution": "Detach the partitions and try again.",
            "Severity": "Informational"
        },
        "RAC0252": {
            "Description": "The vFlash partitions are detached Therefore, the current operation cannot proceed.",
            "Message": "One or more partitions are currently detached.",
            "NumberOfArgs": 0,
            "Resolution": "Attach the partitions and try again.",
            "Severity": "Informational"
        },
        "RAC0253": {
            "Description": "This error message is displayed to indicate that the IPv4 address does not conform to the required format.",
            "Message": "The IP Address is invalid. Expected range: [1.0.0.0 - 223.255.255.255 excluding: 127 (first octet), 0 or 255 (last octet)].",
            "NumberOfArgs": 0,
            "Resolution": "Enter a valid IP Address. Expected range: [1.0.0.0 - 223.255.255.255 excluding: 127 (first octet), 0 or 255 (last octet)].",
            "Severity": "Informational"
        },
        "RAC0254": {
            "Description": "This error message is displayed to indicate that the IPv4 Gateway Address does not conform to the required format.",
            "Message": "The Gateway Address is invalid. Expected range: [0.0.0.0 or 1.0.0.0 - 223.255.255.255 excluding: 127 (first octet), 0 or 255 (last octet)].",
            "NumberOfArgs": 0,
            "Resolution": "Enter a valid Gateway Address. Expected range: [0.0.0.0 or 1.0.0.0 - 223.255.255.255 excluding: 127 (first octet), 0 or 255 (last octet)].",
            "Severity": "Informational"
        },
        "RAC0255": {
            "Description": "This error message is displayed to indicate that the IPv4 Subnet Mask does not conform to the required format.",
            "Message": "The Subnet Mask is invalid. Expected ranges are: 255.XXX.0.0 [Class A], 255.255.XXX.0 [Class B], 255.255.255.XXX [Class C], and XXX.0.0.0 [others], where XXX must be valid (0,128,192,224,240,248,252,254).",
            "NumberOfArgs": 0,
            "Resolution": "Enter a valid Subnet Mask. Expected ranges are: 255.XXX.0.0 [Class A], 255.255.XXX.0 [Class B], 255.255.255.XXX [Class C], and XXX.0.0.0 [others], where XXX must be valid (0,128,192,224,240,248,252,254).",
            "Severity": "Informational"
        },
        "RAC0256": {
            "Description": "This error message is displayed to indicate that the Preferred DNS IPv4 address does not conform to the required format.",
            "Message": "The Preferred DNS Server Address is invalid. Expected range: [0.0.0.0 or 1.0.0.0 - 223.255.255.255 excluding: 127 (first octet), 0 or 255 (last octet)].",
            "NumberOfArgs": 0,
            "Resolution": "Enter a valid Preferred DNS Server Address. Expected range: [0.0.0.0 or 1.0.0.0 - 223.255.255.255 excluding: 127 (first octet), 0 or 255 (last octet)].",
            "Severity": "Informational"
        },
        "RAC0257": {
            "Description": "This error message is displayed to indicate that the Alternate DNS IPv4 address does not conform to the required format.",
            "Message": "The Alternate DNS Server Address is invalid. Expected range: [0.0.0.0 or 1.0.0.0 - 223.255.255.255 excluding: 127 (first octet), 0 or 255 (last octet)].",
            "NumberOfArgs": 0,
            "Resolution": "Enter a valid Alternate DNS Server Address. Expected range: [0.0.0.0 or 1.0.0.0 - 223.255.255.255 excluding: 127 (first octet), 0 or 255 (last octet)].",
            "Severity": "Informational"
        },
        "RAC0259": {
            "Description": "This error message is displayed to indicate that the IPv6 address does not conform to the required format.",
            "Message": "Invalid IPv6 address.",
            "NumberOfArgs": 0,
            "Resolution": "Enter a valid IPv6 address.",
            "Severity": "Informational"
        },
        "RAC026": {
            "Description": "Unable to set DNS Domain Name because \"Domain Name From DHCP\" is Enabled.",
            "Message": "Unable to set DNS Domain Name because \"Domain Name From DHCP\" is Enabled.",
            "NumberOfArgs": 0,
            "Resolution": "Disable \"Domain Name From DHCP\" to set values for DNS Domain Name.",
            "Severity": "Warning"
        },
        "RAC0260": {
            "Description": "The specified IPv6 address prefix length is invalid.",
            "Message": "Invalid IPv6 prefix length. Expected range: 0-128.",
            "NumberOfArgs": 0,
            "Resolution": "Enter a valid IPv6 prefix length. Expected range: 0-128.",
            "Severity": "Informational"
        },
        "RAC0261": {
            "Description": "This error message is displayed to indicate that the IPv6 gateway address does not conform to the required format.",
            "Message": "Invalid IPv6 gateway address.",
            "NumberOfArgs": 0,
            "Resolution": "Enter a valid IPv6 gateway address.",
            "Severity": "Informational"
        },
        "RAC0262": {
            "Description": "This error message is displayed to indicate that the Preferred IPv6 DNS Server address does not conform to the required format.",
            "Message": "The Preferred IPv6 DNS Server Address is invalid.",
            "NumberOfArgs": 0,
            "Resolution": "Enter a valid Preferred IPv6 DNS server address.",
            "Severity": "Informational"
        },
        "RAC0263": {
            "Description": "This error message is displayed to indicate that the Alternate IPv6 DNS Server address does not conform to the required format.",
            "Message": "The Alternate IPv6 DNS Server Address is invalid.",
            "NumberOfArgs": 0,
            "Resolution": "Enter a valid Alternate IPv6 DNS server address.",
            "Severity": "Informational"
        },
        "RAC0265": {
            "Description": "If VLAN is enabled, specify the VLAN ID and VLAN Priority.",
            "Message": "Specify the VLAN ID and VLAN Priority.",
            "NumberOfArgs": 0,
            "Resolution": "Enter a VLAN ID and VLAN Priority.",
            "Severity": "Informational"
        },
        "RAC0266": {
            "Description": "Specify a valid VLAN ID.",
            "Message": "Invalid VLAN ID. Expected range: 1-4094.",
            "NumberOfArgs": 0,
            "Resolution": "Enter a valid VLan ID. Expected range: 1-4094.",
            "Severity": "Informational"
        },
        "RAC0267": {
            "Description": "Specify a valid VLAN Priority.",
            "Message": "Invalid VLAN Priority. Expected range: 0-7.",
            "NumberOfArgs": 0,
            "Resolution": "Enter a valid VLAN Priority. Expected range: 0-7.",
            "Severity": "Informational"
        },
        "RAC0268": {
            "Description": "The NIC is disabled. This may adversely affect the current operation, and might not allow subsequent GUI interactions to this NIC.",
            "Message": "NIC is disabled.",
            "NumberOfArgs": 0,
            "Resolution": "Enable the NIC before performing the operation.",
            "Severity": "Informational"
        },
        "RAC0269": {
            "Description": "Specify a valid NIC MTU.",
            "Message": "The NIC MTU is invalid. Expected range: 576-1500 or 0x240-0x5DC.",
            "NumberOfArgs": 0,
            "Resolution": "Enter a valid NIC MTU. Expected range: 576-1500 or 0x240-0x5DC.",
            "Severity": "Informational"
        },
        "RAC027": {
            "Description": "Unable to set static values for Speed or Duplex when the Auto Negotiation attribute is enabled.",
            "Message": "Unable to set values for Speed or Duplex because Auto Negotiation is Enabled.",
            "NumberOfArgs": 0,
            "Resolution": "Disable Auto Negotiation in order to set values for Speed or Duplex.",
            "Severity": "Warning"
        },
        "RAC0270": {
            "Description": "This is a warning message that continuing this operation does not allow subsequent GUI interactions to this NIC.",
            "Message": "IPv4 and IPv6 are disabled.",
            "NumberOfArgs": 0,
            "Resolution": "Enable IPv4 or IPv6 before continuing the operation.",
            "Severity": "Informational"
        },
        "RAC0271": {
            "Description": "Locking the user account prevents them from gaining access to iDRAC.",
            "Message": "Continuing will lock user account.",
            "NumberOfArgs": 0,
            "Resolution": "Press OK to lock this user account. This action will prevent future access for this user. If undesired press Cancel.",
            "Severity": "Informational"
        },
        "RAC0272": {
            "Description": "If the Enable NIC checkbox is cleared, remote access to iDRAC is disabled.",
            "Message": "Disabling NIC will prevent the user from accessing the iDRAC remotely through Web GUI, Remote Racadm, Ssh, and Telnet. Local Racadm and serial interface will continue to work.",
            "NumberOfArgs": 0,
            "Resolution": "Disable NIC only if remote access is undesired.",
            "Severity": "Informational"
        },
        "RAC0273": {
            "Description": "If the Enable NIC checkbox is cleared, remote access to iDRAC is disabled.",
            "Message": "iDRAC access will be limited to running the Racadm utility on the local server or using the serial interface.",
            "NumberOfArgs": 0,
            "Resolution": "Enable remote access to access iDRAC remotely.",
            "Severity": "Informational"
        },
        "RAC0274": {
            "Description": "If the Enable NIC checkbox is cleared, remote access to iDRAC is disabled.",
            "Message": "See the iDRAC user documentation for more information on using the Racadm utility or the serial interface.",
            "NumberOfArgs": 0,
            "Resolution": "See iDRAC user documentation for more information on using racadm.",
            "Severity": "Informational"
        },
        "RAC0275": {
            "Description": "If the Enable NIC checkbox is cleared, remote access to iDRAC is disabled.",
            "Message": "Click OK to disable the NIC. Click Cancel to keep the setting unchanged.",
            "NumberOfArgs": 0,
            "Resolution": "Disable NIC only if remote access is undesired.",
            "Severity": "Informational"
        },
        "RAC0276": {
            "Description": "If the Enable NIC checkbox is cleared, remote access to iDRAC is disabled.",
            "Message": "To save the changes and update this page, click Apply.",
            "NumberOfArgs": 0,
            "Resolution": "Click Apply to save changes.",
            "Severity": "Informational"
        },
        "RAC0277": {
            "Description": "This warning message appears when IPv4 is disabled.",
            "Message": "Disabling IPv4 prevents access to iDRAC using an IPv4 address.",
            "NumberOfArgs": 0,
            "Resolution": "Use IPv6 network to access iDRAC remotely.",
            "Severity": "Informational"
        },
        "RAC0278": {
            "Description": "This warning message appears when IPv6 is disabled.",
            "Message": "Disabling IPv6 prevents access to iDRAC using an IPv6 address.",
            "NumberOfArgs": 0,
            "Resolution": "Use IPv4 network to access iDRAC remotely.",
            "Severity": "Informational"
        },
        "RAC0279": {
            "Description": "An invalid IPMI encryption key was entered.",
            "Message": "Invalid Encryption Key. Expected format: 0 to 40 characters, even number of characters and no blank spaces are allowed.",
            "NumberOfArgs": 0,
            "Resolution": "Enter a valid encryption key of up to 40 characters. Odd number of characters and blank spaces are not allowed.",
            "Severity": "Informational"
        },
        "RAC028": {
            "Description": "The attributes \"DNS Domain Name From DHCP\" and \"DNS From DHCP\" are dependent on the attribute DHCP being Enabled. Currently DHCP is configured as Disabled.",
            "Message": "Unable to Enable \"DNS Domain Name From DHCP\" or \"DNS From DHCP\" because DHCP is Disabled.",
            "NumberOfArgs": 0,
            "Resolution": "Set DHCP attribute to Enable to be able to Enable DNS Domain Name From DHCP or DNS From DHCP.",
            "Severity": "Warning"
        },
        "RAC0280": {
            "Description": "This error message is displayed to indicate that the IPv4 address does not conform to the required format.",
            "Message": "The IP Range Address is invalid. Expected range: 0.0.0.0 - 255.255.255.255.",
            "NumberOfArgs": 0,
            "Resolution": "Enter a valid IP Range Address. Expected range: 0.0.0.0 - 255.255.255.255.",
            "Severity": "Informational"
        },
        "RAC0281": {
            "Description": "This error message is displayed to indicate that the IP Subnet Mask does not conform to the required format.",
            "Message": "The IP Subnet Mask is invalid. Expected range: 0.0.0.0 - 255.255.255.255.",
            "NumberOfArgs": 0,
            "Resolution": "Enter a valid IP Subnet Mask. Expected range: 0.0.0.0 - 255.255.255.255.",
            "Severity": "Informational"
        },
        "RAC0282": {
            "Description": "This is the number of login failures attempted from an IP address before further login attempts are rejected from that address. The default value is 10.",
            "Message": "IP Blocking Fail Count is invalid. Expected range: 2-16.",
            "NumberOfArgs": 0,
            "Resolution": "Enter a valid IP Blocking Fail Count. Expected range: 2-16.",
            "Severity": "Informational"
        },
        "RAC0283": {
            "Description": "This is the time span (in seconds) within which IP Blocking Fail Count failures must occur to trigger the IP Blocking Penalty Time. The default value is 3600 seconds (1 hour).",
            "Message": "IP Blocking Fail Window is invalid. Expected range: 10-65535.",
            "NumberOfArgs": 0,
            "Resolution": "Enter a valid IP Blocking Fail Window. Expected range: 10-65535.",
            "Severity": "Informational"
        },
        "RAC0284": {
            "Description": "This is the time span (in seconds) within which login attempts from an IP address with excessive failures are rejected. The default value is 3600 seconds (1 hour).",
            "Message": "IP Blocking Fail Penalty Time is invalid. Expected range: 10-65535.",
            "NumberOfArgs": 0,
            "Resolution": "Enter a valid IP Blocking Fail Penalty Time. Expected range: 10-65535.",
            "Severity": "Informational"
        },
        "RAC0285": {
            "Description": "The user name cannot be empty when creating a user account.",
            "Message": "User name cannot be empty.",
            "NumberOfArgs": 0,
            "Resolution": "Enter a user name.",
            "Severity": "Informational"
        },
        "RAC0286": {
            "Description": "When creating a user account, the New Password and Confirm New Password fields cannot be empty.",
            "Message": "New Password and Confirm New Password fields cannot be empty.",
            "NumberOfArgs": 0,
            "Resolution": "Enter valid passwords for New Password and Confirm New Password.",
            "Severity": "Informational"
        },
        "RAC0288": {
            "Description": "All characters entered must be alphanumeric or valid symbols.",
            "Message": "Invalid entry: Entry must be exclusively alphanumeric characters and valid symbols.",
            "NumberOfArgs": 0,
            "Resolution": "Enter all alphanumeric characters and valid symbols.",
            "Severity": "Informational"
        },
        "RAC0289": {
            "Description": "When creating a user account, the same value must be entered for New Password and Confirm New Password.",
            "Message": "Values in New Password and Confirm New Password fields do not match.",
            "NumberOfArgs": 0,
            "Resolution": "Enter the same values for both New Password and Confirm New Password.",
            "Severity": "Informational"
        },
        "RAC029": {
            "Description": "The operation cannot be completed because necessary dependency values are not found in the input.",
            "Message": "Unable to complete the operation because necessary dependency values are not found in the input.",
            "NumberOfArgs": 0,
            "Resolution": "Refer to the Dell Lifecycle Controller Remote Services Quick Start Guide and Profile Documents available at the support site, and then retry the operation.",
            "Severity": "Warning"
        },
        "RAC0290": {
            "Description": "The user name value does not accept spaces.",
            "Message": "The user name cannot have spaces.",
            "NumberOfArgs": 0,
            "Resolution": "Do not enter spaces in the user name. If desired, use underscores.",
            "Severity": "Informational"
        },
        "RAC0291": {
            "Description": "The user name value does not accept these characters.",
            "Message": "The user name cannot contain: /, \\, @, ., or \" (quotation mark).",
            "NumberOfArgs": 0,
            "Resolution": "Do not enter /, \\, @, ., or \" (quotation mark) for user name.",
            "Severity": "Informational"
        },
        "RAC0292": {
            "Description": "This error is displayed when LDAP or Active Directory cannot find its certificate.",
            "Message": "A valid certificate is not loaded.",
            "NumberOfArgs": 0,
            "Resolution": "Load a valid certificate.",
            "Severity": "Informational"
        },
        "RAC0293": {
            "Description": "This error is displayed when LDAP or Active Directory cannot find an associated Certificate Authority (CA) certificate.",
            "Message": "When certificate validation is enabled, a valid root Certificate Authority (CA) certificate must be uploaded. The CA certificate is used to verify the directory server SSL certificate.",
            "NumberOfArgs": 0,
            "Resolution": "Upload a valid root Certificate Authority (CA) certificate.",
            "Severity": "Informational"
        },
        "RAC0294": {
            "Description": "The amount of time iDRAC waits before sending a partial Serial Over LAN (SOL) data packet. This parameter is specified in milliseconds. It is recommended to use 10 milliseconds for optimal performance.",
            "Message": "The Character Accumulate Interval value is invalid. Expected range: 1-255.",
            "NumberOfArgs": 0,
            "Resolution": "Enter a valid Character Accumulate Interval value. Expected range: 1-255.",
            "Severity": "Informational"
        },
        "RAC0295": {
            "Description": "This is the number of characters per Serial Over LAN (SOL) data packet. When the number of characters accepted by iDRAC is equal to or greater than the Character Send Threshold value, iDRAC starts transmitting SOL data packets that contain the numbers of characters equal to or less than the Character Send Threshold value. If a packet contains fewer characters than this value, it is defined to be a partial SOL data packet. It is recommended to use 255 characters for optimal performance.",
            "Message": "The Character Send Threshold value is invalid. Expected range: 1-255.",
            "NumberOfArgs": 0,
            "Resolution": "Enter a valid Character Send Threshold value. Expected range: 1-255.",
            "Severity": "Informational"
        },
        "RAC0297": {
            "Description": "The Domain Controller Address be specified for Active Directory configuration.",
            "Message": "Specify a Domain Controller Address must be configured.",
            "NumberOfArgs": 0,
            "Resolution": "Enter a valid Domain Controller Address.",
            "Severity": "Informational"
        },
        "RAC0298": {
            "Description": "A Root Domain Name must be specified for Active Directory configuration.",
            "Message": "Root Domain Name must be configured.",
            "NumberOfArgs": 0,
            "Resolution": "Root Domain Name must be configured.",
            "Severity": "Informational"
        },
        "RAC030": {
            "Description": "This attribute is dependent on a related attribute that has an incorrect value. The related attribute is the parent in a parent-child value dependency relationship and has an affect on what values the child attribute can have.",
            "Message": "This attribute is dependent on a related attribute that has an incorrect value.",
            "NumberOfArgs": 0,
            "Resolution": "Refer to the Lifecycle Controller - Remote Services User Guide or the DCIM iDRAC Card Profile to determine the required values for the related attribute and retry the operation with the appropriate value.",
            "Severity": "Warning"
        },
        "RAC0301": {
            "Description": "User will be unable to connect to Remote File Share.",
            "Message": "Remote File Share connection is unavailable. Check the settings and try again.",
            "NumberOfArgs": 0,
            "Resolution": "Make sure proper connectivity exists between the client and the remote file share before using this feature.",
            "Severity": "Informational"
        },
        "RAC0302": {
            "Description": "This error message is displayed when iDRAC does not have a valid Enterprise license.",
            "Message": "iDRAC Express does not support this feature.",
            "NumberOfArgs": 0,
            "Resolution": "Upgrade to iDRAC Enterprise for supporting this feature.",
            "Severity": "Informational"
        },
        "RAC0303": {
            "Description": "This error message is displayed when Virtual Console feature is unavailable.",
            "Message": "Virtual Console is disabled or you do not have the Access Virtual Console privilege.",
            "NumberOfArgs": 0,
            "Resolution": "Enable Virtual Console and ask the administrator to grant Access Virtual Console privilege.",
            "Severity": "Informational"
        },
        "RAC0304": {
            "Description": "Firmware update is terminated.",
            "Message": "Firmware update is terminated.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "RAC031": {
            "Description": "The operation cannot be completed because an incorrect username is entered.",
            "Message": "Unable to complete the operation because an incorrect username is entered.",
            "NumberOfArgs": 0,
            "Resolution": "Enter a valid username and retry the operation.",
            "Severity": "Warning"
        },
        "RAC032": {
            "Description": "The DNS RAC name specified is not valid.",
            "Message": "Invalid value specified for DNS RAC name.",
            "NumberOfArgs": 0,
            "Resolution": "Retry operation with valid DNS RAC name.",
            "Severity": "Warning"
        },
        "RAC033": {
            "Description": "The specified attribute cannot be enabled since it depends on IPv4 to be enabled.",
            "Message": "Unable to enable attribute because IPv4 is Disabled.",
            "NumberOfArgs": 0,
            "Resolution": "Enable IPv4 and retry the operation.",
            "Severity": "Warning"
        },
        "RAC034": {
            "Description": "The job queue is full.",
            "Message": "Unable to create a job because the job queue is full.",
            "NumberOfArgs": 0,
            "Resolution": "Wait for existing jobs to run to completion or delete some jobs from the job queue.",
            "Severity": "Warning"
        },
        "RAC035": {
            "Description": "There are no pending values for the any of the iDRAC attributes.",
            "Message": "No pending configurations.",
            "NumberOfArgs": 0,
            "Resolution": "Make sure there are pending values for the attributes that are targeted for configuration.",
            "Severity": "Warning"
        },
        "RAC036": {
            "Description": "The value of the specified attribute is dependent on the value of another attribute. The current value dependency is invalid. The other attribute value must be changed before the specified attribute value can be set.",
            "Message": "Attribute dependency failed.",
            "NumberOfArgs": 0,
            "Resolution": "Refer to the Lifecycle Controller-Remote Services documentation for the specified attribute dependency on another attribute value and retry the operation.",
            "Severity": "Warning"
        },
        "RAC037": {
            "Description": "There are no pending configurations to delete.",
            "Message": "No pending configurations to delete.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "RAC038": {
            "Description": "The operation did not complete successfully because of an unknown error in the iDRAC.",
            "Message": "Unable to perform the operation due to an unknown error in iDRAC.",
            "NumberOfArgs": 0,
            "Resolution": "Retry the action. If the issue persists, reset the iDRAC.",
            "Severity": "Warning"
        },
        "RAC039": {
            "Description": "The value provided for the specified parameter is invalid.",
            "Message": "Invalid parameter value for %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Verify the value for the specified parameter. Refer to the Lifecycle Controller-Remote Services documentation.",
            "Severity": "Warning"
        },
        "RAC040": {
            "Description": "One or more required parameters needed for the method invoked in the operation are missing.",
            "Message": "Missing parameters %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Verify that all required parameters are provided. Refer to the Lifecycle Controller-Remote Services documentation.",
            "Severity": "Warning"
        },
        "RAC0400": {
            "Description": "iDRAC is running low on memory.",
            "Message": "iDRAC memory low.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Warning"
        },
        "RAC0401": {
            "Description": "Critical error from iDRAC service recovery program.",
            "Message": "iDRAC monitor: %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Critical"
        },
        "RAC041": {
            "Description": "The event filters set operation did not complete successfully due to invalid input parameters.",
            "Message": "The set operation on the event filters failed.",
            "NumberOfArgs": 0,
            "Resolution": "Verify the specified input parameters and retry the operation. Refer to the Lifecycle Controller-Remote Services documentation.",
            "Severity": "Warning"
        },
        "RAC042": {
            "Description": "The number of input parameters provided is not valid to perform the operation.",
            "Message": "Invalid number of input parameters.",
            "NumberOfArgs": 0,
            "Resolution": "Verify that all required parameters are provided. Refer to the Lifecycle Controller-Remote Services documentation.",
            "Severity": "Warning"
        },
        "RAC043": {
            "Description": "Some event filter settings were not updated due to problems encountered processing the input parameters.",
            "Message": "Unable to update some event filter settings.",
            "NumberOfArgs": 0,
            "Resolution": "Verify the input parameters provided and retry the operation. Refer to the Lifecycle Controller-Remote Services documentation.",
            "Severity": "Warning"
        },
        "RAC044": {
            "Description": "Some event filter settings were not updated due to problems encountered processing the input parameters.",
            "Message": "Unable to update some event filter settings.",
            "NumberOfArgs": 0,
            "Resolution": "Verify the input parameters provided and retry the operation. Refer to the Lifecycle Controller-Remote Services documentation.",
            "Severity": "Warning"
        },
        "RAC045": {
            "Description": "The combination of input parameters provided did not match any event filters.",
            "Message": "Event filter does not exist for input parameter combination.",
            "NumberOfArgs": 0,
            "Resolution": "Verify the combination of input parameters and retry the operation.",
            "Severity": "Warning"
        },
        "RAC046": {
            "Description": "The event notification selected is not supported for the event filter specified.",
            "Message": "Unsupported event notification for the event filter specified.",
            "NumberOfArgs": 0,
            "Resolution": "Refer to the iDRAC User Guide and Lifecycle Controller documentation and retry the operation with a valid event notification selection on the specified filter.",
            "Severity": "Warning"
        },
        "RAC047": {
            "Description": "The event action selected is not supported for the event filter specified.",
            "Message": "Unsupported event action for the specified event filter.",
            "NumberOfArgs": 0,
            "Resolution": "Refer to the iDRAC User Guide and Lifecycle Controller documentation and retry the operation with a valid event action selection on the specified filter.",
            "Severity": "Warning"
        },
        "RAC048": {
            "Description": "The operation completed successfully.",
            "Message": "The operation was successful.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "RAC049": {
            "Description": "The operation did not complete successfully because of lack of memory or file space in the iDRAC.",
            "Message": "Resource allocation failure.",
            "NumberOfArgs": 0,
            "Resolution": "Reset the iDRAC and retry the operation.",
            "Severity": "Critical"
        },
        "RAC050": {
            "Description": "The country code is not entered in the correct format or does not exist. Refer to ISO 3166 for the correct country code format.",
            "Message": "Invalid country code.",
            "NumberOfArgs": 0,
            "Resolution": "Enter country code in the correct format as defined in ISO 3166. For example, United States = US.",
            "Severity": "Warning"
        },
        "RAC0500": {
            "Description": "Batteries cannot be displayed. This error may occur if the host system is powered off or there is a bad or disconnected cable for batteries connected to the controller.",
            "Message": "There are no batteries to be displayed.",
            "NumberOfArgs": 0,
            "Resolution": "1. Check if the host system is powered off or shutdown. 2. Verify that the batteries are connected properly.",
            "Severity": "Warning"
        },
        "RAC0501": {
            "Description": "Physical disks cannot be displayed. This error may occur if the host system is powered off or the physical disks are removed. This may result in communication loss while retrieving controller data.",
            "Message": "There are no physical disks to be displayed.",
            "NumberOfArgs": 0,
            "Resolution": "1. Check if the host system is powered off or shutdown. 2. Check if the physical disks are inserted into the enclosure or attached to the backplane. 3. There are no out-of-band capable controllers detected.",
            "Severity": "Warning"
        },
        "RAC0502": {
            "Description": "Virtual disks cannot be displayed. This error may occur if the host system is powered off or there are no virtual disks created.",
            "Message": "There are no virtual disks to be displayed.",
            "NumberOfArgs": 0,
            "Resolution": "1. Check if the host system is powered off or shutdown. 2. Check if virtual disks are created.",
            "Severity": "Warning"
        },
        "RAC0503": {
            "Description": "Out-of-band controllers cannot be displayed. This error may occur if the host system is powered off, or controllers are removed or disconnected.",
            "Message": "There are no out-of-band capable controllers to be displayed.",
            "NumberOfArgs": 0,
            "Resolution": "Check if the host system is powered off or shutdown.",
            "Severity": "Warning"
        },
        "RAC0504": {
            "Description": "Enclosures cannot be displayed. This error may occur if the host system is powered off, there is no enclosure connected to the controller, or there is a bad or disconnected adapter cable for the enclosure.",
            "Message": "There are no enclosures to be displayed.",
            "NumberOfArgs": 0,
            "Resolution": "1. Check if the host system is ON. 2. Check if the Storage Enclosure is ON. 3. Verify that the adapter cables are properly connected and there are no bent pins.",
            "Severity": "Warning"
        },
        "RAC0505": {
            "Description": "Devices are not displayed. This error may occur because these components are removed or disconnected.",
            "Message": "There are no devices to be displayed.",
            "NumberOfArgs": 0,
            "Resolution": "1. Check if the host system is ON. 2. Check if the Storage Enclosure is ON. 3. Verify that the adapter cables are properly connected and there are no bent pins.",
            "Severity": "Warning"
        },
        "RAC0506": {
            "Description": "This error occurs when the user tries to access a program or function that is beyond user granted privileges.",
            "Message": "You do not have privileges to perform this operation.",
            "NumberOfArgs": 0,
            "Resolution": "Contact the system administrator to perform the operation or grant the required privileges.",
            "Severity": "Critical"
        },
        "RAC0507": {
            "Description": "The requested information cannot be displayed, because the system did not find any matching resource. This occurs because the system is turned off, resource is not present, or the resource is removed or deleted. For example, resources such as physicals disks, vFlash SD card, SSL certificate or custom signing certificate.",
            "Message": "Unable to find the requested resource.",
            "NumberOfArgs": 0,
            "Resolution": "Do one of the following and retry the operation: 1) Turn on the system. 2) Make the resource available.",
            "Severity": "Warning"
        },
        "RAC0508": {
            "Description": "The server encountered an unexpected condition. This may be due to invalid JavaScript Object Notation.",
            "Message": "An unexpected error occurred.",
            "NumberOfArgs": 0,
            "Resolution": "Wait for few minutes and refresh the page. If the problem persists, contact service provider.",
            "Severity": "Critical"
        },
        "RAC0509": {
            "Description": "The server is currently unable to handle the request due to temporary overloading or server maintenance.",
            "Message": "The server is temporarily unavailable. Try again after sometime.",
            "NumberOfArgs": 0,
            "Resolution": "Wait for few minutes and refresh the page. If the issue persists, contact service provider.",
            "Severity": "Warning"
        },
        "RAC051": {
            "Description": "The parameter name is not supported.",
            "Message": "Unsupported parameter name %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Remove the unsupported parameter and retry the operation.",
            "Severity": "Warning"
        },
        "RAC0510": {
            "Description": "This error occurs if Lifecycle log events have not occurred recently.",
            "Message": "There are no events to be displayed.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "RAC0511": {
            "Description": "Physical disks cannot be displayed. This error may occur if the host system is powered off, physical disks are removed, or incorrect filters are applied.",
            "Message": "There are no physical disks to be displayed.",
            "NumberOfArgs": 0,
            "Resolution": "1. Check if the host system is powered off or shutdown. 2. Check if the physical disks are inserted into the enclosure or attached to the backplane. 3. Check if correct filters are applied. 4. Check that the Storage Enclosure is on. 5. verify that the adapter cables are properly connected and there are no bent pins.",
            "Severity": "Warning"
        },
        "RAC0512": {
            "Description": "Virtual disks cannot be displayed. This error may occur if the host system is powered off, no virtual disks were created, or incorrect filters are applied.",
            "Message": "There are no virtual disks to be displayed.",
            "NumberOfArgs": 0,
            "Resolution": "1. Check if the host system is ON. 2. Check if virtual disks are created. 3. Check if correct filters are applied. 4. Check if the Storage Enclosure is ON. 5. Verify that the adapter cables are properly connected and there are no bent pins.",
            "Severity": "Warning"
        },
        "RAC0513": {
            "Description": "There are no virtual disks to be displayed. There may be no virtual disks created, the controller(s) may not be in RAID mode, or there may be pending creation or deletion jobs that have not completed.",
            "Message": "There are no virtual disks to be displayed.",
            "NumberOfArgs": 0,
            "Resolution": "Check the following: 1) Check if the server is turned off. If the server is turned off, turn it on and wait until POST completes. 2) If no virtual disks are created, to start the virtual disk creation process, click #{create_virtualdisk_link}. 3) If create virtual disk operation(s) are in a pending state, complete the creation process. To complete the virtual disk(s) creation, go to the Pending Operations page and create a configuration job on the appropriate controller. 4) If delete virtual disk operation(s) are in pending state, then cancel the operation. To cancel delete virtual disk pending operation(s), go to the Pending Operations page and delete all pending operation(s) on the appropriate controller. 5) If the Controller(s) are in HBA mode, switch the controller(s) to RAID mode. To switch controller(s) to RAID mode using the F2 System Setup utility, go to Device Settings > RAID Controller > Controller Management > Advanced Controller Management > Switch to RAID mode.",
            "Severity": "Informational"
        },
        "RAC0514": {
            "Description": "Virtual disk(s) cannot be created because of one or more reasons identified in the Recommended Response Action.",
            "Message": "Unable to create virtual disk(s) on the selected controller.",
            "NumberOfArgs": 0,
            "Resolution": "Check the following: 1) If no physical disk drives are available for virtual disk (VD) creation, install additional physical disk drives. 2) If the maximum number of VDs that can be created on the controller has been reached, a new VD cannot be created until an existing VD is deleted. 3) If the maximum number of VDs supported by drive group has been created, a new VD cannot be created until an existing VD is deleted from the selected drive group. 4) If the physical disk drive(s) are in non-RAID mode, convert them to RAID mode by pressing Ctrl+R while restarting the server, and then select the required controller. Press F2 and select the Convert to RAID capable option, and then complete the operation. 5) If a job is currently running or scheduled on the selected controller, the job must be completed or deleted before attempting a new operation. Status of the scheduled job can be viewed and managed on the Job Queue page on iDRAC. Click Job Queue link to view the status of the scheduled jobs.",
            "Severity": "Informational"
        },
        "RAC0516": {
            "Description": "Converting physical disk drives to RAID-compatible will overwrite any OS-created RAID arrays.",
            "Message": "Converting physical disk drives to RAID-compatible will overwrite any OS-created RAID arrays.",
            "NumberOfArgs": 0,
            "Resolution": "Make sure that there are no OS-configured RAID arrays, and then click OK.",
            "Severity": "Warning"
        },
        "RAC052": {
            "Description": "Unable to create a configuration job because an existing configuration job is already in progress. Only one configuration job for a component can run or can be processed at any time.",
            "Message": "Unable to create a configuration job because an existing configuration job is already in progress.",
            "NumberOfArgs": 0,
            "Resolution": "Retry the operation after the existing configuration job is complete, or cancel the existing configuration job and retry the operation.",
            "Severity": "Warning"
        },
        "RAC053": {
            "Description": "One or more attributes being set are dependent on OS to iDRAC pass-through being enabled.",
            "Message": "OS to iDRAC pass-through is disabled.",
            "NumberOfArgs": 0,
            "Resolution": "Enable OS to iDRAC pass-through and retry the previous command.",
            "Severity": "Informational"
        },
        "RAC054": {
            "Description": "The user account attributes cannot be reset to default values due to an internal error.",
            "Message": "User account attributes cannot be reset to default values due to an internal error.",
            "NumberOfArgs": 0,
            "Resolution": "Make sure the configuration XML file contains valid values for user account attributes and retry the operation.",
            "Severity": "Informational"
        },
        "RAC055": {
            "Description": "The user name for the user account cannot be cleared because the user account is enabled in the configuration XML file.",
            "Message": "User name cannot be cleared because the user account is enabled in the input configuration XML file.",
            "NumberOfArgs": 0,
            "Resolution": "Retry the operation after disabling the user account in the configuration XML file.",
            "Severity": "Informational"
        },
        "RAC056": {
            "Description": "The Authentication Protocol attribute for the user account identified in the message cannot be disabled because the Privacy Protocol attribute is enabled. The Privacy Protocol for the user account is not set to None.",
            "Message": "Unable to set the Authentication Protocol attribute to None because the Privacy Protocol attribute is enabled for user ID: %1",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Disable the Privacy Protocol attribute for the identified user ID account by setting the value to None, and retry the operation to set Authentication Protocol attribute to None.",
            "Severity": "Informational"
        },
        "RAC0560": {
            "Description": "RAC Software Initialization error. Monitoring data will not be available for PERC and Network Cards.",
            "Message": "RAC Software Initialization Error",
            "NumberOfArgs": 0,
            "Resolution": "Contact Dell Tech Support.",
            "Severity": "Informational"
        },
        "RAC0561": {
            "Description": "iDRAC lost connection with CMC proxy component that enables agent free monitoring of PCIe slots. Agent free monitoring will not be supported for Chassis PCIe slots while this connection is not functioning.",
            "Message": "iDRAC to CMC communication link is not functioning for agent free monitoring of chassis PCIe slots.",
            "NumberOfArgs": 0,
            "Resolution": "Do the following: 1) Check the Lifecycle Log for the subsequent RAC0562 communications restored message that will indicate the link was re-established automatically. 2) If there is no subsequent RAC0562 message in the Lifecycle Log, restart the iDRAC. The iDRAC can be restarted by using the RACADM command line utility and entering \"racadm racreset\". 3) After the iDRAC has restarted, if the communications link is still not functioning, restart the CMC and check the Lifecycle Log for this link error after the CMC has restarted. 4) If the issue persists, contact your service provider.",
            "Severity": "Informational"
        },
        "RAC0562": {
            "Description": "iDRAC automatically restored connection with CMC proxy component. Agent free Monitoring will now be supported for Chassis PCIe slots.",
            "Message": "iDRAC-CMC communication restored for agent free monitoring of chassis PCIe slots.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "RAC057": {
            "Description": "The Privacy Protocol for the user cannot be enabled because the Authentication protocol is disabled.",
            "Message": "Unable to set Privacy Protocol to an enabled state because the Authentication Protocol attribute is set to None for the user ID: %1",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Enable the Authentication Protocol attribute for the identified user ID account, and retry the operation to set the Privacy Protocol to an enabled state.",
            "Severity": "Informational"
        },
        "RAC058": {
            "Description": "The value provided for the specified attribute is not unique. For example, the user name for a user account must be unique.",
            "Message": "AttributeValue is not unique for AttributeName %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Provide a unique value for the specified attribute. For more information about the component being managed, see the DCIM Profile documentation.",
            "Severity": "Warning"
        },
        "RAC059": {
            "Description": "When the Network Time Protocol (NTP) feature is enabled, the iDRAC will get time from the configured NTP server. Directly configuration of the iDRAC time is disabled when NTP is enabled.",
            "Message": "Unable to configure iDRAC time because Network Time Protocol (NTP) is enabled.",
            "NumberOfArgs": 0,
            "Resolution": "Disable Network Time Protocol (NTP) and retry the operation.",
            "Severity": "Warning"
        },
        "RAC060": {
            "Description": "The attribute identified in the message could not be set, because certain features cannot be enabled when OMSA is installed on the server.",
            "Message": "Unable to set the attribute because OpenManage Server Administrator (OMSA) is installed on the server %1",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Uninstall OMSA, and then retry the operation.",
            "Severity": "Warning"
        },
        "RAC0600": {
            "Description": "Temperature information cannot be displayed. This error may occur if the server is powered off.",
            "Message": "Unable to retrieve the temperature information.",
            "NumberOfArgs": 0,
            "Resolution": "Power on the server. If the server is already powered on, wait for a few minutes and refresh the page. If the problem persists, contact service provider.",
            "Severity": "Warning"
        },
        "RAC0601": {
            "Description": "The server encountered an unexpected condition. This may be due to invalid JavaScript Object Notation.",
            "Message": "Unable to retrieve alert recurrence information.",
            "NumberOfArgs": 0,
            "Resolution": "Wait for few minutes and refresh the page. If the problem persists, contact service provider.",
            "Severity": "Warning"
        },
        "RAC0602": {
            "Description": "The value for alert recurrence must be within the range 0-365.",
            "Message": "Invalid value for alert recurrence.",
            "NumberOfArgs": 0,
            "Resolution": "Enter a value between 0-365.",
            "Severity": "Warning"
        },
        "RAC0603": {
            "Description": "The Job Queue is updated with the selected update jobs. The status of the update jobs can be viewed and managed within the Job Queue page.",
            "Message": "Updating Job Queue. Status of the update jobs can be viewed and managed within the Job Queue page.",
            "NumberOfArgs": 0,
            "Resolution": "Click Job Queue button to view the status of the update jobs.",
            "Severity": "Warning"
        },
        "RAC0604": {
            "Description": "The system inventory may not be up-to-date because the Collect System Inventory On Restart (CSIOR) feature is disabled. The CSIOR feature retrieves detailed system inventory information during system startup and stores this information on iDRAC.",
            "Message": "System inventory may not be up-to-date because Collect System Inventory On Restart (CSIOR) is disabled.",
            "NumberOfArgs": 0,
            "Resolution": "Enable CSIOR, restart the system and retry the operation. To enable CSIOR, press F2 (System Setup) during system startup, navigate to iDRAC Settings >Lifecycle Controller, and select the Enabled option for Collect System Inventory on Restart.",
            "Severity": "Critical"
        },
        "RAC0605": {
            "Description": "There are no jobs to be displayed.",
            "Message": "There are no jobs to be displayed.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Warning"
        },
        "RAC0606": {
            "Description": "The selected network connection test operation was successful.",
            "Message": "The network connection test operation was successful.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "RAC0607": {
            "Description": "The integrated NICs in the system do not support OS to iDRAC Pass-Through.",
            "Message": "Unable to perform OS to iDRAC Pass-Through with the current system configuration.",
            "NumberOfArgs": 0,
            "Resolution": "Make sure the integrated NICs are enabled from BIOS setup and support OS to iDRAC Pass-Through, then retry the operation. To access BIOS setup, press F2 during system startup. For more information about OS to iDRAC Pass-Through, see iDRAC7 Users Guide.",
            "Severity": "Warning"
        },
        "RAC0608": {
            "Description": "The message appears in Job Queue page when the iDRAC firmware update job status is downloading. Communication to the iDRAC will be lost when the iDRAC restarts to complete the firmware update.",
            "Message": "The iDRAC will restart when the iDRAC firmware update is complete. All current user sessions will be closed.",
            "NumberOfArgs": 0,
            "Resolution": "Reconnect iDRAC communications session after iDRAC is restarted. The iDRAC will be ready for login once the restart is complete.",
            "Severity": "Warning"
        },
        "RAC0609": {
            "Description": "The import or export system configuration operation with the job ID indicated in the message was successfully added to the Job Queue.",
            "Message": "The job %1 has been successfully added to the job queue.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required. The status of jobs can be viewed on the Job Queue page.",
            "Severity": "Informational"
        },
        "RAC061": {
            "Description": "The IPMI Watchdog can not be enabled at the same time as the OS Watchdog.",
            "Message": "Unable to set the IPMI Watchdog because the OS Watchdog is already enabled.",
            "NumberOfArgs": 0,
            "Resolution": "Disable the OS Watchdog before enabling IPMI Watchdog.",
            "Severity": "Warning"
        },
        "RAC0610": {
            "Description": "Different values were entered for passphrase and confirm passphrase field.",
            "Message": "The passphrase and confirm passphrase values entered do not match.",
            "NumberOfArgs": 0,
            "Resolution": "Values entered in passphrase and confirm passphrase fields must be the same.",
            "Severity": "Warning"
        },
        "RAC0611": {
            "Description": "The IP address cannot be blank for import or export of system configuration profile operation.",
            "Message": "IP Address cannot be blank.",
            "NumberOfArgs": 0,
            "Resolution": "Enter a valid IP Address for network location.",
            "Severity": "Informational"
        },
        "RAC0612": {
            "Description": "Cancelling the firmware update operation will cancel all firmware updates selected and delete all uploaded firmware files.",
            "Message": "Cancelling the firmware update operation will delete all the uploaded firmware files. Do you want to continue?",
            "NumberOfArgs": 0,
            "Resolution": "Select Yes to cancel the firmware update operation and delete all uploaded firmware files. Select No to dismiss the message and continue the firmware update operation.",
            "Severity": "Warning"
        },
        "RAC0613": {
            "Description": "An internal error occurred because of an invalid file.",
            "Message": "The uploaded file is invalid.",
            "NumberOfArgs": 0,
            "Resolution": "Make sure to upload the required file in the correct format and retry the operation.",
            "Severity": "Warning"
        },
        "RAC0614": {
            "Description": "The specified password was incorrect for the PKCS#12 file.",
            "Message": "Incorrect password for PKCS#12 file.",
            "NumberOfArgs": 0,
            "Resolution": "Make sure to use the correct password for the PKCS#12 file. If the PKCS#12 file is encrypted with a password, add it in required password box. Leave the password box empty if the file was not encrypted with a password.",
            "Severity": "Warning"
        },
        "RAC0615": {
            "Description": "The contents of the PKCS12 file was not valid because one of the following: 1) Not a valid PKCS#12 file, 2) Not a valid pfx file or 3) Did not contain a valid key.",
            "Message": "Invalid PKCS#12 file.",
            "NumberOfArgs": 0,
            "Resolution": "Make sure to upload the file in PKCS#12 format. OpenSSL can be used to validate a PKCS#12 file.",
            "Severity": "Warning"
        },
        "RAC0616": {
            "Description": "iDRAC was unable to continue with the operation after the PKCS#12 file was uploaded, because it is not able to extract the custom signing certificate and private key.",
            "Message": "Error while extracting custom signing certificate and private key from the PKCS#12 file.",
            "NumberOfArgs": 0,
            "Resolution": "Make sure to upload the PKCS#12 file that contains a valid custom signing certificate and private key.",
            "Severity": "Warning"
        },
        "RAC0617": {
            "Description": "An error occurred while generating new iDRAC SSL Certificate or signing it with new custom signing certificate.",
            "Message": "An error was encountered while generating new SSL Certificate.",
            "NumberOfArgs": 0,
            "Resolution": "Make sure to upload an PKCS#12 file that contains a valid custom signing certificate and private key, then retry the operation.",
            "Severity": "Warning"
        },
        "RAC0618": {
            "Description": "The data entered caused an error while processing the request.",
            "Message": "Incorrect data entered.",
            "NumberOfArgs": 0,
            "Resolution": "Make sure to enter the correct data and retry the operation.",
            "Severity": "Warning"
        },
        "RAC0619": {
            "Description": "The message appears in Firmware Rollback page when the iDRAC firmware rollback action completed successfully.",
            "Message": "The iDRAC firmware rollback will cause an iDRAC restart and all current user sessions will be closed.",
            "NumberOfArgs": 0,
            "Resolution": "Reconnect iDRAC communications sessions after iDRAC is restarted. The iDRAC will be ready for login once the restart is complete.",
            "Severity": "Warning"
        },
        "RAC062": {
            "Description": "The attribute can not be set if the IPMI Watchdog state is disabled.",
            "Message": "Unable to set the attribute because the IPMI Watchdog state is disabled.",
            "NumberOfArgs": 0,
            "Resolution": "Enable the IPMI Watchdog state and retry the operation.",
            "Severity": "Warning"
        },
        "RAC0620": {
            "Description": "Lifecycle Controller is currently busy performing tasks. The selected jobs cannot be deleted until the following: 1) The Lifecycle Controller tasks are completed. 2) The system completes all the Power-on-Self-test (POST) operations.",
            "Message": "Lifecycle Controller is unable to delete the selected jobs.",
            "NumberOfArgs": 0,
            "Resolution": "Wait until Lifecycle Controller completes the current tasks and the system completes Power-on Self-test (POST).",
            "Severity": "Warning"
        },
        "RAC0621": {
            "Description": "The message appears in Job Queue page when the iDRAC firmware update job status is completed. Communication to the iDRAC will be lost .",
            "Message": "Successfully completed the iDRAC firmware update. All current user sessions will be closed.",
            "NumberOfArgs": 0,
            "Resolution": "The iDRAC will be ready for login once the restart is complete.",
            "Severity": "Warning"
        },
        "RAC0622": {
            "Description": "The certificate file is invalid for one of the following reasons: 1) CA Certificate is corrupted, expired, or does not have signing privileges. 2) CA private key does not match with CA Certificate being uploaded.",
            "Message": "An invalid certificate file is uploaded.",
            "NumberOfArgs": 0,
            "Resolution": "Make sure the CA certificate and private key are correct and retry the operation. The certificate can be validated using the OpenSSL tools.",
            "Severity": "Warning"
        },
        "RAC0623": {
            "Description": "A firmware update is not required for the components on the server, because current firmware versions are the latest available in the repository.",
            "Message": "The firmware versions on all the components of this server are up-to-date.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "RAC0624": {
            "Description": "The requested operation could not be completed, because an incorrect job type or job ID is entered.",
            "Message": "Unable to find the requested job type or ID.",
            "NumberOfArgs": 0,
            "Resolution": "Enter the correct job type or ID, and then retry the operation.",
            "Severity": "Warning"
        },
        "RAC0625": {
            "Description": "The requested job cannot be scheduled, because job schedule types such as Automatic Backup or Automatic Update is not enabled.",
            "Message": "Unable to schedule, because the requested job schedule type is not enabled.",
            "NumberOfArgs": 0,
            "Resolution": "Enable the correct job schedule type, and then retry the operation. For example, to enable the Automatic Backup feature, select the Enable Automatic Backup option.",
            "Severity": "Warning"
        },
        "RAC0626": {
            "Description": "The job cannot be scheduled, because all or some of the schedule parameters entered are incorrect.",
            "Message": "Unable to schedule, because an invalid schedule parameter is entered.",
            "NumberOfArgs": 0,
            "Resolution": "Enter correct input schedule parameters and retry the operation.",
            "Severity": "Warning"
        },
        "RAC0627": {
            "Description": "The job cannot be scheduled, because the requested recurrent Automatic Backup job is already scheduled.",
            "Message": "Unable to schedule, because the requested recurrent Automatic Backup job is already scheduled.",
            "NumberOfArgs": 0,
            "Resolution": "Delete the current scheduled job, and then retry to create a new Automatic Backup job with a new schedule.",
            "Severity": "Warning"
        },
        "RAC0628": {
            "Description": "The job cannot be scheduled, because the requested recurrent Automatic Update job is already scheduled.",
            "Message": "Unable to schedule, because the requested recurrent Automatic Update job is already scheduled.",
            "NumberOfArgs": 0,
            "Resolution": "Delete the current scheduled job, and then retry to create a new Automatic Update job with a new schedule.",
            "Severity": "Warning"
        },
        "RAC0629": {
            "Description": "The job cannot be scheduled, because the requested job type is not supported.",
            "Message": "Unable to schedule, because an invalid job type is entered.",
            "NumberOfArgs": 0,
            "Resolution": "Enter a correct job type, and then retry the operation.",
            "Severity": "Warning"
        },
        "RAC063": {
            "Description": "The string length of the entered value for the attribute identified in the message may be less than the minimum length or greater than the maximum length allowed.",
            "Message": "The string length of the provided value for %1 is inappropriate.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Make sure that the string length is correct and retry the operation.",
            "Severity": "Warning"
        },
        "RAC0630": {
            "Description": "The job cannot be scheduled, because the requested network file share type is not supported.",
            "Message": "Unable to schedule, because an invalid network file share type is entered.",
            "NumberOfArgs": 0,
            "Resolution": "Enter a correct network file share type, and then retry the operation.",
            "Severity": "Warning"
        },
        "RAC0631": {
            "Description": "The requested network file share cannot be accessed, because an invalid network file share name is entered.",
            "Message": "Unable to access the network file share, because an invalid network file share name is entered.",
            "NumberOfArgs": 0,
            "Resolution": "Enter a valid network file share name, and then retry the operation.",
            "Severity": "Warning"
        },
        "RAC0632": {
            "Description": "The requested network file share cannot be accessed, because an invalid hostname or IP address is entered.",
            "Message": "Unable to access the network file share, because an invalid network file share hostname or IP address is entered.",
            "NumberOfArgs": 0,
            "Resolution": "Enter a valid network file share hostname or IP address, and then retry the operation.",
            "Severity": "Warning"
        },
        "RAC0633": {
            "Description": "The requested network file share cannot be accessed, because an invalid password is entered.",
            "Message": "Unable to access the network file share, because an invalid network share password is entered.",
            "NumberOfArgs": 0,
            "Resolution": "Enter a valid network file share password, and then retry the operation.",
            "Severity": "Warning"
        },
        "RAC0634": {
            "Description": "The requested network file share cannot be accessed, because an invalid username is entered.",
            "Message": "Unable to access the network file share, because an invalid network file share username is entered.",
            "NumberOfArgs": 0,
            "Resolution": "Enter a valid network file share username, and then retry the operation.",
            "Severity": "Warning"
        },
        "RAC0635": {
            "Description": "The requested network file share cannot be accessed, because an invalid domain name is entered.",
            "Message": "Unable to access the network file share, because an invalid domain name is entered.",
            "NumberOfArgs": 0,
            "Resolution": "Enter a valid domain name, and then retry the operation.",
            "Severity": "Warning"
        },
        "RAC0636": {
            "Description": "The requested network file share cannot be accessed, because an invalid proxy password is entered.",
            "Message": "Unable to access the network file share, because an invalid proxy password is entered.",
            "NumberOfArgs": 0,
            "Resolution": "Enter a valid proxy password, and then retry the operation.",
            "Severity": "Warning"
        },
        "RAC0637": {
            "Description": "The requested network file share cannot be accessed, because an invalid proxy user name is entered.",
            "Message": "Unable to access the network file share, because an invalid proxy user name is entered.",
            "NumberOfArgs": 0,
            "Resolution": "Enter a valid proxy user name, and then retry the operation.",
            "Severity": "Warning"
        },
        "RAC0638": {
            "Description": "The requested network file share cannot be accessed, because an invalid proxy host name or IP address is entered.",
            "Message": "Unable to access the network file share, because an invalid proxy host name or IP address is entered.",
            "NumberOfArgs": 0,
            "Resolution": "Enter a valid proxy host name or IP address, and then retry the operation.",
            "Severity": "Warning"
        },
        "RAC0639": {
            "Description": "The job could not be successfully scheduled, because an invalid value is entered for 'minute' while scheduling a job.",
            "Message": "Unable to schedule, because an invalid 'minute' value is entered.",
            "NumberOfArgs": 0,
            "Resolution": "Enter a correct value from 0 to 59, and then retry the operation.",
            "Severity": "Warning"
        },
        "RAC064": {
            "Description": "iDRAC was successfully reset.",
            "Message": "iDRAC was successfully reset.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "RAC0640": {
            "Description": "The job could not be successfully scheduled, because an invalid value is entered for 'hour' while scheduling a job.",
            "Message": "Unable to schedule, because an invalid 'hour' value is entered.",
            "NumberOfArgs": 0,
            "Resolution": "Enter a correct value from 0 to 23, and then retry the operation.",
            "Severity": "Warning"
        },
        "RAC0641": {
            "Description": "The job could not be successfully scheduled, because an invalid value is entered for 'time' while scheduling a job.",
            "Message": "Unable to schedule, because an invalid 'time' value is entered.",
            "NumberOfArgs": 0,
            "Resolution": "Enter a correct value in the HH:MM format, and then retry the operation.",
            "Severity": "Warning"
        },
        "RAC0642": {
            "Description": "The job could not be successfully scheduled, because an invalid value is entered for 'day' of a month while scheduling a job.",
            "Message": "Unable to schedule, because an invalid value is entered for the 'day' of a month.",
            "NumberOfArgs": 0,
            "Resolution": "Enter a correct numerical value in the following format: Day [1 to 31] of every [1 to 12] month(s). For example, Day 4 of every 11 months. Retry the operation.",
            "Severity": "Warning"
        },
        "RAC0643": {
            "Description": "The job could not be successfully scheduled, because an invalid value is entered for 'month' while scheduling a job.",
            "Message": "Unable to schedule, because an invalid 'month' value is entered.",
            "NumberOfArgs": 0,
            "Resolution": "Enter a correct numerical value in the following format: Day [1 to 31] of every [1 to 12] month(s). For example, Day 4 of every 11 months. Retry the operation.",
            "Severity": "Warning"
        },
        "RAC0644": {
            "Description": "The job could not be successfully scheduled, because an invalid value is entered for 'year', while scheduling a job.",
            "Message": "Unable to schedule, because an invalid 'year' value is entered.",
            "NumberOfArgs": 0,
            "Resolution": "Enter a correct value, and then retry the operation.",
            "Severity": "Warning"
        },
        "RAC0645": {
            "Description": "The job could not be successfully scheduled, because an invalid value is entered for 'recurrence frequency' while scheduling a job.",
            "Message": "Unable to schedule, because an invalid value is entered for the recurrence frequency.",
            "NumberOfArgs": 0,
            "Resolution": "Enter a correct value, and then retry the operation.",
            "Severity": "Warning"
        },
        "RAC0646": {
            "Description": "The job could not be successfully scheduled, because an invalid value is entered for 'day of the week' while scheduling a job.",
            "Message": "Unable to schedule, because an invalid value is entered for the day of the week.",
            "NumberOfArgs": 0,
            "Resolution": "Enter a correct value, and then retry the operation.",
            "Severity": "Warning"
        },
        "RAC0647": {
            "Description": "The job could not be successfully scheduled, because an invalid value is entered for 'week of the month' while scheduling a job.",
            "Message": "Unable to schedule, because an invalid value is entered for the 'week of the month'.",
            "NumberOfArgs": 0,
            "Resolution": "Enter a correct value from 1 to 4, and then retry the operation.",
            "Severity": "Warning"
        },
        "RAC0648": {
            "Description": "The request cannot be processed, because the length of string entered for one of the input parameter is more than the specified length.",
            "Message": "Unable to process the request.",
            "NumberOfArgs": 0,
            "Resolution": "Enter a string not more than 4095 characters in length, and then retry the operation.",
            "Severity": "Warning"
        },
        "RAC0649": {
            "Description": "Unable to process the request, because data is not entered or not selected in one or more mandatory fields.",
            "Message": "Unable to process the request.",
            "NumberOfArgs": 0,
            "Resolution": "Make sure to enter or select data in all the mandatory fields, and then retry the operation.",
            "Severity": "Warning"
        },
        "RAC065": {
            "Description": "The iDRAC reset operation was not successful. This may be due to IPMI communications issues.",
            "Message": "iDRAC reset operation was not successful.",
            "NumberOfArgs": 0,
            "Resolution": "Do the following: 1) Retry the operation. 2) If the issue persists, remove AC input power from the server and re-apply AC power to the server and retry the operation. 3) If the issue continues to persist, contact your service provider.",
            "Severity": "Informational"
        },
        "RAC0651": {
            "Description": "The Enclosure Split Mode configuration process is started. However, the setting will be applied only during the next AC power cycle operation of the Chassis. This may result in loss of configuration and/or access to physical disk drive(s).",
            "Message": "The Enclosure Split Mode configuration process is started. However, the setting will be applied only during the next AC power cycle operation of the Chassis. This may result in loss of configuration and/or access to physical disk drive(s).",
            "NumberOfArgs": 0,
            "Resolution": "Press OK to continue.",
            "Severity": "Warning"
        },
        "RAC0654": {
            "Description": "Unable to perform operations on the iDRAC Service Module (iSM) because the iSM is not installed on the server operating system. All fields in the iDRAC GUI iSM page are disabled.",
            "Message": "No operations can be performed on the iDRAC Service Module.",
            "NumberOfArgs": 0,
            "Resolution": "Make sure that the iDRAC Service Module is installed on the server operating system, and then retry the operation.",
            "Severity": "Warning"
        },
        "RAC0655": {
            "Description": "The Replicate Lifecycle Controller Log in OS Log and Auto System Recovery Action features are disabled in the iDRAC Service Module because the OpenManage Server Administrator is installed on the server operating system.",
            "Message": "The Replicate Lifecycle Controller Log in OS Log and Auto System Recovery Action features are disabled in the iDRAC Service Module because the OpenManage Server Administrator is installed on the server operating system.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "RAC0656": {
            "Description": "The iDRAC Service Module (iSM) service cannot be started by just enabling in iDRAC web interface because the service has to also be manually restarted on the server operating system.",
            "Message": "Are you sure you want to disable the iDRAC Service Module on the server operating system?",
            "NumberOfArgs": 0,
            "Resolution": "To re-enable the iDRAC Service Module (iSM), do the following: 1) Enable the iSM in the iDRAC web interface, 2) Start the iSM service on the server operating system.",
            "Severity": "Warning"
        },
        "RAC0657": {
            "Description": "The file name cannot be blank when performing the Backup Server Profile operation.",
            "Message": "The file name field must not be blank.",
            "NumberOfArgs": 0,
            "Resolution": "Enter an appropriate file name, and then retry the operation.",
            "Severity": "Warning"
        },
        "RAC0658": {
            "Description": "The iDRAC Service Module service can now be started on the server operating system. This service needs to be started manually on the server operating system.",
            "Message": "The iDRAC Service Module service can now be manually started on the server operating system.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "RAC0659": {
            "Description": "The storage configuration operation(s) cannot be performed on the adapter identified in the message because a job is currently pending or is running on the adapter.",
            "Message": "Unable to perform the storage configuration operation(s) on %1 because a job is currently pending or is running on the adapter.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Wait for the job to completely run, or delete the job, and then retry the operation. To view the status of the scheduled jobs, go to the Job Queue page of iDRAC.",
            "Severity": "Informational"
        },
        "RAC066": {
            "Description": "iDRAC was successfully reset to factory-default properties.",
            "Message": "iDRAC is successfully reset to factory-default properties.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "RAC0660": {
            "Description": "The file server cannot be accessed because of incorrect credentials.",
            "Message": "Unable to access the specified file server location.",
            "NumberOfArgs": 0,
            "Resolution": "Check the file server credentials and retry the operation.",
            "Severity": "Warning"
        },
        "RAC0661": {
            "Description": "Various storage configuration operations can be performed on different devices such as physical disks, virtual disks, controllers, or enclosures. The operations are applied to the device by creating a configuration job on the associated controller.",
            "Message": "Storage configuration operation - #(operation) is pending on the selected #{devicetype} : #{devicename}.",
            "NumberOfArgs": 0,
            "Resolution": "To complete the storage configuration operation, create a storage configuration job with the necessary scheduling.",
            "Severity": "Informational"
        },
        "RAC0662": {
            "Description": "Clear foreign configuration will delete the foreign virtual disk information from the controller's associated physical disk drives. Clearing will remove metadata associated with the virtual disks, making the physical disk drives available for creating new virtual disks. To remove foreign data, perform an initialization operation.",
            "Message": "The Clear Foreign Configuration operation will delete the foreign virtual disk information from the controller's associated physical disk drives. Clearing will remove metadata associated with the virtual disks, making the physical disk drives available for creating new virtual disks. To remove foreign data, perform an initialization operation.",
            "NumberOfArgs": 0,
            "Resolution": "Press OK to continue.",
            "Severity": "Warning"
        },
        "RAC0663": {
            "Description": "Resetting the selected PERC controller's configuration will delete all the virtual disks (VDs) and unassign hot-spares from the associated controller.",
            "Message": "Resetting the selected PERC controller's configuration will delete all the virtual disks (VDs) and unassign hot-spares from the associated controller.",
            "NumberOfArgs": 0,
            "Resolution": "Press OK to continue.",
            "Severity": "Informational"
        },
        "RAC0664": {
            "Description": "Exporting the RAID Controller Log will take less than the number of minutes identified in the message. The job identified in the message is created for the RAID Controller Log Export operation.",
            "Message": "Exporting the RAID Controller Log will take less than %1 minutes. Job ID: #{jobID} is created for the RAID Controller Log Export operation.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "To check the progress of the job click the Job Queue button.",
            "Severity": "Informational"
        },
        "RAC0665": {
            "Description": "RAID Controller Log data is being collected. This operation will take less than the number of minutes identified in the message.",
            "Message": "RAID Controller Log data is being collected. This operation will take less than %1 minutes.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Do not log off from the application until the log data collection process is completed.",
            "Severity": "Informational"
        },
        "RAC0666": {
            "Description": "A RAID Controller Log is created.",
            "Message": "A RAID Controller Log is created.",
            "NumberOfArgs": 0,
            "Resolution": "To export the Log report, click OK. To delete the report, click Cancel.",
            "Severity": "Informational"
        },
        "RAC0667": {
            "Description": "This setting will be applied after the server has been turned off and turned on again. This may result in loss of configuration and/or access physical disk drive(s) or virtual disk(s) being marked offline. This may also result in some disk(s) being identified as foreign disks. Foreign physical disk drive(s) or virtual disk(s) can be imported or cleared.",
            "Message": "This setting will be applied after the server has been turned off and turned on again. This may result in loss of configuration and/or access to physical disk drive(s).",
            "NumberOfArgs": 0,
            "Resolution": "Press OK to continue.",
            "Severity": "Warning"
        },
        "RAC0668": {
            "Description": "This setting will be applied during the next server restart. If the setting is not compatible with the RAID Controller, then LED status indicators on all the associated hard disk drives (HDDs) stop functioning.",
            "Message": "This setting will be applied during the next server restart. If the setting is not compatible with the RAID Controller, then LED status indicators on all the associated hard disk drives (HDDs) stop functioning.",
            "NumberOfArgs": 0,
            "Resolution": "Press OK to continue.",
            "Severity": "Warning"
        },
        "RAC0669": {
            "Description": "Initializing the virtual disk will permanently delete data from the virtual disk.",
            "Message": "Initializing the virtual disk will permanently delete data from the virtual disk.",
            "NumberOfArgs": 0,
            "Resolution": "Press OK to continue.",
            "Severity": "Warning"
        },
        "RAC067": {
            "Description": "iDRAC reset to factory defaults operation was not successful. This may be due to IPMI communications issues.",
            "Message": "iDRAC reset to factory defaults operation was not successful.",
            "NumberOfArgs": 0,
            "Resolution": "Do the following: 1) Retry the operation. 2) If the issue persists, remove AC input power from the server and re-apply AC power to the server and retry the operation. 3) If the issue continues to persist, contact your service provider.",
            "Severity": "Informational"
        },
        "RAC0670": {
            "Description": "Deleting the virtual disk will remove the virtual disk from the controller's configuration. If the specified virtual disk is a boot device, the server will not boot unless another boot device is selected in BIOS.",
            "Message": "Deleting the virtual disk will remove the virtual disk from the controller's configuration.",
            "NumberOfArgs": 0,
            "Resolution": "If the specified virtual disk is a boot device, the server will not boot. Press OK to continue.",
            "Severity": "Warning"
        },
        "RAC0671": {
            "Description": "Going out of this page will not save the operations or configuration settings that were selected.",
            "Message": "Going out of this page will not save the operations or configuration settings that were selected.",
            "NumberOfArgs": 0,
            "Resolution": "Press OK to continue. Press Cancel to continue working on the page.",
            "Severity": "Informational"
        },
        "RAC0673": {
            "Description": "To export operating system (OS) and application data, the OS Collector utility must be run on the server OS. A virtual USB device labeled DRACRW has appeared in the server OS. After the OS Collector utility execution has completed, return to this page to complete exporting the Tech Support Report (TSR).",
            "Message": "OS Collector must be run on the server OS in order to export OS and Application Data. A virtual USB device labeled DRACRW has appeared in the server OS. This device contains the OS Collector utility, go to the Server OS and run the version of the utility appropriate to the OS type. After the OS Collector utility execution has completed, return to this page to finish exporting the Technical Support Report (TSR).",
            "NumberOfArgs": 0,
            "Resolution": "Invoke the OS Collector utility in the OS and wait for execution completion. Then return to this page to complete exporting the Technical Support Report (TSR).",
            "Severity": "Informational"
        },
        "RAC0674": {
            "Description": "Export Report will create a zip file of XML and text-based logs intended for Dell Technical Support assistance with troubleshooting system issues. Choose Advanced Export Options to specify optional report settings and actions.",
            "Message": "Export Report will create a zip file of XML and text-based logs intended for Dell Technical Support assistance with troubleshooting system issues. Choose Advanced Export Options to specify optional report settings and actions.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "RAC0675": {
            "Description": "Results are not available for the search criterion entered.",
            "Message": "Results are not available for the search criterion entered.",
            "NumberOfArgs": 0,
            "Resolution": "Enter another criterion and retry the operation.",
            "Severity": "Warning"
        },
        "RAC0676": {
            "Description": "Unable to assign physical disk drives as global hotspare(s). This may be because there are no disk drives available in a ready state or there are no virtual disks present.",
            "Message": "Unable to assign physical disk drives as global hotspare(s).",
            "NumberOfArgs": 0,
            "Resolution": "Do one of the following and retry the operation: 1) If there are no disk drives available in ready state, insert additional disk drives and make sure the drives are in ready state. 2) If no virtual disks are present, click <create virtualdisk link> and create at least one virtual disk. 3) If the physical disk drive(s) are in non-RAID mode, convert them to RAID mode by pressing Ctrl+R while restarting the server, and then select the required controller. Press F2 and select the Convert to RAID capable option, and then complete the operation.",
            "Severity": "Informational"
        },
        "RAC0677": {
            "Description": "No physical disk drives in ready state, virtual disks, or PCIe SSD drives are available to perform operations on.",
            "Message": "No physical disk drives in ready state, no virtual disks are created, and no PCIe SSD drives are available to perform operations on.",
            "NumberOfArgs": 0,
            "Resolution": "Do one of the following: 1. If there are no disk drives available in ready state, insert additional disk drives and make sure the drives are in ready state. 2. If no virtual disks are present, click <create virtualdisk link> and create at least one virtual disk. 3. If PCIe SSD drives are inserted into the enclosure or attached to the backplane.",
            "Severity": "Informational"
        },
        "RAC0678": {
            "Description": "Unable to perform Prepare to Remove or Secure Erase operations on the PCIe SSD disk drives.",
            "Message": "Unable to perform Prepare to Remove or Secure Erase operations on PCIe SSD disk drives.",
            "NumberOfArgs": 0,
            "Resolution": "Make sure PCIe SSD disk drives are inserted into the enclosure or attached to the backplane and retry the operation. If the issue persists, contact your service provider.",
            "Severity": "Informational"
        },
        "RAC0679": {
            "Description": "Unable to process the request because a job operation is already running.",
            "Message": "A job operation is already running. Retry the operation after the existing job is completed.",
            "NumberOfArgs": 0,
            "Resolution": "Wait until the running job is completed or delete the scheduled job and retry the operation.",
            "Severity": "Warning"
        },
        "RAC068": {
            "Description": "Both SHA256Password and Plain Password cannot be attempted to set together on Configuration import per user.",
            "Message": "SHA256Password and Plain Password cannot be imported together.",
            "NumberOfArgs": 0,
            "Resolution": "One of either SHA256Password or Plain password can be attempted to be imported for an user.",
            "Severity": "Informational"
        },
        "RAC0680": {
            "Description": "The USB Configuration XML feature is not available if the iDRAC user credentials and BIOS passwords are not set to default values.",
            "Message": "Server iDRAC user credentials and/or BIOS passwords are not currently set to default credentials. The USB Configuration XML feature is not available unless default credentials are set.",
            "NumberOfArgs": 0,
            "Resolution": "Reset the iDRAC user credentials and BIOS passwords to default and retry the operation.",
            "Severity": "Warning"
        },
        "RAC0681": {
            "Description": "Shared component updates through the Server OS or Lifecycle controller cannot be applied because the CMC setting for Chassis Management at Server Mode is not set to 'Manage and Monitor'.",
            "Message": "Shared component updates through the Server OS or Lifecycle controller cannot be applied because the CMC setting for Chassis Management at Server Mode is not set to 'Manage and Monitor'.",
            "NumberOfArgs": 0,
            "Resolution": "To enable this feature do the following: 1) Launch CMC Web UI. 2) Navigate to Chassis Overview -> Setup -> General, and select 'Manage and Monitor' option for the Chassis Management at Server Mode. 3) Click Apply to save changes in CMC. 4) Retry the operation in iDRAC. For more information, refer to the CMC User Guide.",
            "Severity": "Warning"
        },
        "RAC0682": {
            "Description": "Enabling iDRAC Direct USB Configuration XML allows any USB key containing a correctly formatted configuration XML file to reconfigure the server when plugged into the USB management port identified by the wrench icon. This may include operations on RAID configurations, user accounts, and alert settings.",
            "Message": "Enabling iDRAC Direct USB Configuration XML allows any USB key containing a correctly formatted configuration XML file to reconfigure the server when plugged into the USB management port identified by the wrench icon. This may include operations on RAID configurations, user accounts, and alert settings.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "RAC0683": {
            "Description": "Unable to perform split mode configuration on enclosure(s).",
            "Message": "Unable to perform split mode configuration on enclosure(s).",
            "NumberOfArgs": 0,
            "Resolution": "Check the following: 1) The controller must have Real Time Configuration Capability and the associated enclosure(s) must have Split Mode Capability in order to perform the operation. 2)The controller(s) associated with the enclosure(s) support real time configuration. To verify the controller real time configuration support, go to the Controller Properties page, select the required controller and verify the Real Time Configuration Capability value.3)The enclosure(s) supports split mode configuration. To verify the enclosure, go to the Enclosure Properties page, select the required enclosure, and verify the Enclosure Split Mode Capability property value.",
            "Severity": "Informational"
        },
        "RAC0684": {
            "Description": "Unable to perform split mode configuration on the selected enclosures, because Lifecycle Controller is not enabled.",
            "Message": "Unable to perform split mode configuration on the selected enclosures, because Lifecycle Controller is not enabled.",
            "NumberOfArgs": 0,
            "Resolution": "To enable Lifecycle Controller, reboot the server. During server startup, press F2 to enter System Setup. Go to iDRAC Settings -> Lifecycle Controller, select Enable, and save the changes. Retry the operation after the server has restarted.",
            "Severity": "Warning"
        },
        "RAC0685": {
            "Description": "A pending operation has been created for this operation identified in the message.",
            "Message": "A pending operation has been created for this %1 operation.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "To view the pending operations click the Pending Operations button.",
            "Severity": "Informational"
        },
        "RAC0686": {
            "Description": "Some of the applied pending operations were not created.",
            "Message": "Some of the applied pending operations were not created.",
            "NumberOfArgs": 0,
            "Resolution": "View successful pending operations by clicking the Pending Operations button.",
            "Severity": "Critical"
        },
        "RAC0687": {
            "Description": "Some of the applied pending operations were not created.",
            "Message": "Some of the applied pending operations were not created.",
            "NumberOfArgs": 0,
            "Resolution": "Choose to create a job for the successful operations. View successful pending operations using the Pending Operations button or click Cancel to quit job creation.",
            "Severity": "Critical"
        },
        "RAC0688": {
            "Description": "Applying this configuration operation will also apply all existing pending operations on the controller identified in the message.",
            "Message": "Applying this configuration operation will also apply all existing pending operations on the %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Click Create Job button to create the configuration job. Click Cancel to quit job creation.",
            "Severity": "Informational"
        },
        "RAC0689": {
            "Description": "Unable to create a virtual disk on the selected disk drives, because Lifecycle Controller is not enabled.",
            "Message": "Unable to create a virtual disk on the selected disk drives, because Lifecycle Controller is not enabled.",
            "NumberOfArgs": 0,
            "Resolution": "To enable Lifecycle Controller, reboot the server. During server startup, press F2 to enter System Setup. Go to iDRAC Settings -> Lifecycle Controller, select Enable, and save the changes. Retry the operation after the server has restarted.",
            "Severity": "Warning"
        },
        "RAC069": {
            "Description": "Unable to complete the operation because the string length is less than the minimum supported length.",
            "Message": "Unable to complete the operation because the string length is less than the minimum supported length.",
            "NumberOfArgs": 0,
            "Resolution": "Enter a string value that is greater than the minimum supported length and retry the operation.",
            "Severity": "Warning"
        },
        "RAC0690": {
            "Description": "The iDRAC Service Module is not installed on the operating system of the server.",
            "Message": "The iDRAC Service Module is not installed on the operating system of the server.",
            "NumberOfArgs": 0,
            "Resolution": "Install the iDRAC Service Module and retry the operation.",
            "Severity": "Warning"
        },
        "RAC0692": {
            "Description": "Unable to assign and un-assign physical disk drives as global hotspare(s), because Lifecycle Controller is not enabled.",
            "Message": "Unable to assign and un-assign physical disk drives as global hotspare(s), because Lifecycle Controller is not enabled.",
            "NumberOfArgs": 0,
            "Resolution": "To enable Lifecycle Controller, reboot the server. During server startup, press F2 to enter System Setup. Go to iDRAC Settings -> Lifecycle Controller, select Enable, and save the changes. Retry the operation after the server has restarted.",
            "Severity": "Warning"
        },
        "RAC0693": {
            "Description": "Pending operations are created for the selected operations on the selected physical disk drives.",
            "Message": "Pending operations are created for the selected operations on the selected physical disk drives.",
            "NumberOfArgs": 0,
            "Resolution": "To view the pending operations, click the Pending Operations button.",
            "Severity": "Informational"
        },
        "RAC0694": {
            "Description": "Unable to configure the attributes of the selected controller, because Lifecycle Controller is not enabled.",
            "Message": "Unable to configure the attributes of the selected controller, because Lifecycle Controller is not enabled.",
            "NumberOfArgs": 0,
            "Resolution": "To enable Lifecycle Controller, reboot the server. During server startup, press F2 to enter System Setup. Go to iDRAC Settings -> Lifecycle Controller, select Enable, and save the changes. Retry the operation after the server has restarted.",
            "Severity": "Warning"
        },
        "RAC0695": {
            "Description": "Unable to perform security key operations on the selected controller, because Lifecycle Controller is not enabled.",
            "Message": "Unable to perform security key operations on the selected controller, because Lifecycle Controller is not enabled.",
            "NumberOfArgs": 0,
            "Resolution": "To enable Lifecycle Controller, reboot the server. During server startup, press F2 to enter System Setup. Go to iDRAC Settings -> Lifecycle Controller, select Enable, and save the changes. Retry the operation after the server has restarted.",
            "Severity": "Warning"
        },
        "RAC0696": {
            "Description": "The iDRAC is unable to retrieve hardware overview related information while the server is turned off.",
            "Message": "Unable to retrieve the hardware overview information because the server is turned off.",
            "NumberOfArgs": 0,
            "Resolution": "Turn the server on to view the hardware overview information.",
            "Severity": "Informational"
        },
        "RAC0697": {
            "Description": "Choose to create a job from the existing successful pending operations.",
            "Message": "Choose to create a job from the existing successful pending operations.",
            "NumberOfArgs": 0,
            "Resolution": "Do one of the following: 1) Click Pending Operations button to view pending operations. 2) Click Create Job button to create a configuration job. 3) Click Cancel button to quit job creation.",
            "Severity": "Critical"
        },
        "RAC0698": {
            "Description": "Unable to modify USB management settings because the USB device is currently in use.",
            "Message": "Unable to modify USB management settings because the USB device is currently in use.",
            "NumberOfArgs": 0,
            "Resolution": "Wait for the current USB operations to complete and retry the operation.",
            "Severity": "Critical"
        },
        "RAC0699": {
            "Description": "The value for Minimum Fan Speed must be within the range identified in the Recommended Response Action.",
            "Message": "Invalid value for Minimum Fan Speed.",
            "NumberOfArgs": 0,
            "Resolution": "Enter a value between <min>-<max>.",
            "Severity": "Warning"
        },
        "RAC070": {
            "Description": "The SSL Web-Server certificate was successfully restored to factory defaults.",
            "Message": "The SSL Web-Server certificate was successfully restored to factory defaults.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "RAC0700": {
            "Description": "An email page was successfully sent.",
            "Message": "Email page successful to %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "RAC0701": {
            "Description": "Requested system powerup.",
            "Message": "Requested system powerup.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "RAC0702": {
            "Description": "Requested system powercycle.",
            "Message": "Requested system powercycle.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "RAC0703": {
            "Description": "Requested system hardreset.",
            "Message": "Requested system hardreset.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "RAC0704": {
            "Description": "Requested system powerdown.",
            "Message": "Requested system powerdown.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "RAC0705": {
            "Description": "Requested system graceful shutdown.",
            "Message": "Requested system graceful shutdown.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "RAC0706": {
            "Description": "Requested system NMI.",
            "Message": "Requested system NMI.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "RAC0707": {
            "Description": "Primary Firmware image is invalid. Currently booted from backup image. To restore primary image, update the firmware.",
            "Message": "Primary Firmware image is invalid. Currently booted from backup image. To restore primary image, update the firmware.",
            "NumberOfArgs": 0,
            "Resolution": "Acquire an iDRAC firmware image of the version desired. Using the latest version available is recommended. Update the iDRAC firmware.",
            "Severity": "Informational"
        },
        "RAC0708": {
            "Description": "Previous reboot was due to a firmware watchdog timeout.",
            "Message": "Previous reboot was due to a firmware watchdog timeout.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "RAC0709": {
            "Description": "Unknown server inserted into chassis.",
            "Message": "Unknown server inserted into chassis.",
            "NumberOfArgs": 0,
            "Resolution": "Acquire the latest Chassis Management Controller (CMC) firmware that supports the server indicated and update the CMC to at least that version.",
            "Severity": "Informational"
        },
        "RAC071": {
            "Description": "The iDRAC reset operation cannot be completed because a firmware upgrade operation is in progress.",
            "Message": "Unable to perform the iDRAC reset operation because the firmware upgrade operation is in progress.",
            "NumberOfArgs": 0,
            "Resolution": "Wait for the current update process to complete and retry the operation.",
            "Severity": "Informational"
        },
        "RAC0710": {
            "Description": "Server link tuning error.",
            "Message": "Server link tuning error.",
            "NumberOfArgs": 0,
            "Resolution": "Ensure that the IO Module (IOM) and Mezzanine (Mezz) cards are appropriately matched. Check the M1000e Hardware Manual for correct component compatibility.",
            "Severity": "Informational"
        },
        "RAC0711": {
            "Description": "Unknown power on response from the CMC.",
            "Message": "Unknown power on response from the CMC.",
            "NumberOfArgs": 0,
            "Resolution": "Try resetting the CMC. Also try resetting the server.",
            "Severity": "Informational"
        },
        "RAC0712": {
            "Description": "Server failed to power up due to zero power allocated.",
            "Message": "Server failed to power up due to zero power allocated.",
            "NumberOfArgs": 0,
            "Resolution": "Utilize the Chassis Management Controller web interface to check available power and server power requirements. If sufficient power is available, allocate power necessary and retry the operation.",
            "Severity": "Informational"
        },
        "RAC0713": {
            "Description": "Server failed to power up due to fabric mismatch.",
            "Message": "Server failed to power up due to fabric mismatch.",
            "NumberOfArgs": 0,
            "Resolution": "Ensure that the hardware compatibility between the IO Module (IOM) and the Mezzanine (Mezz) card is correct. Check the M1000e Hardware Manual for correct component compatibility.",
            "Severity": "Informational"
        },
        "RAC0714": {
            "Description": "Server failed to power up due to noncontinuous power action.",
            "Message": "Server failed to power up due to noncontinuous power action.",
            "NumberOfArgs": 0,
            "Resolution": "Utilize the Chassis Management Controller web interface to check available power and server power requirements. If sufficient power is available, allocate power necessary and retry the operation.",
            "Severity": "Informational"
        },
        "RAC0715": {
            "Description": "Image file does not exist in the given remote share path.",
            "Message": "Image file does not exist in the given remote share path.",
            "NumberOfArgs": 0,
            "Resolution": "Ensure that the image file is available on the share path provided. Retry the operation.",
            "Severity": "Informational"
        },
        "RAC0716": {
            "Description": "Unable to unmount remote share.",
            "Message": "Unable to unmount remote share.",
            "NumberOfArgs": 0,
            "Resolution": "Retry the operation.",
            "Severity": "Informational"
        },
        "RAC0717": {
            "Description": "Remote share unmounted successfully.",
            "Message": "Remote share unmounted successfully.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "RAC0718": {
            "Description": "Remote File Share service is busy with the previous connection.",
            "Message": "Remote File Share service is busy with the previous connection.",
            "NumberOfArgs": 0,
            "Resolution": "Stop the Remote File Share session and retry the operation.",
            "Severity": "Informational"
        },
        "RAC0719": {
            "Description": "Not able to connect to remote file share. Virtual media devices are already in use.",
            "Message": "Not able to connect to remote file share. Virtual media devices are already in use.",
            "NumberOfArgs": 0,
            "Resolution": "Stop existing Virtual Media sessions and retry the operation.",
            "Severity": "Informational"
        },
        "RAC072": {
            "Description": "The iDRAC reset to factory defaults operation cannot be completed because a firmware upgrade operation is in progress.",
            "Message": "Unable to perform the iDRAC reset to factory defaults operation because the firmware upgrade is in progress.",
            "NumberOfArgs": 0,
            "Resolution": "Wait for the current update process to complete and retry the operation.",
            "Severity": "Informational"
        },
        "RAC0720": {
            "Description": "Unable to mount remote share.",
            "Message": "Unable to mount remote share %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Retry the operation.",
            "Severity": "Informational"
        },
        "RAC0721": {
            "Description": "Remote share mounted successfully.",
            "Message": "Remote share mounted successfully %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "RAC0722": {
            "Description": "Failed to program the Chassis assigned MAC address for the NIC.Integrated in the specified slot number.",
            "Message": "Failed to program the Chassis assigned MAC address for the NIC.Integrated.%1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Reseat the server and retry.",
            "Severity": "Critical"
        },
        "RAC0723": {
            "Description": "The Chassis Management Controller firmware version identified in the message is earlier than the version required to support the server.",
            "Message": "The firmware version %1 of the Chassis Management Controller is earlier than the required version %1.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "Update the Chassis Management Controller firmware to the required version identified in the message.",
            "Severity": "Critical"
        },
        "RAC0724": {
            "Description": "Quick Sync Firmware is successfully updated.",
            "Message": "Quick Sync Firmware is successfully updated.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "RAC0725": {
            "Description": "Unable to update the Quick Sync Firmware.",
            "Message": "Unable to update the Quick Sync Firmware.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Warning"
        },
        "RAC0726": {
            "Description": "Auto-throttling is disabled for the server based on a request from the Chassis Management Controller (CMC) because the CMC is restarting.",
            "Message": "Auto-throttling is disabled for the server.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "RAC0727": {
            "Description": "Auto-throttling is enabled for the server based on a request from the Chassis Management Controller (CMC) because the CMC has restarted.",
            "Message": "Auto-throttling is enabled for the server.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "RAC0728": {
            "Description": "The Quick Sync communication or the connection to the iDRAC is no longer functioning.",
            "Message": "The Quick Sync communication is no longer functioning.",
            "NumberOfArgs": 0,
            "Resolution": "Do the following: 1) Remove and reseat the bezel. 2) Turn the bezel on by pressing the activation button. 3) Try the Quick Sync feature again. If the issue persists, contact your technical support provider.",
            "Severity": "Warning"
        },
        "RAC073": {
            "Description": "The iDRAC reset operation cannot be completed because a vFlash partition creation operation is in progress.",
            "Message": "Unable to perform the iDRAC reset operation because a vFlash partition creation operation is in progress.",
            "NumberOfArgs": 0,
            "Resolution": "Wait for the vFlash partition creation process to complete and retry the operation.",
            "Severity": "Informational"
        },
        "RAC074": {
            "Description": "The iDRAC reset to factory defaults operation cannot be completed because a vflash partition creation operation is in progress.",
            "Message": "Unable to perform the iDRAC reset to factory defaults operation because a vFlash partition creation operation is in progress.",
            "NumberOfArgs": 0,
            "Resolution": "Wait for the vFlash partition creation process to complete and retry the operation.",
            "Severity": "Informational"
        },
        "RAC0740": {
            "Description": "The Prepare to Remove operation will stop any activity on the PCIe SSD device so that it can be removed safely. The device is safe to remove when the disk shows the safe to remove LED pattern.",
            "Message": "The Prepare to Remove operation will stop any activity on the PCIe SSD device so that it can be removed safely. The device is safe to remove when the disk shows the safe to remove LED pattern.",
            "NumberOfArgs": 0,
            "Resolution": "Press OK to continue.",
            "Severity": "Warning"
        },
        "RAC0741": {
            "Description": "Unable to perform Prepare to Remove or Secure Erase operations on the selected PCIe SSD disk drive(s), because Lifecycle Controller is not enabled. Retry the operation after the server has restarted.",
            "Message": "Unable to perform Prepare to Remove or Secure Erase operations on the selected PCIe SSD disk drive(s), because Lifecycle Controller is not enabled.",
            "NumberOfArgs": 0,
            "Resolution": "To enable Lifecycle Controller, reboot the server. During server startup, press F2 to enter System Setup. Go to iDRAC Settings -> Lifecycle Controller, select Enable, and save the changes. Retry the operation after the server has restarted.",
            "Severity": "Warning"
        },
        "RAC0742": {
            "Description": "A Secure Erase operation on a PCIe SSD overwrites all blocks in an encrypted way and all the data on the PCIe SSD device will be permanently lost. The changes will happen after reboot of the system or loss of power to the drive.",
            "Message": "The Secure Erase command will be executed on the selected PCIe SSD disk drives(s) only after the reboot of the system or loss of power to the disk drives(s).",
            "NumberOfArgs": 0,
            "Resolution": "Press OK to continue.",
            "Severity": "Warning"
        },
        "RAC0743": {
            "Description": "Unable to perform storage configuration operations because no storage controllers are detected on the server.",
            "Message": "Unable to perform storage configuration operations because no storage controllers are detected on the server.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "RAC0744": {
            "Description": "Unable to perform storage configuration operations because neither Storage controllers nor PCIe Extenders detected on the system.",
            "Message": "Unable to perform storage configuration operations because neither Storage controllers nor PCIe Extenders detected on the system.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "RAC0745": {
            "Description": "There are no pending operations on the selected component group.",
            "Message": "There are no pending operations present on the selected component group.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "RAC0746": {
            "Description": "Unable to perform virtual disk(VD) operations, because Lifecycle Controller is not enabled.",
            "Message": "Unable to perform virtual disk (VD) operations, because Lifecycle Controller is not enabled.",
            "NumberOfArgs": 0,
            "Resolution": "Enable the Lifecycle Controller and retry the operation. To enable Lifecycle Controller, restart the server. During server startup, press F2 to enter System Setup. Go to iDRAC Settings -> Lifecycle Controller, select Enable, and save the changes.",
            "Severity": "Warning"
        },
        "RAC0747": {
            "Description": "Unable to perform reset configuration on the selected controller, because Lifecycle Controller is not enabled.",
            "Message": "Unable to perform reset configuration on the selected controller, because Lifecycle Controller is not enabled.",
            "NumberOfArgs": 0,
            "Resolution": "Enable the Lifecycle Controller and retry the operation. To enable Lifecycle Controller, reboot the server. During server startup, press F2 to enter System Setup. Go to iDRAC Settings -> Lifecycle Controller, select Enable, and save the changes.",
            "Severity": "Warning"
        },
        "RAC0748": {
            "Description": "The BIOS watchdog must be disabled if Automatic System Recovery option is enabled.",
            "Message": "The BIOS watchdog timer must be disabled if the Automatic System Recovery option is enabled.",
            "NumberOfArgs": 0,
            "Resolution": "Make sure the BIOS watchdog timer is disabled before enabling the Automatic System Recovery option.",
            "Severity": "Critical"
        },
        "RAC0749": {
            "Description": "SNMPv3 User cannot be set to None.",
            "Message": "SNMPv3 User cannot be set to None.",
            "NumberOfArgs": 0,
            "Resolution": "Set the SNMPv3 User to a value other than None and retry the operation.",
            "Severity": "Warning"
        },
        "RAC0750": {
            "Description": "The USB NIC IP address cannot be accessed by using the PING process.",
            "Message": "Unable to access the USB NIC IP address by using PING process.",
            "NumberOfArgs": 0,
            "Resolution": "Enter another appropriate IP address, and then retry the operation.",
            "Severity": "Warning"
        },
        "RAC0751": {
            "Description": "The value for information or warning threshold should not be less than lower critical threshold value.",
            "Message": "The threshold value entered is less than the lower warning or critical threshold.",
            "NumberOfArgs": 0,
            "Resolution": "Enter a threshold value that is greater than the lower warning or critical threshold values and retry the operation.",
            "Severity": "Warning"
        },
        "RAC0752": {
            "Description": "The value for information or warning threshold should not be greater than upper critical threshold value.",
            "Message": "The threshold value entered is greater than the upper warning or critical threshold.",
            "NumberOfArgs": 0,
            "Resolution": "Enter a threshold value that is lower than the upper warning or critical threshold values and retry the operation.",
            "Severity": "Warning"
        },
        "RAC0753": {
            "Description": "Reset iDRAC to apply the pending new certificate. Until iDRAC is reset old certificate will be active. A manual reset of iDRAC is needed for the new certificate to take into effect.",
            "Message": "Reset iDRAC to apply the pending new certificate. Until iDRAC is reset the old certificate will be active.",
            "NumberOfArgs": 0,
            "Resolution": "Click the Reset iDRAC link to reset iDRAC.",
            "Severity": "Informational"
        },
        "RAC0754": {
            "Description": "Reset iDRAC to complete custom SSL certificate deletion action. A manual reset of iDRAC is needed for the action to take effect.",
            "Message": "Reset iDRAC to complete the deletion action of the certificate.",
            "NumberOfArgs": 0,
            "Resolution": "Click the Reset iDRAC link to reset iDRAC.",
            "Severity": "Informational"
        },
        "RAC0755": {
            "Description": "The selected value is not supported on this server.",
            "Message": "The selected value is not supported on this server.",
            "NumberOfArgs": 0,
            "Resolution": "Retry the operation with another value.",
            "Severity": "Warning"
        },
        "RAC0756": {
            "Description": "Fan information cannot be displayed. This situation may occur if the server is powered off.",
            "Message": "Unable to retrieve the fan information.",
            "NumberOfArgs": 0,
            "Resolution": "Power on the server. If the server is already powered on, wait for a few minutes and refresh the page. If the problem persists, contact your service provider.",
            "Severity": "Warning"
        },
        "RAC0757": {
            "Description": "The requested operation using the USB Management Port cannot be completed because the port is disabled in BIOS configuration.",
            "Message": "USB Management Port is currently disabled in BIOS configuration.",
            "NumberOfArgs": 0,
            "Resolution": "Enable the USB Management Port in BIOS configuration to use this feature.",
            "Severity": "Warning"
        },
        "RAC0758": {
            "Description": "The Tech Support Report generation will take the time identified in the message to complete.",
            "Message": "Tech Support Report (TSR) data is being collected. This operation will take less than %1 minutes.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "To cancel the reports collection click Cancel.",
            "Severity": "Warning"
        },
        "RAC0759": {
            "Description": "A running Tech Support Report job has been cancelled.",
            "Message": "A running Tech Support Report job has been cancelled.",
            "NumberOfArgs": 0,
            "Resolution": "Click Job Queue button to view the status of the cancelled job.",
            "Severity": "Warning"
        },
        "RAC0760": {
            "Description": "Unable to perform storage configuration operations on physical disk drive(s) as there are no disk drive(s) available with Ready/RAID/NON-RAID state or the selected controller is in HBA mode.",
            "Message": "Unable to perform physical disk(s) storage configuration operations for the selected controller.",
            "NumberOfArgs": 0,
            "Resolution": "Check the following: 1) If there are no physical disk drive(s) in either Ready state or in RAID/NON-RAID state, insert additional disk drive(s). 2) If the Controller(s) are in HBA mode, switch the controller(s) to RAID mode. To switch controller(s) to RAID mode using the F2 System Setup utility, go to Device Settings > RAID Controller > Controller Management > Advanced Controller Management > Switch to RAID mode.",
            "Severity": "Informational"
        },
        "RAC0761": {
            "Description": "The system inventory cannot be retrieved because the maximum number of inventory collections allowed is reached, or because of an internal issue where the Collect System Inventory On Restart (CSIOR) feature is disabled.",
            "Message": "Unable to retrieve the system inventory because the maximum number of inventory collections allowed is reached, or because of an internal issue where the Collect System Inventory On Restart (CSIOR) feature is disabled.",
            "NumberOfArgs": 0,
            "Resolution": "The total number of hardware inventory instances might have exceeded the maximum limit. Wait for the operation to complete and retry the operation. If no other system inventory operation is in progress, enable the Collect System Inventory On Restart (CSIOR) feature, restart the system, and then retry the operation.",
            "Severity": "Warning"
        },
        "RAC0762": {
            "Description": "Unable to perform a firmware update because a valid catalog file is not available on the network share.",
            "Message": "Unable to perform a firmware update because a valid catalog file is not available on the network share.",
            "NumberOfArgs": 0,
            "Resolution": "Make sure that a valid catalog file is available on the network share and retry the operation.",
            "Severity": "Warning"
        },
        "RAC0763": {
            "Description": "Unable to configure the port number that is entered because the port number is already in use.",
            "Message": "Unable to configure the port number that is entered because the port number is already in use.",
            "NumberOfArgs": 0,
            "Resolution": "Enter a port number that is not already in use and retry the operation. If the issue persists, contact your service provider.",
            "Severity": "Warning"
        },
        "RAC0764": {
            "Description": "Selecting a higher SSL encryption enhances the security. However, the cryptography settings for your virtual machine environment (JVM, IcedTea) may require installing the Unlimited Strength Java Cryptography Extension Policy Files to permit usage of iDRAC plugins such as vConsole with this higher level of encryption.NOTE: Using this level of encryption may have import or export implications. For more guidance, contact your legal department.",
            "Message": "Selecting a higher SSL encryption enhances the security. However, the cryptography settings for your virtual machine environment (JVM, IcedTea) may require installing the Unlimited Strength Java Cryptography Extension Policy Files to permit usage of iDRAC plugins such as vConsole with this higher level of encryption. NOTE: Using this level of encryption may have import or export implications. For more guidance, contact your legal department.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Warning"
        },
        "RAC0765": {
            "Description": "The OS IP address cannot be accessed by using the Ping process because an incorrect IP address is entered.",
            "Message": "Unable to access the operating system (OS) IP address by using the Ping process because an incorrect IP address is entered.",
            "NumberOfArgs": 0,
            "Resolution": "Enter a correct IP address, and then retry the operation.",
            "Severity": "Warning"
        },
        "RAC0766": {
            "Description": "The USB NIC IP address identified in the message cannot be assigned to the OSBMC device because only Link Local IP address can be allowed.",
            "Message": "Unable to assign USB NIC IP address %1 to the OSBMC device because only Link Local IP address can be allowed.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Enter appropriate Link Local IP address, and then retry the operation. For information about supported IP addresses, refer to the iDRAC Users Guide available at the support site.",
            "Severity": "Warning"
        },
        "RAC0767": {
            "Description": "The USB NIC IP address identified in the message cannot be assigned to the OSBMC device because IP address setting conflicts with existing network interface IP.",
            "Message": "Unable to assign USB NIC IP address %1 to the OSBMC device because IP address setting conflicts with existing network interface IP.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Enter an unique IP address for OSBMC USB NIC that is not the same as another NICs IP address, and then retry the operation. For information about supported IP addresses, refer to the iDRAC Users Guide available at the support site.",
            "Severity": "Warning"
        },
        "RAC0768": {
            "Description": "iDRAC firmware is recently updated and iDRAC is still in the process of initializing. It is recommended to wait a few minutes before logging in so that the iDRAC initialization process can fully complete.",
            "Message": "iDRAC is currently initializing. Try logging in to iDRAC after few minutes because iDRAC is initializing after a recent firmware update process.",
            "NumberOfArgs": 0,
            "Resolution": "Wait a few minutes to log in to iDRAC. Some iDRAC features may not be available for use if log in is continued at this time.",
            "Severity": "Informational"
        },
        "RAC077": {
            "Description": "The Import File operation is successfully completed.",
            "Message": "The Import File operation is successfully completed.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "RAC0770": {
            "Description": "The network connection to the remote system cannot be started because incorrect network information is entered.",
            "Message": "Unable to connect to the remote system because incorrect network information is entered.",
            "NumberOfArgs": 0,
            "Resolution": "Enter correct network data and retry the operation. To reset the network properties, on the graphical user interface (GUI), in the left pane, click Network. On the Network page, type appropriate data in the fields, and then click Save. For more information about description of data to be entered in the fields, press F1 on the GUI to read the online help information.To reset network properties by using RACADM command run \"racadm set iDRAC.RFS\" at the command line(CLI). If the issue persists contact your service provider.",
            "Severity": "Critical"
        },
        "RAC0771": {
            "Description": "The iDRAC Service Module (iSM) cannot be installed because the iSM DUP cannot be mounted on to the host operating system (OS).",
            "Message": "Unable to install iDRAC Service Module (iSM) because the iSM DUP cannot be mounted on to the host OS partition.",
            "NumberOfArgs": 0,
            "Resolution": "Retry the operation. If the issue persists, contact your service provider.",
            "Severity": "Warning"
        },
        "RAC0772": {
            "Description": "The BIOS configuration settings cannot be modified because the Lifecycle Controller or Collect System Inventory on Restart (CSIOR), or both the features are disabled.",
            "Message": "Unable to modify the BIOS configuration settings because the Lifecycle Controller or Collect System Inventory on Restart (CSIOR), or both the features are disabled.",
            "NumberOfArgs": 0,
            "Resolution": "Enable the Lifecycle Controller and Collect System Inventory on Restart (CSIOR) features, and then retry the operation. To enable these features: Press F2(System Setup) when the company logo is displayed. On the System Setup page, click iDRAC Settings > Lifecycle Controller. Select Enabled corresponding to Lifecycle Controller and CSIOR.",
            "Severity": "Warning"
        },
        "RAC0773": {
            "Description": "The BIOS configuration settings cannot be modified because a BIOS configuration job is already running.",
            "Message": "Unable to modify the BIOS configuration settings because a BIOS configuration job is already running.",
            "NumberOfArgs": 0,
            "Resolution": "Wait till the current BIOS configuration job is completed, and then retry the operation. To view the status of a job, on the iDRAC Settings page, click Job Queue.",
            "Severity": "Informational"
        },
        "RAC0774": {
            "Description": "The BIOS attributes cannot be displayed either because attributes are not present in the registry, a Lifecycle Controller Wipe operation has been performed, or there is an internal error.",
            "Message": "Unable to display the BIOS attributes either because attributes are not present in the registry, a Lifecycle Controller Wipe operation has been performed, or there is an internal error.",
            "NumberOfArgs": 0,
            "Resolution": "Retry the operation after doing the following: 1) Start the server. 2) Press F2 (System Setup) when the company logo is displayed. 3) On the System Setup page, click iDRAC Settings; Lifecycle Controller. Select Enabled corresponding to Lifecycle Controller and CSIOR. 4) After Lifecycle Controller and CSIOR are enabled, restart the system and make sure that the inventory collection operation completes successfully.",
            "Severity": "Critical"
        },
        "RAC078": {
            "Description": "The Import File operation cannot be completed because invalid parameters are entered.",
            "Message": "Unable to complete the Import File operation because invalid parameters are entered.",
            "NumberOfArgs": 0,
            "Resolution": "Make sure that valid parameters are entered, and then retry the operation. For more information about valid parameters, see the iDRAC Card Profile Documents or iDRAC Card Service MOF files.",
            "Severity": "Informational"
        },
        "RAC079": {
            "Description": "The Import File operation cannot be started because an import operation is already in progress.",
            "Message": "Unable to start the Import File operation because an import operation is already in progress.",
            "NumberOfArgs": 0,
            "Resolution": "Wait till the current process is completed and retry the operation.",
            "Severity": "Informational"
        },
        "RAC080": {
            "Description": "The Export File operation is successfully completed.",
            "Message": "The Export File operation is successfully completed.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "RAC0801": {
            "Description": "iDRAC closes all the existing sessions and all configuration settings are set to default values. The iDRAC IP address is set to the default static IP address.",
            "Message": "iDRAC has reset to default settings.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "RAC081": {
            "Description": "The Export File operation cannot be started because an export operation is already in progress.",
            "Message": "Unable to start the Export File operation because an export operation is already in progress.",
            "NumberOfArgs": 0,
            "Resolution": "Wait till the current process is completed and retry the operation.",
            "Severity": "Informational"
        },
        "RAC082": {
            "Description": "The file cannot be transferred because either the file name entered as input is incorrect or the file is not available.",
            "Message": "Unable to transfer the file because either the file type entered as input is incorrect or the file is not available.",
            "NumberOfArgs": 0,
            "Resolution": "Enter a valid file name and retry the operation.",
            "Severity": "Informational"
        },
        "RAC083": {
            "Description": "The file cannot be imported because the chunk size value entered is greater than the import file size.",
            "Message": "Unable to import the file because the chunk size value entered is greater than the import file size.",
            "NumberOfArgs": 0,
            "Resolution": "Make sure that chunk size entered is less than import file size, and then retry the operation.",
            "Severity": "Informational"
        },
        "RAC084": {
            "Description": "The Clear Transfer Session operation is successfully completed and the corresponding files or folders are deleted on the basis of input value entered.",
            "Message": "The Clear Transfer Session operation is successfully completed.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "RAC085": {
            "Description": "The files are imported in chunks. When the last chunk is transferred, the CRC must be entered. However, if the CRC is incorrect, all the previous chunks imported are deleted and the import operation must be tried again.",
            "Message": "Unable to complete the Import File operation because an invalid Cycle Redundancy Check (CRC) checksum parameter is entered.",
            "NumberOfArgs": 0,
            "Resolution": "Make sure that the correct CRC checksum is entered by using MD5 algorithm, and then retry the operation.",
            "Severity": "Warning"
        },
        "RAC086": {
            "Description": "The file cannot be transferred because the chunk size value entered is more than the maximum chunk size limit (512 KB).",
            "Message": "Unable to transfer the file because the chunk size value entered is more than the maximum chunk size limit (512 KB).",
            "NumberOfArgs": 0,
            "Resolution": "Make sure that the chunk size value is less than the maximum limit and retry the operation.",
            "Severity": "Informational"
        },
        "RAC087": {
            "Description": "The file cannot be imported because of insufficient disk space on iDRAC local storage.",
            "Message": "Unable to import or store the file because of insufficient disk space on iDRAC local storage.",
            "NumberOfArgs": 0,
            "Resolution": "Delete the unused files by invoking the ClearTransferSession method, and then retry the operation.",
            "Severity": "Warning"
        },
        "RAC088": {
            "Description": "The Clear Transfer Session operation cannot be completed because the file entered is not available for deletion.",
            "Message": "Unable to complete the Clear Transfer Session operation because the file entered is not available for deletion.",
            "NumberOfArgs": 0,
            "Resolution": "Make sure that FileType and FileOperation parameters are valid, and they retry the operation.",
            "Severity": "Informational"
        },
        "RAC089": {
            "Description": "The Server Port Connection data refresh operation is successfully completed.",
            "Message": "The refresh operation of switch connection and switch port connection information of all network ports is completed successfully.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "RAC090": {
            "Description": "The Connection view refresh operation failed from backend.",
            "Message": "Unable to complete the switch connection and switch port connection data refresh operation because of internal error.",
            "NumberOfArgs": 0,
            "Resolution": "Connection view server port connection data refresh operation failed.",
            "Severity": "Informational"
        },
        "RAC0901": {
            "Description": "The syntax of the specified command is invalid. In this case, the usage of the -t option is invalid.",
            "Message": "Invalid syntax. The -t option value must set to 1.",
            "NumberOfArgs": 0,
            "Resolution": "See the help text/documentation for the valid syntax of the subcommand.",
            "Severity": "Informational"
        },
        "RAC0902": {
            "Description": "The syntax of the specified command is invalid. In this case, the usage of the -f option is invalid.",
            "Message": "The -f option requires -d to also be specified.",
            "NumberOfArgs": 0,
            "Resolution": "See the help text/documentation for the valid syntax of the subcommand.",
            "Severity": "Informational"
        },
        "RAC0903": {
            "Description": "The syntax of the specified command is invalid. In this case, the usage of the -d option is invalid.",
            "Message": "The -d option cannot be used with any other options.",
            "NumberOfArgs": 0,
            "Resolution": "See the help text/documentation for valid syntax of the subcommand.",
            "Severity": "Informational"
        },
        "RAC0904": {
            "Description": "The iDRAC cannot access the remote file location. The credentials or path to the remote file location is incorrect or iDRAC cannot connect to the network address.",
            "Message": "The remote file location is not accessible or reachable.",
            "NumberOfArgs": 0,
            "Resolution": "Confirm that the path and credentials to remote file are correct, and check that the iDRAC can connect to the network address.",
            "Severity": "Warning"
        },
        "RAC0905": {
            "Description": "Unable to obtain the USC version details.",
            "Message": "Failed to get the USC version details.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Warning"
        },
        "RAC0906": {
            "Description": "Unable to perform the requested operation.",
            "Message": "Operation failed.",
            "NumberOfArgs": 0,
            "Resolution": "Try again later. If the problem persists, contact technical support. Refer to your product documentation to choose the contact method.",
            "Severity": "Warning"
        },
        "RAC0907": {
            "Description": "The System ID LED was successfully set to on.",
            "Message": "System ID LED blink on.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "RAC0908": {
            "Description": "The System ID LED was successfully set to off.",
            "Message": "System ID LED blink off.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Warning"
        },
        "RAC0909": {
            "Description": "The specified command is missing object name syntax.",
            "Message": "Invalid subcommand syntax: Specify the object name.",
            "NumberOfArgs": 0,
            "Resolution": "Specify the correct subcommand object name syntax. See the help text or documentation for valid syntax.",
            "Severity": "Warning"
        },
        "RAC091": {
            "Description": "The file cannot be transferred because of internal firmware issues.",
            "Message": "Unable to transfer the file because of internal firmware issues.",
            "NumberOfArgs": 0,
            "Resolution": "Retry the operation. If the issue persists, restart iDRAC by invoking the WS-Man iDRACReset method which is defined in the DCIM_iDRACCardService class and then retry the operation.",
            "Severity": "Informational"
        },
        "RAC0910": {
            "Description": "The specified command is missing group and object name syntax.",
            "Message": "Invalid subcommand syntax: Specify group and object name.",
            "NumberOfArgs": 0,
            "Resolution": "Specify the correct subcommand group and object name syntax. See the help text or documentation for the valid syntax.",
            "Severity": "Warning"
        },
        "RAC0911": {
            "Description": "Unable to retrieve version details.",
            "Message": "Data about version details is unavailable.",
            "NumberOfArgs": 0,
            "Resolution": "Try again later. If the problem persists, contact technical support. Refer to your product documentation to choose the contact method that is convenient for you.",
            "Severity": "Warning"
        },
        "RAC0912": {
            "Description": "The management system could not connect to the iDRAC.",
            "Message": "Unable to connect to RAC at specified IP address.",
            "NumberOfArgs": 0,
            "Resolution": "Verify whether the IP address of the remote iDRAC is correct. Verify whether connectivity exists between the management system and the iDRAC.",
            "Severity": "Warning"
        },
        "RAC092": {
            "Description": "The file cannot be imported because the size of importing payload is greater than the file size specified in the start of packet.",
            "Message": "Unable to import the file because the size of importing payload is greater than the file size specified in the start of packet.",
            "NumberOfArgs": 0,
            "Resolution": "Do the following and retry the operation: 1) Make sure that the size of file packet and file being imported is same. 2) Clear the partially imported file in iDRAC by using the WS-Man method \"ClearTransferSession\".",
            "Severity": "Critical"
        },
        "RAC093": {
            "Description": "The Base64 payload cannot be decoded because either a newline character (\\n) is not located at the end of the payload, payload is not divisible by 4, or the payload is invalid.",
            "Message": "Unable to decode the Base64 payload because either a newline character (\\n) is not located at the end of the payload, payload is not divisible by 4, or the payload is invalid.",
            "NumberOfArgs": 0,
            "Resolution": "Make sure that a newline character (\\n) is located at the end of the payload (if the payload is less than or equal to 64 bytes), the payload size (excluding the new lines) is divisible by 4, or the payload is base64-encoded.",
            "Severity": "Warning"
        },
        "RAC094": {
            "Description": "The license cannot be replaced by running the ReplaceLicense method because it is not supported on the 14th generation and later servers.",
            "Message": "Unable to replace the license by running the ReplaceLicense method because it is not supported on the 14th generation and later servers.",
            "NumberOfArgs": 0,
            "Resolution": "Run the DeleteLicense method, and then run the ImportLicense or ImportLicensefromNetworkShare method to import the license. If the issue persists, contact your service provider.",
            "Severity": "Informational"
        },
        "RAC095": {
            "Description": "The configuration operation cannot be started because the System Lockdown mode is enabled.",
            "Message": "Unable to start the configuration operation because the System Lockdown mode is enabled.",
            "NumberOfArgs": 0,
            "Resolution": "Make sure that the Lockdown.1#SystemLockdown attribute is set to Disabled in the DCIM_iDracCardEnumeration class by running the WS-Man get command at the command line interface (CLI), and then retry the operation.",
            "Severity": "Informational"
        },
        "RAC096": {
            "Description": "The System LockDown mode is successfully disabled.",
            "Message": "The System Lockdown mode is successfully disabled.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "RAC097": {
            "Description": "The operation cannot be started because System LockDown is entered as one of the attributes.",
            "Message": "Unable to start the operation because System LockDown is entered as one of the attributes.",
            "NumberOfArgs": 0,
            "Resolution": "Make sure that the Lockdown.1#SystemLockdown attribute is not there in the input list.",
            "Severity": "Warning"
        },
        "RAC098": {
            "Description": "The System Lockdown mode cannot be set because it is not supported by the ApplyAttribute method.",
            "Message": "Unable to set the System Lockdown mode because it is not supported by the ApplyAttributes method.",
            "NumberOfArgs": 0,
            "Resolution": "Use the ApplyAttribute, SetAttribute, or SetAttributes method, and retry the operation.",
            "Severity": "Informational"
        },
        "RAC1000": {
            "Description": "Unable to set the object value for iDRAC IPv6 Address and IPv6 Gateway, because the object IPv6 Autoconfig is enabled.",
            "Message": "Unable to set the object value for iDRAC IPv6 address or gateway.",
            "NumberOfArgs": 0,
            "Resolution": "Disable the object IPv6 AutoConfig using \"racadm set iDRAC.IPv6.AutoConfig <0 | Disabled >\", and retry the operation.",
            "Severity": "Warning"
        },
        "RAC1001": {
            "Description": "Unable to set the object value for iDRAC IPv6 DNS1 or DNS2, because the object DNSFromDHCP6 is enabled.",
            "Message": "Unable to set the object value for iDRAC IPv6 DNS1 or DNS2.",
            "NumberOfArgs": 0,
            "Resolution": "Disable the object DNSFromDHCP6 using \"racadm set iDRAC.IPv6.DNSFromDHCP6 <0 | Disabled>\", and retry the operation.",
            "Severity": "Warning"
        },
        "RAC1002": {
            "Description": "The Active Directory SSO cannot be enabled, because the object SmartCardLogonEnable is enabled.",
            "Message": "Active Directory Single Sign On (SSO) cannot be enabled.",
            "NumberOfArgs": 0,
            "Resolution": "Disable the object SmartCardLogonEnable using \"racadm set iDRAC.SmartCard.LogonEnable <0 | Disabled>\", and retry the operation.",
            "Severity": "Warning"
        },
        "RAC1003": {
            "Description": "The smart card certificate revocation list (CRL) cannot be enabled, because the object SmartCardLogonEnable is disabled.",
            "Message": "The smart card certificate revocation list (CRL) cannot be enabled.",
            "NumberOfArgs": 0,
            "Resolution": "Enable the object SmartCardLogonEnable using \"racadm set iDRAC.SmartCard.SmartCardLogonEnable <1 | Enabled>\", and retry the operation.",
            "Severity": "Warning"
        },
        "RAC1004": {
            "Description": "The smart card login cannot be enabled, because the Active Directory Single Sign On is enabled.",
            "Message": "The smart card login cannot be enabled.",
            "NumberOfArgs": 0,
            "Resolution": "Disable Active Directory Single Sign On (SSO) using \"racadm set iDRAC.ActiveDirectory.SSOEnable <0 | Disabled>\", and retry the operation.",
            "Severity": "Warning"
        },
        "RAC1005": {
            "Description": "The hardware inventory was successfully exported.",
            "Message": "Successfully exported hardware inventory.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "RAC1006": {
            "Description": "The update was not applied because of one of the following reasons: 1) The Update Package is invalid. 2) Lifecycle Controller is corrupted. 3) Another update is in progress.",
            "Message": "Unable to process the %1, and the update was not applied.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Do one of the following and retry the operation: 1) Download the correct Update Package from your service provider. 2) Use the Lifecycle Controller repair package to repair Lifecycle Controller. For more information, see Lifecycle Controller User's Guide. 3) Wait until the current update operation is complete.",
            "Severity": "Warning"
        },
        "RAC1007": {
            "Description": "The job specified in the message cannot be deleted when it is Running, Scheduled, or transitioning from Downloading to Scheduled.",
            "Message": "The job %1 cannot be deleted.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Wait until the specified job is completed, or reboot the system to move the job to Completed state. To view the job status, use\"racadm jobqueue view -i <Job ID>\".",
            "Severity": "Warning"
        },
        "RAC1008": {
            "Description": "The Active Directory object DCLookupByUserDomain cannot be disabled, because the Active Directory object DCLookupDomainName is not configured.",
            "Message": "The Active Directory object DCLookupByUserDomain cannot be disabled.",
            "NumberOfArgs": 0,
            "Resolution": "Configure the Active Directory object DCLookupDomainName using \"racadm set iDRAC.ActiveDirectory.DCLookupDomainName <Name>\", and retry the operation.",
            "Severity": "Warning"
        },
        "RAC1009": {
            "Description": "The Active Directory objects DCLookupEnable or GCLookupEnable cannot be enabled, because IPv4.DNS1, IPv4.DNS2, IPv6.DNS1, or IPv6.DNS2 is not configured.",
            "Message": "The Active Directory objects DCLookupEnable or GCLookupEnable cannot be enabled.",
            "NumberOfArgs": 0,
            "Resolution": "Configure IPv4.DNS1, IPv4.DNS2, IPv6.DNS1, or IPv6.DNS2 using racadm set command, and retry the operation. For example, \"racadm set iDRAC.IPv4.DNS1 <address>\".",
            "Severity": "Warning"
        },
        "RAC1010": {
            "Description": "The power cap cannot be set if the object Power.Cap is disabled.",
            "Message": "Unable to set the power cap value.",
            "NumberOfArgs": 0,
            "Resolution": "Enable Power Cap setting using \"racadm set System.Power.Cap.Enable < 1 | Enabled >\", and retry the operation.",
            "Severity": "Warning"
        },
        "RAC1011": {
            "Description": "The OS to iDRAC pass-through cannot be enabled, because the NIC is in Dedicated mode.",
            "Message": "The OS to iDRAC pass-through cannot be enabled.",
            "NumberOfArgs": 0,
            "Resolution": "Change the iDRAC NIC mode to shared mode using \"racadm set idrac.nic.selection <value>\", and retry the operation.",
            "Severity": "Warning"
        },
        "RAC1012": {
            "Description": "Unable to change the auto-negotiation state for the current NIC selection mode, because the iDRAC NIC is in dedicated mode.",
            "Message": "Unable to change the auto-negotiation state for the current NIC selection mode.",
            "NumberOfArgs": 0,
            "Resolution": "Change the iDRAC NIC mode to shared mode using \"racadm set idrac.nic.selection <value>\", and retry the operation.",
            "Severity": "Warning"
        },
        "RAC1013": {
            "Description": "For any iDRAC user, SNMPv3 authentication protocol can be changed to \"None\" only if the SNMPv3 privacy protocol state is set to \"None\".",
            "Message": "The SNMPv3 authentication protocol state cannot be set to None if the SNMPv3 privacy protocol state is set to None.",
            "NumberOfArgs": 0,
            "Resolution": "Change the SNMPv3 privacy protocol state to 'None' using \"racadm set iDRAC.Users.<index>.SNMPv3PrivacyType none\", and retry the operation.",
            "Severity": "Warning"
        },
        "RAC1014": {
            "Description": "The SNMPv3 privacy protocol cannot be configured to AES or DES mode if SNMPv3 authentication protocol state is set to \"None\".",
            "Message": "The SNMPv3 privacy protocol cannot be configured to AES or DES mode if SNMPv3 authentication protocol state is set to \"None\".",
            "NumberOfArgs": 0,
            "Resolution": "To configure the SNMPv3 Privacy Protocol for a specified iDRAC user, change the SNMPv3 Authentication Protocol to either MD5 or SHA state using \"racadm set idrac.users.<index>.SNMPv3AuthenticationType <value>\".",
            "Severity": "Warning"
        },
        "RAC1016": {
            "Description": "iDRAC does not allow duplicate user names for each of the 16 users.",
            "Message": "The specified user already exists. Duplicate user names are not allowed.",
            "NumberOfArgs": 0,
            "Resolution": "Make sure that each of the 16 user names are unique.",
            "Severity": "Warning"
        },
        "RAC1017": {
            "Description": "Any staged operation requires a job and system reboot to apply the object values.",
            "Message": "Successfully modified the object value and the change is in pending state.",
            "NumberOfArgs": 0,
            "Resolution": "To apply modified value, create a configuration job and reboot the system. To create the commit and reboot jobs, use \"jobqueue\" command. For more information about the \"jobqueue\" command, see RACADM help.",
            "Severity": "Informational"
        },
        "RAC1018": {
            "Description": "This occurs when an incorrect syntax is used or an incorrect object is specified during the command invocation.",
            "Message": "The specified object or syntax is invalid.",
            "NumberOfArgs": 0,
            "Resolution": "Make sure to use the correct syntax and correct object names, and retry the operation. For information related to the corresponding group, see RACADM help or the RACADM User's Guide.",
            "Severity": "Warning"
        },
        "RAC1019": {
            "Description": "Some objects have dependencies on other objects that are required to perform a task. The specified object is not available because of such dependencies.",
            "Message": "The specified object is not supported for the current system configuration.",
            "NumberOfArgs": 0,
            "Resolution": "Verify the object dependency using \"racadm help <device class>.<group name>.<object name>\", and retry the operation. For example, racadm help NIC.VndrConfigGroup.1.VirtWWPN.",
            "Severity": "Warning"
        },
        "RAC1020": {
            "Description": "Some objects have dependencies on other objects that are required to perform a task. The specified group does not contain any objects, because the dependent objects are not part of the current system configuration.",
            "Message": "No objects are available under the specified group for the current system configuration.",
            "NumberOfArgs": 0,
            "Resolution": "Verify the dependencies of the objects under the specified group using \"racadm help <device class>.<group name>\", and retry the operation. For example, \"racadm help NIC.IscsiSecondTgtParams\".",
            "Severity": "Informational"
        },
        "RAC1021": {
            "Description": "NIC objects are not available if NIC devices are not installed in the system, or if some iDRAC services are busy.",
            "Message": "NIC objects are not available in the current system configuration.",
            "NumberOfArgs": 0,
            "Resolution": "Make sure the NIC devices are correctly installed in the system and retry the operation after the Collect System Inventory On Restart (CSIOR) feature has updated the system inventory. If the issue persists, contact your service provider.",
            "Severity": "Warning"
        },
        "RAC1023": {
            "Description": "Configuration jobs are created only if at least one object on the device or component (for example, NIC.Slot.1 or BIOS) has a pending value to be applied.",
            "Message": "Unable to create the configuration job.",
            "NumberOfArgs": 0,
            "Resolution": "Make sure that there is at least one object on the specified device or component that has a pending value, and retry the operation.",
            "Severity": "Warning"
        },
        "RAC1024": {
            "Description": "The pending value is applied during the next reboot of system.",
            "Message": "Successfully scheduled a job.",
            "NumberOfArgs": 0,
            "Resolution": "Verify the job status using \"racadm jobqueue view -i JID_xxxxx\" command.",
            "Severity": "Informational"
        },
        "RAC1025": {
            "Description": "Some objects have dependencies on other objects that are required to perform a task. However, some of the objects are read-only because of the current system configuration and the values of the dependent objects.",
            "Message": "The specified object is read-only and cannot be modified due to an object dependency.",
            "NumberOfArgs": 0,
            "Resolution": "Verify the object dependency using \"racadm help <device class>.<group name>.<object name>\", and retry the operation.",
            "Severity": "Warning"
        },
        "RAC1026": {
            "Description": "A custom signing certificate must be present in the system to delete or download the certificate.",
            "Message": "A custom signing certificate does not exist.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "RAC1027": {
            "Description": "A test event was generated and the alert was successfully sent to the destination.",
            "Message": "Successfully sent the alert for the specified event to the configured destination.",
            "NumberOfArgs": 0,
            "Resolution": "Verify if the alerts were received by the configured destination. Otherwise, reconfigure the destination and retry the operation.",
            "Severity": "Informational"
        },
        "RAC1028": {
            "Description": "The certificate cannot be downloaded if the certificate type specified is other than \"1\", \"2\", or \"3\".",
            "Message": "Unable to download the specified certificate type.",
            "NumberOfArgs": 0,
            "Resolution": "Make sure to specify either \"1\", \"2\", or \"3\" for the certificate type (-t) option, and retry the operation.",
            "Severity": "Informational"
        },
        "RAC1029": {
            "Description": "The certificate cannot be deleted if the certificate type specified is not \"3\".",
            "Message": "Unable to delete the specified certificate type.",
            "NumberOfArgs": 0,
            "Resolution": "Make sure to specify \"3\" for the certificate type (-t) option, and retry the operation.",
            "Severity": "Informational"
        },
        "RAC1030": {
            "Description": "The custom signing certificate present on iDRAC was deleted.",
            "Message": "The custom signing certificate was deleted.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "RAC1031": {
            "Description": "The custom signing certificate on iDRAC cannot be deleted because of an internal error.",
            "Message": "Unable to delete the custom signing certificate.",
            "NumberOfArgs": 0,
            "Resolution": "Verify if iDRAC has a custom signing certificate. If it has the certificate, retry the operation. If the issue persists, contact your service provider.",
            "Severity": "Informational"
        },
        "RAC1032": {
            "Description": "The job specified in the message were cancelled.",
            "Message": "%1 jobs was cancelled by the user.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "RAC1033": {
            "Description": "The server component software inventory cannot be retrieved because of an internal error.",
            "Message": "Unable to retrieve the server component software inventory.",
            "NumberOfArgs": 0,
            "Resolution": "Make sure to enable Collect System Inventory On Restart (CSIOR) feature, reboot the server, and retry the operation. If CSIOR is already enabled, restart iDRAC using \"racadm racreset\" command, and retry the operation.",
            "Severity": "Warning"
        },
        "RAC1034": {
            "Description": "This operation will cause the server to shutdown immediately. This may result in the applications losing data.",
            "Message": "This action will ungracefully turn off the server.",
            "NumberOfArgs": 0,
            "Resolution": "Before continuing, exit all the programs running on this server, and make sure that there is no inbound and outbound traffic associated with this server. Inability to do so may prevent all the servers in the chassis from accessing the shared-storage devices for up to two minutes. To continue the operation, enter a -f at the end of command \"racadm serveraction powerdown -f\", and then retry.",
            "Severity": "Warning"
        },
        "RAC1035": {
            "Description": "The command is unable to clear the pending state for attributes of the specified component because there are no pending values.",
            "Message": "There are no pending values to be cleared.",
            "NumberOfArgs": 0,
            "Resolution": "Make sure that there is at least one attribute on the specified device has a pending value, and retry the operation.",
            "Severity": "Warning"
        },
        "RAC1036": {
            "Description": "Successfully cleared pending values for attributes in the group specified.",
            "Message": "Successfully cleared pending attribute(s) for the group specified.",
            "NumberOfArgs": 0,
            "Resolution": "To verify, run the RACADM command \"racadm get group\".",
            "Severity": "Informational"
        },
        "RAC1037": {
            "Description": "Unable to clear pending attribute(s). This may be because the FQDD entered is incorrect.",
            "Message": "Unable to clear pending attribute(s).",
            "NumberOfArgs": 0,
            "Resolution": "Check that the FQDD entered is correct. View the Help information by running the RACADM command \"racadm help clearpending\".",
            "Severity": "Warning"
        },
        "RAC1038": {
            "Description": "Unable to clear pending values for the specified component. This may be because there is an existing configuration job for the component.",
            "Message": "Unable to clear pending values for the specified component.",
            "NumberOfArgs": 0,
            "Resolution": "Make sure that a config job is not scheduled for this component. For more information, view the help command by running the RACADM command \"racadm jobqueue help delete\".",
            "Severity": "Warning"
        },
        "RAC1039": {
            "Description": "The subcommand entered is not supported on the specified server.",
            "Message": "The subcommand entered is not supported on the specified server.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Warning"
        },
        "RAC1040": {
            "Description": "The requested RAID storage operation was successfully accepted and now must be applied by creating a RAID storage configuration job.",
            "Message": "Successfully accepted the RAID storage configuration operation. The change is in pending state.",
            "NumberOfArgs": 0,
            "Resolution": "To apply the configuration operation, create a configuration job, and then restart the server. To create the required commit and reboot jobs, run the jobqueue command. For more information about the jobqueue command, enter the RACADM command \"racadm help jobqueue\".",
            "Severity": "Warning"
        },
        "RAC1041": {
            "Description": "Successfully configured the Automatic Update (autoupdate) feature settings.",
            "Message": "Successfully configured the Automatic Update (autoupdate) feature settings.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "RAC1042": {
            "Description": "One or more required options to configure the Automatic Update (autoupdate) feature are missing.",
            "Message": "Unable to configure the Automatic Update (autoupdate) feature settings. The required options are either invalid or not provided.",
            "NumberOfArgs": 0,
            "Resolution": "For more information, view the help details by running the RACADM command \"racadm help autoupdatescheduler\".",
            "Severity": "Informational"
        },
        "RAC1043": {
            "Description": "The operation did not complete successfully because of an invalid value for the option identified in the message.",
            "Message": "Unable to configure the Automatic Update (autoupdate) feature settings. The option %1 is either invalid or not provided.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Retry with a correct value for the option identified in the message. For more information, view the help details by running the RACADM command \"racadm help autoupdatescheduler\".",
            "Severity": "Informational"
        },
        "RAC1044": {
            "Description": "The Automatic Update (autoupdate) feature is not enabled.",
            "Message": "The Automatic Update (autoupdate) feature is not enabled.",
            "NumberOfArgs": 0,
            "Resolution": "To enable, run the RACADM command \"racadm set lifecyclecontroller.lcattributes.autoupdate 1\".",
            "Severity": "Informational"
        },
        "RAC1045": {
            "Description": "Individual component firmware updates may occur frequently and cause changes to the catalog on ftp.dell.com. Specifying ftp.dell.com as the catalog source for the Automatic Update feature may result in frequent system firmware updates.",
            "Message": "Specifying ftp.dell.comas the catalog source for the Automatic Update feature may result in frequent system firmware updates because the catalog on ftp.dell.comchanges often.",
            "NumberOfArgs": 0,
            "Resolution": "Creating a custom repository using the Repository Manager tool allows control of the frequency of component firmware updates.",
            "Severity": "Warning"
        },
        "RAC1046": {
            "Description": "Unable to view the Automatic Update (autoupdate) feature settings because the feature has not been configured.",
            "Message": "Unable to view the Automatic Update (autoupdate) feature settings because the feature has not been configured.",
            "NumberOfArgs": 0,
            "Resolution": "Configure the Automatic Update feature by running the RACADM command \"racadm autoupdatescheduler create\" with the desired option settings.",
            "Severity": "Informational"
        },
        "RAC1047": {
            "Description": "Successfully cleared the Automatic Update(autoupdate) feature settings.",
            "Message": "Successfully cleared the Automatic Update (autoupdate) feature settings.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "RAC1048": {
            "Description": "The Automatic Update (autoupdate) feature settings must already exist in order to be cleared.",
            "Message": "Unable to clear the Automatic Update (autoupdate) feature settings because there is currently no configuration.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "RAC1049": {
            "Description": "Successfully configured the Automatic Backup (autobackup) feature settings.",
            "Message": "Successfully configured the Automatic Backup (autobackup) feature settings.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "RAC1050": {
            "Description": "One or more required options to configure the Automatic Backup (autobackup) feature are missing.",
            "Message": "Unable to configure the Automatic Backup (autobackup) feature settings. The required options are either invalid or not provided.",
            "NumberOfArgs": 0,
            "Resolution": "For more information, view the help details by running the RACADM command \"racadm help systemconfig backup\".",
            "Severity": "Informational"
        },
        "RAC1051": {
            "Description": "The operation did not complete successfully because of an invalid value for the option identified in the message.",
            "Message": "Unable to configure the Automatic Backup (autobackup) feature settings. The option %1 is either invalid or not provided.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Retry with a correct value for the option identified in the message. For more information, view the help details by running the RACADM command \"racadm help systemconfig backup\".",
            "Severity": "Informational"
        },
        "RAC1052": {
            "Description": "The Automatic Backup (autobackup) feature is not enabled.",
            "Message": "The Automatic Backup (autobackup) feature is not enabled.",
            "NumberOfArgs": 0,
            "Resolution": "To enable, run the RACADM command \"racadm set lifecyclecontroller.lcattributes.autobackup 1\".",
            "Severity": "Informational"
        },
        "RAC1053": {
            "Description": "Unable to view the Automatic Backup (autobackup) feature settings because the feature has not been configured.",
            "Message": "Unable to view the Automatic Backup (autobackup) feature settings because the feature has not been configured.",
            "NumberOfArgs": 0,
            "Resolution": "Configure the Automatic Backup feature by running the RACADM command \"racadm systemconfig backup\" with the desired option settings.",
            "Severity": "Informational"
        },
        "RAC1054": {
            "Description": "Successfully cleared the Automatic Backup (autobackup) feature settings.",
            "Message": "Successfully cleared the Automatic Backup (autobackup) feature settings.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "RAC1055": {
            "Description": "The Automatic Backup (autobackup) feature settings must already exist in order to be cleared.",
            "Message": "Unable to clear the Automatic Backup (autobackup) feature settings because there is currently no configuration.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "RAC1056": {
            "Description": "The requested firmware Rollback operation was initiated successfully.",
            "Message": "Rollback operation initiated successfully.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "RAC1057": {
            "Description": "Rollback operation did not complete successfully. The component identifier (FQDD) specified in the operation is not valid or does not have a Rollback firmware image available.",
            "Message": "Rollback operation did not complete successfully. The component identifier specified is not valid or does not have a rollback firmware image available.",
            "NumberOfArgs": 0,
            "Resolution": "Run the RACADM command \"racadm swinventory\" to see the list of Rollback firmware images available and the corresponding component identifier (FQDD).",
            "Severity": "Informational"
        },
        "RAC1058": {
            "Description": "The requested firmware Rollback operation did not complete successfully because Lifecycle Controller is disabled.",
            "Message": "Rollback operation did not complete successfully because Lifecycle Controller is disabled.",
            "NumberOfArgs": 0,
            "Resolution": "Run the RACADM command \"racadm set LifecycleController.LCAttributes.LifecycleControllerState 1\" to enable Lifecycle Controller, and retry the operation.",
            "Severity": "Informational"
        },
        "RAC1059": {
            "Description": "The requested firmware rollback operation could not be performed because another firmware update job is running or being scheduled.",
            "Message": "Rollback operation could not be performed because another firmware update job is running.",
            "NumberOfArgs": 0,
            "Resolution": "Wait until the existing firmware update jobs are completed or scheduled before retrying the operation. To monitor the status of the existing jobs, run the RACADM command \"racadm jobqueue view\". If the issue persists, restart the iDRAC and then retry the operation after the iDRAC has finished restarting.",
            "Severity": "Informational"
        },
        "RAC1060": {
            "Description": "The system inventory information may not be current because the Collect System Inventory On Restart (CSIOR) feature is disabled.",
            "Message": "System inventory may not be current because the Collect System Inventory On Restart (CSIOR) feature is disabled.",
            "NumberOfArgs": 0,
            "Resolution": "To enable the CSIOR feature, run the RACADM command \"racadm set LifecycleController.LCAttributes.CollectSystemInventoryOnRestart 1\". Then restart the server to cause system inventory information to be collected.",
            "Severity": "Warning"
        },
        "RAC1061": {
            "Description": "The requested SystemErase operation was initiated successfully.",
            "Message": "SystemErase operation initiated successfully.",
            "NumberOfArgs": 0,
            "Resolution": "Check the job status by running the RACADM command: \"racadm jobqueue view -i <JobID>\".",
            "Severity": "Informational"
        },
        "RAC1062": {
            "Description": "Unable to initiate the requested SystemErase operation. The component identifier specified is not valid.",
            "Message": "Unable to initiate the SystemErase operation. The component identifier specified is not valid.",
            "NumberOfArgs": 0,
            "Resolution": "Run the RACADM command \"racadm help systemerase\" to see the list of supported components.",
            "Severity": "Warning"
        },
        "RAC1063": {
            "Description": "Unable to initiate the SystemErase operation because Lifecycle Controller is disabled.",
            "Message": "Unable to initiate the SystemErase operation because Lifecycle Controller is disabled.",
            "NumberOfArgs": 0,
            "Resolution": "Run the RACADM command \"racadm set LifecycleController.LCAttributes.LifecycleControllerState 1\" to enable Lifecycle Controller, and retry the operation.",
            "Severity": "Warning"
        },
        "RAC1064": {
            "Description": "Unable to initiate the requested SystemErase operation because another SystemErase job is already in progress.",
            "Message": "Unable to initiate the SystemErase operation because another instance of SystemErase job is already in progress.",
            "NumberOfArgs": 0,
            "Resolution": "To check the job status, run the RACADM command \"racadm jobqueue view\" and retry the operation after the current SystemErase operation has completed.",
            "Severity": "Warning"
        },
        "RAC1065": {
            "Description": "Unable to initiate the SystemErase operation because iDRAC encountered an internal issue.",
            "Message": "Unable to initiate the SystemErase operation because iDRAC encountered an internal issue.",
            "NumberOfArgs": 0,
            "Resolution": "Retry the operation. If the issue persists, restart the iDRAC and then retry the operation after the iDRAC has finished restarting.",
            "Severity": "Warning"
        },
        "RAC1067": {
            "Description": "The minimum non critical threshold value identified in the message cannot be set, because the value entered is lesser than, or equal to the minimum critical threshold value.",
            "Message": "Unable to set the minimum non critical threshold value of %1, because the value entered is lesser than, or equal to the minimum critical threshold value.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Check the minimum critical threshold level using an appropriate RACADM command. For example, to view the minimum threshold value of a sensor, run the 'racadm getsensorinfo' command at the command line interface, and then retry the operation. For more information about other RACADM commands, run the racadm help command.",
            "Severity": "Warning"
        },
        "RAC1068": {
            "Description": "The minimum non critical threshold value identified in the message cannot be set, because the value entered is greater than, or equal to the maximum non critical threshold value.",
            "Message": "Unable to set minimum non critical threshold value of %1, because the value entered is greater than, or equal to the maximum non critical threshold value.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Check the maximum non critical threshold level using an appropriate RACADM command. For example, to view the maximum non critical threshold value of a sensor, run the 'racadm getsensorinfo' command at the command line interface, and then retry the operation. For more information about other RACADM commands, run the racadm help command.",
            "Severity": "Warning"
        },
        "RAC1069": {
            "Description": "The minimum non critical threshold value identified in the message cannot be set, because the value entered is greater than, or equal to the maximum critical threshold value.",
            "Message": "Unable to set minimum non critical threshold value of %1, because the value entered is greater than, or equal to the maximum critical threshold value.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Check the maximum critical threshold level using an appropriate RACADM command. For example, to view the maximum critical threshold value of a sensor, run the 'racadm getsensorinfo' command at the command line interface, and then retry the operation. For more information about other RACADM commands, run the racadm help command.",
            "Severity": "Warning"
        },
        "RAC1070": {
            "Description": "The maximum non critical threshold value identified in the message cannot be set, because the value entered is greater than or equal to the maximum critical threshold value.",
            "Message": "Unable to set the maximum non critical threshold value of %1, because the value entered is greater than, or equal to the maximum critical threshold value.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Check the maximum critical threshold level using an appropriate RACADM command. For example, to view the maximum critical threshold value of a sensor, run the 'racadm getsensorinfo' command at the command line interface, and then retry the operation. For more information about other RACADM commands, run the racadm help command.",
            "Severity": "Warning"
        },
        "RAC1071": {
            "Description": "The maximum non critical threshold value identified in the message cannot be set, because the value entered is less than or equal to the minimum non critical threshold value.",
            "Message": "Unable to set maximum non critical threshold value of %1, because the value entered is less than, or equal to the minimum non critical threshold value.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Check the minimum non critical threshold level using an appropriate RACADM command. For example, to view the minimum non critical threshold value of a sensor, run the 'racadm getsensorinfo' command at the command line interface, and then retry the operation. For more information about other RACADM commands, run the racadm help command.",
            "Severity": "Warning"
        },
        "RAC1072": {
            "Description": "The maximum non critical threshold value identified in the message cannot be set, because the value entered is less than or equal to the minimum critical threshold value.",
            "Message": "Unable to set maximum non critical threshold value of %1, because the value entered is less than, or equal to the minimum critical threshold value.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Check the minimum critical threshold level using an appropriate RACADM command. For example, to view the minimum critical threshold value of a sensor, run the 'racadm getsensorinfo' command at the command line interface, and then retry the operation. For more information about other RACADM commands, run the racadm help command.",
            "Severity": "Warning"
        },
        "RAC1073": {
            "Description": "The threshold value of the sensor identified in the message cannot be successfully set because the capability reset the sensor threshold value is not supported.",
            "Message": "Unable to reset the threshold value of sensor %1 because the capability to reset this sensor threshold value is not supported.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required. For more information about resetting the threshold level of a sensor, run the \"racadm getsensorinfo\" command at the command line interface (CLI), and then retry the operation.",
            "Severity": "Informational"
        },
        "RAC1109": {
            "Description": "Unable to run the command, because an incorrect Share type was entered.",
            "Message": "Unable to run the command, because an incorrect Share type is entered.",
            "NumberOfArgs": 0,
            "Resolution": "Enter an appropriate Share location of the following types: FTP, NFS, or CIFS. For more information, run the \"racadm help update\" command.",
            "Severity": "Informational"
        },
        "RAC1110": {
            "Description": "Unable to run the command, because an incorrect Proxy port number was entered. The Proxy port value must be a positive integer.",
            "Message": "Unable to run the command, because an incorrect Proxy port number was entered.",
            "NumberOfArgs": 0,
            "Resolution": "Enter only numbers for a Proxy port value.",
            "Severity": "Informational"
        },
        "RAC1111": {
            "Description": "Unable to clear pending values or operations from the specified storage device because there are no pending operations for the specified device.",
            "Message": "Unable to delete the pending values or operations of the specified device.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "RAC1112": {
            "Description": "Unable to clear the pending state from the attributes for a RAID object. A job is currently running and iDRAC internal storage is in use.",
            "Message": "Unable to delete the pending values for the specified device because the iDRAC internal storage is in use by a currently running job.",
            "NumberOfArgs": 0,
            "Resolution": "Retry the operation after any currently running jobs have completed. Jobs can be monitored by running the racadm command \"racadm jobqueue view\".",
            "Severity": "Warning"
        },
        "RAC1113": {
            "Description": "The configuration XML preview operation cannot be executed because the -b, -s, and -w options must not be used with the --preview option.",
            "Message": "Unable to perform the preview operation because the options -b, -c, -w, and -s must not be used with the --preview option.",
            "NumberOfArgs": 0,
            "Resolution": "Remove the -b, -w, and -s options when using the --preview option and retry the operation.",
            "Severity": "Warning"
        },
        "RAC1114": {
            "Description": "The configuration XML preview operation was successfully initiated and has generated a job with the job ID identified in the message.",
            "Message": "Configuration XML file preview operation job is initiated. Job ID = %1",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Monitor the status of the preview operation job by running the racadm command \"racadm jobqueue view -i <job ID>\".",
            "Severity": "Informational"
        },
        "RAC1115": {
            "Description": "The command could not be successfully run, because of insufficient privileges for the username supplied.",
            "Message": "Unable to run the command, because of insufficient user privileges.",
            "NumberOfArgs": 0,
            "Resolution": "Make sure that you have appropriate privileges, and then retry the operation.",
            "Severity": "Informational"
        },
        "RAC1116": {
            "Description": "The command could not be successfully run, because an incorrect \"restart flag\" value was entered in the command.",
            "Message": "Unable to run the command, because the restart flag entered is incorrect.",
            "NumberOfArgs": 0,
            "Resolution": "Enter a correct flag value. The recommended values are \"true\" and \"false\". Make sure that you have entered the correct value, and then retry the operation.",
            "Severity": "Informational"
        },
        "RAC1117": {
            "Description": "The operation specified in the command could not be successfully completed.",
            "Message": "Unable to run the command.",
            "NumberOfArgs": 0,
            "Resolution": "Retry the operation after 2 minutes. If the problem persists, contact your service provider.",
            "Severity": "Informational"
        },
        "RAC1118": {
            "Description": "Successfully initiated the update operation specified in the command.",
            "Message": "Successfully initiated the update operation specified in the command.",
            "NumberOfArgs": 0,
            "Resolution": "To know about the status of a command that is initiated, run the following command:racadm jobqueue view -I <job ID>.",
            "Severity": "Informational"
        },
        "RAC1119": {
            "Description": "The command could not be successfully run because of one or more of the following reasons:1. The command does not have \"--verifycatalog\" in it.2. The updates available on the repository are not applicable for the operation that is requested.",
            "Message": "Unable to generate a comparison report for the specified repository.",
            "NumberOfArgs": 0,
            "Resolution": "To generate a comparison report, type \"--verifycatalog\" in the racadm command, and then retry the operation.",
            "Severity": "Informational"
        },
        "RAC1120": {
            "Description": "The command could not be successfully run, because an incorrect Proxy type value was entered for the -pt option.",
            "Message": "Unable to run the command, because an incorrect Proxy type is entered.",
            "NumberOfArgs": 0,
            "Resolution": "Make sure that you entered either \"http\" or \"https\" as the proxy type. Enter the correct type, and then retry the operation.",
            "Severity": "Informational"
        },
        "RAC1121": {
            "Description": "The command could not be successfully run, because one or more values about the proxy server was not entered.",
            "Message": "Unable to run the command, because the data entered for connecting to the Proxy server is insufficient.",
            "NumberOfArgs": 0,
            "Resolution": "Make sure that you enter the following data, and then retry the operation:- proxy server address- proxy user name- proxy password.",
            "Severity": "Informational"
        },
        "RAC1122": {
            "Description": "One or more of the group or component attributes specified in the operation do not exist on the targeted server.",
            "Message": "The specified group or object is not supported on the server.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "RAC1123": {
            "Description": "Fibre Channel (FC) objects are not available if Fibre Channel devices are not installed in the server, or if some iDRAC services are busy.",
            "Message": "Unable to perform the operation because Fibre Channel (FC) attributes are not available in the current server configuration.",
            "NumberOfArgs": 0,
            "Resolution": "Do the following: 1) Power off and remove AC or DC power from the server. 2) Make sure the Fibre Channel devices are correctly installed in the server. 3) Restart the server to allow the Collect System Inventory On Restart (CSIOR) feature to update the server inventory. 4) Retry the operation. If the issue persists, contact your service provider.",
            "Severity": "Warning"
        },
        "RAC1128": {
            "Description": "Any operation involving remote share (CIFS) cannot continue if the location (-l option) is not specified. The -u and -p options represent the user name and password for the remote share, and -l represents the location of the remote share.",
            "Message": "The -l option must be specified if -u and -p options are used.",
            "NumberOfArgs": 0,
            "Resolution": "Make sure to specify the location (-l option) of the remote share along with the user name and password, and retry the operation. To view the list of options that can used for the required subcommand, run the RACADM command \"racadm help <subcommand>\".",
            "Severity": "Warning"
        },
        "RAC1129": {
            "Description": "The BootOnce object could not be modified, because the FirstBootDevice object is set to either F10, F11, or BIOS.",
            "Message": "Unable to modify the BootOnce object.",
            "NumberOfArgs": 0,
            "Resolution": "Configure the FirstBootDevice object to values other than F10, F11, or BIOS and retry the set operation for the BootOnce object. For more information about possible FirstBootDevice values, run the RACADM command \"racadm help idrac.serverboot.firstbootdevice\".",
            "Severity": "Warning"
        },
        "RAC1130": {
            "Description": "The requested operation could not be successfully completed because of an unsupported version of BIOS, USC, and/or iDRAC firmware.",
            "Message": "Unable to complete the operation. This feature is not supported on the currently-used platform.",
            "NumberOfArgs": 0,
            "Resolution": "Verify whether or not a correct version of BIOS, Lifecycle Controller, and/or iDRAC firmware is installed. For more information on the appropriate firmware version required, refer to the RACADM Command Line Reference Guide. Also check if there is a limitation in terms of platforms such as monolithic or modular, and then retry the operation.",
            "Severity": "Informational"
        },
        "RAC1131": {
            "Description": "The iDRAC was reset and is successfully restarted.",
            "Message": "iDRAC was successfully reset.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "RAC1132": {
            "Description": "The firmware could not be successfully updated, because one or all of the following values are incorrect:A) logon ID.B) IP address of TFTP or FTP server.C) Full path of the firmware file.",
            "Message": "Unable to update the firmware. The value entered for an option is invalid.",
            "NumberOfArgs": 0,
            "Resolution": "Run the racadm command \"racadm help <subcommand>\" to get more details about the various options applicable for this command and the values accepted by the command.",
            "Severity": "Informational"
        },
        "RAC1133": {
            "Description": "The BIOSRTDRequested attribute was modified successfully. The BIOS reset to default values operation is pending a server restart.",
            "Message": "BIOSRTDRequested value is modified successfully. The BIOS reset to default values operation is pending a server restart.",
            "NumberOfArgs": 0,
            "Resolution": "To apply the BIOS default values, restart the server. After the server has restarted, the default BIOS values will be accessible from the iDRAC.",
            "Severity": "Informational"
        },
        "RAC1134": {
            "Description": "Unable to export the Lifecycle log data, because the export file size larger than 25MB and cannot be processed locally.",
            "Message": "Unable to export the Lifecycle log data, because the export file size larger than 25MB and cannot be processed locally.",
            "NumberOfArgs": 0,
            "Resolution": "Export the Lifecycle Log to a network file share. Using the RACADM command line utility, run the lclog export command with --complete option and related network file share parameters, and then retry the operation. For more information about the --complete option, run the \"racadm help lclog export\" command at the command line interface.",
            "Severity": "Informational"
        },
        "RAC1135": {
            "Description": "The RACADM command could not be run because the internal instrumentation components are either busy or have stopped functioning.",
            "Message": "Unable to run the RACADM command because an internal instrumentation component has stopped functioning.",
            "NumberOfArgs": 0,
            "Resolution": "Wait for a minute for the internal instrumentation component to respond, and then retry the operation. If the issue persists, reset the iDRAC by pressing the System ID button for 15 seconds, wait for the iDRAC to finish restarting, and then retry the operation. If the issue continues to persist, contact your service provider.",
            "Severity": "Warning"
        },
        "RAC1136": {
            "Description": "The remote unattended diagnostic execution operation is initiated.",
            "Message": "Remote unattended diagnostic execution operation initiated.",
            "NumberOfArgs": 0,
            "Resolution": "Using the RACADM command line interface, run the \"racadm jobqueue view -i <job id>\" command to view the status of the operation.",
            "Severity": "Informational"
        },
        "RAC1137": {
            "Description": "Remote unattended diagnostic results export operation initiated.",
            "Message": "Remote unattended diagnostic results export operation initiated.",
            "NumberOfArgs": 0,
            "Resolution": "Using the RACADM command line interface, run the \"racadm jobqueue view -i <job id>\" command to view the status of the operation.",
            "Severity": "Informational"
        },
        "RAC1138": {
            "Description": "Unable to export the remote diagnostics results because the remote diagnostics results have not been generated.",
            "Message": "Unable to export the diagnostics results because the results do not exist.",
            "NumberOfArgs": 0,
            "Resolution": "Using the RACADM command line interface, run the \"racadm diagnostics run\" command to make sure that the diagnostics results are available, and then retry the operation.",
            "Severity": "Informational"
        },
        "RAC1139": {
            "Description": "The requested file can be exported from the firmware racadm only to a remote file share.",
            "Message": "The entered option is not supported by the interface.",
            "NumberOfArgs": 0,
            "Resolution": "Create a remote file share to export the file or use remote or local racadm to export to the file system that is accessible by the racadm executable.",
            "Severity": "Warning"
        },
        "RAC1140": {
            "Description": "The file name cannot be specified when the Technical Support Report (TSR) is exported to a remote share.",
            "Message": "File name is not required to export the Technical Support Report (TSR) to a remote share.",
            "NumberOfArgs": 0,
            "Resolution": "Run the command without using the -f option. For more information on exporting Technical Support Report (TSR), run the command 'racadm help techsupreport export'.",
            "Severity": "Informational"
        },
        "RAC1141": {
            "Description": "The iDRAC firmware rollback operation was initiated.",
            "Message": "The iDRAC firmware rollback operation was initiated.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "RAC1142": {
            "Description": "The Remote diagnostic operation cannot be performed because the difference between \"Start Time\" and \"Expiration Time\" is less than 5 minutes.",
            "Message": "Unable to start the Remote Diagnostics operation because the Expiration Time entered (difference between Start Time and Expiration Time) is less than five minutes.",
            "NumberOfArgs": 0,
            "Resolution": "Make sure that the Expiration Time is greater than five minutes, and then retry the operation.",
            "Severity": "Warning"
        },
        "RAC1143": {
            "Description": "The job identified in the message is not a configuration job, a configuration XML import or preview type job that generates configuration results.",
            "Message": "Configuration results are not applicable for the job type for Job: %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Warning"
        },
        "RAC1144": {
            "Description": "No configuration results information is available for the job ID identified in the message because the job ID is invalid or is not present in the job queue and a related Lifecycle Log entry is not found.",
            "Message": "The Job: %1 is invalid or is not present in the job queue and a related Lifecycle Log entry is not found.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Check the job ID identified in the message and retry the operation with a valid job ID. To check valid job IDs in the current job queue, using RACADM, run the command \"racadm jobqueue view\".",
            "Severity": "Warning"
        },
        "RAC1145": {
            "Description": "The value entered for the -t option is invalid.",
            "Message": "The entered log type is invalid.",
            "NumberOfArgs": 0,
            "Resolution": "Check help text for the list of valid log types and retry the operation by entering a valid log type.",
            "Severity": "Informational"
        },
        "RAC1146": {
            "Description": "The SNMPv3 username cannot be set because SNMPv3 is not enabled for the specified user on iDRAC.",
            "Message": "Unable to set the SNMPv3 username because SNMPv3 is not enabled for the specified user on iDRAC.",
            "NumberOfArgs": 0,
            "Resolution": "Enable SNMPv3 for the specified user by running the command \"racadm set iDRAC.Users.<user index>.SNMPv3Enable 1\", and then retry the operation.",
            "Severity": "Informational"
        },
        "RAC1147": {
            "Description": "The SNMPv3 user cannot be set because the user with the entered username for the SNMPv3 group is not present or enabled on iDRAC.",
            "Message": "Unable to set the SNMPv3 username entered in the command because the username is not present or enabled on iDRAC.",
            "NumberOfArgs": 0,
            "Resolution": "Make sure the specified username is present on iDRAC and enabled, and retry the operation.",
            "Severity": "Informational"
        },
        "RAC1148": {
            "Description": "The Integrated Service Module (ISM) Installer is successfully made available to the host system.",
            "Message": "The Integrated Service Module (ISM) Installer is successfully made available to the host system.",
            "NumberOfArgs": 0,
            "Resolution": "Boot into the host operating system to check for the availability of Integrated Service Module (ISM) Installer.",
            "Severity": "Informational"
        },
        "RAC1149": {
            "Description": "The Integrated Service Module (ISM) Installer cannot be made available to the host system because the System Erase operation is performed earlier.",
            "Message": "Unable to make the Integrated Service Module (ISM) Installer available to the host system because the System Erase operation is performed earlier.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "RAC1150": {
            "Description": "The export operation did not be complete successfully.",
            "Message": "Unable to complete the export operation.",
            "NumberOfArgs": 0,
            "Resolution": "Retry the export operation after five minutes.",
            "Severity": "Informational"
        },
        "RAC1151": {
            "Description": "The export operation did not complete successfully.",
            "Message": "The export operation is unsuccessful.",
            "NumberOfArgs": 0,
            "Resolution": "Run the RACADM techsupreport collect command again and then retry the export operation.",
            "Severity": "Informational"
        },
        "RAC1152": {
            "Description": "The export operation completed successfully.",
            "Message": "The export operation completed successfully.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "RAC1153": {
            "Description": "The time stamp was not recorded for the previous techsupreport collect operation.",
            "Message": "The time stamp is not available to display.",
            "NumberOfArgs": 0,
            "Resolution": "Run the RACADM techsupreport collect command. After the techsupreport collect operation completes, run the RACADM getupdatetime command.",
            "Severity": "Informational"
        },
        "RAC1154": {
            "Description": "The requested techsupreport collect or export operation is initiated.",
            "Message": "The requested operation is initiated.",
            "NumberOfArgs": 0,
            "Resolution": "Run the RACADM jobqueue sub-command, using the job id to check the status of the requested operation.",
            "Severity": "Informational"
        },
        "RAC1155": {
            "Description": "The operation was not completed because Lifecycle Controller is disabled.",
            "Message": "Unable to complete the operation because Lifecycle Controller is disabled.",
            "NumberOfArgs": 0,
            "Resolution": "Enable the Lifecycle Controller and retry the operation. To enable Lifecycle Controller, run the command 'racadm set LifecycleController.LCAttributes.LifecycleControllerState 1'.",
            "Severity": "Informational"
        },
        "RAC1156": {
            "Description": "The server network interface information cannot be received because the iDRAC Service Module is not installed or not running on the server operating system (OS) or collection of the OS data is disabled.",
            "Message": "Unable to display the information about the server network interfaces.",
            "NumberOfArgs": 0,
            "Resolution": "Run the command 'racadm get iDRAC.ServiceModule' to check if iDRAC Service Module is installed and running on the server operation system, and the collection of the OS data is enabled.",
            "Severity": "Warning"
        },
        "RAC1157": {
            "Description": "The specified FQDD is invalid.",
            "Message": "Unable to find the specified FQDD.",
            "NumberOfArgs": 0,
            "Resolution": "Verify whether or not the entered FQDD is valid. Run the command 'racadm gethostnetworkinterfaces' for the list of valid FQDDs.",
            "Severity": "Informational"
        },
        "RAC1158": {
            "Description": "The requested number of Lifecycle log entries exceed the limit and cannot be displayed. The remote RACADM operation may time out before retrieving all the log entries.",
            "Message": "The requested number of log entries exceeds the limit.",
            "NumberOfArgs": 0,
            "Resolution": "Retrieve a smaller number of log entries using remote RACADM or use firmware or local RACADM to view all the log entries. To retrieve a limited number of log entries, use the -n option. For example, to view the last 10 log entries, run the command 'racadm lclog view -n 10'.",
            "Severity": "Informational"
        },
        "RAC1159": {
            "Description": "The data cannot be retrieved from iDRAC because Lifecycle Controller is disabled or a DUP update is in progress.",
            "Message": "Unable to get the requested data from iDRAC.",
            "NumberOfArgs": 0,
            "Resolution": "Do the following: 1) Check if a DUP fw update is progress and wait until it is finished. 2) Make sure the Lifecycle Controller is Enabled. To enable Lifecycle Controller, run the command 'racadm set LifecycleController.LCAttributes.LifecycleControllerState 1'. 3) Retry the operation.",
            "Severity": "Warning"
        },
        "RAC1160": {
            "Description": "Unable to set USB group objects because the user account identified in the message does not have the System Control privilege, which is required for this operation.",
            "Message": "Unable to set USB group objects because of insufficient privilege for user account %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Contact the iDRAC system administrator and get the System Control privilege added to the account identified in the message or use account credentials that have System Control privilege and retry the operation.",
            "Severity": "Warning"
        },
        "RAC1161": {
            "Description": "Unable to initiate the techsupreport collect operation because the iDRAC Service Module (iSM) is not running.",
            "Message": "Unable to initiate the techsupreport collect operation for the Tech Support Report (TSR) because the iDRAC Service Module (iSM) is not running.",
            "NumberOfArgs": 0,
            "Resolution": "Run the command 'racadm get iDRAC.ServiceModule to make sure that iDRAC Service Module is installed and running on the server operation system (OS) and also to verify that the collection of the server OS data is enabled.",
            "Severity": "Informational"
        },
        "RAC1162": {
            "Description": "The requested techsupreport collect operation cannot be initiated because another techsupreport collect operation for the Tech Support Report (TSR) is in progress.",
            "Message": "Unable to initiate the techsupreport collect operation for the Tech Support Report (TSR) because another collect operation is in progress.",
            "NumberOfArgs": 0,
            "Resolution": "Wait for the current collect operation to complete before initiating another collect operation. To view the status of the techsupreport collect operation, run the command 'racadm jobqueue view'.",
            "Severity": "Informational"
        },
        "RAC1163": {
            "Description": "The peak utilization value of out-of-band performance monitoring sensor identified in the message is successfully reset.",
            "Message": "The peak utilization value of out-of-band performance monitoring sensor %1 is successfully reset.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action required.",
            "Severity": "Warning"
        },
        "RAC1164": {
            "Description": "A remote diagnostics operation is already under execution and another operation can be started only after the current execution is completed.",
            "Message": "A remote diagnostics operation is currently running and not completed.",
            "NumberOfArgs": 0,
            "Resolution": "Initiate another diagnostics operation only after the currently running operation is completed.",
            "Severity": "Warning"
        },
        "RAC1165": {
            "Description": "Unable to configure the port number that is entered for either http or https ports of the iDRAC Web server, because the port number is already in use.",
            "Message": "Unable to configure the port number that is entered for either http or https ports of the iDRAC Web server, because the port number is already in use.",
            "NumberOfArgs": 0,
            "Resolution": "Enter a port number that is not already in use and retry the operation. If the issue persists, contact your service provider.",
            "Severity": "Warning"
        },
        "RAC1166": {
            "Description": "The Configuration XML file preview operation was successfully initiated after it was invoked by the user name identified in the message.",
            "Message": "Successfully initiated Configuration XML file preview operation that was invoked by %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "RAC1168": {
            "Description": "The RACADM \"getconfig\" command will be deprecated in a future version of iDRAC firmware.",
            "Message": "The RACADM \"getconfig\" command will be deprecated in a future version of iDRAC firmware.",
            "NumberOfArgs": 0,
            "Resolution": "Run the RACADM \"racadm get\" command to retrieve the iDRAC configuration parameters. For more information on the get command, run the RACADM command \"racadm help get\".",
            "Severity": "Informational"
        },
        "RAC1169": {
            "Description": "The RACADM \"config\" command will be deprecated in a future version of iDRAC firmware.",
            "Message": "The RACADM \"config\" command will be deprecated in a future version of iDRAC firmware.",
            "NumberOfArgs": 0,
            "Resolution": "Run the RACADM \"racadm set\" command to configure the iDRAC configuration parameters. For more information on the set command, run the RACADM command \"racadm help set\".",
            "Severity": "Informational"
        },
        "RAC1170": {
            "Description": "Unable to find the SSL library. This can be because, the library is not installed in the default path or no SSL library is installed.",
            "Message": "Unable to find the SSL library in the default path.",
            "NumberOfArgs": 0,
            "Resolution": "If a SSL library is not installed, install one and retry the operation. If a SSL library is installed, create a soft-link of the installed SSL library to \"libssl.so\" using the linux \"ln\" command and retry the operation.",
            "Severity": "Warning"
        },
        "RAC1175": {
            "Description": "The user configuration cannot be modified, because modification is not allowed at index 1.",
            "Message": "Unable to change the user configuration because modifying the user configuration at index 1 is not allowed.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "RAC1176": {
            "Description": "The Certificate Signing Request (CSR) message cannot be generated because all the attributes in the iDRAC.Security group are not configured.",
            "Message": "Unable to generate the Certificate Signing Request (CSR) message because all the attributes in the iDRAC.Security group are not configured.",
            "NumberOfArgs": 0,
            "Resolution": "Make sure that all the attributes in the iDRAC.Security group are configured. To get the list of attributes, run the following command \"racadm get iDRAC.Security\".",
            "Severity": "Informational"
        },
        "RAC1177": {
            "Description": "A USB device is attached to the iDRAC and accessible from the iDRAC.",
            "Message": "A USB device is attached to the iDRAC.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required. To attach the USB device to the server instead of the iDRAC, remove the USB device from the front panel USB port, change the USB Management Port mode settings and then reinsert the USB device.",
            "Severity": "Informational"
        },
        "RAC1178": {
            "Description": "A USB device is attached to the iDRAC and a configuration XML import operation is in progress.",
            "Message": "A USB device is attached to the iDRAC and a configuration XML import operation is in progress.",
            "NumberOfArgs": 0,
            "Resolution": "Wait until the configuration XML import operation has completed before attempting another operation. Verify the status of the configuration XML import operation by running the RACADM command \"racadm jobqueue view\".",
            "Severity": "Warning"
        },
        "RAC1179": {
            "Description": "Unable to complete requested operation because a Type A/A USB cable is connected to the front panel USB port and the iDRAC is emulating a NIC device.",
            "Message": "Unable to complete requested operation because an Type A/A USB cable is connected to the front panel USB port and the iDRAC is emulating a NIC device.",
            "NumberOfArgs": 0,
            "Resolution": "To change the USB Management Port mode setting, remove the Type A/A USB cable from the front panel USB port and change the port mode settings.",
            "Severity": "Warning"
        },
        "RAC1180": {
            "Description": "A USB Device inserted in the front panel USB Management port and is in use by the server operating system. The device needs to not be in use in order to change the port mode settings.",
            "Message": "A USB device is inserted in the front panel USB Management port and is in use by the server operating system.",
            "NumberOfArgs": 0,
            "Resolution": "Remove and reinsert the USB device and retry the operation.",
            "Severity": "Warning"
        },
        "RAC1181": {
            "Description": "USB Management Port state cannot be changed because of an unknown hardware or firmware issue.",
            "Message": "Unable to change USB Management Port mode.",
            "NumberOfArgs": 0,
            "Resolution": "To change the Management Port mode settings do the following: If a device is present, remove and reinsert the USB device from the front panel USB Management port and retry the operation. If the issue persists restart the iDRAC and retry the operation.",
            "Severity": "Warning"
        },
        "RAC1182": {
            "Description": "The server instrumentation can not provide any information related to power because PMBus capability is not present or the PSU(s) with PMBus capability have been removed.",
            "Message": "Unable to retrieve information for the Power group or attribute because the server is not PMBus capable.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "RAC1183": {
            "Description": "The IP addresses 169.254.0.3 and 169.254.0.4 cannot be assigned to the device identified in the message because the IP addresses entered are reserved for the iDRAC Direct feature.",
            "Message": "Unable to assign IP addresses 169.254.0.3 and 169.254.0.4 to the device OSBMC USBNIC because the IP addresses entered are reserved for the iDRAC Direct feature.",
            "NumberOfArgs": 0,
            "Resolution": "Enter another appropriate IP address, and then retry the operation.",
            "Severity": "Warning"
        },
        "RAC1184": {
            "Description": "The getuscvresion RACADM subcommand will be deprecated in a future release.",
            "Message": "The getuscvresion RACADM subcommand will be deprecated in a future release.",
            "NumberOfArgs": 0,
            "Resolution": "Instead of getuscversion, run the getversion -f lc subcommand.",
            "Severity": "Informational"
        },
        "RAC1185": {
            "Description": "The static IPv6 address is not configured because an invalid IPv6 address or IPv6 Gateway is entered.",
            "Message": "Unable to configure static IPv6 address because an invalid IPv6 address or IPv6 Gateway is entered.",
            "NumberOfArgs": 0,
            "Resolution": "Enter a valid IPv6 address and IPv6 Gateway, and retry the operation.",
            "Severity": "Warning"
        },
        "RAC1186": {
            "Description": "Only possible configurations for the DRAC NIC are 10Mbps and 100 Mbps. For documentation with respect to this setting, refer to the racadm User Guide under cfgNetTuning group.",
            "Message": "1000Mbps speed setting is Read Only and cannot be configured for the iDRAC NIC.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "RAC1187": {
            "Description": "The remote diagnostics operation could not be initiated because the Start Time entered is invalid. It is earlier than the current iDRAC time.",
            "Message": "Invalid Start Time Entered. Unable to start the Remote Diagnostics operation because the Start Time entered is earlier than the current iDRAC time.",
            "NumberOfArgs": 0,
            "Resolution": "Enter a Start Time that is later than the current iDRAC time and retry the operation. Run the \"racadm getractime\" command to obtain the current iDRAC time.",
            "Severity": "Warning"
        },
        "RAC1188": {
            "Description": "Unable to configure the Upper Non-Critical value for the System Performance sensor because the value provided is not in valid range.",
            "Message": "Unable to configure the Upper Non-Critical value for the System Performance sensor.",
            "NumberOfArgs": 0,
            "Resolution": "Specify a value in the range of 0 to 100 to set the upper non-critical value.",
            "Severity": "Warning"
        },
        "RAC1189": {
            "Description": "The idrac.serviceModule.watchdogtimer object can not be enabled if the OS watch dog timer is already enabled.",
            "Message": "Unable to set the object value for iDRAC Service Module.",
            "NumberOfArgs": 0,
            "Resolution": "Disable the object using \"racadm set BIOS.integratedDevices.osWatchdogTimer Disabled \" Then retry the operation.",
            "Severity": "Informational"
        },
        "RAC1190": {
            "Description": "Unable to configure the provisioning server.",
            "Message": "Unable to configure the Provisioning Server feature settings. The required options are either invalid or not provided.",
            "NumberOfArgs": 0,
            "Resolution": "Retry the operation.",
            "Severity": "Warning"
        },
        "RAC1191": {
            "Description": "The file import operation has failed because of large file size.",
            "Message": "Unable to import the specified file to iDRAC.",
            "NumberOfArgs": 0,
            "Resolution": "The file import operation has timed out, because the file is invalid or is exceeding the permissible size. Retry the operation with a valid file.",
            "Severity": "Warning"
        },
        "RAC1192": {
            "Description": "The Collect System Inventory On Restart (CSIOR) feature is currently disabled. If the system inventory is not up-to-date, the system configuration profile that is being copied will not have the latest inventory information.",
            "Message": "The Collect System Inventory On Restart (CSIOR) feature is disabled.",
            "NumberOfArgs": 0,
            "Resolution": "To get latest inventory information, cancel the current job, run \"racadm set LifecycleController.LCAttributes.CollectSystemInventoryOnRestart 1\" to enable CSIOR, and re-initiate the operation.",
            "Severity": "Warning"
        },
        "RAC1193": {
            "Description": "A RAC system configuration change has been requested. Please check logs for more details on the configuration change and the origin of the configuration change request.",
            "Message": "A RAC system configuration change has been requested.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "RAC1194": {
            "Description": "The server firmware is up to date and matches the catalog definitions.",
            "Message": "Successfully compared the firmware versions on the server to the versions defined in the specified catalog. The server firmware is up to date and matches the catalog definitions.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "RAC1195": {
            "Description": "User requested state / configuration change using specified interface.",
            "Message": "User %1 via IP %2 requested state / configuration change to %3 using %4.",
            "NumberOfArgs": 4,
            "ParamTypes": [
                "String",
                "String",
                "String",
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "RAC1196": {
            "Description": "The Enhanced User Logging is disabled by the user identified in the message. It is disabled for all users working on this iDRAC.",
            "Message": "The Enhanced User Logging is disabled by %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Warning"
        },
        "RAC1197": {
            "Description": "The LCD panel firmware is successfully updated.",
            "Message": "The LCD panel firmware is successfully updated.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "RAC1198": {
            "Description": "The LCD panel firmware cannot be updated either because of connection issues or the LCD bezel is damaged.",
            "Message": "Unable to update the LCD panel firmware either because of connection issues or the LCD bezel is damaged.",
            "NumberOfArgs": 0,
            "Resolution": "Remove the LCD bezel and reinstall. If the issue persists, replace the LCD bezel.",
            "Severity": "Warning"
        },
        "RAC1199": {
            "Description": "The Support Assist Automatic Collection scheduler settings cannot be configured because either the values are not entered or invalid.",
            "Message": "Unable to configure the Support Assist Automatic Collection scheduler settings because either the values are not entered or invalid.",
            "NumberOfArgs": 0,
            "Resolution": "Retry the operation by entering correct values. For information about the correct values, run the RACADM command at the command line interface (CLI): racadm supportassist help autocollectscheduler.",
            "Severity": "Warning"
        },
        "RAC1200": {
            "Description": "The SupportAssist Registration operation did not complete successfully because either the values are not entered or are invalid.",
            "Message": "Unable to complete the SupportAssist register operation because either the values are not entered or are invalid.",
            "NumberOfArgs": 0,
            "Resolution": "Retry the operation by entering correct values. For information about the correct values, run the RACADM command at the command line interface (CLI): \"racadm supportassist help register\".",
            "Severity": "Warning"
        },
        "RAC1201": {
            "Description": "The operation cannot be completed because the server is in the lockdown mode. Modifications are not allowed when the server is in the lockdown mode.",
            "Message": "Unable to complete the operation because the server is in the lockdown mode.",
            "NumberOfArgs": 0,
            "Resolution": "Disable the lockdown mode by running the following RACADM at the command line interface (CLI): racadm set iDRAC.Lockdown.SystemLockdownMode 0.",
            "Severity": "Warning"
        },
        "RAC1202": {
            "Description": "The Secure Boot Certificate is successfully exported.",
            "Message": "The Secure Boot Certificate is successfully exported.",
            "NumberOfArgs": 0,
            "Resolution": "No response action required.",
            "Severity": "Informational"
        },
        "RAC1203": {
            "Description": "The Secure Boot Certificate Import operation is successfully scheduled. For the changes to become effective, restart the host server.",
            "Message": "The Secure Boot Certificate Import operation is successfully scheduled.",
            "NumberOfArgs": 0,
            "Resolution": "No response action required.",
            "Severity": "Informational"
        },
        "RAC1204": {
            "Description": "The Secure Boot Certificate Delete operation is successfully scheduled. For the changes to become effective, restart the host server.",
            "Message": "The Secure Boot Certificate Delete operation is successfully scheduled.",
            "NumberOfArgs": 0,
            "Resolution": "No response action required.",
            "Severity": "Informational"
        },
        "RAC1205": {
            "Description": "The Secure Boot Certificate Restore operation is successfully scheduled. For the changes to become effective, restart the host server.",
            "Message": "The Secure Boot Certificate Restore operation is successfully scheduled.",
            "NumberOfArgs": 0,
            "Resolution": "No response action required.",
            "Severity": "Informational"
        },
        "RAC1206": {
            "Description": "The Secure Boot Certificate DeleteAll operation is successfully scheduled. For the changes to become effective, restart the host server.",
            "Message": "The Secure Boot Certificate DeleteAll operation is successfully scheduled.",
            "NumberOfArgs": 0,
            "Resolution": "No response action required.",
            "Severity": "Informational"
        },
        "RAC1207": {
            "Description": "The Secure Boot Certificate RestoreAll operation is successfully scheduled. For the changes to become effective, restart the host server.",
            "Message": "The Secure Boot Certificate RestoreAll operation is successfully scheduled.",
            "NumberOfArgs": 0,
            "Resolution": "No response action required.",
            "Severity": "Informational"
        },
        "RAC1208": {
            "Description": "The operation cannot be completed because an invalid Certificate or Key Type is entered.",
            "Message": "Unable to complete the operation because an invalid Certificate or Key Type is entered.",
            "NumberOfArgs": 0,
            "Resolution": "Enter a valid Certificate or Key Type and retry the operation. To view a list of valid types, enter the following RACADM command at the command line interface (CLI): \"racadm help <subcommand>\". Also, see the RACADM CLI Reference Guide available on the support site.",
            "Severity": "Warning"
        },
        "RAC1209": {
            "Description": "The operation cannot be completed because an invalid Certificate or Key SubType is entered.",
            "Message": "Unable to complete the operation because an invalid Certificate or Key SubType is entered.",
            "NumberOfArgs": 0,
            "Resolution": "Enter a valid Certificate or Key SubType and retry the operation. To view a list of valid types, enter the following RACADM command at the command line interface (CLI): \"racadm help <subcommand>\". Also, see the RACADM CLI Reference Guide available on the support site.",
            "Severity": "Warning"
        },
        "RAC1210": {
            "Description": "The operation cannot be completed because an invalid Hash Value is entered.",
            "Message": "Unable to complete the operation because an invalid Hash value is entered.",
            "NumberOfArgs": 0,
            "Resolution": "Enter a valid Hash value and retry the operation. To view a list of valid types, enter the following RACADM command at the command line interface (CLI): \"racadm help <subcommand>\". Also, see the RACADM CLI Reference Guide available on the support site.",
            "Severity": "Warning"
        },
        "RAC1211": {
            "Description": "The operation cannot be completed because the Hash value is not accepted for certificates of Public Key (PK) or Key Encrypting Key (KEK) type.",
            "Message": "Unable to complete the operation because the Hash value is not accepted for certificates of Public Key (PK) or Key Encrypting Key (KEK) type.",
            "NumberOfArgs": 0,
            "Resolution": "Enter a Thumbprint value for certificates of Public Key (PK) or Key Encrypting Key (KEK) type. For DB, DBX certificate types, enter a valid Hash value. To view a list of valid types, see the RACADM CLI Reference Guide available on the support site.",
            "Severity": "Warning"
        },
        "RAC1212": {
            "Description": "The operation cannot be completed because the Secure Boot policy is set to Standard.",
            "Message": "Unable to complete the operation because the Secure Boot policy is set to Standard.",
            "NumberOfArgs": 0,
            "Resolution": "Reset the Secure Boot policy to Custom by running the following RACADM command at the command line interface (CLI), and then retry the operation:\"racadm set bios.syssecurity.securebootpolicy Custom\". For more information, see the RACADM CLI Reference Guide available on the support site.",
            "Severity": "Warning"
        },
        "RAC1213": {
            "Description": "The Public Key (PK) cannot be deleted because a PK already exists.",
            "Message": "Unable to import the Public Key (PK) because a PK already exists.",
            "NumberOfArgs": 0,
            "Resolution": "Delete the existing Public Key, restart the host server, and then retry the operation.To know how to Delete, run sub-command help \"racadm bioscert help delete\". For further information, see the RACADM CLI Reference Guide available on the support site.",
            "Severity": "Warning"
        },
        "RAC1214": {
            "Description": "The operation cannot be completed because the Secure Boot policy is of unknown type.",
            "Message": "Unable to complete the operation because the Secure Boot policy is of unknown type.",
            "NumberOfArgs": 0,
            "Resolution": "Set the Secure Boot policy to Standard or Custom mode. For example to set the policy to Custom mode use command \"racadm set bios.syssecurity.securebootpolicy Custom\". For more information, see the RACADM CLI Reference Guide available on the support site.",
            "Severity": "Warning"
        },
        "RAC1215": {
            "Description": "The certificate cannot be imported because the certificate being imported already exists in the database.",
            "Message": "Unable to import the certificate because the certificate being imported already exists in the database.",
            "NumberOfArgs": 0,
            "Resolution": "Delete the existing certificate, restart the host server, and then retry the operation.To know how to Delete, run sub-command help \"racadm bioscert help delete\". For further information, see the RACADM CLI Reference Guide available on the support site.",
            "Severity": "Warning"
        },
        "RAC1216": {
            "Description": "The operation cannot be completed because the certificate data entered does not exist.",
            "Message": "Unable to complete the operation because the certificate data entered does not exist.",
            "NumberOfArgs": 0,
            "Resolution": "Make sure that valid certificate data exists and retry the operation. For more information, see the RACADM CLI Reference Guide available on the support site.",
            "Severity": "Warning"
        },
        "RAC1217": {
            "Description": "The properties of Secure Boot Certificate cannot be displayed because the certificate data entered does not exist.",
            "Message": "Unable to display the properties of Secure Boot Certificate because the certificate data entered does not exist.",
            "NumberOfArgs": 0,
            "Resolution": "Make sure that valid certificate data exists and retry the operation. For more information, see the RACADM CLI Reference Guide available on the support site.",
            "Severity": "Warning"
        },
        "RAC1218": {
            "Description": "The remote share cannot be mounted because incorrect remote share credentials are entered.",
            "Message": "Unable to mount the remote share because incorrect remote share credentials are entered.",
            "NumberOfArgs": 0,
            "Resolution": "Enter the correct remote share name, user name, and password. For more information, see the RACADM CLI Reference Guide available on the support site.",
            "Severity": "Warning"
        },
        "RAC1219": {
            "Description": "The Secure Boot certificate data cannot be exported to remote share because of insufficient storage space.",
            "Message": "Unable to export the Secure Boot certificate data to remote share because of insufficient storage space.",
            "NumberOfArgs": 0,
            "Resolution": "Make sure that the remote share has sufficient storage space and retry the operation.",
            "Severity": "Warning"
        },
        "RAC1220": {
            "Description": "The Secure Boot certificate data cannot be exported because the size of exported file is greater than 25 MB.",
            "Message": "Unable to export the Secure Boot certificate data because the size of exported file is greater than 25 MB.",
            "NumberOfArgs": 0,
            "Resolution": "Export the certificate to a network file share (NFS) folder that has a storage space of 25 MB and greater.",
            "Severity": "Warning"
        },
        "RAC1221": {
            "Description": "The switch connection details cannot be retrieved because the switch connection view is disabled.",
            "Message": "Unable to retrieve the switch connection details because the switch connection view is disabled.",
            "NumberOfArgs": 0,
            "Resolution": "Enable the switch connection view by running the following RACADM command at the command line interface (CLI), and then retry the operation: racadm set idrac.switchconnectionview.enable 1.",
            "Severity": "Warning"
        },
        "RAC1222": {
            "Description": "The Client trust certificate is successfully deleted.",
            "Message": "The Client trust certificate is successfully deleted.",
            "NumberOfArgs": 0,
            "Resolution": "No response action required.",
            "Severity": "Informational"
        },
        "RAC1223": {
            "Description": "The Client trust certificate cannot be deleted.",
            "Message": "Unable to delete the Client trust certificate.",
            "NumberOfArgs": 0,
            "Resolution": "Ensure a client trust certificate is already uploaded by running the following RACADM command at the command line interface (CLI)and then retry the operation.\"racadm sslcertdownload -f <filename> -t 4\" If the issue persists contact service provider.",
            "Severity": "Warning"
        },
        "RAC1224": {
            "Description": "The Client trust certificate cannot be deleted because the certificate does not exist.",
            "Message": "Unable to delete the Client trust certificate because the certificate does not exist.",
            "NumberOfArgs": 0,
            "Resolution": "No response action required.",
            "Severity": "Informational"
        },
        "RAC1225": {
            "Description": "The Secure Boot Certificate cannot be imported because the size of the file being imported is greater than the maximum size supported.",
            "Message": "Unable to import the Secure Boot Certificate because the size of the file being imported is greater than the maximum size supported.",
            "NumberOfArgs": 0,
            "Resolution": "Do the following: 1) Restart the server and press F2 when the company logo is displayed. 2) On the System Setup page, click System BIOS. 3) On the System BIOS page, click System Security. 4) In the Secure Boot section, click Custom corresponding to Secure Boot Policy, and then import the file. For more information about the importing process, see the iDRAC User's Guide available on the support site.",
            "Severity": "Informational"
        },
        "RAC802": {
            "Description": "iDRAC time has been set through Network Time Protocol (NTP).",
            "Message": "iDRAC time is set using Network Time Protocol.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "RAC803": {
            "Description": "The System Configuration Lockdown mode is enabled.",
            "Message": "The System Configuration Lockdown mode is enabled.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "RAC804": {
            "Description": "The System Configuration Lockdown mode is disabled.",
            "Message": "The System Configuration Lockdown mode is disabled.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "RAC913": {
            "Description": "The management system could not login to the iDRAC.",
            "Message": "Unable to login to RAC using the specified address",
            "NumberOfArgs": 0,
            "Resolution": "Verify whether the username and password given for the iDRAC are correct.",
            "Severity": "Warning"
        },
        "RAC914": {
            "Description": "The specified value is not within the valid range. To set the LED state to off, enter 0. To set the LED state to on, enter 1.",
            "Message": "Value specified is invalid: Must be 0 (Off) or 1 (On).",
            "NumberOfArgs": 0,
            "Resolution": "Set the numeric value to 0 (Off) or 1 (On).",
            "Severity": "Warning"
        },
        "RAC915": {
            "Description": "The auto-negotiation property for the iDRAC NIC can be changed only if the NIC is in dedicated mode. To change the NIC mode to dedicated, an iDRAC Enterprise license is required.",
            "Message": "Unable to change auto-negotiation property for the NIC.",
            "NumberOfArgs": 0,
            "Resolution": "Change the NIC mode to dedicated mode by using \"racadm set idrac.nic.selection <1 | Dedicated>\", and retry the operation.",
            "Severity": "Warning"
        },
        "RAC916": {
            "Description": "The value given is greater than the maximum threshold value.",
            "Message": "Value given exceeds the maximum threshold value.",
            "NumberOfArgs": 0,
            "Resolution": "Set values lesser than the maximum threshold value. To view the maximum threshold value, run racadm get System.Power. Cap.MaxThreshold at the command prompt.",
            "Severity": "Informational"
        },
        "RAC917": {
            "Description": "The syntax of the specified command is incorrect.",
            "Message": "The syntax of the specified command is not correct.",
            "NumberOfArgs": 0,
            "Resolution": "See the command help text. To see the help text, run \"racadm help <subcommand>\".",
            "Severity": "Informational"
        },
        "RAC918": {
            "Description": "Racadm unable to obtain the inlet temperature data. This happens if there is no data populated in the temperature tables or if the underlying instrumentation does not return valid values.",
            "Message": "Unable to get the inlet temperature data.",
            "NumberOfArgs": 0,
            "Resolution": "Wait for the underlying instrumentation to populate the thermal tables. Retry the operation.",
            "Severity": "Informational"
        },
        "RAC919": {
            "Description": "Racadm could not export the inlet temperature history file to the specified remote share. This is because the specified share may be write- protected.",
            "Message": "Copy to remote share unsuccessful. Remote share might be write protected.",
            "NumberOfArgs": 0,
            "Resolution": "To export the file, change the permissions on the remote share. Else, create another share with write permissions.",
            "Severity": "Warning"
        },
        "RAC920": {
            "Description": "From firmware racadm, the inlet temperature history can be exported only to a remote file share.",
            "Message": "This interface does not support the specified option.",
            "NumberOfArgs": 0,
            "Resolution": "Create a remote file share to export the inlet temperature history. Else, use remote/local racadm to export to the file system accessible by the racadm executable.",
            "Severity": "Informational"
        },
        "RAC921": {
            "Description": "The file type specified (with the t parameter) is invalid. The temperature history can be exported in XML or CSV.",
            "Message": "The temperature history can be exported in XML or CSV format only.",
            "NumberOfArgs": 0,
            "Resolution": "Change the requested export file type to either XML or CSV. To do this, change the argument given to the t parameter. The argument given to the parameter is case-insensitive.",
            "Severity": "Informational"
        },
        "RAC922": {
            "Description": "The specified path (specified with the l parameter) for the remote share is too long. This path should be less than 256 characters in length.",
            "Message": "Specified path is too long.",
            "NumberOfArgs": 0,
            "Resolution": "Try the same command with a different remote share location, which is less than 256 characters in length.",
            "Severity": "Warning"
        },
        "RAC923": {
            "Description": "The specified file path (specified with the f parameter) is too long. This path should be less than 64 characters in length.",
            "Message": "The file path is too long.",
            "NumberOfArgs": 0,
            "Resolution": "Try the same command with a shorter file path (specified with the f parameter) which is less than 64 characters in length.",
            "Severity": "Warning"
        },
        "RAC924": {
            "Description": "The inlet temperature history was successfully exported to the specified file.",
            "Message": "Inlet temperature history exported successfully.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "RAC925": {
            "Description": "An alert recurrence cannot be set for the specified subcategory. The alert recurrence is applicable only to the TMPS subcategory.",
            "Message": "Recurrence interval is not applicable for this subcategory.",
            "NumberOfArgs": 0,
            "Resolution": "1. Check if the alert recurrence is applicable to this subcategory. To check this run racadm eventfilters get.2. To set the notifications for the specified subcategory, run the command without the -r option.",
            "Severity": "Informational"
        },
        "RAC926": {
            "Description": "The value given for the recurrence interval is invalid. It has to be a value from 0 to 365.",
            "Message": "The recurrence interval needs to be an integer from 0 to 365.",
            "NumberOfArgs": 0,
            "Resolution": "Change the argument of r to a value from 0 to 365 and then run the same command.",
            "Severity": "Warning"
        },
        "RAC927": {
            "Description": "The recurrence value was successfully modified to the specified value.",
            "Message": "Recurrence value modified successfully.",
            "NumberOfArgs": 0,
            "Resolution": "None.",
            "Severity": "Informational"
        },
        "RAC928": {
            "Description": "Racadm unable to set the recurrence value. This occurs if the underlying instrumentation do not set the value.",
            "Message": "Unable to modify the recurrence value.",
            "NumberOfArgs": 0,
            "Resolution": "Wait for a few minutes and retry the command. If the problem persists, contact the service provider.",
            "Severity": "Warning"
        },
        "RAC929": {
            "Description": "The category or subcategory specified is incorrect. The recurrence interval is applicable only to the TMPS subcategory and system category.",
            "Message": "Invalid category or subcategory specified.",
            "NumberOfArgs": 0,
            "Resolution": "See the command help text, for a list of valid categories.",
            "Severity": "Informational"
        },
        "RAC930": {
            "Description": "Racadm is currently unable to obtain the inlet temperature data. This happens if there is no data populated in the temperature tables or if the instrumentation does not return valid values.",
            "Message": "Unable to export the inlet temperature data.",
            "NumberOfArgs": 0,
            "Resolution": "Wait for the instrumentation to populate the thermal tables. Retry the operation. If the problem persists, contact the service provider.",
            "Severity": "Informational"
        },
        "RAC936": {
            "Description": "iDRAC cannot enable or disable the hot spare property, because the system has a non-PMBus PSU.",
            "Message": "Unable to change the hot spare property for the PSU.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "RAC937": {
            "Description": "The configuration XML file import operation was successfully initiated after it was invoked by the user specified in the message.",
            "Message": "Successfully initiated configuration XML file import operation that was invoked by the %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "RAC938": {
            "Description": "The configuration XML file export operation was successfully initiated after it was invoked by the user specified in the message.",
            "Message": "Successfully initiated configuration XML file export operation invoked by the %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "RAC939": {
            "Description": "The request to perform a system profile export or import operation cannot be started because a firmware update operation is already in progress.",
            "Message": "Unable to start the system configuration profile export or import operation.",
            "NumberOfArgs": 0,
            "Resolution": "Wait until the update operation is completed or cancel the update operation, and retry.",
            "Severity": "Warning"
        },
        "RAC940": {
            "Description": "If an existing system profile import or export job is running, then a system configuration profile backup or restore operation cannot be started.",
            "Message": "Unable to start the system configuration profile export or import operation.",
            "NumberOfArgs": 0,
            "Resolution": "Wait until the existing system profile export or import job is completed or cancel the job before retrying the operation.",
            "Severity": "Warning"
        },
        "RAC941": {
            "Description": "A system configuration profile export operation may take several minutes to complete depending on the system configuration.",
            "Message": "Successfully initiated the export operation. This operation may take several minutes to complete.",
            "NumberOfArgs": 0,
            "Resolution": "Monitor the job status using \"racadm jobqueue view -i <Job ID>\".",
            "Severity": "Informational"
        },
        "RAC942": {
            "Description": "The system configuration profile import operation is initiated. No other operations can be performed on the system while the system configuration server profile is being imported from the system configuration profile.",
            "Message": "Successfully initiated the import operation. This operation may take several minutes to complete and may cause multiple system restarts while device firmware and configuration are applied.",
            "NumberOfArgs": 0,
            "Resolution": "Monitor the job status using \"racadm jobqueue view -i <Job ID>\".",
            "Severity": "Informational"
        },
        "RAC943": {
            "Description": "The Collect System Inventory On Restart (CSIOR) feature is currently disabled. If the system inventory is not up-to-date, the system configuration profile that is being copied will not have the latest inventory information.",
            "Message": "Warning: Collect System Inventory On Restart (CSIOR) feature is disabled.",
            "NumberOfArgs": 0,
            "Resolution": "To get latest inventory information, cancel the current export job, run \"racadm set LifecycleController.LCAttributes.CollectSystemInventoryOnRestart 1\" to enable CSIOR, and re-initiate the export operation.",
            "Severity": "Warning"
        },
        "RAC944": {
            "Description": "A configuration job cannot be created if Lifecycle Controller is disabled.",
            "Message": "Unable to create the configuration job.",
            "NumberOfArgs": 0,
            "Resolution": "Run \"racadm set LifecycleController.LCAttributes.LifecycleControllerState 1\" to enable Lifecycle Controller, and retry the operation.",
            "Severity": "Warning"
        },
        "RAC945": {
            "Description": "The dedicated NIC or shared NIC scan time value is not between 5 and 255 seconds.",
            "Message": "Invalid object value specified.",
            "NumberOfArgs": 0,
            "Resolution": "Make sure to set the scan time value between 5 and 255 seconds, and retry the operation. For more information, see RACADM help.",
            "Severity": "Warning"
        },
        "RAC946": {
            "Description": "The \"Auto Dedicated NIC\" mode cannot be set for a NIC if the NIC selection mode is set to \"Dedicated NIC\".",
            "Message": "Unable to set the NIC to Auto Dedicated NIC mode.",
            "NumberOfArgs": 0,
            "Resolution": "To set the NIC to Auto Dedicated NIC mode, set NIC selection mode to \"Shared NIC\", and retry the operation.",
            "Severity": "Warning"
        },
        "RAC947": {
            "Description": "The value used for the object set operation is invalid.",
            "Message": "Invalid object value specified.",
            "NumberOfArgs": 0,
            "Resolution": "Make sure to specify the value depending on the type of object. For more information, see RACADM help.",
            "Severity": "Warning"
        },
        "RAC948": {
            "Description": "A test event notification for the specified message ID was not sent to the configured destination.",
            "Message": "Unable to send the notification for the specified event to the configured destination.",
            "NumberOfArgs": 0,
            "Resolution": "Make sure to the use a valid message ID, set the required notification filter, and retry the operation. If the issue persists, contact your service provider.",
            "Severity": "Warning"
        },
        "RAC949": {
            "Description": "The specified work note was added to the Lifecycle Log.",
            "Message": "Successfully added a work note to the Lifecycle Log.",
            "NumberOfArgs": 0,
            "Resolution": "View the work notes using the racadm lclog view c worknotes command.",
            "Severity": "Informational"
        },
        "RAC950": {
            "Description": "The work note cannot be added to the Lifecycle Log if iDRAC is archiving the older records in the Lifecycle Log.",
            "Message": "Unable to add the work note to the Lifecycle Log.",
            "NumberOfArgs": 0,
            "Resolution": "Wait for several minutes while iDRAC archives the older records, and then retry the operation. If the issue persists, contact your service provider.",
            "Severity": "Warning"
        },
        "RAC951": {
            "Description": "Up to 256 characters are allowed for a work note.",
            "Message": "The number of characters entered for the work note exceeds the supported limit.",
            "NumberOfArgs": 0,
            "Resolution": "Do not exceed 256 characters in the work note, and retry the operation.",
            "Severity": "Informational"
        },
        "RAC952": {
            "Description": "The allocated size for the Lifecycle Log entries has reached its maximum limit, and no further work notes can be added to the Lifecycle Log.",
            "Message": "There is no free space to add new work notes to the Lifecycle Log.",
            "NumberOfArgs": 0,
            "Resolution": "Contact your service provider.",
            "Severity": "Warning"
        },
        "RAC953": {
            "Description": "The comment was added to the specified entry in the Lifecycle Log.",
            "Message": "Successfully added the comment.",
            "NumberOfArgs": 0,
            "Resolution": "View the added comment using the racadm lclog view q <seq. no> -n 1 command.",
            "Severity": "Informational"
        },
        "RAC954": {
            "Description": "Up to 128 characters are allowed for a comment.",
            "Message": "The number of characters entered for the comment exceeds the supported limit.",
            "NumberOfArgs": 0,
            "Resolution": "Do not exceed 128 characters for the comment, and retry the operation.",
            "Severity": "Informational"
        },
        "RAC955": {
            "Description": "The specified record does not exist in the Lifecycle Log.",
            "Message": "Unable to retrieve the information related to the specified record in the Lifecycle Log.",
            "NumberOfArgs": 0,
            "Resolution": "Run the racadm lclog view -i command to get the sequence number of the records logged in the Lifecycle Log, and retry the command with a valid sequence number.",
            "Severity": "Informational"
        },
        "RAC956": {
            "Description": "The allocated size for the Lifecycle Log entries has reached its maximum limit, and no further comments can be added to the Lifecycle Log.",
            "Message": "There is no free space to add new comments to the Lifecycle Log.",
            "NumberOfArgs": 0,
            "Resolution": "Contact your service provider.",
            "Severity": "Informational"
        },
        "RAC957": {
            "Description": "Another import or export operation cannot be started until the current operation is complete.",
            "Message": "An import or export operation is currently in progress.",
            "NumberOfArgs": 0,
            "Resolution": "Wait until the current import or export operation is complete before starting another operation. Use the racadm jobqueue view command to check the status of the current import or export operation.",
            "Severity": "Informational"
        },
        "RAC958": {
            "Description": "The import or export operation cannot be started because a job is already running.",
            "Message": "Unable to start the import or export operation because a job is already running.",
            "NumberOfArgs": 0,
            "Resolution": "Wait for the currently running job to complete and then retry the operation. The currently running job can be an update, backup, export or other job type. To view the status of currently running job using the RACADM command line interface, run the racadm jobqueue view command.",
            "Severity": "Informational"
        },
        "RAC959": {
            "Description": "The content of the configuration XML file used for import is invalid because of incorrect modifications or content.",
            "Message": "Invalid file used for configuration XML file import operation.",
            "NumberOfArgs": 0,
            "Resolution": "Correct the modifications to the configuration XML file to be imported or specify the correct file, and retry the operation. Check the Lifecycle Log for more details.",
            "Severity": "Informational"
        },
        "RAC960": {
            "Description": "The configuration XML file specified for import cannot be located in the specified repository.",
            "Message": "Unable to find the specified configuration XML file for import.",
            "NumberOfArgs": 0,
            "Resolution": "Make sure the specified file name is correct and is located in the specified repository, and retry the operation. For more information about the syntax, run \"racadm help set\" to view RACADM help.",
            "Severity": "Informational"
        },
        "RAC961": {
            "Description": "Another import operation cannot be started if an import operation that was performed earlier has some pending or committed configuration changes.",
            "Message": "A pending or committed system configuration change exists.",
            "NumberOfArgs": 0,
            "Resolution": "Wait until the configuration changes are applied before starting another import operation. Use the racadm jobqueue view command to check the status of the current import operation.",
            "Severity": "Informational"
        },
        "RAC962": {
            "Description": "Lifecycle Controller must be enabled to run the operation.",
            "Message": "Unable to continue with the operation because Lifecycle Controller is in recovery state.",
            "NumberOfArgs": 0,
            "Resolution": "Enable the Lifecycle controller using the racadm set LifecycleController.LCAttributes.LifecycleControllerState 1 command, and retry the operation.",
            "Severity": "Informational"
        },
        "RAC963": {
            "Description": "iDRAC is unable to read Lifecycle Controller status. Lifecycle Controller must be enabled to run the operation.",
            "Message": "Unable to retrieve the status of Lifecycle Controller.",
            "NumberOfArgs": 0,
            "Resolution": "Run the racadm get LifecycleController.LCAttributes.LifecycleControllerState command to get the status of the Lifecycle Controller. If the issue persists, contact your service provider.",
            "Severity": "Informational"
        },
        "RAC964": {
            "Description": "The operation cannot be performed because of an internal error.",
            "Message": "Unable to perform the operation.",
            "NumberOfArgs": 0,
            "Resolution": "Wait for some time before retrying the operation. If the issue persists, contact your service provider.",
            "Severity": "Informational"
        },
        "RAC965": {
            "Description": "Any operation involving remote share (CIFS) cannot continue if the location (-l) is not specified. The u and p options represent the user name and password for the remote share, and -l represents the location of the remote share.",
            "Message": "The -l option must be specified if -u and -p are used.",
            "NumberOfArgs": 0,
            "Resolution": "Make sure to specify the location (-l) of the remote share along with the user name and password, and retry the operation. To view the list of options that can used for the required subcommand, use the racadm help <subcommand> command.",
            "Severity": "Informational"
        },
        "RAC966": {
            "Description": "Any operation involving remote share (CIFS) cannot continue if user name, password, or both are not specified. The u and p options represent the user name and password for the remote share.",
            "Message": "Unable to continue with the operation because the user name or password is not specified.",
            "NumberOfArgs": 0,
            "Resolution": "Make sure to specify both user name and password for the remote share, and retry the operation. To view the list of options that can used for the required subcommand, use the racadm help <subcommand> command.",
            "Severity": "Informational"
        },
        "RAC967": {
            "Description": "The configuration XML file can only be exported to a remote share while using Firmware RACADM.",
            "Message": "Exporting the configuration XML file to a local share is not supported when using Firmware RACADM.",
            "NumberOfArgs": 0,
            "Resolution": "When using Firmware RACADM, make sure to export the configuration XML file to a remote share only.",
            "Severity": "Informational"
        },
        "RAC968": {
            "Description": "The configuration XML file cannot be imported from a client location when using Firmware RACADM.",
            "Message": "Importing the configuration XML file from a local share is not supported when using Firmware RACADM.",
            "NumberOfArgs": 0,
            "Resolution": "When using Firmware RACADM, make sure to import the configuration XML file from a remote share only.",
            "Severity": "Informational"
        },
        "RAC969": {
            "Description": "The import operation cannot continue if the value specified for the shutdown option (-b) is incorrect. The supported values are \"Graceful\" and \"Forced\".",
            "Message": "Incorrect value specified for the shutdown option.",
            "NumberOfArgs": 0,
            "Resolution": "Make sure to specify either \"Graceful\" or \"Forced\" for the shutdown (-b) option.",
            "Severity": "Informational"
        },
        "RAC970": {
            "Description": "The import operation cannot continue if the value specified for the end power state of the system option (-s) is incorrect. The supported values are \"On\" and \"Off\".",
            "Message": "Incorrect value specified for the end power state option.",
            "NumberOfArgs": 0,
            "Resolution": "Make sure to specify either \"On\" or \"Off\" for the end power state (-s) option.",
            "Severity": "Informational"
        },
        "RAC971": {
            "Description": "The import or export operation cannot continue if the value specified for the file type is incorrect. The correct value for the file type is \"xml\" or \"ini\".",
            "Message": "Incorrect file type specified.",
            "NumberOfArgs": 0,
            "Resolution": "Make sure to specify either \"xml\" or \"ini\" for the file type (-t) option. If no file type is specified, \"ini\" is used as default.",
            "Severity": "Informational"
        },
        "RAC972": {
            "Description": "Configuration XML import and export operations require the specified username to have administrator role privileges.",
            "Message": "Insufficient privileges to run the configuration XML file import or export operations.",
            "NumberOfArgs": 0,
            "Resolution": "Run the same command with a username that has an administrator role privileges.",
            "Severity": "Informational"
        },
        "RAC973": {
            "Description": "The configuration XML file which was specified for import, had the same configuration as the current system configuration.",
            "Message": "The imported configuration XML file matches the current system configuration.",
            "NumberOfArgs": 0,
            "Resolution": "Make any desired system configuration changes to the configuration XML file and retry the operation.",
            "Severity": "Informational"
        },
        "RAC974": {
            "Description": "The value specified for the wait time (w) option is invalid. The valid range is 300 to 3600 seconds.",
            "Message": "Invalid wait time specified.",
            "NumberOfArgs": 0,
            "Resolution": "Make sure to specify a valid wait time (-w) option and retry the command. The range of supported values are 300 to 3600 seconds.",
            "Severity": "Informational"
        },
        "RAC975": {
            "Description": "The share type specified using the l parameter is invalid. Only CIFS or NFS share types are supported for this operation.",
            "Message": "Invalid share type specified.",
            "NumberOfArgs": 0,
            "Resolution": "See the subcommand help text for supported share types.",
            "Severity": "Informational"
        },
        "RAC976": {
            "Description": "The configuration XML file export operation was initiated.",
            "Message": "Export configuration XML file operation initiated.",
            "NumberOfArgs": 0,
            "Resolution": "Use the racadm jobqueue view i <Job ID> command to view the status of the operation.",
            "Severity": "Informational"
        },
        "RAC977": {
            "Description": "The configuration XML file import operation was initiated.",
            "Message": "Import configuration XML file operation initiated.",
            "NumberOfArgs": 0,
            "Resolution": "Use the racadm jobqueue view i <Job ID> command to view the status of the operation.",
            "Severity": "Informational"
        },
        "RAC978": {
            "Description": "The Lifecycle Controller firmware version on the target system does not support the configuration XML file import or export operations.",
            "Message": "Unsupported Lifecycle Controller firmware version detected.",
            "NumberOfArgs": 0,
            "Resolution": "Update to the latest Lifecycle Controller firmware and retry the operation.",
            "Severity": "Informational"
        },
        "RAC979": {
            "Description": "The custom signing certificate was extracted from the Public Key Cryptography Standards version 12 (PKCS12) file and applied to the system configuration.",
            "Message": "Successfully uploaded the custom signing certificate to iDRAC.",
            "NumberOfArgs": 0,
            "Resolution": "No response action required.",
            "Severity": "Informational"
        },
        "RAC981": {
            "Description": "A passphrase is required only for passphrase protected certificate, which is specified using the value of 3 for the -t option.",
            "Message": "The type of certificate specified does not require a passphrase.",
            "NumberOfArgs": 0,
            "Resolution": "If the file being uploaded is passphrase protected, specify the file type as 3 using the -t option. If the file is not passphrase protected, retry the command, without specifying the -p option.",
            "Severity": "Informational"
        },
        "RAC982": {
            "Description": "The PKCS12 file provided is invalid, because it may not be in the correct format.",
            "Message": "Invalid Public Key Cryptography Standards version 12 (PKCS12) file detected.",
            "NumberOfArgs": 0,
            "Resolution": "For more details, contact the Certificate Authority.",
            "Severity": "Warning"
        },
        "RAC983": {
            "Description": "The Public Key Cryptography Standards version 12 (PKCS12) file is passphrase protected, and the passphrase provided is invalid.",
            "Message": "Invalid passphrase provided for the Public Key Cryptography Standards version 12 (PKCS12) file.",
            "NumberOfArgs": 0,
            "Resolution": "Specify the correct passphrase for the file using -p option.",
            "Severity": "Informational"
        },
        "RAC984": {
            "Description": "iDRAC is unable to extract the custom signing certificate and the private key from the Public Key Cryptography Standards version 12 (PKCS12) file.",
            "Message": "Unable to upload the Public Key Cryptography Standards version 12 (PKCS12) file.",
            "NumberOfArgs": 0,
            "Resolution": "Check if the specified file and passphrase are valid, and retry the operation. If the issue persists, contact your service provider.",
            "Severity": "Warning"
        },
        "RAC985": {
            "Description": "The object \"cfgServerBootOnce\" cannot be configured if the object \"cfgServerFirstBootDevice\" is set to F10, F11, or BIOS value.",
            "Message": "Unable to configure the cfgServerBootOnce object.",
            "NumberOfArgs": 0,
            "Resolution": "Change the value of the object \"cfgServerFirstBootDevice\" using the RACADM command \"racadm config -g cfgServerInfo -o cfgServerFirstBootDevice<value other than F10, F11, and BIOS>\", and retry configuring the object \"cfgServerBootOnce\".",
            "Severity": "Informational"
        },
        "RAC986": {
            "Description": "The \"vmkey\" sub-command is deprecated, and the functionality is available using \"vflashsd\" sub-command.",
            "Message": "The \"vmkey\" sub-command is deprecated.",
            "NumberOfArgs": 0,
            "Resolution": "Use \"vflashsd\" sub-command instead of \"vmkey\". For more information about the sub-command, use \"racadm help vflashsd\" command.",
            "Severity": "Warning"
        },
        "RAC987": {
            "Description": "After initiating the firmware update job, the time taken to complete it depends on size of the update file.",
            "Message": "Firmware update job for %1 is initiated.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "This firmware update job may take several minutes to complete depending on the component or firmware being updated. To view the progress of the job, use the \"racadm jobqueue view\" command.",
            "Severity": "Informational"
        },
        "RAC988": {
            "Description": "A new firmware update job cannot be initiated while an existing firmware update job is still in one of these states: \"New\", \"Downloading\", or \"Running\".",
            "Message": "Unable to initiate the %1 firmware update.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Wait until the existing firmware update jobs are completed or scheduled before retrying the operation. To monitor the status of the existing jobs, use the \"racadm jobqueue view\" command.",
            "Severity": "Warning"
        },
        "RAC989": {
            "Description": "Only Windows-based Update Package (.exe extension), iDRAC Firmware (.d7 extension), Personality Module Firmware (.pm extension), Lifecycle Controller firmware repair package (.usc) are supported for the firmware update operation.",
            "Message": "Unable to apply the %1 firmware update.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "The file used for the operation is invalid. For the list of supported files, use \"racadm help update\". For the correct version of the file specific to the system, contact the service provider.",
            "Severity": "Warning"
        },
        "RAC990": {
            "Description": "If Lifecycle Controller is disabled, the firmware update operation cannot continue.",
            "Message": "Unable to apply the %1 update.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Enable Lifecycle Controller using the \"racadm set lifecyclecontroller.lcattributes.lifecyclecontrollerstate 1\" command, and retry the operation.",
            "Severity": "Warning"
        },
        "RAC991": {
            "Description": "The \"jobqueue\" command cannot be run, because the existing update jobs are transitioning to one of these states: \"New\", \"Downloading\", or \"Running\".",
            "Message": "Unable to run the \"jobqueue\" command.",
            "NumberOfArgs": 0,
            "Resolution": "Wait until the existing update jobs are completed before retrying the operation. To monitor the status of the existing jobs, use the \"racadm jobqueue view\" command.",
            "Severity": "Informational"
        },
        "RAC992": {
            "Description": "The job ID specified in the message is invalid or was already deleted.",
            "Message": "Invalid job: %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "To monitor the current set of the jobs, use the \"racadm jobqueue view\" command.",
            "Severity": "Warning"
        },
        "RAC993": {
            "Description": "The job ID specified in the message was deleted.",
            "Message": "The job: %1 was deleted.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "RAC994": {
            "Description": "The jobs cannot be deleted if they are in one of these states: \"Scheduled\" or \"Running\". However, all jobs in one of these states: \"Completed\" or \"Failed\" will be deleted.",
            "Message": "Unable to run the \"jobqueue delete --all\" command.",
            "NumberOfArgs": 0,
            "Resolution": "To monitor the job status, use the \"racadm jobqueue view -i <job ID>\", and delete the jobs one at a time using the \"racadm jobqueue delete -i <job ID>\" command.",
            "Severity": "Warning"
        },
        "RAC995": {
            "Description": "The hardware inventory cannot be retrieved because another hardware inventory operation may already be in progress or due to an internal error whether or not Collect System Inventory On Restart (CSIOR) is enabled or disabled.",
            "Message": "Unable to retrieve the hardware inventory.",
            "NumberOfArgs": 0,
            "Resolution": "Another hardware inventory operation may already be in progress and must complete before retrying the operation. If no other hardware inventory operation was in progress, make sure to enable Collect System Inventory On Restart (CSIOR) feature, reboot the system, and retry the operation. If CSIOR is already enabled and no other hardware inventory operation was in progress, reboot the iDRAC using \"racadm racreset\" command and then retry the operation.",
            "Severity": "Warning"
        },
        "RAC996": {
            "Description": "Unable to set the specified object value because the object DNS RAC Name is not configured.",
            "Message": "Unable to set the object value because the DNS RAC Name object is not configured.",
            "NumberOfArgs": 0,
            "Resolution": "Configure DNS Rac Name using \"racadm set iDRAC.NIC.DNSRacName <Name>\" command, and retry the operation.",
            "Severity": "Warning"
        },
        "RAC997": {
            "Description": "The DHCP for Domain Name cannot be enabled if IPv4 and IPv4 DHCP or IPv6 and IPv6 AutoConfig is disabled.",
            "Message": "The object DNSDomainFromDHCP cannot be enabled.",
            "NumberOfArgs": 0,
            "Resolution": "Make sure that IPv4 and IPv4 DHCP are enabled, or IPv6 and IPv6 AutoConfig are enabled.",
            "Severity": "Warning"
        },
        "RAC998": {
            "Description": "IPv6 cannot be enabled if iDRAC NIC is disabled.",
            "Message": "IPv6 cannot be enabled.",
            "NumberOfArgs": 0,
            "Resolution": "Enable iDRAC NIC using \"racadm set iDRAC.NIC.Enable < 1 | Enabled >\" command and retry the operation.",
            "Severity": "Warning"
        },
        "RAC999": {
            "Description": "DNSFromDHCP6 cannot be enabled if iDRAC IPv6 AutoConfig is disabled.",
            "Message": "The object DNSFromDHCP6 cannot be enabled.",
            "NumberOfArgs": 0,
            "Resolution": "Enable IPv6 AutoConfig using \"racadm set iDRAC.IPv6.AutoConfig < 1 | Enabled >\" command, and retry the operation.",
            "Severity": "Warning"
        },
        "RDU0001": {
            "Description": "None.",
            "Message": "The fans are redundant.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "RDU0002": {
            "Description": "One of more fans have failed or have been removed or a configuration change occurred which requires additional fans.",
            "Message": "Fan redundancy is lost.",
            "NumberOfArgs": 0,
            "Resolution": "Remove and re-install failed fans or install additional fans.",
            "Severity": "Critical"
        },
        "RDU0003": {
            "Description": "One of more fans have failed or have been removed or a configuration change occurred which requires additional fans.",
            "Message": "Fan redundancy is degraded.",
            "NumberOfArgs": 0,
            "Resolution": "Remove and re-install failed fans or install additional fans.",
            "Severity": "Warning"
        },
        "RDU0004": {
            "Description": "One of more fans have failed or have been removed or a configuration change occurred which requires additional fans.",
            "Message": "The fans are not redundant.",
            "NumberOfArgs": 0,
            "Resolution": "Remove and re-install failed fans or install additional fans.",
            "Severity": "Informational"
        },
        "RDU0005": {
            "Description": "One of more fans have failed or have been removed or a configuration change occurred which requires additional fans.",
            "Message": "The fans are not redundant. Insufficient resources to maintain normal operations.",
            "NumberOfArgs": 0,
            "Resolution": "Remove and re-install failed fans or install additional fans.",
            "Severity": "Critical"
        },
        "RDU0011": {
            "Description": "None.",
            "Message": "The power supplies are redundant.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "RDU0012": {
            "Description": "The current power operational mode is non-redundant because of a power supply exception, a power supply inventory change, or a system power inventory change. The system was previously operating in a power redundant mode.",
            "Message": "Power supply redundancy is lost.",
            "NumberOfArgs": 0,
            "Resolution": "Check the event log for power supply failures. Review system configuration and power consumption.",
            "Severity": "Critical"
        },
        "RDU0013": {
            "Description": "The current power operational mode is non-redundant because of a power supply exception, a power supply inventory change, or a system power inventory change. The system was previously operating in a power redundant mode.",
            "Message": "Power supply redundancy is degraded.",
            "NumberOfArgs": 0,
            "Resolution": "Check the event log for power supply failures. Review system configuration and power consumption.",
            "Severity": "Warning"
        },
        "RDU0014": {
            "Description": "The current power supply configuration does not meet the platform requirements to enable redundancy. If a power supply fails the system may shut down.",
            "Message": "The power supplies are not redundant.",
            "NumberOfArgs": 0,
            "Resolution": "If unintended, review system configuration and power consumption and install power supplies accordingly. Check power supply status for failures.",
            "Severity": "Informational"
        },
        "RDU0015": {
            "Description": "The system may power down or operate in a performance degraded state.",
            "Message": "The power supplies are not redundant. Insufficient resources to maintain normal operations.",
            "NumberOfArgs": 0,
            "Resolution": "Check the event log for power supply failures. Review system configuration and power consumption and upgrade or install power supplies accordingly.",
            "Severity": "Critical"
        },
        "RDU0016": {
            "Description": "The storage voltage is redundant.",
            "Message": "The storage voltage is redundant.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "RDU0017": {
            "Description": "The storage system has redundant power lines. One of power lines is no longer available.",
            "Message": "The storage power redundancy is no longer available.",
            "NumberOfArgs": 0,
            "Resolution": "Turn system off and remove AC input power for one minute. Re-apply input power and turn system on. If the issue still persists, contact your service provider. Refer to the product documentation to choose a convenient contact method.",
            "Severity": "Warning"
        },
        "RDU0018": {
            "Description": "The storage system has multiple redundant power lines. One or more of these power lines is no longer available.",
            "Message": "The storage power redundancy is degraded.",
            "NumberOfArgs": 0,
            "Resolution": "Turn system off and remove AC input power for one minute. Re-apply input power and turn system on. If the issue still persists, contact your service provider. Refer to the product documentation to choose a convenient contact method.",
            "Severity": "Warning"
        },
        "RDU0019": {
            "Description": "None.",
            "Message": "The storage voltage is not redundant.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "RDU0030": {
            "Description": "The storage voltage of the device identified in the message is redundant.",
            "Message": "The storage voltage of %1 is redundant.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "RDU0031": {
            "Description": "The system has redundant voltage lines. One of voltage line is no longer available.",
            "Message": "The %1 voltage redundancy is lost.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "1) Turn system off and remove input power for one minute. Re-apply input power and turn system on. 2) If the issue still persists, contact technical support. Refer to the product documentation to choose a convenient contact method.",
            "Severity": "Critical"
        },
        "RDU0032": {
            "Description": "The system has multiple redundant voltage lines. One or more of these voltage lines is no longer available.",
            "Message": "The %1 voltage redundancy is degraded.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "1) Turn system off and remove input power for one minute. Re-apply input power and turn system on. 2) If the issue still persists, contact technical support. Refer to the product documentation to choose a convenient contact method.",
            "Severity": "Warning"
        },
        "RDU0033": {
            "Description": "None.",
            "Message": "The %1 voltage is not redundant.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "RDU8500": {
            "Description": "The CMC is identified in the message is active.",
            "Message": "CMC%1: active",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "RDU8501": {
            "Description": "The Active CMC has detected a problem or a low memory condition. It is waiting for the Standby CMC to reset the Active CMC.",
            "Message": "CMC%1: waiting to be reset by other CMC",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "RDU8502": {
            "Description": "For failover to occur, the standby CMC needs to be present, at the same version as the primary and healthy. During failover, the active CMC resets and the standby CMC becomes active. This message is logged when the standby CMC is absent, unhealthy or at a different firmware version.",
            "Message": "CMC%1 cannot go standby since the other CMC is not present or healthy.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Check the status of the standby CMC and make sure the firmware version matches the primary CMC. Then reseat the CMC and retry the operation. If the issue persists, contact your service provider.",
            "Severity": "Informational"
        },
        "RDU8506": {
            "Description": "CMC failover is enabled.",
            "Message": "CMC%1: enable failover",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "RDU8507": {
            "Description": "CMC failover is disabled.",
            "Message": "CMC%1: disable failover",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "RDU8508": {
            "Description": "For failover to occur, the standby CMC needs to be present, at the same version as the primary and healthy. During failover, the active CMC resets and the standby CMC becomes active. This message is logged when the standby CMC is absent, unhealthy or at a different firmware version.",
            "Message": "CMC%1: cannot failover since the other CMC is non-functional.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Check the status of the standby CMC and make sure the firmware version matches the primary CMC. Then reseat the CMC and retry the operation. If the issue persists, contact your service provider.",
            "Severity": "Informational"
        },
        "RDU8509": {
            "Description": "For failover to occur, the standby CMC needs to be present, at the same version as the primary and healthy. During failover, the active CMC resets and the standby CMC becomes active. This message is logged when the standby CMC is absent, unhealthy or at a different firmware version.",
            "Message": "CMC%1: cannot failover, chassis is in non-redundant state",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Check the status of the standby CMC and make sure the firmware version matches the primary CMC. Then reseat the CMC and retry the operation. If the issue persists, contact your service provider.",
            "Severity": "Informational"
        },
        "RDU8510": {
            "Description": "For failover to occur, the standby CMC needs to be present, at the same version as the primary and healthy. During failover, the active CMC resets and the standby CMC becomes active. This message is logged when the standby CMC is absent, unhealthy or at a different firmware version.",
            "Message": "CMC%1: cannot failover, CMC firmware versions are different",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Check the status of the standby CMC and make sure the firmware version matches the primary CMC. Then reseat the CMC and retry the operation. If the issue persists, contact your service provider.",
            "Severity": "Informational"
        },
        "RDU8511": {
            "Description": "For failover, the standby CMC needs to be present, at the same firmware version as the primary CMC and healthy. During failover, the active CMC resets and the standby CMC becomes active. This message is logged when the standby CMC does not meet this criteria.",
            "Message": "Unable to failover, CMC%1 in unknown state.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Check the status of the standby CMC and make sure the firmware version matches the primary CMC. Then reseat the CMC and retry the operation. If the issue persists, contact your service provider.",
            "Severity": "Informational"
        },
        "RDU8512": {
            "Description": "The firmware versions of the Active CMC and the Standby CMC are different.",
            "Message": "CMC%1: firmware versions are different [%2 %3 : %4 %3]",
            "NumberOfArgs": 5,
            "ParamTypes": [
                "String",
                "String",
                "String",
                "String",
                "String"
            ],
            "Resolution": "Update the firmware so that the Active and Standby CMC firmware versions are the same.",
            "Severity": "Informational"
        },
        "RDU8513": {
            "Description": "The firmware version of Active CMC and Standby CMC are the same.",
            "Message": "CMC%1: firmware versions are same %2 %3",
            "NumberOfArgs": 3,
            "ParamTypes": [
                "String",
                "String",
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "RDU8514": {
            "Description": "A failover operation has been requested, but a failover operation cannot be completed while CMC firmware update is in progress.",
            "Message": "CMC%1: cannot failover, firmware update is in progress.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "RDU8515": {
            "Description": "A CMC failover was initiated by the CMC health monitoring process. There should be a reason listed in the chassis log.",
            "Message": "CMC%1: failover was initiated by internal health monitoring process.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "RDU8516": {
            "Description": "A failover has been requested from the RACADM command line interface.",
            "Message": "CMC%1: failover initiated by RACADM interface.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "RDU8517": {
            "Description": "No failover or other action can occur while a CMC firmware update is in progress.",
            "Message": "CMC%1: no action allowed while firmware update is in progress",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required. Wait until the firmware update is complete and retry the operation.",
            "Severity": "Informational"
        },
        "RDU8518": {
            "Description": "The active CMC requests the Standby CMC to go active. If the user did not initiate this request, review the chassis log for the reason.",
            "Message": "CMC%1: active CMC%1 requests Standby CMC to go active state.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "RDU8519": {
            "Description": "The communication between the primary and standby CMCs was lost. This may occur when the CMC identified in the message is restarting, or a firmware update operation is in progress. If the issue persists, a failover will occur.",
            "Message": "Unable to communicate with peer CMC %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Wait for 10 minutes for: 1)Firmware update operations to complete and 2) The CMC to finish restarting. If the communication is not reestablished, remove and reinsert the CMC.",
            "Severity": "Informational"
        },
        "RDU8520": {
            "Description": "The standby CMC is recovered from unhealthy state by the monitoring daemon.",
            "Message": "CMC%1: recovered from unhealthy state",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "RDU8521": {
            "Description": "The active CMC has been removed from the chassis. If standby CMC is present, it will become active.",
            "Message": "CMC%1: active CMC has been removed",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Reinstall the CMC that was removed.",
            "Severity": "Informational"
        },
        "RDU8522": {
            "Description": "The standby CMC identified in the message became the active CMC.",
            "Message": "CMC%1: standby CMC%1 became active",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "RDU8523": {
            "Description": "The CMC identified in the message was reset by other CMC. This occurs during failover and CMC firmware update to the standby CMC.",
            "Message": "CMC%1: reset by peer CMC",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "RDU8524": {
            "Description": "CMC failover action is not allowed in the current configuration.",
            "Message": "CMC%1: failover is not allowed",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "RED000": {
            "Description": "An unknown error was returned.",
            "Message": "Unrecognized error code encountered.",
            "NumberOfArgs": 0,
            "Resolution": "Check the uniform resource identifier (URI) target path and make sure the repository server is available.",
            "Severity": "Warning"
        },
        "RED001": {
            "Description": "Job completed successfully.",
            "Message": "Job completed successfully.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "RED002": {
            "Description": "Package has been successfully downloaded. The Job Scheduler will schedule it at the time specified.",
            "Message": "Package successfully downloaded.",
            "NumberOfArgs": 0,
            "Resolution": "Schedule the job if it is not already scheduled.",
            "Severity": "Informational"
        },
        "RED003": {
            "Description": "Package is being downloaded.",
            "Message": "Downloading package.",
            "NumberOfArgs": 0,
            "Resolution": "Schedule the job if it is not already scheduled.",
            "Severity": "Informational"
        },
        "RED004": {
            "Description": "The job cannot be run because of an unknown issue.",
            "Message": "The job cannot be run because of an unknown issue.",
            "NumberOfArgs": 0,
            "Resolution": "Check the uniform resource identifier (URI), target path and make sure the repository server is available.",
            "Severity": "Warning"
        },
        "RED005": {
            "Description": "The uniform resource identifier (URI) specified for the share location is invalid.",
            "Message": "The specified URI is invalid.",
            "NumberOfArgs": 0,
            "Resolution": "Provide a valid uniform resource identifier (URI) for the share location.",
            "Severity": "Warning"
        },
        "RED006": {
            "Description": "The Update Package cannot be successfully downloaded.",
            "Message": "Unable to download Update Package.",
            "NumberOfArgs": 0,
            "Resolution": "Check the network connection and access to the update package from the iDRAC.",
            "Severity": "Warning"
        },
        "RED007": {
            "Description": "The Update Package security signature cannot be verified.",
            "Message": "Unable to verify Update Package signature.",
            "NumberOfArgs": 0,
            "Resolution": "Re-acquire the Update Package from the service provider.",
            "Severity": "Warning"
        },
        "RED008": {
            "Description": "The firmware payloads in the Update Package cannot be extracted. This may be because the file is not valid or the security signature cannot be verified.",
            "Message": "Unable to extract payloads from Update Package.",
            "NumberOfArgs": 0,
            "Resolution": "Re-acquire the Update Package from the service provider.",
            "Severity": "Warning"
        },
        "RED009": {
            "Description": "Lifecycle Controller is not present.",
            "Message": "Lifecycle Controller is not present.",
            "NumberOfArgs": 0,
            "Resolution": "Verify if Lifecycle Controller is installed on the system by pressing F10 on boot up. If the Lifecycle Controller application is not present, use the update package to reinstall it.",
            "Severity": "Warning"
        },
        "RED010": {
            "Description": "The target specified is invalid.",
            "Message": "The target specified is invalid.",
            "NumberOfArgs": 0,
            "Resolution": "Correct the target information and retry the operation.",
            "Severity": "Warning"
        },
        "RED0101": {
            "Description": "The firmware was rolled back to the previous version.",
            "Message": "Rollback successful.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "RED011": {
            "Description": "Current USC version does not support this component. Check InstanceID.",
            "Message": "USC version is not compatible.",
            "NumberOfArgs": 0,
            "Resolution": "Use the latest version of USC available if possible.",
            "Severity": "Warning"
        },
        "RED012": {
            "Description": "Unable to create a Lifecycle Controller update task. The related job status is marked Failed.",
            "Message": "Unable to create Lifecycle Controller update task.",
            "NumberOfArgs": 0,
            "Resolution": "Retry the update operation after one minute.",
            "Severity": "Warning"
        },
        "RED013": {
            "Description": "The DUP specified is not compatible with the target device.",
            "Message": "The DUP specified is not compatible with the target device.",
            "NumberOfArgs": 0,
            "Resolution": "Download and use the DUP that matches the device being targeted.",
            "Severity": "Warning"
        },
        "RED014": {
            "Description": "A job for this update already exists in the queue and prevents the new job from being scheduled.",
            "Message": "Job for this device is already present.",
            "NumberOfArgs": 0,
            "Resolution": "Delete the existing job before scheduling a new update job. For Remote Services API consumers, enumerate all the jobs to find and identify the duplicate job. Then invoke the DeleteJob() method to delete this job and enable the new update job to be scheduled.",
            "Severity": "Warning"
        },
        "RED015": {
            "Description": "The download protocol specified is not supported.",
            "Message": "The download protocol specified is not supported.",
            "NumberOfArgs": 0,
            "Resolution": "The supported protocols include NFS, CIFS, HTTP, FTP, TFTP.",
            "Severity": "Warning"
        },
        "RED016": {
            "Description": "The remote share location that has the file(s) or ISO image did not mount correctly.",
            "Message": "Mount of remote share failed.",
            "NumberOfArgs": 0,
            "Resolution": "1. Verify that the path to the share is correct and that the parameters to the call are correct. 2. Verify that there are no network connectivity issues. 3. Verify that the mount point exists.",
            "Severity": "Warning"
        },
        "RED017": {
            "Description": "The DUP specified is not compatible with the target system.",
            "Message": "The DUP specified is not compatible with the target system.",
            "NumberOfArgs": 0,
            "Resolution": "Download and use the DUP that matches the system that the installation is targeting.",
            "Severity": "Warning"
        },
        "RED018": {
            "Description": "Reinstall or Rollback not supported for this device.",
            "Message": "Reinstall or Rollback not supported for this device.",
            "NumberOfArgs": 0,
            "Resolution": "1. Update the device directly using the update methods since rollback is not supported for this device. 2. Verify that the target specified in the command is correct.",
            "Severity": "Warning"
        },
        "RED019": {
            "Description": "Reinstall or Rollback cannot be performed since no applicable firmware was found on the Lifecycle Controller.",
            "Message": "Reinstall or Rollback cannot be performed since no applicable firmware was found on the Lifecycle Controller.",
            "NumberOfArgs": 0,
            "Resolution": "Directly update to the desired version.",
            "Severity": "Warning"
        },
        "RED020": {
            "Description": "The feature invoked is not supported by the current version of the Unified Server Configurator.",
            "Message": "Feature not supported on current version of USC.",
            "NumberOfArgs": 0,
            "Resolution": "Upgrade Unified Server Configurator to the latest available version before using this feature.",
            "Severity": "Warning"
        },
        "RED021": {
            "Description": "The component InstanceID specified could not be located on the system.",
            "Message": "The component InstanceID specified is not present on the system.",
            "NumberOfArgs": 0,
            "Resolution": "Ensure the component specified for updates is present in the system. Restart the system with Collect System Inventory on Restart enabled and verify that the component is represented by an instance of DCIM_SoftwareIdentity.",
            "Severity": "Warning"
        },
        "RED022": {
            "Description": "The version compatibility check of the firmware update package was not successful for the device specified.",
            "Message": "Version compatibility check was not successful.",
            "NumberOfArgs": 0,
            "Resolution": "The version compatibility check was not successful for the device specified. Verify that the firmware version pre-requisites specified in the release notes are satisfied.",
            "Severity": "Warning"
        },
        "RED023": {
            "Description": "The Lifecycle Controller is unable to access internal storage currently in use by another operation.",
            "Message": "Lifecycle Controller in use. This job will start when Lifecycle Controller is available.",
            "NumberOfArgs": 0,
            "Resolution": "Make sure all other Lifecycle Controller operations are finished and retry the operation. Using the iDRAC Web UI, select Server (on 12th and 13th Generation servers) or Maintenance (on 14th Generation Servers) and then Job Queue, check the job queue for unfinished jobs and wait for the jobs to finish before retrying the operation. Also, check whether there are update packages being executed in the server OS and wait for these operations to finish before retrying the operation. For remote web services API access, make sure that the GetRemoteServicesAPIStatus method returns Ready status, and then retry the operation. If OS Deploy has been enabled then boot the server into LC UI to clear. Always exit LC UI using \"Exit\" and not by removing power.",
            "Severity": "Warning"
        },
        "RED024": {
            "Description": "Lifecycle Controller is in use or currently processing another job. The specified job starts when Lifecycle Controller is available.",
            "Message": "The specified job starts when Lifecycle Controller is available.",
            "NumberOfArgs": 0,
            "Resolution": "Wait for current Lifecycle Controller task to complete.",
            "Severity": "Informational"
        },
        "RED025": {
            "Description": "The firmware for the indicated device updated successfully to the identified firmware version.",
            "Message": "%1 firmware updated successfully. Current version:%2",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "RED026": {
            "Description": "An internal error occurred while processing the current update. The update did not complete successfully.",
            "Message": "An internal error occurred while processing updates.",
            "NumberOfArgs": 0,
            "Resolution": "Retry the current operation.",
            "Severity": "Warning"
        },
        "RED027": {
            "Description": "The temporary storage is full. The uploaded files must be installed to clear space for additional uploads.",
            "Message": "Insufficient space to upload the requested file.",
            "NumberOfArgs": 0,
            "Resolution": "Select and install the currently uploaded files before uploading additional files.",
            "Severity": "Warning"
        },
        "RED028": {
            "Description": "Update files were not selected, therefore the installation did not proceed.",
            "Message": "Update files were not selected.",
            "NumberOfArgs": 0,
            "Resolution": "Select one or more update files to install.",
            "Severity": "Warning"
        },
        "RED029": {
            "Description": "The scheduled action requires a system reboot and reboot will be performed at the scheduled start time.",
            "Message": "A reboot is pending.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "RED030": {
            "Description": "The system reboot is complete.",
            "Message": "Reboot is complete.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "RED031": {
            "Description": "The internal space available for storing firmware images is almost full. Normal operations will continue until the critical limit is reached. When the critical limit is reached, all the rollback firmware images will be deleted.",
            "Message": "Approaching maximum size limit allowed for storing firmware images.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Warning"
        },
        "RED032": {
            "Description": "The rollback firmware images previously stored were deleted to provide space for storing the firmware images for the requested operation. All the rollback firmware images are deleted.",
            "Message": "Reached maximum size limit allowed for storing firmware images. Deleted all rollback firmware images.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Warning"
        },
        "RED033": {
            "Description": "The request to shut down the operating system did not complete successfully. The iDRAC was unable to complete the system reboot. Any operation that depends on the system reboot will not complete until reboot is complete.",
            "Message": "Unable to reboot system.",
            "NumberOfArgs": 0,
            "Resolution": "Identify and resolve any operating system issues that prevented the shutdown. After resolving the issues preventing the operating system shutdown, retry the operation or reboot the system using other methods or interfaces.",
            "Severity": "Warning"
        },
        "RED034": {
            "Description": "A firmware update operation is currently in progress.",
            "Message": "Firmware update in progress.",
            "NumberOfArgs": 0,
            "Resolution": "Check the firmware update job status. Wait for the current job to complete.",
            "Severity": "Warning"
        },
        "RED035": {
            "Description": "The firmware for the component identified in the message was updated successfully by the firmware rollback operation. The component firmware was updated from the earlier version to the current version identified in the message.",
            "Message": "%1 Rollback successful. Earlier version:%2, Current version:%2.",
            "NumberOfArgs": 3,
            "ParamTypes": [
                "String",
                "String",
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "RED036": {
            "Description": "Firmware updates are available for component identified in the message in the specified remote repository and it is recommended to update to the firmware available in the repository.",
            "Message": "Firmware updates are available : %1",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Update the component firmware to the version available in the specified remote repository.",
            "Severity": "Informational"
        },
        "RED037": {
            "Description": "The currently installed firmware of the components on the server match with the specified remote repository.",
            "Message": "All components' firmware match with the specified remote repository.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "RED038": {
            "Description": "An Automatic Server Profile Export or Automatic Update task identified in the message has been added.",
            "Message": "A recurring task of type %1 is added.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "RED039": {
            "Description": "Settings for an Automatic Server Profile Backup, Automatic Update, or other recurring operations identified in the message were cleared. The recurring operation identified in the message is deleted.",
            "Message": "Settings for a recurring operation of type %1 were cleared.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "RED040": {
            "Description": "The job identified in the message was created by an Automatic Server Profile Backup, Automatic Update, or other recurring operation.",
            "Message": "A recurring operation of type %1 created a job %2.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "RED041": {
            "Description": "The license required to perform the operation identified in the message is expired or is not available.",
            "Message": "A recurring operation of type %1 was not created because the required license is not available.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Install an iDRAC license that supports the following features: Automatic Update or Server Profile Export and Import. After the appropriate license has been installed, retry the operation.",
            "Severity": "Informational"
        },
        "RED042": {
            "Description": "The necessary user access rights for performing the operation identified in the message are not available for the username used to access the iDRAC.",
            "Message": "A recurring operation of type %1 was not created because the necessary user access rights are not available.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Use a username that has the necessary access rights and retry the operation.",
            "Severity": "Informational"
        },
        "RED043": {
            "Description": "The operation identified in the message is currently disabled.",
            "Message": "A recurring operation of type %1 was not created because the operation type is disabled.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Enable the operation identified in the message and retry the operation. To enable the Automatic Server Profile Backup operation, run the following racadm command: \"racadm set lifecycleController.lcattributes.AutoBackup 1\". To enable the Automatic Update operation, run the following racadm command: \"racadm set lifecycleController.lcattributes.AutoUpdate 1\".",
            "Severity": "Informational"
        },
        "RED044": {
            "Description": "The license required to perform the operation identified in the message either has expired or was removed and the iDRAC was unable to create the next job in the sequence.",
            "Message": "A recurring operation of type %1 was unable to create a job because the required license is not available now.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Install an iDRAC license that supports the following features: Automatic Update or Server Profile Export and Import. After the appropriate license has been installed, retry the operation.",
            "Severity": "Informational"
        },
        "RED045": {
            "Description": "The necessary user access rights for performing the operation identified in the message were removed or the username was removed and the iDRAC is unable to create the next job in the sequence.",
            "Message": "A recurring operation of type %1 was unable to create a job because the necessary user access rights are not available now.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Use a username that has the necessary access rights and retry the operation.",
            "Severity": "Informational"
        },
        "RED046": {
            "Description": "The operation identified in the message was disabled and the iDRAC was unable to create the next job in the sequence.",
            "Message": "A recurring operation of type %1 was unable to create a job because the task type is now disabled.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Enable the operation identified in the message and retry the operation. To enable the Automatic Server Profile Backup operation, run the following racadm command: \"racadm set lifecycleController.lcattributes.AutoBackup 1\". To enable the Automatic Update operation, run the following racadm command: \"racadm set lifecycleController.lcattributes.AutoUpdate 1\".",
            "Severity": "Informational"
        },
        "RED047": {
            "Description": "An Automatic Server Profile Backup or Automatic Update operation is already configured.",
            "Message": "A recurring operation %1 was not created because the operation is already configured.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Clear the existing configuration settings for the operation identified in the message and retry the operation.",
            "Severity": "Informational"
        },
        "RED048": {
            "Description": "The next job in the recurring operation sequence identified in the message was not started and was deleted, because an Automatic Server Profile Backup or Automatic Update operation was cleared.",
            "Message": "The job %1 was deleted because the recurring operation %2 was cleared.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "RED049": {
            "Description": "When an Automatic Backup or Automatic Update recurring operation is disabled or the license for this feature is expired, the next job in the sequence had not started yet and was deleted.",
            "Message": "The job %1 is deleted because the recurring operation %2 is currently not enabled.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "RED050": {
            "Description": "The download of the update package was not successful because the user name or password provided to access the network share or the proxy server settings were not correct.",
            "Message": "The specified user credentials necessary for downloading an update package were not correct.",
            "NumberOfArgs": 0,
            "Resolution": "Check the network connection and access to the update package from the iDRAC. Verify that the user access credentials and proxy server settings are correct.",
            "Severity": "Warning"
        },
        "RED051": {
            "Description": "The update package file download was not successful. This could be due to the following: 1) The update package file is missing, 2) The host address, share, user name, and password information are correct but the file name was invalid, 3) The network file share could not be mounted, or 4) The network file share disconnected before the transfer was complete.",
            "Message": "The network file transfer of an update package was not successful.",
            "NumberOfArgs": 0,
            "Resolution": "Check the network connection and access to the update package from the iDRAC.",
            "Severity": "Warning"
        },
        "RED052": {
            "Description": "Processing of update packages is starting. Attempting a manual update will not be possible until current update package processing is completed.",
            "Message": "Processing of update packages is starting.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "RED053": {
            "Description": "Processing of update packages has completed.",
            "Message": "Processing of update packages has completed.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "RED054": {
            "Description": "A job for applying an update package was created.",
            "Message": "An update job %1 was created.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "RED055": {
            "Description": "A reboot job for applying one or more update packages has been created. The server will reboot at the specified start time.",
            "Message": "A reboot job %1 was created.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "RED056": {
            "Description": "An internal error occurred because of insufficient memory available on iDRAC.",
            "Message": "An internal error occurred. Unable to complete the specified operation.",
            "NumberOfArgs": 0,
            "Resolution": "Retry the operation. If the issue persists, reset the iDRAC and retry the operation.",
            "Severity": "Warning"
        },
        "RED057": {
            "Description": "An internal error occurred because of insufficient memory available on iDRAC.",
            "Message": "An internal error occurred. Unable to complete the specified operation.",
            "NumberOfArgs": 0,
            "Resolution": "Retry the operation. If the issue persists, reset the iDRAC and retry the operation.",
            "Severity": "Warning"
        },
        "RED058": {
            "Description": "A repository update job with the job ID identified in the message was created.",
            "Message": "A repository update job %1 was created.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "RED059": {
            "Description": "Unable to create an update job for the component identified in the message.",
            "Message": "Unable to create an update job for %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Retry the operation for the component identified in the message.",
            "Severity": "Warning"
        },
        "RED060": {
            "Description": "The specified repository catalog is either not supported or the structure is incorrect. Only Windows Update Packages are supported by iDRAC and Lifecycle Controller for the operation. If the structure is incorrect, either the expected elements are not present, or unexpected elements are present in the catalog XML file. The catalog XML file should be generated by the Repository Manager tool.",
            "Message": "The specified repository catalog is not supported.",
            "NumberOfArgs": 0,
            "Resolution": "Check the repository catalog file name and contents. Rebuild the catalog XML file using Repository Manager by selecting Windows Update Packages only, and retry the operation.",
            "Severity": "Warning"
        },
        "RED061": {
            "Description": "The job is successfully scheduled. The job will automatically start at the specified start time.",
            "Message": "The job is successfully scheduled.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "RED062": {
            "Description": "Unable to successfully authenticate. The username or password entered is incorrect, or HTTP server does not support BASIC or Digest authentication types.",
            "Message": "Unable to successfully authenticate user credentials to the specified repository.",
            "NumberOfArgs": 0,
            "Resolution": "Verify username, password and server authentication type. To manually update, retry the operation.",
            "Severity": "Warning"
        },
        "RED063": {
            "Description": "The iDRAC firmware updated successfully to the firmware version identified in the message.",
            "Message": "The iDRAC firmware updated successfully. Previous version: %1, Current version: %2",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "RED064": {
            "Description": "A scheduled Update from Repository completed and no applicable updates were found.",
            "Message": "The scheduled Update from Repository job completed successfully. Applicable updates were not found.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "RED065": {
            "Description": "The recurring scheduled update from repository job completed and updates were applied. A system restart was not required.",
            "Message": "The recurring scheduled update from repository job completed and updates were applied. A system restart was not required.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "RED066": {
            "Description": "The recurring scheduled update from repository job completed and updates are staged to run after the next system restart.",
            "Message": "The recurring scheduled update from repository job completed and updates are staged to run after the next system restart.",
            "NumberOfArgs": 0,
            "Resolution": "A system restart is required to apply the staged updates.",
            "Severity": "Informational"
        },
        "RED067": {
            "Description": "The recurring scheduled update from repository job completed and updates were staged. The system will now restart to apply the staged updates.",
            "Message": "The recurring scheduled update from repository job completed and updates were staged. The system will now restart to apply the staged updates.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "RED068": {
            "Description": "Unable to successfully complete the job identified in the message.",
            "Message": "Unable to successfully complete %1: %2",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "For more information about the job, view the job queue.",
            "Severity": "Warning"
        },
        "RED070": {
            "Description": "Unable to configure the Automatic Backup schedule due to invalid input parameters.",
            "Message": "Unable to configure the Automatic Backup schedule.",
            "NumberOfArgs": 0,
            "Resolution": "Verify the input parameters to the set Automatic Backup schedule method are correct and retry the operation.",
            "Severity": "Warning"
        },
        "RED071": {
            "Description": "Unable to get the Automatic Backup schedule information because the schedule is not configured.",
            "Message": "Unable to get the Automatic Backup schedule information.",
            "NumberOfArgs": 0,
            "Resolution": "Configure the Automatic Backup schedule.",
            "Severity": "Warning"
        },
        "RED072": {
            "Description": "Unable to delete the Automatic Backup schedule information because the schedule is not configured.",
            "Message": "Unable to delete the Automatic Backup schedule.",
            "NumberOfArgs": 0,
            "Resolution": "Configure the Automatic Backup schedule.",
            "Severity": "Warning"
        },
        "RED073": {
            "Description": "The operation did not complete successfully because of an invalid value for the parameter identified in the message.",
            "Message": "The input value entered for the parameter %1 is invalid.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Verify the value for the parameter identified in the message is valid and retry the operation.",
            "Severity": "Warning"
        },
        "RED074": {
            "Description": "The operation did not complete successfully because the required parameters were not present in the method invocation.",
            "Message": "A required parameter is not present.",
            "NumberOfArgs": 0,
            "Resolution": "Verify that all required parameters for the method are present and retry the operation.",
            "Severity": "Warning"
        },
        "RED075": {
            "Description": "The Automatic Backup schedule operation could not be successfully created because the Automatic Backup schedule configuration already exists.",
            "Message": "An Automatic Backup schedule already exists.",
            "NumberOfArgs": 0,
            "Resolution": "Check the Automatic Backup schedule to verify if it is accurate or delete the existing schedule and retry the operation.",
            "Severity": "Warning"
        },
        "RED076": {
            "Description": "Unable to create the Automatic Update schedule because an input parameter is invalid.",
            "Message": "Unable to create an Automatic Update schedule, because an invalid parameter is entered.",
            "NumberOfArgs": 0,
            "Resolution": "Verify the values for all the input parameters are correct and retry the operation.",
            "Severity": "Warning"
        },
        "RED077": {
            "Description": "Unable to get the Automatic Update schedule information because the schedule is not configured.",
            "Message": "Unable to get the Automatic Update schedule information.",
            "NumberOfArgs": 0,
            "Resolution": "Configure the Automatic Update schedule.",
            "Severity": "Warning"
        },
        "RED078": {
            "Description": "Unable to delete the Automatic Update schedule information because the schedule is not configured.",
            "Message": "Unable to delete the Automatic Update schedule.",
            "NumberOfArgs": 0,
            "Resolution": "Configure the Automatic Update schedule.",
            "Severity": "Warning"
        },
        "RED079": {
            "Description": "The operation did not complete successfully because of an invalid value for the parameter identified in the message.",
            "Message": "The input value entered for the parameter %1 is invalid.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Verify the value for the parameter identified in the message is valid and retry the operation.",
            "Severity": "Warning"
        },
        "RED080": {
            "Description": "The operation did not complete successfully because the required parameters identified in the message is not present in the method invocation.",
            "Message": "The required parameter %1 is not present.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Verify that all required parameters for the method are present and retry the operation.",
            "Severity": "Warning"
        },
        "RED081": {
            "Description": "The requested operation was not successful because an Automatic Update schedule already exists.",
            "Message": "The Automatic Update schedule already exists.",
            "NumberOfArgs": 0,
            "Resolution": "Delete the existing Automatic Update schedule operation before retrying the operation.",
            "Severity": "Warning"
        },
        "RED082": {
            "Description": "The Automatic Update or Automatic Backup feature is disabled.",
            "Message": "The requested job cannot be scheduled, because job schedule type such as Automatic Backup or Automatic Update is not enabled.",
            "NumberOfArgs": 0,
            "Resolution": "Enable the correct job schedule type, and then retry the operation. For example, to enable the Automatic Update feature, select the Enable Automatic Update option.",
            "Severity": "Warning"
        },
        "RED083": {
            "Description": "The Chassis firmware is not updated because the firmware version currently on the Chassis is same as the requested version.",
            "Message": "The Chassis firmware is not updated because the version currently on the Chassis is same as the requested version.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "RED084": {
            "Description": "The Chassis firmware cannot be updated because of an issue in the communication between iDRAC and CMC.",
            "Message": "Unable to update the Chassis firmware because of an issue in the network communication between iDRAC and CMC.",
            "NumberOfArgs": 0,
            "Resolution": "Verify the status of CMC by accessing the CMC and making sure it is functioning and responding and then retry the operation. For more information about troubleshooting a CMC issue, see the CMC User Manual. If the issue persists, contact your service provider.",
            "Severity": "Warning"
        },
        "RED085": {
            "Description": "The Chassis firmware cannot be updated because communication between iDRAC and CMC took more time than expected.",
            "Message": "Unable to update the Chassis firmware, communication with Chassis Management Controller took more time than expected.",
            "NumberOfArgs": 0,
            "Resolution": "Verify the status of CMC by accessing the CMC and making sure it is functioning and responding and then retry the operation. For more information about troubleshooting a CMC issue, see the CMC User Manual. If the issue persists, contact your service provider.",
            "Severity": "Warning"
        },
        "RED086": {
            "Description": "The Chassis firmware cannot be updated because the Chassis Management at Server (CMAS) attribute is incorrectly set. The CMAS attribute must be set to Monitor and Configure on the CMC in order to update CMC firmware from and iDRAC.",
            "Message": "Unable to update the Chassis firmware, Chassis Management at Server is not set to Monitor and Configure.",
            "NumberOfArgs": 0,
            "Resolution": "Make sure that the Chassis Management at Server attribute is set to Monitor and Configure, and then retry the operation. To set the correct attribute using Chassis Management Controller (CMC) GUI, navigate to Chassis Overview, then Setup, then General, and then click on the Chassis management at Server attribute to select the correct value.",
            "Severity": "Warning"
        },
        "RED087": {
            "Description": "Unable to update the Chassis firmware because the Allow CMC Updates Through OS and Lifecycle Controller setting is set to Disabled.",
            "Message": "Unable to update the Chassis firmware, Allow CMC Updates Through OS and Lifecycle Controller is set to Disabled.",
            "NumberOfArgs": 0,
            "Resolution": "Make sure that the Allow CHC Updates Through OS and Lifecycle Controller setting is set to Enabled, and then retry the operation. Using the iDRAC Web UI, select iDRAC > Update, click on the Settings tab, select Enabled for the setting and then click Apply button.",
            "Severity": "Warning"
        },
        "RED088": {
            "Description": "The Chassis firmware cannot be updated because an update operation is already in progress.",
            "Message": "Unable to update the Chassis firmware because an update operation is already in progress.",
            "NumberOfArgs": 0,
            "Resolution": "Wait until the current update operation is completed, and then retry the operation.",
            "Severity": "Warning"
        },
        "RED089": {
            "Description": "A Chassis firmware update operation is in progress. Any attempt to update Chassis firmware during this period will be unsuccessful.",
            "Message": "A Chassis firmware update operation is in progress.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "RED090": {
            "Description": "A Chassis firmware update operation is no longer in progress. This is not an indication of success or failure.",
            "Message": "A Chassis firmware update operation is no longer in progress.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "RED091": {
            "Description": "Unable to install Lifecycle Controller firmware.",
            "Message": "Unable to install Lifecycle Controller firmware.",
            "NumberOfArgs": 0,
            "Resolution": "Reinstall the iDRAC7 firmware (DUP) to repair Lifecycle Controller. For more information, see Lifecycle Controller User's Guide.",
            "Severity": "Critical"
        },
        "RED092": {
            "Description": "The firmware for the component identified in the message was updated successfully to the firmware version identified in the message.",
            "Message": "The %1 firmware updated successfully. Previous version: %2, Current version: %3",
            "NumberOfArgs": 3,
            "ParamTypes": [
                "String",
                "String",
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "RED093": {
            "Description": "Lifecycle Controller is not enabled and must be enabled in order for scheduled jobs to be created.",
            "Message": "The requested job cannot be scheduled because Lifecycle Controller is not enabled.",
            "NumberOfArgs": 0,
            "Resolution": "Enable Lifecycle Controller and retry the operation. Lifecycle Controller can be enabled by using the F2 System Setup by pressing F2 during server startup, then select iDRAC Settings > Lifecycle Controller and enable the Lifecycle Controller feature. Retry the operation after the server restarts.",
            "Severity": "Warning"
        },
        "RED094": {
            "Description": "The firmware for the component identified in the message is being updated to the firmware version identified in the message.",
            "Message": "Updating firmware for %1 from version %2 to version %3.",
            "NumberOfArgs": 3,
            "ParamTypes": [
                "String",
                "String",
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "RED095": {
            "Description": "An item named rSPI that is dependent on the Diagnostics package was not updated successfully when the Diagnostics package was updated.",
            "Message": "Update of rSPI was not successful after the Diagnostics package was updated.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Warning"
        },
        "RED096": {
            "Description": "The maximum iDRAC storage space allocated for storing firmware image files is reached. The firmware image of the earlier version that was stored for a rollback operation is now deleted.",
            "Message": "The maximum iDRAC storage space allocated for storing firmware image files is reached. The firmware image of the earlier version that was stored for a rollback operation is now deleted.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Warning"
        },
        "RED097": {
            "Description": "Unable to complete the firmware update operation because the specified firmware image is for a component that is not in the target system inventory.",
            "Message": "Unable to complete the firmware update operation because the specified firmware image is for a component that is not in the target system inventory.",
            "NumberOfArgs": 0,
            "Resolution": "Identify and download the firmware version that corresponds to the component being updated in the target system inventory, and retry the operation. For a list of supported firmware versions, refer to the iDRAC User's Guide available on the support site.",
            "Severity": "Warning"
        },
        "RED098": {
            "Description": "Unable to complete the firmware update operation because the specified firmware image is not compatible with the target system.",
            "Message": "Unable to complete the firmware update operation because the specified firmware image is not compatible with the target system model.",
            "NumberOfArgs": 0,
            "Resolution": "Identify and download the firmware version that corresponds to the system model being updated, and retry the operation. For a list of supported firmware versions, refer to the iDRAC User's Guide available on the support site.",
            "Severity": "Warning"
        },
        "RED099": {
            "Description": "The firmware version of the component identified in the message will be updated to the available version identified in the message.",
            "Message": "The firmware version of %1 will be updated. Current version: %2, Available version: %3.",
            "NumberOfArgs": 3,
            "ParamTypes": [
                "String",
                "String",
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "RED100": {
            "Description": "iDRAC initiated the download update package files operation. Wait for a few minutes.",
            "Message": "iDRAC initiated the download update package files operation. Wait for a few minutes.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "RED101": {
            "Description": "The firmware version cannot be updated because the license version of the currently installed firmware does not allow the update process.",
            "Message": "Unable to update the firmware version because the license version of the currently installed firmware does not allow the update process.",
            "NumberOfArgs": 0,
            "Resolution": "Make sure that the recommended license is installed, and then retry updating the firmware. For information about compatible license versions, see the iDRAC User's Guide available on the support site.",
            "Severity": "Warning"
        },
        "RED102": {
            "Description": "The Chassis firmware cannot be downgraded because the Chassis Management Controller (CMC) does not allow the downgrade operation when the Federal Information Processing Standard (FIPS) mode is enabled.",
            "Message": "Unable to downgrade the Chassis firmware because the Chassis Management Controller (CMC) does not allow the downgrade operation when the Federal Information Processing Standard (FIPS) mode is enabled.",
            "NumberOfArgs": 0,
            "Resolution": "Disable the Federal Information Processing Standard (FIPS) mode, and then retry the operation. To downgrade by using Chassis Management Controller (CMC) graphical user interface (GUI), click Chassis Overview > Network > Federal Information Processing Standards (FIPS), select \"Disabled\", and then click \"Apply Changes\". To downgrade by running RACADM command at the command line interface (CLI), enter \"racadm racresetcfg\".",
            "Severity": "Informational"
        },
        "RFL2000": {
            "Description": "None.",
            "Message": "Internal Dual SD Module %1 is present.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "RFL2002": {
            "Description": "The SD card module is installed but may be improperly installed or configured incorrectly.",
            "Message": "Internal Dual SD Module %1 is offline.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Reinstall the SD module.",
            "Severity": "Warning"
        },
        "RFL2003": {
            "Description": "None.",
            "Message": "Internal Dual SD Module %1 is online.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "RFL2004": {
            "Description": "The SD card module is installed but improperly configured or failed to initialize.",
            "Message": "Failure detected on Internal Dual SD Module %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Reinstall the SD module and remove and reinstall SD cards.",
            "Severity": "Critical"
        },
        "RFL2005": {
            "Description": "None.",
            "Message": "Internal Dual SD Module %1 is operating normally.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "RFL2006": {
            "Description": "The module is write-protected. Changes may not be written to the media.",
            "Message": "Internal Dual SD Module %1 is write protected.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "If unintended, remove the media and disable write protection.",
            "Severity": "Warning"
        },
        "RFL2007": {
            "Description": "None.",
            "Message": "Internal Dual SD Module %1 is writable.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "RFL2008": {
            "Description": "The Internal Dual SD Card redundancy feature was disabled. The SD card identified in the message is disabled.",
            "Message": "Internal Dual SD Module %1 is disabled.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "RFL2009": {
            "Description": "The Internal Dual SD Card redundancy feature was enabled. The SD card identified in the message is enabled.",
            "Message": "Internal Dual SD Module %1 is enabled.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "RFLA2001": {
            "Description": "The SD card module is not detected or not installed.",
            "Message": "Internal Dual SD Module %1 is absent.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "If unintended, reinstall the SD module.",
            "Severity": "Critical"
        },
        "RFM1018": {
            "Description": "None.",
            "Message": "Removable Flash Media is absent.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "RFM1019": {
            "Description": "None.",
            "Message": "Removable Flash Media is present.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "RFM1020": {
            "Description": "None.",
            "Message": "Removable Flash Media is IPMI-function ready.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "RFM1021": {
            "Description": "The removable flash media is installed but improperly configured or failed to initialize.",
            "Message": "Removable Flash Media is not IPMI-function ready.",
            "NumberOfArgs": 0,
            "Resolution": "If unintended, reinstall the flash media.",
            "Severity": "Warning"
        },
        "RFM1022": {
            "Description": "None.",
            "Message": "Removable Flash Media is ready.",
            "NumberOfArgs": 0,
            "Resolution": "If unintended, reinstall the flash media.",
            "Severity": "Informational"
        },
        "RFM1023": {
            "Description": "The media is being prepared or is under maintenance. If the problem persists, reinstall the card.",
            "Message": "Removable Flash Media is not ready.",
            "NumberOfArgs": 0,
            "Resolution": "If unintended, reinstall the flash media.",
            "Severity": "Warning"
        },
        "RFM1024": {
            "Description": "At boot, the Card Identification (CID) signature of the card is different from the Non-volatile (NV) storage value or the card is the destination of a copy operation that is in-progress.",
            "Message": "Removable Flash Media is offline.",
            "NumberOfArgs": 0,
            "Resolution": "If unintended, reinstall the flash media.",
            "Severity": "Warning"
        },
        "RFM1025": {
            "Description": "None.",
            "Message": "Removable Flash Media is online.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "RFM1026": {
            "Description": "An error is reported during a SD card read or write.",
            "Message": "Failure detected on Removable Flash Media.",
            "NumberOfArgs": 0,
            "Resolution": "Re-install the flash media, if the issue persists replace the media.",
            "Severity": "Critical"
        },
        "RFM1027": {
            "Description": "None.",
            "Message": "Removable Flash Media is operating normally.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "RFM1028": {
            "Description": "None.",
            "Message": "Removable Flash Media was activated.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "RFM1029": {
            "Description": "None.",
            "Message": "Removable Flash Media was deactivated.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "RFM1030": {
            "Description": "None.",
            "Message": "Removable Flash Media is booting.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "RFM1031": {
            "Description": "None.",
            "Message": "Removable Flash Media has finished booting.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "RFM1032": {
            "Description": "The card is write-protected by the physical latch on the SD card. IDSDM cannot use a write-protected card.",
            "Message": "Removable Flash Media is write protected.",
            "NumberOfArgs": 0,
            "Resolution": "If unintended, remove the media and disable write protection.",
            "Severity": "Warning"
        },
        "RFM1033": {
            "Description": "None.",
            "Message": "Removable Flash Media is writable.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "RFM1034": {
            "Description": "The SD card is not detected or not installed.",
            "Message": "Media not present for Removable Flash Media.",
            "NumberOfArgs": 0,
            "Resolution": "If unintended, reinstall the flash media.",
            "Severity": "Critical"
        },
        "RFM1035": {
            "Description": "None.",
            "Message": "Media is present for Removable Flash Media.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "RRDU0001": {
            "Description": "None.",
            "Message": "Internal Dual SD Module is redundant.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "RRDU0002": {
            "Description": "Either one of the SD card or both the SD cards are not functioning properly.",
            "Message": "Internal Dual SD Module redundancy is lost.",
            "NumberOfArgs": 0,
            "Resolution": "Replace the failed SD card.",
            "Severity": "Critical"
        },
        "RRDU0003": {
            "Description": "Either one of the SD card or both the SD cards are not functioning properly.",
            "Message": "Internal Dual SD Module redundancy is degraded.",
            "NumberOfArgs": 0,
            "Resolution": "Replace the failed SD card.",
            "Severity": "Warning"
        },
        "RRDU0004": {
            "Description": "None.",
            "Message": "Internal Dual SD Module is not redundant.",
            "NumberOfArgs": 0,
            "Resolution": "Install additional SD card and configure for redundancy if redundancy is desired.",
            "Severity": "Informational"
        },
        "RRDU0005": {
            "Description": "The current operating configuration cannot maintain redundancy. The unit may operate in a degraded state.",
            "Message": "Internal Dual SD Module is not redundant. Insufficient resources to maintain normal operations.",
            "NumberOfArgs": 0,
            "Resolution": "Review product documentation and SD card configuration.",
            "Severity": "Critical"
        },
        "RRDU0006": {
            "Description": "Internal Dual SD Module rebuild initiated.",
            "Message": "Internal Dual SD Module rebuild initiated.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "RRDU0007": {
            "Description": "Internal Dual SD Module rebuild completed successfully.",
            "Message": "Internal Dual SD Module rebuild completed successfully.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "RRDU0008": {
            "Description": "Internal Dual SD Module rebuild failed because read/write to one of the SD cards failed.",
            "Message": "Internal Dual SD Module rebuild did not complete successfully.",
            "NumberOfArgs": 0,
            "Resolution": "Replace the failed SD card and retry rebuild.",
            "Severity": "Critical"
        },
        "RSI0001": {
            "Description": "The Lifecycle Controller Remote Services instrumentation is available.",
            "Message": "The Lifecycle Controller Remote Services is available.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "RSI0002": {
            "Description": "The Remote Service database is currently not available.",
            "Message": "The remote service is currently not available",
            "NumberOfArgs": 0,
            "Resolution": "Retry request later.",
            "Severity": "Warning"
        },
        "RSI0003": {
            "Description": "The Remote Service database is being updated.",
            "Message": "The remote service is reloading data",
            "NumberOfArgs": 0,
            "Resolution": "Retry request later.",
            "Severity": "Warning"
        },
        "RSI0004": {
            "Description": "The Remote Service database is unavailable.",
            "Message": "The remote service is unavailable",
            "NumberOfArgs": 0,
            "Resolution": "Reset Integrated Remote Access Controller (iDRAC).",
            "Severity": "Critical"
        },
        "SEC0000": {
            "Description": "The chassis is open. System performance may be degraded, and security may be compromised.",
            "Message": "The chassis is open.",
            "NumberOfArgs": 0,
            "Resolution": "Close the chassis. Check system logs.",
            "Severity": "Critical"
        },
        "SEC0001": {
            "Description": "The drive bay is open. A drive may be added or removed. System performance may be degraded.",
            "Message": "The drive bay is open.",
            "NumberOfArgs": 0,
            "Resolution": "Close the drive bay. Check system logs.",
            "Severity": "Critical"
        },
        "SEC0002": {
            "Description": "The I/O card area is open. I/O cards may be added or removed. System performance may be degraded.",
            "Message": "The I/O card area is open.",
            "NumberOfArgs": 0,
            "Resolution": "Close the I/O card area. Check system logs.",
            "Severity": "Critical"
        },
        "SEC0003": {
            "Description": "The processor area is open. A drive may be added or removed. System performance may be degraded.",
            "Message": "The processor area is open.",
            "NumberOfArgs": 0,
            "Resolution": "Close the processor area. Check system logs.",
            "Severity": "Critical"
        },
        "SEC0004": {
            "Description": "The LAN is disconnected. Network performance may be degraded.",
            "Message": "The LAN is disconnected.",
            "NumberOfArgs": 0,
            "Resolution": "If unintentional, connect network cable.",
            "Severity": "Critical"
        },
        "SEC0005": {
            "Description": "A removable component may have been tampered with, or installed incorrectly, or does not meet system requirements.",
            "Message": "Unauthorized docking is detected.",
            "NumberOfArgs": 0,
            "Resolution": "Check removable hardware components for correct installation. Review installation documentation.",
            "Severity": "Critical"
        },
        "SEC0006": {
            "Description": "The fan area is open. System performance may be degraded.",
            "Message": "The fan area is open.",
            "NumberOfArgs": 0,
            "Resolution": "Close the fan area. Check system logs.",
            "Severity": "Critical"
        },
        "SEC0016": {
            "Description": "None.",
            "Message": "The chassis is closed.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SEC0017": {
            "Description": "None.",
            "Message": "The drive bay is closed.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SEC0018": {
            "Description": "None.",
            "Message": "The I/O card area is closed.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SEC0019": {
            "Description": "None.",
            "Message": "The processor area is closed.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SEC0020": {
            "Description": "None.",
            "Message": "The LAN is connected.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SEC0021": {
            "Description": "None.",
            "Message": "The docking is authorized.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SEC0022": {
            "Description": "None.",
            "Message": "The fan area is closed.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SEC0031": {
            "Description": "The chassis is open. System performance may be degraded, and security may be compromised.",
            "Message": "The chassis is open while the power is on.",
            "NumberOfArgs": 0,
            "Resolution": "Close the chassis. Check system logs.",
            "Severity": "Critical"
        },
        "SEC0032": {
            "Description": "None.",
            "Message": "The chassis is closed while the power is on.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SEC0033": {
            "Description": "The chassis is open while the power is off. System security may have been comprised.",
            "Message": "The chassis is open while the power is off.",
            "NumberOfArgs": 0,
            "Resolution": "Close the chassis and verify hardware inventory. Check system logs.",
            "Severity": "Critical"
        },
        "SEC0034": {
            "Description": "None.",
            "Message": "The chassis is closed while the power is off.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SEC0040": {
            "Description": "Operating system generated critical stop IPMI event. (Sensor type code = 20H).",
            "Message": "A critical stop occurred during OS load.",
            "NumberOfArgs": 0,
            "Resolution": "Check video and operating system logs for additional information.",
            "Severity": "Critical"
        },
        "SEC0041": {
            "Description": "TXT initialization cannot be completed because system configuration may have changed.",
            "Message": "BIOS is unable to configure the Intel Trusted Execution Technology (TXT).",
            "NumberOfArgs": 0,
            "Resolution": "Check system hardware inventory for TPM presence, clear and reconfigure TPM and TXT in BIOS setup menu.",
            "Severity": "Critical"
        },
        "SEC0042": {
            "Description": "TXT CPU microcode boot cannot be completed because system configuration may have changed.",
            "Message": "Processor detected a problem while performing an Intel Trusted Execution Technology (TXT) operation.",
            "NumberOfArgs": 0,
            "Resolution": "Check system hardware inventory for TPM presence, clear and reconfigure TPM and TXT in BIOS setup menu.",
            "Severity": "Critical"
        },
        "SEC0043": {
            "Description": "TXT POST cannot be completed because system configuration may have changed.",
            "Message": "BIOS Authenticated Code Module detected an Intel Trusted Execution Technology (TXT) problem during POST.",
            "NumberOfArgs": 0,
            "Resolution": "Check system hardware inventory for TPM presence, clear and reconfigure TPM and TXT in BIOS setup menu.",
            "Severity": "Critical"
        },
        "SEC0044": {
            "Description": "TXT initialization cannot be completed because system configuration may have changed.",
            "Message": "SINIT Authenticated Code Module detected an Intel Trusted Execution Technology (TXT) problem at boot.",
            "NumberOfArgs": 0,
            "Resolution": "Check system hardware inventory for TPM presence, clear and reconfigure TPM and TXT in BIOS setup menu.",
            "Severity": "Critical"
        },
        "SEC0045": {
            "Description": "None.",
            "Message": "Intel Trusted Execution Technology (TXT) is operating correctly.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SEC0100": {
            "Description": "The Storage disk tray identified in the message is open. The tray should be closed as soon as any service action is completed. Leaving the tray open for an extended period may result in drives over heating.",
            "Message": "The %1 in slot %2 is open.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "Close the Storage disk tray identified in the message.",
            "Severity": "Warning"
        },
        "SEC0101": {
            "Description": "The Storage disk tray in the slot identified in the message has been open for an extended period of time. The tray should be closed as soon as any service action is completed. Leaving it open for extended period may result in drives overheating.",
            "Message": "The %1 in slot %2 is opened for more than 3 minutes.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "Close the Storage disk tray as it may affect the system performance or may cause hard drives to overheat. Check system logs .",
            "Severity": "Critical"
        },
        "SEC0102": {
            "Description": "The module or Storage tray identified in the message is closed.",
            "Message": "The %1 in slot %2 is closed.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SEC0600": {
            "Description": "This may apply to a physical or remote access attempt.",
            "Message": "A secure mode violation detected.",
            "NumberOfArgs": 0,
            "Resolution": "Check system logs for intrusion attempts, and ensure strong password policies.",
            "Severity": "Warning"
        },
        "SEC0601": {
            "Description": "None.",
            "Message": "A secure mode violation was corrected.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SEC0602": {
            "Description": "This may apply to a physical or remote access attempt.",
            "Message": "User password violation detected.",
            "NumberOfArgs": 0,
            "Resolution": "Check system logs for intrusion attempts, and ensure strong password policies.",
            "Severity": "Warning"
        },
        "SEC0603": {
            "Description": "None.",
            "Message": "User password violation was corrected.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SEC0604": {
            "Description": "This may apply to a physical or remote access attempt.",
            "Message": "A setup password violation detected.",
            "NumberOfArgs": 0,
            "Resolution": "Check system logs for intrusion attempts, and ensure strong password policies.",
            "Severity": "Critical"
        },
        "SEC0605": {
            "Description": "None.",
            "Message": "A setup password violation was corrected.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SEC0606": {
            "Description": "This may apply to a physical or remote access attempt.",
            "Message": "The network boot password violation detected.",
            "NumberOfArgs": 0,
            "Resolution": "Check system logs for intrusion attempts, and ensure strong password policies.",
            "Severity": "Warning"
        },
        "SEC0607": {
            "Description": "None.",
            "Message": "The network boot password violation was corrected.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SEC0608": {
            "Description": "This may apply to a physical or remote access attempt.",
            "Message": "A password violation detected.",
            "NumberOfArgs": 0,
            "Resolution": "Check system logs for intrusion attempts, and ensure strong password policies.",
            "Severity": "Warning"
        },
        "SEC0609": {
            "Description": "None.",
            "Message": "A password violation was corrected.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SEC0610": {
            "Description": "This may apply to a remote access attempt.",
            "Message": "An Out-of-band password violation detected.",
            "NumberOfArgs": 0,
            "Resolution": "Check system logs for intrusion attempts, and ensure strong password policies.",
            "Severity": "Warning"
        },
        "SEC0611": {
            "Description": "None.",
            "Message": "An Out-of-band password violation was corrected.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SEC0612": {
            "Description": "The default username and password is currently in use and unauthorized access to the iDRAC may occur because the default values are widely known. This is a severe security risk.",
            "Message": "The default username and password is currently in use. It is recommended to immediately change the default credentials.",
            "NumberOfArgs": 0,
            "Resolution": "To change the credentials using RACADM command, run the following at the command line interface (CLI): \"racadm set iDRAC.Users.<index>.Password <new password string>\". Alternately, to disable the default credential in use message, run \"racadm config -g cfgractuning -o cfgRacTuneDefCredentialWarningEnable 0\".",
            "Severity": "Warning"
        },
        "SEC0613": {
            "Description": "The default username and password is changed.",
            "Message": "The default username and password is changed.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SEC0700": {
            "Description": "If the property name is configured without changing the default password, iDRAC may be accessible on the Internet. This causes a severe security risk for iDRAC.",
            "Message": "Warning: Default username and password are currently in use. It is strongly recommended to change the default password before configuring the property. Else, it causes a severe security risk for iDRAC.",
            "NumberOfArgs": 0,
            "Resolution": "To change the password, run the following racadm command: racadm set iDRAC.Users.<index>.Password <new password string>.Alternatively, to avoid this warning message, run the following racadm command: racadm set iDRAC.Tuning.DefaultCredentialWarning Disable.",
            "Severity": "Warning"
        },
        "SEC0701": {
            "Description": "This warning message is displayed when using the default username and password. Using the default password causes a severe security risk for iDRAC.",
            "Message": "Warning: Default username and password are currently in use. It is strongly recommended to change the default password immediately.",
            "NumberOfArgs": 0,
            "Resolution": "To change the password, run the following racadm commands: racadm set iDRAC.Users.<index>.Password <new password string>.Alternatively, to avoid this warning message run the following racadm command: racadm set iDRAC.Tuning.DefaultCredentialWarning Disable.",
            "Severity": "Warning"
        },
        "SEC0702": {
            "Description": "The Federal Information Processing Standards (FIPS) mode is enabled.",
            "Message": "The Federal Information Processing Standards (FIPS) mode is enabled.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SEC0703": {
            "Description": "The Federal Information Processing Standards (FIPS) mode is disabled.",
            "Message": "The Federal Information Processing Standards (FIPS) mode is disabled.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SEL0002": {
            "Description": "This message appears when event logging of a specific type is disabled by the user. (IPMI sensor type code 10h - offset 01h).",
            "Message": "Logging is disabled.",
            "NumberOfArgs": 0,
            "Resolution": "If unintended, re-enable logging.",
            "Severity": "Critical"
        },
        "SEL0003": {
            "Description": "None.",
            "Message": "Logging is enabled.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SEL0004": {
            "Description": "None.",
            "Message": "Log cleared.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SEL0006": {
            "Description": "This message appears when all event logging has been disabled by the user. (IPMI sensor type code 10h - offset 03h).",
            "Message": "All event logging is disabled.",
            "NumberOfArgs": 0,
            "Resolution": "If unintended, re-enable logging.",
            "Severity": "Critical"
        },
        "SEL0007": {
            "Description": "None.",
            "Message": "All event logging is enabled.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SEL0008": {
            "Description": "When the event log is full, additional events are not written to the log; or older events will be overwritten and lost. This message may also appear if the user disabled event logging. (IPMI sensor type code 10h - offset 04h).",
            "Message": "System event log (SEL) is full.",
            "NumberOfArgs": 0,
            "Resolution": "Backup and clear log.",
            "Severity": "Critical"
        },
        "SEL0010": {
            "Description": "When the event log is full, additional events are not written to the log or older events will be overwritten and lost. (IPMI sensor type code 10h - offset 05h).",
            "Message": "System event log (SEL) is almost full.",
            "NumberOfArgs": 0,
            "Resolution": "Backup and clear log at the next maintained time.",
            "Severity": "Warning"
        },
        "SEL0012": {
            "Description": "If the system event log failed to initialize platform status and failure events are not captured. Some management software will not report platform exceptions.",
            "Message": "Could not create or initialize the system event log.",
            "NumberOfArgs": 0,
            "Resolution": "Reboot the management controller or iDRAC. Cycle system input power. If problem persists call support.",
            "Severity": "Critical"
        },
        "SEL0013": {
            "Description": "None.",
            "Message": "The system event log was created or initialized successfully.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SEL0014": {
            "Description": "The System Event Log (SEL) was cleared by the username identified in the message from the IP address identified in the message.",
            "Message": "The System Event Log (SEL) was cleared by %1 from %2.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SEL1200": {
            "Description": "None.",
            "Message": "The system was reconfigured.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SEL1202": {
            "Description": "None.",
            "Message": "OEM system boot.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SEL1204": {
            "Description": "The operating system or BIOS detected an unknown event. (IPMI sensor type code 12h - offset 02h).",
            "Message": "An unknown system hardware failure detected.",
            "NumberOfArgs": 0,
            "Resolution": "Reduce system to minimum supported configuration. If issues persists, contact support.",
            "Severity": "Critical"
        },
        "SEL1205": {
            "Description": "None.",
            "Message": "The unknown system hardware failure was corrected.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SEL1206": {
            "Description": "None.",
            "Message": "An entry was added to auxiliary log.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SEL1207": {
            "Description": "None.",
            "Message": "An entry was removed from auxiliary log.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SEL1208": {
            "Description": "None.",
            "Message": "A platform event filter action was executed.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SEL1209": {
            "Description": "System policies or permissions may prevent the action from executing. If configured, the system will not execute the action on a platform event (power down, cycle, interrupt, send alert).",
            "Message": "The platform event filter action failed.",
            "NumberOfArgs": 0,
            "Resolution": "Review platform event configuration.",
            "Severity": "Critical"
        },
        "SEL1210": {
            "Description": "None.",
            "Message": "The time-stamp clock is synchronized.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SEL1211": {
            "Description": "The time stamp on system event log events may not correlate to the system time. (IPMI sensor type code 12h - offset 05h).",
            "Message": "The time-stamp clock could not be synchronized.",
            "NumberOfArgs": 0,
            "Resolution": "Cycle system input power, if problem persists call support.",
            "Severity": "Critical"
        },
        "SEL1300": {
            "Description": "System setup displays the system boot order. The local video screen may also show additional information. (IPMI sensor type code 1eh - offset 00h).",
            "Message": "No bootable media found.",
            "NumberOfArgs": 0,
            "Resolution": "Check system boot settings. Check mass storage controller configuration settings is applicable.",
            "Severity": "Critical"
        },
        "SEL1301": {
            "Description": "None.",
            "Message": "Bootable media found.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SEL1302": {
            "Description": "The disk in the drive is not formatted correctly or does not contain the necessary operating system files(IPMI sensor type code 1eh - offset 01h).",
            "Message": "Non-bootable diskette detected.",
            "NumberOfArgs": 0,
            "Resolution": "Replace diskette with bootable disk.",
            "Severity": "Critical"
        },
        "SEL1303": {
            "Description": "None.",
            "Message": "Bootable diskette detected.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SEL1304": {
            "Description": "PXE is one way to boot a system from the network. (IPMI sensor type code 1eh - offset 02h).",
            "Message": "The PXE server not found.",
            "NumberOfArgs": 0,
            "Resolution": "Check network and PXE server configuration.",
            "Severity": "Critical"
        },
        "SEL1305": {
            "Description": "None.",
            "Message": "The PXE server found.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SEL1306": {
            "Description": "The disk in the drive is not formatted correctly or does not contain the necessary operating system files (IPMI sensor type code 1eh - offset 03h).",
            "Message": "Invalid boot sector found.",
            "NumberOfArgs": 0,
            "Resolution": "Replace diskette with bootable disk.",
            "Severity": "Critical"
        },
        "SEL1307": {
            "Description": "None.",
            "Message": "Boot sector found.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SEL1308": {
            "Description": "The system has failed to boot to an operating system and needs the user to select a boot source. (IPMI sensor type code 1eh - offset 04h).",
            "Message": "A time-out occurred while waiting for user to select a boot source.",
            "NumberOfArgs": 0,
            "Resolution": "Select boot source within the time allowed.",
            "Severity": "Critical"
        },
        "SEL1309": {
            "Description": "None.",
            "Message": "User selected a boot source.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SEL1400": {
            "Description": "None.",
            "Message": "The platform generated a page alert.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SEL1402": {
            "Description": "None.",
            "Message": "The platform generated a LAN alert.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SEL1404": {
            "Description": "None.",
            "Message": "A platform event trap (PET) was generated.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SEL1406": {
            "Description": "None.",
            "Message": "The platform generated a SNMP trap.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SEL1500": {
            "Description": "None.",
            "Message": "The chassis management controller (CMC) is redundant.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SEL1501": {
            "Description": "An action or failure has taken place that breaks CMC redundancy. This includes loss of network connection, hardware failures, firmware update, firmware mismatch between CMC's, CMC reset, and unplugging a CMC.",
            "Message": "Chassis management controller (CMC) redundancy is lost.",
            "NumberOfArgs": 0,
            "Resolution": "Check CMC network cables and network connections. Check that CMC firmware versions match.",
            "Severity": "Critical"
        },
        "SEL1502": {
            "Description": "An action or failure has taken place that degrades CMC redundancy. This includes firmware mismatch between CMC's and a CMC missing SD card.",
            "Message": "Chassis management controller (CMC) redundancy is degraded.",
            "NumberOfArgs": 0,
            "Resolution": "Chassis management controller (CMC) redundancy is degraded.",
            "Severity": "Warning"
        },
        "SEL1503": {
            "Description": "None.",
            "Message": "The chassis management controller (CMC) is not redundant.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SEL1504": {
            "Description": "There is not enough available power for two CMC's to operate.",
            "Message": "The chassis management controller (CMC) is not redundant. Insufficient resources to maintain normal operations.",
            "NumberOfArgs": 0,
            "Resolution": "Check overall power consumption and power status.",
            "Severity": "Critical"
        },
        "SEL1506": {
            "Description": "The primary CMC has lost communication with the indicated member CMC.",
            "Message": "Lost communications with Chassis Group Member %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Check network cable and network connections.",
            "Severity": "Warning"
        },
        "SEL1507": {
            "Description": "None.",
            "Message": "Communications restored with Chassis Group Member %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SEL1508": {
            "Description": "The indicated member may be a member of another chassis group or may be incompatible with membership.",
            "Message": "Member %1 could not join the Chassis Group.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "1)Check that the Name or IP address, User Name, and Password of the member are correct. 2)Check that the member is not a leader or member of another group. 3)Check that the member can be reached by the leader.",
            "Severity": "Warning"
        },
        "SEL1509": {
            "Description": "None.",
            "Message": "Member %1 has joined the Chassis Group.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SEL1510": {
            "Description": "Group master CMC could not log into the group member CMC.",
            "Message": "An authentication error detected for Chassis Group Member %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Check login credentials of CMC.",
            "Severity": "Warning"
        },
        "SEL1511": {
            "Description": "None.",
            "Message": "Member %1 removed from the Chassis Group.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SEL1512": {
            "Description": "The Chassis Controller is not responding or is not inserted properly.",
            "Message": "The Chassis Controller is not responding or is not inserted properly. The status of Chassis Controller is critical.",
            "NumberOfArgs": 0,
            "Resolution": "Do one of the following: 1) Reinsert Chassis Controller, if removed. 2) If Chassis Controller is present but is not responding, reset the Chassis Controller. To reset the Chassis Controller using the graphical user interface (GUI), click Chassis Overview > Power > Control > Reset CMC. To reset by running the RACADM command at the command line interface (CLI), enter: \"racadm racreset\".",
            "Severity": "Critical"
        },
        "SEL1513": {
            "Description": "The iDRAC communication link to Chassis Controller is restored. Any issues related to network communication between Chassis Controller and iDRAC, incorrectly seated Chassis Controller, or unavailability of Chassis Controller is now resolved successfully.",
            "Message": "The status of Chassis Controller has changed from critical to OK.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SEL1514": {
            "Description": "The sensor indicating the inlet temperature is not responding either because the sensor is damaged, or because of damaged circuit lines for I2C bus, or a faulty sensor state.",
            "Message": "The sensor indicating the inlet temperature is not responding either because the sensor is damaged, or because of damaged circuit lines for I2C bus, or a faulty sensor state.",
            "NumberOfArgs": 0,
            "Resolution": "Do the following: 1) Reset iDRAC: a) By using graphical user interface (GUI), click Overview > Server > Quick Launch Tasks > Reset iDRAC. b) by running RACADM command at the command line interface (CLI), enter racadm racreset. 2) Change the corresponding I2C sensor by contacting your service provider.",
            "Severity": "Critical"
        },
        "SEL1515": {
            "Description": "An I2C sensor is not responding either because it is damaged, or because of damaged circuit lines for I2C bus, or a faulty sensor state.",
            "Message": "An I2C sensor is not responding either because it is damaged, or because of damaged circuit lines for I2C bus, or a faulty sensor state.",
            "NumberOfArgs": 0,
            "Resolution": "To find the sensor number that is not responding, type \"racadm getsel -E\" and check the Event Data Byte 1. To recover the sensor from the faulty state, do one of the following: 1) Reset iDRAC: a) By using graphical user interface (GUI), click Overview > Server > Quick Launch Tasks > Reset iDRAC. b) by running RACADM command at the command line interface (CLI), enter racadm racreset. 2) Change the corresponding I2C sensor by contacting your service provider.",
            "Severity": "Critical"
        },
        "SEL9900": {
            "Description": "The current software version cannot decode this event. The source of the event may come from a source that is not compatible with this software or the event may have been added after the release of this software. You may need to review this event using a tool which displays raw data such as Ipmitool with the -vvv option or Racadm with the -E option.",
            "Message": "An unsupported event occurred.",
            "NumberOfArgs": 0,
            "Resolution": "Upgrade Management Software.",
            "Severity": "Informational"
        },
        "SEL9901": {
            "Description": "The current software version cannot decode this event. The source of the event may come from a source that is not compatible with this software or the event may have been added after the release of this software. You may need to review this event using a tool which displays raw data such as Ipmitool with the -vvv option or Racadm with the -E option.",
            "Message": "OEM software event.",
            "NumberOfArgs": 0,
            "Resolution": "See product documentation for additional information.",
            "Severity": "Informational"
        },
        "SEL9902": {
            "Description": "Software on the system has logged an event that cannot be determined. You may need to review this event using a tool which displays raw data such as Ipmitool with the -vvv option or Racadm with the -E option.",
            "Message": "System software event.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SRV001": {
            "Description": "The SupportAssist Collection operation is started by the interface identified in the message.",
            "Message": "The SupportAssist Collection operation is started by %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SRV002": {
            "Description": "The SupportAssist upload operation is started.",
            "Message": "The SupportAssist %1 operation is started.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SRV003": {
            "Description": "Unable to start another SupportAssist job because an existing SupportAssist job is already running on the server.",
            "Message": "A SupportAssist job is already running on the server.",
            "NumberOfArgs": 0,
            "Resolution": "Wait for the current SupportAssist operation to complete and retry the operation.",
            "Severity": "Warning"
        },
        "SRV004": {
            "Description": "The SupportAssist collection data cannot be exported because of an issue while connecting to the network share using the provided credentials or other network share parameters.",
            "Message": "Unable to access network share for exporting SupportAssist Collection data.",
            "NumberOfArgs": 0,
            "Resolution": "Make sure the entered share type, share name, IP address, user name and password are valid and retry the operation.",
            "Severity": "Warning"
        },
        "SRV005": {
            "Description": "The SupportAssist job identified in the message is cancelled by user request.",
            "Message": "The SupportAssist job %1 is cancelled.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "To start another SupportAssist job, wait until the current job that is being cancelled completes and then retry the operation.",
            "Severity": "Warning"
        },
        "SRV006": {
            "Description": "The SupportAssist System information collection operation is started.",
            "Message": "The SupportAssist System information collection operation is started.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SRV007": {
            "Description": "The SupportAssist System information collection operation is successfully completed.",
            "Message": "The SupportAssist System information collection operation is successfully completed.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SRV008": {
            "Description": "The SupportAssist System information collection operation is cancelled.",
            "Message": "The SupportAssist System information collection operation is cancelled.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SRV009": {
            "Description": "There was an issue retrieving System information from the iDRAC. This may be because Collect System Inventory on Restart (CSIOR) feature is disabled and has never executed or the iDRAC Remote Services API status may not be in the Ready state.",
            "Message": "There was an issue retrieving System information for SupportAssist.",
            "NumberOfArgs": 0,
            "Resolution": "Make sure the Collect System Inventory on Restart (CSIOR) is enabled and has run at least once before retrying this operation. For remote web services API access, make sure the GetRemoteServicesAPIStatus method returns Ready status before trying this operation. If the issue persists, reset iDRAC and retry the operation.",
            "Severity": "Warning"
        },
        "SRV010": {
            "Description": "The SupportAssist Storage Controller Logs collection operation is started.",
            "Message": "The SupportAssist Storage Controller Logs collection operation is started.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SRV011": {
            "Description": "The SupportAssist Storage Controller Logs collection operation is completed.",
            "Message": "The SupportAssist Storage Controller Logs collection operation is completed.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SRV012": {
            "Description": "The SupportAssist Storage Controller Logs collection operation is cancelled.",
            "Message": "The SupportAssist Storage Controller Logs collection operation is cancelled.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SRV013": {
            "Description": "Unable to retrieve Storage Controller Logs because no storage controllers are detected in the server.",
            "Message": "Unable to retrieve Storage Controller Logs because no storage controllers are detected in the server.",
            "NumberOfArgs": 0,
            "Resolution": "Make sure that at least one storage controller is present in the server, and then retry the operation.",
            "Severity": "Warning"
        },
        "SRV014": {
            "Description": "Unable to export Storage Controller Log because the storage controller identified in the message does not support the feature.",
            "Message": "Unable to export Storage Controller Log because the storage controller %1 present in the server does not support the feature.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Warning"
        },
        "SRV015": {
            "Description": "The Storage Controller Log information of the controller identified in the message cannot be exported because of an issue in communicating with the controller.",
            "Message": "Unable to export Storage Controller Log information of %1 because of an issue in communicating with the controller.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Make sure that server is not in BIOS POST mode, and then retry the operation. Use the GetRemoteServicesAPIStatus() invoke method and check for output parameter RTStatus and make sure it shows 0 (ready status), and then retry the operation. If the issue persists, reset iDRAC and retry the operation.",
            "Severity": "Warning"
        },
        "SRV016": {
            "Description": "The Storage Controller Log data export did not complete within the allocated time. Currently, the maximum allocated time is 20 minutes.",
            "Message": "Unable to export Storage Controller Log information for controller %1 because the export did not complete within the allocated time.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Reset the iDRAC and retry the operation. To reset the iDRAC using the RACADM command line utility, enter \"racadm racreset\".",
            "Severity": "Warning"
        },
        "SRV017": {
            "Description": "The Storage Controller Log cannot be retrieved because another operation is in progress on the storage controller identified in the message.",
            "Message": "Unable to retrieve the Storage Controller Log because another operation is in progress on the storage controller %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "View the job queue, make sure that all jobs are in completed state, and then retry the operation. To view the job queue using RACADM command line utility, enter \"racadm jobqueue view\".",
            "Severity": "Warning"
        },
        "SRV018": {
            "Description": "Unable to start the Storage Controller Log collection because the server is powered off.",
            "Message": "Unable to start the Storage Controller Log collection because the server is powered off.",
            "NumberOfArgs": 0,
            "Resolution": "Turn on the server, wait until the OS finishes booting, and then retry the operation.",
            "Severity": "Warning"
        },
        "SRV019": {
            "Description": "The Storage Controller Log collection operation cannot be started because the server is in POST and has not finished the startup process.",
            "Message": "Unable to start the Storage Controller Log collection because the server is in POST and has not finished the startup process.",
            "NumberOfArgs": 0,
            "Resolution": "Wait until the server completes POST and the OS startup process, and then retry the operation.",
            "Severity": "Warning"
        },
        "SRV020": {
            "Description": "The memory cannot be allocated because of insufficient storage space in iDRAC.",
            "Message": "Unable to allocate memory because of insufficient storage space in iDRAC.",
            "NumberOfArgs": 0,
            "Resolution": "Reset iDRAC and then retry the operation. To reset the iDRAC using the RACADM command line utility, enter \"racadm racreset\".",
            "Severity": "Warning"
        },
        "SRV021": {
            "Description": "The SupportAssist OS and Application data collection operation is started.",
            "Message": "The SupportAssist OS and Application data collection operation is started.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SRV022": {
            "Description": "The SupportAssist OS and Application data collection operation is successfully completed.",
            "Message": "The SupportAssist OS and Application data collection operation is successfully completed.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SRV023": {
            "Description": "The SupportAssist OS and Application data collection operation is cancelled.",
            "Message": "The SupportAssist OS and Application data collection operation is cancelled.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SRV024": {
            "Description": "The OS and Application Data cannot be collected because the OS Collector is not installed on the iDRAC.",
            "Message": "Unable to collect OS and Application Data because the OS Collector is not installed on the iDRAC.",
            "NumberOfArgs": 0,
            "Resolution": "Install OS Collector on the iDRAC and retry the operation. To install the OS Collector using the iDRAC Web UI, get the latest OS Collector update package and then select the Update and Rollback link from the iDRAC Web UI home page and upload the install package.",
            "Severity": "Warning"
        },
        "SRV025": {
            "Description": "The iDRAC Service Module (iSM) installer cannot be presented to the host operating system because another Lifecycle Controller operation is currently in progress.",
            "Message": "Unable to present the iDRAC Service Module (iSM) installer to the host operating system because another Lifecycle Controller operation is currently in progress.",
            "NumberOfArgs": 0,
            "Resolution": "Make sure all other Lifecycle Controller operations are finished and retry the operation. Using the iDRAC Web UI, select Server > Job Queue, check the job queue for unfinished jobs and wait for the jobs to finish before retrying the operation. Also, check whether there are update packages being executed in the server OS and wait for these operations to finish before retrying the operation. For remote web services API access, make sure that the GetRemoteServicesAPIStatus method returns Ready status, and then retry the operation.",
            "Severity": "Warning"
        },
        "SRV026": {
            "Description": "The checksum cannot be computed because OS Collector files are not readable.",
            "Message": "Unable to compute the checksum because OS Collector files are not readable.",
            "NumberOfArgs": 0,
            "Resolution": "Reinstall the OS Collector in the iDRAC and retry the operation. To install the OS Collector using the iDRAC Web UI, get the latest OC Collector update package and then select the Update and Rollback link from the iDRAC Web UI home page and upload the install package. If the issue persists, contact your service provider.",
            "Severity": "Warning"
        },
        "SRV027": {
            "Description": "The partition cannot be exposed to the server Operating System (OS) because of an unknown issue in the iDRAC.",
            "Message": "Unable to expose the partition to the server Operating System (OS) because of an unknown issue in iDRAC.",
            "NumberOfArgs": 0,
            "Resolution": "Retry the operation. If the issue persists, reset the iDRAC and retry the operation.",
            "Severity": "Warning"
        },
        "SRV028": {
            "Description": "The Operating System (OS) on the server did not complete the native OS Application Data Collection within the maximum allowed time.",
            "Message": "Unable to complete the operation because the native Operating System (OS) Application Data Collection is taking more time than allocated.",
            "NumberOfArgs": 0,
            "Resolution": "Retry the operation. If the issue persists, restart the server Operating System (OS) and retry the operation.",
            "Severity": "Warning"
        },
        "SRV029": {
            "Description": "The Operating System (OS) Application Data is not included in the SupportAssist Collection because of an unknown issue in iDRAC.",
            "Message": "Unable to include the Operating System (OS) Application Data in the SupportAssist Collection because of an unknown issue in iDRAC.",
            "NumberOfArgs": 0,
            "Resolution": "Retry the operation. If the issue persists, reset the iDRAC and retry the operation.",
            "Severity": "Warning"
        },
        "SRV030": {
            "Description": "The OS Collector Application is unable to collect data about OS and application because the OS installed on the server is not supported by OS Collector.",
            "Message": "The OS Collector Application is unable to collect data about OS and application because the OS installed on the server is not supported by OS Collector.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Warning"
        },
        "SRV031": {
            "Description": "The OS Collector application is unable to communicate with the WMI service. This may be because the user context the application is running in does not have appropriate access privileges or firewall/security settings are preventing retrieving registry and software data from WMI.",
            "Message": "The OS Collector application is unable to communicate with WMI services.",
            "NumberOfArgs": 0,
            "Resolution": "Do the following: 1) Make sure the user context the OS Collector application is running in has the appropriate privileges to access WMI. Make sure that firewall or security settings are set to allow access and retry the operation. 2) If the issue persists, restart the WMI service and retry the operation. 3) If the issue continues to persists, restart the server OS and retry the operation.",
            "Severity": "Warning"
        },
        "SRV032": {
            "Description": "The OS Collector Application is unable to collect the application data because of an unknown exception.",
            "Message": "The OS Collector Application is unable to collect the application data because of an unknown exception.",
            "NumberOfArgs": 0,
            "Resolution": "Do the following: 1) Retry the operation. 2) If the issue persists, reinstall the latest OS Collector on the iDRAC, and then retry the operation.",
            "Severity": "Warning"
        },
        "SRV033": {
            "Description": "The native Operating System (OS) Application Data Collection is unable to collect data because of an unknown exception.",
            "Message": "The native Operating System (OS) Application Data Collection is unable to collect data because of an unknown exception.",
            "NumberOfArgs": 0,
            "Resolution": "Retry the operation. If the issue persists, restart the server Operating System (OS) and retry the operation.",
            "Severity": "Warning"
        },
        "SRV034": {
            "Description": "The OS Collector application is unable to generate a zip archive of the OS and Application Data report.",
            "Message": "The OS Collector application is unable to generate a zip archive of the OS and Application Data report.",
            "NumberOfArgs": 0,
            "Resolution": "Do the following: 1) Retry the operation. 2) If the issue persists, reinstall the latest OS Collector on the iDRAC, and then retry the operation.",
            "Severity": "Warning"
        },
        "SRV035": {
            "Description": "The XML transform operation cannot be completed on the data collected because the collected data is in an unexpected format.",
            "Message": "Unable to complete XML transform on the data collected because the collected data is in an unexpected format.",
            "NumberOfArgs": 0,
            "Resolution": "Do the following: 1) Retry the operation. 2) If the issue persists, reinstall the latest OS Collector on the iDRAC, and then retry the operation.",
            "Severity": "Warning"
        },
        "SRV036": {
            "Description": "Unable to create the final zip archive name because the Service Tag and time stamp could not be retrieved from OS interfaces.",
            "Message": "The OS Collector application is unable to create the filename for zip archive.",
            "NumberOfArgs": 0,
            "Resolution": "Do the following: 1) Retry the operation. 2) If the issue persists, reinstall the latest OS Collector on the iDRAC, and then retry the operation.",
            "Severity": "Warning"
        },
        "SRV037": {
            "Description": "Unable to communicate with the OS IPMI service because the service is not running.",
            "Message": "The OS Collector application is unable to communicate with the OS IPMI service.",
            "NumberOfArgs": 0,
            "Resolution": "For more information about checking whether the IPMI service is running, see the iDRAC9 User's Guide.",
            "Severity": "Warning"
        },
        "SRV038": {
            "Description": "An issue occurred while loading the OS Collector IPMI library. This may be because the OS collector binary images are not valid and need to be re-installed.",
            "Message": "The OS Collector application is unable to communicate with IPMI library.",
            "NumberOfArgs": 0,
            "Resolution": "Do the following: 1) Retry the operation. 2) If the issue persists, reinstall the latest OS Collector on the iDRAC, and then retry the operation.",
            "Severity": "Warning"
        },
        "SRV039": {
            "Description": "The OS Collector Application is unable to create an Intelligent Platform Management Interface (IPMI) session.",
            "Message": "The OS Collector Application is unable to create an Intelligent Platform Management Interface (IPMI) session.",
            "NumberOfArgs": 0,
            "Resolution": "Restart the Windows Management Instrumentation (WMI) service and then retry the operation. For restarting WMI service, see the iDRAC9 User's Guide.",
            "Severity": "Warning"
        },
        "SRV040": {
            "Description": "The report size is more than the 30MB allowed size which will cause a truncated, partial report to be generated.",
            "Message": "The OS Collector log file was truncated because the size of zip archive created by OS collector has exceeded the 30MB limit.",
            "NumberOfArgs": 0,
            "Resolution": "Delete older OS system log entries so that the final zip archive size can be reduced.",
            "Severity": "Warning"
        },
        "SRV041": {
            "Description": "The OS Collector application cannot be successfully started because the user context in which the OS Collector is run does not have necessary privileges for successfully running the application.",
            "Message": "Unable to successfully start the OS Collector application because the iDRAC Service Module (iSM) does not have necessary privileges for successfully running the application.",
            "NumberOfArgs": 0,
            "Resolution": "Restart the iDRAC Service Module (iSM) service as an administrator.",
            "Severity": "Warning"
        },
        "SRV042": {
            "Description": "An issue was encountered while communicating with iDRAC Service Module (iSM) present on the operating system.",
            "Message": "An issue was encountered while communicating with iDRAC Service Module (iSM) present on the operating system.",
            "NumberOfArgs": 0,
            "Resolution": "Do the following: 1) Restart the iDRAC Service Module on the OS and retry the operation. 2) If the issue persists, reinstall the latest iDRAC Service Module Service on the OS and retry the operation .",
            "Severity": "Warning"
        },
        "SRV043": {
            "Description": "Unable to start the SupportAssist operation because the Lifecycle Controller is not enabled.",
            "Message": "Unable to start the SupportAssist operation because the Lifecycle Controller is not enabled.",
            "NumberOfArgs": 0,
            "Resolution": "Enable the Lifecycle Controller by pressing F2 during server startup and select iDRAC Settings > Lifecycle Controller and then enable the Lifecycle Controller. Retry the operation after the server has restarted.",
            "Severity": "Warning"
        },
        "SRV044": {
            "Description": "Unable to start the collection of OS and Application Data because the server OS is turned off.",
            "Message": "Unable to start the collection of OS and Application Data because the server is turned off.",
            "NumberOfArgs": 0,
            "Resolution": "Turn on the server and wait until the OS finishes booting, and then retry the operation.",
            "Severity": "Warning"
        },
        "SRV045": {
            "Description": "Unable to start the operation because the server is in POST and has not finished startup.",
            "Message": "Unable to start the operation because the server is in POST and has not finished startup.",
            "NumberOfArgs": 0,
            "Resolution": "Retry the operation after the server has finished starting and POST has completed.",
            "Severity": "Warning"
        },
        "SRV046": {
            "Description": "Unable to start the operation because the server is turned off.",
            "Message": "Unable to start the operation because the server is turned off.",
            "NumberOfArgs": 0,
            "Resolution": "Retry the operation after the server has been turned on and POST has completed.",
            "Severity": "Warning"
        },
        "SRV047": {
            "Description": "The collection of OS and Application Data did not start within the allocated time.",
            "Message": "The collection of OS and Application Data did not start within the allocated time.",
            "NumberOfArgs": 0,
            "Resolution": "Do the following: 1) Make sure that the OS Collector application supports the OS installed on the server. If the OS is not supported, the OS Collector may not function correctly. 2) Reinstall the latest OS Collector on the iDRAC, and then retry the operation. To install the OS Collector using the iDRAC Web UI, get the latest OC Collector update package and then select the Update and Rollback link from the iDRAC Web UI home page and upload the install package. If the issue persists, contact your service provider.",
            "Severity": "Warning"
        },
        "SRV048": {
            "Description": "The iDRAC Service Module (iSM) installed on the operating system is not up to date and does not support the SupportAssist feature.",
            "Message": "The iDRAC Service Module (iSM) installed on the operating system is not up to date and does not support the SupportAssist feature.",
            "NumberOfArgs": 0,
            "Resolution": "Make sure the operating system (OS) is a supported OS for the SupportAssist feature and the latest iDRAC Service Module (iSM) software is installed on the OS.",
            "Severity": "Warning"
        },
        "SRV049": {
            "Description": "There is no cached copy of OS and Application data in the iDRAC flash storage.",
            "Message": "Cached OS and Application Data is not available in the iDRAC.",
            "NumberOfArgs": 0,
            "Resolution": "Collect the OS and Application Data using the iDRAC Service Module (iSM) service and then retry the operation.",
            "Severity": "Warning"
        },
        "SRV050": {
            "Description": "The Debug Logs collection operation is started for SupportAssist.",
            "Message": "The Debug Logs collection operation is started for SupportAssist.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SRV051": {
            "Description": "The Debug Logs collection operation is successfully completed for SupportAssist.",
            "Message": "The Debug Logs collection operation is successfully completed for SupportAssist.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SRV052": {
            "Description": "The Debug Logs collection operation for SupportAssist is cancelled by user.",
            "Message": "The Debug Logs collection operation for SupportAssist is cancelled by user.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SRV053": {
            "Description": "The Debug Logs cannot be collected for SupportAssist collection because of insufficient storage space on iDRAC.",
            "Message": "Unable to collect the Debug Logs data for SupportAssist because of insufficient storage space on iDRAC.",
            "NumberOfArgs": 0,
            "Resolution": "Retry the action. If the issue persists, reset the iDRAC and then retry the operation.",
            "Severity": "Warning"
        },
        "SRV054": {
            "Description": "The Debug Logs collection operation cannot be fully completed for SupportAssist collection because some of the commands could not be run while collecting debug logs.",
            "Message": "Unable to fully complete the Debug Logs Collection operation.",
            "NumberOfArgs": 0,
            "Resolution": "Retry the action. If the issue persists, reset the iDRAC and then retry the operation.",
            "Severity": "Warning"
        },
        "SRV055": {
            "Description": "All the Debug Logs cannot be collected because the log file size exceeds 30 MB. Only the latest debug logs up to 30 MB is collected.",
            "Message": "Unable to collect all the Debug Logs because the log file size is more than 30 MB.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Warning"
        },
        "SRV056": {
            "Description": "Unable to collect Debug Logs because none of the iDRAC debug commands could be executed for this operation.",
            "Message": "Unable to collect any of the SupportAssist Debug Log files because none of the debug commands could be run while collecting iDRAC debug logs.",
            "NumberOfArgs": 0,
            "Resolution": "Reset the iDRAC and then retry the operation. To reset the iDRAC using the RACADM command line utility, enter \"racadm racreset\".",
            "Severity": "Warning"
        },
        "SRV057": {
            "Description": "The SupportAssist Registration operation is started.",
            "Message": "The SupportAssist Registration operation is started.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SRV058": {
            "Description": "The SupportAssist registration operation cannot be completed because registration information field identified in the message is invalid.",
            "Message": "Unable to proceed with the SupportAssist registration operation because registration information: %1 is invalid.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Ensure that valid data is entered for SupportAssist registration and then retry the operation.",
            "Severity": "Warning"
        },
        "SRV059": {
            "Description": "Unable to detect the host network connection because the host proxy authentication did not complete successfully.",
            "Message": "Unable to detect the host network connection because the host proxy authentication did not complete successfully.",
            "NumberOfArgs": 0,
            "Resolution": "Make sure the host proxy information entered in iDRAC is correct and retry the operation.",
            "Severity": "Warning"
        },
        "SRV060": {
            "Description": "The SupportAssist Registration operation did not complete successfully.",
            "Message": "The SupportAssist Registration operation did not complete successfully.",
            "NumberOfArgs": 0,
            "Resolution": "Do the following and retry the operation: 1) Make sure the registration information is valid. 2) Make sure that the communication between iDRAC and iDRAC Service Module (iSM) is working. If the issue persists, restart the iSM service on the host OS.",
            "Severity": "Warning"
        },
        "SRV061": {
            "Description": "The SupportAssist Chassis controller logs collection operation is started.",
            "Message": "The SupportAssist Chassis controller logs collection operation is started.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SRV062": {
            "Description": "The SupportAssist Chassis Controller logs collection operation is successfully completed .",
            "Message": "The SupportAssist Chassis Controller logs collection operation is successfully completed .",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SRV063": {
            "Description": "The SupportAssist Chassis Controller logs collection operation is cancelled.",
            "Message": "The SupportAssist Chassis Controller logs collection operation is cancelled.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SRV064": {
            "Description": "The SupportAssist Enclosure Controller logs collection operation is started.",
            "Message": "The SupportAssist Enclosure Controller logs collection operation is started.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SRV065": {
            "Description": "The SupportAssist Enclosure Controller logs collection operation is successfully completed .",
            "Message": "The SupportAssist Enclosure Controller logs collection operation is successfully completed .",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SRV066": {
            "Description": "The SupportAssist Enclosure Controller logs collection operation is cancelled.",
            "Message": "The SupportAssist Enclosure Controller logs collection operation is cancelled.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SRV067": {
            "Description": "The SupportAssist Chassis Controller logs collection operation did not complete successfully.",
            "Message": "The SupportAssist Chassis Controller logs collection operation did not complete successfully.",
            "NumberOfArgs": 0,
            "Resolution": "Reset the iDRAC and Chassis Management Controller (CMC) and then retry the operation. To reset the iDRAC using the RACADM command line utility, enter \"racadm racreset\". To reset the CMC using the RACADM command line utility, enter \"racadm chassisaction reset\".",
            "Severity": "Warning"
        },
        "SRV068": {
            "Description": "The SupportAssist Enclosure Controller logs collection operation did not complete successfully.",
            "Message": "The SupportAssist Enclosure Controller logs collection operation did not complete successfully.",
            "NumberOfArgs": 0,
            "Resolution": "Reset the iDRAC and Enclosure Controller (EC) and then retry the operation. To reset the iDRAC using the RACADM command line utility, enter \"racadm racreset\". To reset the EC using the RACADM command line utility, enter \"racadm chassisaction reset\".",
            "Severity": "Warning"
        },
        "SRV069": {
            "Description": "Unable to collect Chassis Management Controller (CMC) logs because iDRAC is not able to communicate to the CMC.",
            "Message": "Unable to collect Chassis Management Controller (CMC) logs because iDRAC is not able to communicate to the CMC.",
            "NumberOfArgs": 0,
            "Resolution": "Reset the iDRAC and Chassis Management Controller (CMC) and then retry the operation. To reset the iDRAC using the RACADM command line utility, enter \"racadm racreset\". To reset the CMC using the RACADM command line utility, enter \"racadm chassisaction reset\". If racadm command fails, cold reset CMC and iDRAC manually and retry the operation.",
            "Severity": "Warning"
        },
        "SRV070": {
            "Description": "Unable to collect Enclosure Controller (EC) logs because iDRAC is not able to communicate to the EC.",
            "Message": "Unable to collect Enclosure Controller (EC) logs because iDRAC is not able to communicate to the EC.",
            "NumberOfArgs": 0,
            "Resolution": "Reset the iDRAC and Enclosure Controller (EC) and then retry the operation. To reset the iDRAC using the RACADM command line utility, enter \"racadm racreset\". To reset the EC using the RACADM command line utility, enter \"racadm chassisaction reset\". If racadm command fails, cold reset EC and iDRAC manually and retry the operation.",
            "Severity": "Warning"
        },
        "SRV071": {
            "Description": "The SupportAssist operation to update registration information is started.",
            "Message": "The SupportAssist operation to update registration information is started.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SRV072": {
            "Description": "The partition containing the iDRAC Service Module (iSM) installer is detached from Host operating system (OS).",
            "Message": "The partition containing the iDRAC Service Module (iSM) installer is detached from Host operating system (OS).",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SRV073": {
            "Description": "The SupportAssist operation to update registration information did not complete successfully.",
            "Message": "The SupportAssist operation to update registration information did not complete successfully.",
            "NumberOfArgs": 0,
            "Resolution": "Do the following and retry the operation: 1) Make sure the registration information is valid. 2) Make sure that the communication between iDRAC and iDRAC Service Module (iSM) is working. If the issue persists, restart the iSM service on the host OS.",
            "Severity": "Warning"
        },
        "SRV074": {
            "Description": "The SupportAssist End User License Agreement (EULA) is accepted by iDRAC user via iDRAC interface identified in the message.",
            "Message": "The SupportAssist End User License Agreement (EULA) is accepted by iDRAC user %1 via iDRAC interface %2.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SRV075": {
            "Description": "The partition containing the iDRAC Service Module (iSM) installer is presented to Host operating system (OS).",
            "Message": "The partition containing the iDRAC Service Module (iSM) installer is presented to Host operating system (OS).",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SRV076": {
            "Description": "The SupportAssist operation to present iDRAC Service Module (iSM) installer to Host operating system (OS) is waiting on a user action to install iSM service in Host OS.",
            "Message": "The SupportAssist operation to present iDRAC Service Module (iSM) installer to Host operating system (OS) is waiting on a user action to install iSM service in Host OS.",
            "NumberOfArgs": 0,
            "Resolution": "Install the iDRAC Service Module (iSM) service from the iSM installer that is presented to the Host operating system (OS).",
            "Severity": "Informational"
        },
        "SRV077": {
            "Description": "The SupportAssist operation to present iDRAC Service Module (iSM) installer to Host operating system (OS) did not complete successfully.",
            "Message": "The SupportAssist operation to present iDRAC Service Module (iSM) installer to Host operating system (OS) did not complete successfully.",
            "NumberOfArgs": 0,
            "Resolution": "Make sure the Host OS allows access to USB devices and then retry the action.",
            "Severity": "Warning"
        },
        "SRV078": {
            "Description": "The SupportAssist operation to present iDRAC Service Module (iSM) installer to Host operating system (OS) completed but iSM was not installed on the Host OS.",
            "Message": "The SupportAssist operation to present iDRAC Service Module (iSM) installer to Host operating system (OS) completed but iSM was not installed on the Host OS.",
            "NumberOfArgs": 0,
            "Resolution": "Retry the operation and install the iDRAC Service Module (iSM) service manually once installer is presented to the Host operating system (OS).",
            "Severity": "Informational"
        },
        "SRV079": {
            "Description": "The SupportAssist feature is enabled on iDRAC.",
            "Message": "The SupportAssist feature is enabled on iDRAC.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SRV080": {
            "Description": "The SupportAssist feature is disabled on iDRAC.",
            "Message": "The SupportAssist feature is disabled on iDRAC.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SRV081": {
            "Description": "The operation cannot be started because iDRAC Service Module (iSM) is not installed on the server operating system (OS).",
            "Message": "Unable to start the operation because the iDRAC Service Module (iSM) is not installed on the server operating system (OS).",
            "NumberOfArgs": 0,
            "Resolution": "Install the iDRAC Service Module (iSM) in the server operating system (OS) and then retry the operation. Refer to the iSM Installation Guide on the support site for details.",
            "Severity": "Warning"
        },
        "SRV082": {
            "Description": "The operation cannot be started because iDRAC Service Module (iSM) is not running on the server operating system (OS).",
            "Message": "Unable to start the operation because the iDRAC Service Module (iSM) service is not running on the server operating system (OS).",
            "NumberOfArgs": 0,
            "Resolution": "Enable and start the iDRAC Service Module (iSM) service from within the server operating system (OS) and then retry the operation.",
            "Severity": "Warning"
        },
        "SRV083": {
            "Description": "The operation cannot be started because iDRAC Service Module (iSM) running on the server operating system (OS) is not compatible with iDRAC firmware version installed on the server.",
            "Message": "Unable to start the operation because the iDRAC Service Module (iSM) service running on the server operating system (OS) is not compatible with iDRAC firmware version installed on the server.",
            "NumberOfArgs": 0,
            "Resolution": "Install the compatible version of iDRAC Service Module (iSM) on the server operating system (OS) and then retry the operation. Refer to the iSM Installation Guide for details on the compatible versions.",
            "Severity": "Warning"
        },
        "SRV084": {
            "Description": "The operation cannot be started because iDRAC is not registered for the SupportAssist features.",
            "Message": "Unable to start the operation because iDRAC is not registered for the SupportAssist features.",
            "NumberOfArgs": 0,
            "Resolution": "Register iDRAC for SupportAssist via one of the iDRAC interfaces (iDRAC GUI, WSMAN, RACADM) and then retry the operation. From the iDRAC GUI, navigate to SupportAssist page and register the iDRAC.",
            "Severity": "Warning"
        },
        "SRV085": {
            "Description": "The operation cannot be started because the SupportAssist end user license agreement (EULA) is not accepted.",
            "Message": "Unable to start the operation because the SupportAssist End User License Agreement (EULA) is not accepted.",
            "NumberOfArgs": 0,
            "Resolution": "Accept the SupportAssist End User License Agreement (EULA) by navigating to the SupportAssist page on the iDRAC GUI.",
            "Severity": "Warning"
        },
        "SRV086": {
            "Description": "The operation cannot be started because the SupportAssist feature is disabled on iDRAC.",
            "Message": "Unable to start the operation because the SupportAssist feature is disabled on iDRAC.",
            "NumberOfArgs": 0,
            "Resolution": "Enable the SupportAssist feature on the iDRAC by navigating to the SupportAssist page on the iDRAC GUI and retry the operation.",
            "Severity": "Warning"
        },
        "SRV087": {
            "Description": "The job identified in the message is successfully created.",
            "Message": "The %1 Job %2 is successfully created.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SRV088": {
            "Description": "The SupportAssist operation identified in the message is successfully completed.",
            "Message": "The SupportAssist %1 operation is successfully completed.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SRV089": {
            "Description": "The SupportAssist operation identified in the message is partially completed.",
            "Message": "The SupportAssist %1 operation is partially completed.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SRV090": {
            "Description": "The SupportAssist operation identified in the message did not complete successfully.",
            "Message": "The SupportAssist %1 operation did not complete successfully.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Check the Lifecycle Logs for related errors and perform the recommended response actions for these error messages and then retry the operation.",
            "Severity": "Informational"
        },
        "SRV091": {
            "Description": "The SupportAssist job identified in the message cannot be created.",
            "Message": "Unable to create the SupportAssist job for %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Retry the operation. If the issue persists, reset the iDRAC and then retry the operation. To reset the iDRAC using RACADM command line utility, type \"racadm racreset\".",
            "Severity": "Warning"
        },
        "SRV092": {
            "Description": "The SupportAssist Collection identified in the message is successfully exported to the network share.",
            "Message": "The SupportAssist Collection %1 is successfully exported to the %2 network share.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SRV093": {
            "Description": "The SupportAssist Collection identified in the message is successfully uploaded to SupportAssist server.",
            "Message": "The SupportAssist Collection %1 is successfully uploaded to SupportAssist server.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SRV094": {
            "Description": "The SupportAssist Auto Collection could not be uploaded to SupportAssist server because iDRAC Service Module (iSM) service is not running in the server operating system (OS).",
            "Message": "Unable to upload the SupportAssist Auto Collection to SupportAssist server because the iDRAC Service Module (iSM) is not running in the server operating system (OS).",
            "NumberOfArgs": 0,
            "Resolution": "1) Make sure that compatible iDRAC Service Module (iSM) service is installed and running in server host operating system (OS). 2) Retry the operation. 3) If the issue persists, restart the iDRAC and server OS.",
            "Severity": "Warning"
        },
        "SRV095": {
            "Description": "The SupportAssist End User License Agreement (EULA) is already accepted by the iDRAC user <user name> by using the iDRAC interface <interface name>.",
            "Message": "The SupportAssist End User License Agreement (EULA) is already accepted by the iDRAC user %1 by using the iDRAC interface %2.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "No response action required.",
            "Severity": "Warning"
        },
        "SRV096": {
            "Description": "The SupportAssist Collection file identified in the message is successfully created.",
            "Message": "The SupportAssist Collection %1 is successfully created.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SRV097": {
            "Description": "The SupportAssist Collection is successfully exported to the local path.",
            "Message": "The SupportAssist Collection is successfully exported to the local path.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SRV098": {
            "Description": "The SupportAssist Collection operation is completed and the export operation is started.",
            "Message": "The SupportAssist Collection operation is completed and the export operation is started.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SRV099": {
            "Description": "The SupportAssist Collection cannot be saved on iDRAC because the iDRAC partition is not available.",
            "Message": "Unable to save the SupportAssist Collection on iDRAC because the iDRAC partition is not available.",
            "NumberOfArgs": 0,
            "Resolution": "Retry the operation. If the issue persists, reset the iDRAC and retry the operation.",
            "Severity": "Warning"
        },
        "SRV100": {
            "Description": "The iDRAC event identified in the message is forwarded to the SupportAssist back-end server.",
            "Message": "The iDRAC event %1 is forwarded to the SupportAssist back-end server.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SRV101": {
            "Description": "The SupportAssist Collection data is requested for iDRAC event identified in the message.",
            "Message": "The SupportAssist Collection data is requested for iDRAC event %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SRV102": {
            "Description": "The iDRAC Service Module (iSM) installer cannot be presented to the host operating system because the Lifecycle Controller iSM update package is not installed.",
            "Message": "Unable to present the iDRAC Service Module (iSM) installer to the host operating system because the Lifecycle Controller iSM update package is not installed.",
            "NumberOfArgs": 0,
            "Resolution": "Install the Lifecycle Controller for iDRAC Service Module (iSM) and retry the operation.",
            "Severity": "Warning"
        },
        "SRV103": {
            "Description": "Not presenting the iDRAC Service Module (iSM) installer to Host because the iSM installer version on iDRAC is same as iSM service version running in Host OS.",
            "Message": "Not presenting the iDRAC Service Module (iSM) installer to Host because the iSM installer version on iDRAC is same as iSM service version running in Host OS.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SRV104": {
            "Description": "The SupportAssist End User License Agreement (EULA) is not accepted.",
            "Message": "The SupportAssist End User License Agreement (EULA) is not accepted.",
            "NumberOfArgs": 0,
            "Resolution": "Accept the SupportAssist End User License Agreement (EULA). To accept the SupportAssist EULA using the RACADM command line utility, enter \"racadm supportassist accepteula\".",
            "Severity": "Informational"
        },
        "SRV105": {
            "Description": "Unable to detect the host network connection because the network connection in the host operating system is not available.",
            "Message": "Unable to detect the host network connection because the network connection in the host operating system is not available.",
            "NumberOfArgs": 0,
            "Resolution": "Make sure the network connection in host operating system is available. If network connection requires proxy settings, enter the proxy settings in the iDRAC and retry the operation.",
            "Severity": "Warning"
        },
        "SRV106": {
            "Description": "The Debug Logs are excluded from the SupportAssist collection because Collection data is being filtered for personally identifiable information.",
            "Message": "The Debug Logs are excluded from the SupportAssist collection because the Collection data is being filtered for personally identifiable information.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SRV107": {
            "Description": "The Storage Logs are excluded from the SupportAssist collection because the Collection data is being filtered for personally identifiable information.",
            "Message": "The Storage Logs are excluded from the SupportAssist collection because the Collection data is being filtered for personally identifiable information.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SRV108": {
            "Description": "The SupportAssist job identified in the message is completed.",
            "Message": "The SupportAssist job %1 is completed.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SRV109": {
            "Description": "The SupportAssist Collection data cannot be exported because the network share information is not available.",
            "Message": "Unable to export the SupportAssist Collection data because the network share information is not available.",
            "NumberOfArgs": 0,
            "Resolution": "Make sure that either the default network share attributes are set, or enter the network share type, share name, IP address, user name, and password, and retry the operation.",
            "Severity": "Warning"
        },
        "SRV110": {
            "Description": "Unable to detect the host network connection because the SupportAssist back-end server is either down or is not responding to client requests.",
            "Message": "Unable to detect the host network connection because the SupportAssist back-end server is either down or is not responding to client requests.",
            "NumberOfArgs": 0,
            "Resolution": "If the issue persists, retry the operation after some time as SupportAssist back-end server might be under maintenance.",
            "Severity": "Warning"
        },
        "SRV111": {
            "Description": "The iDRAC is already registered with SupportAssist.",
            "Message": "The iDRAC is already registered with SupportAssist.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SRV112": {
            "Description": "The Auto Collection schedule is not set for SupportAssist.",
            "Message": "The Auto Collection schedule is not set for SupportAssist.",
            "NumberOfArgs": 0,
            "Resolution": "Do the following and retry the operation: 1) Make sure that the iDRAC is registered for SupportAssist. 2) Make sure that the Lifecyclecontroller is enabled on iDRAC. 3) Make sure that the SupportAssist feature is enabled on iDRAC, and Auto Collection schedule is set.",
            "Severity": "Informational"
        },
        "SRV113": {
            "Description": "The export or upload operation cannot be started because the SupportAssist Collection is not available on the iDRAC.",
            "Message": "Unable to start the export or upload operation because the SupportAssist Collection is not available on the iDRAC.",
            "NumberOfArgs": 0,
            "Resolution": "Make sure that the SupportAssist Collection is available on iDRAC and retry the operation. To generate a SupportAssist Collection by using RACADM command line interface (CLI), enter \"racadm supportassist collect\".",
            "Severity": "Warning"
        },
        "SRV114": {
            "Description": "The SupportAssist Collection was not uploaded because upload to SupportAssist server did not complete within the allocated time.",
            "Message": "Unable to upload the SupportAssist Collection because upload to SupportAssist server did not complete within the allocated time.",
            "NumberOfArgs": 0,
            "Resolution": "Do the following: 1) Retry the operation. 2) If the issue persists, restart the iDRAC and server OS.",
            "Severity": "Warning"
        },
        "SRV115": {
            "Description": "The SupportAssist Collection was not uploaded because upload to SupportAssist server failed.",
            "Message": "Unable to upload the SupportAssist Collection because upload to SupportAssist server failed.",
            "NumberOfArgs": 0,
            "Resolution": "Do the following: 1) Retry the operation. 2) If the issue persists, restart the iDRAC and server OS.",
            "Severity": "Warning"
        },
        "SRV116": {
            "Description": "The operation cannot be started because the parameter specified in the message is not supported by the iDRAC 9.0 and later versions.",
            "Message": "Unable to start the operation because the parameter %1 entered is not supported by the iDRAC 9.0 and later versions.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Make sure that the parameter is supported by iDRAC and retry the operation. For more informaition, see the iDRAC User's Guide available on the support site.",
            "Severity": "Informational"
        },
        "SRV117": {
            "Description": "The scheduled SupportAssist Collection job was not executed as another SupportAssist job is running on the server.",
            "Message": "Unable to execute the scheduled SupportAssist Collection job as another SupportAssist job is running on the server.",
            "NumberOfArgs": 0,
            "Resolution": "The next Auto SupportAssist Collection will be attempted at the subsequent schedule.",
            "Severity": "Informational"
        },
        "SRV118": {
            "Description": "The SupportAssist operation cannot be started because the Lifecycle Controller is not ready.",
            "Message": "Unable to start the SupportAssist operation because the Lifecycle Controller is not ready.",
            "NumberOfArgs": 0,
            "Resolution": "Wait for the current operation to complete and Lifecycle Controller to be in ready state, and then retry the operation.",
            "Severity": "Warning"
        },
        "SRV119": {
            "Description": "The SupportAssist operation cannot be started because the Lifecycle Controller is in recovery mode.",
            "Message": "Unable to start the SupportAssist operation because the Lifecycle Controller is in recovery mode.",
            "NumberOfArgs": 0,
            "Resolution": "Clear the Lifecycle Controller Recovery mode and retry the operation. To clear the Recovery mode: 1) Restart the server. When the company logo is displayed, press F2. 2) On the iDRAC Settings Page, select Lifecycle Controller Settings. 3) Update the Lifecycle Controller Setting to Enabled.",
            "Severity": "Warning"
        },
        "SRV120": {
            "Description": "The SupportAssist Collection cannot be uploaded to the SupportAssist server because the host network connection is unavailable.",
            "Message": "Unable to upload the SupportAssist Collection to the SupportAssist server because the host network connection is not available.",
            "NumberOfArgs": 0,
            "Resolution": "Make sure that the host has network connection and retry the operation.",
            "Severity": "Warning"
        },
        "SRV121": {
            "Description": "The operation cannot be completed because the Operating System-Baseboard Management Controller Pass Through (OS-BMC PT) required for communication with iDRAC Service Module (iSM) is not enabled.",
            "Message": "Unable to complete the operation because the Operating System-Baseboard Management Controller Pass Through (OS-BMC PT) required for communication with iDRAC Service Module (iSM) is not enabled.",
            "NumberOfArgs": 0,
            "Resolution": "Enable the Operating System-Baseboard Management Controller Pass Through (OS-BMC PT) and then retry the operation. To enable the OS-BMC PT using the RACADM command line utility, enter \"racadm set idrac.os-bmc.AdminState Enabled\".",
            "Severity": "Warning"
        },
        "SRV122": {
            "Description": "The operation cannot be started because the SupportAssist Host OS Proxy Configured setting is not enabled in iDRAC.",
            "Message": "Unable to start the operation because the SupportAssist Host OS Proxy Configured setting is not enabled in iDRAC.",
            "NumberOfArgs": 0,
            "Resolution": "Enable the SupportAssist Host OS Proxy Configured setting in iDRAC, and then retry the operation. To enable the SupportAssist Host OS Proxy Configured setting by using the RACADM command line interface, enter \"racadm set idrac.supportassist.HostOSProxyConfigured Yes\".",
            "Severity": "Warning"
        },
        "SRV123": {
            "Description": "The operation cannot be started because the SupportAssist schedule based auto collections are not enabled in iDRAC.",
            "Message": "Unable to start the operation because the SupportAssist schedule based auto collections are not enabled in iDRAC.",
            "NumberOfArgs": 0,
            "Resolution": "Enable the SupportAssist schedule based auto collections in iDRAC and then retry the operation. To enable the SupportAssist schedule based auto collections using the RACADM command line interface, enter \"racadm supportassist autocollectscheduler create\" with desired schedule.",
            "Severity": "Warning"
        },
        "SRV124": {
            "Description": "The cached operating system (OS) and application data available in the iDRAC is included in the SupportAssist collection.",
            "Message": "The cached operating system (OS) and application data available in the iDRAC is included in the SupportAssist collection.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SRV125": {
            "Description": "The SupportAssist operation cannot be started because the Lifecycle Controller is in use.",
            "Message": "Unable to start the SupportAssist operation because the Lifecycle Controller is in use.",
            "NumberOfArgs": 0,
            "Resolution": "Make sure all other Lifecycle Controller operations are finished and retry the operation. Using the iDRAC Web UI, select Server > Job Queue, check the job queue for unfinished jobs and wait for the jobs to finish before retrying the operation. Also, check whether there are update packages being executed in the server OS and wait for these operations to finish before retrying the operation. For remote web services API access, make sure that the GetRemoteServicesAPIStatus method returns Ready status, and then retry the operation.",
            "Severity": "Warning"
        },
        "SRV126": {
            "Description": "The SupportAssist data cannot be retrieved from SupportAssist server because of an issue between iDRAC and SupportAssist server.",
            "Message": "Unable to retrieve the data from SupportAssist server because of an issue between iDRAC and SupportAssist server.",
            "NumberOfArgs": 0,
            "Resolution": "Do the following: 1) Retry the operation. 2) If the issue persists, restart the iDRAC and server OS. 3) If the issue persists, retry the operation after some time as SupportAssist back-end server might be under maintenance.",
            "Severity": "Warning"
        },
        "SRV127": {
            "Description": "The SupportAssist registration contact and shipping information cannot be retrieved because data is either missing or corrupted.",
            "Message": "Unable to retrieve the SupportAssist registration contact and shipping information in iDRAC because data is either missing or corrupted.",
            "NumberOfArgs": 0,
            "Resolution": "Do the following: 1) Retry the operation. 2) If the issue persists, Reset the iDRAC configuration and re-register the server for SupportAssist and then retry the operation. To reset the iDRAC configuration using the RACADM command line utility, enter \"racadm racresetcfg\". After resetting the iDRAC configuration, to re-register the server for SupportAssist using the RACADM command line utility, enter \"racadm supportassist register\".",
            "Severity": "Warning"
        },
        "SRV128": {
            "Description": "The SupportAssist operation cannot be started because system is in Lockdown mode.",
            "Message": "Unable to start the SupportAssist operation because system is in Lockdown mode.",
            "NumberOfArgs": 0,
            "Resolution": "Disable the Lockdown mode on the system and retry the operation. To disable the Lockdown mode on the system using the RACADM command line utility, enter \"racadm set idrac.lockdown.SystemLockdownMode Enabled\".",
            "Severity": "Warning"
        },
        "SRV129": {
            "Description": "The SupportAssist Collection operation is either fully or partially completed, and then exported to the local path.",
            "Message": "The SupportAssist Collection operation is either fully or partially completed, and then exported to the local path.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SRV130": {
            "Description": "The iDRAC Service Module (iSM) running in Host Operating System (OS) is unable to allocate memory because of insufficient storage space in Host OS.",
            "Message": "The iDRAC Service Module (iSM) running in Host Operating System (OS) is unable to allocate memory because of insufficient storage space in Host OS.",
            "NumberOfArgs": 0,
            "Resolution": "Make sure that there is storage space available in Host Operating System (OS) and then retry the operation.",
            "Severity": "Warning"
        },
        "SRV131": {
            "Description": "The SupportAssist operation cannot be completed because of an unknown error in iDRAC.",
            "Message": "Unable to complete the SupportAssist operation because of an unknown error in iDRAC.",
            "NumberOfArgs": 0,
            "Resolution": "Reset the iDRAC and retry the operation. To reset the iDRAC using the RACADM command line utility, enter \"racadm racreset\".",
            "Severity": "Warning"
        },
        "SRV132": {
            "Description": "The SupportAssist operation did not complete within the allocated time.",
            "Message": "Unable to complete the SupportAssist operation within the allocated time.",
            "NumberOfArgs": 0,
            "Resolution": "Reset the iDRAC and retry the operation. To reset the iDRAC using the RACADM command line utility, enter \"racadm racreset\".",
            "Severity": "Warning"
        },
        "SRV133": {
            "Description": "The SupportAssist Collection operation is started by the server Operating System (OS) user identified in the message.",
            "Message": "The SupportAssist Collection operation is started by the server Operating System (OS) user %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SRV134": {
            "Description": "The SupportAssist Collection requested by the server Operating System (OS) user identified in the message is successfully created.",
            "Message": "The SupportAssist Collection requested by the server Operating System (OS) user %1 is successfully created at %2.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SRV135": {
            "Description": "The filtered Operating System (OS) and Application Data collection is not supported on the OS installed on the server.",
            "Message": "The filtered Operating System (OS) and Application Data collection is not supported on the OS installed on the server.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SSD0001": {
            "Description": "The Write Endurance of solid state drive identified in the message is less than the threshold value of 'Remaining Write Rated Endurance'.",
            "Message": "The Write Endurance of Solid state drive (SSD) %1 is less than the threshold value of 'Remaining Write Rated Endurance'.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Back up the data on the solid state drive (SSD), and then contact your service provider for more assistance.",
            "Severity": "Warning"
        },
        "SSD0002": {
            "Description": "The Available Spare of solid state drive identified in the message is less than the threshold value of 'Available Spare Alert'.",
            "Message": "The Available Spare of solid state drive (SSD) %1 is less than the threshold value of 'Available Spare Alert'.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Back up the data on the solid state drive (SSD), and then contact your service provider for more assistance.",
            "Severity": "Warning"
        },
        "STOR001": {
            "Description": "The command is successfully run.",
            "Message": "The command is successfully run.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "STOR003": {
            "Description": "Required parameter is missing.",
            "Message": "Missing parameter.",
            "NumberOfArgs": 0,
            "Resolution": "Refer to the RAID profile to determine required parameters.",
            "Severity": "Warning"
        },
        "STOR004": {
            "Description": "Provided parameter value is not valid.",
            "Message": "Invalid parameter value",
            "NumberOfArgs": 0,
            "Resolution": "Refer to the RAID profile to determine the valid parameters values.",
            "Severity": "Warning"
        },
        "STOR006": {
            "Description": "The operation could not be completed because of an issue with the management controller (either the iDRAC or the Chassis Management Controller (CMC)) that is managing the storage.",
            "Message": "Unable to complete the operation.",
            "NumberOfArgs": 0,
            "Resolution": "Retry the operation. If the issue persists, contact your service provider.",
            "Severity": "Critical"
        },
        "STOR007": {
            "Description": "The operation could not be completed because of insufficient memory space on the management controller (either the iDRAC or the Chassis Management Controller (CMC)) managing the storage.",
            "Message": "Unable to allocate resources.",
            "NumberOfArgs": 0,
            "Resolution": "Retry the operation. If the issue persists, contact your service provider.",
            "Severity": "Critical"
        },
        "STOR009": {
            "Description": "Physical disk did not identify valid physical disk for the operation.",
            "Message": "Physical disk FQDD did not identify a valid physical disk for the operation.",
            "NumberOfArgs": 0,
            "Resolution": "Provide compatible physical disk with the operation.",
            "Severity": "Warning"
        },
        "STOR010": {
            "Description": "The operation cannot be completed either because the RAID level entered is not supported by the controller, or the current RAIDType of \"MD Software RAID\" does not allow the operation.",
            "Message": "Unable to complete the operation either because the RAID level entered is not supported by the controller, or the current RAIDType of \"MD Software RAID\" does not allow the operation.",
            "NumberOfArgs": 0,
            "Resolution": "Enter a valid RAID level and retry the operation.",
            "Severity": "Warning"
        },
        "STOR0101": {
            "Description": "No RAID controller data to display. The system is powered off, no RAID controller is present in the system, or the RAID controller is not connected to the system.",
            "Message": "No RAID controller is displayed.",
            "NumberOfArgs": 0,
            "Resolution": "Check if the server has power, RAID controller is available, and that a RAID controller is connected to the system.",
            "Severity": "Warning"
        },
        "STOR0102": {
            "Description": "No battery data to display. The system is powered off, batteries are not present on the system, batteries are not connected to the RAID controller, or the batteries are depleted.",
            "Message": "No batteries are displayed.",
            "NumberOfArgs": 0,
            "Resolution": "Check if the server has power, batteries are available, and batteries are connected to the RAID controller.",
            "Severity": "Warning"
        },
        "STOR0103": {
            "Description": "No physical disk data to display. The system is powered off, physical disks are not present on the system, or physical disks are not connected to the enclosure or backplane.",
            "Message": "No physical disks are displayed.",
            "NumberOfArgs": 0,
            "Resolution": "Check if the server has power, physical disks are available, and physical disks are connected to the enclosure or backplane.",
            "Severity": "Warning"
        },
        "STOR0104": {
            "Description": "No virtual disk data to display. The system is powered off, physical disks are not present on the system, or virtual disks are not created.",
            "Message": "No virtual disks are displayed.",
            "NumberOfArgs": 0,
            "Resolution": "Check if the server has power, physical disks are available, and virtual disks are created.",
            "Severity": "Warning"
        },
        "STOR0105": {
            "Description": "No enclosure data to display. The system is powered off, enclosures are not present on the system, or enclosures are not connected to the RAID controllers.",
            "Message": "No enclosures are displayed.",
            "NumberOfArgs": 0,
            "Resolution": "Check if the server has power, enclosures are available, and enclosures are connected to the RAID controllers.",
            "Severity": "Warning"
        },
        "STOR0106": {
            "Description": "No fan data to display. The system is powered off, no fan enclosures are present in the system, or the fans are not connected to the enclosures.",
            "Message": "Fans are not connected to enclosures or data about fans is unavailable.",
            "NumberOfArgs": 0,
            "Resolution": "Check if the server has power, enclosure fan is available, and fan is connected to the enclosure.",
            "Severity": "Warning"
        },
        "STOR0107": {
            "Description": "No EMMs data to display. The system is powered off, no enclosure EMMs are present, or the EMMs are not connected to the enclosures.",
            "Message": "EMMs are not connected to enclosures or data about EMMs is unavailable.",
            "NumberOfArgs": 0,
            "Resolution": "Check if the server has power, EMMs are available, and EMMs are connected to the enclosure.",
            "Severity": "Warning"
        },
        "STOR0108": {
            "Description": "No temperature data to display. The system is powered off, no enclosure temperature probes are present in the system, or the temperature probes are not connected to the enclosures.",
            "Message": "Temperature probes are not connected to enclosures or data about temperature is unavailable.",
            "NumberOfArgs": 0,
            "Resolution": "Check if the server has power, enclosure temperature probe is available, and temperature probe is connected to the enclosure.",
            "Severity": "Warning"
        },
        "STOR0109": {
            "Description": "No power supply unit data to display. The system is powered off, no power supply unit is present in the system, or the power supply unit is not connected to the enclosure.",
            "Message": "Power supply unit is not connected to the enclosure or data about power supply unit is unavailable.",
            "NumberOfArgs": 0,
            "Resolution": "Check if the server has power, enclosure power supply unit is available, and power supply unit is connected to the enclosure.",
            "Severity": "Warning"
        },
        "STOR011": {
            "Description": "The operation cannot be completed because the stripe size entered is not supported by the controller.",
            "Message": "Stripe size not supported on controller.",
            "NumberOfArgs": 0,
            "Resolution": "Enter a valid stripe size and retry the operation.",
            "Severity": "Warning"
        },
        "STOR0110": {
            "Description": "The specified Fully Qualified Device Descriptor (FQDDs) system component name is invalid.",
            "Message": "Invalid Fully Qualified Device Descriptor (FQDD).",
            "NumberOfArgs": 0,
            "Resolution": "Verify that the correct Fully Qualified Device Descriptor (FQDD) system component name is specified. See the help text (The help text for the raid subcommand can be obtained by running \"racadm help raid\") or documentation for valid FQDD system component names.",
            "Severity": "Informational"
        },
        "STOR0111": {
            "Description": "The specified reference key is invalid.",
            "Message": "Invalid reference key.",
            "NumberOfArgs": 0,
            "Resolution": "Verify that the correct reference key is specified. See the help text or documentation for valid reference keys.",
            "Severity": "Warning"
        },
        "STOR012": {
            "Description": "One or more of the specified physical disks cannot be used for the operation requested. Physical disk protocol and media type, along with other physical disk characteristics like Secure Encryption and T10 protection, need to match the requirements of the requested operation.",
            "Message": "Provided Physical disk not valid for this operation.",
            "NumberOfArgs": 0,
            "Resolution": "Make sure the specified physical disk has the appropriate protocol and media type for the requested operation. Specify a different physical disk with a state appropriate for the requested operation and retry the operation.",
            "Severity": "Warning"
        },
        "STOR013": {
            "Description": "One or more storage device(s) are in a state that prevents the operation from completing.",
            "Message": "One or more storage device(s) are not in a state where the operation can be completed.",
            "NumberOfArgs": 0,
            "Resolution": "Make sure the specified storage devices are in a state appropriate for the requested operation and retry the operation.",
            "Severity": "Warning"
        },
        "STOR015": {
            "Description": "A new virtual disk cannot be created because the maximum number of virtual disks are already created.",
            "Message": "Maximum virtual disks allowed for this controller has been reached.",
            "NumberOfArgs": 0,
            "Resolution": "A new virtual disk cannot be created until one is deleted.",
            "Severity": "Warning"
        },
        "STOR016": {
            "Description": "The physical disk drive cannot be assigned as the hot-spare of this virtual disk because the capacity of the physical disk is not sufficient.",
            "Message": "The physical disk specified is not large enough to be a hot spare for this virtual disk.",
            "NumberOfArgs": 0,
            "Resolution": "Specify a physical disk with a larger capacity or replace the specified physical disk with one with more capacity, and then retry the operation.",
            "Severity": "Warning"
        },
        "STOR017": {
            "Description": "The virtual disk specified is not compatible with the requested operation or a specified operation parameter is not appropriate for the virtual disk type specified.",
            "Message": "The specified Virtual Disk is not valid for the operation.",
            "NumberOfArgs": 0,
            "Resolution": "Make sure the operation parameters are appropriate for the virtual disk type. Specify a compatible virtual disk for the requested operation and retry the operation.",
            "Severity": "Warning"
        },
        "STOR018": {
            "Description": "This operation did not detect any foreign drives. This may be because no foreign drives are present or the only foreign drives are in a secured locked state.",
            "Message": "No foreign drives detected.",
            "NumberOfArgs": 0,
            "Resolution": "If the only foreign drives present are in a secured locked state, run a secure erase operation on the drives to securely erase data or unlock these drives and retry the operation. Otherwise the operation was not successful because there are no foreign drives.",
            "Severity": "Warning"
        },
        "STOR019": {
            "Description": "The passphrase specified does not follow the passphrase character criteria of the controller character.",
            "Message": "The specified passphrase is not valid.",
            "NumberOfArgs": 0,
            "Resolution": "Enter a passphrase that meets the passphrase character criteria of the controller, and then retry the operation.",
            "Severity": "Warning"
        },
        "STOR020": {
            "Description": "The controller key cannot be set because a key is already present.",
            "Message": "A controller key is already present.",
            "NumberOfArgs": 0,
            "Resolution": "Delete the current key and retry the operation.",
            "Severity": "Informational"
        },
        "STOR021": {
            "Description": "Operation cannot be completed because a controller key is not present.",
            "Message": "The controller key is not present.",
            "NumberOfArgs": 0,
            "Resolution": "Set an appropriate controller key and retry the operation.",
            "Severity": "Informational"
        },
        "STOR022": {
            "Description": "The operation cannot be completed because controller is not security capable.",
            "Message": "The controller is not security capable.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "STOR023": {
            "Description": "Unable to perform configuration operations because a configuration job for the device already exists.",
            "Message": "Unable to perform configuration operations because a configuration job for the device already exists.",
            "NumberOfArgs": 0,
            "Resolution": "Wait for the current job for the device to complete or cancel the current job before attempting more configuration operations on the device.",
            "Severity": "Informational"
        },
        "STOR024": {
            "Description": "Configuration changes for the specified device are already scheduled.",
            "Message": "Unable to create a configuration job because a configuration job for the device already exists.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "STOR025": {
            "Description": "The pending configuration cannot be deleted because the configuration job is already scheduled.",
            "Message": "Unable to delete any pending configuration because the configuration job is already scheduled.",
            "NumberOfArgs": 0,
            "Resolution": "Delete the current configuration job for the device to stop pending configuration changes.",
            "Severity": "Warning"
        },
        "STOR026": {
            "Description": "A configuration job was not created because there are no pending configuration changes.",
            "Message": "A configuration job was not created because there are no pending configuration changes.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "STOR027": {
            "Description": "Setting the Virtual disk name is not a valid operation on the specified controller.",
            "Message": "Virtual Disk name is not supported.",
            "NumberOfArgs": 0,
            "Resolution": "Do not specify the virtual disk name and retry the operation.",
            "Severity": "Warning"
        },
        "STOR028": {
            "Description": "The requested operation cannot be completed because the specified virtual disk is not found.",
            "Message": "Virtual disk not found.",
            "NumberOfArgs": 0,
            "Resolution": "Provide a valid virtual disk FQDD (Fully Qualified Device Descriptor) and retry the operation.",
            "Severity": "Warning"
        },
        "STOR029": {
            "Description": "The requested operation cannot be completed because the specified physical disk is not found.",
            "Message": "Physical disk not found.",
            "NumberOfArgs": 0,
            "Resolution": "Provide a valid physical disk FQDD (Fully Qualified Device Descriptor) and retry the operation.",
            "Severity": "Warning"
        },
        "STOR030": {
            "Description": "The requested operation cannot be completed because the specified controller is not found.",
            "Message": "Controller not found.",
            "NumberOfArgs": 0,
            "Resolution": "Provide a valid controller FQDD (Fully Qualified Device Descriptor) and retry the operation.",
            "Severity": "Warning"
        },
        "STOR031": {
            "Description": "For 11G systems: System Services must be enabled to perform the requested operation. System Services has been disabled through the iDRAC configuration utility accessed by pressing CTRL+E on boot up or through a remote operation. For 12G and above generations: Lifecycle Controller must be enabled to perform the requested operation. Lifecycle Controller has been disabled by pressing F2 Setup, selecting iDRAC Configuration, and selecting Lifecycle Controller Settings on boot up or through a remote operation.",
            "Message": "Lifecycle Controller is not enabled.",
            "NumberOfArgs": 0,
            "Resolution": "For 11G systems: Use the iDRAC configuration utility to enable the System Services by pressing on the CTRL+E option on boot up at the targeted system. For 12G and above generations: Use F2 Setup, select iDRAC Configuration, and select Lifecycle Controller Settings, to enable the Lifecycle Controller on boot up of the targeted system.",
            "Severity": "Informational"
        },
        "STOR032": {
            "Description": "Lifecycle Controller is unable to gain access to internal storage because it is in use by another application or operation.",
            "Message": "Lifecycle Controller is currently in use.",
            "NumberOfArgs": 0,
            "Resolution": "Wait for current Lifecycle Controller operation to complete. Verify that the system is 1) Not currently in Lifecycle Controller Configuration utility 2) Not waiting for user intervention at F1/F2 POST error 3) Not in any of the device or controller Option ROMs and retry the operation.",
            "Severity": "Warning"
        },
        "STOR033": {
            "Description": "The requested operation cannot be completed because an invalid value is specified for Start/Until Time.",
            "Message": "Invalid parameter value for Start/Until Time.",
            "NumberOfArgs": 0,
            "Resolution": "Enter a valid Start/Until Time and retry the operation. For more information about the Start/Until Time, see the RAID Profile specification.",
            "Severity": "Warning"
        },
        "STOR034": {
            "Description": "The requested operation cannot be completed because an invalid value is specified for RebootJobType.",
            "Message": "Invalid parameter value for RebootJobType.",
            "NumberOfArgs": 0,
            "Resolution": "Enter a valid RebootJobType value and retry the operation. For more information about the RebootJobType parameter, see the RAID Profile specification.",
            "Severity": "Warning"
        },
        "STOR035": {
            "Description": "Unable to perform operation because either the number of storage objects specified is insufficient or the storage objects are not in a required state to perform this operation.",
            "Message": "Unable to perform operation because either the number of storage objects specified is insufficient or the storage objects are not in a required state to perform this operation.",
            "NumberOfArgs": 0,
            "Resolution": "Check the number and state of storage objects and retry the operation.",
            "Severity": "Warning"
        },
        "STOR037": {
            "Description": "Unable to complete the requested operation because one or more input parameters identified in the message are not specified.",
            "Message": "Missing required parameter %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Enter all the required parameters and retry the operation.",
            "Severity": "Warning"
        },
        "STOR038": {
            "Description": "Unable to complete the requested operation because one or more input parameters identified in the message are not valid.",
            "Message": "Invalid parameter value for %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Specify a valid value for identified parameter.",
            "Severity": "Warning"
        },
        "STOR039": {
            "Description": "Unable to complete the requested operation because of a mismatch in the number of AttributeName and AttributeValue values specified.",
            "Message": "Mismatch in AttributeName and AttributeValue count.",
            "NumberOfArgs": 0,
            "Resolution": "Specify a valid number of AttributeName and AttributeValue pair values and retry the operation.",
            "Severity": "Warning"
        },
        "STOR040": {
            "Description": "Unable to complete the requested operation because an invalid AttributeName value is specified.",
            "Message": "Invalid AttributeName %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Specify a valid AttributeName value for the attribute identified in the message and retry the operation.",
            "Severity": "Warning"
        },
        "STOR041": {
            "Description": "Unable to complete the requested operation because an invalid value for the attribute identified in the message is specified.",
            "Message": "Invalid value for AttributeName %1",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Specify a valid value for the attribute identified in the message and retry the operation.",
            "Severity": "Warning"
        },
        "STOR042": {
            "Description": "Unable to complete the requested operation because the attribute value specified is not supported in the current configuration.",
            "Message": "Unsupported value for AttributeName %1",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Specify a value for the attribute identified in the message by using one of the possible values currently available for that attribute.",
            "Severity": "Warning"
        },
        "STOR043": {
            "Description": "One or more physical disk drives selected for the operation are part of a virtual disk that is not Secondary RAID Level 0.",
            "Message": "One or more selected physical disk drives are part of virtual disk that is not Secondary RAID Level 0.",
            "NumberOfArgs": 0,
            "Resolution": "This operation is not supported unless the previous virtual disk on the selected physical disk drives are deleted first. To perform the operation, delete any virtual disk on the selected physical disks drives and retry the operation.",
            "Severity": "Informational"
        },
        "STOR044": {
            "Description": "One or more physical disks specified to create virtual disk (VD) is not valid because it is not part of the same disk group.",
            "Message": "All physical disks specified are not part of the same disk group.",
            "NumberOfArgs": 0,
            "Resolution": "Enumerate existing virtual disks to find the physical disks of the same disk group. Specify physical disks that are of the same disk group and retry the operation.",
            "Severity": "Warning"
        },
        "STOR045": {
            "Description": "The specified physical disks have fragmented disk space, therefore StartingLBA and Size parameters are required to be specified in order to create a virtual disk.",
            "Message": "StartingLBA and Size parameters are required to create a virtual disk.",
            "NumberOfArgs": 0,
            "Resolution": "Specify StartingLBA and Size parameters and retry the operation.",
            "Severity": "Warning"
        },
        "STOR046": {
            "Description": "Unable to complete the create virtual disk operation because the StartingLBA and Size value combination results in an overlapping virtual disk.",
            "Message": "The specified StartingLBA and Size values combination result in an overlapping virtual disk.",
            "NumberOfArgs": 0,
            "Resolution": "Refer to the users guide to provide the correct StartingLBA and Size combination values.",
            "Severity": "Warning"
        },
        "STOR047": {
            "Description": "Unable to change the value of the attribute identified in the message because it is ReadOnly.",
            "Message": "Unable to change the value of attribute %1 because it is ReadOnly.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "STOR048": {
            "Description": "Either the controller or the firmware on the controller does not support the Dell Key Management feature.",
            "Message": "Controller is not Dell Key Management capable.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "STOR049": {
            "Description": "The controller is in Local Key Management mode.",
            "Message": "Controller is in Local Key Management mode.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "STOR050": {
            "Description": "The controller is in Local Key Management mode.",
            "Message": "Controller is in Dell Key Management mode.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "STOR0501": {
            "Description": "Unable to create a virtual disk due to unknown reasons.",
            "Message": "Unable to configure RAID.",
            "NumberOfArgs": 0,
            "Resolution": "Do one of the following and retry the operation:1) Exit the RAID Configuration wizard.2) Update the RAID controller firmware to the latest version.3) Reboot the system and press the <F10> key to re-enter Lifecycle Controller, and retry the operation.",
            "Severity": "Critical"
        },
        "STOR0502": {
            "Description": "No RAID controller is installed on the system.",
            "Message": "Unable to launch RAID Configuration wizard.",
            "NumberOfArgs": 0,
            "Resolution": "Install the RAID controller and do the following: 1) Reboot the system.2) Press the <F10> key to re-enter Lifecycle Controller.3) Retry RAID configuration.",
            "Severity": "Critical"
        },
        "STOR0503": {
            "Description": "Existing RAID configuration was successfully erased.",
            "Message": "Successfully erased RAID configuration.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "STOR0504": {
            "Description": "The RAID operation was successful.",
            "Message": "Successfully completed RAID operation.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "STOR0505": {
            "Description": "Unable to delete the existing virtual disks for unknown reasons.",
            "Message": "Unable to delete virtual disks.",
            "NumberOfArgs": 0,
            "Resolution": "Exit the RAID Configuration wizard and retry the operation. If the problem persists do the following: 1) Reboot the system. 2) Press the <F10> key to re-enter Lifecycle Controller. 3) Retry the operation.",
            "Severity": "Critical"
        },
        "STOR0506": {
            "Description": "The physical disk is unreadable or the RAID controller is not responding.",
            "Message": "Unable to create virtual disk.",
            "NumberOfArgs": 0,
            "Resolution": "Exit Lifecycle Controller, press the <F10> key to re-enter Lifecycle Controller, and retry the operation. If the problem persists, replace the physical disk or update the RAID controller firmware to the latest version, and retry the operation.",
            "Severity": "Critical"
        },
        "STOR0507": {
            "Description": "The RAID controller does not have sufficient number of initialized physical disks or adequate disk space to create the requested virtual disk.",
            "Message": "Insufficient physical disk space on selected RAID controller.",
            "NumberOfArgs": 0,
            "Resolution": "Connect additional physical disks to the RAID controller, initialize the physical disks, and retry the operation. To initialize the physical disks, reboot the system and select Option ROM during system startup.",
            "Severity": "Critical"
        },
        "STOR0508": {
            "Description": "Unable to configure RAID as the supported RAID controller is not present.",
            "Message": "No supported controllers present for RAID configuration.",
            "NumberOfArgs": 0,
            "Resolution": "Install a supported RAID controller and the required number of physical disks for the RAID configuration, and retry the operation.",
            "Severity": "Critical"
        },
        "STOR0509": {
            "Description": "The controller does not have the minimum number of initialized disks to create a virtual disk.",
            "Message": "No RAID levels are supported.",
            "NumberOfArgs": 0,
            "Resolution": "Connect required number of initialized physical disks to the RAID controller and retry the operation.",
            "Severity": "Critical"
        },
        "STOR051": {
            "Description": "The requested operation cannot be completed because the specified StartingLBA and Size value combination is greater than allowed by the physical disk size.",
            "Message": "StartingLBA and Size value combination is greater than allowed by the physical disk size.",
            "NumberOfArgs": 0,
            "Resolution": "Specify the Size value only and allow the instrumentation to calculate the StartingLBA value then retry the operation.",
            "Severity": "Warning"
        },
        "STOR0510": {
            "Description": "Unable to apply the RAID controller encryption because RAID controller is not responding.",
            "Message": "Encryption configuration failed.",
            "NumberOfArgs": 0,
            "Resolution": "Retry the operation. If the problem persists, reboot the system or update the RAID controller firmware to the latest version and retry the operation.",
            "Severity": "Critical"
        },
        "STOR0511": {
            "Description": "Unable to change the encryption key due to an internal error.",
            "Message": "Unable to change the encryption key.",
            "NumberOfArgs": 0,
            "Resolution": "Exit Lifecycle Controller, press the <F10> key to re-enter Lifecycle Controller, and retry the operation. If the problem persists, update the RAID controller firmware to the latest version and retry the operation.",
            "Severity": "Critical"
        },
        "STOR0512": {
            "Description": "Unable to apply the encryption key due to an internal error.",
            "Message": "Unable to apply the encryption key.",
            "NumberOfArgs": 0,
            "Resolution": "Exit Lifecycle Controller, press the <F10> key to re-enter Lifecycle Controller, and retry the operation. If the problem persists, update the RAID controller firmware to the latest version and retry the operation.",
            "Severity": "Critical"
        },
        "STOR0513": {
            "Description": "Unable to encrypt unsecure virtual disks due to an internal error.",
            "Message": "Unable to encrypt virtual disks.",
            "NumberOfArgs": 0,
            "Resolution": "Exit Lifecycle Controller, press the <F10> key to re-enter Lifecycle Controller, and retry the operation. If the problem persists, update the RAID controller firmware to the latest version and retry the operation.",
            "Severity": "Critical"
        },
        "STOR0514": {
            "Description": "The physical disk drive(s) cannot be initialized because the selected RAID controller does not support this operation while in non-RAID mode.",
            "Message": "Unable to initialize the selected physical disk drive(s).",
            "NumberOfArgs": 0,
            "Resolution": "Do one of the following: 1) Select a controller that is in RAID mode and retry the operation. 2) Update the controller firmware to the latest version and retry the operation.",
            "Severity": "Critical"
        },
        "STOR052": {
            "Description": "Virtual disks cannot be created because the maximum number of logical drives per controller or diskgroup is reached.",
            "Message": "Unable to create virtual disk, maximum number of created virtual disks per controller or diskgroup has been reached.",
            "NumberOfArgs": 0,
            "Resolution": "Refer to the User's Guide of the specific controller available at the support site for information on the number of supported virtual disks allowed.",
            "Severity": "Informational"
        },
        "STOR053": {
            "Description": "The system could not obtain a controller key from the Dell Key Management Server.",
            "Message": "The controller key is not present. The key must be retrieved from the Dell Key Management Server.",
            "NumberOfArgs": 0,
            "Resolution": "For more information about obtaining a key, see Dell Key Manager or Lifecycle Controller Remote Services Guide available at dell.com/support/manuals.",
            "Severity": "Warning"
        },
        "STOR054": {
            "Description": "The controller or the firmware on the controller does not support the CacheCade feature.",
            "Message": "Controller is not CacheCade capable.",
            "NumberOfArgs": 0,
            "Resolution": "Refer to the specific controller users guide for more information.",
            "Severity": "Informational"
        },
        "STOR055": {
            "Description": "The BIOS on the server is not Dell Key Management capable.",
            "Message": "BIOS does not support Dell Key Manager capabilities.",
            "NumberOfArgs": 0,
            "Resolution": "For more information about key management capabilities, see Dell Key Manager or Lifecycle Controller Remote Services Guide available at dell.com/support/manuals.",
            "Severity": "Informational"
        },
        "STOR056": {
            "Description": "Unable to complete the requested operation because the specified physical disk does not support data encryption.",
            "Message": "Physical disk is not security capable.",
            "NumberOfArgs": 0,
            "Resolution": "Specify a physical disk that is security capable and retry the operation.",
            "Severity": "Informational"
        },
        "STOR057": {
            "Description": "The instrumentation for the specified RAID controller is not in state where the requested operation can be performed because system inventory collection (the CSIOR feature) has not been executed.",
            "Message": "The specified RAID controller is not currently available for configuration.",
            "NumberOfArgs": 0,
            "Resolution": "Enable the CSIOR (Collect System Inventory On Restart) feature and restart the server to cause CSIOR execution. Make sure the Remote Services status is Ready and retry the operation. To get the Remote Services status, invoke the GetRSStatus method. For more information about this method, see Lifecycle Controller Remote Services Guide.",
            "Severity": "Informational"
        },
        "STOR058": {
            "Description": "Unable to complete the operation either because the operation is not supported on the target device, or the RAIDType of \"MD Software RAID\" does not allow the operation.",
            "Message": "The operation cannot be completed either because the operation is not supported on the target device, or the RAIDType of \"MD Software RAID\" does not allow the operation.",
            "NumberOfArgs": 0,
            "Resolution": "Do the following and retry the operation: 1) Make sure that the target device supports the operation. 2) Make sure that the if the RAIDType is set to \"MD Software RAID\" ensure that is the desired value. . For more information, see the iDRAC User's Guide available on the support site.",
            "Severity": "Informational"
        },
        "STOR059": {
            "Description": "The requested operation cannot be completed because there are no virtual disks (VD) available on the specified controller.",
            "Message": "The requested operation is not currently valid because there are no virtual disks on the controller.",
            "NumberOfArgs": 0,
            "Resolution": "Create a virtual disk and retry the operation.",
            "Severity": "Informational"
        },
        "STOR060": {
            "Description": "The requested operation is not supported on the specified storage controller.",
            "Message": "Configuration operations are not supported on the specified storage controller.",
            "NumberOfArgs": 0,
            "Resolution": "For more information about supported operations, see the documentation specific for the targeted storage controller.",
            "Severity": "Informational"
        },
        "STOR061": {
            "Description": "The initializing virtual disk operation is not supported on the target device.",
            "Message": "Initializing virtual disk is not supported on the RAID controller.",
            "NumberOfArgs": 0,
            "Resolution": "For more information about supported operations, see the documentation specific for the targeted RAID controller or the Lifecycle Controller Remote Services Quick Start Guide.",
            "Severity": "Warning"
        },
        "STOR062": {
            "Description": "One or more physical disks specified are full and cannot be used to create additional virtual disks.",
            "Message": "One or more physical disks specified are full and cannot be used to create additional virtual disks.",
            "NumberOfArgs": 0,
            "Resolution": "Make sure all physical disks specified to create a virtual disk have the required amount of free space and retry the operation.",
            "Severity": "Informational"
        },
        "STOR063": {
            "Description": "In order to prevent data loss, the system has prevented the assignment of a Virtual Disk to multiple Virtual Adapters because the clustered assignment mode is not enabled.",
            "Message": "Unable to assign the specified virtual disk to multiple Virtual Adapters in single assignment mode.",
            "NumberOfArgs": 0,
            "Resolution": "Enable clustered assignment mode or unassign the virtual disk from the Virtual Adapter it is currently assigned to and retry the operation.",
            "Severity": "Warning"
        },
        "STOR064": {
            "Description": "Unable to create the requested virtual disk because the physical disks specified did not have the same block size.",
            "Message": "One or more physical disks specified for creating a virtual disk do not have the same block size.",
            "NumberOfArgs": 0,
            "Resolution": "Verify that the physical disks selected for creating the virtual disk have the same block size and retry the operation. The block size can be determined by reviewing the physical disk inventory and checking the BlockSize property for each physical disk.",
            "Severity": "Warning"
        },
        "STOR065": {
            "Description": "Unable to create the requested virtual disk because one or more specified physical disk(s) is not T10 Protection Information capable.",
            "Message": "One or more physical disks specified for creating a virtual disk are not T10 Protection Information capable.",
            "NumberOfArgs": 0,
            "Resolution": "Verify that the physical disks selected for creating a virtual disk are T10 Protection Information capable, and then retry the operation.",
            "Severity": "Warning"
        },
        "STOR066": {
            "Description": "The requested operation did not succeed because the selected RAID controller is not T10 Protection Information capable.",
            "Message": "Controller is not T10 Protection Information capable.",
            "NumberOfArgs": 0,
            "Resolution": "Verify that the RAID controller selected for the operation is T10 Protection Information capable, and then retry the operation.",
            "Severity": "Warning"
        },
        "STOR067": {
            "Description": "The operation did not succeed since the selected controller does not support creating uneven span RAID10 virtual disks.",
            "Message": "Controller does not support uneven span RAID10 virtual disks.",
            "NumberOfArgs": 0,
            "Resolution": "The selected controller is not capable of creating an uneven span RAID10 virtual disk. Specify the proper span length and span depth combination for creating RAID10 virtual disk on the selected controller, and then retry the operation.",
            "Severity": "Warning"
        },
        "STOR068": {
            "Description": "The requested RAID configuration operation did not succeed because the Lifecycle Controller version on the target server does not have the necessary capabilities.",
            "Message": "Unable to perform the requested RAID configuration because the Lifecycle Controller version on the server does not have the necessary capabilities.",
            "NumberOfArgs": 0,
            "Resolution": "Check the Lifecycle Controller version on the target server and update it with the latest version available.",
            "Severity": "Warning"
        },
        "STOR069": {
            "Description": "The method name identified in the message could not be successfully completed, because the number of elements entered for VDPropNameArray and VDPropValueArray is not equal.",
            "Message": "Unable to run the %1 method, because the number of elements entered for VDPropNameArray and VDPropValueArray is unequal.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Enter equal number of elements (pair value), and then retry the operation.",
            "Severity": "Warning"
        },
        "STOR070": {
            "Description": "The method name identified in the message could not be successfully completed, because the number of elements entered for VDPropNameArray and VDPropValueArray is not equal.",
            "Message": "Unable to run the WS-MAN method %1, because an invalid parameter %2 is entered.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "Enter a valid parameter, and then retry the operation. For more information about a valid parameter, refer to the SimpleRAIDProfile document available at DellTechCenter http://en.community.dell.com/techcenter/extras/m/white_papers/20263535.aspx.",
            "Severity": "Warning"
        },
        "STOR0701": {
            "Description": "There are no RAID controllers, physical disks or virtual disks discovered by instrumentation that can be configured.",
            "Message": "Storage objects are unavailable in the current system configuration.",
            "NumberOfArgs": 0,
            "Resolution": "Storage objects are unavailable in the current system configuration. Make sure that the storage devices are installed in the system, and then retry the operation after the Collect System Inventory On Restart (CSIOR) feature has updated the system inventory. If the issue persists, contact your service provider.",
            "Severity": "Warning"
        },
        "STOR0702": {
            "Description": "The value entered for the option name identified in the message is invalid.",
            "Message": "The value entered for the %1 option is invalid",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "For more information, run the RACADM command \"racadm raid help createvd\".",
            "Severity": "Warning"
        },
        "STOR071": {
            "Description": "The configuration operation could not be performed because the specified span count is not valid.",
            "Message": "The Span Count is not valid for creating a RAID 10. Valid Span counts are %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Enter a valid span count, and then retry the operation.",
            "Severity": "Warning"
        },
        "STOR072": {
            "Description": "The configuration operation could not be performed because it requires iDRAC Service Module (ISM) service to be present and running in the server Operating System.",
            "Message": "iDRAC Service Module (ISM) is either not present or not running on the server OS.",
            "NumberOfArgs": 0,
            "Resolution": "Make sure the iDRAC Service Module (ISM) service is running on the server Operating System and then retry the operation. Refer to the iDRAC User Guide for installing and starting ISM.",
            "Severity": "Warning"
        },
        "STOR073": {
            "Description": "The iDRAC Service Module version present on the server OS does not support the requested PCIe SSD (NVMe) device operation.",
            "Message": "The iDRAC Service Module version present on the server OS does not support the requested PCIe SSD (NVMe) device operation.",
            "NumberOfArgs": 0,
            "Resolution": "Update the Dell iDRAC Service Module (ISM) to the version that supports the requested operation on the PCIe SSD (NVMe) device.",
            "Severity": "Warning"
        },
        "STOR074": {
            "Description": "The requested RAID configuration operation will not be allowed because the RAID controller is currently in HBA mode.",
            "Message": "The requested RAID configuration operation is not allowed because the controller is currently in HBA mode.",
            "NumberOfArgs": 0,
            "Resolution": "In order to perform a RAID configuration operation, change the controller mode to RAID and retry the operation. For switching to RAID mode using the F2 System Setup utility, go to Device Settings > \"RAID Controller \"> Controller Management > Advanced Controller Management > Switch to RAID mode.",
            "Severity": "Warning"
        },
        "STOR075": {
            "Description": "The requested operation could not be completed because there is an operation pending to change the enclosure configuration mode (Split or Unified). This operation is exclusive because it involves changing the RAID backplane topology.",
            "Message": "The operation cannot be performed because the enclosure configuration mode (Split or Unified) change request is pending.",
            "NumberOfArgs": 0,
            "Resolution": "Do one of the following: 1) Create a job to complete the pending enclosure mode change request operation, allow the job to complete, restart the server, and then retry the operation. 2) Cancel any pending operations on the RAID controller, and then retry the operation.",
            "Severity": "Warning"
        },
        "STOR076": {
            "Description": "The requested operation could not be completed because at least one other pending operation was found on the RAID controller. This operation needs exclusivity because it involves changing RAID backplane topology.",
            "Message": "Enclosure configuration mode (Split/Unified) cannot be changed because there are already pending operations.",
            "NumberOfArgs": 0,
            "Resolution": "Do one of the following: 1) Create a job to complete the pending operations, allow the job to complete, and then retry the operation. 2) Cancel any pending operations on the RAID controller, and then retry the operation.",
            "Severity": "Warning"
        },
        "STOR077": {
            "Description": "A Patrol Read State change operation cannot be performed if the Patrol Read Mode is not set to Manual.",
            "Message": "Unable to change Patrol Read State since Patrol Read Mode is not set to Manual.",
            "NumberOfArgs": 0,
            "Resolution": "Change the Patrol Read Mode to Manual before performing a Patrol Read State change operation.",
            "Severity": "Warning"
        },
        "STOR078": {
            "Description": "The requested operation cannot be performed because it involves server reboot type which is different than the reboot type of pending operations. Combining operations with different reboot types for the same RAID controller is not supported by iDRAC.",
            "Message": "The requested operation requires a reboot type that does not match the reboot type required for pending operations.",
            "NumberOfArgs": 0,
            "Resolution": "Cancel any pending operations on the RAID controller and then retry the operation.",
            "Severity": "Warning"
        },
        "STOR079": {
            "Description": "The requested operation cannot be performed because it is either not supported by the device or the device was not in the right state to perform the operation.",
            "Message": "The device does not support this operation or is in a state that does not allow this operation.",
            "NumberOfArgs": 0,
            "Resolution": "Make sure the device supports the requested operation. If the operation is supported, then make sure the server is turned on and retry the operation.",
            "Severity": "Warning"
        },
        "STOR081": {
            "Description": "The job could not be created because the reboot type selected for the job creation and the reboot type required for pending operations do not match.",
            "Message": "The job could not be created because the reboot type selected for the job creation and the reboot type required for pending operations do not match.",
            "NumberOfArgs": 0,
            "Resolution": "Change the reboot type for job creation and retry the operation.",
            "Severity": "Warning"
        },
        "STOR082": {
            "Description": "The operation cannot be stopped or canceled because the operation is not currently running.",
            "Message": "The operation cannot be stopped or cancelled because the operation is not currently running.",
            "NumberOfArgs": 0,
            "Resolution": "Make sure the operation is running before attempting to cancel or stop the operation.",
            "Severity": "Warning"
        },
        "STOR083": {
            "Description": "The Physical Disk(s) specified are too small to create a Virtual Disk of the requested size.",
            "Message": "The Physical Disk(s) specified are too small to create a Virtual Disk of the requested size.",
            "NumberOfArgs": 0,
            "Resolution": "Specify Physical Disk FQDD IDs of physical disk drive(s) that have a larger disk space, and retry the operation.",
            "Severity": "Warning"
        },
        "STOR084": {
            "Description": "The requested job cannot be run because another job is currently running. Two options for running jobs on multiple storage controllers are: 1) Run the jobs on each controller individually. Wait for each job to complete before starting the configuration and job creation on the next controller. 2) Schedule multiple jobs to run at a later time using the scheduling options.",
            "Message": "Unable to create the job because another job is currently running",
            "NumberOfArgs": 0,
            "Resolution": "Make sure that the currently running job is completed, and then retry the operation. If necessary, recreate the configuration and the job. For information about running jobs on multiple storage controllers, see the iDRAC Online Help or iDRAC Users Guide.",
            "Severity": "Critical"
        },
        "STOR087": {
            "Description": "The configuration operation cannot be started because the System Lockdown mode is enabled.",
            "Message": "Unable to start the configuration operation because the System Lockdown mode is enabled.",
            "NumberOfArgs": 0,
            "Resolution": "Make sure that the Lockdown.1#SystemLockdown attribute is set to Disabled in the DCIM_iDracCardEnumeration class by running the WS-Man get command at the command line interface (CLI), and then retry the operation.",
            "Severity": "Informational"
        },
        "STOR088": {
            "Description": "The requested operation cannot be completed because the enclosure FQDD (Fully Qualified Device Descriptor) specified in the input is not valid.",
            "Message": "Unable to complete the operation because the enclosure FQDD (Fully Qualified Device Descriptor) specified in the input is not valid.",
            "NumberOfArgs": 0,
            "Resolution": "Enter a valid enclosure FQDD (Fully Qualified Device Descriptor) and retry the operation. If the issue persists, contact your service provider.",
            "Severity": "Warning"
        },
        "STOR089": {
            "Description": "The storage configuration operation is successfully completed and the change is in pending state.",
            "Message": "The storage configuration operation is successfully completed and the change is in pending state.",
            "NumberOfArgs": 0,
            "Resolution": "To apply the configuration operation immediately, create a configuration job using the --realtime option. To create the necessary real-time job, run the jobqueue command. For more information about jobqueue command, run the racadm help jobqueue command.",
            "Severity": "Informational"
        },
        "STOR090": {
            "Description": "Unable to create a virtual disk because an invalid combination of span count or disks passed was entered for the RAID level selected.",
            "Message": "Unable to create a virtual disk because an invalid combination of span count or number of disks was entered for the RAID level selected.",
            "NumberOfArgs": 0,
            "Resolution": "Enter a span count value (-sc option) or number of disks (-pdkey option) that is appropriate for the RAID level selected. See the PERC Controller Users Guide for valid span count and number of disks required for a raid level. Retry the operation by running the RACADM storage createvd command with the appropriate options.",
            "Severity": "Informational"
        },
        "STOR092": {
            "Description": "The requested configuration operation cannot be run because a foreign configuration import operation on the controller is already in progress.",
            "Message": "Unable to run the configuration operation on the controller because foreign configuration import operation is in progress.",
            "NumberOfArgs": 0,
            "Resolution": "Wait for the import process to complete before running any configuration operation.",
            "Severity": "Informational"
        },
        "STOR093": {
            "Description": "The configuration operation cannot be performed because the controller is not available for import process.",
            "Message": "Unable to run the configuration operation because the controller is not available for the import process.",
            "NumberOfArgs": 0,
            "Resolution": "Make sure an operation is not pending on the controller. If an operation is pending, wait for the operation to complete or cancel the pending operation and then retry the operation. Refer to the storage controller documentation for compatibility information.",
            "Severity": "Informational"
        },
        "STOR094": {
            "Description": "The storage configuration operation is successfully completed and the change is in pending state.",
            "Message": "The storage configuration operation is successfully completed and the change is in pending state.",
            "NumberOfArgs": 0,
            "Resolution": "To apply the configuration operation immediately, create a configuration job using the --realTime option. To apply the configuration after restarting the server, create a configuration job using the -r option. To create the necessary real-time and restart jobs, run the jobqueue command. For more information about jobqueue command, run the racadm help jobqueue command.",
            "Severity": "Informational"
        },
        "STOR095": {
            "Description": "Storage operation is successfully completed.",
            "Message": "Storage operation is successfully completed.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "STOR096": {
            "Description": "A virtual disk cannot be created because the disk space size value entered for the virtual disk is less than the lower limit value (100 MB).",
            "Message": "Unable to create a virtual disk because the disk space size value entered for the virtual disk is less than the lower limit value (100 MB).",
            "NumberOfArgs": 0,
            "Resolution": "Enter a value (the -size option) equal or higher than 100 MB, and then retry the operation.",
            "Severity": "Informational"
        },
        "STOR097": {
            "Description": "A virtual disk cannot be created because the memory size of the physical disk drive is less than available or entered virtual disk size.",
            "Message": "Unable to complete the operation because the memory size of the physical disk drive is less than the available or entered virtual disk size.",
            "NumberOfArgs": 0,
            "Resolution": "Enter the FQDD of a physical disk drive that has a larger disk space, and then retry the operation. To view a list of physical disk drives and associated disk space, run the RACADM command \"racadm storage get pdisks -o -p size\". To view a list of virtual disks and associated size, run the RACADM command \"racadm storage get vdisks -o -p size\".",
            "Severity": "Informational"
        },
        "STOR099": {
            "Description": "The FQDD cannot be found because an invalid FQDD is entered or an operation is pending on the FQDD identified in the message.",
            "Message": "Unable to find the FQDD %1 because an invalid FQDD is entered or an operation is pending on the specified FQDD.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Do the following and then retry the operation: 1) Make sure the FQDD entered is valid. 2) Make sure an operation is not pending on the FQDD identified in the message. For more information refer to the RACADM Command Line Reference Guide.",
            "Severity": "Warning"
        },
        "STOR1": {
            "Description": "The controller cannot communicate with a device. The state of the device cannot be determined. There may be a bad or loose cable, or a missing device, or a problem with the driver or firmware.",
            "Message": "A device %1 is in an unknown state.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "See the storage hardware documentation for information on checking the cables. Check for problems with any enclosures attached to the system. Verify that the controller has a supported version of the driver and firmware. Rebooting the system may resolve this problem.",
            "Severity": "Warning"
        },
        "STOR10": {
            "Description": "The RAID controller was detected, however it is unable to turn on. Access to shared storage will not be available.",
            "Message": "Access to shared storage will not be available, because the RAID controller is unable to turn on.",
            "NumberOfArgs": 0,
            "Resolution": "Update the Chassis Infrastructure firmware.",
            "Severity": "Critical"
        },
        "STOR102": {
            "Description": "The operation cannot be performed because the HDDs have the RAID controller in mixed RAID mode.",
            "Message": "Unable to start the operation because the hard disk drives (HDDs) have the RAID controller in mixed RAID mode.",
            "NumberOfArgs": 0,
            "Resolution": "Do the following to separate the mixed RAID mode and retry the operation. 1) Group the hard disk drives (HDDs) into to Windows and Linux metadata categories by observing the RAIDType property on the Physical Disk page of iDRAC graphical user interface (GUI). 2) Convert a group of selected HDDs to non-RAID mode by running the ConvertToNonRAID method or RACADM command, or by setting the RAIDPDState to NonRAID in the Server Configuration Profile.",
            "Severity": "Warning"
        },
        "STOR103": {
            "Description": "The physical disk drive cannot be converted to Ready status because either the input value is not supported or the controller's current RAID mode does not allow the input value. The RAIDMode may not match the RAIDType or the SoftwareRAIDMode requested.",
            "Message": "Unable to convert the physical disk drive to Ready status because either the input value is not supported or the controller's current RAID mode does not allow the input value.",
            "NumberOfArgs": 0,
            "Resolution": "Make sure that the input value is correct and retry the operation. If RAIDMode has a value then the requested RAIDType or SoftwareRAIDMode value must match.",
            "Severity": "Warning"
        },
        "STOR104": {
            "Description": "The operation cannot be started because the operation is not supported on the NVMe RAID drives. The RAIDMode may not match the RAIDType or the SoftwareRAIDMode requested.",
            "Message": "Unable to start the operation because the operation is not supported on the NVMe RAID drives.",
            "NumberOfArgs": 0,
            "Resolution": "Set the NVMeMode attribute of BIOS to NonRAID and retry the operation. To set the NonRAID mode, see the staged objects example of setting Single-Object in the SET command section of the iDRAC RACADM CLI Reference guide available on the support site. To verify the setting by using iDRAC graphical user interface (GUI), click Configuration > BIOS Settings > NVMe Settings.",
            "Severity": "Warning"
        },
        "STOR11": {
            "Description": "The current hardware configuration is setup correctly for High Availability. However, the current firmware does not provide this functionality and one of the cards will be kept in a powered down state until High Availability capable firmware is installed.",
            "Message": "The currently detected hardware configuration is High Availability Ready. However, the current software solution does not yet support high availability.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "STOR12": {
            "Description": "One or more RAID controllers is disabled. This prevents Fault Tolerant mode from operating.",
            "Message": "Chassis is operating with a disabled RAID controller.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "STOR13": {
            "Description": "The operation mode of the newly inserted storage sled in the slot identified in the message cannot be set because the storage sled has only one PERC controller. The operation mode will only be Join after part replacement.",
            "Message": "Unable to set the operation mode of the newly inserted storage sled in slot %1 to Split Single or Split Dual Host, because the storage sled has only one PERC controller.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Make sure that the newly inserted storage sled has the same number of PERC controllers as the previous storage sled so that the new sled will have the same operation mode after part replacement.",
            "Severity": "Warning"
        },
        "STOR14": {
            "Description": "Peripheral sled initialization is not successful with following possible reasons: 1) FRU is not functioning. 2) Sled internal components are not responding. 3) Component power state is not good. 4) Hardware configuration errors.",
            "Message": "The peripheral sled in slot %1 initialization is not complete.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Do the following: 1) Check system log for further information about the issue, 2) Remove and re-insert the peripheral sled identified in the message or virtual reseat the sled, 3) Reset the CMC and wait for a few minutes for the CMC to finish restarting. If the issue persists, contact your service provider.",
            "Severity": "Critical"
        },
        "STOR15": {
            "Description": "The storage sled identified in the message was inserted in a location which does not support split dual host operation mode. The storage sled can functionally work in the current location with only primary PERC controller enabled.",
            "Message": "The storage sled %1 is improperly configured.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Do one of the following: 1) Change the operating mode of the storage sled identified in the message. 2) Insert the storage sled to a different slot.",
            "Severity": "Warning"
        },
        "STOR16": {
            "Description": "The configuration of the storage sled in the slot identified in the message is normal.",
            "Message": "The storage sled %1 configuration is normal.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "STOR2": {
            "Description": "A SCSI device experienced an error, but may have recovered.",
            "Message": "SCSI sense data %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "STOR3": {
            "Description": "Storage Management has lost communication with a controller. This may occur if the connectivity between the controller and iDRAC is disrupted or any underlying hardware problems are encountered.",
            "Message": "CEM Storage Management has lost communication with the %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Reboot the system or iDRAC. If the problem is not resolved, contact technical support.",
            "Severity": "Critical"
        },
        "STOR300": {
            "Description": "The requested operation could not be completed because at least one other pending operation was found on the RAID controller. This operation needs exclusivity because it requires a server reboot for changes to apply.",
            "Message": "Unable to change the controller mode because there are already pending operations.",
            "NumberOfArgs": 0,
            "Resolution": "Do one of the following: 1) Create a job to complete the pending operations, allow the job to complete, and then retry the operation. 2) Cancel any pending operations on the RAID controller, and then retry the operation.",
            "Severity": "Warning"
        },
        "STOR301": {
            "Description": "The requested operation could not be completed because there is an operation pending to change the controller mode. This operation is exclusive because it requires a server reboot for changes to apply.",
            "Message": "Unable to perform the operation because the controller mode change request is pending.",
            "NumberOfArgs": 0,
            "Resolution": "Do one of the following: 1) Create a job to complete the pending controller mode change request operation, allow the job to complete, restart the server, and then retry the operation. 2) Cancel any pending operations on the RAID controller, and then retry the operation.",
            "Severity": "Warning"
        },
        "STOR302": {
            "Description": "The job could not be created because the Apply Operation Mode selected is not supported for this operation.",
            "Message": "Unable to create the job because the Apply Operation Mode selected is not supported for this operation.",
            "NumberOfArgs": 0,
            "Resolution": "Choose a different Apply Operation mode \"Apply at Next Reboot\" from the Apply Operation Mode drop-down menu.",
            "Severity": "Critical"
        },
        "STOR303": {
            "Description": "Controller mode cannot be changed as the controller has foreign configuration associated with it.",
            "Message": "Unable to change controller mode while foreign configuration is present on the controller.",
            "NumberOfArgs": 0,
            "Resolution": "Clear the foreign configuration and retry the operation.",
            "Severity": "Warning"
        },
        "STOR304": {
            "Description": "Controller mode cannot be changed as the controller has virtual disk or hotspare associated with it.",
            "Message": "Unable to change controller mode while Virtual Disks and/or Hotspares are present on the controller.",
            "NumberOfArgs": 0,
            "Resolution": "Delete the Virtual Disks and/or Hotspares and retry the operation.",
            "Severity": "Warning"
        },
        "STOR305": {
            "Description": "The operation cannot be completed because the preserved cache is present on the controller.",
            "Message": "Unable to complete the operation because preserved cache is present on the controller.",
            "NumberOfArgs": 0,
            "Resolution": "To recover the data preserved in pinned cache do one of the following 1) Try importing foreign drives, if any. 2) Make sure that the enclosure containing the virtual drive is connected to the controller. 3) Install any drives that are reported as missed or failed. Pinned cache can be discarded if data saved in controller pinned cache is not required. For more information about managing preserve cache, refer to the PERC User's Guide available on the support site.",
            "Severity": "Warning"
        },
        "STOR306": {
            "Description": "Controller mode cannot be changed as the controller currently has the security key assigned.",
            "Message": "Unable to change controller mode while security key is assigned to the controller.",
            "NumberOfArgs": 0,
            "Resolution": "Delete the security key and retry the operation.",
            "Severity": "Warning"
        },
        "STOR307": {
            "Description": "Unable to perform the configuration operation because the export log operation is currently in progress.",
            "Message": "Unable to perform the configuration operation because the export log operation is currently in progress.",
            "NumberOfArgs": 0,
            "Resolution": "Wait until the current export operation is complete, and then try the configuration operation again.",
            "Severity": "Warning"
        },
        "STOR308": {
            "Description": "The Controller is in HBA mode, RaidAction CreateAuto value is not supported.",
            "Message": "Controller is in HBA mode, RaidAction CreateAuto value is not supported.",
            "NumberOfArgs": 0,
            "Resolution": "In order to perform a RAID configuration operation, change the controller mode to RAID and retry the operation. For switching to RAID mode using the F2 System Setup utility, go to Device Settings > \"RAID Controller \"> Controller Management > Advanced Controller Management > Switch to RAID mode.",
            "Severity": "Warning"
        },
        "STOR309": {
            "Description": "The command cannot be run because multiple targets must not be entered as input in the Blink/Unblink Target method.",
            "Message": "Unable to run the command because multiple targets must not be entered as input in the Blink/Unblink Target method.",
            "NumberOfArgs": 0,
            "Resolution": "Enter only one target FQDD (Fully Qualified Device Descriptor), and then retry the operation.",
            "Severity": "Informational"
        },
        "STOR310": {
            "Description": "The virtual disk cannot be initialized because the RAID controller selected does not support the initialization mode.",
            "Message": "Unable to initialize the virtual disk because the RAID controller selected does not support the initialization mode.",
            "NumberOfArgs": 0,
            "Resolution": "Make sure that the RAID controller selected for the operation supports the initialization mode, and they retry the operation. For more information about supported RAID controllers, see the specific documentation of RAID controller. Also, refer to the Dell Lifecycle Controller Remote Services Quick Start Guide available at the support site.",
            "Severity": "Warning"
        },
        "STOR311": {
            "Description": "A drive firmware update was applied but requires a DC power cycle (cold boot) to activate. If the drive is internal to the system performing the update, no further action is required. If the drive is in an external enclosure, the enclosure must be turned off and then turned on in order for the updated drive firmware to activate.",
            "Message": "A firmware update was applied to a drive that requires a DC power cycle (cold boot). If the drive is in an external enclosure, the updated firmware will only be activated after a DC power cycle of the enclosure.",
            "NumberOfArgs": 0,
            "Resolution": "If the drive is internal to the system performing the update, no further action is required. If the drive is in an external enclosure, the enclosure must be turned off and then turned on in order for the updated drive firmware to activate. After turning off the external enclosure, wait for drives to spin down before turning the enclosure back on. The drive firmware will activate after the enclosure is turned back on.",
            "Severity": "Warning"
        },
        "STOR312": {
            "Description": "The firmware package being used to update the physical disk drive is not valid for the drive model identified in the message. The firmware package contains the drive component id in the list of supported drives, but the firmware image is not valid for the drive model identified in the message.",
            "Message": "Unable to update the firmware of the physical disk drive %1 because an incorrect firmware image file is used.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Acquire the correct firmware image file for the drive model identified in the message, and then retry the operation. The correct image file can be found by using the drive model information and searching the support site for related firmware.",
            "Severity": "Warning"
        },
        "STOR313": {
            "Description": "The storage controller does not support reconfiguration operations.",
            "Message": "Unable to run the command to reconfigure the Virtual Disk because the storage controller does not support reconfiguration operations.",
            "NumberOfArgs": 0,
            "Resolution": "Make sure of the following and retry the operation: 1) The latest version of Lifecycle Controller firmware is installed, 2) The storage controller supports reconfiguration process. For information about the supported storage controller versions, see the Lifecycle Controller User's Guide available on the support site.",
            "Severity": "Warning"
        },
        "STOR314": {
            "Description": "Only one pending Reconfiguration operation is possible on a Virtual Disk at a time.",
            "Message": "Unable to start the reconfiguration operation on a Virtual Disk because a reconfiguration request for that Virtual Disk already exists.",
            "NumberOfArgs": 0,
            "Resolution": "There are two possible response actions. 1)Commit and execute the pending reconfiguration operation. Once complete, retry the new Reconfiguration operation. 2)Cancel the pending Reconfiguration operation and then retry the new reconfiguration operation.",
            "Severity": "Warning"
        },
        "STOR315": {
            "Description": "Certain RAID levels require a Virtual Disk to have more than one span. Reconfiguration operation on these Virtual Disks is not supported by the storage controller.",
            "Message": "Unable to perform the reconfiguration operation because the storage controller does not support reconfiguring a Virtual Disk that has more than one span.",
            "NumberOfArgs": 0,
            "Resolution": "Make sure that the Virtual Disk has a single span and retry the reconfiguration operation. For information about the RAID levels that have a single span, see the Lifecycle Controller User's Guide available at the support site.",
            "Severity": "Critical"
        },
        "STOR316": {
            "Description": "This occurs when a disk group is sliced to create multiple Virtual Disks. Reconfiguration of such sliced Virtual Disks is not supported.",
            "Message": "Unable to perform the reconfiguration operation because the storage controller does not support reconfiguration of a Virtual Disk that is part of a disk group that has multiple Virtual Disks.",
            "NumberOfArgs": 0,
            "Resolution": "Make sure that the physical disk group has a single Virtual Disk and retry the reconfiguration operation.",
            "Severity": "Critical"
        },
        "STOR317": {
            "Description": "A disk drive group has a limit on the minimum and maximum number of disk drives it can have on the basis of its Virtual Disk RAID level. When a reconfiguration operation is specified with additional physical disks the total number of physical disks should be in the disk group's permissible range.",
            "Message": "Unable to perform the reconfiguration operation because the number of physical disks specified in the disk group is not as per the permitted range.",
            "NumberOfArgs": 0,
            "Resolution": "Enter the correct number of physical disks for the reconfiguration operation and retry the operation. The number of physical disks in a disk group must be within the disk group's permissible range. For information about the minimum and maximum possible physical disks in a disk group, see the Lifecycle Controller User's Guide available at the support site.",
            "Severity": "Critical"
        },
        "STOR318": {
            "Description": "Expansion of storage capacity of a Virtual Disk is limited by the disk space of its physical disks and the Virtual Disk RAID level. Based on these two values there is a maximum limit on the capacity expansion size of a Virtual Disk.",
            "Message": "Unable to perform the reconfiguration operation because the Virtual Disk size specified is invalid.",
            "NumberOfArgs": 0,
            "Resolution": "Make sure that the Virtual Disk size specified for the reconfiguration operation is less than or equal to the maximum possible value. For information about the maximum possible value, see the Lifecycle Controller User's Guide available at the support site.",
            "Severity": "Critical"
        },
        "STOR319": {
            "Description": "The storage controller only allows one reconfiguration operation at a time on a Virtual Disk. A new reconfiguration operation cannot be requested until the currently executing reconfiguration operation is complete or is canceled.",
            "Message": "Unable to perform the reconfiguration operation because a reconfiguration operation is already in progress for the Virtual Disk.",
            "NumberOfArgs": 0,
            "Resolution": "There are two possible actions. 1) Wait for the current reconfiguration operation to complete and then retry the new reconfiguration operation. 2) Cancel the current reconfiguration operation and then start the new reconfiguration operation.",
            "Severity": "Critical"
        },
        "STOR320": {
            "Description": "The storage controller does not support online capacity expansion and RAID level migration of a Virtual Disk at the same time.",
            "Message": "Unable to start the reconfiguration operation because the requested reconfiguration operation is invalid.",
            "NumberOfArgs": 0,
            "Resolution": "There are two Reconfiguration operations possible on a Virtual Disk 1) Online Expansion of the storage capacity 2) RAID level migration . Only one of the above two operations can be specified in a Reconfiguration operation. Make sure that only one of the above two operation types is requested and retry the operation. Also make sure that if provided, the Virtual Disk size is at least 1% of the maximum expansion size possible. Also make sure that if provided, the new Virtual Disk RAID level is different from the existing raid level.",
            "Severity": "Critical"
        },
        "STOR4": {
            "Description": "There was a software problem in initializing the CEM storage management components. Storage inventory and monitoring will be affected.",
            "Message": "CEM Storage Management encountered internal error.",
            "NumberOfArgs": 0,
            "Resolution": "Reboot the system or iDRAC. If the problem is not resolved, contact technical support.",
            "Severity": "Critical"
        },
        "STOR5": {
            "Description": "A virtual disk or enclosure has lost data redundancy. In the case of a virtual disk, one or more physical disks included in the virtual disk have failed. Due to the failed physical disk or disks, the virtual disk is no longer maintaining redundant (mirrored or parity) data. The failure of an additional physical disk will result in lost data. In the case of an enclosure, more than one enclosure component has failed. For example, the enclosure may have suffered the loss of all fans or all power supplies.",
            "Message": "Redundancy lost.%1",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Identify and replace the failed components. To identify the failed component, select the Storage object and click the Health subtab. The controller status displayed on the Health subtab indicates whether a controller has a failed or degraded component. Click the controller that displays a Warning or Failed status. This action displays the controller Health subtab which displays the status of the individual controller components. Continue clicking the components with a Warning or Failed status until you identify the failed component. See Storage Health for more information. See the enclosure documentation for information on replacing enclosure components and for other diagnostic information.",
            "Severity": "Warning"
        },
        "STOR6": {
            "Description": "A comparison of storage inventory collected before and after the host re-boot/re-set. reports differences. There could have been some storage components added or removed when the host was powered down.",
            "Message": "CEM Storage Management detected inventory change(s) after host re-boot.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "STOR7": {
            "Description": "The storage monitoring instrumentation detected a burst of events from underlying storage controllers. To overcome this overload condition, all the outstanding events have been purged and a fresh inventory will be performed automatically.",
            "Message": "The storage management instrumentation is performing an inventory refresh operation.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "STOR8": {
            "Description": "High Availability RAID is not supported by this firmware release. This event may occur during the upgrade process.",
            "Message": "Detected two RAID controllers in integrated slots. This configuration is not currently supported and the second controller will not be powered on.",
            "NumberOfArgs": 0,
            "Resolution": "Remove one RAID controller.",
            "Severity": "Warning"
        },
        "STOR9": {
            "Description": "No supported RAID controllers have been detected. Access to shared storage will not be available.",
            "Message": "No RAID controllers have been detected. Access to shared storage will not be available.",
            "NumberOfArgs": 0,
            "Resolution": "Ensure supported RAID controllers are installed.",
            "Severity": "Warning"
        },
        "SUP001": {
            "Description": "Insufficient Parameters provided for the WSMAN command.",
            "Message": "Insufficient parameters provided.",
            "NumberOfArgs": 0,
            "Resolution": "Make sure the parameters are correct and in the right number and format and retry the action.",
            "Severity": "Warning"
        },
        "SUP002": {
            "Description": "Could not create a new job because of a network error or an unresponsive iDRAC.",
            "Message": "Job creation failure.",
            "NumberOfArgs": 0,
            "Resolution": "Retry the action. If this fails, reboot the iDRAC.",
            "Severity": "Warning"
        },
        "SUP003": {
            "Description": "One of the uniform resource input (URI) string, target or reboot flag parameters is missing or exceeds the prescribed length.",
            "Message": "Invalid URI, target or reboot flag.",
            "NumberOfArgs": 0,
            "Resolution": "Verify that the URI, target or reboot flag parameter values are correct and retry the action.",
            "Severity": "Warning"
        },
        "SUP005": {
            "Description": "Reboot value specified is not supported.",
            "Message": "Invalid reboot value.",
            "NumberOfArgs": 0,
            "Resolution": "Verify the reboot value and retry the action. Current options available are 1)Power Cycle 2) Graceful shutdown without forced shutdown 3) Graceful shutdown with forced shutdown (~10 minutes wait time).",
            "Severity": "Warning"
        },
        "SUP006": {
            "Description": "The DUP is being downloaded and the update cannot be deleted while the download is in progress.",
            "Message": "Update package downloading - Delete failed.",
            "NumberOfArgs": 0,
            "Resolution": "Wait until the update package is downloaded and retry the action. The download can take more than 5 minutes depending on network speed and size of the update package.",
            "Severity": "Informational"
        },
        "SUP007": {
            "Description": "The iDRAC communication channel is open and being used by another process; this can be caused by an open session of USC locally on the server.",
            "Message": "iDRAC busy - Delete failed.",
            "NumberOfArgs": 0,
            "Resolution": "If USC is in use, wait until USC has exited and retry the action. Otherwise retry after 30 seconds to check if network connectivity caused this error.",
            "Severity": "Warning"
        },
        "SUP009": {
            "Description": "Because of the size of the driver pack, the update process removes the older version of the driver pack from the system before installing the newer version. For that reason, the driver pack update cannot be deleted.",
            "Message": "Driver pack update in progress - Delete failed.",
            "NumberOfArgs": 0,
            "Resolution": "Wait for the Driver Pack update to complete. To revert to the previous version of the update, download and update the firmware to the version desired.",
            "Severity": "Warning"
        },
        "SUP0100": {
            "Description": "The firmware update operation failed.",
            "Message": "Firmware update operation failed.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Critical"
        },
        "SUP0101": {
            "Description": "Unable to get the update status.",
            "Message": "Unable to get firmware update status.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Critical"
        },
        "SUP0102": {
            "Description": "The TFTP IP Address specified is invalid.",
            "Message": "Invalid TFTP IP address specified.",
            "NumberOfArgs": 0,
            "Resolution": "Specify a valid TFTP IP Address.",
            "Severity": "Warning"
        },
        "SUP0103": {
            "Description": "The specified TFTP server is not reachable.",
            "Message": "TFTP IP address is not reachable.",
            "NumberOfArgs": 0,
            "Resolution": "Check if the TFTP server is alive.",
            "Severity": "Critical"
        },
        "SUP0104": {
            "Description": "The source path needs to be lesser than 64 characters.",
            "Message": "TFTP Source path too long.",
            "NumberOfArgs": 0,
            "Resolution": "Enter a source path < 64 characters.",
            "Severity": "Warning"
        },
        "SUP0105": {
            "Description": "The firmware image provided by the user is not valid.",
            "Message": "Invalid firmware image",
            "NumberOfArgs": 0,
            "Resolution": "Provide a valid firmware image.",
            "Severity": "Warning"
        },
        "SUP0106": {
            "Description": "There is no firmware image present at the specified path.",
            "Message": "Unable to locate firmware image file in specified path.",
            "NumberOfArgs": 0,
            "Resolution": "Check if the firmware image is present at the specified path.",
            "Severity": "Warning"
        },
        "SUP0107": {
            "Description": "The file path provided as a parameter is too long.",
            "Message": "File path too long.",
            "NumberOfArgs": 0,
            "Resolution": "Shorten the length of the string given as file path by either moving the file or renaming the folders along the path.",
            "Severity": "Warning"
        },
        "SUP0108": {
            "Description": "The firmware update is in progress and another update cannot be done.",
            "Message": "A firmware update operation is already in progress.",
            "NumberOfArgs": 0,
            "Resolution": "Wait for the update operation to conclude and then re-try.",
            "Severity": "Warning"
        },
        "SUP0109": {
            "Description": "The firmware update cannot proceed without the TFTP IP address.",
            "Message": "A TFTP IP address has not been specified but is required.",
            "NumberOfArgs": 0,
            "Resolution": "Specify the TFTP IP address.",
            "Severity": "Warning"
        },
        "SUP011": {
            "Description": "The specified Job ID was not found in the job queue.",
            "Message": "Invalid Job ID specified.",
            "NumberOfArgs": 0,
            "Resolution": "Verify the job ID and retry the action. Retrieve all open jobs by issuing the GetAllJobs command.",
            "Severity": "Warning"
        },
        "SUP0110": {
            "Description": "The firmware update is being uninitialized.",
            "Message": "Uninitializing firmware update services. Please wait.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SUP0111": {
            "Description": "Firmware Update time-out occurred.",
            "Message": "Timeout waiting for firmware update process to complete.",
            "NumberOfArgs": 0,
            "Resolution": "Re-try the firmware update process.",
            "Severity": "Warning"
        },
        "SUP0112": {
            "Description": "The requested option is not available for remote racadm/operating system.",
            "Message": "The -p option is not currently supported for remote RACADM and the operating system being used.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SUP0113": {
            "Description": "The cfgRhostsFwUpdateTftpEnable object must be set.",
            "Message": "TFTP firmware update is currently disabled.",
            "NumberOfArgs": 0,
            "Resolution": "Set the cfgRhostsFwUpdateTftpEnable object in cfgRemoteHosts group using config subcommand.",
            "Severity": "Warning"
        },
        "SUP0114": {
            "Description": "The firmware update process failed.",
            "Message": "The firmware update operation could not be completed successfully.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SUP0115": {
            "Description": "The rac cannot be reset, while the firmware update is in progress.",
            "Message": "A firmware update is currently in progress. Unable to reset the RAC at this time.",
            "NumberOfArgs": 0,
            "Resolution": "Wait for the firmware update to finish.",
            "Severity": "Informational"
        },
        "SUP0116": {
            "Description": "Success message.",
            "Message": "The RAC configuration has initiated restoration to factory defaults. Please wait up to a minute for this process to complete before accessing the RAC again.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SUP0117": {
            "Description": "Success message.",
            "Message": "Firmware rollback initiated successfully. The iDRAC will now reset to complete the firmware rollback operation.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SUP0118": {
            "Description": "Success message.",
            "Message": "iDRAC reset failed. Please reset the iDRAC manually to complete the firmware rollback operation.",
            "NumberOfArgs": 0,
            "Resolution": "Manually reset the iDRAC.",
            "Severity": "Informational"
        },
        "SUP0119": {
            "Description": "Success message.",
            "Message": "Firmware rollback failed",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Critical"
        },
        "SUP0120": {
            "Description": "Success message.",
            "Message": "Preparing for firmware update. Please wait.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SUP0121": {
            "Description": "Success message.",
            "Message": "Firmware update in progress [%1 percent complete]",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SUP0122": {
            "Description": "Success message.",
            "Message": "Firmware update completed successfully",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SUP0123": {
            "Description": "Success message.",
            "Message": "Firmware update completed successfully. The RAC is in the process of resetting. Your connection will be lost. Please wait up to a minute before starting a new session.",
            "NumberOfArgs": 0,
            "Resolution": "Re-connect to the iDRAC after a minute.",
            "Severity": "Informational"
        },
        "SUP0124": {
            "Description": "Success message.",
            "Message": "Firmware update is not currently in progress",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SUP0125": {
            "Description": "Success message.",
            "Message": "Current firmware update status is unknown",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SUP0126": {
            "Description": "Success message.",
            "Message": "Firmware update in progress. Please wait.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SUP0127": {
            "Description": "Success message.",
            "Message": "Verifying firmware image",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SUP0128": {
            "Description": "Success message.",
            "Message": "Ready for firmware update",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SUP0129": {
            "Description": "Success message.",
            "Message": "Resetting the RAC. Please wait.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SUP013": {
            "Description": "The update process is underway and cannot be deleted.",
            "Message": "Update in progress - Delete failed.",
            "NumberOfArgs": 0,
            "Resolution": "Do not try to delete the job when the update process is underway. To revert to the previous version of the update, download and update the firmware to the version desired or run the rollback command to go back to the previous version.",
            "Severity": "Warning"
        },
        "SUP0130": {
            "Description": "Success message.",
            "Message": "TFTP firmware update has been initiated. This update process may take several minutes to complete.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SUP0131": {
            "Description": "Success message.",
            "Message": "FTP firmware update has been initiated. This update process may take several minutes to complete.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SUP014": {
            "Description": "An unknown error was encountered while trying to delete the job.",
            "Message": "Unknown error - Delete failed.",
            "NumberOfArgs": 0,
            "Resolution": "Retry the action. If this fails, reboot the iDRAC.",
            "Severity": "Critical"
        },
        "SUP015": {
            "Description": "One of the parameters specified received a NULL value that prevented the action from completing.",
            "Message": "Input parameters values should not be NULL.",
            "NumberOfArgs": 0,
            "Resolution": "Correct the parameter value and retry the command.",
            "Severity": "Warning"
        },
        "SUP016": {
            "Description": "Only jobs with the job status of Downloading / Downloaded / Pending Reboot can be scheduled.",
            "Message": "Job cannot be scheduled.",
            "NumberOfArgs": 0,
            "Resolution": "In case there is an update job, wait until the job status is Downloaded and then retry the action.",
            "Severity": "Informational"
        },
        "SUP017": {
            "Description": "The specified start time is invalid.",
            "Message": "Invalid start time.",
            "NumberOfArgs": 0,
            "Resolution": "Start Time should be in the form YYYYMMDDHHMMSS. Or it should be TIME_NOW to specify an immediate update or reboot. Verify the specified start time and retry the action.",
            "Severity": "Warning"
        },
        "SUP018": {
            "Description": "The specified until time is invalid.",
            "Message": "Invalid until time.",
            "NumberOfArgs": 0,
            "Resolution": "Until Time should be in the form YYYYMMDDHHMMSS. Verify the specified until time and retry the action.",
            "Severity": "Warning"
        },
        "SUP019": {
            "Description": "For 11G systems: System Services must be enabled to perform the requested operation. System Services has been disabled through the iDRAC configuration utility accessed by pressing CTRL+E on boot up or through a remote operation. For 12G and above generations : Lifecycle Controller must be enabled to perform the requested operation. Lifecycle Controller has been disabled by pressing F2 Setup, selecting iDRAC Configuration, and selecting Lifecycle Controller Settings on boot up or through a remote operation.",
            "Message": "Lifecycle Controller is not enabled.",
            "NumberOfArgs": 0,
            "Resolution": "For 11G systems: Use the iDRAC configuration utility to enable the System Services by pressing on the CTRL+E option on boot up at the targeted system. For 12G and above generations: Use F2 Setup, select iDRAC Configuration, and select Lifecycle Controller Settings, to enable the Lifecycle Controller on boot up of the targeted system.",
            "Severity": "Informational"
        },
        "SUP020": {
            "Description": "The specified job was successfully deleted from the job queue.",
            "Message": "The specified job was deleted",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SUP021": {
            "Description": "Diagnostics and USC updates are direct updates and cannot be scheduled.",
            "Message": "Diagnostics, Driver Pack or Lifecycle Controller update is a direct update and cannot be scheduled.",
            "NumberOfArgs": 0,
            "Resolution": "Do not schedule USC or Diagnostics Jobs.",
            "Severity": "Informational"
        },
        "SUP022": {
            "Description": "JobStore file has exceeded the size limit. Delete all unneeded JobIDs from the job store.",
            "Message": "Job store has reached the maximum storage limit.",
            "NumberOfArgs": 0,
            "Resolution": "New JobID cannot be stored. Manually delete the failed jobs and retry the operation.",
            "Severity": "Warning"
        },
        "SUP023": {
            "Description": "Duplicate/Invalid JobID was provided as input for scheduling.",
            "Message": "Duplicate JobID provided as inputs for scheduling.",
            "NumberOfArgs": 0,
            "Resolution": "Verify the job ID and retry the action. Retrieve all open jobs by issuing the GetAllJobs command.",
            "Severity": "Warning"
        },
        "SUP024": {
            "Description": "The InstanceID value provided for update operation is invalid.",
            "Message": "InstanceID value provided for the update operation is invalid",
            "NumberOfArgs": 0,
            "Resolution": "Enumerate inventory, copy the InstanceID value and provide that value for the update operation.",
            "Severity": "Warning"
        },
        "SUP025": {
            "Description": "Generic message to show that last command was successful.",
            "Message": "The command was successful",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SUP026": {
            "Description": "The value entered for the parameter identified in the message is invalid.",
            "Message": "The input value entered for the parameter %1 is invalid.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Correct the specified input value and retry the operation.",
            "Severity": "Warning"
        },
        "SUP027": {
            "Description": "The required parameter identified in the message is missing.",
            "Message": "Missing required parameter %1",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Verify the required parameter value for the method is specified and retry the operation.",
            "Severity": "Warning"
        },
        "SUP028": {
            "Description": "The GetRepoBasedUpdateList method was not successfully executed because the InstallFromRepo method was not executed first.",
            "Message": "The GetRepoBasedUpdateList method did not complete successfully.",
            "NumberOfArgs": 0,
            "Resolution": "Execute InstallFromRepo method, and then retry the operation.",
            "Severity": "Warning"
        },
        "SUP029": {
            "Description": "The catalog in the repository specified in the operation has the same firmware versions as currently present on the server. Firmware updates in the specified repository are not applicable to the server.",
            "Message": "Firmware versions on server match catalog, applicable updates are not present in the repository.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Warning"
        },
        "SUP030": {
            "Description": "The value of the ProxySupport parameter must be TRUE if the Proxy IP and User Credentials need to be provided for the operation requested.",
            "Message": "Proxy IP and User Credential pare valid only if the ProxySupport parameter is TRUE.",
            "NumberOfArgs": 0,
            "Resolution": "Do not specify Proxy IP and User Credential parameters if the ProxySupport parameter is FALSE.",
            "Severity": "Informational"
        },
        "SUP0501": {
            "Description": "The catalog file is not in the supported XML format, or the catalog file is corrupted.",
            "Message": "Invalid catalog file.",
            "NumberOfArgs": 0,
            "Resolution": "Do one of the following: 1) If the catalog file is customized, recreate the file using Repository Manager, and retry the operation. 2) Update the catalog file from the service provider's FTP server and retry the operation. 3) Update the catalog file from the System Update Utility media or from the System Build Update Utility media and retry the operation. For more information, see Lifecycle Controller User's Guide.",
            "Severity": "Critical"
        },
        "SUP0502": {
            "Description": "iDRAC is unable generate the inventory file or the inventory file received from iDRAC is faulty. For more information about the failure, see Lifecycle Log.",
            "Message": "Unable to collect system inventory.",
            "NumberOfArgs": 0,
            "Resolution": "Retry the operation. If the problem persists do the following: 1) Turn off the system and disconnect the power cord. 2.) Wait for five seconds. 3.) Reconnect the power cord and turn on the system. 4) Press the <F10> key to re-enter Lifecycle Controller, and retry the operation. If the problem continues to persist, update iDRAC firmware to the latest version, and retry the operation. Else, contact the service provider.",
            "Severity": "Critical"
        },
        "SUP0503": {
            "Description": "Unable to retrieve the system ID from BIOS.",
            "Message": "Unable to retrieve the system ID.",
            "NumberOfArgs": 0,
            "Resolution": "Retry the operation. If the problem persists, do one of the following: 1) Reboot the system and retry the operation. 2) Update the BIOS firmware to the latest version and retry the operation. If the problem continues to persist contact the service provider.",
            "Severity": "Critical"
        },
        "SUP0504": {
            "Description": "The catalog file in the update repository is not digitally signed.",
            "Message": "Unable to authenticate the catalog file in the update repository.",
            "NumberOfArgs": 0,
            "Resolution": "Use a repository that has the catalog file from a trusted source and retry the operation. If the catalog is from a trusted source, click OK to proceed without digital signature verification.",
            "Severity": "Critical"
        },
        "SUP0505": {
            "Description": "The catalog file in the selected repository is corrupt.",
            "Message": "Corrupt catalog file.",
            "NumberOfArgs": 0,
            "Resolution": "Select a repository with a valid catalog file, and retry the operation.",
            "Severity": "Critical"
        },
        "SUP0506": {
            "Description": "The catalog file in the selected repository is corrupt or compressed in an unsupported format.",
            "Message": "Unable to decompress the catalog file.",
            "NumberOfArgs": 0,
            "Resolution": "Select a repository with a valid catalog file, and retry the operation.",
            "Severity": "Critical"
        },
        "SUP0507": {
            "Description": "The FTP server setting details are incorrect.",
            "Message": "Unable to download the Update Packages from the FTP server.",
            "NumberOfArgs": 0,
            "Resolution": "Enter the correct FTP server settings details, and retry the operation.",
            "Severity": "Critical"
        },
        "SUP0511": {
            "Description": "The Diagnostic application (Embedded Preboot System Assessment - Enterprise UEFI Diagnostics) is not installed or is corrupt.",
            "Message": "Unable to find Diagnostics application.",
            "NumberOfArgs": 0,
            "Resolution": "Update the Diagnostics application using the Firmware Update feature in Lifecycle Controller. For the latest Update Packages, contact your service provider.",
            "Severity": "Critical"
        },
        "SUP0513": {
            "Description": "The specified filename path to the Update Package is incorrect.",
            "Message": "Unable to access the Update Package.",
            "NumberOfArgs": 0,
            "Resolution": "Enter the correct file path where the Update Package is located and retry the operation. If the problem persists, reboot the system and retry the operation.",
            "Severity": "Critical"
        },
        "SUP0514": {
            "Description": "An internal error occurred while performing firmware rollback operation.",
            "Message": "Unable to perform firmware rollback.",
            "NumberOfArgs": 0,
            "Resolution": "Exit the Firmware Rollback wizard and retry the operation. If the problem persists, reboot the system and retry the operation.",
            "Severity": "Critical"
        },
        "SUP0515": {
            "Description": "Lifecycle Controller was unable to authenticate the Update Package digital signature. The Update Package will not be applied unless it has a valid digital signature.",
            "Message": "Unable to authenticate the Update Package signature.",
            "NumberOfArgs": 0,
            "Resolution": "Download the latest Update Package from your service provider and retry the operation.",
            "Severity": "Critical"
        },
        "SUP0516": {
            "Description": "Do not turn off the system while firmware update is in progress.",
            "Message": "Updating firmware for %1 to version %2.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "No response action required.",
            "Severity": "Informational"
        },
        "SUP0517": {
            "Description": "The firmware image specified in the operation did not apply successfully. An internal error may have occurred.",
            "Message": "Unable to update the %1 firmware to version %2.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "Retry the operation. If the problem persists, download the latest update package from your service provider, and retry the operation.",
            "Severity": "Critical"
        },
        "SUP0518": {
            "Description": "The specified firmware for the component was successfully updated.",
            "Message": "Successfully updated the %1 firmware to version %2.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SUP0519": {
            "Description": "The update firmware image operation is unable to process the firmware image provided. The image is invalid or incompatible with the installed component.",
            "Message": "Unable to validate firmware image for %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Retry the operation. If the problem persists, download the latest Update Package from your service provider and retry the operation.",
            "Severity": "Critical"
        },
        "SUP0520": {
            "Description": "The firmware update operation for the component did not complete due to an internal error.",
            "Message": "Unable to update the %1 firmware to version %2.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "Retry the operation. If the problem persists, download the latest Update Package from your service provider and retry the operation.",
            "Severity": "Critical"
        },
        "SUP0522": {
            "Description": "Write protection is enabled for the BIOS image and local BIOS update is disabled.",
            "Message": "Unable to update the BIOS firmware because write protection is enabled.",
            "NumberOfArgs": 0,
            "Resolution": "To flash the BIOS locally, enable local BIOS update by selecting System Setup.",
            "Severity": "Informational"
        },
        "SUP0525": {
            "Description": "Unable to verify the digital signature of the Update Package.",
            "Message": "Unable to verify the digital signature of the Update Package.",
            "NumberOfArgs": 0,
            "Resolution": "Download the latest Update Package from your service provider and retry the operation.",
            "Severity": "Critical"
        },
        "SUP0526": {
            "Description": "Unable to continue the firmware update because the catalog file or the update package is corrupt.",
            "Message": "Unable to continue with firmware update.",
            "NumberOfArgs": 0,
            "Resolution": "Retry the operation. If the issue persists, download the latest Update Package or Catalog file from your service provider and retry the operation.",
            "Severity": "Critical"
        },
        "SUP0527": {
            "Description": "The Update Package does not have this system in the supported platform list.",
            "Message": "The Update Package is not supported for this system.",
            "NumberOfArgs": 0,
            "Resolution": "Download the latest Update Package from your service provider and retry the operation.",
            "Severity": "Critical"
        },
        "SUP0528": {
            "Description": "An internal error occurred in the Lifecycle Controller while generating the firmware comparison report.",
            "Message": "Unable to generate a firmware comparison table.",
            "NumberOfArgs": 0,
            "Resolution": "Exit the Platform Update wizard and retry the operation. If the problem persists, update the Lifecycle Controller firmware to the latest version and retry the operation.",
            "Severity": "Critical"
        },
        "SUP0529": {
            "Description": "The selected USB drive is disconnected.",
            "Message": "Unable to access repository.",
            "NumberOfArgs": 0,
            "Resolution": "Make sure the USB drive is connected and retry the operation.",
            "Severity": "Critical"
        },
        "SUP0530": {
            "Description": "The catalog repository path entered is not accessible.",
            "Message": "Incorrect repository path location.",
            "NumberOfArgs": 0,
            "Resolution": "Retry the operation with the correct catalog repository path.",
            "Severity": "Critical"
        },
        "SUP0531": {
            "Description": "The repository location is invalid or the repository does not contain the Update Packages.",
            "Message": "Unable to install the Update Packages.",
            "NumberOfArgs": 0,
            "Resolution": "Enter another repository location that contains the desired Update Packages and retry the operation.",
            "Severity": "Critical"
        },
        "SUP0532": {
            "Description": "The repository contains corrupt Update Packages.",
            "Message": "The repository contains corrupt Update Packages.",
            "NumberOfArgs": 0,
            "Resolution": "Enter another repository location that contains the desired Update Packages and retry the operation.",
            "Severity": "Critical"
        },
        "SUP0533": {
            "Description": "The file cannot be downloaded from FTP share due to network issues.",
            "Message": "Unable to download the update package files from the FTP server.",
            "NumberOfArgs": 0,
            "Resolution": "Check network connection and retry download. If the issue persists, reconfigure the network settings and retry.",
            "Severity": "Critical"
        },
        "SUP0534": {
            "Description": "The catalog file cannot be found in the specified location.",
            "Message": "Unable to locate the catalog file.",
            "NumberOfArgs": 0,
            "Resolution": "Specify the correct repository location and retry the operation.",
            "Severity": "Critical"
        },
        "SUP0535": {
            "Description": "Component firmware update is in progress.",
            "Message": "Updating %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required. Do not turn off the system while the update is in progress.",
            "Severity": "Informational"
        },
        "SUP0536": {
            "Description": "Component firmware update was successful.",
            "Message": "Successfully updated %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SUP0537": {
            "Description": "Unable to continue the firmware update due to an internal error.",
            "Message": "Unable to continue the firmware update.",
            "NumberOfArgs": 0,
            "Resolution": "Reboot the system and retry. If the problem persists, contact your service provider for the latest Update Package.",
            "Severity": "Critical"
        },
        "SUP0538": {
            "Description": "Unable to update firmware due to one the following:1) Update Package is not supported. 2) Trusted Platform Module feature is enabled in BIOS settings.",
            "Message": "Unable to update %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Retry the operation. If the problem persists, do one of the following and retry the operation: 1) Download the latest Update Package from your service provider. 2) Disable the Trusted Platform Module feature in BIOS settings. 3) Update the Lifecycle Controller firmware to the latest version.",
            "Severity": "Critical"
        },
        "SUP0539": {
            "Description": "Update Packages are missing from the specified repository.",
            "Message": "Update Packages missing in the repository.",
            "NumberOfArgs": 0,
            "Resolution": "Enter another repository location that contains the desired Update Packages and retry the operation.",
            "Severity": "Critical"
        },
        "SUP0540": {
            "Description": "The update packages cannot be installed because of insufficient space in the iDRAC even after deleting firmware installation files stored in the Rollback feature.",
            "Message": "Unable to install update packages because of insufficient space in the iDRAC.",
            "NumberOfArgs": 0,
            "Resolution": "Delete Lifecycle Controller related data by using the Repurpose or Retire System features, and then retry the operation.",
            "Severity": "Critical"
        },
        "SUP0541": {
            "Description": "The maximum disk space (storage capacity) for storing firmware image files is reached. The rollback firmware image file identified in the message was deleted to create free disk space.",
            "Message": "The maximum disk space (storage capacity) for storing firmware image files is reached. The rollback firmware image file of %1 was deleted to create free disk space.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SUP0542": {
            "Description": "The firmware cannot be updated because the file identified in the message is not authentic. The firmware image file may be corrupted.",
            "Message": "Unable to update the firmware because the firmware image file %1 is not authentic.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Retry the operation. If the issue persists, download the latest Update Package from the support site and retry the operation. Else, contact your service provider.",
            "Severity": "Critical"
        },
        "SUP1901": {
            "Description": "Firmware update initializing.",
            "Message": "Firmware update initializing.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SUP1902": {
            "Description": "Firmware update stopping services.",
            "Message": "Firmware update stopping services.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SUP1903": {
            "Description": "Firmware update verify image headers.",
            "Message": "Firmware update verify image headers.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SUP1904": {
            "Description": "Firmware update checksumming image.",
            "Message": "Firmware update checksumming image.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SUP1905": {
            "Description": "Firmware update programming flash.",
            "Message": "Firmware update programming flash.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SUP1906": {
            "Description": "Firmware update successful.",
            "Message": "Firmware update successful.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SUP1907": {
            "Description": "Firmware update failed.",
            "Message": "Firmware update failed.",
            "NumberOfArgs": 0,
            "Resolution": "Reacquire the image from the original source and retry the operation.",
            "Severity": "Informational"
        },
        "SUP1908": {
            "Description": "Firmware update failed checksum.",
            "Message": "Firmware update failed checksum.",
            "NumberOfArgs": 0,
            "Resolution": "Reacquire the image from the original source and retry the operation.",
            "Severity": "Informational"
        },
        "SUP1909": {
            "Description": "Firmware update failed image download.",
            "Message": "Firmware update failed image download.",
            "NumberOfArgs": 0,
            "Resolution": "Check that the image is available and retry the operation.",
            "Severity": "Informational"
        },
        "SUP1910": {
            "Description": "Firmware update is not pending.",
            "Message": "Firmware update is not pending.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SUP1911": {
            "Description": "Firmware update initialization complete.",
            "Message": "Firmware update initialization complete.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SUP1912": {
            "Description": "Firmware update RAC recover successful.",
            "Message": "Firmware update RAC recover successful.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SWC0001": {
            "Description": "The network cable may not be connected or an internal error occurred. For more information about the failure, see Lifecycle Log.",
            "Message": "Unable to save the network settings.",
            "NumberOfArgs": 0,
            "Resolution": "Verify the network cable is connected and retry the operation. If the problem persists:1) Turn off the system and disconnect the power cord.2) Wait for five seconds.3) Reconnect the power cord, turn on the system, and retry the operation.",
            "Severity": "Critical"
        },
        "SWC0002": {
            "Description": "The Part Replacement policy configuration operation encountered an unexpected error while communicating with iDRAC.",
            "Message": "Unable to set Part Replacement policies.",
            "NumberOfArgs": 0,
            "Resolution": "Retry the operation. If the problem persists:1) Turn off the system and disconnect the power cord.2) Wait for five seconds.3) Reconnect the power cord, turn on the system, and retry the operation.",
            "Severity": "Critical"
        },
        "SWC0003": {
            "Description": "An unrecoverable error occurred while communicating with iDRAC.",
            "Message": "Unable to display the Lifecycle log.",
            "NumberOfArgs": 0,
            "Resolution": "Retry the operation. If the problem persists:1) Turn off the system and disconnect the power cord.2) Wait for five seconds.3) Reconnect the power cord, turn on the system, and retry the operation.",
            "Severity": "Critical"
        },
        "SWC0004": {
            "Description": "The operation to add a work note to the Lifecycle Log encountered an unexpected error while communicating with iDRAC.",
            "Message": "Unable to add a work note to the Lifecycle Log.",
            "NumberOfArgs": 0,
            "Resolution": "Retry the operation. If the problem persists:1) Turn off the system and disconnect the power cord.2) Wait for five seconds.3) Reconnect the power cord, turn on the system, and retry the operation.",
            "Severity": "Critical"
        },
        "SWC0005": {
            "Description": "The view current hardware inventory operation encountered an unexpected error while communicating with iDRAC.",
            "Message": "Unable to display the current hardware inventory.",
            "NumberOfArgs": 0,
            "Resolution": "Retry the operation. If the problem persists:1) Turn off the system and disconnect the power cord.2) Wait for five seconds.3) Reconnect the power cord, turn on the system, and retry the operation.",
            "Severity": "Critical"
        },
        "SWC0006": {
            "Description": "The view As Shipped hardware inventory operation encountered an unexpected error while communicating with iDRAC.",
            "Message": "Unable to display the As Shipped hardware inventory.",
            "NumberOfArgs": 0,
            "Resolution": "Retry the operation. If the problem persists:1) Turn off the system and disconnect the power cord.2) Wait for five seconds.3) Reconnect the power cord, turn on the system, and retry the operation.",
            "Severity": "Critical"
        },
        "SWC0007": {
            "Description": "The export current hardware inventory operation did not complete because the destination: 1) does not have the specified folder, 2) does not have enough free space, or 3) is read-only.",
            "Message": "Unable to write the current hardware inventory to the specified destination.",
            "NumberOfArgs": 0,
            "Resolution": "Retry the operation. If the problem persists, verify the following and retry the operation: 1) Destination has the specified folder. 2) Destination has enough free space. 3) Destination is not write-protected.",
            "Severity": "Critical"
        },
        "SWC0008": {
            "Description": "The export As Shipped hardware inventory operation did not complete because the destination: 1) does not have the specified folder, 2) does not have enough free space, or 3) is read-only.",
            "Message": "Unable to write the As Shipped hardware inventory to the specified destination.",
            "NumberOfArgs": 0,
            "Resolution": "Retry the operation. If the problem persists, verify the following and retry the operation: 1) Destination has the specified folder. 2) Destination has enough free space. 3) Destination is not write-protected.",
            "Severity": "Critical"
        },
        "SWC0011": {
            "Description": "The front panel security settings were successfully configured.",
            "Message": "Successfully applied front panel security settings.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SWC0012": {
            "Description": "The operation to retrieve the front panel security settings encountered an unexpected error while communicating with iDRAC.",
            "Message": "Unable to retrieve the front panel security settings.",
            "NumberOfArgs": 0,
            "Resolution": "Retry the operation. If the problem persists:1) Turn off the system and disconnect the power cord.2) Wait for five seconds.3) Reconnect the power cord, turn on the system, and retry the operation.",
            "Severity": "Critical"
        },
        "SWC0013": {
            "Description": "The operation to save the front panel security settings encountered an unexpected error while communicating with iDRAC.",
            "Message": "Unable to save the front panel security settings.",
            "NumberOfArgs": 0,
            "Resolution": "Retry the operation. If the problem persists:1) Turn off the system and disconnect the power cord.2) Wait for five seconds.3) Reconnect the power cord, turn on the system, and retry the operation.",
            "Severity": "Critical"
        },
        "SWC0014": {
            "Description": "Unable to apply the changes to the date and time settings because an internal error occurred.",
            "Message": "Unable to set new date and time.",
            "NumberOfArgs": 0,
            "Resolution": "Exit the Date and Time wizard and retry the operation. If the problem persists, exit Lifecycle Controller and retry the operation.",
            "Severity": "Critical"
        },
        "SWC0015": {
            "Description": "The operating system driver pack is missing or not accessible.",
            "Message": "Unable to retrieve the list of supported operating systems.",
            "NumberOfArgs": 0,
            "Resolution": "Update the system with the latest Lifecycle Controller OS Driver Pack. Obtain the OS Driver Pack from the service provider.",
            "Severity": "Critical"
        },
        "SWC0016": {
            "Description": "The operating system driver pack is missing or not accessible.",
            "Message": "Unable to initialize OS Deployment wizard.",
            "NumberOfArgs": 0,
            "Resolution": "Exit the OS Deployment wizard and retry the operation. If the problem persists, exit Lifecycle Controller and retry the operation.",
            "Severity": "Critical"
        },
        "SWC0017": {
            "Description": "An unrecoverable error occurred while retrieving the drivers.",
            "Message": "Unable to retrieve the drivers for the selected operating system.",
            "NumberOfArgs": 0,
            "Resolution": "Exit the OS Deployment wizard and retry the operation. If the problem persists, exit Lifecycle Controller and perform an AC power cycle.",
            "Severity": "Critical"
        },
        "SWC0018": {
            "Description": "The BIOS boot mode settings could not be applied due to an internal error.",
            "Message": "Unable to apply the boot mode settings for BIOS.",
            "NumberOfArgs": 0,
            "Resolution": "Exit the OS Deployment wizard and retry the operation. If the problem persists, exit the Lifecycle Controller and perform an AC power cycle.",
            "Severity": "Critical"
        },
        "SWC0019": {
            "Description": "The Test Network Connection ping test timed-out. The network cable is disconnected or the network is not configured correctly.",
            "Message": "The Test Network Connection operation completed with errors.",
            "NumberOfArgs": 0,
            "Resolution": "Check the network cable connection and network configuration settings, then retry the operation. If the problem persists, reconfigure the network settings and retry the operation.",
            "Severity": "Critical"
        },
        "SWC0023": {
            "Description": "Encryption configuration is successful.",
            "Message": "Successfully configured encryption.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SWC0024": {
            "Description": "The Test Network Connection ping test timed-out. The network cable is disconnected or the network is not configured correctly.",
            "Message": "The Test Network Connection ping test timed-out.",
            "NumberOfArgs": 0,
            "Resolution": "Check the network cable connection and network configuration settings, then retry the operation. If the problem persists, reconfigure the network settings and retry the operation.",
            "Severity": "Critical"
        },
        "SWC0025": {
            "Description": "The operation completed successfully, however the system is unable to automatically shut down.",
            "Message": "The operation completed successfully, however the system is unable to automatically shut down.",
            "NumberOfArgs": 0,
            "Resolution": "Manually shut down the system. For more information about the failure, see the Lifecycle Log.",
            "Severity": "Critical"
        },
        "SWC0026": {
            "Description": "Status of backup Server Profile operation could not be retrieved because an unrecoverable error occurred while communicating with iDRAC.",
            "Message": "Unable to retrieve status of backup Server Profile operation.",
            "NumberOfArgs": 0,
            "Resolution": "Reset iDRAC and retry the operation. To reset the iDRAC, hold the System ID button down for 15 seconds or longer and wait for 90 seconds for the iDRAC to restart. For more information on the error, see the Lifecycle Log.",
            "Severity": "Critical"
        },
        "SWC0027": {
            "Description": "The backup Server Profile operation successfully completed.",
            "Message": "Successfully backed up a Server Profile by using the Lifecycle Controller GUI.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SWC0028": {
            "Description": "iDRAC is unable to complete the backup Server Profile operation because an unrecoverable error occurred.",
            "Message": "The backup Server Profile operation did not successfully complete.",
            "NumberOfArgs": 0,
            "Resolution": "Reset iDRAC and retry the operation. To reset the iDRAC, hold the System ID button down for 15 seconds or longer and wait for 90 seconds for the iDRAC to restart. For more information on the error, see the Lifecycle Log.",
            "Severity": "Critical"
        },
        "SWC0029": {
            "Description": "Status of backup Server Profile operation could not be retrieved because an unrecoverable error occurred while communicating with iDRAC.",
            "Message": "Unable to retrieve status of backup Server Profile operation.",
            "NumberOfArgs": 0,
            "Resolution": "Reset iDRAC and retry the operation. To reset the iDRAC, hold the System ID button down for 15 seconds or longer and wait for 90 seconds for the iDRAC to restart. For more information on the error, see the Lifecycle Log.",
            "Severity": "Critical"
        },
        "SWC0030": {
            "Description": "iDRAC is unable to complete the backup Server Profile operation.",
            "Message": "Unable to complete the backup Server Profile backup operation.",
            "NumberOfArgs": 0,
            "Resolution": "Reset iDRAC and retry the operation. To reset the iDRAC, hold the System ID button down for 15 seconds or longer and wait for 90 seconds for the iDRAC to restart. For more information on the error, see the Lifecycle Log.",
            "Severity": "Critical"
        },
        "SWC0031": {
            "Description": "iDRAC is unable to initiate the backup Server Profile operation because an unrecoverable error occurred.",
            "Message": "Unable to initiate the backup Server Profile backup operation.",
            "NumberOfArgs": 0,
            "Resolution": "Reset iDRAC and retry the operation. To reset the iDRAC, hold the System ID button down for 15 seconds or longer and wait for 90 seconds for the iDRAC to restart. For more information on the error, see the Lifecycle Log.",
            "Severity": "Critical"
        },
        "SWC0032": {
            "Description": "Exporting the Server Configuration Profile image file to the USB drive was successful.",
            "Message": "Successfully exported the Server Configuration Profile image file to the USB drive.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SWC0033": {
            "Description": "Exporting the Server Configuration Profile image file to the network share was successful.",
            "Message": "Successfully exported the Server Configuration Profile image file to network share.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SWC0034": {
            "Description": "Lifecycle Controller is unable to export the file to the network share because it has insufficient free space.",
            "Message": "Unable to export the file to the network share.",
            "NumberOfArgs": 0,
            "Resolution": "Make sure that the network share has sufficient free space then retry the operation. If the problem persists, check network settings and retry the operation.",
            "Severity": "Critical"
        },
        "SWC0035": {
            "Description": "The backup operation did not initialize because the system does not have a service tag.",
            "Message": "Unable to initialize backup Server Profile operation.",
            "NumberOfArgs": 0,
            "Resolution": "Assign a service tag to the system and retry the operation. To assign the service tag, contact your service provider.",
            "Severity": "Critical"
        },
        "SWC0036": {
            "Description": "Unable to launch hardware diagnostics because the Enterprise UEFI Diagnostics application is corrupt or iDRAC is not responding.",
            "Message": "Unable to launch hardware diagnostics.",
            "NumberOfArgs": 0,
            "Resolution": "Retry the operation. If the problem persists, update the Enterprise UEFI Diagnostics using one of the following methods: 1) Use the Firmware Update feature in Lifecycle Controller. 2) Use the Server Update Utility. 3) Run the Update Package from the operating system. If the problem continues to persist, reset the iDRAC. For more information, contact your service provider.",
            "Severity": "Critical"
        },
        "SWC0037": {
            "Description": "Lifecycle Controller is unable to export the file to the network share because the destination folder is not present or inaccessible.",
            "Message": "Unable to export the file to the network share.",
            "NumberOfArgs": 0,
            "Resolution": "Make sure that the destination folder is present and accessible, then retry the operation. If the problem persists, check network settings and retry the operation.",
            "Severity": "Critical"
        },
        "SWC0038": {
            "Description": "Lifecycle Controller is unable to export the file to the network share because the destination folder is read-only or inaccessible.",
            "Message": "Unable to export the file to the network share.",
            "NumberOfArgs": 0,
            "Resolution": "Remove the write protection on the destination folder and verify the folder is accessible, then retry the operation. If the problem persists, check network settings and retry.",
            "Severity": "Critical"
        },
        "SWC0039": {
            "Description": "The backup Server Configuration Profile image partition is not present in the vFlash SD card.",
            "Message": "Unable to find the backup Server Configuration Profile image.",
            "NumberOfArgs": 0,
            "Resolution": "A backup Server Configuration Profile is required to import or export a Server Profile. Perform the backup operation and retry import or export operation.",
            "Severity": "Critical"
        },
        "SWC0040": {
            "Description": "The location of the backup Server Configuration Profile image file provided is incorrect.",
            "Message": "Unable to complete the Import operation.",
            "NumberOfArgs": 0,
            "Resolution": "Enter the correct location of the backup Server Configuration Profile image file and retry the operation.",
            "Severity": "Critical"
        },
        "SWC0041": {
            "Description": "The specified source file location is incorrect.",
            "Message": "Unable to copy the backup Server Configuration Profile.",
            "NumberOfArgs": 0,
            "Resolution": "Make sure that the specified source file location is correct and retry the operation.",
            "Severity": "Critical"
        },
        "SWC0042": {
            "Description": "Lifecycle Controller is unable to retrieve the status of the Import Server Profile operation.",
            "Message": "Unable to retrieve the status of the Import Server Profile operation.",
            "NumberOfArgs": 0,
            "Resolution": "Exit the Import Server Profile wizard and retry the operation. If the problem persists, do the following: 1) Turn off the system and disconnect the power cord. 2) Wait for five seconds.3) Reconnect the power cord, turn on the system, and retry the operation.",
            "Severity": "Critical"
        },
        "SWC0043": {
            "Description": "The Import Server Profile operation has completed with errors. For more information, see the Lifecycle Log.",
            "Message": "Import Server Profile operation completed with errors.",
            "NumberOfArgs": 0,
            "Resolution": "Exit the Import Server Profile wizard and retry the operation. If the problem persists, do the following: 1) Turn off the system and disconnect the power cord. 2) Wait for five seconds. 3) Reconnect the power cord, turn on the system, and retry the operation.",
            "Severity": "Critical"
        },
        "SWC0044": {
            "Description": "Lifecycle Controller is unable to retrieve the status of the Import Server Profile operation. For more information, see the Lifecycle Log.",
            "Message": "Unable to retrieve the status of the Import Server Profile operation.",
            "NumberOfArgs": 0,
            "Resolution": "Retry the operation. If the problem persists, do the following: 1) Turn off the system and disconnect the power cord. 2) Wait five seconds. 3) Reconnect the power cord, turn on the system, and retry the operation.",
            "Severity": "Critical"
        },
        "SWC0045": {
            "Description": "The Import operation did not successfully complete. For more information, see the Lifecycle Log.",
            "Message": "Unable to complete the Import operation.",
            "NumberOfArgs": 0,
            "Resolution": "Exit the Import Server Profile wizard and retry the operation. If the problem persists, do the following: 1) Turn off the system and disconnect the power cord. 2) Wait for five seconds. 3) Reconnect the power cord, turn on the system, and retry the operation.",
            "Severity": "Critical"
        },
        "SWC0046": {
            "Description": "Unable to initiate Import operation since another Import operation is already in progress.",
            "Message": "Unable to initiate Import operation.",
            "NumberOfArgs": 0,
            "Resolution": "Wait until current Import operation is complete before initiating a new Import operation.",
            "Severity": "Critical"
        },
        "SWC0047": {
            "Description": "The passphrase specified is not correct.",
            "Message": "Incorrect backup Server Configuration Profile file passphrase provided.",
            "NumberOfArgs": 0,
            "Resolution": "Enter the valid passphrase and retry the operation.",
            "Severity": "Critical"
        },
        "SWC0048": {
            "Description": "The backup server profile operation did not complete because:1) The backup server configuration profile image file present on the vFlash SD card is invalid for this system.2) The passphrase entered does not match the passphrase used to secure the backup server configuration profile image file.",
            "Message": "Unable to validate the backup server configuration Profile image file for this system.",
            "NumberOfArgs": 0,
            "Resolution": "Do one of the following and retry the operation:1) Reinsert the vFlash SD card with correct backup image file.2) Enter the passphrase that was used to secure the backup server configuration profile image file.",
            "Severity": "Critical"
        },
        "SWC0049": {
            "Description": "The Import operation cannot continue because backup image file is not present on the vFlash SD card, the image is invalid, or the entered passphrase is incorrect.",
            "Message": "Unable to continue the Import operation.",
            "NumberOfArgs": 0,
            "Resolution": "Make sure that the backup image file is present on the vFlash SD card, the image is valid, and the entered passphrase is correct.",
            "Severity": "Critical"
        },
        "SWC0050": {
            "Description": "Unable to initiate Import operation since iDRAC is not responding.",
            "Message": "Unable to initiate Import operation.",
            "NumberOfArgs": 0,
            "Resolution": "Retry the Import operation using a valid backup image file and the correct passphrase. If the problem persists, do the following: 1) Turn off the system and disconnect the power cord. 2) Wait for five seconds. 3) Reconnect the power cord, turn on the system, and retry the operation.",
            "Severity": "Critical"
        },
        "SWC0051": {
            "Description": "Unable to retrieve license information due to an iDRAC communication error.",
            "Message": "Unable to retrieve iDRAC license information.",
            "NumberOfArgs": 0,
            "Resolution": "Exit Lifecycle Controller and retry the operation. If the problem persists, do the following: 1) Turn off the system and disconnect the power cord. 2) Wait for five seconds. 3) Reconnect the power cord, turn on the system, and retry the operation.",
            "Severity": "Critical"
        },
        "SWC0052": {
            "Description": "An error occurred while retrieving the operating system drivers.",
            "Message": "Unable to continue with OS Deployment operation.",
            "NumberOfArgs": 0,
            "Resolution": "Exit the OS Deployment wizard and update the system with the latest operating system driver packs available from the service provider and retry the operation. For more information, see the Lifecycle Controller user's guide.",
            "Severity": "Critical"
        },
        "SWC0053": {
            "Description": "The file extension of the Update Package is not supported or the Update Package is invalid.",
            "Message": "File extension is not supported or the Update Package is invalid.",
            "NumberOfArgs": 0,
            "Resolution": "Use a valid Windows-based Update Package with an .exe extension.",
            "Severity": "Critical"
        },
        "SWC0054": {
            "Description": "There was an internal error while saving the settings.",
            "Message": "Unable to save settings.",
            "NumberOfArgs": 0,
            "Resolution": "Retry the operation. If the problem persists, reboot the system or update the Lifecycle Controller firmware to the latest version and retry the operation.",
            "Severity": "Critical"
        },
        "SWC0055": {
            "Description": "Unable to load the View Current Version page due to an internal error.",
            "Message": "Unable to load the View Current Version page.",
            "NumberOfArgs": 0,
            "Resolution": "Retry the operation. If problem persists, update the iDRAC firmware to the latest version and retry the operation.",
            "Severity": "Critical"
        },
        "SWC0056": {
            "Description": "Unable to export the file to the USB drive because it does not have the specified folder, does not have enough free space, or is read-only.",
            "Message": "Unable to export the file to the USB drive.",
            "NumberOfArgs": 0,
            "Resolution": "Make sure that the USB drive contains the folder specified, has enough free space, or is not read-only. If the problem persists, reboot the system and retry the operation.",
            "Severity": "Critical"
        },
        "SWC0057": {
            "Description": "Unable to copy the file to the network share because it does not have the specified folder, the specified folder name has space between the characters, does not have enough free space, or is read-only.",
            "Message": "Unable to export the file to the network share.",
            "NumberOfArgs": 0,
            "Resolution": "Make sure that the network share has the specified folder, the specified folder name has no space between the characters, has enough free space, or is not read-only. If the problem persists, perform an AC power cycle and retry the operation.",
            "Severity": "Critical"
        },
        "SWC0058": {
            "Description": "An internal processing error occurred.",
            "Message": "Unable to complete the operation.",
            "NumberOfArgs": 0,
            "Resolution": "Reboot the system and retry the operation.",
            "Severity": "Critical"
        },
        "SWC0059": {
            "Description": "The vFlash partitions are being used by other applications such as Lifecycle Controller-Remote Services or RACADM.",
            "Message": "Unable to complete the operation.",
            "NumberOfArgs": 0,
            "Resolution": "Wait until the current operations are complete and retry the operation. For information, see the FAQs section of the Lifecycle Controller-Remote Services or RACADM User Guide.",
            "Severity": "Critical"
        },
        "SWC0060": {
            "Description": "One or more vFlash partitions are attached.",
            "Message": "Unable to complete the operation.",
            "NumberOfArgs": 0,
            "Resolution": "Use iDRAC Web interface to detach the vFlash partitions and retry the operation.",
            "Severity": "Critical"
        },
        "SWC0061": {
            "Description": "Write-protection is enabled on the vFlash SD card.",
            "Message": "Unable to complete the operation.",
            "NumberOfArgs": 0,
            "Resolution": "Remove the write-protection on the vFlash SD card and retry the operation.",
            "Severity": "Critical"
        },
        "SWC0062": {
            "Description": "The destination folder is not present, the destination is full or write-protected.",
            "Message": "Unable to export Lifecycle Log.",
            "NumberOfArgs": 0,
            "Resolution": "Verify the following and retry the operation:1) Destination folder is present.2) Destination has enough free space.3) Destination is not write-protected.If the problem persists, perform an AC power cycle and retry.",
            "Severity": "Critical"
        },
        "SWC0063": {
            "Description": "The share name and login credentials provided are incorrect.",
            "Message": "Unable to authenticate the login credentials and share name.",
            "NumberOfArgs": 0,
            "Resolution": "Enter the correct share name and login credentials, and retry the operation.",
            "Severity": "Critical"
        },
        "SWC0064": {
            "Description": "The details provided to access the network share are incorrect.",
            "Message": "Unable to mount the network share.",
            "NumberOfArgs": 0,
            "Resolution": "Enter the correct network share details, and retry the operation.",
            "Severity": "Critical"
        },
        "SWC0065": {
            "Description": "Lifecycle Controller is unable to copy the OS drivers from the OS driver pack.",
            "Message": "Unable to retrieve the drivers for the selected operating system.",
            "NumberOfArgs": 0,
            "Resolution": "Exit the OS Deployment wizard and retry the operation. If the issue persists, do one of the following:1) Update the system with the latest operating system driver packs using the Firmware Update feature and retry the operation. 2) Reboot the system, press the <F10> key to re-enter Lifecycle Controller, and retry the operation.",
            "Severity": "Critical"
        },
        "SWC0066": {
            "Description": "Unable to connect to the Network Share due to one of the following: 1) Login credentials entered are incorrect. 2) Network is inaccessible. 3) System IP address conflicts with another system on the network.",
            "Message": "Unable to connect to the Network Share.",
            "NumberOfArgs": 0,
            "Resolution": "Verify the login credentials. Make sure the Network Share is accessible and the system IP address does not conflict with any other system on the network. If the problem persists, perform an AC power cycle and retry.",
            "Severity": "Critical"
        },
        "SWC0067": {
            "Description": "The location of the operating system configuration file specified in the operation is not valid.",
            "Message": "Unable to import operating system configuration file.",
            "NumberOfArgs": 0,
            "Resolution": "Make sure that the specified source file path is correct and retry the operation.",
            "Severity": "Critical"
        },
        "SWC0068": {
            "Description": "The BIOS boot mode settings could not be retrieved because of an internal issue.",
            "Message": "Unable to retrieve the boot mode settings from BIOS.",
            "NumberOfArgs": 0,
            "Resolution": "Exit the OS Deployment wizard and retry the operation. If the problem persists, exit Lifecycle Controller and perform an AC power cycle.",
            "Severity": "Critical"
        },
        "SWC0069": {
            "Description": "The new boot mode settings for BIOS were successfully applied.",
            "Message": "Successfully applied the new boot mode settings for BIOS.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SWC0070": {
            "Description": "The SupportAssist collection has been successfully copied to the USB drive.",
            "Message": "The SupportAssist collection has been successfully copied to the USB drive.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SWC0071": {
            "Description": "The SupportAssist collection has been successfully exported to the network share folder.",
            "Message": "The SupportAssist collection has been successfully exported to the network share folder.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SWC0072": {
            "Description": "SupportAssist collection cannot be exported to the destination folder.",
            "Message": "Unable to export the SupportAssist collection to destination folder.",
            "NumberOfArgs": 0,
            "Resolution": "Verify the following and retry the operation: 1) Destination folder is present. 2) Destination folder has sufficient free disk space. 3) Destination folder is not write-protected. If the issue persists, perform an AC power cycle operation, and then retry the operation.",
            "Severity": "Critical"
        },
        "SWC0073": {
            "Description": "The Repurpose or Retire system operation cannot be successfully started because the current version of iDRAC firmware does not support the operation.",
            "Message": "Unable to start operation with the current iDRAC version.",
            "NumberOfArgs": 0,
            "Resolution": "Update iDRAC firmware to the latest version and retry the operation. If the issue persists, contact your service provider.",
            "Severity": "Critical"
        },
        "SWC0074": {
            "Description": "The export operation of SupportAssist collection cannot be started because the current version of iDRAC firmware does not support the operation.",
            "Message": "Unable to start operation with the current iDRAC version.",
            "NumberOfArgs": 0,
            "Resolution": "Update iDRAC firmware to the latest version and retry the operation. If the issue persists, contact your service provider.",
            "Severity": "Critical"
        },
        "SWC0075": {
            "Description": "Unable to perform RAID operations because the selected controller is in HBA mode.",
            "Message": "Unable to perform RAID operations because the selected controller is in HBA mode.",
            "NumberOfArgs": 0,
            "Resolution": "Do one of the following: 1) Retry the operation using other controllers that support RAID operations and are not in HBA mode. 2) Change the mode of the controller from HBA mode to RAID mode and retry the operation.",
            "Severity": "Critical"
        },
        "SWC0076": {
            "Description": "Lifecycle Controller detected that the iDRAC internal storage partitions identified in the message were not made available by BIOS during the boot process.",
            "Message": "The following iDRAC internal storage partitions present in the system were not mounted during the system startup: %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action required. If the issue occurs consistently during system startup, restart the iDRAC and then restart the system. If the issue persists, contact your service provider.",
            "Severity": "Informational"
        },
        "SWC0077": {
            "Description": "iDRAC is unable to initiate the Repurpose or Retire System operation because the iDRAC is not responding or another operation is in progress.",
            "Message": "Unable to initiate the Repurpose or Retire System operation.",
            "NumberOfArgs": 0,
            "Resolution": "Retry the operation. If the problem persists, do one the following: 1) Check if there are other operations running on the iDRAC and wait for the operations to complete, and retry the operation. 2) Restart the server, and retry the operation.",
            "Severity": "Critical"
        },
        "SWC0078": {
            "Description": "The server has been successfully removed from Integrated Data Center. All configurations will be restored to Factory defaults.",
            "Message": "The server has been successfully removed from Integrated Data Center.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SWC0079": {
            "Description": "iDRAC entered into Dell Integrated Data Center Troubleshooting Mode.",
            "Message": "iDRAC entered into Integrated Data Center Troubleshooting Mode.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SWC0080": {
            "Description": "iDRAC exited from Integrated Data Center Troubleshooting Mode. Integrated Data Center may revert some of the network settings made by the user while in Troubleshooting Mode.",
            "Message": "iDRAC exited from Integrated Data Center Troubleshooting Mode.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SWC0081": {
            "Description": "Dell Integrated Data Center mode enabled.",
            "Message": "Integrated Data Center mode enabled.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SWC0082": {
            "Description": "An error occurred while joining the Dell Integrated Data Center Network because the Provisioning Server on Integrated Data Center did not respond. Refer to Integrated Data Center setup instructions to setup the Provisioning Server.",
            "Message": "Unable to join Integrated Data Center network.",
            "NumberOfArgs": 0,
            "Resolution": "Refer to Integrated Data Center User Guide for setup instructions.",
            "Severity": "Informational"
        },
        "SWC0083": {
            "Description": "The iDRAC has been successfully removed from Integrated Data Center network per user action. The iDRAC will now be set to Factory defaults. The iDRAC will be able to show up in an Integrated Data Center only when it is rediscovered.",
            "Message": "The iDRAC is successfully removed from the Integrated Data Center network.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SWC0084": {
            "Description": "The iDRAC has successfully joined Integrated Data Center network. This iDRAC will now be managed by the Integrated Data Center solution.",
            "Message": "The iDRAC successfully joined Integrated Data Center network.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SWC0085": {
            "Description": "Integrated Data Center Mode is disabled because of one of the following reasons: 1) The feature was disabled 2) The server is not supported for the Integrated Data Center solution 3) The default user credentials on the iDRAC were changed 4) Suppression of the default credentials warning was selected.",
            "Message": "The Integrated Data Center mode is disabled.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SWC0086": {
            "Description": "The Public IP access feature has been enabled in iDRAC by the Integrated Data Center solution. The iDRAC can now be managed via the Public IP interface.",
            "Message": "The Integrated Data Center Public IP mode is enabled.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SWC0087": {
            "Description": "The Public IP access feature in iDRAC is disabled by the Integrated Data Center solution. The iDRAC can no longer be accessed via the public IP interface.",
            "Message": "The Integrated Data Center Public IP mode is disabled.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SWC0088": {
            "Description": "The DHCP IP address of iDRAC cannot be retrieved because a network cable is not connected or a DHCP server is not functioning.",
            "Message": "Unable to retrieve the iDRAC DHCP IP address.",
            "NumberOfArgs": 0,
            "Resolution": "Make sure that the network cable is connected, DHCP server is turned on, and then retry the operation. If the issue persists, perform the following steps: 1) Turn off the server and disconnect the power cord. 2) Wait for five seconds. 3) Reconnect the power cord, turn on the server, and then retry the operation.",
            "Severity": "Critical"
        },
        "SWC0089": {
            "Description": "One or more iDRAC configurations cannot be saved by using the Initial Setup feature of Lifecycle Controller.",
            "Message": "Unable to save one or more iDRAC configurations by using the Initial Setup feature of Lifecycle Controller.",
            "NumberOfArgs": 0,
            "Resolution": "Make sure that the network cable is connected, DHCP server is turned on, and then retry the operation. If the issue persists, perform the following steps: 1) Turn off the server and disconnect the power cord. 2) Wait for five seconds. 3) Reconnect the power cord, turn on the server, and then retry the operation.",
            "Severity": "Critical"
        },
        "SWC0090": {
            "Description": "iDRAC is successfully configured by using the Initial Setup feature of Lifecycle Controller.",
            "Message": "iDRAC is successfully configured by using the Initial Setup feature of Lifecycle Controller.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SWC0091": {
            "Description": "The Lifecycle Controller cannot be started because of internal issues.",
            "Message": "Unable to start Lifecycle Controller because of internal issues %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Restart the server and start Lifecycle Controller by pressing F10 when the company logo is displayed. If the issue persists, update the iDRAC- and BIOS firmware to the latest recommended version, and then retry the operation. Else, contact your service provider.",
            "Severity": "Critical"
        },
        "SWC0101": {
            "Description": "Racadm is unable to read the available log records at this point. Retry the command.",
            "Message": "Unable to read available log records.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SWC0102": {
            "Description": "The option requested is not available on the interface being used.",
            "Message": "The -m option is not supported by the interface being used.",
            "NumberOfArgs": 0,
            "Resolution": "Refer to the help to get the list of options valid for the interface.",
            "Severity": "Informational"
        },
        "SWC0103": {
            "Description": "The specified log does not take in the -e option.",
            "Message": "The -E option is not valid for the specified log.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SWC0104": {
            "Description": "The specified log does not take in the -r option.",
            "Message": "The -R option is not valid for the specified log.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SWC0105": {
            "Description": "The command does not take in the -m option.",
            "Message": "Invalid -m option. Try --more or refer help for proper usage.",
            "NumberOfArgs": 0,
            "Resolution": "Refer the help text for getraclog command.",
            "Severity": "Informational"
        },
        "SWC0106": {
            "Description": "The specified option is not supported on the RAC.",
            "Message": "The -u option is not supported on the current RAC configuration.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SWC0107": {
            "Description": "The command takes in only one option which is the Session ID.",
            "Message": "More than one option is not allowed with this command.",
            "NumberOfArgs": 0,
            "Resolution": "Enter the command only with one option i.e. the Session ID.",
            "Severity": "Informational"
        },
        "SWC0108": {
            "Description": "The Service Tag string is empty.",
            "Message": "The service tag is not currently populated.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Warning"
        },
        "SWC0109": {
            "Description": "There is no RAC diagnostic information available.",
            "Message": "No process information is currently available.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Critical"
        },
        "SWC0110": {
            "Description": "The build information is not available for racdump.",
            "Message": "No build information is currently available.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Critical"
        },
        "SWC0111": {
            "Description": "The serveraction subcommand requires an option to be specified.",
            "Message": "A server action command must be specified.",
            "NumberOfArgs": 0,
            "Resolution": "Refer the help for serveraction subcommand, and enter a valid option.",
            "Severity": "Informational"
        },
        "SWC0112": {
            "Description": "A network time-out occurred while trying to perform the power action.",
            "Message": "Timeout while waiting for server to perform requested power action.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SWC0113": {
            "Description": "The syntax of the setniccfg command is invalid.",
            "Message": "The -6 option can only be used in combination with the -d or -s option.",
            "NumberOfArgs": 0,
            "Resolution": "Refer the help text for setniccfg subcommand.",
            "Severity": "Informational"
        },
        "SWC0114": {
            "Description": "The syntax of the setniccfg command is invalid.",
            "Message": "The -o option cannot be used with any other options.",
            "NumberOfArgs": 0,
            "Resolution": "Refer the help text for setniccfg subcommand.",
            "Severity": "Informational"
        },
        "SWC0115": {
            "Description": "The syntax of the setniccfg command is invalid.",
            "Message": "The -s option cannot be used with any other options.",
            "NumberOfArgs": 0,
            "Resolution": "Refer the help text for setniccfg subcommand.",
            "Severity": "Informational"
        },
        "SWC0116": {
            "Description": "The syntax of the setniccfg command is invalid.",
            "Message": "The -s option requires IP address, subnet mask, and gateway.",
            "NumberOfArgs": 0,
            "Resolution": "Refer the help text for setniccfg subcommand.",
            "Severity": "Informational"
        },
        "SWC0117": {
            "Description": "Invalid parameters passed to the function.",
            "Message": "Invalid syntax. Both -f and -t must be specified.",
            "NumberOfArgs": 0,
            "Resolution": "Refer the help text for sslcertdownload subcommand.",
            "Severity": "Warning"
        },
        "SWC0118": {
            "Description": "The syntax of the sslcertupload command is invalid.",
            "Message": "Invalid syntax. -f must be specified.",
            "NumberOfArgs": 0,
            "Resolution": "Refer the help text for sslcertupload subcommand.",
            "Severity": "Warning"
        },
        "SWC0119": {
            "Description": "The syntax of the sslcertview command is invalid.",
            "Message": "Invalid certificate type specified with -t option.",
            "NumberOfArgs": 0,
            "Resolution": "Refer the help text for sslcertview subcommand.",
            "Severity": "Warning"
        },
        "SWC0120": {
            "Description": "The syntax of the sslcertview command is invalid.",
            "Message": "Invalid syntax. Certificate type (-t) must be specified.",
            "NumberOfArgs": 0,
            "Resolution": "Refer the help text for sslcertview subcommand.",
            "Severity": "Warning"
        },
        "SWC0121": {
            "Description": "The syntax of the sslcertview command is invalid.",
            "Message": "Invalid syntax. User index (-i) must be specified.",
            "NumberOfArgs": 0,
            "Resolution": "Refer the help text for sslcertview subcommand.",
            "Severity": "Warning"
        },
        "SWC0122": {
            "Description": "The syntax of the sslcertupload command is invalid.",
            "Message": "Invalid syntax. SSL key type (-t) must be specified.",
            "NumberOfArgs": 0,
            "Resolution": "Refer the help text for sslcertupload subcommand.",
            "Severity": "Warning"
        },
        "SWC0123": {
            "Description": "The syntax of the sslcsrgen command is invalid.",
            "Message": "The -s option is not valid with any other options.",
            "NumberOfArgs": 0,
            "Resolution": "Refer the help text for sslcsrgen subcommand.",
            "Severity": "Warning"
        },
        "SWC0124": {
            "Description": "The syntax of the sslcsrgen command is invalid.",
            "Message": "The -u option requires -f to be specified.",
            "NumberOfArgs": 0,
            "Resolution": "Refer the help text for sslcsrgen subcommand.",
            "Severity": "Warning"
        },
        "SWC0125": {
            "Description": "The CSR file could not be generated.",
            "Message": "Unable to generate CSR.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Critical"
        },
        "SWC0126": {
            "Description": "Racadm tool was unable to download the generated CSR file.",
            "Message": "Unable to download CSR file.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Critical"
        },
        "SWC0127": {
            "Description": "The file may be write protected and hence could not be edited.",
            "Message": "Unable to open file for writing.",
            "NumberOfArgs": 0,
            "Resolution": "Check if the file is write protected.",
            "Severity": "Critical"
        },
        "SWC0128": {
            "Description": "The Common Name field is necessary for generating a CSR. It is not generated if Common Name is empty.",
            "Message": "The Common Name (CN) field of the CSR Security group must be configured before a CSR can be generated.",
            "NumberOfArgs": 0,
            "Resolution": "Configure the Common Name field by using config command.",
            "Severity": "Informational"
        },
        "SWC0129": {
            "Description": "Racadm tool was not able to send a test email for the configuration.",
            "Message": "Unable to send test email. Please make sure that your email alerts have been configured correctly and connectivity to the SMTP server exists.",
            "NumberOfArgs": 0,
            "Resolution": "Check for the parameters mentioned in the message.",
            "Severity": "Warning"
        },
        "SWC0130": {
            "Description": "The Trap needs to be set for the particular index for the testtrap to go through.",
            "Message": "Trap at specified index is not currently enabled.",
            "NumberOfArgs": 0,
            "Resolution": "Set cfgIpmiPetAlertEnable in cfgIpmiPet group using config subcommand for the corresponding index.",
            "Severity": "Informational"
        },
        "SWC0131": {
            "Description": "The destination Ip address must be configured for the Trap.",
            "Message": "Trap destination address must be configured.",
            "NumberOfArgs": 0,
            "Resolution": "Set cfgIpmiPetAlertDestIpAddr in cfgIpmiPet group using config subcommand for the corresponding index.",
            "Severity": "Warning"
        },
        "SWC0132": {
            "Description": "Either the destination Ip address is not reachable or the required values are not configured.",
            "Message": "Unable to send test trap. Please make sure that your trap has been configured correctly and connectivity to the destination endpoint exists.",
            "NumberOfArgs": 0,
            "Resolution": "Check for the connectivity to the configured Ip address.",
            "Severity": "Warning"
        },
        "SWC0133": {
            "Description": "Insufficient information provided.",
            "Message": "Either 'connect' or 'disconnect' must be specified.",
            "NumberOfArgs": 0,
            "Resolution": "Specify either the connect or the disconnect option with the subcommand.",
            "Severity": "Informational"
        },
        "SWC0134": {
            "Description": "Success message.",
            "Message": "The RAC log was cleared successfully",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SWC0135": {
            "Description": "Success message.",
            "Message": "The SEL was cleared successfully",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SWC0136": {
            "Description": "Success message.",
            "Message": "Object value modified successfully",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SWC0137": {
            "Description": "Success message.",
            "Message": "The coredump was deleted successfully",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SWC0138": {
            "Description": "Success message.",
            "Message": "Coredump request completed successfully",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SWC0139": {
            "Description": "Success message.",
            "Message": "Total Records: %1",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SWC0140": {
            "Description": "Success message.",
            "Message": "RAC reset operation initiated successfully. It may take up to a minute for the RAC to come back online again.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SWC0141": {
            "Description": "Success message.",
            "Message": "Certificate successfully downloaded from the RAC",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SWC0142": {
            "Description": "Success message.",
            "Message": "Certificate successfully uploaded to the RAC.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SWC0143": {
            "Description": "Success message.",
            "Message": "SSL key successfully uploaded to the RAC.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SWC0144": {
            "Description": "Success message.",
            "Message": "Certificate successfully uploaded to the RAC. The RAC will now reset to enable the new certificate and may be offline temporarily.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SWC0145": {
            "Description": "Success message.",
            "Message": "A CSR was generated successfully",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SWC0146": {
            "Description": "Success message.",
            "Message": "Last ASR screen was cleared successfully",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SWC0147": {
            "Description": "Success message.",
            "Message": "ASR request completed successfully",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SWC0148": {
            "Description": "Success message.",
            "Message": "Test email sent successfully",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SWC0149": {
            "Description": "The requested SNMP test trap alert was successfully sent.",
            "Message": "Test trap sent successfully.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SWC0150": {
            "Description": "Success message.",
            "Message": "Object value is valid",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SWC0151": {
            "Description": "Success message.",
            "Message": "RAC configuration saved to file successfully",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SWC0152": {
            "Description": "Success message.",
            "Message": "RAC configuration from file completed successfully",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SWC0153": {
            "Description": "Success message.",
            "Message": "RAC configuration file is valid",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SWC0154": {
            "Description": "Success message.",
            "Message": "Generating CSR. Please wait.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SWC0155": {
            "Description": "Success message.",
            "Message": "CSR generated and downloaded from RAC successfully",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SWC0156": {
            "Description": "Success message.",
            "Message": "CSR file downloaded from RAC successfully",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SWC0157": {
            "Description": "Success message.",
            "Message": "User certificate successfully uploaded to the RAC.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SWC0158": {
            "Description": "Success message.",
            "Message": "User CA certificate successfully uploaded to the RAC.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SWC0159": {
            "Description": "Success message.",
            "Message": "Kerberos Keytab successfully uploaded to the RAC.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SWC0160": {
            "Description": "Success message.",
            "Message": "PK SSH Authentication Key file successfully uploaded to the RAC.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SWC0161": {
            "Description": "Success message.",
            "Message": "PK SSH Authentication operation completed successfully.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SWC0201": {
            "Description": "Help Text.",
            "Message": "All keys successfully deleted",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SWC0202": {
            "Description": "Help Text.",
            "Message": "Key successfully deleted",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SWC0203": {
            "Description": "Help Text.",
            "Message": "Key file successfully uploaded",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SWC0204": {
            "Description": "Help Text.",
            "Message": "Key text successfully uploaded",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SWC0205": {
            "Description": "Help Text.",
            "Message": "Upload an SSL key to the RAC",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SWC0206": {
            "Description": "Help Text.",
            "Message": "View user certificate information",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SWC0207": {
            "Description": "Help Text.",
            "Message": "Display the version info of RACADM",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SWC0208": {
            "Description": "Help Text.",
            "Message": "Disconnect Virtual Media connections",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SWC0209": {
            "Description": "Help Text.",
            "Message": "Connect or disconnect image server connections",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SWC0210": {
            "Description": "Help Text.",
            "Message": "Display NIC teaming information",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SWC0211": {
            "Description": "Help Text.",
            "Message": "Perform vFlash operations",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SWC0212": {
            "Description": "Help Text.",
            "Message": "Perform POST Virtual Console disable from local system",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SWC0213": {
            "Description": "Help Text.",
            "Message": "Disable the Virtual Console from a local Console",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SWC0214": {
            "Description": "Help Text.",
            "Message": "Makes a remote ISO image available to the server",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SWC0215": {
            "Description": "The process to disable the file share has started. Use the -s option to know more about the status.",
            "Message": "Disable Remote File Started. Please check status using -s option to know Remote File Share is ENABLED or DISABLED.",
            "NumberOfArgs": 0,
            "Resolution": "If required check the status using the -s option.",
            "Severity": "Informational"
        },
        "SWC0216": {
            "Description": "The syntax of the command is incorrect.",
            "Message": "The -c option requires -l to also be specified.",
            "NumberOfArgs": 0,
            "Resolution": "Refer to the help for remote image command.",
            "Severity": "Informational"
        },
        "SWC0217": {
            "Description": "The syntax of the command is incorrect.",
            "Message": "The -c option requires -u to also be specified.",
            "NumberOfArgs": 0,
            "Resolution": "Refer to the help for remote image command.",
            "Severity": "Informational"
        },
        "SWC0218": {
            "Description": "The syntax of the command is incorrect.",
            "Message": "The -c option requires -p to also be specified.",
            "NumberOfArgs": 0,
            "Resolution": "Refer to the help for remote image command.",
            "Severity": "Informational"
        },
        "SWC0219": {
            "Description": "The syntax of the command is incorrect.",
            "Message": "The -p option requires -c to also be specified.",
            "NumberOfArgs": 0,
            "Resolution": "Refer to the help for remote image command.",
            "Severity": "Informational"
        },
        "SWC0220": {
            "Description": "The syntax of the command is incorrect.",
            "Message": "The -u option requires -c to also be specified.",
            "NumberOfArgs": 0,
            "Resolution": "Refer to the help for remote image command.",
            "Severity": "Informational"
        },
        "SWC0221": {
            "Description": "The syntax of the command is incorrect.",
            "Message": "The -l option requires -c to also be specified.",
            "NumberOfArgs": 0,
            "Resolution": "Refer to the help for remote image command.",
            "Severity": "Informational"
        },
        "SWC0222": {
            "Description": "The syntax of the command is incorrect.",
            "Message": "Invalid syntax. The -d option is not valid with -c.",
            "NumberOfArgs": 0,
            "Resolution": "Refer to the help for remote image command.",
            "Severity": "Informational"
        },
        "SWC0223": {
            "Description": "The syntax of the command is incorrect.",
            "Message": "Invalid syntax. The -d option is not valid with -p.",
            "NumberOfArgs": 0,
            "Resolution": "Refer to the help for remote image command.",
            "Severity": "Informational"
        },
        "SWC0224": {
            "Description": "The syntax of the command is incorrect.",
            "Message": "Invalid syntax. The -d option is not valid with -u.",
            "NumberOfArgs": 0,
            "Resolution": "Refer to the help for remote image command.",
            "Severity": "Informational"
        },
        "SWC0225": {
            "Description": "The syntax of the command is incorrect.",
            "Message": "Invalid syntax. The -d option is not valid with -l.",
            "NumberOfArgs": 0,
            "Resolution": "Refer to the help for remote image command.",
            "Severity": "Informational"
        },
        "SWC0226": {
            "Description": "The Remote/Firmware racadm did not find any AD/LDAP certificate at specified path.",
            "Message": "No valid directory service certificate exists",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Critical"
        },
        "SWC0227": {
            "Description": "Invalid values passed to the function.",
            "Message": "Partition label exceeds maximum limit of 6 alphanumeric characters.",
            "NumberOfArgs": 0,
            "Resolution": "Enter a shorter path to the firmware image file.",
            "Severity": "Warning"
        },
        "SWC0228": {
            "Description": "Invalid values passed to the function.",
            "Message": "Partition label must be an alphanumeric character string.",
            "NumberOfArgs": 0,
            "Resolution": "Enter a shorter Partition label.",
            "Severity": "Warning"
        },
        "SWC0229": {
            "Description": "Insufficient arguments passed to the command.",
            "Message": "Some Necessary tag(s) are missing: -i -o -e -t -f & -s must be specified for create partition.",
            "NumberOfArgs": 0,
            "Resolution": "Refer the help text for vflashpartition command.",
            "Severity": "Informational"
        },
        "SWC0230": {
            "Description": "vFlash is not enabled. This may be because the user does not have enough privileges.",
            "Message": "vFlash not enabled.",
            "NumberOfArgs": 0,
            "Resolution": "Enable vFlash and re-try.",
            "Severity": "Warning"
        },
        "SWC0231": {
            "Description": "The partition image type specified is not available on local racadm.",
            "Message": "Partition of type \\\"image\\\" not supported on local racadm.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SWC0232": {
            "Description": "Remote RACADM commands are not supported on the current iDRAC.",
            "Message": "Remote RACADM commands are not supported on this iDRAC. To upgrade your iDRAC version, contact your service provider.",
            "NumberOfArgs": 0,
            "Resolution": "If remote RACADM is a necessity, upgrade the iDRAC version.",
            "Severity": "Informational"
        },
        "SWC0233": {
            "Description": "Indexed groups in the configuration file is more than the indexed groups in iDRAC.",
            "Message": "No indexes are available to configure additional groups.",
            "NumberOfArgs": 0,
            "Resolution": "Verify if the number of indexed groups available in iDRAC match the indexed groups in the configuration file. If it does not match, either reset the unnecessary indexes on iDRAC or remove the extra groups from the configuration file.",
            "Severity": "Critical"
        },
        "SWC0234": {
            "Description": "The remote host specified for the ftp update is not reachable.",
            "Message": "Remote host is not reachable or connection is interrupted.",
            "NumberOfArgs": 0,
            "Resolution": "Check the connectivity between iDRAC and the remote host used for the ftp update.",
            "Severity": "Critical"
        },
        "SWC0235": {
            "Description": "All public keys stored on the iDRAC have been deleted.",
            "Message": "All keys successfully deleted.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SWC0236": {
            "Description": "The specified public key was deleted from iDRAC.",
            "Message": "Key successfully deleted.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SWC0237": {
            "Description": "The key text in the public key specified is corrupt.",
            "Message": "Key text appears to be corrupted.",
            "NumberOfArgs": 0,
            "Resolution": "Request for a valid public key from the system and re-try the command.",
            "Severity": "Warning"
        },
        "SWC0238": {
            "Description": "The key specified by the public key is too long.",
            "Message": "Key is too long.",
            "NumberOfArgs": 0,
            "Resolution": "Request for a valid public key from the system and re-try the command.",
            "Severity": "Warning"
        },
        "SWC0239": {
            "Description": "The requested object is auto-assigned if IPv6 AutoConfig is enabled, and hence cannot be configured.",
            "Message": "The requested object is not allowed to be configured if IPv6 AutoConfig is enabled.",
            "NumberOfArgs": 0,
            "Resolution": "Disable IPv6 AutoConfig and re-try the command.",
            "Severity": "Informational"
        },
        "SWC0240": {
            "Description": "The requested object is auto-assigned if DNS Server DHCP is enabled, and hence cannot be configured.",
            "Message": "The IPv6 DNS Server IP address is not allowed to be configured if IPv6 DNS Server DHCP (cfgIPv6DNSServersFromDHCP6) is enabled.",
            "NumberOfArgs": 0,
            "Resolution": "Disable DNS Server DHCP and re-try the command.",
            "Severity": "Informational"
        },
        "SWC0241": {
            "Description": "To modify this property, set the Power Cap Enable option.",
            "Message": "Power Cap Enable not set. Unable to modify this property.",
            "NumberOfArgs": 0,
            "Resolution": "Set the Power Cap Enable object and modify the required property.",
            "Severity": "Informational"
        },
        "SWC0242": {
            "Description": "The license is missing or expired. This will result in the loss of functionality that is specific to the features supported by the license.",
            "Message": "A required license is missing or expired. Obtain an appropriate license and try again, or contact your service provider for additional details.",
            "NumberOfArgs": 0,
            "Resolution": "Import an appropriate license to iDRAC. If you do not know which license to install, contact your service provider.",
            "Severity": "Critical"
        },
        "SWC0243": {
            "Description": "SSL Certificate is regenerated successfully and the Web server is restarted.",
            "Message": "Certificate regenerated successfully and webserver restarted",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SWC0244": {
            "Description": "The specified Fully Qualified Device Descriptor (FQDDs) system component name is invalid.",
            "Message": "Invalid Fully Qualified Device Descriptor (FQDD).",
            "NumberOfArgs": 0,
            "Resolution": "Verify that the correct Fully Qualified Device Descriptor (FQDD) system component name is specified. See the help text (The help text for the get subcommand can be obtained by running \"racadm help get\") or documentation for valid FQDD system component names.",
            "Severity": "Warning"
        },
        "SWC0245": {
            "Description": "Local configuration using RACADM is disabled. This limits local configuration privileges such as resetting object values.",
            "Message": "Failed to set object value because local configuration using RACADM is disabled.",
            "NumberOfArgs": 0,
            "Resolution": "Within group cfgRacTuning set the property cfgRacTuneLocalConfigDisable to 0.",
            "Severity": "Warning"
        },
        "SWC0246": {
            "Description": "The specified value is outside of the valid range.",
            "Message": "Value specified is invalid: Valid range is %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Verify that a valid value is specified. See the help text or documentation for valid values.",
            "Severity": "Warning"
        },
        "SWC0247": {
            "Description": "An invalid subcommand was entered.",
            "Message": "Invalid subcommand specified.",
            "NumberOfArgs": 0,
            "Resolution": "Refer the list of subcommands.",
            "Severity": "Informational"
        },
        "SWC0248": {
            "Description": "The specified command has invalid syntax.",
            "Message": "Invalid command syntax.",
            "NumberOfArgs": 0,
            "Resolution": "Verify that the correct command syntax is specified. See the help text or documentation for valid commands.",
            "Severity": "Warning"
        },
        "SWC0249": {
            "Description": "The specified parameter needs to be given with its legal value.",
            "Message": "Invalid syntax. The requested subcommand requires -i %1 to be specified.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Enter the proper index preceded by -i.",
            "Severity": "Informational"
        },
        "SWC0250": {
            "Description": "Extra parameters were passed.",
            "Message": "Invalid syntax. The specified subcommand does not require any options.",
            "NumberOfArgs": 0,
            "Resolution": "Enter the subcommand without any options.",
            "Severity": "Informational"
        },
        "SWC0251": {
            "Description": "The value of specified parameter is invalid.",
            "Message": "Invalid index value. Only index values %1 - %1 are permitted.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "Enter the index value as specified by the message.",
            "Severity": "Informational"
        },
        "SWC0252": {
            "Description": "Invalid number of arguments were passed to the command.",
            "Message": "No options were specified. The subcommand requires options to be used.",
            "NumberOfArgs": 0,
            "Resolution": "Refer the help text for the command, and enter the required parameters.",
            "Severity": "Informational"
        },
        "SWC0253": {
            "Description": "Unable to allocate memory to perform the operation, see the inserted comment.",
            "Message": "Unable to allocate memory needed to perform operation.",
            "NumberOfArgs": 0,
            "Resolution": "Power Cycle the system and re-enter the command.",
            "Severity": "Warning"
        },
        "SWC0254": {
            "Description": "Local Configuration using RACADM may be disabled.",
            "Message": "Unable to perform requested operation. If the operation attempted was to configure DRAC, possible reason may be that Local Configuration using RACADM is disabled.",
            "NumberOfArgs": 0,
            "Resolution": "Check if the Local Configuration using RACADM is disabled and enable it through GUI.",
            "Severity": "Informational"
        },
        "SWC0255": {
            "Description": "Unable to open the specified file.",
            "Message": "Unable to open file.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Warning"
        },
        "SWC0256": {
            "Description": "Unable to read the specified file.",
            "Message": "Unable to read file.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Warning"
        },
        "SWC0257": {
            "Description": "Invalid number of arguments were passed to the command.",
            "Message": "Invalid syntax. Too many options specified.",
            "NumberOfArgs": 0,
            "Resolution": "Refer the help text for the command.",
            "Severity": "Informational"
        },
        "SWC0258": {
            "Description": "Insufficient resources to execute the command.",
            "Message": "Insufficient resources to perform operation.",
            "NumberOfArgs": 0,
            "Resolution": "Power Cycle the system and re-enter the command.",
            "Severity": "Critical"
        },
        "SWC0259": {
            "Description": "The value of specified parameter is invalid.",
            "Message": "Invalid group specified.",
            "NumberOfArgs": 0,
            "Resolution": "Refer the list of groups and enter a valid option.",
            "Severity": "Informational"
        },
        "SWC0260": {
            "Description": "The value of specified parameter is invalid.",
            "Message": "Invalid object specified.",
            "NumberOfArgs": 0,
            "Resolution": "Refer the list of objects in the corresponding group.",
            "Severity": "Informational"
        },
        "SWC0261": {
            "Description": "The option requested is not available on the interface being used.",
            "Message": "The specified option is not supported with the interface being used.",
            "NumberOfArgs": 0,
            "Resolution": "Refer to the help to get the list of commands/options valid for the interface.",
            "Severity": "Informational"
        },
        "SWC0262": {
            "Description": "The IPMI drivers or the RAC controller may not be installed.",
            "Message": "Unable to perform operation. Please make sure RAC controller and appropriate IPMI drivers are installed.",
            "NumberOfArgs": 0,
            "Resolution": "Check if the required modules are installed.",
            "Severity": "Critical"
        },
        "SWC0263": {
            "Description": "The length of path to the firmware image is longer than the specified value.",
            "Message": "Specified path is too long.",
            "NumberOfArgs": 0,
            "Resolution": "Enter a shorter path to the firmware image file.",
            "Severity": "Warning"
        },
        "SWC0264": {
            "Description": "The resources required for the execution are in use by another process.",
            "Message": "Resource currently in use by another process. Please retry again later.",
            "NumberOfArgs": 0,
            "Resolution": "Wait for the process to release the resources and try again.",
            "Severity": "Informational"
        },
        "SWC0265": {
            "Description": "The option requested is not available on the DRAC being used.",
            "Message": "This option is not supported on this type of DRAC.",
            "NumberOfArgs": 0,
            "Resolution": "Refer to the help to get the list of commands/options valid for the DRAC.",
            "Severity": "Informational"
        },
        "SWC0266": {
            "Description": "The SD card may not be inserted/inserted properly.",
            "Message": "Unable to perform the requested operation. Make sure SD card is inserted.",
            "NumberOfArgs": 0,
            "Resolution": "Ensure that the SD card is inserted in the server.",
            "Severity": "Warning"
        },
        "SWC0267": {
            "Description": "Unable to edit the SD card, since it is write protected.",
            "Message": "Unable to perform the requested operation. Make sure a non write protected SD card is inserted.",
            "NumberOfArgs": 0,
            "Resolution": "Check if the SD card is write protected. If yes, disable the write protection.",
            "Severity": "Warning"
        },
        "SWC0268": {
            "Description": "The ASR screen is already cleared.",
            "Message": "There is no ASR screen currently available to clear",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Warning"
        },
        "SWC0269": {
            "Description": "Local Configuration using RACADM may be disabled.",
            "Message": "Unable to clear the RAC log. Possible reason may be that Local Configuration using RACADM is disabled.",
            "NumberOfArgs": 0,
            "Resolution": "Check if the Local Configuration using RACADM is disabled and enable it through GUI.",
            "Severity": "Warning"
        },
        "SWC0270": {
            "Description": "Local Configuration using RACADM may be disabled.",
            "Message": "Unable to clear the SEL. Possible reason may be that Local Configuration using RACADM is disabled.",
            "NumberOfArgs": 0,
            "Resolution": "Check if the Local Configuration using RACADM is disabled and enable it through GUI.",
            "Severity": "Warning"
        },
        "SWC0271": {
            "Description": "The syntax for the config command is invalid.",
            "Message": "Invalid syntax. The -f option is only valid with -p and -c.",
            "NumberOfArgs": 0,
            "Resolution": "Refer to the help text for the 'config' subcommand.",
            "Severity": "Informational"
        },
        "SWC0272": {
            "Description": "The syntax for the config command is invalid.",
            "Message": "Invalid syntax. The -g option is only valid with -o, -i, and -c.",
            "NumberOfArgs": 0,
            "Resolution": "Refer to the help text for the 'config' subcommand.",
            "Severity": "Informational"
        },
        "SWC0273": {
            "Description": "The syntax for the config command is invalid.",
            "Message": "Invalid syntax. The -g option requires -o to also be specified.",
            "NumberOfArgs": 0,
            "Resolution": "Refer to the help text for the 'config' subcommand.",
            "Severity": "Informational"
        },
        "SWC0274": {
            "Description": "The value of specified parameter is invalid.",
            "Message": "Invalid syntax. An object value must be specified.",
            "NumberOfArgs": 0,
            "Resolution": "Enter the same command with a legal value to the object.",
            "Severity": "Informational"
        },
        "SWC0275": {
            "Description": "The syntax for the config command is invalid.",
            "Message": "Invalid syntax. The -c option is only valid with -f or -g.",
            "NumberOfArgs": 0,
            "Resolution": "Refer to the help text for the 'config' subcommand.",
            "Severity": "Informational"
        },
        "SWC0276": {
            "Description": "The syntax for the config command is invalid.",
            "Message": "Invalid syntax. The -p option is only valid with -f.",
            "NumberOfArgs": 0,
            "Resolution": "Refer to the help text for the 'config' subcommand.",
            "Severity": "Informational"
        },
        "SWC0277": {
            "Description": "The syntax for the config command is invalid.",
            "Message": "Invalid syntax. The -i option is only valid with -g and -o.",
            "NumberOfArgs": 0,
            "Resolution": "Refer to the help text for the 'config' subcommand.",
            "Severity": "Informational"
        },
        "SWC0278": {
            "Description": "The value of specified parameter is invalid.",
            "Message": "Invalid group or object specified.",
            "NumberOfArgs": 0,
            "Resolution": "Enter the values for the group name and object name correctly.",
            "Severity": "Informational"
        },
        "SWC0279": {
            "Description": "The group is not indexed and does not require an index to be specified.",
            "Message": "The specified group is not indexed and does not support -i.",
            "NumberOfArgs": 0,
            "Resolution": "Enter the command without the index.",
            "Severity": "Informational"
        },
        "SWC0280": {
            "Description": "The group is indexed and an index needs to be specified.",
            "Message": "The indexed group specified requires -i %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Enter the command with a valid index for the group.",
            "Severity": "Informational"
        },
        "SWC0281": {
            "Description": "The value being modified is READ only.",
            "Message": "The specified object is READ ONLY and cannot be modified.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Warning"
        },
        "SWC0282": {
            "Description": "The value being modified is READ only.",
            "Message": "The specified object is READ ONLY for this index and cannot be modified.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Warning"
        },
        "SWC0283": {
            "Description": "The value given for the object is not valid.",
            "Message": "The specified object value is not valid.",
            "NumberOfArgs": 0,
            "Resolution": "Enter a valid value for the corresponding object.",
            "Severity": "Warning"
        },
        "SWC0284": {
            "Description": "Local Configuration using RACADM may be disabled.",
            "Message": "Failed to set the object value. Possible reason may be that Local Configuration using RACADM is disabled.",
            "NumberOfArgs": 0,
            "Resolution": "Check if the Local Configuration using RACADM is disabled and enable it through GUI.",
            "Severity": "Warning"
        },
        "SWC0285": {
            "Description": "The value given for the object is not valid.",
            "Message": "Object value is invalid.",
            "NumberOfArgs": 0,
            "Resolution": "Enter a valid value for the corresponding object.",
            "Severity": "Warning"
        },
        "SWC0286": {
            "Description": "Objects in the cfgUserAdmin group corresponding to index 1 cannot be modified.",
            "Message": "Modifying the user configuration at index 1 is not allowed.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Warning"
        },
        "SWC0287": {
            "Description": "The value of a parameter in the config file is invalid.",
            "Message": "Invalid entry in configuration file.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Warning"
        },
        "SWC0288": {
            "Description": "The object specified in the message in the group specified in the message is not configured.",
            "Message": "Object %1 in %2 group must be specified. Line: %3",
            "NumberOfArgs": 3,
            "ParamTypes": [
                "String",
                "String",
                "String"
            ],
            "Resolution": "Configure the object specified in the message in specified group, before performing a config to file action.",
            "Severity": "Informational"
        },
        "SWC0289": {
            "Description": "The specified object value is invalid.",
            "Message": "Invalid value in config file. Group: %1, Object: %2, Value: \\\"%3\\\", Line [%4}",
            "NumberOfArgs": 4,
            "ParamTypes": [
                "String",
                "String",
                "String",
                "String"
            ],
            "Resolution": "Configure the specified object and assign a valid value.",
            "Severity": "Warning"
        },
        "SWC0290": {
            "Description": "Failed to configure the object specified in the error message.",
            "Message": "Failed to configure object. Group: %1, Object : %2",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SWC0291": {
            "Description": "Another object of the same value exists. Typically in the case of username.",
            "Message": "Another object exists with the specified value. Duplicate values are not allowed for the requested object.",
            "NumberOfArgs": 0,
            "Resolution": "Change the specified value and re-try.",
            "Severity": "Warning"
        },
        "SWC0292": {
            "Description": "The queried object does not exist at the specified index.",
            "Message": "The specified object at index %1 does not exist.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Check for the objects available at the specified index and re-try.",
            "Severity": "Informational"
        },
        "SWC0293": {
            "Description": "The specified object is not present in the iDRAC.",
            "Message": "The specified object is not recognized by iDRAC.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SWC0294": {
            "Description": "The group name specified is incorrect.",
            "Message": "Invalid group name specified.",
            "NumberOfArgs": 0,
            "Resolution": "Refer to the list of groups available and choose the correct one.",
            "Severity": "Warning"
        },
        "SWC0295": {
            "Description": "The object name specified is incorrect.",
            "Message": "Invalid object name specified.",
            "NumberOfArgs": 0,
            "Resolution": "Refer to the list of objects in the group and choose the correct one.",
            "Severity": "Warning"
        },
        "SWC0296": {
            "Description": "Either the password field or the username field is empty.",
            "Message": "The specified value is not allowed to be configured if the user name \\nor password is blank.",
            "NumberOfArgs": 0,
            "Resolution": "Enter the command with the username and password.",
            "Severity": "Warning"
        },
        "SWC0297": {
            "Description": "After the Groups are downloaded to a file, the passwords are to be deleted.",
            "Message": "Unable to remove passwords because file could not be saved.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Warning"
        },
        "SWC0298": {
            "Description": "The specified object value cannot be configured if local configuration is disabled or smart card logon is enabled. If smart card logon is enabled, serial, SSH, telnet and IPMI over LAN is disabled by force and cannot be enabled.",
            "Message": "The specified object value cannot be configured if local configuration is disabled or smart card logon is enabled. If smart card logon is enabled, serial, SSH, telnet and IPMI over LAN is disabled by force and cannot be enabled.",
            "NumberOfArgs": 0,
            "Resolution": "Enable Local Configuration (through GUI) or Disable Smart Card Logon to change the value.",
            "Severity": "Warning"
        },
        "SWC0299": {
            "Description": "The Email Address provided is invalid.",
            "Message": "The Destination Email Address is invalid.",
            "NumberOfArgs": 0,
            "Resolution": "Specify a valid Email address.",
            "Severity": "Warning"
        },
        "SWC0300": {
            "Description": "There is no coredump available to display.",
            "Message": "There is no coredump currently available.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SWC0301": {
            "Description": "The IP address provided is not valid.",
            "Message": "The specified IP address is not valid.",
            "NumberOfArgs": 0,
            "Resolution": "Specify a valid IP Address.",
            "Severity": "Warning"
        },
        "SWC0302": {
            "Description": "The syntax of the fwupdate command is invalid.",
            "Message": "The -s option is not valid with any other option.",
            "NumberOfArgs": 0,
            "Resolution": "Refer the help text for fwupdate subcommand.",
            "Severity": "Informational"
        },
        "SWC0303": {
            "Description": "The syntax of the fwupdate command is invalid.",
            "Message": "The -r option is not valid with any other option.",
            "NumberOfArgs": 0,
            "Resolution": "Refer the help text for fwupdate subcommand.",
            "Severity": "Informational"
        },
        "SWC0304": {
            "Description": "The syntax of the fwupdate command is invalid.",
            "Message": "The -g option requires -u to also be specified.",
            "NumberOfArgs": 0,
            "Resolution": "Refer the help text for fwupdate subcommand.",
            "Severity": "Informational"
        },
        "SWC0305": {
            "Description": "The syntax of the fwupdate command is invalid.",
            "Message": "The -p option requires -u to also be specified.",
            "NumberOfArgs": 0,
            "Resolution": "Refer the help text for fwupdate subcommand.",
            "Severity": "Informational"
        },
        "SWC0306": {
            "Description": "The syntax of the fwupdate command is invalid.",
            "Message": "The -a option requires -g and -u to also be specified.",
            "NumberOfArgs": 0,
            "Resolution": "Refer the help text for fwupdate subcommand.",
            "Severity": "Informational"
        },
        "SWC0307": {
            "Description": "The syntax of the fwupdate command is invalid.",
            "Message": "The -d option requires -p or -g to also be specified.",
            "NumberOfArgs": 0,
            "Resolution": "Refer the help text for fwupdate subcommand.",
            "Severity": "Informational"
        },
        "SWC0308": {
            "Description": "The syntax of the fwupdate command is invalid.",
            "Message": "The -d option requires -g to also be specified.",
            "NumberOfArgs": 0,
            "Resolution": "Refer the help text for fwupdate subcommand.",
            "Severity": "Informational"
        },
        "SWC0309": {
            "Description": "The platform does not support the specified functionality of fwupdate.",
            "Message": "The -p option is not supported with the interface being used.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SWC0310": {
            "Description": "The syntax of the getconfig command is invalid.",
            "Message": "Invalid syntax. The -f is not valid with the option specified.",
            "NumberOfArgs": 0,
            "Resolution": "Refer the help text for getconfig subcommand.",
            "Severity": "Informational"
        },
        "SWC0311": {
            "Description": "The syntax of the getconfig command is invalid.",
            "Message": "Invalid syntax. The -g option is only valid with -i and -o options.",
            "NumberOfArgs": 0,
            "Resolution": "Refer the help text for getconfig subcommand.",
            "Severity": "Informational"
        },
        "SWC0312": {
            "Description": "The syntax of the getconfig command is invalid.",
            "Message": "Invalid syntax. The -u option is not valid with any other options.",
            "NumberOfArgs": 0,
            "Resolution": "Refer the help text for getconfig subcommand.",
            "Severity": "Informational"
        },
        "SWC0313": {
            "Description": "The syntax of the getconfig command is invalid.",
            "Message": "Invalid syntax. The -h option is not valid with any other options.",
            "NumberOfArgs": 0,
            "Resolution": "Refer the help text for getconfig subcommand.",
            "Severity": "Informational"
        },
        "SWC0314": {
            "Description": "The syntax of the getconfig command is invalid.",
            "Message": "Invalid syntax. The -o option requires -g to be specified also.",
            "NumberOfArgs": 0,
            "Resolution": "Refer the help text for getconfig subcommand.",
            "Severity": "Informational"
        },
        "SWC0315": {
            "Description": "The getconfig subcommand failed to get the object value.",
            "Message": "Failed to get object value.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Critical"
        },
        "SWC0316": {
            "Description": "The value for index must be greater than zero.",
            "Message": "The index must be greater than 0.",
            "NumberOfArgs": 0,
            "Resolution": "Enter a positive value for index.",
            "Severity": "Informational"
        },
        "SWC0317": {
            "Description": "The value for -c must be greater than zero.",
            "Message": "The number of records to display must be greater than zero.",
            "NumberOfArgs": 0,
            "Resolution": "Enter a value greater than zero, for the option -c.",
            "Severity": "Informational"
        },
        "SWC0318": {
            "Description": "The value for -s must be greater than zero.",
            "Message": "The starting record must be greater than zero.",
            "NumberOfArgs": 0,
            "Resolution": "Enter a value greater than zero, for the option -s.",
            "Severity": "Informational"
        },
        "SWC0319": {
            "Description": "The syntax for the getraclog command is invalid.",
            "Message": "The -i option is not valid with any other options.",
            "NumberOfArgs": 0,
            "Resolution": "Refer the help text for getraclog command.",
            "Severity": "Informational"
        },
        "SWC0320": {
            "Description": "Racadm tool failed to get the total number of records.",
            "Message": "Unable to get the number of records available.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SWC0321": {
            "Description": "Could not open the log file for reading.",
            "Message": "Unable to open the log for reading.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SWC0322": {
            "Description": "The starting record value has to be lesser than the number of records available.",
            "Message": "Starting record specified exceeds number of records available.",
            "NumberOfArgs": 0,
            "Resolution": "Get the number of records available, and then run the command. If the command is gettracelog, try executing the command again.",
            "Severity": "Warning"
        },
        "SWC0323": {
            "Description": "The number of records specified to be displayed should be lesser than number of records available.",
            "Message": "Number of records specified exceeds number of records available.",
            "NumberOfArgs": 0,
            "Resolution": "Get the number of records available, and then run the command.",
            "Severity": "Warning"
        },
        "SWC0324": {
            "Description": "There are no records to display. This might be a result of the log being cleared.",
            "Message": "There are no records available to display.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SWC0325": {
            "Description": "The requested property is write-only.",
            "Message": "The specified object is WRITE-ONLY and cannot be displayed.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SWC0700": {
            "Description": "iDRAC7 is not ready or is busy and is not responding to iDRAC7 Settings IPMI requests.",
            "Message": "iDRAC is not ready. The configuration values cannot be accessed. Please retry after a few minutes.",
            "NumberOfArgs": 0,
            "Resolution": "Turn off the system, Remove AC. Wait for 5 seconds. Connect AC. Turn it on.",
            "Severity": "Critical"
        },
        "SWC0701": {
            "Description": "Power capping is enabled and sets user-defined power capping limits for the system.",
            "Message": "Power capping is enabled.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SWC0702": {
            "Description": "Power capping is disabled and sets recommended limits for the system.",
            "Message": "Power capping is disabled.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SWC0717": {
            "Description": "For security reasons, the local configuration is disabled. Enable local configuration from the iDRAC Web interface.",
            "Message": "iDRAC Local Configuration is disabled. iDRAC Settings are accessed in read-only mode.",
            "NumberOfArgs": 0,
            "Resolution": "Enable iDRAC local configuration from iDRAC Web interface.",
            "Severity": "Warning"
        },
        "SWC0722": {
            "Description": "iDRAC is processing a previous reset to default command.",
            "Message": "Error occurred while resetting to defaults. The reset command was not accepted.",
            "NumberOfArgs": 0,
            "Resolution": "Retry after a few minutes.",
            "Severity": "Critical"
        },
        "SWC0723": {
            "Description": "iDRAC is not responding to the current Reset status query.",
            "Message": "Error occurred while Resetting to defaults. The Reset status is not available.",
            "NumberOfArgs": 0,
            "Resolution": "Retry after a few minutes.",
            "Severity": "Critical"
        },
        "SWC0724": {
            "Description": "Resetting to defaults did not complete within the maximum process allotted time.",
            "Message": "Error occurred while Resetting to defaults due to a timeout.",
            "NumberOfArgs": 0,
            "Resolution": "Retry after a few minutes.",
            "Severity": "Critical"
        },
        "SWC0725": {
            "Description": "iDRAC is busy and does not respond to iDRAC configurator IPMI requests.",
            "Message": "iDRAC communication failure.",
            "NumberOfArgs": 0,
            "Resolution": "Try AC power cycling the server or upgrade the iDRAC firmware.",
            "Severity": "Critical"
        },
        "SWC1903": {
            "Description": "RAC SSL Certificate has been changed.",
            "Message": "RAC SSL Certificate has been changed.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SWC1905": {
            "Description": "RAC Virtual Console configuration has been changed.",
            "Message": "RAC Virtual Console configuration has been changed.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SWC1909": {
            "Description": "The privilege level of the iDRAC User ID indicated in the message has been changed.",
            "Message": "User ID %1 RAC Privilege has been changed.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SWC1910": {
            "Description": "User ID Name has been changed.",
            "Message": "User ID %1 User Name has been changed.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SWC1911": {
            "Description": "User ID Password has been changed.",
            "Message": "User ID %1 User Password has been changed.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SWC1912": {
            "Description": "User ID Access Right has been changed.",
            "Message": "User ID %1 User Access Right has been changed.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SWC1913": {
            "Description": "Network Time Protocol configuration is enabled.",
            "Message": "Network Time Protocol configuration is enabled.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SWC1914": {
            "Description": "Network Time Protocol configuration is disabled.",
            "Message": "Network Time Protocol configuration is disabled.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SWC1915": {
            "Description": "iDRAC time zone has changed.",
            "Message": "iDRAC time zone has changed.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SWC1916": {
            "Description": "Network Time Protocol server configuration has changed.",
            "Message": "Network Time Protocol server configuration has changed.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SWC1917": {
            "Description": "HTTP to HTTPS redirection is disabled. Any iDRAC connection made over the HTTP port (default port number 80) will no longer be redirected to the secure HTTPS port (default port number 443). This will make the connections insecure as the data transmitted over the port is no longer encrypted.",
            "Message": "HTTPS redirection is disabled.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Warning"
        },
        "SWC1918": {
            "Description": "HTTP to HTTPS redirection is enabled. Any iDRAC connection made over the HTTP port (default port number 80) will be redirected to the secure HTTPS port (default port number 443).",
            "Message": "HTTPS redirection is enabled.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SWC1920": {
            "Description": "The Chassis Management at Server Mode is enabled.",
            "Message": "The Chassis Management at Server Mode is enabled.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SWC1921": {
            "Description": "The Chassis Management at Server Mode is disabled.",
            "Message": "The Chassis Management at Server Mode is disabled.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SWC1922": {
            "Description": "The user identified in the message has successfully modified the server configuration by using Quick Sync.",
            "Message": "User %1 has successfully modified the server configuration by using Quick Sync.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SWC1923": {
            "Description": "The server configuration cannot be modified by using Quick Sync because invalid credentials are entered.",
            "Message": "Unable to modify the server configuration by using Quick Sync because invalid credentials are entered.",
            "NumberOfArgs": 0,
            "Resolution": "Make sure that correct user name and password are entered, and then retry the operation.",
            "Severity": "Warning"
        },
        "SWC1924": {
            "Description": "The server configuration cannot be modified by using Quick Sync because issues were found with the configuration information.",
            "Message": "Unable to modify the server configuration by using Quick Sync.",
            "NumberOfArgs": 0,
            "Resolution": "Review the server configuration operation results and correct any issues detected, then retry the operation.",
            "Severity": "Warning"
        },
        "SWC1925": {
            "Description": "The iDRAC Quick Sync access feature is set to the Disabled mode.",
            "Message": "The iDRAC Quick Sync access feature is set to the Disabled mode.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SWC1926": {
            "Description": "The iDRAC Quick Sync interface is enabled.",
            "Message": "The iDRAC Quick Sync interface is enabled.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SWC1927": {
            "Description": "The iDRAC Quick Sync access feature is set to the read-only mode.",
            "Message": "The iDRAC Quick Sync access feature is set to the read-only mode.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SWC1928": {
            "Description": "The iDRAC Quick Sync access feature is set to the read-write mode.",
            "Message": "The iDRAC Quick Sync access feature is set to the read-write mode.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SWC1929": {
            "Description": "The iDRAC Quick Sync inactivity timeout value is set to the value identified in the message.",
            "Message": "The iDRAC Quick Sync inactivity timeout value is set to %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SWC1930": {
            "Description": "The iDRAC Quick Sync feature is set to automatically disable after a specified inactivity time.",
            "Message": "The iDRAC Quick Sync inactivity timeout feature is enabled.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SWC1931": {
            "Description": "The iDRAC Quick Sync inactivity timeout configuration is disabled. The iDRAC Quick Sync feature will remain available after pressing the activate button.",
            "Message": "The iDRAC Quick Sync inactivity timeout configuration is disabled.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SWC1940": {
            "Description": "The Quick Sync Read Authentication feature is enabled.",
            "Message": "The Quick Sync Read Authentication feature is enabled.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Warning"
        },
        "SWC1941": {
            "Description": "The Quick Sync Read Authentication feature has been set to Disabled.",
            "Message": "The Quick Sync Read Authentication feature is disabled.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SWC1942": {
            "Description": "The Quick Sync Wifi feature is enabled.",
            "Message": "The Quick Sync Wifi feature is enabled.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SWC1943": {
            "Description": "The Quick Sync Wifi feature has been set to Disabled.",
            "Message": "The Quick Sync Wifi feature is disabled.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SWC1944": {
            "Description": "The Quick Sync access feature is set to the Disabled mode.",
            "Message": "The Quick Sync access feature is set to the Disabled mode.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SWC1945": {
            "Description": "The Quick Sync interface is enabled.",
            "Message": "The Quick Sync interface is enabled.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SWC1946": {
            "Description": "The Quick Sync access feature is set to the read-only mode.",
            "Message": "The Quick Sync access feature is set to the read-only mode.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SWC1947": {
            "Description": "The Quick Sync access feature is set to the read-write mode.",
            "Message": "The Quick Sync access feature is set to the read-write mode.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SWC1948": {
            "Description": "The Quick Sync inactivity timeout value is set to the value identified in the message.",
            "Message": "The Quick Sync inactivity timeout value is set to %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SWC1949": {
            "Description": "The Quick Sync feature is set to automatically disable after a specified inactivity time.",
            "Message": "The Quick Sync inactivity timeout feature is enabled.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SWC1950": {
            "Description": "The Quick Sync inactivity timeout configuration is disabled. The iDRAC Quick Sync feature will remain available after pressing the activate/deactivate button.",
            "Message": "The Quick Sync inactivity timeout configuration is disabled.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SWC4004": {
            "Description": "FlexAddress is not implemented in one of the versions of firmware. Please update the firmware.",
            "Message": "A firmware or software incompatibility detected between iDRAC in slot %1 and CMC.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Check firmware versions of iDRAC and CMC. Update to latest version.",
            "Severity": "Warning"
        },
        "SWC4005": {
            "Description": "None.",
            "Message": "A firmware or software incompatibility was corrected between iDRAC in slot %1 and CMC.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SWC4006": {
            "Description": "FlexAddress is not implemented in one of the versions of firmware. Please update the firmware.",
            "Message": "A firmware or software incompatibility detected between system BIOS in slot %1 and CMC.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Check firmware versions of BIOS and CMC. Update to latest version.",
            "Severity": "Warning"
        },
        "SWC4007": {
            "Description": "None.",
            "Message": "A firmware or software incompatibility was corrected between system BIOS in slot %1 and CMC.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SWC4008": {
            "Description": "FlexAddress is not implemented in one of the versions of firmware. Please update the firmware.",
            "Message": "A firmware or software incompatibility detected between CMC 1 and CMC 2.",
            "NumberOfArgs": 0,
            "Resolution": "Check firmware versions. Update CMC 1 and CMC 2 firmware to match.",
            "Severity": "Warning"
        },
        "SWC4009": {
            "Description": "None.",
            "Message": "A firmware or software incompatibility was corrected between CMC 1 and CMC 2.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SWC4010": {
            "Description": "The current CMC firmware does not support the ARI Mode advanced features available in the network device on the server identified in the message.",
            "Message": "%1%2 in Server-%3 requires a version of Chassis Management Controller (CMC) firmware 5.0 or later for using the NParEP (ARI mode) functions.",
            "NumberOfArgs": 3,
            "ParamTypes": [
                "String",
                "String",
                "String"
            ],
            "Resolution": "Update the CMC firmware to the latest version and to enable access to the advanced features available in the network device.",
            "Severity": "Warning"
        },
        "SWC4011": {
            "Description": "A firmware or software incompatibility was automatically corrected between the network device in the Server identified in the message and the Chassis Management Controller (CMC).",
            "Message": "A firmware or software incompatibility is automatically corrected between the %1%2 in Server-%3 and the Chassis Management Controller (CMC).",
            "NumberOfArgs": 3,
            "ParamTypes": [
                "String",
                "String",
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SWC4012": {
            "Description": "The system has detected a firmware or software incompatibility between the components identified in the message. A mismatch between component versions may cause the system to not function appropriately.",
            "Message": "A firmware or software incompatibility is detected between %1%2 and %3%4.",
            "NumberOfArgs": 4,
            "ParamTypes": [
                "String",
                "String",
                "String",
                "String"
            ],
            "Resolution": "Update the firmware or software of the components identified in the message. For information about the identified components, see the product documentation available at the service provider support site.",
            "Severity": "Critical"
        },
        "SWC4013": {
            "Description": "A firmware or software incompatibility was corrected between the components identified in the message.",
            "Message": "A firmware or software incompatibility was corrected between %1%2 and %3%4.",
            "NumberOfArgs": 4,
            "ParamTypes": [
                "String",
                "String",
                "String",
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SWC5000": {
            "Description": "None.",
            "Message": "%1 upgrade was successful.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SWC5001": {
            "Description": "None.",
            "Message": "%1 upgrade failed.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Reboot the system and attempt the upgrade again.",
            "Severity": "Critical"
        },
        "SWC5002": {
            "Description": "None.",
            "Message": "%1 upgrade was successful but encountered minor errors.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Check system logs for minor errors.",
            "Severity": "Warning"
        },
        "SWC5003": {
            "Description": "The System Controller (SC) has either stopped functioning or is updating a firmware version.",
            "Message": "System Controller (SC) has either stopped functioning or is updating a firmware version.",
            "NumberOfArgs": 0,
            "Resolution": "Make sure that the System Controller is functioning.",
            "Severity": "Warning"
        },
        "SWC5004": {
            "Description": "System Controller (SC) has started functioning again because either a server health issue is resolved or SC has completed a firmware update process.",
            "Message": "System Controller (SC) has restarted functioning.",
            "NumberOfArgs": 0,
            "Resolution": "No response action required.",
            "Severity": "Informational"
        },
        "SWC5005": {
            "Description": "The System Controller (SC) firmware cannot be updated. For information about the causes, see SEL Event Data Byte 2.",
            "Message": "Unable to update the System Controller (SC) firmware.",
            "NumberOfArgs": 0,
            "Resolution": "Retry the SC firmware update operation. If the issue persists, try updating by using a different firmware update file.",
            "Severity": "Critical"
        },
        "SWC5006": {
            "Description": "System Controller (SC) reported a successful Firmware Update.",
            "Message": "System Controller (SC) Firmware Update Successful.",
            "NumberOfArgs": 0,
            "Resolution": "No response action required.",
            "Severity": "Informational"
        },
        "SWC5007": {
            "Description": "The <name> cannot be accessed because of a degraded functionality.",
            "Message": "Unable to access %1 because of a degraded functionality.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Contact technical support. Refer to the product documentation available on the support site to choose a convenient contact method.",
            "Severity": "Warning"
        },
        "SWC5008": {
            "Description": "The <name> cannot be accessed because of a hardware error condition.",
            "Message": "Unable to access %1 because of a hardware error condition.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Contact technical support. Refer to the product documentation available on the support site to choose a convenient contact method.",
            "Severity": "Critical"
        },
        "SWC8500": {
            "Description": "Unable to communicate with iDRAC.",
            "Message": "Unable to generate Profile with [ %1 ] settings.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Check if iDRAC is ready and system is running properly. Utilize the RACADM command by running \"racadm getversion\" to list all the servers and make sure the iDRAC version is displayed. If the iDRAC is listed as Not Ready then wait until it becomes ready. A Virtual Reseat may be required.",
            "Severity": "Critical"
        },
        "SWC8501": {
            "Description": "Unable to communicate with iDRAC.",
            "Message": "Unable to generate Profile.",
            "NumberOfArgs": 0,
            "Resolution": "Check if iDRAC is ready and system is running properly. Utilize the RACADM command by running \"racadm getversion\" to list all the servers and make sure the iDRAC version is displayed. If the iDRAC is listed as Not Ready then wait until it becomes ready. A Virtual Reseat may be required.",
            "Severity": "Critical"
        },
        "SWC8502": {
            "Description": "A Profile is successfully generated with the number of settings identified in the message.",
            "Message": "A Profile is successfully generated with [ %1 ] settings.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SWC8503": {
            "Description": "The Profile identified in the message has been renamed.",
            "Message": "%1 Profile is renamed to %2",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SWC8504": {
            "Description": "The Profile identified in the message was renamed and the description for the Profile was edited.",
            "Message": "%1 Profile renamed to %2 and description edited.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SWC8505": {
            "Description": "The description for the Profile identified in the message was edited.",
            "Message": "%1 Profile description edited.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SWC8506": {
            "Description": "The Profile identified in the message has been deleted.",
            "Message": "%1 Profile deleted.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SWC8507": {
            "Description": "A new Profile identified in the message has been created.",
            "Message": "%1 Profile created.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SWC8508": {
            "Description": "Unable to communicate with iDRAC.",
            "Message": "Unable to capture Profile from server in slot %1",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Check if iDRAC is ready and system is running properly. Utilize the RACADM command by running \"racadm getversion\" to list all the servers and make sure the iDRAC version is displayed. If the iDRAC is listed as Not Ready then wait until it becomes ready. A Virtual Reseat may be required.",
            "Severity": "Critical"
        },
        "SWC8509": {
            "Description": "Unable to communicate with iDRAC.",
            "Message": "Unable to apply %1 Profile to server in slot %2",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "Check if iDRAC is ready and system is running properly. Utilize the RACADM command by running \"racadm getversion\" to list all the servers and make sure the iDRAC version is displayed. If the iDRAC is listed as Not Ready then wait until it becomes ready. A Virtual Reseat may be required. The Lifecycle log in the server identified in the message may have additional information about the inability of the iDRAC to apply Profile settings.",
            "Severity": "Critical"
        },
        "SWC8510": {
            "Description": "Unable to communicate with the iDRAC of the requested Server.",
            "Message": "Unable to apply %1 Profile to requested Server(s)",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Check if iDRAC is ready and system is running properly. Utilize the RACADM command by running \"racadm getversion\" to list all the servers and make sure the iDRAC version is displayed. If the iDRAC is listed as Not Ready then wait until it becomes ready. A Virtual Reseat may be required. The Lifecycle log in the server may have additional information about the inability of the iDRAC to apply Profile settings.",
            "Severity": "Critical"
        },
        "SWC8511": {
            "Description": "The user name identified in the message was added successfully.",
            "Message": "User %1 was successfully added",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SWC8512": {
            "Description": "Unable to add user name identified in the message. The reason for this issue is described with the error code in the message.",
            "Message": "Unable to add User %1: %2-%3.",
            "NumberOfArgs": 3,
            "ParamTypes": [
                "String",
                "String",
                "String"
            ],
            "Resolution": "Correct the error described in the message and retry the operation after a few minutes.",
            "Severity": "Warning"
        },
        "SWC8513": {
            "Description": "The user name identified in the message was successfully deleted.",
            "Message": "Successfully deleted User %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SWC8514": {
            "Description": "Unable to delete the user name identified in the message.",
            "Message": "Unable to delete User %1: %2-%3",
            "NumberOfArgs": 3,
            "ParamTypes": [
                "String",
                "String",
                "String"
            ],
            "Resolution": "Make sure: 1) The login credentials for the operation have user config administration privilege, 2) The user name given is valid. If the issue persists, restart the CMC and retry the operation.",
            "Severity": "Warning"
        },
        "SWC8515": {
            "Description": "Successfully modified privileges of User identified in the message.",
            "Message": "Successfully modified privileges of User %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SWC8516": {
            "Description": "Unable to modify privileges of the User identified in the message.",
            "Message": "Unable to modify privileges of User %1: %2-%3",
            "NumberOfArgs": 3,
            "ParamTypes": [
                "String",
                "String",
                "String"
            ],
            "Resolution": "Make sure: 1) The login credentials for the operation have user config administration privilege, 2) The user name given is valid. If the issue persists, restart the CMC and retry the operation.",
            "Severity": "Warning"
        },
        "SWC8517": {
            "Description": "Successfully modified the password for the User identified in the message.",
            "Message": "Successfully modified password of User %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SWC8518": {
            "Description": "Unable to modify the password of the User identified in the message.",
            "Message": "Unable to modify password of User %1: %2-%3",
            "NumberOfArgs": 3,
            "ParamTypes": [
                "String",
                "String",
                "String"
            ],
            "Resolution": "Make sure: 1) The login credentials for the operation have user config administration privilege, 2) The user name and password given are valid. If the issue persists, restart the CMC and retry the operation.",
            "Severity": "Warning"
        },
        "SWC8519": {
            "Description": "The user name identified in the message was successfully modified.",
            "Message": "Successfully modified user name from %1 to %2.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SWC8520": {
            "Description": "Unable to modify the user name specified in the message.",
            "Message": "Unable to modify user name from %1 to %2: %3-%4",
            "NumberOfArgs": 4,
            "ParamTypes": [
                "String",
                "String",
                "String",
                "String"
            ],
            "Resolution": "Make sure: 1) The login credentials for the operation have user config administration privilege, 2) The user name given is valid. If the issue persists, restart the CMC and retry the operation.",
            "Severity": "Warning"
        },
        "SWC8521": {
            "Description": "Unable to modify the timeout for the session.",
            "Message": "Unable to modify timeout for session: %1: %2-%3",
            "NumberOfArgs": 3,
            "ParamTypes": [
                "String",
                "String",
                "String"
            ],
            "Resolution": "Make sure: 1) The login credentials for the operation have chassis config administration privilege, 2) The session timeout given is valid. If the issue persists, restart the CMC and retry the operation.",
            "Severity": "Informational"
        },
        "SWC8522": {
            "Description": "Successfully completed a configuration sync with the member identified in the message.",
            "Message": "Chassis Group Leader update of member %1 configuration successful.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action required.",
            "Severity": "Informational"
        },
        "SWC8523": {
            "Description": "Unable to complete a configuration sync with the member identified in the message.",
            "Message": "Unable to complete Chassis Group Leader update of member %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Check the communications between the Chassis Group Leader and the member. Run the RACADM command \"racadm ping <DNS or IP address> \" to check the communications. If the communications are not functional, resolve the communications issue. If the communications are functional, remove the member from the group and re-add the member. If the issue persists, contact your service provider.",
            "Severity": "Critical"
        },
        "SWC8524": {
            "Description": "A Chassis Group member already exists with the same hostname or IP address information as the target identified in the message.",
            "Message": "Unable to add %1 to Chassis Group because a member already exists with the same addressing information.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SWC8525": {
            "Description": "Unable to add member because the maximum number of Chassis Group members indicated in the message has been reached.",
            "Message": "Unable to add member to Chassis Group. Maximum members supported is %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Try removing an existing member and retry the operation.",
            "Severity": "Informational"
        },
        "SWC8526": {
            "Description": "Unable to delete Chassis Group member identified in the message. Another user may have deleted the member before the operation or the group may have been disbanded.",
            "Message": "Unable to delete Chassis Group member %1 (%2)",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "Make sure the member identified in the message exists as a member of the Chassis Group. Use the CMC web interface to select the lead chassis, select the setup tab, and then select the group administration sub tab and check if the member exists. If the member exists, restart the group leader and retry the operation.",
            "Severity": "Warning"
        },
        "SWC8527": {
            "Description": "Chassis Management Controller unable to update the IDRAC root user username as root. This can happen if the communication to the iDRAC from CMC is non-functional or if the username supplied is not valid.",
            "Message": "Chassis Management Controller is unable to update the iDRAC user name to \"root\".",
            "NumberOfArgs": 0,
            "Resolution": "Make sure the user name is valid. If communication with iDRAC is not successful, reset the iDRAC. Retry the operation after a few minutes.",
            "Severity": "Informational"
        },
        "SWC8528": {
            "Description": "The Chassis Management Controller is unable to update the IDRAC \"root\" user password. This can happen if the communication to the iDRAC from CMC is non-functional or if the password entered is not valid.",
            "Message": "Chassis Management Controller is unable to update the iDRAC root password.",
            "NumberOfArgs": 0,
            "Resolution": "Make sure the password is valid. If communications with the iDRAC is not functioning, reset the iDRAC and retry the operation after a few minutes. Run the RACADM command \"racadm ping server-<slot number> \" to check the communications. If the communications are not functional, restart the iDRAC by performing a Virtual Reseat of the server using the RACADM command \"racadm racreset -m server-<slot id>\".",
            "Severity": "Informational"
        },
        "SWC8529": {
            "Description": "The Chassis Management Controller is unable to enable the iDRAC root user. This can happen if the communication to the iDRAC from CMC is non-functional or iDRAC is rebooting.",
            "Message": "Chassis Management Controller unable to enable the iDRAC root user.",
            "NumberOfArgs": 0,
            "Resolution": "If communications with the iDRAC is not functioning, reset the iDRAC and retry the operation after a few minutes. Run the RACADM command \"racadm ping server-<slot number> \" to check the communications. If the communications are not functional, restart the iDRAC by performing a Virtual Reseat of the server using the RACADM command \"racadm racreset -m server-<slot id>\".",
            "Severity": "Informational"
        },
        "SWC8530": {
            "Description": "The Chassis Management Controller is unable to set the server administrator access to the iDRAC root user. This can happen if the communication to the iDRAC from CMC is non-functional or the iDRAC is rebooting.",
            "Message": "Chassis Management Controller unable to set administrator access to the iDRAC root user.",
            "NumberOfArgs": 0,
            "Resolution": "If communications with the iDRAC is not functioning, reset the iDRAC and retry the operation after a few minutes. Run the RACADM command \"racadm ping server-<slot number> \" to check the communications. If the communications are not functional, restart the iDRAC by performing a Virtual Reseat of the server using the RACADM command \"racadm racreset -m server-<slot id>\".",
            "Severity": "Informational"
        },
        "SWC8531": {
            "Description": "The Chassis Management Controller is unable to set the administrator role for the iDRAC root user. This can happen if the communication to the iDRAC from CMC is non-functional or iDRAC is rebooting.",
            "Message": "Chassis Management Controller unable to set iDRAC administrator role for root user account.",
            "NumberOfArgs": 0,
            "Resolution": "If communications with the iDRAC is not functioning, reset the iDRAC and retry the operation after a few minutes. Run the RACADM command \"racadm ping server-<slot number> \" to check the communications. If the communications are not functional, restart the iDRAC by performing a Virtual Reseat of the server using the RACADM command \"racadm racreset -m server-<slot id>\".",
            "Severity": "Informational"
        },
        "SWC8532": {
            "Description": "The starting IP address specified cannot accommodate all the servers. The starting iDRAC IPv4 Address specifies the static IPv4 address of the iDRAC located in the first slot. The static IPv4 address of each subsequent iDRAC is calculated as a slot number increment of this IPv4 address.",
            "Message": "Chassis Management Controller is unable to set chassis assigned QuickDeploy IP addresses because the starting IP address cannot accommodate all iDRACs.",
            "NumberOfArgs": 0,
            "Resolution": "Make sure there are enough IPv4 addresses for all the iDRACs and then retry the operation.",
            "Severity": "Informational"
        },
        "SWC8533": {
            "Description": "The delete all keys for service accounts for all slots operation did not complete successfully due to problems encountered while saving the key file.",
            "Message": "Unable to complete delete all keys operation for service accounts for all slots due to problem saving key file.",
            "NumberOfArgs": 0,
            "Resolution": "Retry the operation. If the issue persists, contact your service provider.",
            "Severity": "Warning"
        },
        "SWC8534": {
            "Description": "All keys saved in the Chassis Management Controller for PK SSH Authentication are deleted.",
            "Message": "All keys deleted for all slots of service account.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SWC8535": {
            "Description": "Public Key (PK) SSH Authentication key file upload did not complete successfully because Chassis Management Controller is unable to access the configuration database.",
            "Message": "Unable to add key for slot %1 of service account, due to problem saving key file.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Retry the operation. If the issue persists, contact your service provider.",
            "Severity": "Informational"
        },
        "SWC8536": {
            "Description": "The add key operation did not complete successfully for the slot identified in the message due to the key being invalid or corrupt.",
            "Message": "Unable to add key for slot %1 of service account, due to corrupt key.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Retry the operation. If the issue persists, contact your service provider.",
            "Severity": "Informational"
        },
        "SWC8537": {
            "Description": "The add key operation did not complete successfully for the slot identified in the message due to the key being too long.",
            "Message": "Unable to add key for slot %1 of service account, due to the key being too long.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Retry the operation. If the issue persists, contact your service provider.",
            "Severity": "Informational"
        },
        "SWC8538": {
            "Description": "The Public Key (PK) SSH Authentication key file delete operation did not complete successfully because the Chassis Management Controller is unable to access the configuration database.",
            "Message": "Unable to delete key for slot %1 of service account, due to problem saving key file.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Retry the operation. If the issue persists, contact your service provider.",
            "Severity": "Informational"
        },
        "SWC8539": {
            "Description": "The Public Key (PK) SSH Authentication key file delete operation is successfully completed for the slot identified in the message.",
            "Message": "The key delete operation successfully completed for slot %1 of service account.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action required.",
            "Severity": "Informational"
        },
        "SWC8540": {
            "Description": "The Public Key (PK) SSH Authentication key file is successfully uploaded to the Chassis Management Controller.",
            "Message": "The add key operation successfully completed for slot %1 of service account.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action required.",
            "Severity": "Informational"
        },
        "SWC8541": {
            "Description": "The Profile identified in the message is imported.",
            "Message": "The Profile %1 is imported.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SWC8542": {
            "Description": "The Profile identified in the message is exported.",
            "Message": "The Profile %1 is exported.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SWC8543": {
            "Description": "The Boot Identity operation cannot be performed because server in the slot identified in the message does not have a Service Tag.",
            "Message": "Unable to perform the Boot Identity profile operation because the server in slot %1 does not have a Service Tag.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Set the Service Tag value using the F2 System Setup boot utility. Follow the Server BIOS menu instructions for setting an absent Service Tag or contact your service provider.",
            "Severity": "Warning"
        },
        "SWC8547": {
            "Description": "Some or all of the Media Access Control (MAC) addresses cannot be added to the pool because they are already present in the MAC address pool.",
            "Message": "Unable to add some of the Media Access Control (MAC) addresses because the MAC addresses are already present in the MAC address pool of Boot Identity profile operations.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SWC8548": {
            "Description": "The Media Access Control (MAC) addresses cannot be deleted from the pool because they are not present in the MAC address pool.",
            "Message": "Unable to delete some of the Media Access Control (MAC) addresses because the MAC addresses are not present in the MAC address pool or used by Boot Identity profile.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SWC8549": {
            "Description": "The status of Media Access Control (MAC) address identified in the message is not valid. Possible MAC address status values are unassign, assign and active. The value is \"unassigned\" if the MAC address is not used in any profile. The value is \"assigned\" if the MAC address used in a profile. The value is \"active\" if used in a profile applied to a server. The status must be same for all Virtual MAC addresses if assigned to a profile.",
            "Message": "The status of Media Access Control (MAC) address %1 is not valid for Boot Identity profile operations.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Edit the Virtual MAC Address Pool to correct the MAC address status. Possible MAC address status values are unassign, assign and active. The value is \"unassigned\" if the MAC address is not used in any profile. The value is \"assigned\" if the MAC address used in a profile. The value is \"active\" if used in a profile applied to a server. The status must be same for all Virtual MAC addresses if assigned to a profile.",
            "Severity": "Warning"
        },
        "SWC8550": {
            "Description": "An insufficient number of unused MAC addresses are available in the Virtual MAC Address database to capture the requested number of profiles.",
            "Message": "Unable to capture the server profile because an insufficient number of unused Media Access Control (MAC) addresses in the Virtual MAC Address Pool.",
            "NumberOfArgs": 0,
            "Resolution": "Add more MAC addresses to the Virtual MAC Address Pool and retry the capture Boot Identity profile operation. Using the CMC GUI, navigate to the Boot Identity page. More MAC addresses are added using \"Add MAC Address\" option provided in \"Manage Virtual MAC Address Pool\" section.",
            "Severity": "Informational"
        },
        "SWC8551": {
            "Description": "The boot identity profile cannot be applied because the profile identified in the message is in use by the server in the slot identified in the message.",
            "Message": "Unable to apply the boot identity profile because the profile %1 is already in use by the server in slot %2.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "Clear the boot identity of server identified in the message to apply another profile. Using the CMC GUI, navigate to the Boot Identity page, Boot Identities are cleared using \"Clear Identity\" option provided \"Boot Identity Profiles\" tab.",
            "Severity": "Informational"
        },
        "SWC8552": {
            "Description": "The server in slot identified in the message does not have a profile associated with it.",
            "Message": "The server in slot %1 does not have a profile associated with it.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SWC8553": {
            "Description": "The profile identified in the message is not valid.",
            "Message": "The profile %1 is not valid.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Edit the profile and make sure no XML schema or configuration errors are present and then retry the operation.",
            "Severity": "Critical"
        },
        "SWC8554": {
            "Description": "The Virtual MAC Address Pool identified in the message is not valid. This can occur because the XML syntax is not correct or because of invalid configuration values.",
            "Message": "The Virtual MAC Address Pool %1 is invalid for Boot Identity profile operations.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Edit the Virtual MAC Address Pool and correct any XML schema or configuration errors present, and then retry the operation.",
            "Severity": "Critical"
        },
        "SWC8555": {
            "Description": "The Boot Identity operation cannot be started because a Boot Identity operation is already in progress.",
            "Message": "Unable to start the Boot Identity profile operation because a Boot Identity operation is already in progress.",
            "NumberOfArgs": 0,
            "Resolution": "Wait for the current operation to complete, and then retry. Only one Boot Identity operation can be performed at a time.",
            "Severity": "Warning"
        },
        "SWC8556": {
            "Description": "The Boot Identity profile identified in the message is in use by the server that has the Service Tag identified in the message.",
            "Message": "The Boot Identity profile %1 is in use by the server that has the Service Tag %2.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SWC8557": {
            "Description": "The profile identified in the message cannot be deleted because it is currently in use.",
            "Message": "Unable to delete the profile %1 because the profile is in use.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Warning"
        },
        "SWC8558": {
            "Description": "No specified MAC addresses were deleted because they were not present in MAC Address Pool.",
            "Message": "No specified MAC addresses were deleted because they were not present in MAC Address Pool of Boot Identity profile operations.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SWC8559": {
            "Description": "A new Virtual MAC Address Pool is created with the number of addresses identified in the message starting from the MAC address identified in the message.",
            "Message": "A new Virtual MAC Address Pool is created with %1 addresses from %2 for Boot Identity profile operations.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SWC8560": {
            "Description": "New Media Access Control (MAC) addresses are added to the Virtual MAC Address Pool.",
            "Message": "%1 New Media Access Control (MAC) addresses are added to the Virtual MAC Address Pool for Boot Identity profile operations.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SWC8561": {
            "Description": "Some or all or the specified MAC addresses are removed from the Virtual MAC Address Pool. Some MAC addresses could not be removed because they were not present.",
            "Message": "Some or all or the specified MAC addresses are removed from the Virtual MAC Address Pool of Boot Identity profile operations.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SWC8562": {
            "Description": "All of the specified MAC addresses are deactivated from the Virtual MAC Address Pool.",
            "Message": "All of the specified MAC addresses are deactivated from the Virtual MAC Address Pool of Boot Identity profile operations.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SWC8563": {
            "Description": "The Boot Identity profile identified in the message is cleared from the server identified in the message.",
            "Message": "Boot Identity profile %1 is cleared from server in slot %2.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SWC8564": {
            "Description": "The Boot Identity profile from the server identified in the message cannot be cleared because there is no response from the server iDRAC. A MAC Address conflict is possible if the server retains virtual MAC Address values and they are also allocated to another server.",
            "Message": "Unable to clear the Boot Identity profile from the server in slot %1 because there is no response from the server iDRAC.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Make sure that the server is not used until the Persistence Policy settings are returned to default values and the Virtual MAC Address settings have been cleared. Persistence Policy settings can be reset to default values by resetting the server iDRAC to factory default settings. If the iDRAC cannot be reset to default values, contact your service provider before attempting to use the server.",
            "Severity": "Informational"
        },
        "SWC8565": {
            "Description": "The Boot Identity profile identified in the message is created with number of templates as identified in the message.",
            "Message": "The Boot Identity profile %1 is created with %2 templates.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SWC8600": {
            "Description": "The profile version must be compatible with the server generation and Lifecycle Controller firmware version.",
            "Message": "The selected profile was not applied to %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Make sure that profile versions are compatible with target servers when attempting application of profiles to servers.",
            "Severity": "Warning"
        },
        "SWC8601": {
            "Description": "The source profile is not correct in form or content.",
            "Message": "Quick Deploy Profile unable to apply profile %1 to server %2",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "Recreate source profile or choose a different one.",
            "Severity": "Warning"
        },
        "SWC8602": {
            "Description": "The system is busy with other operations. The feature was unable to get mutex.",
            "Message": "Quick Deploy Profile for server %1 was not successful.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Retry the operation. If the issue persists, make sure any other operations have completed and then retry the operation.",
            "Severity": "Warning"
        },
        "SWC8603": {
            "Description": "The selected profile cannot be applied to the server identified in the message, because the Collect System Inventory On Restart (CSIOR) feature on the server is disabled.",
            "Message": "Unable to apply profile to server %1 using Quick Deploy feature, because the CSIOR feature on Server %1 is disabled.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "Make sure that CSIOR on the server identified in the messages is enabled and retry the operation. For 11th generation servers, to enable CSIOR, restart the server, and select the Ctrl-E setup. Select System Services, and enable CSIOR. For 12th generation and above, to enable CSIOR using Lifecycle Controller GUI, restart the server, click <F2> when the company's logo is displayed. On the iDRAC Settings page, click Lifecycle Controller, and enable CSIOR.",
            "Severity": "Warning"
        },
        "SWC8604": {
            "Description": "The target server identified in the message does not support server configuration using profiles.",
            "Message": "Quick Deploy Profile: Server %1 does not support configuration using profiles.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Warning"
        },
        "SWC8605": {
            "Description": "Information about the server identified in the message is not recognized.",
            "Message": "Quick Deploy Profile: Server %1 generation information is not recognized.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Restart the Chassis Management Controller (CMC) and retry the operation. The CMC can be restarted by using the Web UI interface and selecting Chassis Overview > Troubleshooting > Reset Components and then select the Reset/Failover CMC button. If the issue persists, contact your service provider.",
            "Severity": "Warning"
        },
        "SWC8606": {
            "Description": "The server identified in the message never reported that remote services were ready.",
            "Message": "Quick Deploy Profile: Timeout exceeded while waiting for remote services ready on Server %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Make sure that the iDRAC on the server identified in the message is operating properly and that Lifecycle Controller is enabled, then retry the operation. If the issue persists, perform a virtual reseat of the server and retry the operation. The server can be virtually reseated by using the CMC Web UI interface and selecting Chassis Overview > Troubleshooting > Reset Components and then select Virtual Reseat from the drop down operation for the server identified in the message.",
            "Severity": "Warning"
        },
        "SWC8607": {
            "Description": "The Quick Deploy of Profile process has started for the server identified in the message.",
            "Message": "Quick Deploy Profile: Starting to apply profile %1 to server %2.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SWC8608": {
            "Description": "The CMC was unable to perform the operation described in the message because of one or more of the following reasons: 1) iDRAC is not ready. 2) Lifecycle Controller of the server is disabled.",
            "Message": "Server Profiles: unable to access server: %1 for operation [%2] because of one or more of the following reasons: 1) iDRAC is not ready. 2) Lifecycle Controller of the server is disabled.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "Make sure that iDRAC on the server identified in the message is operating and that Lifecycle Controller is enabled, and then retry the operation. If the issue persists, perform a virtual reseat of the server and retry the operation. To perform a virtual reseat of the server, on CMC Web interface, select Chassis Overview -> Troubleshooting -> Reset Components. On the Reset Components page, select Virtual Reseat from the drop-down menu for the server identified in the message.",
            "Severity": "Warning"
        },
        "SWC8609": {
            "Description": "The CMC was unable to perform the operation described in the message because of one or more of the following reasons: 1) iDRAC is not ready. 2) Lifecycle Controller of the server is disabled.",
            "Message": "Server Profiles: unknown response received from server: %1 for operation [%2] because of one or more of the following reasons: 1) iDRAC is not ready. 2) Lifecycle Controller of the server is disabled.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "Make sure that iDRAC on the server identified in the message is operating and that Lifecycle Controller is enabled, and then retry the operation. If the issue persists, perform a virtual reseat of the server and retry the operation. To perform a virtual reseat of the server, on CMC Web interface, select Chassis Overview -> Troubleshooting -> Reset Components. On the Reset Components page, select Virtual Reseat from the drop-down menu for the server identified in the message.",
            "Severity": "Warning"
        },
        "SWC8610": {
            "Description": "All settings of the selected profile were sent to the server identified in the message and the operation is captured in the job identified in the message.",
            "Message": "Job ID: %1. CMC sent all settings of profile %2 to Server (Service Tag: %3) in Slot %4.",
            "NumberOfArgs": 4,
            "ParamTypes": [
                "String",
                "String",
                "String",
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SWC8611": {
            "Description": "CMC cannot perform the server profile application because the selected profile version and the server identified in the message are not compatible.",
            "Message": "Profile \"%1\" and Server (Service Tag: %2 in Slot %3) are not compatible.",
            "NumberOfArgs": 3,
            "ParamTypes": [
                "String",
                "String",
                "String"
            ],
            "Resolution": "Make sure to select the correct version of the profile and/or server, and then retry the operation.",
            "Severity": "Warning"
        },
        "SWC8612": {
            "Description": "The profile identified in the message does not contain boot device information in a usable format.",
            "Message": "Unable to fully extract boot device information from profile: %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Recreate the profile identified in the message or use a different profile.",
            "Severity": "Warning"
        },
        "SWC8613": {
            "Description": "The selected profile does not contain setting information for the boot list identified in the message in a usable format.",
            "Message": "Unable to fully extract %1 boot list settings from the profile.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Recreate the profile or use a different profile.",
            "Severity": "Warning"
        },
        "SWC8614": {
            "Description": "The setting identified in the message is not recognized because the profile is not in a usable format or contains settings that are no longer supported.",
            "Message": "Legacy profile setting: %1 is not recognized.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Recreate the profile or use a different profile.",
            "Severity": "Warning"
        },
        "SWC8615": {
            "Description": "A profile was successfully generated from a server.",
            "Message": "Profile is successfully generated.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SWC8616": {
            "Description": "The server identified in the message cannot be accessed remotely by iDRAC because of one or more of the following reasons: 1) iDRAC is not ready. 2) Lifecycle Controller for of the server is disabled.",
            "Message": "Server in slot %1 is not ready to be accessed remotely because of one or more of the following reasons: 1) iDRAC is not ready. 2) Lifecycle Controller for of the server is disabled.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Make sure that the iDRAC on the server identified in the message is operating properly and that Lifecycle Controller is enabled, and then retry the operation. If the issue persists, perform a virtual reseat of the server and retry the operation. The server can be virtually reseated by using the CMC Web GUI interface and selecting Chassis Overview > Troubleshooting > Reset Components and then selecting Virtual Reseat from the drop down menu.",
            "Severity": "Warning"
        },
        "SWC8617": {
            "Description": "The request by the WS-Man method identified in the message for the server in slot identified slot is unsuccessful.",
            "Message": "Server Profiles: request %1 for server in slot %2 was unsuccessful. Returned fault: %3.",
            "NumberOfArgs": 3,
            "ParamTypes": [
                "String",
                "String",
                "String"
            ],
            "Resolution": "Make sure that iDRAC is ready and system is functioning properly. Run the RACADM command \"racadm getversion\" to list all the servers and make sure the iDRAC version is displayed. If the iDRAC is listed as Not Ready then wait until iDRAC is ready for use. A Virtual Reseat may be required.",
            "Severity": "Critical"
        },
        "SWC8618": {
            "Description": "The request for the WS-Man method identified in the message for server in slot identified slot is unsuccessful.",
            "Message": "Server Profiles: request %1 for server in slot %2 was unsuccessful. Message ID %3. Returned fault: %4.",
            "NumberOfArgs": 4,
            "ParamTypes": [
                "String",
                "String",
                "String",
                "String"
            ],
            "Resolution": "Make sure that iDRAC is ready and system is functioning correctly. run the RACADM command at the command line interface (CLI), \"racadm getversion\" to list all the servers and make sure that the iDRAC version is displayed. If the iDRAC is listed as Not Ready then wait until it becomes ready. A Virtual Reseat may be required.",
            "Severity": "Critical"
        },
        "SWC8619": {
            "Description": "The Chassis Management Controller (CMC) is unable to process inventory data from the server in the slot identified in the message. This can happen if: 1) There is a communications issue between the CMC and the iDRAC on the server identified in the message. 2) Incorrect firmware is installed on network cards. 3) Incorrect firmware is installed on the server iDRAC. 4) There is no free temporary storage in the CMC.",
            "Message": "The Chassis Management Controller is unable to process data from the server in slot %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Do the following and retry the operation: 1) Make sure the latest firmware is installed on the network cards and iDRAC on the server identified in the message. 2) Reset the Chassis Management Controller. 3) Reset the server iDRAC. If the issue persists, contact your service provider.",
            "Severity": "Warning"
        },
        "SWC8620": {
            "Description": "The Chassis Management Controller is unable to communicate with the iDRAC in server slot identified in the message.",
            "Message": "The Chassis Management Controller is unable to communicate with the iDRAC in server slot %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Reset the server iDRAC. If the issue persists, contact your service provider.",
            "Severity": "Warning"
        },
        "SWC8621": {
            "Description": "The Chassis Management Controller (CMC) is unable to process inventory data from the server slot identified in the message. This can happen if there is no free temporary storage in CMC.",
            "Message": "The Chassis Management Controller is unable to process inventory data from the server in slot %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Restart the Chassis Management Controller (CMC). To restart the CMC, start an SSH session to the CMC and enter the command \"racadm racreset\". Wait for the CMC to finish restarting and check if the inventory data is collected. If the issue persists, contact your service provider.",
            "Severity": "Warning"
        },
        "SWC8622": {
            "Description": "The remote network share settings are accessible on the CMC web interface at Server Overview/Setup/Remote Network Share tab. These settings must be correct for the CMC to connect to the remote network share and perform the application of the profile as specified in the Quick Deploy tab on the Profiles page.",
            "Message": "Quick Deploy Profile: Unable to access remote network share and apply assigned profile to the server in slot %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Make sure that the remote network share settings in the CMC are correct and that the remote share NFS/CIFS server is functioning correctly. Use the \"Test Network\" button in the CMC Web interface to make sure that the CMC can access the remote share.",
            "Severity": "Warning"
        },
        "SWC8623": {
            "Description": "The current configuration details of IOA in the slot identified in the message could not be saved to its startup configuration.",
            "Message": "Unable to save the I/O Aggregator configuration in %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Power-cycle the IOA and retry the operation.",
            "Severity": "Warning"
        },
        "SWC8624": {
            "Description": "The network communication session between CMC and I/O Aggregator (IOA) cannot be started because the IOA did not respond.",
            "Message": "The network communication session between CMC and I/O Aggregator cannot be started on %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Power-cycle the IOA and retry the operation.",
            "Severity": "Critical"
        },
        "SWC8627": {
            "Description": "Unable to configure storage array. This could happen if CMC could not communicate with storage device.",
            "Message": "Unable to configure the storage array in slot %1, because there is no communication between Chassis Management Controller (CMC) and the storage device.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "1. Reset iDRAC by using the graphical user interface (GUI): Click Chassis Overview > Troubleshooting > Reset Components. In the Reset Server section, from the Reset drop-down menu, select iDRAC Reset corresponding to the server iDRAC to be reset, and then click Apply Selection. Or, reset iDRAC by running the following command at the command line interface (CLI): racadm racreset -m server-n.2. Reset Chassis Management Controller (CMC) by using the GUI: Click Chassis Overview > Troubleshooting > Reset Components, and then click Reset/Failover CMC. Or, reset CMC by running the following command at the CLI: racadm racreset.For more information about the syntax and parameters used, see the iDRAC 8/7 v2.30.30.30 RACADM CLI Guide and the Chassis Management Controller Version 5.0 for Dell PowerEdge M1000e RACADM Command Line Reference Guide available on the support site.",
            "Severity": "Warning"
        },
        "SWC9000": {
            "Description": "The SecureBoot Certificate Delete operation cannot be completed either because an invalid thumbprint, hash, certificate type, subtype is entered or due to insufficient space in certificate store.",
            "Message": "Unable to complete the SecureBoot Certificate Delete operation either because an invalid thumbprint, hash, certificate type, subtype is entered or due to insufficient space in certificate store.",
            "NumberOfArgs": 0,
            "Resolution": "Enter correct thumbprint, hash, certificate type, subtype, free some space in the certificate store by deleting few certificates and then retry the operation. For more information, see iDRAC User's Guide available on the support site.",
            "Severity": "Critical"
        },
        "SWC9001": {
            "Description": "The SecureBoot Certificate DeleteAll operation cannot be completed because of an internal error or insufficient space in certificate store.",
            "Message": "Unable to complete the SecureBoot Certificate DeleteAll operation because of an internal error or insufficient space in certificate store.",
            "NumberOfArgs": 0,
            "Resolution": "Retry the operation. If the issue persists, free some space in the certificate store by deleting few certificates, restart iDRAC, and then retry the operation.",
            "Severity": "Critical"
        },
        "SWC9002": {
            "Description": "The SecureBoot Certificate Reset operation cannot be completed either because of insufficient space in certificate store, an internal error or an invalid Certificate type is entered.",
            "Message": "Unable to complete the SecureBoot Certificate Reset operation either because of insufficient space in certificate store, an internal error or an invalid Certificate type is entered.",
            "NumberOfArgs": 0,
            "Resolution": "Enter a valid Certificate type and retry the operation. If the issue persists, free some space in the certificate store by deleting few certificates, restart iDRAC, and then retry the operation.",
            "Severity": "Critical"
        },
        "SWC9003": {
            "Description": "The SecureBoot Certificate ResetAll operation cannot be completed either because of an internal error or due to insufficient space in certificate store.",
            "Message": "Unable to complete the SecureBoot Certificate ResetAll operation because of an internal error or due to insufficient space in certificate store.",
            "NumberOfArgs": 0,
            "Resolution": "Retry the operation. If the issue persists, free some space in the certificate store by deleting few certificates, restart iDRAC, and then retry the operation.",
            "Severity": "Critical"
        },
        "SWC9004": {
            "Description": "The SecureBoot Certificate Import operation cannot be completed because of one or more of the following reasons: corrupted input file (Certificate or UEFI Driver/op-ROM/boot loader file), invalid file, invalid file encoding format, input file (Certificate or UEFI Driver/op-ROM/boot loader file) is not found, the policy that is being updated already exists, insufficient space in certificate store and internal error.",
            "Message": "The requested SecureBoot Certificate Import operation cannot be completed.",
            "NumberOfArgs": 0,
            "Resolution": "Enter valid parameters and retry the operation. If the issue persists, free some space in the certificate store by deleting few certificates, restart iDRAC, and then retry the operation.",
            "Severity": "Critical"
        },
        "SWC9005": {
            "Description": "The requested operation was not successful because: 1. Operation is not allowed when SecureBoot policy is Standard. 2. Record not found. 3. Destination not reachable. 4. Destination has insufficient access rights. 5. Internal error.",
            "Message": "The requested SecureBoot Certificate Export operation cannot be completed.",
            "NumberOfArgs": 0,
            "Resolution": "Make sure that the destination has enough free space, or is not read-only. Retry the operation with valid input parameters. If the problem persists, reboot the iDRAC and retry the operation.",
            "Severity": "Critical"
        },
        "SWC9006": {
            "Description": "The SecureBoot Certificate View operation cannot be completed because SecureBoot policies are not found in the server.",
            "Message": "Unable to complete the SecureBoot Certificate View operation because SecureBoot policies are not found in the server.",
            "NumberOfArgs": 0,
            "Resolution": "Configure Secureboot policies and retry the operation.",
            "Severity": "Critical"
        },
        "SWC9007": {
            "Description": "The SecureBoot Certificate DeleteAll operation is successfully scheduled.",
            "Message": "The SecureBoot Certificate DeleteAll operation is successfully scheduled. Restart the host server for the changes to take effect.",
            "NumberOfArgs": 0,
            "Resolution": "Restart the host server for the changes to take effect.",
            "Severity": "Informational"
        },
        "SWC9008": {
            "Description": "The SecureBoot Certificate Reset operation is successfully scheduled.",
            "Message": "The SecureBoot Certificate Reset operation is successfully scheduled. Restart the host server for the changes to take effect.",
            "NumberOfArgs": 0,
            "Resolution": "Restart the host server for the changes to take effect.",
            "Severity": "Informational"
        },
        "SWC9009": {
            "Description": "The SecureBoot Certificate ResetAll operation is successfully scheduled.",
            "Message": "The SecureBoot Certificate ResetAll operation is successfully scheduled. Restart the host server for the changes to take effect.",
            "NumberOfArgs": 0,
            "Resolution": "Restart the host server for the changes to take effect.",
            "Severity": "Informational"
        },
        "SWC9010": {
            "Description": "The SecureBoot Certificate Import operation is successfully scheduled.",
            "Message": "The SecureBoot Certificate Import operation is successfully scheduled. Restart the host server for the changes to take effect.",
            "NumberOfArgs": 0,
            "Resolution": "Restart the host server for the changes to take effect.",
            "Severity": "Informational"
        },
        "SWC9011": {
            "Description": "The SecureBoot Certificate Export operation is successfully completed.",
            "Message": "The SecureBoot Certificate Export operation is successfully completed.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SWC9012": {
            "Description": "The SecureBoot Certificate Delete operation is successfully scheduled.",
            "Message": "The SecureBoot Certificate Delete operation is successfully scheduled. Restart the host server for the changes to take effect.",
            "NumberOfArgs": 0,
            "Resolution": "Restart the host server for the changes to take effect.",
            "Severity": "Informational"
        },
        "SWC9013": {
            "Description": "The Secure Boot Certificate Import operation cannot be completed because the file size being imported is greater than the maximum file size allowed for importing.",
            "Message": "Unable to complete the Secure Boot Certificate Import operation because the file size being imported is greater than the maximum file size allowed for importing.",
            "NumberOfArgs": 0,
            "Resolution": "Import the file by using the BIOS System Setup page by pressing F2 when the company logo is displayed while booting the server. For information about the maximum file size allowed, see the iDRAC User's Guide available on the support site.",
            "Severity": "Critical"
        },
        "SWU001": {
            "Description": "The expander or storage enclosure processor firmware is successfully updated.",
            "Message": "The expander or storage enclosure processor firmware is successfully updated.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SWU002": {
            "Description": "The expander or storage enclosure processor firmware update did not complete successfully.",
            "Message": "The backplane firmware update did not complete successfully.",
            "NumberOfArgs": 0,
            "Resolution": "Check the Storage Enclosure Backplane type and the Firmware version and make sure they are appropriately matched, and then retry the operation. For more information, see the platform Owner's Manual.",
            "Severity": "Warning"
        },
        "SWU8500": {
            "Description": "This message is displayed when:1. A reboot job is unable to provide a valid reboot ID.2. The WSMAN command to set up a job queue on Lifecycle Controller was not successful.",
            "Message": "The %1 request to Lifecycle Controller on server %2 was not successful.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "Retry the operation. If the error persists, contact your service provider.",
            "Severity": "Warning"
        },
        "SWU8501": {
            "Description": "This message is displayed when:1. A reboot job is unable to provide a valid reboot ID.2. The WSMAN command to set up a job queue on Lifecycle Controller was not successful.",
            "Message": "The reinstall/rollback request to Lifecycle Controller on server %1 was not successful.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Retry the operation. If the error persists, contact your service provider.",
            "Severity": "Warning"
        },
        "SWU8502": {
            "Description": "The specified Lifecycle Controller operation is successfully submitted and the operation will be executed on the basis of scheduling criteria.",
            "Message": "A %1 request was submitted to the Lifecycle Controller on server %2.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "No response action required.",
            "Severity": "Informational"
        },
        "SWU8503": {
            "Description": "The specified Lifecycle Controller operation is successfully submitted and the operation will be executed on the basis of scheduling criteria.",
            "Message": "A reinstall/rollback request was submitted to the Lifecycle Controller on server %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action required.",
            "Severity": "Informational"
        },
        "SWU8504": {
            "Description": "The specified Lifecycle Controller operation is successfully submitted and the operation will be executed on the basis of scheduling criteria.",
            "Message": "Successfully scheduled the %1 operation on the server %2.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "No response action required.",
            "Severity": "Informational"
        },
        "SWU8505": {
            "Description": "The specified Lifecycle Controller operation is successfully submitted and the operation will be executed on the basis of scheduling criteria.",
            "Message": "Successfully scheduled the reinstall/rollback operation on the server %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action required.",
            "Severity": "Informational"
        },
        "SWU8506": {
            "Description": "Completed the Firmware update operation for the CMC identified in the message.",
            "Message": "Completed the Firmware update operation for CMC%1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SWU8513": {
            "Description": "The firmware update operation of IOM infrastructure is successful.",
            "Message": "Successfully updated the IOM infrastructure firmware of slot %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SWU8514": {
            "Description": "The IOM infrastructure firmware update operation is not successful.",
            "Message": "Unable to update the IOM infrastructure firmware of slot %1. ErrorCode=0x%2.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "Reacquire the Image file from the source folder, and then retry the operation.",
            "Severity": "Warning"
        },
        "SWU8515": {
            "Description": "The IOM firmware update operation was not successful. Unable to initiate the Update process.",
            "Message": "Unable to update the IOM firmware. Update Initiation was not successful. ErrorCode=0x%1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Retry the operation.",
            "Severity": "Warning"
        },
        "SWU8516": {
            "Description": "iDRAC firmware update operation was not successful. The firmware Image file could not be transferred.",
            "Message": "Unable to update the iDRAC firmware on the server in slot %1. Transfer is not successful. ErrorCode=0x%2.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "Make sure the iDRAC firmware Image file is available in the given path and retry the operation.",
            "Severity": "Warning"
        },
        "SWU8517": {
            "Description": "Unable to update the iDRAC firmware. The firmware Image file is not accessible.",
            "Message": "Unable to update the iDRAC firmware on the server in slot %1. The Image file is not accessible. ErrorCode=0x%2.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "Make sure the iDRAC firmware Image file is available in the given path and retry the operation.",
            "Severity": "Warning"
        },
        "SWU8518": {
            "Description": "The server was pulled out from the chassis during the iDRAC firmware update operation.",
            "Message": "The firmware update operation on the iDRAC on the server in slot %1 is stopped.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Reinsert the server and retry the operation. If the issue persists, contact your service provider.",
            "Severity": "Warning"
        },
        "SWU8519": {
            "Description": "The iDRAC firmware update operation was stopped, because the Image file is corrupted.",
            "Message": "The firmware update operation of the iDRAC on the server in slot %1 is stopped. The Image file is corrupted.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Reacquire the Image file from the original source, and then retry the operation.",
            "Severity": "Warning"
        },
        "SWU8520": {
            "Description": "The firmware update operation of the iDRAC identified in the message is not successful.",
            "Message": "The firmware update operation of the iDRAC on the server in slot %1 is not successful.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Reacquire the Image file from the original source, and then retry the operation.",
            "Severity": "Warning"
        },
        "SWU8521": {
            "Description": "The firmware update operation of iDRAC identified in the message was stopped. The selected Image file is not compatible with the server hardware.",
            "Message": "The firmware update operation of the iDRAC on the server in slot %1 was stopped. The selected Image file is not compatible with the server hardware.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Make sure that the Image file is compatible with the server hardware, and then retry the operation.",
            "Severity": "Warning"
        },
        "SWU8522": {
            "Description": "The firmware update operation is not successful.",
            "Message": "Unable to update the iDRAC on the server in %1 firmware: ErrorCode=0x%2.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "Reacquire the Image file from the original source, and then retry the operation.",
            "Severity": "Warning"
        },
        "SWU8523": {
            "Description": "The firmware update operation of the iDRAC identified in the message is successful.",
            "Message": "The firmware update operation of the iDRAC on the server in slot %1 is successfully completed.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SWU8524": {
            "Description": "The firmware update operation is not successful. This may be due to a problem encountered by the firmware, or because a server was removed during the firmware update operation.",
            "Message": "Unable to update the iDRAC on the server in slot %1 firmware: ErrorCode=0x%2.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "Reacquire the Image file from the source folder, and then retry the operation.",
            "Severity": "Warning"
        },
        "SWU8525": {
            "Description": "The firmware update operation is not successful. The update process was not completed within the firmware update timeout duration.",
            "Message": "Unable to update the iDRAC firmware on the server in slot %1. The firmware update timeout limit is exceeded.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Retry the operation. If the issue persists, contact your service provider.",
            "Severity": "Warning"
        },
        "SWU8526": {
            "Description": "The firmware update operation of iDRAC identified in the message is initiated.",
            "Message": "The firmware update operation of the iDRAC on the server in slot %1 is initiated.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SWU8527": {
            "Description": "The iKVM firmware update operation is successful.",
            "Message": "Successfully completed the iKVM firmware update.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SWU8528": {
            "Description": "The process of iKVM firmware update is not successful due to a checksum error of the firmware image.",
            "Message": "Unable to update the iKVM firmware, because of a checksum error.",
            "NumberOfArgs": 0,
            "Resolution": "Reacquire the Image file from the source folder, and then retry the operation.",
            "Severity": "Warning"
        },
        "SWU8529": {
            "Description": "The iKVM firmware update operation was not successful, because the firmware Image file could not be transferred to the target.",
            "Message": "Unable to update the iKVM firmware, because the Image file was not transferred to the iKVM target.",
            "NumberOfArgs": 0,
            "Resolution": "Make sure that the iKVM firmware Image file is available at the specified location, and then retry the operation.",
            "Severity": "Warning"
        },
        "SWU8530": {
            "Description": "The process for iKVM firmware update was not successful.",
            "Message": "Unable to update the iKVM firmware.",
            "NumberOfArgs": 0,
            "Resolution": "Reacquire the Image file from the source location, and then retry the operation.",
            "Severity": "Warning"
        },
        "SWU8531": {
            "Description": "The firmware update operation is not successful, because the Update process was not completed within the firmware update timeout duration.",
            "Message": "Unable to update the iKVM firmware. The firmware update timeout limit is exceeded.",
            "NumberOfArgs": 0,
            "Resolution": "Retry the operation.",
            "Severity": "Warning"
        },
        "SWU8532": {
            "Description": "The LKVM firmware update operation is not successful, because an invalid parameter is entered.",
            "Message": "Unable to update the LKVM firmware, because an invalid parameter is entered. ErrorCode=0x%1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Retry the operation.",
            "Severity": "Warning"
        },
        "SWU8533": {
            "Description": "The LKVM firmware update operation is not successful, because the target is not ready.",
            "Message": "Unable to update the LKVM firmware, because the target is not ready. ErrorCode=0x%1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Wait for the target to become ready. This may take a few minutes. After the target is ready, then retry the operation.",
            "Severity": "Warning"
        },
        "SWU8534": {
            "Description": "The iKVM firmware update operation is not successful.",
            "Message": "Unable to update the iKVM firmware.",
            "NumberOfArgs": 0,
            "Resolution": "Reacquire the Image file from the source location, and then retry the operation.",
            "Severity": "Warning"
        },
        "SWU8535": {
            "Description": "The LKVM firmware update operation was not successful, because the firmware Image file could not be transferred.",
            "Message": "Unable to update the LKVM firmware, because the Image file transfer is not successful. ErrorCode=0x%1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Make sure that the iKVM firmware image file is available at the specified location, and then retry the operation.",
            "Severity": "Warning"
        },
        "SWU8536": {
            "Description": "The LKVM firmware update operation was not successful, because the firmware Image file could not be transferred.",
            "Message": "Unable to update the LKVM firmware, because the Image file could not be accessed. ErrorCode=0x%1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Make sure that the iKVM firmware image file is available at the specified location, and then retry the operation.",
            "Severity": "Warning"
        },
        "SWU8537": {
            "Description": "The LKVM firmware update operation was not successful, because the IP address of the active CMC that is provided to the LKVM is invalid.",
            "Message": "Unable to update the LKVM firmware, because the IP address provided is invalid. ErrorCode=0x%1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Make sure the CMC IP address entered is valid, and then retry the Update operation.",
            "Severity": "Warning"
        },
        "SWU8538": {
            "Description": "The iKVM firmware update operation was not successful.",
            "Message": "Unable to update the iKVM firmware. Reason = 0x%1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Retry the Update operation. If the issue persists, reinsert the iKVM and retry the operation.",
            "Severity": "Warning"
        },
        "SWU8540": {
            "Description": "The PSU firmware update operation was not successful, because the firmware Image file could not be transferred.",
            "Message": "Unable to update the PSU firmware, because the transfer of Image file is not successful. ErrorCode=0x%1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Make sure that the PSU firmware image file is available at the location specified in the operation, and then retry the operation.",
            "Severity": "Warning"
        },
        "SWU8541": {
            "Description": "The PSU firmware update operation was not successful, because the firmware Image file could not be transferred.",
            "Message": "Unable to update the PSU firmware, because the Image file is not accessible. ErrorCode=0x%1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Make sure that the PSU firmware image file is available at the location specified in the operation, and then retry the operation.",
            "Severity": "Warning"
        },
        "SWU8542": {
            "Description": "The firmware update operation for the CMC was not successful. The Image file could not be transferred.",
            "Message": "Unable to update the Active CMC firmware. The Image file transfer process was not successful.",
            "NumberOfArgs": 0,
            "Resolution": "Make sure that the CMC firmware Image file is available at the location specified in the operation, and then retry the operation.",
            "Severity": "Warning"
        },
        "SWU8543": {
            "Description": "The firmware update operation of CMC was not successful. The Image file was not accessible.",
            "Message": "Unable to update the Active CMC firmware. The Image file was not accessible.",
            "NumberOfArgs": 0,
            "Resolution": "Make sure that the CMC firmware image file is available at the location specified in the operation, and then retry the operation.",
            "Severity": "Warning"
        },
        "SWU8544": {
            "Description": "The firmware update operation of the Standby CMC was not successful. The Standby CMC could not be prepared for firmware update.",
            "Message": "Unable to update the Standby CMC firmware because the Standby CMC could not be prepared for firmware update.",
            "NumberOfArgs": 0,
            "Resolution": "Retry the firmware update operation.",
            "Severity": "Warning"
        },
        "SWU8545": {
            "Description": "The firmware update operation of the Standby CMC was not successful.",
            "Message": "Unable to update the Standby CMC firmware.",
            "NumberOfArgs": 0,
            "Resolution": "Retry the update operation.",
            "Severity": "Warning"
        },
        "SWU8546": {
            "Description": "The firmware update operation of the Standby CMC was not successful.",
            "Message": "Unable to update the Standby CMC firmware.",
            "NumberOfArgs": 0,
            "Resolution": "Retry the update operation.",
            "Severity": "Warning"
        },
        "SWU8547": {
            "Description": "The firmware update operation of Standby CMC was not successful. The firmware image could not be transferred.",
            "Message": "Unable to update the Standby CMC firmware. The Image transfer process was not successful.",
            "NumberOfArgs": 0,
            "Resolution": "Make sure that the CMC firmware image file is available at the location specified in the operation, and then retry the operation.",
            "Severity": "Warning"
        },
        "SWU8548": {
            "Description": "The firmware update operation of Standby CMC was not successful. The firmware image could not be accessed.",
            "Message": "Unable to update the Standby CMC firmware. The Image was not accessible.",
            "NumberOfArgs": 0,
            "Resolution": "Make sure that the CMC firmware image file is available at the location specified in the operation, and then retry the operation.",
            "Severity": "Warning"
        },
        "SWU8549": {
            "Description": "The firmware update process of Active CMC and Standby CMC was not successful, because of a firmware image checksum error.",
            "Message": "Unable to update the firmware of Standby CMC and Active CMC. The checksum process was not successful.",
            "NumberOfArgs": 0,
            "Resolution": "Reacquire the Image file from the source location, and then retry the operation.",
            "Severity": "Warning"
        },
        "SWU8550": {
            "Description": "The firmware update process of Active CMC and Standby CMC was not successful.",
            "Message": "Unable to update the firmware of Standby CMC and Active CMC.",
            "NumberOfArgs": 0,
            "Resolution": "Reacquire the Image file from the source location, and then retry the operation.",
            "Severity": "Warning"
        },
        "SWU8551": {
            "Description": "The firmware update process of Active CMC was not successful, because of a firmware image checksum error.",
            "Message": "Unable to update the firmware of Active CMC. The checksum process was not successful.",
            "NumberOfArgs": 0,
            "Resolution": "Reacquire the Image file from the source location, and then retry the operation.",
            "Severity": "Warning"
        },
        "SWU8552": {
            "Description": "The firmware update process of Active CMC was not successful.",
            "Message": "Unable to update the firmware of Active CMC.",
            "NumberOfArgs": 0,
            "Resolution": "Reacquire the Image file from the source location, and then retry the operation.",
            "Severity": "Warning"
        },
        "SWU8553": {
            "Description": "The firmware update operation of Active CMC was not successful. The firmware Image file could not be accessed.",
            "Message": "Unable to update the Active CMC firmware. The Image file was not accessible.",
            "NumberOfArgs": 0,
            "Resolution": "Make sure that the CMC firmware Image file is available at the location specified in the operation, and then retry the operation.",
            "Severity": "Warning"
        },
        "SWU8554": {
            "Description": "Local CMC firmware update process is initiated.",
            "Message": "Local CMC firmware update has been initiated.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SWU8555": {
            "Description": "Active and Standby CMC firmware update process is initiated.",
            "Message": "Active CMC and Standby CMC firmware updates have been initiated.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SWU8556": {
            "Description": "The sled network uplink on the sled identified in the message could not be configured. The servers on the sled may not have expected network connectivity.",
            "Message": "Unable to configure the sled network uplink on sled %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Perform a Virtual Reseat operation, and then retry the operation. To virtually reseat a server 1) Using the CMC Web UI, go to Chassis Overview > Troubleshooting > Reset Components, and then select slot for the component identified in the message and apply the Virtual Reseat or 2) Run the following RACADM command at the command line interface: \"racadm serveraction -f -m sled-<slot number> reseat\".",
            "Severity": "Critical"
        },
        "SWU8557": {
            "Description": "Invalid firmware: The uploaded firmware image does not contain a verification signature.",
            "Message": "Invalid firmware: The uploaded firmware image does not contain a verification signature.",
            "NumberOfArgs": 0,
            "Resolution": "Use a valid firmware image and retry the operation.",
            "Severity": "Warning"
        },
        "SWU8558": {
            "Description": "Invalid firmware: The uploaded firmware image validation was unsuccessful.",
            "Message": "Invalid firmware: The uploaded firmware image validation was unsuccessful.",
            "NumberOfArgs": 0,
            "Resolution": "Use a valid firmware image and retry the operation.",
            "Severity": "Warning"
        },
        "SWU8559": {
            "Description": "The firmware downgrade operation is unsuccessful. A downgrade to the firmware version uploaded is not supported.",
            "Message": "The firmware downgrade operation is unsuccessful. A downgrade to the firmware version uploaded is not supported.",
            "NumberOfArgs": 0,
            "Resolution": "Refer to the platform Owner's Manual for more information or contact your service provider.",
            "Severity": "Warning"
        },
        "SWU8560": {
            "Description": "The firmware update process of Active CMC and Standby CMC was not successful because of a unrecognized image error.",
            "Message": "The firmware update process of Active CMC and Standby CMC was not successful because of a unrecognized image error.",
            "NumberOfArgs": 0,
            "Resolution": "Obtain a valid firmware image from your service provider and retry the operation.",
            "Severity": "Warning"
        },
        "SWU8561": {
            "Description": "The firmware version selected for rollback does not support the current chassis hardware configuration.",
            "Message": "Unable to downgrade the firmware version because the current hardware configuration does not support rollback to the earlier firmware version.",
            "NumberOfArgs": 0,
            "Resolution": "Make sure that firmware version selected for rollback is supported for the current hardware configuration, such as I/O modules, PSU modules, and servers. For example, a newer generation PSU may not work with an earlier iDRAC or CMC firmware. For more information, see the platform Owner's Manual or CMC or iDRAC Release Notes for details.",
            "Severity": "Warning"
        },
        "SWU8662": {
            "Description": "The IOA firmware cannot be updated because of an issue in the network communication session between CMC and IOA.",
            "Message": "Unable to update the I/O Aggregator (IOA) firmware because of an issue in the network communication session between CMC and IOA in slot %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Power-cycle the IOA and if the firmware version is unchanged, retry the firmware update operation.",
            "Severity": "Warning"
        },
        "SYS001": {
            "Description": "The operation requested successfully completed.",
            "Message": "The operation was successful.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SYS002": {
            "Description": "The operation did not complete successfully because of an unknown error in iDRAC.",
            "Message": "Unable to perform the operation due to an unknown error in iDRAC.",
            "NumberOfArgs": 0,
            "Resolution": "Retry the action. If the issue persists, reset iDRAC.",
            "Severity": "Warning"
        },
        "SYS003": {
            "Description": "One or more required parameters needed for the operation are missing.",
            "Message": "Missing parameters: %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Refer to the Lifecycle Controller Remote Services documentation and retry the operation with the required parameters.",
            "Severity": "Warning"
        },
        "SYS004": {
            "Description": "The value provided for the specified parameter is invalid.",
            "Message": "Invalid parameter value for %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Refer to the Lifecycle Controller Remote Services documentation and retry the operation with a valid value for the identified parameter.",
            "Severity": "Warning"
        },
        "SYS005": {
            "Description": "The AttributeName input array and AttributeValue input array do not have the same number of elements.",
            "Message": "AttributeName array and AttributeValue array element count mismatch.",
            "NumberOfArgs": 0,
            "Resolution": "Verify AttributeName and AttributeValue pairs match and are valid. Refer to the Lifecycle Controller Remote Services documentation.",
            "Severity": "Warning"
        },
        "SYS006": {
            "Description": "The attribute being set is currently read-only and cannot be changed.",
            "Message": "Unable to set read only attribute: %1",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Refer to the Lifecycle Controller Remote Services documentation for the specific attribute behavior.",
            "Severity": "Warning"
        },
        "SYS007": {
            "Description": "The input value for the attribute being set is not within the acceptable range for the attribute.",
            "Message": "Input out of range for %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Refer to the Lifecycle Controller-Remote Services documentation for the specific attribute and retry the operation with valid value within the range of the attribute.",
            "Severity": "Warning"
        },
        "SYS008": {
            "Description": "The input value for the specified attribute is not a valid boolean value for the attribute.",
            "Message": "Invalid boolean in value for attribute: %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Refer to the Lifecycle Controller-Remote Services documentation and provide a valid boolean value for the specified attribute.",
            "Severity": "Warning"
        },
        "SYS009": {
            "Description": "Length of string for specified attribute exceeded the maximum length allowed.",
            "Message": "String exceeds maximum length for attribute: %1",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Check Lifecycle Controller-Remote Services documentation and retry the command with string value length less than maximum length allowed.",
            "Severity": "Warning"
        },
        "SYS010": {
            "Description": "The input value for the specified attribute is not valid.",
            "Message": "Invalid character in value for attribute: %1",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Refer to Lifecycle Controller-Remote Services documentation and provide valid attribute value for the specified attribute.",
            "Severity": "Warning"
        },
        "SYS011": {
            "Description": "A configuration job is scheduled to apply pending set attribute operations. Set operations are not allowed if there is an existing configuration job for a component.",
            "Message": "Pending configuration values are already committed, unable to perform another set operation.",
            "NumberOfArgs": 0,
            "Resolution": "Wait for the scheduled job to complete or delete the configuration jobs before attempting more set attribute operations.",
            "Severity": "Warning"
        },
        "SYS012": {
            "Description": "The user credentials provided do not have appropriate privileges to perform the operation requested.",
            "Message": "User privileges are not sufficient to perform operation.",
            "NumberOfArgs": 0,
            "Resolution": "Retry operation using user credentials that have appropriate privileges to perform the operation.",
            "Severity": "Warning"
        },
        "SYS013": {
            "Description": "The attribute name provided for the requested operation does not exist on the target system or is invalid.",
            "Message": "Invalid attribute name: %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "For more information, see Lifecycle Controller-Remote Services documentation.",
            "Severity": "Warning"
        },
        "SYS014": {
            "Description": "The value provided for the identified attribute is invalid.",
            "Message": "Invalid value for attribute: %1",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "For more information, refer to the Lifecycle Controller-Remote Services documentation and provide a valid value for the identified attribute.",
            "Severity": "Warning"
        },
        "SYS015": {
            "Description": "The requested job has been created.",
            "Message": "Job created successfully.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SYS016": {
            "Description": "All the operations in the Job were attempted, but some did not complete successfully.",
            "Message": "Job completed with errors",
            "NumberOfArgs": 0,
            "Resolution": "Review the Job content and verify the values are correct. For more information, see Lifecycle Controller Remote Services documentation.",
            "Severity": "Warning"
        },
        "SYS017": {
            "Description": "The job did not complete successfully.",
            "Message": "Job did not complete successfully.",
            "NumberOfArgs": 0,
            "Resolution": "Verify the reason for the unsuccessful completion of the job by inspecting the Lifecycle Log entries related to the job. Correct the underlying cause of the unsuccessful completion and retry the operation.",
            "Severity": "Warning"
        },
        "SYS018": {
            "Description": "The submitted job completed successfully.",
            "Message": "Job completed successfully.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SYS019": {
            "Description": "The input is missing a required dependency necessary for the operation.",
            "Message": "Required dependency input not found.",
            "NumberOfArgs": 0,
            "Resolution": "Provide the required dependency and retry. For more information, see Lifecycle Controller Remote Services documentation.",
            "Severity": "Warning"
        },
        "SYS020": {
            "Description": "The value provided for the required attribute is invalid.",
            "Message": "Invalid required Attribute value.",
            "NumberOfArgs": 0,
            "Resolution": "The value specified is not valid. Refer to the Lifecycle Controller Remote Services documentation for more information.",
            "Severity": "Warning"
        },
        "SYS021": {
            "Description": "The operation did not complete successfully because of incorrect parameters or internal firmware issues.",
            "Message": "Unable to set the value for %1",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Retry the operation. If the issue persists, do one of the following: 1) verify the value being set is correct, 2) reset the iDRAC.",
            "Severity": "Warning"
        },
        "SYS022": {
            "Description": "The operation could not complete because of an internal resource allocation issue with the firmware.",
            "Message": "Resource allocation failure.",
            "NumberOfArgs": 0,
            "Resolution": "Reset the iDRAC and retry the operation.",
            "Severity": "Critical"
        },
        "SYS023": {
            "Description": "There are no pending values to change.",
            "Message": "No configuration changes pending.",
            "NumberOfArgs": 0,
            "Resolution": "Ensure there are pending values for the attributes that need to be set and retry the operation.",
            "Severity": "Warning"
        },
        "SYS024": {
            "Description": "Unable to complete the operation because attribute dependency checking did not complete successfully. This attribute is dependent on a related attribute that has an incorrect value. The related attribute is the parent in a parent-child value dependency relationship and has an affect on what values the child attribute can have.",
            "Message": "Unable to complete the operation because attribute dependency checking did not complete successfully.",
            "NumberOfArgs": 0,
            "Resolution": "Make sure the dependency related attribute has the correct value and retry the operation. For more information on attribute dependency, Refer to the Dell Lifecycle Controller Remote Services Quick Start Guide and Profile Documents available at the support site.",
            "Severity": "Warning"
        },
        "SYS025": {
            "Description": "There are no pending configurations to be deleted.",
            "Message": "Unable to delete pending configuration.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SYS029": {
            "Description": "The parameter name is not supported.",
            "Message": "Unsupported parameter name %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Remove the unsupported parameter and retry the operation.",
            "Severity": "Warning"
        },
        "SYS030": {
            "Description": "Collecting the data required for component configuration.",
            "Message": "Collecting component configuration information.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SYS031": {
            "Description": "The configuration is being applied to a component.",
            "Message": "Updating component configuration.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SYS032": {
            "Description": "The staged component configuration update performed in the UEFI environment on the host system is complete.",
            "Message": "Staged component configuration is complete.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SYS033": {
            "Description": "The staged component configuration update performed in the UEFI environment on the host system has completed, but there were errors.",
            "Message": "Staged component configuration completed with errors.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Warning"
        },
        "SYS034": {
            "Description": "The configuration operation for the specified device is in progress.",
            "Message": "Performing component configuration for: %1",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SYS035": {
            "Description": "The component configuration operation was completed, however some of the configuration values were not successfully applied.",
            "Message": "Some configuration values were not applied to: %1",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Retrieve and view configuration operation results in the Lifecycle Log. For more information to retrieve the configuration results see the Lifecycle Controller Remote Services User's Guide. Identify the unsuccessful configuration operations. Modify the input data as appropriate for the component and retry the configuration operation.",
            "Severity": "Warning"
        },
        "SYS036": {
            "Description": "The configuration settings could not be applied to the component. This may indicate configuration changes since the last system inventory collection was completed.",
            "Message": "Unable to apply the configuration to the component.",
            "NumberOfArgs": 0,
            "Resolution": "Retry the operation or try the attribute set operation for the component.",
            "Severity": "Warning"
        },
        "SYS037": {
            "Description": "Operation validation is unsuccessful. The command, target and operation data are all validated before an update is performed. If any of them are missing or incorrect the operation does not complete successfully.",
            "Message": "Component update initialization failure.",
            "NumberOfArgs": 0,
            "Resolution": "Enable the Collect System Inventory on Restart attribute using Lifecycle Controller and restart the system. Retry the operation after the system restarts.",
            "Severity": "Warning"
        },
        "SYS038": {
            "Description": "Unable to locate the configuration data associated with the job.",
            "Message": "Missing or corrupt configuration information.",
            "NumberOfArgs": 0,
            "Resolution": "Retry the operation. If this issue persists, contact your service provider.",
            "Severity": "Warning"
        },
        "SYS039": {
            "Description": "The requested configuration changes have not passed the component specific verification checks, and therefore the changes will not be applied.",
            "Message": "Verification of requested configuration changes failed.",
            "NumberOfArgs": 0,
            "Resolution": "Check the scripts or related documentation and retry the operation.",
            "Severity": "Warning"
        },
        "SYS040": {
            "Description": "An operation to update the firmware of a component did not complete successfully.",
            "Message": "The firmware update operation did not complete successfully.",
            "NumberOfArgs": 0,
            "Resolution": "Check the Lifecycle Log for more details about the unsuccessful operation. Resolve the issue and retry the operation.",
            "Severity": "Warning"
        },
        "SYS041": {
            "Description": "The configuration update is complete, however all of the values were not correctly applied.",
            "Message": "Unable to apply some component configuration values.",
            "NumberOfArgs": 0,
            "Resolution": "Check the Lifecycle Log for the values that were not set. Resolve the issues in the XML configuration input file and retry the operation. Alternatively, configure each of the attributes using the component service methods. For more information, see the Lifecycle Controller User's Guide.",
            "Severity": "Warning"
        },
        "SYS042": {
            "Description": "The requested component configuration successfully completed.",
            "Message": "Component configuration successfully completed.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SYS043": {
            "Description": "The current configuration of the system components (BIOS, RAID, NIC, iDRAC, and so on) was written to a Server Configuration Profile and successfully copied to the specified location.",
            "Message": "Successfully exported Server Configuration Profile.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SYS044": {
            "Description": "Unable to collect the configuration information for one or more components. An internal error occurred while processing component information.",
            "Message": "Unable to export one or more component configurations.",
            "NumberOfArgs": 0,
            "Resolution": "Enable Collect System Inventory On Restart (CSIOR) using Lifecycle Controller and restart the system. Make sure that inventory collection is complete before retrying the operation. For more information, see the Lifecycle Controller User's Guide.",
            "Severity": "Warning"
        },
        "SYS045": {
            "Description": "An error occurred while copying the Server Configuration Profile to the network share.",
            "Message": "Unable to copy the Server Configuration Profile to the network share.",
            "NumberOfArgs": 0,
            "Resolution": "If the file is being exported to an NFS share, make sure that it is accessible from iDRAC. If the file is being exported to a CIFS share, make sure that it is accessible from iDRAC by using share access credentials with the appropriate privileges. If the share is by using http or https protocol, make sure that you have correctly configured the share and it can be accessible by using iDRAC.",
            "Severity": "Warning"
        },
        "SYS046": {
            "Description": "An error occurred while copying the Server Configuration Profile from the network share.",
            "Message": "Unable to import the Server Configuration Profile from the network share.",
            "NumberOfArgs": 0,
            "Resolution": "If the file is being copied from an NFS share, make sure that it is accessible from iDRAC. If the file is being copied from a CIFS share, make sure that it is accessible from iDRAC using the share credentials provided. Test the network share access using the Test Network Connection method. For more information, see the Lifecycle Controller User's Guide.",
            "Severity": "Warning"
        },
        "SYS047": {
            "Description": "The input file is not compliant with the system configuration schema.",
            "Message": "Input file for import configuration is not compliant with the configuration schema.",
            "NumberOfArgs": 0,
            "Resolution": "Make sure that the input file is compliant with the system configuration schema published on delltechcenter.com/lc in the LC profile Schema Guide.",
            "Severity": "Warning"
        },
        "SYS048": {
            "Description": "The operation expected a valid profile that is compliant with the system configuration schema. However, the Server Configuration Profile does not contain valid profile content.",
            "Message": "Server Configuration Profile contains invalid characters, %1 at line %2.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "View the file in any Web browser to check for invalid characters. Remove the invalid characters and make sure that the file is a valid XML and is compliant with the system configuration schema published on delltechcenter.com/lc in the LC profile Schema Guide.",
            "Severity": "Warning"
        },
        "SYS050": {
            "Description": "The Server Configuration Profile for the import configuration operation is not compliant with schema nesting checks. Only RAID controllers can have nested Component nodes up to a maximum nesting depth of three.",
            "Message": "The Server Configuration Profile for import configuration is not compliant with schema nesting checks.",
            "NumberOfArgs": 0,
            "Resolution": "Make sure that the Server Configuration Profile is compliant with the system configuration schema published on delltechcenter.com/lc in the LC profile Schema Guide. Only RAID controllers can have nested Component nodes.",
            "Severity": "Warning"
        },
        "SYS051": {
            "Description": "Sometimes, the operating system on the server may not allow a graceful shutdown or may not complete within the specified graceful shutdown timeout. This error indicates that the system could not be shutdown within the time specified. The default timeout value is 5 minutes and the maximum value allowed is 1 hour.",
            "Message": "The system could not be shut down within the specified time.",
            "NumberOfArgs": 0,
            "Resolution": "Retry the operation with a longer specified graceful shutdown timeout or with the system shutdown option.",
            "Severity": "Warning"
        },
        "SYS052": {
            "Description": "Configuration changes that do not require a system restart are currently being applied.",
            "Message": "Analyzing iDRAC, System, or Lifecycle Controller configuration for changes to be applied.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SYS053": {
            "Description": "Configuration changes specified in the Server Configuration Profile were successfully applied.",
            "Message": "Successfully imported and applied Server Configuration Profile.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SYS054": {
            "Description": "The current configuration for components that require staged configuration already match the configuration specified by the input file. A system restart to apply staged configuration is not required.",
            "Message": "No configuration changes requiring a system restart need to be applied.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SYS055": {
            "Description": "The configuration specified in the Server Configuration Profile was applied, but there were some errors. The Lifecycle Controller Log contains the details of the component configurations that did not complete successfully.",
            "Message": "Import of Server Configuration Profile operation completed with errors.",
            "NumberOfArgs": 0,
            "Resolution": "Review the Lifecycle Controller Log and identify the configuration changes that did not complete successfully. Retry those changes in a separate operation.",
            "Severity": "Informational"
        },
        "SYS056": {
            "Description": "Waiting for the system to shut down before applying configuration changes.",
            "Message": "Waiting for the system to shut down.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SYS057": {
            "Description": "The current system configuration is being collected and the Server Configuration Profile is being generated.",
            "Message": "Exporting Server Configuration Profile.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SYS058": {
            "Description": "Running Lifecycle Controller Automated Task Execution application in Unified Extensible Firmware Interface (UEFI) environment to apply configuration changes.",
            "Message": "Applying configuration changes.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SYS059": {
            "Description": "Configuration changes for the component identified by the Fully Qualified Device Descriptor (FQDD) were successfully applied.",
            "Message": "Component configuration successfully changed.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required. See Lifecycle Log for details.",
            "Severity": "Informational"
        },
        "SYS060": {
            "Description": "Some configuration changes for the component identified by the Fully Qualified Device Descriptor (FQDD) in the configuration job results were not successfully applied.",
            "Message": "Component configuration completed with errors.",
            "NumberOfArgs": 0,
            "Resolution": "Export the Lifecycle Log and identify the configuration changes that did not complete or retrieve the configuration results using the GetConfigResults() method. Retry those changes that did not complete in a separate import operation.",
            "Severity": "Informational"
        },
        "SYS061": {
            "Description": "Some configuration changes for the component identified by the Fully Qualified Device Descriptor (FQDD) in the configuration job results were not successfully applied.",
            "Message": "Unable to complete component configuration.",
            "NumberOfArgs": 0,
            "Resolution": "Export the Lifecycle Log and identify the configuration changes that did not complete or retrieve the configuration results using the GetConfigResults() method. Retry those changes that did not complete in a separate import operation.",
            "Severity": "Informational"
        },
        "SYS062": {
            "Description": "The input file for the import configuration operation does not contain a valid profile root element.",
            "Message": "Input file for import configuration operation is invalid. The expected profile root element was not found.",
            "NumberOfArgs": 0,
            "Resolution": "Open the input file in any Web browser to check for invalid content before the expected root element. Correct the invalid content and make sure that the profile is compliant to the system configuration schema before retrying the operation.",
            "Severity": "Warning"
        },
        "SYS063": {
            "Description": "The input file for the import configuration operation does not contain a closed root element.",
            "Message": "Input file for import configuration operation is invalid. The expected root element was not closed.",
            "NumberOfArgs": 0,
            "Resolution": "Open the input file in any Web browser to check for invalid content before the expected root element. Correct the invalid content and make sure that the profile is compliant to the system configuration schema before retrying the operation.",
            "Severity": "Warning"
        },
        "SYS064": {
            "Description": "The input file for the import configuration operation contains invalid XML data at the line specified.",
            "Message": "Input file for import configuration operation is invalid at line %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Open the input file in any Web browser to check for invalid content before the expected root element. Correct the invalid content and make sure that the XML file is compliant to the system configuration schema before retrying the operation.",
            "Severity": "Warning"
        },
        "SYS065": {
            "Description": "An internal error occurred opening the input configuration XML file. An iDRAC reset is required.",
            "Message": "Input file for import configuration operation cannot be found or opened.",
            "NumberOfArgs": 0,
            "Resolution": "Reset iDRAC and retry the operation.",
            "Severity": "Warning"
        },
        "SYS066": {
            "Description": "No iDRAC, System, or Lifecycle Controller configuration changes were applied. The settings specified in the system configuration XML input file match the current configuration for these components.",
            "Message": "No changes detected for iDRAC, System, or Lifecycle Controller configuration.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SYS067": {
            "Description": "Some or all configuration actions during the import of configuration profile operation did not complete successfully. The configuration action details are logged into the Lifecycle Log.",
            "Message": "Unable to complete application of configuration profile values.",
            "NumberOfArgs": 0,
            "Resolution": "Export the Lifecycle Log and identify the configuration changes that did not successfully complete. Resolve any issues with the configuration profile content and retry the import operation.",
            "Severity": "Warning"
        },
        "SYS068": {
            "Description": "Some configuration changes that require system reboot were not applied because the values specified in the input XML file are incorrect.",
            "Message": "Configuration changes that require system reboot were not applied.",
            "NumberOfArgs": 0,
            "Resolution": "Use the GetConfigResults() method to get the configuration job results or export the Lifecycle Log and review the configuration job results to identify the errors. Make changes to the input XML to correct the errors. Retry the import operation.",
            "Severity": "Warning"
        },
        "SYS069": {
            "Description": "The settings specified in the system configuration XML file match the current configuration for all components.",
            "Message": "No changes were applied since the current component configuration matched the requested configuration.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SYS070": {
            "Description": "The configuration changes that require system reboot into the UEFI environment on the system did not complete for all components.",
            "Message": "Configuration changes that require system reboot were not applied.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Warning"
        },
        "SYS071": {
            "Description": "The export of Server Configuration Profile did not complete because the operation took too long.",
            "Message": "Server Configuration Profile export operation timed-out.",
            "NumberOfArgs": 0,
            "Resolution": "Make sure the Collect System Inventory On Restart (CSIOR) Lifecycle Controller setting is enabled and reboot the system. Retry the operation after CSIOR has completed. If the problem persists, reset iDRAC by pressing the System ID button for at least 15 seconds and retry the operation after iDRAC has fully restarted.",
            "Severity": "Warning"
        },
        "SYS072": {
            "Description": "The import of Server Configuration Profile did not complete as the operation took too long.",
            "Message": "Server Configuration Profile import operation timed-out.",
            "NumberOfArgs": 0,
            "Resolution": "Delete all jobs, reset iDRAC by pressing the System ID button for at least 15 seconds, and retry the operation.",
            "Severity": "Warning"
        },
        "SYS073": {
            "Description": "The import of Server Configuration Profile operation completed with errors because the Lifecycle Controller State was disabled in the input profile. Configuration changes requiring a system reboot were not applied.",
            "Message": "Unable to apply changes that require system reboot because the Lifecycle Controller State setting is disabled in the Server Configuration Profile.",
            "NumberOfArgs": 0,
            "Resolution": "Enable the Lifecycle Controller State setting and retry the operation.",
            "Severity": "Warning"
        },
        "SYS074": {
            "Description": "Unable to apply configuration changes because another configuration job is in progress.",
            "Message": "Unable to apply configuration changes because another configuration job is in progress.",
            "NumberOfArgs": 0,
            "Resolution": "Wait until the current configuration job is complete and retry the operation.",
            "Severity": "Warning"
        },
        "SYS075": {
            "Description": "Unable to perform the import operation because the specified file does not exist on the remote share.",
            "Message": "Unable to perform the import operation because the specified file does not exist on the remote share.",
            "NumberOfArgs": 0,
            "Resolution": "Make sure the import configuration file exists on the remote share before retrying the operation.",
            "Severity": "Warning"
        },
        "SYS076": {
            "Description": "The configuration profile contains a component node that is not supported.",
            "Message": "Invalid or unsupported component specified in the input configuration profile.",
            "NumberOfArgs": 0,
            "Resolution": "Make sure the input configuration profile only specifies supported component. Check the import operation job configuration results for the unsupported profile node.",
            "Severity": "Informational"
        },
        "SYS077": {
            "Description": "Unable to perform the preview operation because the specified system configuration XML file does not exist on the remote share.",
            "Message": "Unable to perform the preview operation because the specified file does not exist on the remote share.",
            "NumberOfArgs": 0,
            "Resolution": "Make sure the configuration XML file to be previewed exists on the remote share before retrying the operation.",
            "Severity": "Warning"
        },
        "SYS078": {
            "Description": "Unable to retrieve the Server Configuration Profile from the network share for the requested preview operation. This may be due to issues with network accessibility.",
            "Message": "Unable to retrieve the Server Configuration Profile from the network share for preview.",
            "NumberOfArgs": 0,
            "Resolution": "If the configuration profile is on an NFS share, make sure that the network share is accessible from iDRAC. If the configuration profile is on a CIFS share, make sure that the network share is accessible from iDRAC using the share credentials specified. Test the network share access using the Test Network Connection method. For more information, see the Lifecycle Controller User's Guide.",
            "Severity": "Warning"
        },
        "SYS079": {
            "Description": "The Preview operation indicates the input file for Server Configuration Profile is not compliant with the configuration profile schema.",
            "Message": "The Preview operation indicates the input file for Server Configuration Profile is not compliant with the configuration profile schema.",
            "NumberOfArgs": 0,
            "Resolution": "Make sure that the input file is compliant with the system configuration XML schema published on www.delltechcenter.com/lc.",
            "Severity": "Warning"
        },
        "SYS080": {
            "Description": "Preview of Server Configuration Profile import operation indicates that no changes will be applied successfully. This is likely due to a mismatch between the actual target system components and component FQDDs specified in the configuration profile.",
            "Message": "Preview of Server Configuration Profile import operation indicated that no configuration changes will be successful.",
            "NumberOfArgs": 0,
            "Resolution": "Make sure that the input file is compliant with the system configuration schema published on www.delltechcenter.com/lcand contains valid FQDDs that represent actual components in the target system.",
            "Severity": "Warning"
        },
        "SYS081": {
            "Description": "Successfully previewed Server Configuration Profile import operation.",
            "Message": "Successfully previewed Server Configuration Profile import operation.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SYS082": {
            "Description": "The request to preview the Server Configuration Profile import operation completed. Some changes specified in the configuration profile will not be successfully applied in an import configuration profile operation.",
            "Message": "Completed the preview of Server Configuration Profile import operation. Some changes specified in the configuration profile will not be successfully applied in an import operation.",
            "NumberOfArgs": 0,
            "Resolution": "Identify the configuration changes that cannot be completed successfully by 1) Export the Lifecycle Log review the configuration results in the entries for the preview job or 2) Retrieve the preview operation configuration results using the GetConfigResults() method. Retry those changes that did not complete in a separate import operation.",
            "Severity": "Informational"
        },
        "SYS083": {
            "Description": "Unable to export ePSA Diagnostics results because iDRAC internal storage could not be accessed.",
            "Message": "Unable to export ePSA Diagnostics results because iDRAC internal storage could not be accessed.",
            "NumberOfArgs": 0,
            "Resolution": "Do the following: 1) Delete all jobs, 2) Reset iDRAC by pressing the System ID button for at least 15 seconds, and 3) Retry the operation.",
            "Severity": "Warning"
        },
        "SYS084": {
            "Description": "Export of ePSA Diagnostics results did not complete successfully because the iDRAC internal storage containing the results could not be accessed.",
            "Message": "Export of ePSA Diagnostics results did not complete successfully because the iDRAC internal storage containing the results could not be accessed.",
            "NumberOfArgs": 0,
            "Resolution": "Do the following: 1) Delete all jobs, 2) Reset iDRAC by pressing the System ID button for at least 15 seconds, and 3) Retry the operation.",
            "Severity": "Warning"
        },
        "SYS085": {
            "Description": "Successfully exported ePSA Diagnostics results.",
            "Message": "Successfully exported the ePSA Diagnostics results.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SYS086": {
            "Description": "Unable to copy the ePSA Diagnostics results file to the specified network share.",
            "Message": "Unable to copy the ePSA Diagnostics results file to the network share.",
            "NumberOfArgs": 0,
            "Resolution": "If the results are being exported to an NFS share, make sure that the network share is accessible from iDRAC. If the results are being exported to a CIFS share, make sure that the network share is accessible from iDRAC using the specified share access credentials.",
            "Severity": "Warning"
        },
        "SYS087": {
            "Description": "When the configuration XML file specified in the Preview operation is imported to the system, a system reboot will occur to apply the configuration changes.",
            "Message": "A system reboot will occur when the previewed configuration XML file is imported to the system.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SYS088": {
            "Description": "Applying the changes defined in the configuration XML file will take approximately the estimated time identified in the message.",
            "Message": "Estimated time for applying configuration changes is %1 seconds.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SYS089": {
            "Description": "The Preview operation of Server Configuration Profile is complete.",
            "Message": "Preview of Server Configuration Profile is complete.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SYS090": {
            "Description": "The configuration profile contains DOCTYPE tags which may contain injection security threats. The DOCTYPE tag is not supported in configuration profiles.",
            "Message": "The configuration profile contains unsupported DOCTYPE tags.",
            "NumberOfArgs": 0,
            "Resolution": "Check the input XML file for DOCTYPE XML tags and remove them before retrying the operation.",
            "Severity": "Warning"
        },
        "SYS091": {
            "Description": "Unable to complete the operation because the method is not supported.",
            "Message": "Unable to complete the operation because the method is not supported.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SYS092": {
            "Description": "The iDRAC is collecting information about the server for a Tech Support Report.",
            "Message": "The iDRAC is collecting information about the server for a Tech Support Report.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SYS093": {
            "Description": "The iDRAC is exporting the Tech Support Report to the specified destination.",
            "Message": "The iDRAC is exporting the Tech Support Report.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SYS094": {
            "Description": "The Tech Support Report collection job could not be started, because a report collection job is already running on the server.",
            "Message": "The iDRAC is unable to start the Tech Support Report job, because a report collection job is already running on the server.",
            "NumberOfArgs": 0,
            "Resolution": "Wait until the current Tech Support Report operation is complete and then retry the operation.",
            "Severity": "Warning"
        },
        "SYS095": {
            "Description": "Unable to unmount an iDRAC internal storage partition.",
            "Message": "Unable to unmount an iDRAC internal storage partition.",
            "NumberOfArgs": 0,
            "Resolution": "Retry the operation. If the issues persists, reset the iDRAC by pressing the System ID button for at least 15 seconds, and then retry the operation after the iDRAC has finished restarting.",
            "Severity": "Informational"
        },
        "SYS096": {
            "Description": "The required Dell Diagnostics firmware package is not installed or cannot be found in the iDRAC internal storage.",
            "Message": "Unable to complete the diagnostics operation because the required Dell Diagnostics firmware package is not installed.",
            "NumberOfArgs": 0,
            "Resolution": "Install the Dell 64bit uEFI Diagnostics firmware package, and then retry the operation. The Dell Diagnostics can be installed using the Dell 64bit uEFI Diagnostics Dell Update Package (DUP).",
            "Severity": "Warning"
        },
        "SYS097": {
            "Description": "The Lifecycle Controller State has been set to disabled by the configuration profile import operation. Further changes to the system configuration require the Lifecycle Controller State to be enabled before the changes are processed.",
            "Message": "The state of Lifecycle Controller is disabled by the configuration profile import operation.",
            "NumberOfArgs": 0,
            "Resolution": "If further configuration changes are required for the system, the Lifecycle Controller State must be enabled prior to attempting the configuration change. To enable the Lifecycle Controller State, run the racadm command \"racadm set LifecycleController.LCAttributes.LifecycleControllerState Enabled\".",
            "Severity": "Informational"
        },
        "SYS098": {
            "Description": "A Remote Diagnostic (ePSA) job already exists and only one job of this type can exist at a time.",
            "Message": "A Remote Diagnostic (ePSA) job already exists.",
            "NumberOfArgs": 0,
            "Resolution": "A response action is not required if the scheduled start time of the existing Remote Diagnostic (ePSA) job is ok. Else, delete the existing Diagnostics (ePSA) job and recreate another with an appropriate start time.",
            "Severity": "Informational"
        },
        "SYS099": {
            "Description": "The diagnostics results could not be exported because either the diagnostics tests were never run on the system or the results could not be found on the internal storage of the iDRAC.",
            "Message": "Unable to export the diagnostics results because the results do not exist.",
            "NumberOfArgs": 0,
            "Resolution": "Run the RunEPSADiagnostics method to make sure that the diagnostics results are available, and then retry the operation.",
            "Severity": "Warning"
        },
        "SYS100": {
            "Description": "A FQDD equivalent for the token name identified in the message cannot be found.",
            "Message": "Unable to find an FQDD equivalent for the token %1",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Make sure that only valid FQDDs are entered as input to the Target parameter, and then retry the operation.",
            "Severity": "Warning"
        },
        "SYS1000": {
            "Description": "System is turning on.",
            "Message": "System is turning on.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SYS1001": {
            "Description": "System is turning off.",
            "Message": "System is turning off.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SYS1002": {
            "Description": "System is performing a power cycle.",
            "Message": "System is performing a power cycle.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SYS1003": {
            "Description": "System is performing a CPU reset because of system power off, power on or a warm reset like CTRL-ALT-DEL.",
            "Message": "System CPU Resetting.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SYS1004": {
            "Description": "This message is for debugging purposes only.",
            "Message": "SELinux: %1 AVC Denials generated.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Warning"
        },
        "SYS119": {
            "Description": "The OS collector cannot be exposed to the host server because of communication issues between the iDRAC and server OS.",
            "Message": "Unable to expose the OS Collector to the server OS.",
            "NumberOfArgs": 0,
            "Resolution": "Do the following: 1) Retry the operation. 2) If the issue persists, restart the iDRAC and server OS.",
            "Severity": "Warning"
        },
        "SYS120": {
            "Description": "The OS Collector application did not complete its task within the maximum allowed time and the operation is cancelled. This may be because the server OS is not supported by the OS Collector application and the application is unable to function correctly.",
            "Message": "Unable to complete the operation because the OS Collector is taking too much time. The operation is cancelled.",
            "NumberOfArgs": 0,
            "Resolution": "Do the following: 1) Make sure that the OS Collector application supports the OS installed on the server. If the OS is not supported, the OS Collector may not function correctly. 2) Reinstall the latest OS Collector on the iDRAC, and then retry the operation. To install the OS Collector using the iDRAC Web UI, get the latest OC Collector update package and then select the Update and Rollback link from the iDRAC Web UI home page and upload the install package. If the issue persists, contact your service provider.",
            "Severity": "Warning"
        },
        "SYS121": {
            "Description": "The operation to collect OS and Application Data was cancelled using iDRAC Web UI.",
            "Message": "The operation to collect OS and Application Data was cancelled using iDRAC Web UI.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SYS122": {
            "Description": "The operation to collect OS and Application Data is successfully completed.",
            "Message": "OS Collector: The operation to collect OS and Application Data is successfully completed.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SYS123": {
            "Description": "An unexpected issue has occurred. This could be because the application encountered an unexpected exception or was terminated by a user. This issue could also be because the application was running in an unsupported OS.",
            "Message": "OS Collector: An unexpected issue has been encountered.",
            "NumberOfArgs": 0,
            "Resolution": "Do the following: 1) Retry the operation. 2) If the issue persists, reinstall the OS Collector on the iDRAC to the most recent version available, and then retry the operation.",
            "Severity": "Warning"
        },
        "SYS124": {
            "Description": "The OS and Application data collection by the OS Collector application is unable to execute on the OS installed on the server because the OS is not supported.",
            "Message": "OS Collector: The OS Collector application does not support execution in the OS installed on the server.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Warning"
        },
        "SYS125": {
            "Description": "The OS Collector application is unable to communicate with the WMI service. This may be because the user context the application is running in does not have appropriate access privileges or firewall/security settings are preventing retrieving registry and software data from WMI.",
            "Message": "OS Collector: Unable to communicate with WMI services.",
            "NumberOfArgs": 0,
            "Resolution": "Do the following: 1) Make sure the user context the OS Collector application is running in has the appropriate privileges to access WMI. Make sure that firewall or security settings are set to allow access and retry the operation. 2) If the issue persists, restart the WMI service and retry the operation. 3) If the issue continues to persists, restart the server OS and retry the operation.",
            "Severity": "Warning"
        },
        "SYS126": {
            "Description": "Application data source was not found. An issue occurred while collecting Application Data because of an unknown exception.",
            "Message": "OS Collector: Unable to collect Application Data.",
            "NumberOfArgs": 0,
            "Resolution": "Do the following: 1) Retry the operation. 2) If the issue persists, reinstall the latest OS Collector on the iDRAC, and then retry the operation.",
            "Severity": "Warning"
        },
        "SYS127": {
            "Description": "OS log data was not collected. An issue occurred while collecting OS log data because of an unknown exception.",
            "Message": "OS Collector: Unable to collect OS log data",
            "NumberOfArgs": 0,
            "Resolution": "Do the following: 1) Retry the operation. 2) If the issue persists, reinstall the latest OS Collector on the iDRAC, and then retry the operation.",
            "Severity": "Warning"
        },
        "SYS128": {
            "Description": "Unable to generate a zip archive of the OS and Application Data report.",
            "Message": "OS Collector: Unable to generate a zip archive of the OS and Application Data report.",
            "NumberOfArgs": 0,
            "Resolution": "Do the following: 1) Retry the operation. 2) If the issue persists, reinstall the latest OS Collector on the iDRAC, and then retry the operation.",
            "Severity": "Warning"
        },
        "SYS129": {
            "Description": "Unable to complete XML transform on the data collected because the collected data is in an unexpected format.",
            "Message": "OS Collector: Unable to complete XML transform on the data collected.",
            "NumberOfArgs": 0,
            "Resolution": "Do the following: 1) Retry the operation. 2) If the issue persists, reinstall the latest OS Collector on the iDRAC, and then retry the operation.",
            "Severity": "Warning"
        },
        "SYS130": {
            "Description": "Unable to create the final zip archive name because the Service Tag and time stamp could not be retrieved from OS interfaces.",
            "Message": "OS Collector: Unable to create filename for zip archive.",
            "NumberOfArgs": 0,
            "Resolution": "Do the following: 1) On Windows, restart the WMI service and retry the operation, 2) Restart the OS and retry the operation.",
            "Severity": "Warning"
        },
        "SYS131": {
            "Description": "Unable to communicate with the OS IPMI service because the service is not running.",
            "Message": "OS Collector: Unable to communicate with the OS IPMI service.",
            "NumberOfArgs": 0,
            "Resolution": "For more information about checking whether the IPMI service is running, see the iDRAC8 User's Guide.",
            "Severity": "Warning"
        },
        "SYS132": {
            "Description": "An issue occurred while loading the OS Collector IPMI library. This may be because the OS collector binary images are not valid and need to be re-installed.",
            "Message": "OS Collector: Unable to communicate with OS Collector IPMI library.",
            "NumberOfArgs": 0,
            "Resolution": "Do the following: 1) Retry the operation. 2) If the issue persists, reinstall the latest OS Collector on the iDRAC, and then retry the operation.",
            "Severity": "Warning"
        },
        "SYS133": {
            "Description": "An issue was encountered while creating an IPMI session.",
            "Message": "OS Collector: IPMI session error.",
            "NumberOfArgs": 0,
            "Resolution": "Restart the WMI service and retry the operation.",
            "Severity": "Warning"
        },
        "SYS134": {
            "Description": "The report size is more than the 30MB allowed size which will cause a truncated, partial report to be generated.",
            "Message": "OS Collector: Zip archive size exceeded the limit.",
            "NumberOfArgs": 0,
            "Resolution": "Remove older log entries so that the final zip archive size can be reduced.",
            "Severity": "Warning"
        },
        "SYS135": {
            "Description": "The user context the OS Collector is being run in does not have the necessary privileges for running the application successfully.",
            "Message": "OS Collector: The user context the OS Collector is being run in does not have the necessary privileges for running the application successfully.",
            "NumberOfArgs": 0,
            "Resolution": "Run the OS Collector application as administrator or as a user added to admin group or domain administrator or Local administrator.",
            "Severity": "Warning"
        },
        "SYS136": {
            "Description": "An issue was encountered while communicating with iDRAC Service Module (iSM) present on the operating system.",
            "Message": "An issue was encountered while communicating with iDRAC Service Module (iSM) present on the operating system.",
            "NumberOfArgs": 0,
            "Resolution": "Do the following: 1) Restart the iDRAC Module Service on the OS and retry the operation. 2) Stop iDRAC Service Module Service on the OS and try manually executing the OS Collector application .",
            "Severity": "Warning"
        },
        "SYS137": {
            "Description": "Unable to start the collection of OS and Application Data because the Lifecycle Controller is not enabled.",
            "Message": "Unable to start the collection of OS and Application Data because the Lifecycle Controller is not enabled.",
            "NumberOfArgs": 0,
            "Resolution": "Enable the Lifecycle Controller by pressing F2 during server startup and select iDRAC Settings > Lifecycle Controller and then enable the Lifecycle Controller. Retry the operation after the server has restarted.",
            "Severity": "Warning"
        },
        "SYS138": {
            "Description": "Unable to start the collection of OS and Application Data because the server OS is turned off.",
            "Message": "Unable to start the collection of OS and Application Data because the server is turned off.",
            "NumberOfArgs": 0,
            "Resolution": "Turn on the server and wait until the OS finishes booting, and then retry the operation.",
            "Severity": "Warning"
        },
        "SYS139": {
            "Description": "Unable to start the collection of OS and Application Data because the server is in POST and has not finished startup.",
            "Message": "Unable to start the collection of OS and Application Data because the server is in POST and has not finished startup.",
            "NumberOfArgs": 0,
            "Resolution": "Retry the operation after the server has finished starting and POST has completed.",
            "Severity": "Warning"
        },
        "SYS140": {
            "Description": "Unable to start the collection of OS and Application Data because the iDRAC Service Module (iSM) is not running in the server OS.",
            "Message": "Unable to start the collection of OS and Application Data because the iDRAC Service Module (iSM) is not running in the server OS.",
            "NumberOfArgs": 0,
            "Resolution": "Enable and start the iDRAC Service Module (iSM) from within the server OS and then retry the operation.",
            "Severity": "Warning"
        },
        "SYS141": {
            "Description": "The Lifecycle Controller data is deleted because of a System Erase operation.",
            "Message": "Lifecycle Controller data is deleted.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SYS142": {
            "Description": "The OS driver pack is deleted because of a System Erase operation.",
            "Message": "The OS driver pack is deleted.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SYS143": {
            "Description": "ePSA Diagnostics are deleted because of a System Erase operation.",
            "Message": "ePSA Diagnostics are deleted.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SYS144": {
            "Description": "Starting controller hardware cache data erase operations because of a System Erase operation request.",
            "Message": "Starting controller hardware cache data erase operations.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SYS145": {
            "Description": "vFlash SD Card data is deleted because of a System Erase operation.",
            "Message": "vFlash SD Card data is deleted.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SYS146": {
            "Description": "Starting secure erase-capable drive erase operations because of a System Erase operation request.",
            "Message": "Starting secure erase-capable drive erase operations.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SYS147": {
            "Description": "Starting non-secure erase-capable drives erase operations because of a System Erase operation request.",
            "Message": "Starting non-secure erase-capable drive erase operations.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SYS148": {
            "Description": "The BIOS is configured to reset to defaults on the next system restart because of a System Erase operation.",
            "Message": "BIOS is configured to reset to defaults on next system restart.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SYS149": {
            "Description": "Initiating iDRAC reset to defaults operation because of a System Erase operation. The iDRAC will restart after firmware default values are restored.",
            "Message": "The process of resetting iDRAC to default settings is initiated.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SYS150": {
            "Description": "A System Erase job with the job ID identified in the message is initiated.",
            "Message": "Starting System Erase operation. Job ID: %1",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SYS151": {
            "Description": "A System Erase job with the job ID identified in the message is completed.",
            "Message": "Completed System Erase Job ID: %1",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SYS152": {
            "Description": "Some of the requested storage component erase tasks were not successful. Retrying the System Erase operation may be required. The vFlash SD Card must be initialized and licensed to be erased successfully.",
            "Message": "Erase operations for some System Erase tasks did not complete successfully.",
            "NumberOfArgs": 0,
            "Resolution": "Retry the System Erase operation. To retry the System Erase operation using the Lifecycle Controller utility, restart the server and when the company logo is displayed, press <F10>. Select Hardware Configuration > Retire or Repurpose System, check appropriate storage options, and then retry the operation.",
            "Severity": "Warning"
        },
        "SYS153": {
            "Description": "The non-volatile cache of the controller identified in the message is being erased.",
            "Message": "Deleting hardware cache data for controller: %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SYS154": {
            "Description": "Initiating secure erase operation on secure erase-capable drives for the controller identified in the message.",
            "Message": "Initiating secure erase operation on secure erase-capable drives for controller: %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SYS155": {
            "Description": "Initiating clear operation on non-secure erase-capable drives for the controller identified in the message.",
            "Message": "Initiating clear operation on non-secure erase-capable drives for controller: %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SYS156": {
            "Description": "The requested component erase tasks of the System Erase operation is successfully completed.",
            "Message": "Erase operations for System Erase tasks successfully completed.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SYS157": {
            "Description": "Unable to successfully complete requested options of the System Erase operation. Retrying the System Erase operation may be required.",
            "Message": "Unable to successfully complete requested System Erase tasks.",
            "NumberOfArgs": 0,
            "Resolution": "Retry the System Erase operation. To retry the System Erase operation using the Lifecycle Controller utility, restart the server and when the company logo is displayed, press <F10>. Select Hardware Configuration > Retire or Repurpose System, check appropriate options, and then retry the operation. Also disable \"F1/F2 Prompt on Error\" in BIOS settings for System Erase operation to continue without intervention.",
            "Severity": "Warning"
        },
        "SYS158": {
            "Description": "Unable to erase hardware caches during the System Erase operation.",
            "Message": "Hardware cache erase is unsuccessful.",
            "NumberOfArgs": 0,
            "Resolution": "Retry the System Erase operation with only the hardware cache erase option selected.",
            "Severity": "Warning"
        },
        "SYS159": {
            "Description": "The vFlash SD Card erase operation was unsuccessful. This may be because the SD card is not enable, not licensed or not initialized.",
            "Message": "vFlash SD Card erase unsuccessful.",
            "NumberOfArgs": 0,
            "Resolution": "Make sure the vFlash SD Card is enabled, licensed and initialized, and then retry the System Erase operation with only the vFlash option selected.",
            "Severity": "Warning"
        },
        "SYS160": {
            "Description": "The Lifecycle Controller log data deleted as part of a System Erase operation. All previously stored information is no longer available.",
            "Message": "The Lifecycle Controller logs are cleared.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SYS161": {
            "Description": "The Tech Support Report related data have been deleted from iDRAC non-volatile storage.",
            "Message": "Tech Support Report related non-volatile storage deleted.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SYS162": {
            "Description": "The server will be turned on to enter UEFI System Services Manager (SSM). The storage-related erase operations selected, if any, will be processed by SSM.",
            "Message": "Turning on the server to perform System Erase tasks.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SYS163": {
            "Description": "The iDRAC environment has changed and the iDRAC must be restarted to apply the changes requested. Normal operation will return after the restart has completed. One exception is, the iDRAC has been reset to its default settings. In this case additional setup is required to use the iDRAC. For more information, see the iDRAC User's Guide.",
            "Message": "The iDRAC is restarting to complete the System Erase operation. Do not restart server until the iDRAC restarts.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SYS164": {
            "Description": "The System Erase operation attempted to access Lifecycle Controller internal storage that is already being accessed by another function. Exclusive access to the internal storage is required for the System Erase operation. The System Erase operation attempts Lifecycle Controller internal storage access for 10 minutes. After the timeout the current job completes with an unsuccessful status.",
            "Message": "Access to Lifecycle Controller internal storage was not acquired.",
            "NumberOfArgs": 0,
            "Resolution": "Check the server and make sure that it is not in BIOS POST startup processing or stopped in the POST phase of startup. The server can also be stopped during POST because the <F2> is pressed or Option ROM setup utilities are being used. After the BIOS startup has completed, retry the operation.",
            "Severity": "Warning"
        },
        "SYS165": {
            "Description": "One or more Tech Support Report data collection options selected did not complete successfully.",
            "Message": "One or more Tech Support Report data collection options selected did not complete successfully.",
            "NumberOfArgs": 0,
            "Resolution": "Look at the Lifecycle Log for exception messages and resolve the issues described.",
            "Severity": "Warning"
        },
        "SYS166": {
            "Description": "The collection of OS and Application Data did not start within the allocated time.",
            "Message": "The collection of OS and Application Data did not start within the allocated time.",
            "NumberOfArgs": 0,
            "Resolution": "Do one of the following: 1) Retry the operation. 2) Make sure the OS does not have any firewall setting to block USB device enumeration, and then retry the operation. 3) Make sure the OS is not configured to attach USB devices as read-only, and then retry the operation. 4) Make sure the OS is supported by the OS Collector application. 5) Reinstall the latest OS Collector on the iDRAC, and then retry the operation. 6) For more information about the collection of OS and application data, see the iDRAC8 User's Guide.",
            "Severity": "Warning"
        },
        "SYS167": {
            "Description": "The TTY Log data export did not complete within the allocated time. Currently the maximum allocated time is 20 minutes.",
            "Message": "TTY Log data export did not complete within the allocated time.",
            "NumberOfArgs": 0,
            "Resolution": "Reset the iDRAC and retry the operation.",
            "Severity": "Warning"
        },
        "SYS168": {
            "Description": "The requested System Erase job cannot complete because there was another job or System Services task already in progress.",
            "Message": "Unable to complete the System Erase job because another operation is in progress.",
            "NumberOfArgs": 0,
            "Resolution": "Wait for the job or System Services task in progress to complete before initiating a System Erase job.",
            "Severity": "Warning"
        },
        "SYS169": {
            "Description": "The iDRAC Service Module installed on the operating system is not up to date and does not support the Technical Support Report.",
            "Message": "The iDRAC Service Module installed on the operating system is not up to date and does not support the Technical Support Report feature.",
            "NumberOfArgs": 0,
            "Resolution": "Make sure the operating system (OS) is a supported OS for the Technical Support Report feature and the latest iDRAC Service Module software is installed on the OS.",
            "Severity": "Warning"
        },
        "SYS170": {
            "Description": "The SHA256 Hash value and the clear text value for an iDRAC user password cannot be used at the same time for a password configuration operation.",
            "Message": "The SHA256 Hash value and the clear text value for an iDRAC user password cannot be entered together.",
            "NumberOfArgs": 0,
            "Resolution": "Make sure that the user password is configured using either the clear text or the SHA256 Hash, but not both.",
            "Severity": "Warning"
        },
        "SYS171": {
            "Description": "The import operation cannot be completed successfully because the SHA1v3Key and the MD5V3Key values must both be supplied.",
            "Message": "Unable to successfully complete the import operation because not all hash password values have been entered.",
            "NumberOfArgs": 0,
            "Resolution": "The SHA1v3Key and the MD5V3Key values must be entered together for an import operation.",
            "Severity": "Warning"
        },
        "SYS172": {
            "Description": "A Remote Diagnostic operation has been interrupted because the server was restarted during the operation.",
            "Message": "A Remote Diagnostic operation has been interrupted.",
            "NumberOfArgs": 0,
            "Resolution": "Make sure that there are no diagnostic operations in progress before restarting the server or wait for the Remote Diagnostic operation to complete.",
            "Severity": "Warning"
        },
        "SYS173": {
            "Description": "The TTY Log cannot be retrieved because another operation is in progress on the RAID controller.",
            "Message": "Unable to retrieve the TTY Log because another operation is in progress on the RAID controller.",
            "NumberOfArgs": 0,
            "Resolution": "Do the following: 1) View the job queue and make sure all jobs are in a completed state. 2) Retry the operation.",
            "Severity": "Warning"
        },
        "SYS174": {
            "Description": "The Tech Support Report (TSR) cannot be exported because of an issue while connecting to the network share using the provided credentials or other network share parameters.",
            "Message": "Unable to access network share for exporting Tech Support Report (TSR).",
            "NumberOfArgs": 0,
            "Resolution": "Make sure the entered sharetype, sharename, IP address, username and password are valid and retry the operation. The network share connectivity can be tested by using the Test Network Connection feature of the iDRAC.",
            "Severity": "Warning"
        },
        "SYS175": {
            "Description": "Selective Export / Import could not find any matches for the FQDDs specified.",
            "Message": "Unable to find a device configuration for the FQDD entered.",
            "NumberOfArgs": 0,
            "Resolution": "Make sure that only valid FQDDs are entered as input to the Target parameter, and then retry the operation.",
            "Severity": "Warning"
        },
        "SYS176": {
            "Description": "The iDRAC Service Module related data have been deleted from iDRAC non-volatile storage.",
            "Message": "The iDRAC Service Module related data have been deleted from iDRAC non-volatile storage.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SYS177": {
            "Description": "There was an issue retrieving Hardware data from the iDRAC internal storage. This may be because Collect System Inventory on Restart (CSIOR) feature is disabled and has never executed or the iDRAC Remote Services API status may not be in the Ready state.",
            "Message": "There was an issue retrieving Hardware data.",
            "NumberOfArgs": 0,
            "Resolution": "Make sure the Collect System Inventory on Restart (CSIOR) is enabled and has run at least once before retrying this operation. For remote web services API access, make sure the GetRemoteServicesAPIStatus method returns Ready status before trying this operation. If the issue persists, reset iDRAC and retry the operation.",
            "Severity": "Warning"
        },
        "SYS178": {
            "Description": "Unable to retrieve TTY log data because no storage controllers are detected in the server.",
            "Message": "Unable to retrieve TTY log data because no storage controllers are detected in the server.",
            "NumberOfArgs": 0,
            "Resolution": "Make sure that at least one storage controller is present in the server, and then retry the operation.",
            "Severity": "Warning"
        },
        "SYS179": {
            "Description": "Unable to export TTY log data because the storage controller present in the server does not support the feature.",
            "Message": "Unable to export TTY log data because the storage controller present in the server does not support the feature.",
            "NumberOfArgs": 0,
            "Resolution": "Make sure that at least one storage controller is present in the server that supports the TTY log feature, and then retry the operation.",
            "Severity": "Warning"
        },
        "SYS180": {
            "Description": "The TTY log data of the storage controller identified in the message cannot be exported because an issue was encountered while communicating with the controller.",
            "Message": "There was an issue encountered when attempted to export TTY Log data for the storage controller %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "While exporting the TTY log, make sure that the server is not in BIOS POST, and then retry the operation. Use GetRemoteServicesAPIStatus() invoke method and check for output parameter RTStatus and ensure it shows 0 (ready status) and then retry the operation. If the issue persists, reset iDRAC, and retry the operation.",
            "Severity": "Warning"
        },
        "SYS181": {
            "Description": "The collect OS and Application Data operation cannot be completed because the OS Collector is not installed on the iDRAC.",
            "Message": "Unable to collect OS and Application Data because the OS Collector is not installed on the iDRAC.",
            "NumberOfArgs": 0,
            "Resolution": "Install OS Collector on the iDRAC and retry the operation. To install the OS Collector using the iDRAC Web UI, get the latest OC Collector update package and then select the Update and Rollback link from the iDRAC Web UI home page and upload the install package.",
            "Severity": "Warning"
        },
        "SYS182": {
            "Description": "Collecting OS and Application Data cannot be completed because Lifecycle Controller is used by another operation.",
            "Message": "Unable to collect OS and Application Data because another Lifecycle Controller operation is currently in progress.",
            "NumberOfArgs": 0,
            "Resolution": "Make sure all other Lifecycle Controller operations are finished and retry the operation. Using the iDRAC Web UI, select Server > Job Queue, check the job queue for unfinished jobs and wait for the jobs to finish before retrying the operation. Also, check whether there are update packages being executed in the server OS and wait for these operations to finish before retrying the operation. For remote web services API access, make sure that the GetRemoteServicesAPIStatus method returns Ready status, and then retry the operation.",
            "Severity": "Warning"
        },
        "SYS183": {
            "Description": "The memory cannot be allocated because of insufficient storage space in iDRAC.",
            "Message": "Unable to allocate memory because of insufficient storage space in iDRAC.",
            "NumberOfArgs": 0,
            "Resolution": "Reset iDRAC and then retry the operation.",
            "Severity": "Warning"
        },
        "SYS184": {
            "Description": "The checksum cannot be computed because OS Collector files are not readable.",
            "Message": "Unable to compute the checksum because OS Collector files are not readable.",
            "NumberOfArgs": 0,
            "Resolution": "Reinstall the OS Collector in the iDRAC and retry the operation. To install the OS Collector using the iDRAC Web UI, get the latest OC Collector update package and then select the Update and Rollback link from the iDRAC Web UI home page and upload the install package. If the issue persists, contact your service provider.",
            "Severity": "Warning"
        },
        "SYS185": {
            "Description": "The Tech Support Report job that was running has been cancelled by user request.",
            "Message": "The Tech Support Report job has been cancelled.",
            "NumberOfArgs": 0,
            "Resolution": "To start another Tech Support Report job, wait until the current job that is being cancelled completes and then retry the operation.",
            "Severity": "Warning"
        },
        "SYS186": {
            "Description": "Unable to start the collection of TTY log data because the server OS is turned off.",
            "Message": "Unable to start the collection of TTY log data because the server is turned off.",
            "NumberOfArgs": 0,
            "Resolution": "Turn on the server and wait until the OS finishes booting, and then retry the operation.",
            "Severity": "Warning"
        },
        "SYS187": {
            "Description": "Unable to start the collection of TTY log data because the server is in POST and has not finished startup.",
            "Message": "Unable to start the collection of TTY log data because the server is in POST and has not finished startup.",
            "NumberOfArgs": 0,
            "Resolution": "Retry the operation after the server has finished starting and POST has completed.",
            "Severity": "Warning"
        },
        "SYS188": {
            "Description": "Unable to perform the import operation because the specified file has a file size of zero, which is not valid.",
            "Message": "Unable to perform the import operation because the specified file has a file size of zero, which is not valid.",
            "NumberOfArgs": 0,
            "Resolution": "Make sure the import configuration file is valid before retrying the operation.",
            "Severity": "Warning"
        },
        "SYS189": {
            "Description": "There is no cached copy of OS and Application data in the iDRAC flash storage.",
            "Message": "Cached OS and Application Data is not available in the iDRAC.",
            "NumberOfArgs": 0,
            "Resolution": "Collect the OS and Application Data either manually or automatically using the iDRAC Services Module (ISM) tools and then retry the operation.",
            "Severity": "Warning"
        },
        "SYS190": {
            "Description": "The OS-related data cannot be collected because the iDRAC Service Module (iSM) installed on the server does not support this feature on the version of Operating System installed.",
            "Message": "Unable to collect the operating system (OS)-related data because the iDRAC Service Module (iSM) installed on the server does not support this feature on the version of Operating System installed.",
            "NumberOfArgs": 0,
            "Resolution": "Install a iDRAC Service Module (ISM) supported OS, and then retry the operation.",
            "Severity": "Warning"
        },
        "SYS191": {
            "Description": "The provided Server Configuration Profile is being applied to the system. The host may reboot to apply all changes.",
            "Message": "Importing Server Configuration Profile.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required. Use the GetConfigResults() method to get the configuration job results or export the Lifecycle Log to review the configuration job results.",
            "Severity": "Informational"
        },
        "SYS192": {
            "Description": "The provided Server Configuration Profile is being previewed on the system. No configuration changes will be applied.",
            "Message": "Previewing Server Configuration Profile.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required. Use the GetConfigResults() method to get the preview job results or export the Lifecycle Log to review the preview job results.",
            "Severity": "Informational"
        },
        "SYS193": {
            "Description": "A configuration change is detected in the component identified in the message.",
            "Message": "A configuration change is detected for component: %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SYS194": {
            "Description": "The Collection of System Inventory successfully completed by Lifecycle Controller firmware.",
            "Message": "The Collection of System Inventory successfully completed.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SYS195": {
            "Description": "The OEM ID Module installation process completed with no errors.",
            "Message": "The OEM ID module is successfully installed.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SYS196": {
            "Description": "The OEM ID module installation process tried to apply all settings and branding information, but had issues during installation.",
            "Message": "The OEM ID module is installed but with some errors. %1",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Check the Lifecycle Log report to analyze the issue. Review settings and branding information that the ID module configured, resolve the issue, and then retry the installation process.",
            "Severity": "Warning"
        },
        "SYS197": {
            "Description": "The OEM ID module cannot be installed because of some issues.",
            "Message": "Unable to install the OEM ID module because of some issues. %1",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Check the Lifecycle Log report to analyze the issue, resolve the issue, and then retry the installation process.",
            "Severity": "Critical"
        },
        "SYS198": {
            "Description": "An internal iDRAC memory component is unresponsive.",
            "Message": "Unable to communicate with internal iDRAC memory.",
            "NumberOfArgs": 0,
            "Resolution": "The iDRAC requires an AC power cycle. Do the following: 1) Determine a time that the AC power can be removed and then reapplied to the server. 2) Save data and perform an AC power cycle.",
            "Severity": "Critical"
        },
        "SYS199": {
            "Description": "The state of Lifecycle Controller is successfully changed to \"disabled\", but other attributes are not set. When the LifecycleControllerState attribute is set to disabled in the SCP profile, other attributes settings in the SCP profile are not applied.",
            "Message": "The state of Lifecycle Controller is successfully changed to \"disabled\", but other attributes specified in the Server Configuration Profile (SCP) profile are not changed.",
            "NumberOfArgs": 0,
            "Resolution": "The Lifecycle Controller state must be \"enabled\" before performing the import SCP operation and the LifecycleControllerState attribute should not be set to disabled in the SCP profile while attempting to configure other attribute settings. To set LifecycleControllerState attribute to enabled using the RACADM command line utility, type \"racadm set lifecyclecontroller.LCAttributes.LifecycleControllerState Enabled\".",
            "Severity": "Warning"
        },
        "SYS200": {
            "Description": "The job identified in the message is successfully run and completed.",
            "Message": "The job with %1 is successfully run and completed.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SYS201": {
            "Description": "The disk erase operation is successfully completed on the drive identified in the message.",
            "Message": "The disk erase operation on the drive %1 successfully completed.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SYS202": {
            "Description": "The disk erase operation cannot be completed on the drive identified in the message.",
            "Message": "Unable to complete the disk erase operation on the drive %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Do the following: 1) Retry the System Erase operation. To retry the System Erase operation by using the Lifecycle Controller utility, restart the server. When the company logo is displayed, press F10. Select Hardware Configuration > Retire or Repurpose System, Select the appropriate options under Storage & Physical Disks, and then retry the operation. 2) If the issue persists, erase the drive manually.",
            "Severity": "Warning"
        },
        "SYS225": {
            "Description": "The job identified in the message cannot be successfully completed because of the issues listed in the Lifecycle Controller log files.",
            "Message": "Unable to complete the job %1 successfully because of the issues listed in the Lifecycle Controller log files.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Verify the reason for the unsuccessful completion of the job by inspecting the Lifecycle Log entries related to the job. Correct the underlying cause of the unsuccessful completion and retry the operation.",
            "Severity": "Warning"
        },
        "SYS226": {
            "Description": "The file cannot be transferred because of the reason described by the code identified in the message. For every unsuccessful file transfer, the HTTP remote host server returns an error code, where each code has a description about the reason for failure.",
            "Message": "Unable to transfer a file, %1, because of the reason described by the code %2 sent by the HTTP remote host server.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "View the HTTP remote host server documentation to resolve the issue. If the issue persists, contact your service provider.",
            "Severity": "Informational"
        },
        "SYS227": {
            "Description": "The file cannot be transferred because of the reason described by the code identified in the message. For every unsuccessful file transfer, the proxy server returns an error code, where each code has a description about the reason for failure.",
            "Message": "Unable to transfer a file, %1, because of the reason described by the code %2 sent by the proxy server.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "View the proxy server documentation to resolve the issue. If the issue persists, contact your service provider.",
            "Severity": "Informational"
        },
        "SYS228": {
            "Description": "The file is successfully transferred.",
            "Message": "The file, %1, is successfully transferred.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action required.",
            "Severity": "Informational"
        },
        "SYS229": {
            "Description": "The file cannot be transferred because of some unknown reasons.",
            "Message": "Unable to transfer file, %1, because of some unknown reasons.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Make sure that correct file transfer parameters are set, and then retry the operation.",
            "Severity": "Warning"
        },
        "SYS230": {
            "Description": "The file cannot be transferred because of an unsupported protocol value.",
            "Message": "Unable to transfer a file, %1, because of an unsupported protocol value, %2.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "Make sure that the correct protocol value is used, and then retry the operation.",
            "Severity": "Warning"
        },
        "SYS231": {
            "Description": "The file cannot be transferred because of an unsupported source file path value.",
            "Message": "Unable to transfer a file, %1, because of an unsupported source file path value.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Make sure that the correct source file path is used, and then retry the operation.",
            "Severity": "Warning"
        },
        "SYS232": {
            "Description": "The file cannot be transferred because of an unsupported destination file path value.",
            "Message": "Unable to transfer a file, %1, because of an unsupported destination file path value.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Make sure that the correct destination file path value is used, and then retry the operation.",
            "Severity": "Warning"
        },
        "SYS233": {
            "Description": "The file identified in the message cannot be transferred because of an unsupported hostname value.",
            "Message": "Unable to transfer the file, %1, because of an unsupported hostname value, %2.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "Make sure that the correct hostname value is used, and then retry the operation.",
            "Severity": "Warning"
        },
        "SYS234": {
            "Description": "The file cannot be transferred because of an unsupported port number value.",
            "Message": "Unable to transfer a file, %1, because of an unsupported port number value, %2.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "Make sure that the correct port number value is used, and then retry the operation.",
            "Severity": "Warning"
        },
        "SYS235": {
            "Description": "The file cannot be transferred because of an unsupported port number value.",
            "Message": "Unable to transfer a file, %1, because of an unsupported workgroup value.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Make sure that the correct workgroup value is used, and then retry the operation.",
            "Severity": "Warning"
        },
        "SYS236": {
            "Description": "The file cannot be transferred because of an unsupported username value.",
            "Message": "Unable to transfer a file, %1, because of an unsupported username value.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Make sure that the correct username value is used, and then retry the operation.",
            "Severity": "Warning"
        },
        "SYS237": {
            "Description": "The file cannot be transferred because of an incorrect password value.",
            "Message": "Unable to transfer a file, %1, because of an incorrect password value.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Make sure that the correct password value is entered, and then retry the operation.",
            "Severity": "Warning"
        },
        "SYS238": {
            "Description": "The file cannot be transferred because of an incorrect file path value.",
            "Message": "Unable to transfer a file, %1, because of an incorrect file path value.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Make sure that the correct file path value is entered, and then retry the operation.",
            "Severity": "Warning"
        },
        "SYS239": {
            "Description": "The file cannot be transferred because of an unsupported share name value.",
            "Message": "Unable to transfer a file, %1, because of an unsupported share name value, %2.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "Make sure that the correct share name value is used, and then retry the operation.",
            "Severity": "Warning"
        },
        "SYS240": {
            "Description": "The file cannot be transferred because of an unsupported mount-point path value.",
            "Message": "Unable to transfer a file, %1, because of an unsupported mount-point path value.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Make sure that the correct mount-point path value is entered, and then retry the operation.",
            "Severity": "Warning"
        },
        "SYS241": {
            "Description": "The file cannot be transferred because of an unsupported proxy type value.",
            "Message": "Unable to transfer a file, %1, because of an unsupported proxy type value, %2.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "Make sure that the correct proxy type value is entered, and then retry the operation.",
            "Severity": "Warning"
        },
        "SYS242": {
            "Description": "The file cannot be transferred because of an unsupported proxy hostname value.",
            "Message": "Unable to transfer a file, %1, because of an unsupported proxy hostname value, %2.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "Make sure that the correct proxy hostname value is entered, and then retry the operation.",
            "Severity": "Warning"
        },
        "SYS243": {
            "Description": "The file cannot be transferred because of an unsupported proxy port number value.",
            "Message": "Unable to transfer a file, %1, because of an unsupported proxy port number value, %2.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "Make sure that the correct proxy port number value is entered, and then retry the operation.",
            "Severity": "Warning"
        },
        "SYS244": {
            "Description": "The file cannot be transferred because a proxy workgroup value is not entered, or the entered value is not supported.",
            "Message": "Unable to transfer a file, %1, because of an unsupported proxy workgroup value.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Make sure that the correct proxy workgroup value is entered, and then retry the operation.",
            "Severity": "Warning"
        },
        "SYS245": {
            "Description": "The file cannot be transferred because a proxy username value is not entered, or the entered value is not supported.",
            "Message": "Unable to transfer a file, %1, because of an unsupported proxy username value.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Make sure that the correct proxy username value is entered, and then retry the operation.",
            "Severity": "Warning"
        },
        "SYS246": {
            "Description": "The file cannot be transferred because a proxy password value is not entered, or the entered value is not supported.",
            "Message": "Unable to transfer a file, %1, because of an unsupported proxy password value.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Make sure that the correct proxy password value is entered, and then retry the operation.",
            "Severity": "Warning"
        },
        "SYS247": {
            "Description": "The file cannot be transferred because credentials are not entered, or the credentials entered do not correspond to an authorized user of the remote host.",
            "Message": "Unable to transfer a file, %1, because credentials are not entered, or the credentials entered do not correspond to an authorized user of the remote host.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Make sure that the correct credentials are entered, and then retry the operation.",
            "Severity": "Warning"
        },
        "SYS248": {
            "Description": "The file cannot be transferred because proxy credentials are not entered, or the proxy credentials entered do not correspond to an authorized user of the proxy server.",
            "Message": "Unable to transfer a file, %1, because the proxy credentials are not entered, or the proxy credentials entered do not correspond to an authorized user of the proxy server.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Make sure that the correct proxy credentials are entered, and then retry the operation.",
            "Severity": "Warning"
        },
        "SYS249": {
            "Description": "A network connection is successfully started to the remote host, but the file is unable to be transferred.",
            "Message": "A network connection is successfully started to the remote host, but the file, %1, is unable to be transferred.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Make sure that correct parameters are entered, and then retry the operation.",
            "Severity": "Warning"
        },
        "SYS250": {
            "Description": "The file cannot be transferred because of an internal issue. This is not related to any issue in network, proxy status, or remote host status.",
            "Message": "Unable to transfer a file, %1, because of an internal error.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Check the system health and retry the operation.",
            "Severity": "Warning"
        },
        "SYS251": {
            "Description": "The file cannot be transferred because the file is not available at the source file path.",
            "Message": "Unable to transfer a file, %1, because the file is not available at the source file path.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Check the file transfer parameters and retry the operation.",
            "Severity": "Warning"
        },
        "SYS252": {
            "Description": "The file cannot be transferred because the file is not available at the remote host location.",
            "Message": "Unable to transfer a file, %1, because the file is not available at the remote host location.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Make sure that the file is available at the remote host location and retry the operation.",
            "Severity": "Warning"
        },
        "SYS253": {
            "Description": "The file cannot be transferred because the remote host server or remote host file system is set to read-only mode.",
            "Message": "Unable to transfer a file, %1, because the remote host server or remote host file system is set to read-only mode.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Make sure that the file transfer parameters and the remote host file system properties are correct, and then retry the operation.",
            "Severity": "Warning"
        },
        "SYS254": {
            "Description": "The file cannot be transferred because of one or more of the following: 1) remote host cannot be reached. 2) remote share name is not present. 3) incorrect credentials were entered.",
            "Message": "Unable to transfer a file, %1, because of one or more of the following: 1) remote host cannot be reached. 2) remote share name is not present. 3) incorrect credentials are entered.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Make sure that the file transfer parameters are correct, and then retry the operation.",
            "Severity": "Warning"
        },
        "SYS255": {
            "Description": "The file cannot be transferred because a verify certificate value is not entered, or the entered value is not supported.",
            "Message": "Unable to transfer a file, %1, because of an unsupported verify certificate value.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Make sure that the correct verify certificate value is entered, and then retry the operation.",
            "Severity": "Warning"
        },
        "SYS256": {
            "Description": "The file cannot be transferred because of an out-of-memory condition. The issue is not because of network conditions, proxy status, or remote host status.",
            "Message": "Unable to transfer a file, %1, because of an out-of-memory condition.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Check the iDRAC health and retry the operation. If the issue persists, restart the iDRAC and retry the operation after the iDRAC has fully restarted.",
            "Severity": "Warning"
        },
        "SYS257": {
            "Description": "The file cannot be transferred because the verification certificate is not available. The file transfer settings are set to verify the certificate of the remore host server, but the necessary verification certificate is not uploaded.",
            "Message": "Unable to transfer a file, %1, because the verification certificate is not available.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Upload the verification certificate or select the Ignore Certificate Warning setting, and then retry the operation.",
            "Severity": "Warning"
        },
        "SYS258": {
            "Description": "The remote host server certificate was validated against the uploaded certificate and the validation did not succeed. The remote host server certificate does not correspond to the uploaded verification certificate. The certificate subject name, CN part, may not match the domain name used. If the uploaded certificate is correct, the IP address of the remote host server may be incorrect, the certificate may be expired or this error could indicate a Man-In-The-Middle attack in progress.",
            "Message": "Unable to transfer a file, %1, because there is a problem with the remote host server's security certificate.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Make sure that the following are correct and retry the operation: a) the file transfer parameters b) the uploaded certificate corresponds to the remote host server c) the certificate subject name, CN part, matches the domain name used.",
            "Severity": "Warning"
        },
        "SYS259": {
            "Description": "The file cannot be transferred because the resume value is not supported.",
            "Message": "Unable to transfer a file, %1, because the resume value is not supported.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Make sure that the resume value is correct and retry the operation.",
            "Severity": "Warning"
        },
        "SYS260": {
            "Description": "Unable to transfer a file because the destination file system does not have sufficient free space or does not have sufficient free user quota.",
            "Message": "Unable to transfer a file, %1, because the destination file system does not have sufficient free space or does not have sufficient free user quota.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Make sure that the following are correct and retry the operation: a) file transfer parameters b) remote host file system free space.",
            "Severity": "Warning"
        },
        "SYS261": {
            "Description": "The file cannot be transferred because initial network connection to the remote host server is not successfully started. The other probable reasons are: 1) issue in the network 2) remote host server is not turned on 3) remote host server is turned on but not functioning 4) issue in protocol negotiation.",
            "Message": "Unable to transfer the file, %1, because initial network connection to the remote host server is not successfully started.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Check the file transfer parameters, health of the remote host, and then retry the operation.",
            "Severity": "Warning"
        },
        "SYS262": {
            "Description": "The file cannot be transferred because either the proxy may not allow file transfer operations or incorrect proxy credentials are entered.",
            "Message": "Unable to transfer a file, %1, because either the proxy may not allow file transfer operations or incorrect proxy credentials are entered.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Make sure that correct proxy settings are enabled and correct proxy credentials are entered and retry the operation.",
            "Severity": "Warning"
        },
        "SYS263": {
            "Description": "The file cannot be transferred because the operation is taking longer time than the set time limit. The other probable reasons are: 1) issue in the network 2) remote host server is not turned on 3) remote host server is turned on but not functioning 4) issue in protocol negotiation.",
            "Message": "Unable to transfer a file, %1, because the operation is taking longer time than the set time limit.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Check the file transfer parameters, health of the remote host, and then retry the operation.",
            "Severity": "Warning"
        },
        "SYS264": {
            "Description": "Unable to transfer a file because the proxy server was incapable of performing the file transfer operations even when the network connection is available to the proxy server.",
            "Message": "Unable to transfer a file, %1, because the proxy server was incapable of performing the file transfer operations.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Make sure that correct proxy settings and file transfer parameters are set, and then retry the operation. If the issue persists, try connecting to a different proxy.",
            "Severity": "Warning"
        },
        "SYS265": {
            "Description": "The file cannot be transferred because the remote host server did not allow file transfer operations even when the remote host is successfully contacted.",
            "Message": "Unable to transfer a file, %1, because the remote host server did not allow file transfer operations.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Make sure that the file transfer parameters and credentials, and remote host server configuration are correct, and then retry the operation.",
            "Severity": "Warning"
        },
        "SYS266": {
            "Description": "Unable to transfer a file because either an unsupported access type value is set or the value is not set at all.",
            "Message": "Unable to transfer a file, %1, because either an unsupported access type value is set or the value is not set at all.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Make sure that correct access type value is entered, and then retry the operation.",
            "Severity": "Warning"
        },
        "SYS267": {
            "Description": "Unable to transfer a file because the network connection from the proxy server to the remote host server is unsuccessful.",
            "Message": "Unable to transfer a file, %1, because the network connection from the proxy server to the remote host server is unsuccessful.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Make sure that correct file transfer parameters are set, the health of remote host is good, and then retry the operation.",
            "Severity": "Warning"
        },
        "SYS268": {
            "Description": "The file cannot be transferred because the proxy operation is taking longer time than the set time limit of the proxy configuration. The other possible reasons are: 1) issue in the network 2) remote host server may not be turned on 1) remote host server is turned on but not functioning 4) an issue in protocol negotiation.",
            "Message": "Unable to transfer a file, %1, because the proxy operation is taking longer time than the set time limit.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Check the file transfer parameters, health of the remote host, the proxy time limit configuration and then retry the operation.",
            "Severity": "Warning"
        },
        "SYS269": {
            "Description": "The Federal Information Processing Standards (FIPS) attribute cannot be changed because the feature is not supported by using Server Configuration Profile (SCP), and the attribute setting is not applied.",
            "Message": "Unable to change the Federal Information Processing Standards (FIPS) attribute because the feature is not supported by using Server Configuration Profile (SCP), and the attribute setting is not applied.",
            "NumberOfArgs": 0,
            "Resolution": "To set Federal Information Processing Standards (FIPS) attribute to enabled using the RACADM command line utility, type \"racadm set idrac.security.fipsmode enabled\".",
            "Severity": "Informational"
        },
        "SYS273": {
            "Description": "The firmware version cannot be updated because of one or more missing firmware update prerequisites.",
            "Message": "Unable to update the firmware version because of one or more missing firmware update prerequisites.",
            "NumberOfArgs": 0,
            "Resolution": "Make sure that the prerequisite firmwares are installed, and then retry updating the firmware. For information about prerequisite firmware, see the iDRAC User's Guide available on the support site.",
            "Severity": "Warning"
        },
        "SYS274": {
            "Description": "The file identified in the message cannot be applied because of one or more missing firmware update prerequisites.",
            "Message": "Unable to apply the firmware file %1 because one or more missing firmware update prerequisites.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Make sure that the prerequisite firmware updates are installed, and then retry updating the firmware. For information about prerequisite firmware, see the iDRAC User's Guide available on the support site.",
            "Severity": "Warning"
        },
        "SYS275": {
            "Description": "The file identified in the message cannot be applied because the firmware update prerequisite identified in the message is not installed.",
            "Message": "Unable to apply the firmware file %1 because the firmware update prerequisite %2 is not installed.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "Make sure that the firmware prerequisite identified in the message is installed, and then retry updating the firmware. For information about prerequisite firmware, see the iDRAC User's Guide available on the support site.",
            "Severity": "Warning"
        },
        "SYS276": {
            "Description": "The file identified in the message will be applied, but only limited features are made available for use until the firmware update prerequisite identified in the message is fully installed.",
            "Message": "The firmware file %1 will be successfully applied, but only limited features are made available for use until the firmware update prerequisite %2 is fully installed.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "No response action is required for using base features. However, to use all features, make sure that the firmware prerequisite identified in the message is installed, and then retry updating the firmware. For information about prerequisite firmware, see the iDRAC User's Guide available on the support site.",
            "Severity": "Informational"
        },
        "SYS278": {
            "Description": "The factory-assigned MAC address of iDRAC is restored which may cause the iDRAC to restart in some situations. iDRAC is restarted by using a factory default MAC address that can potentially change the DHCP assigned iDRAC IP address.",
            "Message": "The factory assigned MAC address of iDRAC is restored which may cause the iDRAC to restart in some situations.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required. However, if this message is displayed multiple times indicating that the MAC address of iDRAC is restored to factory default, contact your service provider.",
            "Severity": "Informational"
        },
        "SYS279": {
            "Description": "iDRAC is not ready for processing ISM requests. Retry after 1 minute.",
            "Message": "iDRAC is not ready for processing ISM requests. Retry after 1 minute.",
            "NumberOfArgs": 0,
            "Resolution": "Retry the operation after 1 minute.",
            "Severity": "Informational"
        },
        "SYS285": {
            "Description": "The Repository Update file cannot be read because the Repository Update file path has more than 1024 characters.",
            "Message": "Unable to read Repository Update file because the Repository Update file path has more than 1024 characters.",
            "NumberOfArgs": 0,
            "Resolution": "Make sure that the Repository Update file path has less than 1024 characters and retry the operation.",
            "Severity": "Warning"
        },
        "SYS286": {
            "Description": "The update status cannot be previewed because the specified catalog file does not exist on the remote share.",
            "Message": "Unable to preview the update status because the specified catalog file does not exist on the remote share.",
            "NumberOfArgs": 0,
            "Resolution": "Do the following and retry the operation: 1) Make sure that the specified catalog file is available on the remote share. 2) Make sure that the Repository Update file path has less than 1024 characters and retry the operation.",
            "Severity": "Warning"
        },
        "SYS287": {
            "Description": "The Repository Update operation cannot be performed because the specified catalog file does not exist on the remote share.",
            "Message": "Unable to perform the Repository Update operation because the specified catalog file does not exist on the remote share.",
            "NumberOfArgs": 0,
            "Resolution": "Make sure that the specified catalog file is available on the remote share, and then retry the operation.",
            "Severity": "Warning"
        },
        "SYS288": {
            "Description": "The catalog file cannot be obtained from the network share for preview because the file does not exist in the specified location.",
            "Message": "Unable to get the Repository Update catalog file from the network share for preview because the file does not exist in the specified location.",
            "NumberOfArgs": 0,
            "Resolution": "Make sure that the specified catalog file is available on the remote share, and then retry the operation.",
            "Severity": "Warning"
        },
        "SYS289": {
            "Description": "The catalog file cannot be obtained from the network share for importing because it does not exist in the specified location.",
            "Message": "Unable to get the Repository Update catalog file from the network share for import because the file does not exist in the specified location.",
            "NumberOfArgs": 0,
            "Resolution": "Make sure that the specified catalog file is available on the remote share, and then retry the operation.",
            "Severity": "Warning"
        },
        "SYS290": {
            "Description": "The System Lockdown feature is enabled.",
            "Message": "The System Lockdown feature is enabled.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SYS291": {
            "Description": "The configuration operation cannot be started because the System Lockdown mode is enabled.",
            "Message": "Unable to start the configuration operation because the System Lockdown mode is enabled.",
            "NumberOfArgs": 0,
            "Resolution": "Make sure that the Lockdown.1#SystemLockdown attribute is set to Disabled in the DCIM_iDracCardEnumeration class by running the WS-Man get command at the command line interface (CLI), and then retry the operation.",
            "Severity": "Informational"
        },
        "SYS293": {
            "Description": "The configuration changes for the component identified by the Fully Qualified Device Descriptor (FQDD) was successfully previewed.",
            "Message": "Component configuration preview was successful.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required. For more information, see the Lifecycle Log data.",
            "Severity": "Informational"
        },
        "SYS294": {
            "Description": "Some configuration changes for the component identified by the Fully Qualified Device Descriptor (FQDD) in the configuration job results were not successfully previewed.",
            "Message": "Component configuration preview was completed with errors.",
            "NumberOfArgs": 0,
            "Resolution": "Do the following: 1) Export the Lifecycle Log report and check the configuration changes that did not complete. 2) Retrieve the configuration results by running the GetConfigResults method at the command line interface (CLI). 3) Retry importing the changes that are not successfully completed.",
            "Severity": "Informational"
        },
        "SYS295": {
            "Description": "Configuration changes for the components identified by the Fully Qualified Device Descriptor (FQDD) in the configuration job results were not successfully previewed.",
            "Message": "Unable to complete component configuration preview.",
            "NumberOfArgs": 0,
            "Resolution": "Do the following: 1) Export the Lifecycle Log report and check the configuration changes that did not complete. 2) Retrieve the configuration results by running the GetConfigResults method at the command line interface (CLI). 3) Retry importing the changes that are not successfully completed.",
            "Severity": "Informational"
        },
        "SYS296": {
            "Description": "The Server Configuration Profile Import job is scheduled. After the next server reboot, the configurations will be automatically applied.",
            "Message": "The Server Configuration Profile Import job is scheduled. After the next server reboot, the configurations will be automatically applied.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SYS297": {
            "Description": "The compressed file cannot be expanded because because the password entered for ZipPassword attribute in the iDRAC does not match with the password used for protecting the compressed file. Or, the encryption type used is not supported by the iDRAC.",
            "Message": "Unable to expand the compressed file because the password entered for ZipPassword attribute in the iDRAC does not match with the password used for protecting the compressed file. Or, the encryption type used is not supported by the iDRAC.",
            "NumberOfArgs": 0,
            "Resolution": "Make sure that the password entered for ZipPassword attribute on the iDRAC is same as the password used to encrypt the compressed file and use the default (ZipCrypto) encryption.",
            "Severity": "Informational"
        },
        "SYS298": {
            "Description": "The import operation cannot be started either because the Server Configuration Profile file is not available on the USB drive, or because the USB drive has more than one compressed file.",
            "Message": "Unable to start the import operation either because the Server Configuration Profile file is not available on the USB drive, or because the USB drive has more than one compressed file.",
            "NumberOfArgs": 0,
            "Resolution": "Make sure of the following and retry the operation: 1) The correct Server Configuration Profile file is available on the USB drive. 2) Only one compressed file is stored on the USB drive, if stored in a compressed file.",
            "Severity": "Informational"
        },
        "SYS299": {
            "Description": "The compressed file cannot be opened because there is a password entered for the ZipPassword attribute on the iDRAC, while no password is used to protect the compressed file.",
            "Message": "Unable to open the compressed file because the ZipPassword attribute is set and no password is used for protecting the compressed file.",
            "NumberOfArgs": 0,
            "Resolution": "Make sure that the password entered for ZipPassword attribute on the iDRAC is same the password used to encrypt the compressed file.",
            "Severity": "Informational"
        },
        "SYS300": {
            "Description": "The import operation cannot be started because the Control file has incorrect schema.",
            "Message": "Unable to start the import operation because the Control file has incorrect schema.",
            "NumberOfArgs": 0,
            "Resolution": "Make sure that the input file is compliant with the Control file schema described in the Lifecycle Controller Profile Schema Guide available on the delltechcenter.com/lc.",
            "Severity": "Informational"
        },
        "SYS302": {
            "Description": "The vFlash Erase operation is successfully completed.",
            "Message": "The vFlash Erase operation is successfully completed.",
            "NumberOfArgs": 0,
            "Resolution": "No response action required.",
            "Severity": "Informational"
        },
        "SYS304": {
            "Description": "The import operation cannot be performed because the RepositoryUpdate feature is not supported for local imports.",
            "Message": "The import operation cannot be performed because the RepositoryUpdate feature is not supported for local imports.",
            "NumberOfArgs": 0,
            "Resolution": "Remove the value from the RepositoryUpdate attribute under the System.Embedded.1 component.",
            "Severity": "Warning"
        },
        "SYS400": {
            "Description": "The precondition check operation such as Open Data Protocol (OData) Version, If-Match request-header, and If-Not-Modified request-headers cannot be completed.",
            "Message": "Unable to successfully complete the precondition check operations such as Open Data Protocol (OData) Version, If-Match request-header, and If-Not-Modified request-headers.",
            "NumberOfArgs": 0,
            "Resolution": "Make sure that the prerequisites specified for the request are satisfied. For more information about the prerequisites, see the Redfish Specification and Redfish Users Guide available on the support site.",
            "Severity": "Warning"
        },
        "SYS401": {
            "Description": "The operation cannot be successfully completed because the media type entered is not supported.",
            "Message": "Unable to complete the operation because the media type entered is not supported.",
            "NumberOfArgs": 0,
            "Resolution": "Enter a media type that is supported and retry the operation. For more information about the supported media types, see the Redfish User's Guide available on the support site.",
            "Severity": "Warning"
        },
        "SYS402": {
            "Description": "The method cannot be run because the requested HTTP method is not allowed.",
            "Message": "Unable to run the method because the requested HTTP method is not allowed.",
            "NumberOfArgs": 0,
            "Resolution": "Enter a valid HTTP method and retry the operation. For information about valid methods, see the Redfish Users Guide available on the support site.",
            "Severity": "Informational"
        },
        "SYS403": {
            "Description": "The operation cannot be successfully completed because the resource identified in the message does not exist.",
            "Message": "Unable to complete the operation because the resource %1 entered in not found.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Enter the correct resource and retry the operation. For information about valid resource, see the Redfish Users Guide available on the support site.",
            "Severity": "Informational"
        },
        "SYS404": {
            "Description": "The operation cannot be successfully completed because the If-Match request header is missing.",
            "Message": "Unable to complete the operation because the If-Match request header is missing.",
            "NumberOfArgs": 0,
            "Resolution": "Make sure that the If-Match request header is entered and retry the operation. For information about the necessary headers, see the Redfish specification and Redfish Users Guide available on the support site.",
            "Severity": "Warning"
        },
        "SYS405": {
            "Description": "The request cannot be successfully completed because the JSON data format entered is invalid.",
            "Message": "Unable to complete the operation because the JSON data format entered in invalid.",
            "NumberOfArgs": 0,
            "Resolution": "Do the following and the retry the operation: 1) Enter the correct JSON data format and retry the operation. 2) Make sure that no syntax error is present in JSON data format. 3) Make sure that a duplicate key is not present in JSON data format.",
            "Severity": "Warning"
        },
        "SYS406": {
            "Description": "The configuration operation cannot be started because the System Lockdown mode is enabled.",
            "Message": "Unable to start the configuration operation because the System Lockdown mode is enabled.",
            "NumberOfArgs": 0,
            "Resolution": "Make sure that the Lockdown.1.SystemLockdown attribute is set to Disabled by running the HTTP PATCH method on \"Managers OemAttributes\" Redfish API, and then retry the operation.",
            "Severity": "Informational"
        },
        "SYS407": {
            "Description": "The operation cannot be completed because the value entered for the query parameter identified in the message is invalid.",
            "Message": "Unable to complete the operation because the value %1 entered for the query parameter %2 is invalid.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "Enter a valid value and retry the operation. The minimum value that can entered for top query parameter is 1.",
            "Severity": "Warning"
        },
        "SYS408": {
            "Description": "Only one task ID is displayed. By default, the location response header displays information about only one task ID.",
            "Message": "Only one task ID is displayed in the response.",
            "NumberOfArgs": 0,
            "Resolution": "To view all task IDs, run the \"Tasks\" Redfish API.",
            "Severity": "Informational"
        },
        "SYS409": {
            "Description": "The object properties cannot be set because an incorrect object value is entered.",
            "Message": "Unable to set the object properties because an incorrect object value is entered.",
            "NumberOfArgs": 0,
            "Resolution": "Enter a valid object value and retry the operation. For information about recommended values, see the schema or the attribute registry based on the type of resource.",
            "Severity": "Warning"
        },
        "SYS410": {
            "Description": "The attribute cannot be modified because the attribute is read-only and depends on other attributes. Some attributes have dependencies on other attributes that are required to perform a task. However, some of the attributes are read-only because of the current system configuration and the values of the dependent attributes.",
            "Message": "Unable to modify the attribute because the attribute is read-only and depends on other attributes.",
            "NumberOfArgs": 0,
            "Resolution": "Verify if the attribute has dependency on other attributes and retry the operation. To verify, view the attribute registry based on the type of resource.",
            "Severity": "Warning"
        },
        "SYS411": {
            "Description": "The file cannot be uploaded because the file size is greater than specified limit.",
            "Message": "Unable to upload the file because the file size is greater than specified limit.",
            "NumberOfArgs": 0,
            "Resolution": "Make sure that the file size is less than the specified limit. For information about specified limit, see the Redfish User's Guide available on the support site.",
            "Severity": "Warning"
        },
        "SYS412": {
            "Description": "The file cannot be uploaded because of unknown internal issues.",
            "Message": "Unable to upload the file because of unknown internal issues.",
            "NumberOfArgs": 0,
            "Resolution": "Retry the operation. If the issue persists, reset the iDRAC, and then retry the operation. Reset the iDRAC by using the \"Manager Reset Actions\" Redfish API.",
            "Severity": "Warning"
        },
        "SYS413": {
            "Description": "The operation successfully completed as all conditions have been met.",
            "Message": "The operation successfully completed.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SYS414": {
            "Description": "A new resource is successfully created.",
            "Message": "A new resource is successfully created.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "SYS415": {
            "Description": "The operation cannot be completed because an invalid username and/or password is entered, and therefore authentication failed.",
            "Message": "Unable to complete the operation because an invalid username and/or password is entered, and therefore authentication failed.",
            "NumberOfArgs": 0,
            "Resolution": "Enter valid user name and password and retry the operation.",
            "Severity": "Warning"
        },
        "SYS416": {
            "Description": "The operation cannot be completed because the username and/or password is not entered, and therefore authentication failed.",
            "Message": "Unable to complete the operation because the username and/or password is not entered, and therefore authentication failed.",
            "NumberOfArgs": 0,
            "Resolution": "Enter valid user name and password and retry the operation.",
            "Severity": "Warning"
        },
        "SYS417": {
            "Description": "The operation cannot be successfully completed because the value entered for the query parameter is out of range as identified in the message.",
            "Message": "Unable to complete the operation because the value %1 entered for the query parameter %2 is out of range %3.",
            "NumberOfArgs": 3,
            "ParamTypes": [
                "String",
                "String",
                "String"
            ],
            "Resolution": "Enter a query parameter value within range and retry the operation.",
            "Severity": "Warning"
        },
        "SYS418": {
            "Description": "The test event cannot be sent because the Alert service is disabled.",
            "Message": "Unable to send the test event because the Alert service is disabled.",
            "NumberOfArgs": 0,
            "Resolution": "Enable the attribute IPMILan.1.AlertEnable by using the PATCH operation on the Redfish OemAttributes URL, and then retry the operation.",
            "Severity": "Informational"
        },
        "SYS419": {
            "Description": "The operation cannot be successfully completed because the Redfish attribute is disabled.",
            "Message": "Unable to complete the operation because the Redfish attribute is disabled.",
            "NumberOfArgs": 0,
            "Resolution": "Make sure that the Redfish.1.Enable attribute is set to Enabled by running the HTTP PATCH method on \"Managers OemAttributes\" Redfish API, and then retry the operation.",
            "Severity": "Warning"
        },
        "SYS420": {
            "Description": "The operation cannot be completed because the Redfish URI version identified in the message is not supported.",
            "Message": "Unable to complete the operation because the Redfish URI version %1 is not supported.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Enter a valid URI version and retry the operation. For information about valid URI versions, see the Redfish User's Guide available on the support site.",
            "Severity": "Warning"
        },
        "SYS421": {
            "Description": "The Active Directory object DCLookupByUserDomain cannot be disabled, because the DCLookupDomainName object of Active Directory is not configured.",
            "Message": "The Active Directory object DCLookupByUserDomain cannot be disabled, because the DCLookupDomainName object of Active Directory is not configured.",
            "NumberOfArgs": 0,
            "Resolution": "Configure the DCLookupDomainName object by using the PATCH operation on the Redfish OemAttributes URL, and then retry the operation.",
            "Severity": "Warning"
        },
        "SYS422": {
            "Description": "The ETag in the response headers cannot be displayed because of unknown internal issues.",
            "Message": "Unable to display the ETag in the response headers because of unknown internal issues.",
            "NumberOfArgs": 0,
            "Resolution": "Retry the operation. If the issue persists, reset the iDRAC, and then retry the operation. Reset the iDRAC by using the \"Manager Reset Actions\" Redfish API.",
            "Severity": "Critical"
        },
        "SYS423": {
            "Description": "The test event cannot be sent because there are no subscriptions.",
            "Message": "Unable to send the test event because there are no subscriptions.",
            "NumberOfArgs": 0,
            "Resolution": "Create a subscription using HTTP POST operation to the URI of the subscription resource.",
            "Severity": "Informational"
        },
        "SYS424": {
            "Description": "The operation cannot be completed because the value entered for the property identified in the message is of invalid type.",
            "Message": "Unable to complete the operation because the value %1 entered for the property %2 is of different type than the property can accept.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "Enter a valid value in the expected type for the property in the request body and retry the operation.For information about valid values, see the iDRAC User's Guide available on the support site.",
            "Severity": "Warning"
        },
        "SYS425": {
            "Description": "The operation cannot be completed because the value entered for the property identified in the message is not supported.",
            "Message": "Unable to complete the operation because the value %1 entered for the property %2 is invalid.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "Enter a valid value for the property in the request body and retry the operation.For information about valid values, see the iDRAC User's Guide available on the support site.",
            "Severity": "Warning"
        },
        "SYS426": {
            "Description": "The operation cannot be completed because the value entered for the property identified in the message is not in the enumeration list.",
            "Message": "Unable to complete the operation because the value %1 entered for the property %2 is not in the list of acceptable values.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "Enter a valid value from the enumeration list that Redfish service supports and retry the operation.For information about valid values, see the iDRAC User's Guide available on the support site.",
            "Severity": "Warning"
        },
        "SYS427": {
            "Description": "The operation cannot be completed because the property identified in the message is a read only property.",
            "Message": "Unable to complete the operation because the property %1 is a read only property and cannot be assigned a value.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Remove the property from the request body and retry the operation.",
            "Severity": "Warning"
        },
        "SYS428": {
            "Description": "The operation cannot be completed because the property identified in the message is not supplied as part of the request.",
            "Message": "Unable to complete the operation because the property %1 is a required property and must be included in the request.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Make sure that the property is in the request body and has a valid value, and retry the operation.",
            "Severity": "Warning"
        },
        "SYS429": {
            "Description": "The operation cannot be completed because the property is not in the list of valid properties for the resource.",
            "Message": "Unable to complete the operation because the property %1 is not in the list of valid properties for the resource.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Remove the unknown property from the request body and retry the operation.",
            "Severity": "Warning"
        },
        "SYS430": {
            "Description": "The operation is successfully completed. The configuration changes will become effective after restarting the host server next time.",
            "Message": "The operation is successfully completed.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.However, to make them immediately effective, restart the host server.",
            "Severity": "Informational"
        },
        "SYS431": {
            "Description": "The import or export configuration changes cannot be applied because an import or export operation is currently in progress.",
            "Message": "Unable to apply the configuration changes because an import or export operation is currently in progress.",
            "NumberOfArgs": 0,
            "Resolution": "Wait for the current import or export operation to complete and retry the operation. If the issue persists, contact your service provider.",
            "Severity": "Warning"
        },
        "SYS432": {
            "Description": "The Power Cap value cannot be set because the PowerCapSetting feature is disabled.",
            "Message": "Unable to set the Power Cap value because the PowerCapSetting feature is disabled.",
            "NumberOfArgs": 0,
            "Resolution": "Enable the PowerCapSetting feature by using the PATCH operation on the Redfish OemAttributes URL, and then retry the operation.",
            "Severity": "Warning"
        },
        "SYS433": {
            "Description": "The server configuration profile data cannot be uploaded because the file type used for the data file is not in the JSON or XML format.",
            "Message": "Unable to upload the server configuration profile data because the file type used for the data file is not in the JSON or XML format.",
            "NumberOfArgs": 0,
            "Resolution": "Make sure that the file format used is of JSON or XML format, and then retry the operation.",
            "Severity": "Warning"
        },
        "SYS434": {
            "Description": "The operation cannot be completed because the uploaded firmware image file extension is not supported.",
            "Message": "Unable to upload the firmware image because the file extension is not supported.",
            "NumberOfArgs": 0,
            "Resolution": "Make sure to use a valid firmware image and retry the operation. For information about the supported file extension types, see the Redfish Users Guide available on the support site.",
            "Severity": "Warning"
        },
        "SYS435": {
            "Description": "The BIOS configuration data cannot be retrieved either because the system inventory is not collected, Lifecycle Controller Wipe operation is performed, or because of a system error.",
            "Message": "Unable to retrieve the BIOS configuration data either because the system inventory is not collected, Lifecycle Controller Wipe operation is performed, or because of a system error.",
            "NumberOfArgs": 0,
            "Resolution": "Enable the Lifecycle Controller CSIOR (Collect System Inventory on Restart) feature, collect the system inventory, and then retry the operation. To enable CSIOR and Lifecycle Controller respectively perform the PATCH operation for these attributes on the Redfish OemAttributes URL.",
            "Severity": "Critical"
        },
        "SYS436": {
            "Description": "The job cannot be created because the Start Time entered is invalid.",
            "Message": "Unable to create the job because the Start Time entered is invalid.",
            "NumberOfArgs": 0,
            "Resolution": "Enter the Start Time in the String format, and then retry the operation For example, YYYY-MM-DDTHH:MM:SS. For more information about recommened Start Time format, see the iDRAC User's Guide available on the support site.",
            "Severity": "Warning"
        },
        "SYS437": {
            "Description": "The job cannot be created because the EndTime value entered is less than 5 minutes of StartTime value.",
            "Message": "Unable to create the job because the EndTime value entered is less than 5 minutes of StartTime value.",
            "NumberOfArgs": 0,
            "Resolution": "Enter an EndTime value that is greater than 5 minutes of the StartTime value.",
            "Severity": "Warning"
        },
        "SYS438": {
            "Description": "The Secure Boot keys cannot be reset because the installed BIOS version does not support the operation.",
            "Message": "Unable to reset the Secure Boot keys because the installed BIOS version does not support the operation.",
            "NumberOfArgs": 0,
            "Resolution": "Update the BIOS to the latest version and retry the operation. For information about updating BIOS, see the iDRAC Users Guide available on the support site.",
            "Severity": "Critical"
        },
        "SYS439": {
            "Description": "The operation cannot be completed because the Secure Boot policy is set to Standard.",
            "Message": "Unable to complete the operation because the Secure Boot policy is set to Standard.",
            "NumberOfArgs": 0,
            "Resolution": "Reset the Secure Boot policy to Custom by performing the PATCH operation for the SecureBootPolicy attribute on the Redfish Bios URL.",
            "Severity": "Warning"
        },
        "SYS440": {
            "Description": "The Job creation cannot be done because the End Time entered is invalid.",
            "Message": "Unable to Create Job because the End Time entered is invalid.",
            "NumberOfArgs": 0,
            "Resolution": "Enter the End Time in the String format, and then retry the operation For example, YYYY-MM-DDTHH:MM:SS. For more information about recommended End Time format, see the iDRAC Redfish User's Guide available on the support site.",
            "Severity": "Warning"
        },
        "SYS441": {
            "Description": "The operation cannot be completed because the index entered as identified in the message is not a valid offset in the array.",
            "Message": "Unable to complete the operation because the index %1 entered is not a valid offset in the array.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Enter a valid index within the limits of the array and retry the operation.",
            "Severity": "Warning"
        },
        "SYS8500": {
            "Description": "The Chassis Management Controller (CMC) sent messages to delay power throttling to all capable servers in the chassis. This was done because the CMC firmware was updated or a failover was initiated. If specific server errors are shown in the message, verify that the iDRAC and Lifecycle Controller firmware versions on those servers is updated to the most current version available.",
            "Message": "Delay Auto-throttle sent to %1 server(s). %2 %3",
            "NumberOfArgs": 3,
            "ParamTypes": [
                "String",
                "String",
                "String"
            ],
            "Resolution": "If no errors are shown, no response is required. If errors are listed in the message, navigate to the named servers and make sure that IDRAC and Lifecycle Controller firmware versions are the latest available.",
            "Severity": "Informational"
        },
        "TMP0100": {
            "Description": "Ambient air temperature is too cool.",
            "Message": "The system board %1 temperature is less than the lower warning threshold.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Check system operating environment.",
            "Severity": "Warning"
        },
        "TMP0101": {
            "Description": "Ambient air temperature is too cool.",
            "Message": "The system board %1 temperature is less than the lower critical threshold.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Check system operating environment.",
            "Severity": "Critical"
        },
        "TMP0102": {
            "Description": "Ambient air temperature is too warm or one or more fans may have failed.",
            "Message": "The system board %1 temperature is greater than the upper warning threshold.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Check system operating environment and review event log for fan failures.",
            "Severity": "Warning"
        },
        "TMP0103": {
            "Description": "Ambient air temperature is too warm or one or more fans may have failed.",
            "Message": "The system board %1 temperature is greater than the upper critical threshold.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Check system operating environment and review event log for fan failures.",
            "Severity": "Critical"
        },
        "TMP0104": {
            "Description": "Ambient air temperature is too warm or cool.",
            "Message": "The system board %1 temperature is outside of range.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Check system operating environment and review event log for fan failures.",
            "Severity": "Critical"
        },
        "TMP0105": {
            "Description": "None.",
            "Message": "The system board %1 temperature is within range.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "TMP0106": {
            "Description": "Ambient air temperature is too cool.",
            "Message": "The memory module %1 temperature is less than the lower warning threshold.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Check system operating environment.",
            "Severity": "Warning"
        },
        "TMP0107": {
            "Description": "Ambient air temperature is too cool.",
            "Message": "The memory module %1 temperature is less than the lower critical threshold.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Check system operating environment.",
            "Severity": "Critical"
        },
        "TMP0108": {
            "Description": "Ambient air temperature is too warm or one or more fans may have failed.",
            "Message": "The memory module %1 temperature is greater than the upper warning threshold.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Check system operating environment and review event log for fan failures.",
            "Severity": "Warning"
        },
        "TMP0109": {
            "Description": "Ambient air temperature is too warm or one or more fans may have failed.",
            "Message": "The memory module %1 temperature is greater than the upper critical threshold.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Check system operating environment and review event log for fan failures.",
            "Severity": "Critical"
        },
        "TMP0110": {
            "Description": "Ambient air temperature is too warm or cool.",
            "Message": "The memory module %1 temperature is outside of range.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Check system operating environment and review event log for fan failures.",
            "Severity": "Critical"
        },
        "TMP0111": {
            "Description": "None.",
            "Message": "The memory module %1 temperature is within range.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "TMP0112": {
            "Description": "Ambient air temperature is too cool.",
            "Message": "The %1 temperature is less than the lower warning threshold.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Check system operating environment.",
            "Severity": "Warning"
        },
        "TMP0113": {
            "Description": "Ambient air temperature is too cool.",
            "Message": "The %1 temperature is less than the lower critical threshold.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Check system operating environment.",
            "Severity": "Critical"
        },
        "TMP0114": {
            "Description": "Ambient air temperature is too warm or one or more fans may have failed.",
            "Message": "The %1 temperature is greater than the upper warning threshold.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Check system operating environment and review event log for fan failures.",
            "Severity": "Warning"
        },
        "TMP0115": {
            "Description": "Ambient air temperature is too warm or one or more fans may have failed.",
            "Message": "The %1 temperature is greater than the upper critical threshold.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Check system operating environment and review event log for fan failures.",
            "Severity": "Critical"
        },
        "TMP0116": {
            "Description": "Ambient air temperature is too warm or cool.",
            "Message": "The %1 temperature is outside of range.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Check system operating environment and review event log for fan failures.",
            "Severity": "Critical"
        },
        "TMP0117": {
            "Description": "None.",
            "Message": "The %1 temperature is within range.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "TMP0118": {
            "Description": "Ambient air temperature is too cool.",
            "Message": "The system inlet temperature is less than the lower warning threshold.",
            "NumberOfArgs": 0,
            "Resolution": "Check system operating environment.",
            "Severity": "Warning"
        },
        "TMP0119": {
            "Description": "Ambient air temperature is too cool.",
            "Message": "The system inlet temperature is less than the lower critical threshold.",
            "NumberOfArgs": 0,
            "Resolution": "Check system operating environment.",
            "Severity": "Critical"
        },
        "TMP0120": {
            "Description": "Ambient air temperature is too warm.",
            "Message": "The system inlet temperature is greater than the upper warning threshold.",
            "NumberOfArgs": 0,
            "Resolution": "Check system operating environment.",
            "Severity": "Warning"
        },
        "TMP0121": {
            "Description": "Ambient air temperature is too warm.",
            "Message": "The system inlet temperature is greater than the upper critical threshold.",
            "NumberOfArgs": 0,
            "Resolution": "Check system operating environment.",
            "Severity": "Critical"
        },
        "TMP0122": {
            "Description": "Ambient air temperature is too warm or cool.",
            "Message": "The system inlet temperature is outside of range.",
            "NumberOfArgs": 0,
            "Resolution": "Check system operating environment.",
            "Severity": "Critical"
        },
        "TMP0123": {
            "Description": "None.",
            "Message": "The system inlet temperature is within range.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "TMP0124": {
            "Description": "Ambient air temperature is too cool.",
            "Message": "Disk drive bay temperature is less than the lower warning threshold.",
            "NumberOfArgs": 0,
            "Resolution": "Check system operating environment.",
            "Severity": "Warning"
        },
        "TMP0125": {
            "Description": "Ambient air temperature is too cool.",
            "Message": "Disk drive bay temperature is less than the lower critical threshold.",
            "NumberOfArgs": 0,
            "Resolution": "Check system operating environment.",
            "Severity": "Critical"
        },
        "TMP0126": {
            "Description": "Ambient air temperature is too warm or one or more fans may have failed.",
            "Message": "Disk drive bay temperature is greater than the upper warning threshold.",
            "NumberOfArgs": 0,
            "Resolution": "Check system operating environment and review event log for fan failures.",
            "Severity": "Warning"
        },
        "TMP0127": {
            "Description": "Ambient air temperature is too warm or one or more fans may have failed.",
            "Message": "Disk drive bay temperature is greater than the upper critical threshold.",
            "NumberOfArgs": 0,
            "Resolution": "Check system operating environment and review event log for fan failures.",
            "Severity": "Critical"
        },
        "TMP0128": {
            "Description": "Ambient air temperature is too warm or cool.",
            "Message": "Disk drive bay temperature is outside of range.",
            "NumberOfArgs": 0,
            "Resolution": "Check system operating environment and review event log for fan failures.",
            "Severity": "Critical"
        },
        "TMP0129": {
            "Description": "None.",
            "Message": "Disk drive bay temperature is within range.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "TMP0130": {
            "Description": "Ambient air temperature is too cool.",
            "Message": "The control panel temperature is less than the lower warning threshold.",
            "NumberOfArgs": 0,
            "Resolution": "Check system operating environment.",
            "Severity": "Warning"
        },
        "TMP0131": {
            "Description": "Ambient air temperature is too cool.",
            "Message": "The control panel temperature is less than the lower critical threshold.",
            "NumberOfArgs": 0,
            "Resolution": "Check system operating environment.",
            "Severity": "Critical"
        },
        "TMP0132": {
            "Description": "Ambient air temperature is too warm or one or more fans may have failed.",
            "Message": "The control panel temperature is greater than the upper warning threshold.",
            "NumberOfArgs": 0,
            "Resolution": "Check system operating environment and review event log for fan failures.",
            "Severity": "Warning"
        },
        "TMP0133": {
            "Description": "Ambient air temperature is too warm or one or more fans may have failed.",
            "Message": "The control panel temperature is greater than the upper critical threshold.",
            "NumberOfArgs": 0,
            "Resolution": "Check system operating environment and review event log for fan failures.",
            "Severity": "Critical"
        },
        "TMP0134": {
            "Description": "Ambient air temperature is too warm or cool.",
            "Message": "The control panel temperature is outside of range.",
            "NumberOfArgs": 0,
            "Resolution": "Check system operating environment and review event log for fan failures.",
            "Severity": "Critical"
        },
        "TMP0135": {
            "Description": "None.",
            "Message": "The control panel temperature is within range.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "TMP0136": {
            "Description": "The system is automatically turned off because of insufficient cooling.",
            "Message": "The system is automatically turned off because of insufficient cooling.",
            "NumberOfArgs": 0,
            "Resolution": "Replace the fans that have stopped functioning, or add the minimum number of fans recommended. For more information, see the system Owner's Manual available at the support site.",
            "Severity": "Critical"
        },
        "TMP0137": {
            "Description": "The system cooling is working normally.",
            "Message": "The system cooling is working normally.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "TMP0138": {
            "Description": "Disabling the C1E state in servers with processors that have their Thermal Design Power (TDP) value set to equal to or greater than 155 Watt results in increased fan speed during high CPU workloads.",
            "Message": "The C1 Enhance (C1E) state is disabled in the server. Increased fan speeds can be expected during high CPU workload.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "TMP0200": {
            "Description": "System performance may be degraded.",
            "Message": "CPU %1 temperature is less than the lower warning threshold.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Check system operating environment.",
            "Severity": "Warning"
        },
        "TMP0201": {
            "Description": "System performance may be degraded.",
            "Message": "CPU %1 temperature is less than the lower critical threshold.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Check system operating environment.",
            "Severity": "Critical"
        },
        "TMP0202": {
            "Description": "System performance may be degraded.",
            "Message": "CPU %1 temperature is greater than the upper warning threshold.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Check system operating environment, fans, and heatsinks.",
            "Severity": "Warning"
        },
        "TMP0203": {
            "Description": "System performance may be degraded.",
            "Message": "CPU %1 temperature is greater than the upper critical threshold.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Check system operating environment, fans, and heatsinks.",
            "Severity": "Critical"
        },
        "TMP0204": {
            "Description": "System performance may be degraded.",
            "Message": "CPU %1 temperature is outside of range.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Check system operating environment, fans, and heatsinks.",
            "Severity": "Critical"
        },
        "TMP0205": {
            "Description": "None.",
            "Message": "CPU %1 temperature is within range.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "TMP0300": {
            "Description": "The Enhanced Cooling Mode feature is enabled.",
            "Message": "The Enhanced Cooling Mode feature is enabled.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "TMP0301": {
            "Description": "The Enhanced Cooling Mode feature is disabled.",
            "Message": "The Enhanced Cooling Mode feature is disabled.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "TMP0302": {
            "Description": "The Enhanced Cooling Mode feature cannot be enabled because the necessary power or fan configuration is not available.",
            "Message": "Unable to set Enhanced Cooling Mode because the required power or fan configuration is not available.",
            "NumberOfArgs": 0,
            "Resolution": "Do the following: 1) Check the available power and the fan configuration. 2) If the required power for Enhanced Cooling mode is not available, remove other chassis components which are not being used in order to obtain sufficient power. 3) If the fan configuration does not support Enhanced Cooling Mode, replace unsupported fans with supported ones. 4) If the issue persists, contact your service provider.",
            "Severity": "Warning"
        },
        "TMP1000": {
            "Description": "The enclosure is too hot. A variety of factors can cause the excessive temperature. For example, a fan may have failed, the thermostat may be set too high, or the room temperature may be too hot.",
            "Message": "%1 exceeded the maximum warning threshold.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Check for factors that may cause overheating. For example, verify that the enclosure fan is working. You should check the thermostat settings and examine whether the enclosure is located near a heat source. Make sure the enclosure has enough ventilation and that the room temperature is not too hot. Refer to the enclosure documentation for more diagnostic information.",
            "Severity": "Warning"
        },
        "TMP1001": {
            "Description": "The enclosure is too cold.",
            "Message": "%1 has crossed the minimum warning threshold.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Check whether the thermostat setting is too low and whether the room temperature is too cool.",
            "Severity": "Warning"
        },
        "TMP1002": {
            "Description": "The enclosure is too hot. A variety of factors can cause the excessive temperature. For example, a fan may have failed, the thermostat may be set too high, or the room temperature may be too hot.",
            "Message": "%1 has exceeded the maximum failure threshold.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Check for factors that may cause overheating. For example, verify that the enclosure fan is working. You should also check the thermostat settings and examine whether the enclosure is located near a heat source. Make sure the enclosure has enough ventilation and that the room temperature is not too hot. Refer to the enclosure documentation for more diagnostic information.",
            "Severity": "Critical"
        },
        "TMP1003": {
            "Description": "The enclosure is too cold.",
            "Message": "%1 has crossed the minimum failure threshold.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Check whether the thermostat setting is too low and whether the room temperature is too cool.",
            "Severity": "Critical"
        },
        "TMP1004": {
            "Description": "The enclosure temperature sensor identified in the message is operating within the upper and lower configured temperature thresholds.",
            "Message": "The temperature sensor %1 is now within configured threshold values.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "TMP5": {
            "Description": "You have changed the value for the maximum temperature probe warning threshold. This alert is provided for informational purposes.",
            "Message": "The temperature probe maximum warning value was changed on %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "TMP6": {
            "Description": "You have changed the value for the minimum temperature probe warning threshold. This alert is provided for informational purposes.",
            "Message": "The temperature probe minimum warning value was changed on %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "TMP7": {
            "Description": "A device has been failed and the system is no longer functioning in optimal condition.",
            "Message": "%1 has failed.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Replace the device.",
            "Severity": "Critical"
        },
        "TMP8500": {
            "Description": "The temperature of the I/O Module identified in the message has increased beyond the operational range. Thermal protection shut down the I/O Module. Factors external to the I/O Module may have caused this situation.",
            "Message": "I/O Module %1 temperature exceeded operating range.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Check the chassis event log for fan issues and fix any issues present. If no fan issues are detected, check chassis ambient temperature and make sure the temperature is within operating range. Utilize the RACADM command \"racadm getsensorinfo\" to check the chassis ambient temperature.",
            "Severity": "Critical"
        },
        "TMP8501": {
            "Description": "System was unable to read planar board or control panel temperature sensors. The fan speed was increased to protect system hardware.",
            "Message": "Unable to read planar board temperature sensors. The cooling has been increased to safeguard the system.",
            "NumberOfArgs": 0,
            "Resolution": "Remove AC power from the system and reapply AC power. Check to see if the issue is resolved. If the issue persists, contact your service provider.",
            "Severity": "Warning"
        },
        "TMP8502": {
            "Description": "The system has recovered from being unable to read planar board or control panel temperature sensors.",
            "Message": "Able to read planar board temperature sensors. Cooling set for normal chassis operation.",
            "NumberOfArgs": 0,
            "Resolution": "No response action required.",
            "Severity": "Informational"
        },
        "TMP8503": {
            "Description": "The NIC adapter in the slot identified in the message may have temperature related issues. The device temperature suggests degraded cooling or possibly a fan not functioning correctly on the adapter card (if adapter card has a fan).",
            "Message": "Temperature of NIC adapter in slot %1 is greater than normal operating range possibly due to an issue in the cooling system or a fan that is no longer functioning correctly.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "The cooling system may have issues. Contact your authorized Customer Service representative for further assistance.",
            "Severity": "Warning"
        },
        "TMPS0100": {
            "Description": "Inlet temperature has been above the warning threshold for duration of 8% or more for the operational time during the last one year.",
            "Message": "Inlet temperature is above warning level for extended duration.",
            "NumberOfArgs": 0,
            "Resolution": "This condition will occur if the ambient temperature is high. Make sure the ambient temperature of the environment is in normal range.",
            "Severity": "Warning"
        },
        "TMPS0101": {
            "Description": "Inlet temperature has been above the critical threshold for duration of 0.8% or more for the operational time during the last one year.",
            "Message": "Inlet temperature is above critical level for extended duration.",
            "NumberOfArgs": 0,
            "Resolution": "This condition will occur if the ambient temperature is high. Make sure the ambient temperature of the environment is in normal range.",
            "Severity": "Warning"
        },
        "TMPS0102": {
            "Description": "Inlet temperature has been above the warning threshold for duration of 10% or more for the operational time during the last one year.",
            "Message": "Inlet temperature is above warning level for extended duration.",
            "NumberOfArgs": 0,
            "Resolution": "This condition will occur if the ambient temperature is high. Make sure the ambient temperature of the environment is in normal range.",
            "Severity": "Critical"
        },
        "TMPS0103": {
            "Description": "Inlet temperature has been above the critical threshold for duration of 1% or more for the operational time during the last one year.",
            "Message": "Inlet temperature is above critical level for extended duration.",
            "NumberOfArgs": 0,
            "Resolution": "This condition will occur if the ambient temperature is high. Make sure the ambient temperature of the environment is in normal range.",
            "Severity": "Critical"
        },
        "TST100": {
            "Description": "The operation completed successfully.",
            "Message": "The operation was successful.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "TST101": {
            "Description": "The operation did not complete successfully because of lack of memory or file space in the iDRAC firmware.",
            "Message": "Resource allocation failure.",
            "NumberOfArgs": 0,
            "Resolution": "Reset the iDRAC and retry the operation.",
            "Severity": "Critical"
        },
        "TST102": {
            "Description": "The destination address of the email is not configured.",
            "Message": "Email alert destination address not configured.",
            "NumberOfArgs": 0,
            "Resolution": "Configure the email alert destination address and retry the operation.",
            "Severity": "Warning"
        },
        "TST103": {
            "Description": "One or more required parameters needed for the operation are missing.",
            "Message": "Missing parameters %1",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "To provide the correct parameters, see Lifecycle Controller-Remote Services documentation.",
            "Severity": "Warning"
        },
        "TST104": {
            "Description": "The SNMP trap being tested is not properly configured.",
            "Message": "SNMP traps not configured.",
            "NumberOfArgs": 0,
            "Resolution": "Configure the SNMP trap and retry the operation. If the issue persists, reset iDRAC.",
            "Severity": "Warning"
        },
        "TST105": {
            "Description": "The value provided for the specified parameter is invalid.",
            "Message": "Invalid parameter value for %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "To provide the correct value for the specified parameter, see Lifecycle Controller-Remote Services documentation.",
            "Severity": "Warning"
        },
        "TST106": {
            "Description": "The email alert being tested is not properly configured.",
            "Message": "Email alert destination address not configured.",
            "NumberOfArgs": 0,
            "Resolution": "Configure the email alert and retry the operation. If the failure persists, reset iDRAC.",
            "Severity": "Warning"
        },
        "UEFI0000": {
            "Description": "A CPU type 0x00, divide by zero exception, (type 0x00) occurred in the pre-boot UEFI environment. The software attempted to do a mathematical divide by zero, an illegal operation.",
            "Message": "CPU Exception Type 0x00: Divide by Zero (Software).",
            "NumberOfArgs": 0,
            "Resolution": "Recently installed hardware or updated software may cause this exception.Update or remove the hardware or software.",
            "Severity": "Critical"
        },
        "UEFI0001": {
            "Description": "A CPU software breakpoint exception (type 0x03) occurred in the pre-boot UEFI environment. The software used it for debugging purposes.",
            "Message": "CPU Exception Type 0x03: Breakpoint (Software).",
            "NumberOfArgs": 0,
            "Resolution": "Recently installed hardware or updated software may cause this exception. Update or remove the hardware or software.",
            "Severity": "Critical"
        },
        "UEFI0004": {
            "Description": "A CPU invalid opcode exception (type 0x06) occurred in the pre-boot UEFI environment. The software attempted to execute invalid code.",
            "Message": "CPU Exception Type 0x06: Invalid Opcode (Software).",
            "NumberOfArgs": 0,
            "Resolution": "Recently installed hardware or updated software may cause this exception. Update or remove the hardware or software.",
            "Severity": "Critical"
        },
        "UEFI0005": {
            "Description": "A CPU math coprocessor not available (type 0x07) exception occurred in the pre-boot UEFI environment.",
            "Message": "CPU Exception Type 0x07: Math Coprocessor Not Available (Hardware).",
            "NumberOfArgs": 0,
            "Resolution": "Recently installed hardware or updated software may cause this exception. Update or remove the hardware or software.",
            "Severity": "Critical"
        },
        "UEFI0006": {
            "Description": "A CPU double fault exception (type 0x08) occurred.",
            "Message": "CPU Exception Type 0x08: Double Fault (Software).",
            "NumberOfArgs": 0,
            "Resolution": "Recently installed hardware or updated software may cause this exception. Update or remove the hardware or software.",
            "Severity": "Critical"
        },
        "UEFI0007": {
            "Description": "A CPU coprocessor segment overrun exception (type 0x09) occurred in the pre-boot UEFI environment.",
            "Message": "CPU Exception Type 0x09: Coprocessor Segment Overrun (Software).",
            "NumberOfArgs": 0,
            "Resolution": "Recently installed hardware or updated software may cause this exception. Update or remove the hardware or software.",
            "Severity": "Critical"
        },
        "UEFI0008": {
            "Description": "A CPU invalid task segment state (TSS) exception (type 0x0A) occurred in the pre-boot UEFI environment.",
            "Message": "CPU Exception Type 0x0A: Invalid Task Segment State Segment (TSS) (Software).",
            "NumberOfArgs": 0,
            "Resolution": "Recently installed hardware or updated software may cause this exception. Update or remove the hardware or software.",
            "Severity": "Critical"
        },
        "UEFI0009": {
            "Description": "A CPU segment not present exception (type 0x0B) occurred in the pre-boot UEFI environment.",
            "Message": "CPU Exception Type 0x0B: Segment Not Present (Software).",
            "NumberOfArgs": 0,
            "Resolution": "Recently installed hardware or updated software may cause this exception. Update or remove the hardware or software.",
            "Severity": "Critical"
        },
        "UEFI0010": {
            "Description": "A CPU stack-segment fault (type 0x0C) exception occurred in the pre-boot UEFI environment.",
            "Message": "CPU Exception Type 0x0C: Stack-Segment Fault (Software).",
            "NumberOfArgs": 0,
            "Resolution": "Recently installed hardware or updated software may cause this exception. Update or remove the hardware or software.",
            "Severity": "Critical"
        },
        "UEFI0011": {
            "Description": "A CPU general protection (type 0x0D) exception occurred in the pre-boot UEFI environment.",
            "Message": "CPU Exception Type 0x0D: General Protection (Software).",
            "NumberOfArgs": 0,
            "Resolution": "Recently installed hardware or updated software may cause this exception. Update or remove the hardware or software.",
            "Severity": "Critical"
        },
        "UEFI0012": {
            "Description": "A CPU page fault (type 0x0E) exception occurred in the pre-boot UEFI environment. A program accessed a page mapped in the virtual address space, but not loaded in physical memory.",
            "Message": "CPU Exception Type 0x0E: Page Fault (Software).",
            "NumberOfArgs": 0,
            "Resolution": "Recently installed hardware or updated software may cause this exception. Update or remove the hardware or software.",
            "Severity": "Critical"
        },
        "UEFI0013": {
            "Description": "A CPU floating point error (type 0x10) exception occurred in the pre-boot UEFI environment.",
            "Message": "CPU Exception Type 0x10: Floating Point Error (Software).",
            "NumberOfArgs": 0,
            "Resolution": "Recently installed hardware or updated software may cause this exception. Update or remove the hardware or software.",
            "Severity": "Critical"
        },
        "UEFI0014": {
            "Description": "A CPU alignment check exception (type 0x11) occurred in the pre-boot UEFI environment.",
            "Message": "CPU Exception Type 0x11: Alignment Check (Software).",
            "NumberOfArgs": 0,
            "Resolution": "Recently installed hardware or updated software may cause this exception. Update or remove the hardware or software.",
            "Severity": "Critical"
        },
        "UEFI0015": {
            "Description": "The BIOS is unable to access the Lifecycle Controller firmware. No Lifecycle Controller functionality is available while in Recovery Mode.",
            "Message": "Lifecycle Controller (LC) firmware was not accessible and is therefore in Recovery mode.",
            "NumberOfArgs": 0,
            "Resolution": "Perform the following actions: 1)Reboot the system. 2) Press F2 during boot to enter System Setup. 3) Select iDRAC Settings then Lifecycle Controller. 4) Change Lifecycle Controller back to Enabled. If subsequent failures occur, press and hold the system ID button down for 15 seconds to reset the iDRAC. For more information on how to reset iDRAC, see iDRAC User's Guide.",
            "Severity": "Critical"
        },
        "UEFI0016": {
            "Description": "Unable to find a Lifecycle Controller partition. No Lifecycle Controller functionality is available while in Recovery Mode.",
            "Message": "Lifecycle Controller (LC) firmware was not accessible and is therefore in Recovery mode.",
            "NumberOfArgs": 0,
            "Resolution": "Perform the following actions: 1)Reboot the system. 2) Press F2 during boot to enter System Setup. 3) Select iDRAC Settings then Lifecycle Controller. 4) Change Lifecycle Controller back to Enabled. If subsequent failures occur, press and hold the system ID button down for 15 seconds to reset the iDRAC. For more information on how to reset iDRAC, see iDRAC User's Guide.",
            "Severity": "Critical"
        },
        "UEFI0017": {
            "Description": "Unable to locate a file required to run Lifecycle Controller. No Lifecycle Controller functionality is available while in Recovery Mode.",
            "Message": "Lifecycle Controller (LC) firmware was not accessible and is therefore in Recovery mode.",
            "NumberOfArgs": 0,
            "Resolution": "Repair Lifecycle Controller firmware using the Lifecycle Controller Dell Update Package (DUP) or Lifecycle Controller Repair Package via iDRAC. For more information, see Lifecycle Controller User's Guide.",
            "Severity": "Critical"
        },
        "UEFI0018": {
            "Description": "An internal error occurred. No Lifecycle Controller functionality is available while in Recovery Mode.",
            "Message": "Lifecycle Controller (LC) is unable to complete a requested task or function and therefore is in Recovery Mode.",
            "NumberOfArgs": 0,
            "Resolution": "Repair Lifecycle Controller firmware using the Lifecycle Controller Dell Update Package (DUP) or Lifecycle Controller Repair Package via iDRAC. For more information, see Lifecycle Controller User's Guide.",
            "Severity": "Critical"
        },
        "UEFI0019": {
            "Description": "The system boot process did not complete repeatedly due to problems encountered while performing a Lifecycle Controller task for function. No Lifecycle Controller functionality is available while in Recovery Mode.",
            "Message": "Lifecycle Controller (LC) is unable to complete a requested task or function and prevented the boot process from completing on multiple attempts. LC is in Recovery Mode.",
            "NumberOfArgs": 0,
            "Resolution": "Repair Lifecycle Controller firmware using the Lifecycle Controller Dell Update Package (DUP) or Lifecycle Controller Repair Package via iDRAC. For more information, see Lifecycle Controller User's Guide.",
            "Severity": "Critical"
        },
        "UEFI0020": {
            "Description": "The Lifecycle Controller feature is enabled.",
            "Message": "The Lifecycle Controller feature is enabled.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "UEFI0021": {
            "Description": "The Lifecycle Controller feature is disabled. The feature was disabled because of one of the following conditions: 1) The feature was disabled manually using the F2 System Setup utility or through an iDRAC interface, 2) BIOS encountered an issue starting the feature and automatically disabled it.",
            "Message": "The Lifecycle Controller feature is disabled.",
            "NumberOfArgs": 0,
            "Resolution": "To enable the Lifecycle Controller (LC) feature using F2 System Setup, select the iDRAC Settings > Lifecycle Controller and then select Enabled. If LC becomes disabled automatically, update the Lifecycle Controller firmware or apply the Lifecycle Controller Repair Package.",
            "Severity": "Informational"
        },
        "UEFI0022": {
            "Description": "The Management Engine firmware cannot be initialized because the Management Engine is not responding.",
            "Message": "Unable to initialize Management Engine because the Management Engine is not responding.",
            "NumberOfArgs": 0,
            "Resolution": "Remove input power from the system, wait for 30 seconds, and re-apply input power. Turn on the system.",
            "Severity": "Critical"
        },
        "UEFI0023": {
            "Description": "The End of POST message could not be sent to the Management Engine because the Management Engine is not responding.",
            "Message": "BIOS is unable to send the End of POST message to Management Engine because the Management Engine is not responding.",
            "NumberOfArgs": 0,
            "Resolution": "Remove input power from the system, wait for 30 seconds, and re-apply input power. Turn on the system.",
            "Severity": "Critical"
        },
        "UEFI0024": {
            "Description": "The Management Engine firmware is not responding to the BIOS via the HECI interface.",
            "Message": "The Management Engine is not responding.",
            "NumberOfArgs": 0,
            "Resolution": "Remove input power from the system, wait for 30 seconds, and re-apply input power. Turn on the system.",
            "Severity": "Critical"
        },
        "UEFI0025": {
            "Description": "The Management Engine firmware cannot be initialized. The BIOS will reset the system to retry the initialization process.",
            "Message": "Unable to initialize Management Engine firmware.",
            "NumberOfArgs": 0,
            "Resolution": "Wait for the BIOS to reset the system and reinitialize the Management Engine. If the issue persists, turn off the input power to the system and turn on again.",
            "Severity": "Warning"
        },
        "UEFI0026": {
            "Description": "iDRAC is not responding to BIOS commands. The BIOS will reset the system to retry the initialization process.",
            "Message": "iDRAC is not responding.",
            "NumberOfArgs": 0,
            "Resolution": "Wait for the BIOS to reset the system and reinitialize the iDRAC. If the issue persists, remove input power from the system, wait for 30 seconds, and re-apply input power. Turn on the system.",
            "Severity": "Warning"
        },
        "UEFI0027": {
            "Description": "A license change for the system or a component in the system requires a system reset in order for the new license to take effect.",
            "Message": "The system must be restarted for the new license to become effective.",
            "NumberOfArgs": 0,
            "Resolution": "Wait for the BIOS to reset the system.",
            "Severity": "Informational"
        },
        "UEFI0028": {
            "Description": "The iDRAC is not responding after a recovery system reset was performed. BIOS will continue POST startup with iDRAC in a non functional state.",
            "Message": "iDRAC is not responding after a recovery system reset was performed.",
            "NumberOfArgs": 0,
            "Resolution": "Remove input power from the system, wait for 30 seconds, and re-apply input power. Turn on the system.",
            "Severity": "Critical"
        },
        "UEFI0029": {
            "Description": "iDRAC could not be initialized because of some critical issues. Continuing to boot may result in unexpected power loss because of unknown power inventory and unavailability of features such as remote out of band access, active power management, thermal management, inventory collection, LCD, or system error reporting.",
            "Message": "Unable to initialize iDRAC because of some critical issues.",
            "NumberOfArgs": 0,
            "Resolution": "Do one of the following: 1) Remove input power from the system, wait for 30 seconds, and re-apply input power. Turn on the system. 2) Update the iDRAC firmware. 3) Continue to boot. Note: This may result in unexpected power loss because of unknown power inventory and unavailability of features such as remote out of band access, active power management, thermal management, inventory collection, LCD, or system error reporting.",
            "Severity": "Critical"
        },
        "UEFI0030": {
            "Description": "A keyboard device is not connected to the system.",
            "Message": "A keyboard device is not connected to the system.",
            "NumberOfArgs": 0,
            "Resolution": "Connect a keyboard device to the system.",
            "Severity": "Warning"
        },
        "UEFI0031": {
            "Description": "The PCIe device identified in the message was not trained at the expected link width.",
            "Message": "PCIe downtrain is detected on %1. Expected link width: %2 Actual link width: %2.",
            "NumberOfArgs": 3,
            "ParamTypes": [
                "String",
                "String",
                "String"
            ],
            "Resolution": "Do one of the following: 1) Remove input power from the system, wait for 30 seconds, and re-apply input power. Turn on the system. 2) Update the firmware on the PCIe device. If the issue persists, contact your service provider.",
            "Severity": "Critical"
        },
        "UEFI0032": {
            "Description": "The TPM chip cannot be initialized because the TPM chip is not functioning.",
            "Message": "Unable to initialize the TPM chip because the TPM chip is not functioning.",
            "NumberOfArgs": 0,
            "Resolution": "Remove input power from the system, wait for 30 seconds, and re-apply input power. Turn on the system.",
            "Severity": "Critical"
        },
        "UEFI0033": {
            "Description": "The NVRAM_CLR jumper is installed to clear the BIOS configuration. After clearing the BIOS configuration, remove the NVRAM_CLR jumper so that the system can function normally and any non-default BIOS system setting changes can be persistently saved.",
            "Message": "Default system BIOS settings are in use because NVRAM_CLR jumper is installed on the system board.",
            "NumberOfArgs": 0,
            "Resolution": "To change the system BIOS settings and persistently save the settings, remove the NVRAM_CLR jumper and then go to the System Setup to configure system settings.",
            "Severity": "Warning"
        },
        "UEFI0034": {
            "Description": "A CMOS battery loss is detected resulting in an invalid BIOS configuration.",
            "Message": "A CMOS battery loss is detected resulting in an invalid BIOS configuration.",
            "NumberOfArgs": 0,
            "Resolution": "Go to the System Setup to configure system settings, system time and date.",
            "Severity": "Critical"
        },
        "UEFI0035": {
            "Description": "The BIOS passwords are disabled because the PWRD_EN jumper is removed from the system board.",
            "Message": "The BIOS passwords are disabled because the PWRD_EN jumper is removed from the system board.",
            "NumberOfArgs": 0,
            "Resolution": "To enable the BIOS passwords, install the PWRD_EN jumper.",
            "Severity": "Informational"
        },
        "UEFI0036": {
            "Description": "The iDRAC Shared Memory Architecture (SMA) interface cannot be initialized. The BIOS will use the Keyboard Controller Style (KCS) interface.",
            "Message": "Unable to initialize the iDRAC Shared Memory Architecture (SMA) interface.",
            "NumberOfArgs": 0,
            "Resolution": "Do one of the following: 1) Remove input power from the system, wait for 30 seconds, and re-apply input power. Turn on the system. 2) Update the iDRAC firmware on the system.",
            "Severity": "Critical"
        },
        "UEFI0037": {
            "Description": "Unable to communicate with iDRAC because of an issue in the iDRAC Shared Memory Architecture (SMA) Intelligent Platform Management Interface (IPMI). Continuing to boot may result in unexpected power loss because of unknown power inventory and unavailability of features such as active power management, thermal management.",
            "Message": "Unable to communicate with iDRAC because of an issue in the iDRAC Shared Memory Architecture (SMA) Intelligent Platform Management Interface (IPMI).",
            "NumberOfArgs": 0,
            "Resolution": "Do one of the following: 1) Remove input power from the system, wait for 30 seconds, and re-apply input power. Turn on the system. 2) Update the iDRAC firmware on the system.",
            "Severity": "Critical"
        },
        "UEFI0038": {
            "Description": "Unable to communicate with iDRAC because an expected interrupt(s) from the iDRAC SMA (Shared Memory Architecture) interface did not happen. Continuing to boot may result in unexpected power loss because of unknown power inventory and unavailability of features such as active power management, thermal management.",
            "Message": "Unable to communicate with iDRAC because of missing interrupts on the Shared Memory Architecture (SMA) interface.",
            "NumberOfArgs": 0,
            "Resolution": "Do one of the following: 1) Remove input power from the system, wait for 30 seconds, and re-apply input power. Turn on the system. 2) Update the iDRAC firmware on the system.",
            "Severity": "Critical"
        },
        "UEFI0039": {
            "Description": "Unable to communicate with iDRAC because of an issue in the iDRAC Keyboard Controller Style (KCS) Intelligent Platform Management Interface (IPMI). Continuing to boot may result in unexpected power loss because of unknown power inventory and unavailability of features such as remote out of band access, active power management, thermal management, inventory collection, LCD, or system error reporting.",
            "Message": "Unable to communicate with iDRAC because of an issue in the iDRAC Keyboard Controller Style (KCS) Intelligent Platform Management Interface (IPMI).",
            "NumberOfArgs": 0,
            "Resolution": "Do one of the following: 1) Remove input power from the system, wait for 30 seconds, and re-apply input power. Turn on the system. 2) Update the iDRAC firmware on the system.",
            "Severity": "Critical"
        },
        "UEFI0040": {
            "Description": "The TXT has been disabled due to an unexpected issue. Check the SEL (System Event Log) for details of the issue.",
            "Message": "The TXT feature is disabled because of an unexpected issue.",
            "NumberOfArgs": 0,
            "Resolution": "Do one of the following: 1) Remove input power from the system, wait for 30 seconds, and re-apply input power. Turn on the system. 2) Update the BIOS firmware on the system. For information about the issue, see System Event Log (SEL).",
            "Severity": "Critical"
        },
        "UEFI0041": {
            "Description": "Unable to turn on the TXT feature because the Virtualization Technology (VT) feature is not enabled on the processor.",
            "Message": "Unable to enable the TXT feature because the Virtualization Technology (VT) feature is not enabled on the processor.",
            "NumberOfArgs": 0,
            "Resolution": "From System Setup, enable VT, and then enable TXT. If the issue persists, update the system BIOS firmware.",
            "Severity": "Critical"
        },
        "UEFI0042": {
            "Description": "Unable to enable the TXT feature because Trusted Platform Module (TPM) configuration is invalid.",
            "Message": "Unable to enable the TXT feature because Trusted Platform Module (TPM) configuration is invalid.",
            "NumberOfArgs": 0,
            "Resolution": "Go to System Setup > System Security page, select the \"On with pre-boot measurement\" option for TPM Security, and click the \"Activate\" option under TPM command. Restart the system, go to System Setup > System Security page, and then enable TXT.",
            "Severity": "Warning"
        },
        "UEFI0043": {
            "Description": "Unable to enable the TXT feature because the processor does not support TXT.",
            "Message": "Unable to enable the TXT feature because the processor does not support TXT.",
            "NumberOfArgs": 0,
            "Resolution": "Install a TXT-capable processor and retry the operation.",
            "Severity": "Warning"
        },
        "UEFI0044": {
            "Description": "Unable to enable the TXT feature because the processor does not support TXT.",
            "Message": "Unable to enable the TXT feature because the motherboard chipset does not support TXT.",
            "NumberOfArgs": 0,
            "Resolution": "Contact your service provider.",
            "Severity": "Warning"
        },
        "UEFI0045": {
            "Description": "Unable to enable the TXT feature because a TPM chip is not present.",
            "Message": "Unable to enable the TXT feature because a TPM chip is not present.",
            "NumberOfArgs": 0,
            "Resolution": "Install a TPM chip module by following the installation procedure. Refer to the platform Owner's Manual for more information or contact your service provider.",
            "Severity": "Warning"
        },
        "UEFI0046": {
            "Description": "An issue in observed in the previous invocation of TXT SINIT Authenticated Code Module (ACM) because the TXT information stored in the TPM chip may be corrupted.",
            "Message": "An issue is observed in the previous invocation of TXT SINIT Authenticated Code Module (ACM) because the TXT information stored in the TPM chip may be corrupted.",
            "NumberOfArgs": 0,
            "Resolution": "Do one of the following: 1) Update the BIOS firmware. 2) Go to System Setup > System Security page, click the \"Clear\" option under TPM command. Restart the system, go to System Setup > System Security page, click the \"Activate\" option under TPM command, and then enable TXT.",
            "Severity": "Critical"
        },
        "UEFI0047": {
            "Description": "One or more keys in the keyboard is stuck and not functional.",
            "Message": "One or more keys in the keyboard is stuck and not functional.",
            "NumberOfArgs": 0,
            "Resolution": "Make sure that the key is not stuck in the keyboard and retry the operation.",
            "Severity": "Warning"
        },
        "UEFI0048": {
            "Description": "The Collect System Inventory on Restart (CSIOR) operation is not performed during this restart because Lifecycle Controller firmware could not be accessed or run properly.",
            "Message": "The Collect System Inventory on Restart (CSIOR) operation is not performed during this restart because Lifecycle Controller is not functioning.",
            "NumberOfArgs": 0,
            "Resolution": "Repair Lifecycle Controller using the Update Package. For more information, see the Lifecycle Controller User's Guide.",
            "Severity": "Critical"
        },
        "UEFI0049": {
            "Description": "The NMI button cannot be enabled because either the NMI button is stuck or iDRAC firmware is not updated.",
            "Message": "Unable to enable the Non-maskable Interrupt (NMI) button because either the NMI button is stuck or iDRAC firmware is not updated.",
            "NumberOfArgs": 0,
            "Resolution": "Correct the NMI button if stuck or update iDRAC firmware on the system.",
            "Severity": "Critical"
        },
        "UEFI0050": {
            "Description": "The rebranding process is started.",
            "Message": "The process of collecting Brand information is started.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "UEFI0051": {
            "Description": "Brand information is successfully collected. The system is being restarted. The rebranding process is completed.",
            "Message": "Brand information is successfully collected. The system is being restarted.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "UEFI0052": {
            "Description": "The rebranding process cannot be completed because of the reasons identified on the computer screen.",
            "Message": "Unable to complete the rebranding operation because of the issue(s) displayed earlier.",
            "NumberOfArgs": 0,
            "Resolution": "Do one of the following and retry the operation: 1) Update the iDRAC firmware. 2) Update the system BIOS. 3) Update the OEM ID module.",
            "Severity": "Critical"
        },
        "UEFI0053": {
            "Description": "The debranding process is started.",
            "Message": "The debranding process is started.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "UEFI0054": {
            "Description": "Debranding process is completed. The system is being restarted.",
            "Message": "Debranding process is completed. The system is being restarted.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "UEFI0055": {
            "Description": "The debranding process cannot be completed because of the reasons identified on the computer screen.",
            "Message": "Unable to complete the debranding operation because of the issue(s) displayed earlier.",
            "NumberOfArgs": 0,
            "Resolution": "Check the screen display for details of the failure. Retry the debrand process again, or update the system BIOS and then retry.",
            "Severity": "Critical"
        },
        "UEFI0056": {
            "Description": "The PCIe error is logged during Power-on-Self-Test (POST). The error could have occurred during either the current or the previous POST.",
            "Message": "A PCIe error has occurred.",
            "NumberOfArgs": 0,
            "Resolution": "Check the System Event Log (SEL) to identify the PCIe device that is not functioning correctly, and then update the device firmware.",
            "Severity": "Critical"
        },
        "UEFI0057": {
            "Description": "The MCE is logged during Power-on-Self-Test (POST). MCE could have occurred during either the current or the previous POST.",
            "Message": "A Machine-Check Exception (MCE) error has occurred.",
            "NumberOfArgs": 0,
            "Resolution": "Check the System Event Log (SEL) to identify Machine-Check Exception (MCE) event source. Resolve the issue identified in the SEL that caused the MCE. For further information, contact your service provider.",
            "Severity": "Critical"
        },
        "UEFI0058": {
            "Description": "Uncorrectable Memory Error has occurred because a Dual Inline Memory Module (DIMM) is not functioning.",
            "Message": "An uncorrectable Memory Error has occurred because a Dual Inline Memory Module (DIMM) is not functioning.",
            "NumberOfArgs": 0,
            "Resolution": "Check the System Event Log (SEL) to identify the non-functioning DIMM, and then replace it.",
            "Severity": "Critical"
        },
        "UEFI0059": {
            "Description": "The Power Supply Units (PSUs) in the system do not match.",
            "Message": "The Power Supply Units (PSUs) in the system do not match.",
            "NumberOfArgs": 0,
            "Resolution": "Check the PSU types and make sure they are appropriately matched, and then retry the operation. For more information, see the platform Owner's Manual.",
            "Severity": "Critical"
        },
        "UEFI0060": {
            "Description": "Power required by the system exceeds the power supplied by the PSUs. Continuing to restart the system may automatically turn off the system without any notification.",
            "Message": "Power required by the system exceeds the power supplied by the Power Supply Units (PSUs).",
            "NumberOfArgs": 0,
            "Resolution": "Check the PSU and system configuration, and then upgrade the PSU, if necessary.",
            "Severity": "Critical"
        },
        "UEFI0061": {
            "Description": "The request to change one or more attribute(s) is being processed.",
            "Message": "The request to change attributes is being processed.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "UEFI0062": {
            "Description": "One or more attributes were successfully changed.",
            "Message": "One or more attributes are successfully changed.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "UEFI0063": {
            "Description": "An attribute cannot be successfully configured because of an issue in the ACI data block.",
            "Message": "Unable to change an attribute because of issues in the Attribute Configuration Interface (ACI) data block.",
            "NumberOfArgs": 0,
            "Resolution": "Check the ACI data block for any invalid configuration data and settings, and then retry the operation. If the issue persists, contact your service provider.",
            "Severity": "Critical"
        },
        "UEFI0064": {
            "Description": "One or more attributes were successfully configured. The system will be automatically restarted.",
            "Message": "One or more attributes are successfully configured. The system is being restarted.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "UEFI0065": {
            "Description": "One or more attributes are successfully configured. The system is automatically turned off in 5 seconds.",
            "Message": "One or more attributes are successfully configured. The system will be automatically turned off in 5 seconds.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "UEFI0066": {
            "Description": "A PCIe Link failure is observed in the device identified in the message and device link is disabled. The system will be halted.",
            "Message": "A PCIe link training failure is observed in %1 and the link is disabled. The system has halted.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Do one of the following: 1) Turn off the input power to the system and turn on again. 2) Update the PCIe device firmware. If the issue persists, contact your service provider.",
            "Severity": "Critical"
        },
        "UEFI0067": {
            "Description": "A PCIe link failure is observed in the PCIe device identified in the message and device link is disabled.",
            "Message": "A PCIe link training failure is observed in %1 and device link is disabled.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Do one of the following: 1) Turn off the input power to the system and turn on again. 2) Update the PCIe device firmware. If the issue persists, contact your service provider.",
            "Severity": "Critical"
        },
        "UEFI0068": {
            "Description": "The mezzanine card configuration used is not supported on this Chassis. Server modules used in different Chassis may require cards with different configuration properties. For more information, contact your service provider.",
            "Message": "The mezzanine card configuration used is not supported on this Chassis.",
            "NumberOfArgs": 0,
            "Resolution": "Make sure that a supported mezzanine card is used and retry the operation. For more information, see the platform Owner's Manual of the Chassis available at the support site.",
            "Severity": "Critical"
        },
        "UEFI0069": {
            "Description": "A CMOS checksum error has occurred resulting in an invalid BIOS configuration. BIOS configuration is reset to default settings.",
            "Message": "A CMOS checksum error has occurred. CMOS is reinitialized.",
            "NumberOfArgs": 0,
            "Resolution": "Go to the System Setup and configure the desired settings. Save and exit to apply the settings.",
            "Severity": "Critical"
        },
        "UEFI0070": {
            "Description": "One or more correctable PCIe errors have occurred. Data about the errors are logged into SEL during the POST operation.",
            "Message": "One or more correctable PCIe errors have occurred.",
            "NumberOfArgs": 0,
            "Resolution": "Check the System Event Log (SEL) to identify the PCIe device, and then update its firmware.",
            "Severity": "Critical"
        },
        "UEFI0071": {
            "Description": "One or more UEFI network interfaces is not available. The corresponding UEFI network devices are disabled.",
            "Message": "One or more UEFI network interfaces is not available. The corresponding UEFI network devices are disabled.",
            "NumberOfArgs": 0,
            "Resolution": "Connect the missing network interface card to the system and enable the UEFI network interface in System Setup.",
            "Severity": "Warning"
        },
        "UEFI0072": {
            "Description": "When the Secure Boot feature is enabled, the system BIOS authenticates each UEFI driver against the Secure Boot policy. If a UEFI driver does not meet the policy criteria, the system BIOS does not load or execute the UEFI driver and displays this message at the end of POST. The Secure Boot policy consists of authorized and unauthorized X.509 certificates; signed drivers must chain to an authorized certificate. The policy may also authorize hash values of individual UEFI driver images. Users can configure the Secure Boot feature and the Secure Boot policy in F2 System Setup > System BIOS > Security Settings page.",
            "Message": "Unable to load the firmware from %1 because of the Secure Boot policy.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "If the Secure Boot feature is not desired, disable it in System Setup > System BIOS > Security Settings page. Otherwise, do the following: 1) Make sure the firmware on the failing device is up-to-date. 2) If subsequent failures occur, review the Secure Boot Policy Summary in System Setup > System BIOS > Security Settings page. The device firmware must be authorized by a public key or hash value in the Authorized Signature Database. The public key or hash value must not be present in the Forbidden Signature Database.",
            "Severity": "Warning"
        },
        "UEFI0073": {
            "Description": "When the Secure Boot feature is enabled, the system BIOS authenticates each boot option against the Secure Boot policy. If a boot option does not meet the policy criteria, the system BIOS does not boot to the boot option and displays this message. The Secure Boot policy consists of authorized and unauthorized X.509 certificates; signed boot images must chain to an authorized certificate. The policy may also authorize hash values of individual boot images. Users can configure the Secure Boot feature and the Secure Boot policy in System Setup > System BIOS > Security Settings page.",
            "Message": "Unable to boot %1 because of the Secure Boot policy.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "If the Secure Boot feature is not desired, disable it in System Setup > System BIOS > Security Settings page. Otherwise, do the following: 1) review the Secure Boot Policy Summary in F2 System Setup > System BIOS > Security Settings page. The boot option must be authorized by a public key or hash value in the Authorized Signature Database. 2) If the boot option is not authorized but it can be trusted, enter System Setup > System BIOS > Security Settings page, set Secure Boot Policy to Custom, and add a entry for the boot option in the Authorized Signature Database (System Setup > System BIOS > Security Settings > Custom Policy Settings > Authorized Signature Database > Import Database Entry).",
            "Severity": "Warning"
        },
        "UEFI0074": {
            "Description": "The system BIOS logs this message after detecting a change in Secure Boot policy settings. Such a change may result from user configuration or a system BIOS update. Changes to the following settings trigger this message: 1) Secure Boot (Enable/Disable) 2) Secure Boot Policy (Standard/Custom) 3) Platform Key 4) Key Exchange Keys 5) Authorized Signature Database (db) 6) Forbidden Signature Database (dbx).",
            "Message": "The Secure Boot policy has been modified since the last time the system was started.",
            "NumberOfArgs": 0,
            "Resolution": "Review the Secure Boot policy settings in System Setup > System BIOS > Security Settings page. If policy changes were expected, no action is necessary. Otherwise, modify the Secure Boot policy settings as needed.",
            "Severity": "Warning"
        },
        "UEFI0075": {
            "Description": "The Network Daughter Card 1 is not detected.",
            "Message": "Network Daughter Card 1 is not detected.",
            "NumberOfArgs": 0,
            "Resolution": "Install a Network Daughter Card in the system.",
            "Severity": "Warning"
        },
        "UEFI0076": {
            "Description": "A Corrected Machine Check error(s) has occurred.",
            "Message": "One or more Corrected Machine Check(CMC) errors have occurred.",
            "NumberOfArgs": 0,
            "Resolution": "Check the System Event Log (SEL) to identify the Corrected Machine Check (CMC) errors. Resolve the issue identified in the SEL that caused the CMC.",
            "Severity": "Warning"
        },
        "UEFI0077": {
            "Description": "One or more PCIe device errors occurred in the previous boot.",
            "Message": "One or more PCIe device errors occurred in the previous boot.",
            "NumberOfArgs": 0,
            "Resolution": "Check the System Event Log (SEL) to identify the PCIe device with errors, and then update its firmware.",
            "Severity": "Critical"
        },
        "UEFI0078": {
            "Description": "One or more Machine Check errors occurred in the previous boot.",
            "Message": "One or more Machine Check errors occurred in the previous boot.",
            "NumberOfArgs": 0,
            "Resolution": "Check the System Event Log (SEL) to identify the source of the Machine Check error and resolve the issues.",
            "Severity": "Critical"
        },
        "UEFI0079": {
            "Description": "One or more Uncorrectable Memory errors occurred in the previous boot.",
            "Message": "One or more Uncorrectable Memory errors occurred in the previous boot.",
            "NumberOfArgs": 0,
            "Resolution": "Check the System Event Log (SEL) to identify the non-functional DIMM, and then replace the DIMM.",
            "Severity": "Critical"
        },
        "UEFI0080": {
            "Description": "The PCIe link speed is not optimal for the identified PCIe device.",
            "Message": "PCIe link speed is not optimal for %1. Expected link speed: Gen %2 and actual link speed: Gen %2.",
            "NumberOfArgs": 3,
            "ParamTypes": [
                "String",
                "String",
                "String"
            ],
            "Resolution": "Do one of the following: 1) Turn off the input power to the system and turn on again. 2) Update the PCIe device firmware. If the issue persists, contact your service provider.",
            "Severity": "Warning"
        },
        "UEFI0081": {
            "Description": "Memory size has changed from the last time the system was started. No action is required if memory was added or removed.",
            "Message": "Memory size has changed from the last time the system was started.",
            "NumberOfArgs": 0,
            "Resolution": "If the change is expected, no action is necessary. Otherwise, check the DIMM population inside the system and memory settings in System Setup for configuration changes. For more information, see the platform Owners Manual.",
            "Severity": "Warning"
        },
        "UEFI0082": {
            "Description": "The system was reset due to a timeout from the watchdog timer.",
            "Message": "The system was reset due to a timeout from the watchdog timer.",
            "NumberOfArgs": 0,
            "Resolution": "Check the System Event Log (SEL) or crash dumps from Operating System to identify the source that caused the watchdog timer reset. Update the firmware or driver for the identified device.",
            "Severity": "Critical"
        },
        "UEFI0083": {
            "Description": "One or more PCI System errors (SERR) have occurred.",
            "Message": "One or more PCI System errors (SERR) have occurred.",
            "NumberOfArgs": 0,
            "Resolution": "Check the System Event Log (SEL) to identify the PCI device that caused the SERR. Update the identified device firmware. If the issue persists, contact your service provider.",
            "Severity": "Critical"
        },
        "UEFI0084": {
            "Description": "One or more PCI Parity errors (PERR) have occurred.",
            "Message": "One or more PCI Parity errors (PERR) have occurred.",
            "NumberOfArgs": 0,
            "Resolution": "Check the System Event Log (SEL) to identify the PCI device that caused the PERR. Update the identified device firmware. If the issue persists, contact your service provider.",
            "Severity": "Critical"
        },
        "UEFI0085": {
            "Description": "One or more chipset errors have occurred.",
            "Message": "One or more chipset errors have occurred.",
            "NumberOfArgs": 0,
            "Resolution": "Check the System Event Log (SEL) to identify the chipset error. Do one of the following: 1) Turn off the input power to the system and turn on again. 2) Update the PCIe device firmware. If the issue persists, contact your service provider.",
            "Severity": "Critical"
        },
        "UEFI0086": {
            "Description": "Unsupported Small Outline Dual In-line Memory Module (SODIMM) memory is installed on the RDIMM memory slot identified in the message.",
            "Message": "Unsupported Small Outline Dual In-line Memory Module (SODIMM) memory is installed on RDIMM memory slot: %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Remove the unsupported SODIMM module from the identified memory slot and replace it with a supported module. For more information, see the platform Owner's Manual.",
            "Severity": "Critical"
        },
        "UEFI0087": {
            "Description": "Unsupported 4Gb technology DIMM module is installed on the memory slot identified in the message.",
            "Message": "Unsupported 4Gb technology DIMM module is installed on memory slot: %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Remove the unsupported DIMM module from the identified memory slot and replace it with a supported module. For more information, see the platform Owner's Manual.",
            "Severity": "Critical"
        },
        "UEFI0088": {
            "Description": "Unsupported 8Gb technology DIMM module is installed on the memory slot identified in the message.",
            "Message": "Unsupported 8Gb technology DIMM module is installed on memory slot: %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Remove the unsupported DIMM module from the identified memory slot and replace it with a supported module. For more information, see the platform Owner's Manual.",
            "Severity": "Critical"
        },
        "UEFI0089": {
            "Description": "Incompatible x16 data bus width DIMM is installed on the memory slot identified in the message.",
            "Message": "Incompatible x16 data bus width DIMM is installed on memory slot: %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Remove the unsupported DIMM module from the identified memory slot and replace it with a supported module. For more information, see the platform Owner's Manual.",
            "Severity": "Critical"
        },
        "UEFI0090": {
            "Description": "A DIMM with an incompatible number of ranks is installed on the memory slot identified in the message.",
            "Message": "A DIMM with an incompatible number of ranks is installed on memory slot: %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Remove the unsupported DIMM module from the identified memory slot and replace it with a supported module. For more information, see the platform Owner's Manual.",
            "Severity": "Critical"
        },
        "UEFI0091": {
            "Description": "A Quad-Rank (QR) DIMM is installed on the memory slot identified in the message. QR DIMMs should be installed on the first DIMM slot in a channel if there is only one QR DIMM in the channel. QR DIMMs cannot be installed on the third slot of the channel.",
            "Message": "A Quad-Rank (QR) DIMM is installed on memory slot: %1. QR DIMMs should be installed on the first DIMM slot in a channel if there is only one QR DIMM in the channel. QR DIMMs cannot be installed on the third slot of the channel.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Install the QR DIMM in the correct channel. For more information, see the platform Owner's Manual.",
            "Severity": "Critical"
        },
        "UEFI0092": {
            "Description": "The number of DIMM ranks has exceeded the maximum allowed ranks per channel limit.",
            "Message": "The number of DIMM ranks has exceeded the maximum allowed ranks per channel limit.",
            "NumberOfArgs": 0,
            "Resolution": "Check the total number of ranks in each channel to make sure it does not exceed the maximum allowed limit. For more information, see the platform Owner's Manual.",
            "Severity": "Critical"
        },
        "UEFI0093": {
            "Description": "The DIMM installed on the memory slot identified in the message does not meet the minimum supported frequency.",
            "Message": "The DIMM installed on the memory slot: %1 does not meet the minimum supported frequency.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Remove all unsupported DIMM modules from the system. For more information, see the platform Owner's Manual.",
            "Severity": "Critical"
        },
        "UEFI0094": {
            "Description": "Unsupported Non-ECC memory module is installed on the memory slot identified in the message.",
            "Message": "Unsupported Non-ECC memory module is installed on memory slot: %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Remove all Non-ECC DIMMs and replace them with ECC DIMMs. For more information, see the platform Owner's Manual.",
            "Severity": "Critical"
        },
        "UEFI0095": {
            "Description": "A DIMM with unsupported voltage is installed on the memory slot identified in the message.",
            "Message": "A DIMM with unsupported voltage is installed on memory slot %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Remove the unsupported DIMM module and replace it with a DIMM with a supported voltage. For more information, see the platform Owner's Manual.",
            "Severity": "Critical"
        },
        "UEFI0096": {
            "Description": "The Advanced ECC memory operating mode cannot be enabled because the current DIMM population or system configuration does not support Advanced ECC mode.",
            "Message": "Unable to enable the Advanced ECC memory operating mode because the current DIMM population or system configuration does not support Advanced ECC mode.",
            "NumberOfArgs": 0,
            "Resolution": "Check DIMM population and system configuration to make sure Advanced ECC memory operating mode can be supported. For more information, see the platform Owner's Manual.",
            "Severity": "Warning"
        },
        "UEFI0097": {
            "Description": "The Advanced ECC memory operating mode cannot be enabled because of mismatches in the DIMM channel configurations.",
            "Message": "Unable to enable the Advanced ECC memory operating mode because of mismatches in the DIMM channel configurations.",
            "NumberOfArgs": 0,
            "Resolution": "Make sure identical memory modules in corresponding slots of channel pairs are populated. For more information, see the platform Owner's Manual.",
            "Severity": "Warning"
        },
        "UEFI0098": {
            "Description": "The memory Built-In Self-test (BIST) has detected one or more errors on the DIMM installed on memory slot: <slot number>. As a result, the corresponding DIMM has been disabled.",
            "Message": "The memory Built-In Self-test (BIST) has detected one or more errors on the DIMM installed on memory slot: %1. As a result, the corresponding DIMM has been disabled.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Replace the DIMM module identified in the message. For more information, see the platform Owner's Manual.",
            "Severity": "Critical"
        },
        "UEFI0099": {
            "Description": "The Memory Mirroring feature cannot be enabled because the current DIMM population or hardware configuration does not support the feature.",
            "Message": "Unable to enable the Memory Mirroring feature because the current DIMM population or hardware configuration does not support the feature.",
            "NumberOfArgs": 0,
            "Resolution": "Check the DIMM population and hardware configuration to make sure the Memory Mirroring feature can be supported. For more information, see platform Owner's Manual.",
            "Severity": "Warning"
        },
        "UEFI0100": {
            "Description": "The Memory Mirroring feature cannot be enabled because of mismatches in the DIMM channel configurations.",
            "Message": "Unable to enable the Memory Mirroring feature because of mismatches in the DIMM channel configurations.",
            "NumberOfArgs": 0,
            "Resolution": "Make sure identical memory modules in corresponding slots of channel pairs are populated. For more information, see the platform Owner's Manual.",
            "Severity": "Warning"
        },
        "UEFI0101": {
            "Description": "The total amount of installed memory has exceeded the amount supported by the platform.",
            "Message": "Total amount of installed memory has exceeded limit.",
            "NumberOfArgs": 0,
            "Resolution": "Remove memory modules from the system to reduce the total amount of installed memory. For more information on installed memory limit, see the platform Owner's Manual.",
            "Severity": "Warning"
        },
        "UEFI0102": {
            "Description": "The Memory Sparing feature cannot be enabled because the current DIMM population or hardware configuration does not support the feature.",
            "Message": "Unable to enable the Memory Sparing feature because the current DIMM population or hardware configuration does not support the feature.",
            "NumberOfArgs": 0,
            "Resolution": "Check the DIMM population and hardware configuration to make sure Memory Sparing feature can be supported. For more information, see the platform Owner's Manual.",
            "Severity": "Warning"
        },
        "UEFI0103": {
            "Description": "One or more memory initialization error have occurred on the memory slot identified in the message.",
            "Message": "One or more memory initialization errors have occurred on memory slot: %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Replace the faulty memory module identified in the message.",
            "Severity": "Warning"
        },
        "UEFI0104": {
            "Description": "The DIMM module on memory slot identified in the message is populated out of order in the channel.",
            "Message": "The DIMM module on memory slot %1 is populated out of order in the DIMM channel.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Install DIMM modules in sequential order without skipping any slots in the channel. For more information, see the platform Owner's Manual.",
            "Severity": "Warning"
        },
        "UEFI0105": {
            "Description": "The Cluster on Die (COD) feature cannot be enabled because of an unsupported memory configuration.",
            "Message": "Unable to enable the Cluster on Die (COD) feature because of an unsupported memory configuration.",
            "NumberOfArgs": 0,
            "Resolution": "Make sure to populate all memory channels in the system with a minimum of one DIMM per channel. For more information, see the platform Owner's Manual.",
            "Severity": "Warning"
        },
        "UEFI0106": {
            "Description": "One or more memory correctable training errors have occurred on the memory slot identified in the message.",
            "Message": "One or more memory correctable training errors have occurred on memory slot: %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Remove input power to the system, reseat the DIMM module and restart the system. If the correctable error persists, then replace the faulty memory module identified in the message.",
            "Severity": "Warning"
        },
        "UEFI0107": {
            "Description": "One or more memory errors have occurred on the memory slot identified in the message. The error occurred during Read DQ/DQS initialization.",
            "Message": "One or more memory errors have occurred on memory slot: %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Remove input power to the system, reseat the DIMM module and restart the system. If the issues persist, then replace the faulty memory module identified in the message.",
            "Severity": "Critical"
        },
        "UEFI0108": {
            "Description": "One or more memory errors have occurred on memory slot identified in the message. The error occurred during Read Receiving Enable initialization.",
            "Message": "One or more memory errors have occurred on memory slot: %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Remove input power to the system, reseat the DIMM module and restart the system. If the issues persist, then replace the faulty memory module identified in the message.",
            "Severity": "Critical"
        },
        "UEFI0109": {
            "Description": "One or more memory errors have occurred on memory slot identified in the message. The error occurred during write leveling initialization.",
            "Message": "One or more memory errors have occurred on memory slot: %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Remove input power to the system, reseat the DIMM module and restart the system. If the issues persist, then replace the faulty memory module identified in the message.",
            "Severity": "Critical"
        },
        "UEFI0110": {
            "Description": "One or more memory errors have occurred on memory slot identified in the message. The error occurred during Write DQ/DQS initialization.",
            "Message": "One or more memory errors have occurred on memory slot: %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Remove input power to the system, reseat the DIMM module and restart the system. If the issues persist, then replace the faulty memory module identified in the message.",
            "Severity": "Critical"
        },
        "UEFI0111": {
            "Description": "One or more memory errors have occurred on memory slot identified in the message. The error occurred during memory test.",
            "Message": "One or more memory errors have occurred on memory slot: %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Remove input power to the system, reseat the DIMM module and restart the system. If the issues persist, then replace the faulty memory module identified in the message.",
            "Severity": "Critical"
        },
        "UEFI0112": {
            "Description": "One or more memory errors have occurred on memory slot identified in the message. The error occurred during the LRDIMM interface initialization.",
            "Message": "One or more memory errors have occurred on memory slot: %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Remove input power to the system, reseat the DIMM module and restart the system. If the issues persist, then replace the faulty memory module identified in the message.",
            "Severity": "Critical"
        },
        "UEFI0113": {
            "Description": "The Fault Resilient Memory (FRM) feature cannot be enabled because the current DIMM population or hardware configuration does not support the feature.",
            "Message": "Unable to enable the Fault Resilient Memory (FRM) feature because the current DIMM population or hardware configuration does not support the feature.",
            "NumberOfArgs": 0,
            "Resolution": "Check the DIMM population and hardware configuration to make sure the Memory Mirroring feature can be supported. For more information, see the platform Owner's Manual.",
            "Severity": "Warning"
        },
        "UEFI0114": {
            "Description": "The Fault Resilient Memory (FRM) operating mode cannot be enabled because of mismatches in DIMM channel configurations.",
            "Message": "Unable to enable the Fault Resilient Memory (FRM) operating mode because of mismatches in DIMM channel configurations.",
            "NumberOfArgs": 0,
            "Resolution": "Make sure identical memory modules in corresponding slots of channel pairs are populated. For more information, see the platform Owner's Manual.",
            "Severity": "Warning"
        },
        "UEFI0115": {
            "Description": "The BIOS has recovered the Management Engine after it became unresponsive via the HECI interface. There is no performance degradation and the Management Engine is functioning normally now.",
            "Message": "The Management Engine firmware has recovered from one or more correctable errors.",
            "NumberOfArgs": 0,
            "Resolution": "The Management Engine is functioning normally now. No response action is required.",
            "Severity": "Informational"
        },
        "UEFI0116": {
            "Description": "One or more boot drivers have reported issue(s) via the UEFI Driver Health Protocol.",
            "Message": "One or more boot drivers have reported issue(s).",
            "NumberOfArgs": 0,
            "Resolution": "Check the Driver Health Menu in Boot Manager for details.",
            "Severity": "Warning"
        },
        "UEFI0117": {
            "Description": "Card identification signature is not present on Internal Dual Secure Digital Module (IDSDM) SD card 1.",
            "Message": "Card identification signature is not present on Internal Dual Secure Digital Module (IDSDM) SD card 1.",
            "NumberOfArgs": 0,
            "Resolution": "Do one of the following: 1) Check the IDSDM or the SD card media. 2) Try reseat or replace the SD card media. If the issue persists, contact your service provider.",
            "Severity": "Warning"
        },
        "UEFI0118": {
            "Description": "Card identification signature is not present on Internal Dual Secure Digital Module (IDSDM) SD card 2.",
            "Message": "Card identification signature is not present on Internal Dual Secure Digital Module (IDSDM) SD card 2.",
            "NumberOfArgs": 0,
            "Resolution": "Do one of the following: 1) Check the IDSDM or the SD card media. 2) Try reseat or replace the SD card media. If the issue persists, contact your service provider.",
            "Severity": "Warning"
        },
        "UEFI0119": {
            "Description": "Internal Dual Secure Digital Module (IDSDM) RAID redundancy was lost. The system BIOS should have prompted the user for the rebuild process.",
            "Message": "The Internal Dual Secure Digital Module (IDSDM) RAID redundancy was lost.",
            "NumberOfArgs": 0,
            "Resolution": "No additional response action is required if you have followed the instructions on the screen to start the rebuild process.",
            "Severity": "Warning"
        },
        "UEFI0120": {
            "Description": "Both of the Internal Dual Secure Digital Module (IDSDM) SD card media are missing, or not responding.",
            "Message": "Both of the Internal Dual Secure Digital Module (IDSDM) SD card media are missing, or not responding.",
            "NumberOfArgs": 0,
            "Resolution": "Make sure both the SD card media are properly installed and retry the system start up. If the issue persists, replace the SD card media.",
            "Severity": "Warning"
        },
        "UEFI0121": {
            "Description": "The primary SD card is missing, not responding, or in write-protected mode.",
            "Message": "The primary SD card is missing, not responding, or in write-protected mode.",
            "NumberOfArgs": 0,
            "Resolution": "Do one of the following: 1) Install a SD card media in the primary SD card slot. 2) Reseat or replace the SD card media. 3) If write-protected mode is expected, then no response action is required.",
            "Severity": "Warning"
        },
        "UEFI0122": {
            "Description": "The secondary SD card is missing, not responding, or in write-protected mode.",
            "Message": "The secondary SD card is missing, not responding, or in write-protected mode.",
            "NumberOfArgs": 0,
            "Resolution": "Do one of the following: 1) Install a SD card media in the secondary SD card slot. 2) Reseat or replace the SD card media. 3) If the secondary SD card is intentionally not installed or write-protected mode is expected, then no response action is required.",
            "Severity": "Warning"
        },
        "UEFI0123": {
            "Description": "The secondary SD card has now become the primary SD card.",
            "Message": "The secondary SD card has now become the primary SD card.",
            "NumberOfArgs": 0,
            "Resolution": "Check the screen display or the Lifecycle Log for prior messages. If the switch is expected, then no response action is required.",
            "Severity": "Informational"
        },
        "UEFI0124": {
            "Description": "The size and speed of the primary SD card do not match those of the secondary SD card. The secondary SD card needs to have equal or greater capacity and speed than the primary SD card.",
            "Message": "The size and speed of the secondary SD card do not match those of the primary SD card.",
            "NumberOfArgs": 0,
            "Resolution": "Replace the secondary SD card with one that has equal or greater capacity and speed than the primary SD card.",
            "Severity": "Warning"
        },
        "UEFI0125": {
            "Description": "Unable to finish The Internal Dual Secure Digital Module (IDSDM) image rebuild process because of issues.",
            "Message": "Unable to finish The Internal Dual Secure Digital Module (IDSDM) image rebuild process because of issues.",
            "NumberOfArgs": 0,
            "Resolution": "Do one of the following: 1) Reseat or replace the SD card media. 2) Update the iDRAC firmware. Restart the system and retry the operation. If the issue persists, contact your service provider.",
            "Severity": "Critical"
        },
        "UEFI0126": {
            "Description": "The primary SD card is in write-protected mode.",
            "Message": "The primary SD card is in write-protected mode.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required if this is intentional.",
            "Severity": "Informational"
        },
        "UEFI0127": {
            "Description": "The secondary SD card is write-protected mode.",
            "Message": "The secondary SD card is in write-protected mode.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required if this is intentional.",
            "Severity": "Informational"
        },
        "UEFI0128": {
            "Description": "Both the primary and secondary SD cards are in write-protected mode.",
            "Message": "Both the primary and secondary SD cards are in write-protected mode.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required if this is intentional.",
            "Severity": "Informational"
        },
        "UEFI0129": {
            "Description": "The Internal Dual Secure Digital Module (IDSDM) has encountered an unknown issue. This may be because new error codes are coming from the IDSDM firmware and the system BIOS or the iDRAC firmware need to be updated to process correctly.",
            "Message": "The Internal Dual Secure Digital Module (IDSDM) has encountered an unknown issue.",
            "NumberOfArgs": 0,
            "Resolution": "Do one of the following: 1) Update the system BIOS. 2) Update the iDRAC firmware. 3) Reseat or replace the SD card media. Restart the system and retry the operation. If the issue persists, contact your service provider.",
            "Severity": "Warning"
        },
        "UEFI0130": {
            "Description": "The system time and data are invalid.",
            "Message": "The system time and date are invalid.",
            "NumberOfArgs": 0,
            "Resolution": "Go to the System Setup to set the current time and date.",
            "Severity": "Warning"
        },
        "UEFI0131": {
            "Description": "Unable to load one or more option ROMs because of insufficient shadow memory. The option ROM shadow memory is located between C0000h and F0000h.",
            "Message": "Unable to load one or more option ROMs because of insufficient shadow memory.",
            "NumberOfArgs": 0,
            "Resolution": "Do one of the following: 1) Remove unused PCIe card(s) to free up option ROM space. 2) Disable unused boot protocol instances (such as PXE, iSCSI, etc.) from applicable PCIe card(s) option ROM configurations. 3) If possible, install and run the Operating System in UEFI boot mode.",
            "Severity": "Warning"
        },
        "UEFI0132": {
            "Description": "Unable to load one or more option ROMs because of insufficient base memory. The base memory is memory below 640K.",
            "Message": "Unable to load one or more option ROMs because of insufficient base memory.",
            "NumberOfArgs": 0,
            "Resolution": "Do one of the following: 1) Remove unused PCIe card(s) to free up option ROM space. 2) Disable unused boot protocol instances (such as PXE, iSCSI, etc.) from applicable PCIe card(s) option ROM configurations. 3) If possible, install and run the Operating System in UEFI boot mode.",
            "Severity": "Warning"
        },
        "UEFI0133": {
            "Description": "Unable to perform PXE boot because the VLAN settings conflict with that of the iSCSI device settings.",
            "Message": "Unable to perform PXE boot because the VLAN settings conflict with that of the iSCSI device settings.",
            "NumberOfArgs": 0,
            "Resolution": "Do one of the following: 1) Go to System Setup and change the VLAN configuration for the PXE device to match that of the iSCSI device. Either both devices must be configured with VLAN enabled or both devices must be configured with VLAN disabled. 2) Change the PXE device interface setting to use a different NIC interface than the NIC interface used by the iSCSI device.",
            "Severity": "Warning"
        },
        "UEFI0134": {
            "Description": "Unable to allocate Memory Mapped Input Output (MMIO) resources for one or more PCIe devices because of insufficient MMIO memory.",
            "Message": "Unable to allocate Memory Mapped Input Output (MMIO) resources for one or more PCIe devices because of insufficient MMIO memory.",
            "NumberOfArgs": 0,
            "Resolution": "Do one of the following: 1) Remove unused PCIe card(s) to free up MMIO space. 2) Go to System Setup and enable the 'Memory Mapped I/O above 4GB' option.",
            "Severity": "Warning"
        },
        "UEFI0135": {
            "Description": "The CSIOR (Collect System Inventory on Restart) operation cannot be executed because the Lifecycle Controller (LC) firmware was not accessible. This issue is caused by LC partition attach issues.",
            "Message": "Unable to execute CSIOR (Collect System Inventory on Restart) because the Lifecycle Controller (LC) firmware was not accessible.",
            "NumberOfArgs": 0,
            "Resolution": "Do one of the following: 1) Restart the system and retry the operation. 2) Update the iDRAC firmware. If the issue persists, contact your service provider.",
            "Severity": "Warning"
        },
        "UEFI0136": {
            "Description": "The CSIOR (Collect System Inventory on Restart) operation cannot be executed because the Lifecycle Controller (LC) firmware was not accessible. This issue is caused by missing LC partitions.",
            "Message": "Unable to execute CSIOR (Collect System Inventory on Restart) because the Lifecycle Controller (LC) firmware was not accessible.",
            "NumberOfArgs": 0,
            "Resolution": "Do one of the following: 1) Restart the system and retry the operation. 2) Update the iDRAC firmware. If the issue persists, contact your service provider.",
            "Severity": "Warning"
        },
        "UEFI0137": {
            "Description": "The CSIOR (Collect System Inventory on Restart) operation cannot be executed because the Lifecycle Controller (LC) firmware was not accessible. This issue is caused by missing LC files.",
            "Message": "Unable to execute CSIOR (Collect System Inventory on Restart) because the Lifecycle Controller (LC) firmware was not accessible.",
            "NumberOfArgs": 0,
            "Resolution": "Do one of the following: 1) Restart the system and retry the operation. 2) Update the iDRAC firmware. If the issue persists, contact your service provider.",
            "Severity": "Warning"
        },
        "UEFI0138": {
            "Description": "The CSIOR (Collect System Inventory on Restart) operation cannot be executed because the Lifecycle Controller (LC) firmware is unable to complete a requested task or function.",
            "Message": "Unable to execute CSIOR (Collect System Inventory on Restart) because the Lifecycle Controller (LC) firmware was unable to complete a requested task or function.",
            "NumberOfArgs": 0,
            "Resolution": "Do one of the following: 1) Restart the system and retry the operation. 2) Update the iDRAC firmware. If the issue persists, contact your service provider.",
            "Severity": "Warning"
        },
        "UEFI0139": {
            "Description": "The System Service Mode (SSM) cannot be entered because the Lifecycle Controller (LC) firmware was not accessible. This situation is caused by LC partition attach issues.",
            "Message": "Unable to enter System Service Mode (SSM) because the Lifecycle Controller (LC) firmware was not accessible.",
            "NumberOfArgs": 0,
            "Resolution": "Do one of the following: 1) Restart the system and retry the operation. 2) Update the iDRAC firmware. If the issue persists, contact your service provider.",
            "Severity": "Warning"
        },
        "UEFI0140": {
            "Description": "The System Service Mode (SSM) cannot be entered because the Lifecycle Controller (LC) firmware was not accessible. This situation is caused by missing LC partitions.",
            "Message": "Unable to enter System Service Mode (SSM) because the Lifecycle Controller (LC) firmware was not accessible.",
            "NumberOfArgs": 0,
            "Resolution": "Do one of the following: 1) Restart the system and retry the operation. 2) Update the iDRAC firmware. If the issue persists, contact your service provider.",
            "Severity": "Warning"
        },
        "UEFI0141": {
            "Description": "The System Service Mode (SSM) cannot be entered because the Lifecycle Controller (LC) firmware was not accessible. This situation is caused by missing LC files.",
            "Message": "Unable to enter System Service Mode (SSM) because the Lifecycle Controller (LC) firmware was not accessible.",
            "NumberOfArgs": 0,
            "Resolution": "Do one of the following: 1) Restart the system and retry the operation. 2) Update the iDRAC firmware. If the issue persists, contact your service provider.",
            "Severity": "Warning"
        },
        "UEFI0142": {
            "Description": "The System Service Mode (SSM) cannot be entered because the Lifecycle Controller (LC) firmware was unable to complete a requested task or function.",
            "Message": "Unable to enter System Service Mode (SSM) because the Lifecycle Controller (LC) firmware was unable to complete a requested task or function.",
            "NumberOfArgs": 0,
            "Resolution": "Do one of the following: 1) Restart the system and retry the operation. 2) Update the iDRAC firmware. If the issue persists, contact your service provider.",
            "Severity": "Warning"
        },
        "UEFI0143": {
            "Description": "Unsupported processor(s) are installed.",
            "Message": "Unsupported processor(s) are installed.",
            "NumberOfArgs": 0,
            "Resolution": "Replace the processor(s) with supported ones. For more information about supported processors, contact your service provider.",
            "Severity": "Critical"
        },
        "UEFI0144": {
            "Description": "One or more memory errors have occurred on memory slot identified in the message. The error happens during the identification of memory module type or memory size.",
            "Message": "One or more memory errors have occurred on memory slot: %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Remove input power to the system, reseat the DIMM module and restart the system. If the issues persist, replace the faulty memory module identified in the message.",
            "Severity": "Critical"
        },
        "UEFI0145": {
            "Description": "The Trusted Platform Module (TPM) installed on this system is not supported.",
            "Message": "The Trusted Platform Module (TPM) installed on this system is not supported.",
            "NumberOfArgs": 0,
            "Resolution": "Do one of the following: 1) Update the BIOS firmware. 2) Replace the TPM with a supported one. If the issue persists, contact your service provider.",
            "Severity": "Warning"
        },
        "UEFI0146": {
            "Description": "Unable to verify the chassis type via iDRAC and CMC. System configuration may be incorrect as a result.",
            "Message": "Unable to verify the chassis type via iDRAC and CMC. System configuration may be incorrect as a result.",
            "NumberOfArgs": 0,
            "Resolution": "Do one of the following: 1) Restart the system. 2) Update the iDRAC firmware and then restart the system. If the issue persists, contact your service provider.",
            "Severity": "Warning"
        },
        "UEFI0147": {
            "Description": "The system hardware or cabling configuration is invalid.",
            "Message": "The system hardware or cabling configuration is invalid.",
            "NumberOfArgs": 0,
            "Resolution": "Do the following: 1) Make sure the system cables, risers, and CPU configuration are installed correctly. 2) Reseat each PCIe riser and reconnect the cables. For more information, see the system Owner's Manual.",
            "Severity": "Critical"
        },
        "UEFI0148": {
            "Description": "The SAS cable for the primary SAS expander daughter card is missing or misconfigured.",
            "Message": "The SAS cable %1 for the primary SAS expander daughter card is missing or misconfigured.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Check the cable configuration. For more information, see the platform Owner's Manual.",
            "Severity": "Critical"
        },
        "UEFI0149": {
            "Description": "The PERC storage adapter identified in this message is not supported by the installed storage backplane.",
            "Message": "The PERC storage adapter in %1 is not supported by the installed storage backplane.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Install a compatible storage adapter. For more information, see the platform Owner's Manual.",
            "Severity": "Critical"
        },
        "UEFI0150": {
            "Description": "The system has detected a storage backplane that is not supported in this system or configuration. The backplanes functionality may be degraded or disabled.",
            "Message": "The system has detected a storage backplane that is not supported in this system or configuration. The backplanes functionality may be degraded or disabled.",
            "NumberOfArgs": 0,
            "Resolution": "Install a supported backplane configuration. For more information, see the platform Owner's Manual.",
            "Severity": "Critical"
        },
        "UEFI0151": {
            "Description": "A PERC storage adapter is installed in a slot identified by this message but the internal storage slot is empty This configuration is not supported.",
            "Message": "A PERC storage adapter is installed in %1 but the internal storage slot is empty. This configuration is not supported.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Install a compatible storage adapter in the internal storage slot. For more information, see the platform Owner's Manual.",
            "Severity": "Critical"
        },
        "UEFI0152": {
            "Description": "This is a test BIOS and must not be used in production environment.",
            "Message": "This BIOS is for testing purpose only.",
            "NumberOfArgs": 0,
            "Resolution": "Do not use this BIOS in production.",
            "Severity": "Warning"
        },
        "UEFI0153": {
            "Description": "Unable to find the Dell Processor Acceleration Technology 2.0 (DPAT 2.0) Enterprise license. Related DPAT 2.0 BIOS settings will be lost if the license is not found in three consecutive reboots.",
            "Message": "Unable to find the Dell Processor Acceleration Technology (DPAT) Enterprise license. Related DPAT BIOS settings will be lost if the license is not found in three consecutive reboots.",
            "NumberOfArgs": 0,
            "Resolution": "Do one of the following: 1) Reload the license. 2) Remove input power from the system, wait for 30 seconds, and re-apply input power. Turn on the system. 3) Update the iDRAC firmware.",
            "Severity": "Critical"
        },
        "UEFI0154": {
            "Description": "Unable to find the Dell Processor Acceleration Technology (DPAT) Enterprise license after three consecutive boots. The Dell Controlled Turbo BIOS setup configuration is being reverted to default because of the absent license.",
            "Message": "Unable to find the Dell Processor Acceleration Technology (DPAT) Enterprise license after three consecutive boots. The Dell Controlled Turbo BIOS setup configuration is being reverted to default because of the absent license.",
            "NumberOfArgs": 0,
            "Resolution": "If the absence of license is expected, no action is necessary. Otherwise do one of the following: 1) Reload the license. 2) Remove input power from the system, wait for 30 seconds, and re-apply input power. Turn on the system. 3) Update the iDRAC firmware.",
            "Severity": "Critical"
        },
        "UEFI0155": {
            "Description": "Unable to find the Dell Processor Acceleration Technology (DPAT) Enterprise license after three consecutive boots. The Number of Cores per Processor BIOS setup configuration is being reverted to default because of the absent license.",
            "Message": "Unable to find the Dell Processor Acceleration Technology (DPAT) Enterprise license after three consecutive boots. The Number of Cores per Processor BIOS setup configuration is being reverted to default because of the absent license.",
            "NumberOfArgs": 0,
            "Resolution": "If the absence of license is expected, no action is necessary. Otherwise do one of the following: 1) Reload the license. 2) Remove input power from the system, wait for 30 seconds, and re-apply input power. Turn on the system. 3) Update the iDRAC firmware.",
            "Severity": "Critical"
        },
        "UEFI0156": {
            "Description": "Unable to find the Dell Processor Acceleration Technology (DPAT) Enterprise license in three consecutive boots. The Number of Cores per Processor and the Dell Controlled Turbo BIOS setup options are being reverted to default because of the absent license.",
            "Message": "Unable to find the Dell Processor Acceleration Technology (DPAT) Enterprise license in three consecutive boots. The Number of Cores per Processor and the Dell Controlled Turbo BIOS setup options are being reverted to default because of the absent license.",
            "NumberOfArgs": 0,
            "Resolution": "If the absence of license is expected, no action is necessary. Otherwise do one of the following: 1) Reload the license. 2) Remove input power from the system, wait for 30 seconds, and re-apply input power. Turn on the system. 3) Update the iDRAC firmware.",
            "Severity": "Critical"
        },
        "UEFI0157": {
            "Description": "The request to reset BIOS to default settings is successfully completed.",
            "Message": "The iDRAC request to reset BIOS to default settings is successfully completed.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "UEFI0158": {
            "Description": "The iDRAC request to reset BIOS to default settings cannot be completed.",
            "Message": "Unable to complete the iDRAC request to reset BIOS to default settings.",
            "NumberOfArgs": 0,
            "Resolution": "Restart the system and retry the operation. If the issue persists, contact your service provider.",
            "Severity": "Warning"
        },
        "UEFI0159": {
            "Description": "Unsupported 4Gb technology DIMM module is installed on the memory slot identified in the message.",
            "Message": "Unsupported Unregistered Dual In-line Memory Module (UDIMM) memory is installed on memory slot: %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Remove the unsupported DIMM module from the identified memory slot and replace it with a supported module. For more information, see the platform Owner's Manual.",
            "Severity": "Critical"
        },
        "UEFI0160": {
            "Description": "The number of DIMM ranks has exceeded the maximum allowed ranks per channel limit.",
            "Message": "The number of DIMM ranks has exceeded the maximum allowed ranks per channel limit on memory slots: %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Check the total number of ranks in the channel to make sure it does not exceed the maximum allowed limit. For more information, see the platform Owner's Manual.",
            "Severity": "Critical"
        },
        "UEFI0161": {
            "Description": "An unsupported DIMM population has been detected on memory slots identified by this message.",
            "Message": "An unsupported DIMM population has been detected on memory slots: %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Remove all unsupported DIMM modules from the system. For more information, see the platform Owner's Manual.",
            "Severity": "Critical"
        },
        "UEFI0162": {
            "Description": "An incompatibility has been detected between an installed memory buffer and the downstream DDR channel design.",
            "Message": "A 3 DIMM Per Channel (DPC) configuration has been detected on a 2 DPC memory buffer.",
            "NumberOfArgs": 0,
            "Resolution": "Contact your service provider.",
            "Severity": "Critical"
        },
        "UEFI0163": {
            "Description": "Unsupported DIMM module with technology less than 2Gb is installed on the memory slot identified in the message.",
            "Message": "Unsupported DIMM module with less than 2Gb technology is installed on memory slot: %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Remove the unsupported DIMM module from the identified memory slot and replace it with a supported module. For more information, see the platform Owner's Manual.",
            "Severity": "Critical"
        },
        "UEFI0164": {
            "Description": "The Advanced ECC memory operating mode cannot be enabled because of mismatches in the DIMM channel configurations.",
            "Message": "Unable to enable the Advanced ECC memory operating mode because of mismatches in the DIMM channel configurations on memory slots: %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Make sure identical memory modules in corresponding slots of channel pairs are populated. For more information, see the platform Owner's Manual.",
            "Severity": "Critical"
        },
        "UEFI0165": {
            "Description": "Memory could not be interleaved because the number of allowable System Address Decode (SAD) rules exceeded during memory initialization.",
            "Message": "Unable to configure memory interleaving on DIMM modules on memory slots: %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Check the DIMM population and hardware configuration to make sure interleaving can be supported. For more information, see the platform Owner's Manual.",
            "Severity": "Critical"
        },
        "UEFI0166": {
            "Description": "Memory could not be interleaved because the number of allowable Target Address Decode (TAD) rules exceeded during memory initialization.",
            "Message": "Unable to configure memory interleaving on DIMM modules on memory slots: %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Check the DIMM population and hardware configuration to make sure interleaving can be supported. For more information, see the platform Owner's Manual.",
            "Severity": "Critical"
        },
        "UEFI0167": {
            "Description": "Memory could not be interleaved because the number of allowable Rank Interleave Register (RIR) rules exceeded during memory initialization.",
            "Message": "Unable to configure memory interleaving on DIMM modules on memory slots: %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Check the DIMM population and hardware configuration to make sure interleaving can be supported. For more information, see the platform Owner's Manual.",
            "Severity": "Critical"
        },
        "UEFI0168": {
            "Description": "Memory could not be interleaved because a negative Target Address Decode (TAD) offset was calculated during memory initialization.",
            "Message": "Unable to configure memory interleaving on DIMM modules on memory slots: %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Check the DIMM population and hardware configuration to make sure interleaving can be supported. For more information, see the platform Owner's Manual.",
            "Severity": "Critical"
        },
        "UEFI0169": {
            "Description": "Memory could not be interleaved because low memory (i.e. memory below the 4GB boundary) cannot be split evenly across processor sockets during memory initialization.",
            "Message": "Unable to configure memory interleaving on DIMM modules on memory slots: %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Check the DIMM population and hardware configuration to make sure interleaving can be supported. For more information, see the platform Owner's Manual.",
            "Severity": "Critical"
        },
        "UEFI0170": {
            "Description": "Memory could not be interleaved because of an attempt to simultaneously configure incompatible A7 mode and Target Address Decode (TAD) 3-way interleave during memory initialization.",
            "Message": "Unable to configure memory interleaving on DIMM modules on memory slots: %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Check the DIMM population and hardware configuration to make sure interleaving can be supported. For more information, see the platform Owner's Manual.",
            "Severity": "Critical"
        },
        "UEFI0171": {
            "Description": "A memory population violation has been detected on the identified DIMM slot.",
            "Message": "A Dual Rank DIMM module is installed on memory slot %1 after a Single Rank DIMM module.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Dual Rank DIMM modules must be installed before Single Rank DIMM modules on the channel. Populate memory modules in a supported configuration. For more information, see the platform Owner's Manual.",
            "Severity": "Critical"
        },
        "UEFI0172": {
            "Description": "A memory population violation has been detected on the identified DIMM slot.",
            "Message": "A Quad Rank DIMM module is installed on memory slot %1 after a Single Rank DIMM module.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Quad Rank DIMM modules must be installed before Single Rank DIMM modules on the channel. Populate memory modules in a supported configuration. For more information, see the platform Owner's Manual.",
            "Severity": "Critical"
        },
        "UEFI0173": {
            "Description": "A memory population violation has been detected on the identified DIMM slot.",
            "Message": "A Quad Rank DIMM module is installed on memory slot %1 after a Dual Rank DIMM module.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Quad Rank DIMM modules must be installed before Dual Rank DIMM modules on the channel. Populate memory modules in a supported configuration. For more information, see the platform Owner's Manual.",
            "Severity": "Critical"
        },
        "UEFI0174": {
            "Description": "A memory population violation has been detected on the identified DIMM slot.",
            "Message": "A Quad Rank DIMM module is installed on memory slot %1 after an Octal Rank DIMM module.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Quad Rank and Octal Rank DIMM modules cannot be mixed on a channel. Populate memory modules in a supported configuration. For more information, see the platform Owner's Manual.",
            "Severity": "Critical"
        },
        "UEFI0175": {
            "Description": "A memory population violation has been detected on the identified DIMM slot.",
            "Message": "A Octal Rank DIMM module is installed on memory slot %1 after a Quad Rank DIMM module.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Quad Rank and Octal Rank DIMM modules cannot be mixed on a channel. Populate memory modules in a supported configuration. For more information, see the platform Owner's Manual.",
            "Severity": "Critical"
        },
        "UEFI0176": {
            "Description": "A memory population violation has been detected on the identified DIMM slots.",
            "Message": "Multiple Quad Rank DIMM modules are installed on a DDR channel. Refer to DIMM modules on memory slots: %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Only a single Quad Rank DIMM module can be installed on a channel. Populate memory modules in a supported configuration. For more information, see the platform Owner's Manual.",
            "Severity": "Critical"
        },
        "UEFI0177": {
            "Description": "A memory population violation has been detected on the identified DIMM slot.",
            "Message": "A DIMM module is installed on memory slot %1 after a Quad Rank DIMM module.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Only a single Quad Rank DIMM module can be installed on a channel. Populate memory modules in a supported configuration. For more information, see the platform Owner's Manual.",
            "Severity": "Critical"
        },
        "UEFI0178": {
            "Description": "One or more memory correctable training errors have occurred on the memory slot identified in the message. A corrected Read DQ/DQS error was detected.",
            "Message": "One or more memory correctable training errors have occurred on memory slot: %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Do the following: 1) Remove input power to the system, 2) Reseat the DIMM module and 3) Restart the system. If the correctable error persists, then replace the faulty memory module identified in the message.",
            "Severity": "Warning"
        },
        "UEFI0179": {
            "Description": "One or more memory correctable training errors have occurred on the memory slot identified in the message. A corrected Read Receive Enable error was detected.",
            "Message": "One or more memory correctable training errors have occurred on memory slot: %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Do the following: 1) Remove input power to the system, 2) Reseat the DIMM module and 3) Restart the system. If the correctable error persists, then replace the faulty memory module identified in the message.",
            "Severity": "Warning"
        },
        "UEFI0180": {
            "Description": "One or more memory correctable training errors have occurred on the memory slot identified in the message. A corrected Write Leveling error was detected.",
            "Message": "One or more memory correctable training errors have occurred on memory slot: %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Do the following: 1) Remove input power to the system, 2) Reseat the DIMM module and 3) Restart the system. If the correctable error persists, then replace the faulty memory module identified in the message.",
            "Severity": "Warning"
        },
        "UEFI0181": {
            "Description": "One or more memory correctable training errors have occurred on the memory slot identified in the message. A corrected Write DQ/DQS error was detected.",
            "Message": "One or more memory correctable training errors have occurred on memory slot: %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Do the following: 1) Remove input power to the system, 2) Reseat the DIMM module and 3) Restart the system. If the correctable error persists, then replace the faulty memory module identified in the message.",
            "Severity": "Warning"
        },
        "UEFI0182": {
            "Description": "One or more memory correctable training errors have occurred on the memory slot identified in the message. A corrected Early Vref Centering error was detected.",
            "Message": "One or more memory correctable training errors have occurred on memory slot: %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Do the following: 1) Remove input power to the system, 2) Reseat the DIMM module and 3) Restart the system. If the correctable error persists, then replace the faulty memory module identified in the message.",
            "Severity": "Warning"
        },
        "UEFI0183": {
            "Description": "One or more memory errors have occurred on memory slot identified in the message. The error occurred during Early Vref Centering initialization.",
            "Message": "One or more memory errors have occurred on memory slot: %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Do the following: 1) Remove input power to the system, 2) Reseat the DIMM module and 3) Restart the system. If the issue persists, then replace the faulty memory module identified in the message.",
            "Severity": "Critical"
        },
        "UEFI0184": {
            "Description": "One or more memory errors have occurred on memory slot identified in the message. The error occurred during Load Reduced DIMM (LR-DIMM) buffer initialization.",
            "Message": "One or more memory errors have occurred on memory slot: %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Do the following: 1) Remove input power to the system, 2) Reseat the DIMM module and 3) Restart the system. If the issue persists, then replace the faulty memory module identified in the message.",
            "Severity": "Critical"
        },
        "UEFI0185": {
            "Description": "A Load-Reduced DIMM (LR-DIMM) buffer initialization failure was detected during memory initialization.",
            "Message": "Load Reduced DIMM (LR-DIMM) training errors have occurred on memory riser %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Do the following: 1) Remove input power to the system, 2) Reseat the memory riser and 3) Restart the system. For more information, see the platform Owner's Manual.",
            "Severity": "Critical"
        },
        "UEFI0186": {
            "Description": "An error occurred during Scalable Memory Interconnect initialization during the DC Detection phase.",
            "Message": "An error occurred during Scalable Memory Interconnect (SMI) initialization on memory riser %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Do the following: 1) Remove input power to the system, 2) Reseat the memory riser and 3) Restart the system. For more information, see the platform Owner's Manual.",
            "Severity": "Critical"
        },
        "UEFI0187": {
            "Description": "An error occurred during Scalable Memory Interconnect initialization during the Clock Detection phase.",
            "Message": "An error occurred during Scalable Memory Interconnect (SMI) initialization on memory riser %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Do the following: 1) Remove input power to the system, 2) Reseat the memory riser and 3) Restart the system. For more information, see the platform Owner's Manual.",
            "Severity": "Critical"
        },
        "UEFI0188": {
            "Description": "An error occurred during Scalable Memory Interconnect initialization during the Host Impedance phase.",
            "Message": "An error occurred during Scalable Memory Interconnect (SMI) initialization on memory riser %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Do the following: 1) Remove input power to the system, 2) Reseat the memory riser and 3) Restart the system. For more information, see the platform Owner's Manual.",
            "Severity": "Critical"
        },
        "UEFI0189": {
            "Description": "An error occurred during Scalable Memory Interconnect initialization during the Transmit DQS DCC phase.",
            "Message": "An error occurred during Scalable Memory Interconnect (SMI) initialization on memory riser %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Do the following: 1) Remove input power to the system, 2) Reseat the memory riser and 3) Restart the system. For more information, see the platform Owner's Manual.",
            "Severity": "Critical"
        },
        "UEFI0190": {
            "Description": "An error occurred during Scalable Memory Interconnect initialization during the Clock DCC Training phase.",
            "Message": "An error occurred during Scalable Memory Interconnect (SMI) initialization on memory riser %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Do the following: 1) Remove input power to the system, 2) Reseat the memory riser and 3) Restart the system. For more information, see the platform Owner's Manual.",
            "Severity": "Critical"
        },
        "UEFI0191": {
            "Description": "An error occurred during Scalable Memory Interconnect initialization during the VCK Reference Clock phase.",
            "Message": "An error occurred during Scalable Memory Interconnect (SMI) initialization on memory riser %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Do the following: 1) Remove input power to the system, 2) Reseat the memory riser and 3) Restart the system. For more information, see the platform Owner's Manual.",
            "Severity": "Critical"
        },
        "UEFI0192": {
            "Description": "An error occurred during Scalable Memory Interconnect initialization during the Clock Alignment phase.",
            "Message": "An error occurred during Scalable Memory Interconnect (SMI) initialization on memory riser %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Do the following: 1) Remove input power to the system, 2) Reseat the memory riser and 3) Restart the system. For more information, see the platform Owner's Manual.",
            "Severity": "Critical"
        },
        "UEFI0193": {
            "Description": "An error occurred during Scalable Memory Interconnect initialization during the Coarse Command Training phase.",
            "Message": "An error occurred during Scalable Memory Interconnect (SMI) initialization on memory riser %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Do the following: 1) Remove input power to the system, 2) Reseat the memory riser and 3) Restart the system. For more information, see the platform Owner's Manual.",
            "Severity": "Critical"
        },
        "UEFI0194": {
            "Description": "An error occurred during Scalable Memory Interconnect initialization during the Fine Command Training phase.",
            "Message": "An error occurred during Scalable Memory Interconnect (SMI) initialization on memory riser %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Do the following: 1) Remove input power to the system, 2) Reseat the memory riser and 3) Restart the system. For more information, see the platform Owner's Manual.",
            "Severity": "Critical"
        },
        "UEFI0195": {
            "Description": "An error occurred during Scalable Memory Interconnect initialization during the Read Training phase.",
            "Message": "An error occurred during Scalable Memory Interconnect (SMI) initialization on memory riser %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Do the following: 1) Remove input power to the system, 2) Reseat the memory riser and 3) Restart the system. For more information, see the platform Owner's Manual.",
            "Severity": "Critical"
        },
        "UEFI0196": {
            "Description": "An error occurred during Scalable Memory Interconnect initialization during the Error Training phase.",
            "Message": "An error occurred during Scalable Memory Interconnect (SMI) initialization on memory riser %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Do the following: 1) Remove input power to the system, 2) Reseat the memory riser and 3) Restart the system. For more information, see the platform Owner's Manual.",
            "Severity": "Critical"
        },
        "UEFI0197": {
            "Description": "An error occurred during Scalable Memory Interconnect initialization during the Read Level Coarse Training phase.",
            "Message": "An error occurred during Scalable Memory Interconnect (SMI) initialization on memory riser %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Do the following: 1) Remove input power to the system, 2) Reseat the memory riser and 3) Restart the system. For more information, see the platform Owner's Manual.",
            "Severity": "Critical"
        },
        "UEFI0198": {
            "Description": "An error occurred during Scalable Memory Interconnect initialization during the Read Level Fine Training phase.",
            "Message": "An error occurred during Scalable Memory Interconnect (SMI) initialization on memory riser %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Do the following: 1) Remove input power to the system, 2) Reseat the memory riser and 3) Restart the system. For more information, see the platform Owner's Manual.",
            "Severity": "Critical"
        },
        "UEFI0199": {
            "Description": "An error occurred during Scalable Memory Interconnect initialization during the Write Level Fine Training phase.",
            "Message": "An error occurred during Scalable Memory Interconnect (SMI) initialization on memory riser %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Do the following: 1) Remove input power to the system, 2) Reseat the DIMM module and 3) Restart the system. If the issue persists, then replace the faulty memory module identified in the message.",
            "Severity": "Critical"
        },
        "UEFI0200": {
            "Description": "An error occurred during Scalable Memory Interconnect initialization during the Write Level Coarse Training phase.",
            "Message": "An error occurred during Scalable Memory Interconnect (SMI) initialization on memory riser %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Do the following: 1) Remove input power to the system, 2) Reseat the DIMM module and 3) Restart the system. If the issue persists, then replace the faulty memory module identified in the message.",
            "Severity": "Critical"
        },
        "UEFI0201": {
            "Description": "An error occurred during Scalable Memory Interconnect initialization during the Write Training phase.",
            "Message": "An error occurred during Scalable Memory Interconnect (SMI) initialization on memory riser %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Do the following: 1) Remove input power to the system, 2) Reseat the DIMM module and 3) Restart the system. If the issue persists, then replace the faulty memory module identified in the message.",
            "Severity": "Critical"
        },
        "UEFI0202": {
            "Description": "An error occurred during Scalable Memory Interconnect initialization during the Health Check phase.",
            "Message": "An error occurred during Scalable Memory Interconnect (SMI) initialization on memory riser %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Do the following: 1) Remove input power to the system, 2) Reseat the DIMM module and 3) Restart the system. If the issue persists, then replace the faulty memory module identified in the message.",
            "Severity": "Critical"
        },
        "UEFI0203": {
            "Description": "A failing memory buffer has been identified on the memory riser identified in the message.",
            "Message": "A failing memory buffer has been detected during Scalable Memory Interconnect (SMI) initialization on memory riser %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Do the following: 1) Remove input power to the system, 2) Reseat the DIMM module and 3) Restart the system. If the issue persists, then replace the faulty memory module identified in the message.",
            "Severity": "Critical"
        },
        "UEFI0204": {
            "Description": "An error occurred during DDR memory initialization during the Clock Training FIFO Reset phase.",
            "Message": "An error occurred during DDR memory channel initialization on memory slots: %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Do the following: 1) Remove input power to the system, 2) Reseat the DIMM module and 3) Restart the system. If the issue persists, then replace the faulty memory module(s) identified in the message.",
            "Severity": "Critical"
        },
        "UEFI0205": {
            "Description": "An error occurred during DDR memory initialization during the Command Clock Training - Group 0 phase.",
            "Message": "An error occurred during DDR memory channel initialization on memory slots: %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Do the following: 1) Remove input power to the system, 2) Reseat the DIMM module and 3) Restart the system. If the issue persists, then replace the faulty memory module(s) identified in the message.",
            "Severity": "Critical"
        },
        "UEFI0206": {
            "Description": "An error occurred during DDR memory initialization during the Command Clock Training - Group 1 phase.",
            "Message": "An error occurred during DDR memory channel initialization on memory slots: %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Do the following: 1) Remove input power to the system, 2) Reseat the DIMM module and 3) Restart the system. If the issue persists, then replace the faulty memory module(s) identified in the message.",
            "Severity": "Critical"
        },
        "UEFI0207": {
            "Description": "An error occurred during DDR memory initialization during the Command Clock Training - Group 2 phase.",
            "Message": "An error occurred during DDR memory channel initialization on memory slots: %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Do the following: 1) Remove input power to the system, 2) Reseat the DIMM module and 3) Restart the system. If the issue persists, then replace the faulty memory module(s) identified in the message.",
            "Severity": "Critical"
        },
        "UEFI0208": {
            "Description": "An error occurred during DDR memory initialization during the Command Clock Training - Group All phase.",
            "Message": "An error occurred during DDR memory channel initialization on memory slots: %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Do the following: 1) Remove input power to the system, 2) Reseat the DIMM module and 3) Restart the system. If the issue persists, then replace the faulty memory module(s) identified in the message.",
            "Severity": "Critical"
        },
        "UEFI0209": {
            "Description": "An error occurred during DDR memory initialization during the Transmit Buffer Per Bit Deskew Training phase.",
            "Message": "An error occurred during DDR memory channel initialization on memory slots: %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Do the following: 1) Remove input power to the system, 2) Reseat the DIMM module and 3) Restart the system. If the issue persists, then replace the faulty memory module(s) identified in the message.",
            "Severity": "Critical"
        },
        "UEFI0210": {
            "Description": "An error occurred during DDR memory initialization during the Receive Buffer Vref Training phase.",
            "Message": "An error occurred during DDR memory channel initialization on memory slots: %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Do the following: 1) Remove input power to the system, 2) Reseat the DIMM module and 3) Restart the system. If the issue persists, then replace the faulty memory module(s) identified in the message.",
            "Severity": "Critical"
        },
        "UEFI0211": {
            "Description": "An error occurred during DDR memory initialization during the Transmit Buffer Vref Training phase.",
            "Message": "An error occurred during DDR memory channel initialization on memory slots: %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Do the following: 1) Remove input power to the system, 2) Reseat the DIMM module and 3) Restart the system. If the issue persists, then replace the faulty memory module(s) identified in the message.",
            "Severity": "Critical"
        },
        "UEFI0212": {
            "Description": "An error occurred during DDR memory initialization during the Early Command Training phase.",
            "Message": "An error occurred during DDR memory channel initialization on memory slots: %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Do the following: 1) Remove input power to the system, 2) Reseat the DIMM module and 3) Restart the system. If the issue persists, then replace the faulty memory module(s) identified in the message.",
            "Severity": "Critical"
        },
        "UEFI0213": {
            "Description": "An error occurred during DDR memory initialization during the Basic Read DQ/DQS Training phase.",
            "Message": "An error occurred during DDR memory channel initialization on memory slots: %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Do the following: 1) Remove input power to the system, 2) Reseat the DIMM module and 3) Restart the system. If the issue persists, then replace the faulty memory module(s) identified in the message.",
            "Severity": "Critical"
        },
        "UEFI0214": {
            "Description": "An error occurred during DDR memory initialization during the Basic Receive Enable Training phase.",
            "Message": "An error occurred during DDR memory channel initialization on memory slots: %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Do the following: 1) Remove input power to the system, 2) Reseat the DIMM module and 3) Restart the system. If the issue persists, then replace the faulty memory module(s) identified in the message.",
            "Severity": "Critical"
        },
        "UEFI0215": {
            "Description": "An error occurred during DDR memory initialization during the Basic Write Level Training phase.",
            "Message": "An error occurred during DDR memory channel initialization on memory slots: %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Do the following: 1) Remove input power to the system, 2) Reseat the DIMM module and 3) Restart the system. If the issue persists, then replace the faulty memory module(s) identified in the message.",
            "Severity": "Critical"
        },
        "UEFI0216": {
            "Description": "An error occurred during DDR memory initialization during the Late Command Training phase.",
            "Message": "An error occurred during DDR memory channel initialization on memory slots: %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Do the following: 1) Remove input power to the system, 2) Reseat the DIMM module and 3) Restart the system. If the issue persists, then replace the faulty memory module(s) identified in the message.",
            "Severity": "Critical"
        },
        "UEFI0217": {
            "Description": "An error occurred during DDR memory initialization during the Basic Write DQ/DQS Training phase.",
            "Message": "An error occurred during DDR memory channel initialization on memory slots: %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Do the following: 1) Remove input power to the system, 2) Reseat the DIMM module and 3) Restart the system. If the issue persists, then replace the faulty memory module(s) identified in the message.",
            "Severity": "Critical"
        },
        "UEFI0218": {
            "Description": "An error occurred during DDR memory initialization during the Write Timing Centering 2D Training phase.",
            "Message": "An error occurred during DDR memory channel initialization on memory slots: %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Do the following: 1) Remove input power to the system, 2) Reseat the DIMM module and 3) Restart the system. If the issue persists, then replace the faulty memory module(s) identified in the message.",
            "Severity": "Critical"
        },
        "UEFI0219": {
            "Description": "An error occurred during DDR memory initialization during the Read Timing Centering 2D Training phase.",
            "Message": "An error occurred during DDR memory channel initialization on memory slots: %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Do the following: 1) Remove input power to the system, 2) Reseat the DIMM module and 3) Restart the system. If the issue persists, then replace the faulty memory module(s) identified in the message.",
            "Severity": "Critical"
        },
        "UEFI0220": {
            "Description": "An error occurred during DDR memory initialization during the Write Voltage Training phase.",
            "Message": "An error occurred during DDR memory channel initialization on memory slots: %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Do the following: 1) Remove input power to the system, 2) Reseat the DIMM module and 3) Restart the system. If the issue persists, then replace the faulty memory module(s) identified in the message.",
            "Severity": "Critical"
        },
        "UEFI0221": {
            "Description": "An error occurred during DDR memory initialization during the Read Voltage Training phase.",
            "Message": "An error occurred during DDR memory channel initialization on memory slots: %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Do the following: 1) Remove input power to the system, 2) Reseat the DIMM module and 3) Restart the system. If the issue persists, then replace the faulty memory module(s) identified in the message.",
            "Severity": "Critical"
        },
        "UEFI0222": {
            "Description": "An error occurred during DDR memory initialization during the Round Trip Training phase.",
            "Message": "An error occurred during DDR memory channel initialization on memory slots: %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Do the following: 1) Remove input power to the system, 2) Reseat the DIMM module and 3) Restart the system. If the issue persists, then replace the faulty memory module(s) identified in the message.",
            "Severity": "Critical"
        },
        "UEFI0223": {
            "Description": "An error occurred during DDR memory initialization during the Receive Buffer Per Bit Deskew Training phase.",
            "Message": "An error occurred during DDR memory channel initialization on memory slots: %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Do the following: 1) Remove input power to the system, 2) Reseat the DIMM module and 3) Restart the system. If the issue persists, then replace the faulty memory module(s) identified in the message.",
            "Severity": "Critical"
        },
        "UEFI0224": {
            "Description": "An error occurred during DDR memory initialization during the Transmit Buffer Per Bit Deskew Training phase.",
            "Message": "An error occurred during DDR memory channel initialization on memory slots: %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Do the following: 1) Remove input power to the system, 2) Reseat the DIMM module and 3) Restart the system. If the issue persists, then replace the faulty memory module(s) identified in the message.",
            "Severity": "Critical"
        },
        "UEFI0225": {
            "Description": "An error occurred during DDR memory initialization during the DDR4 LR-DIMM Receive Buffer Training phase.",
            "Message": "An error occurred during DDR memory channel initialization on memory slots: %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Do the following: 1) Remove input power to the system, 2) Reseat the DIMM module and 3) Restart the system. If the issue persists, then replace the faulty memory module(s) identified in the message.",
            "Severity": "Critical"
        },
        "UEFI0226": {
            "Description": "An error occurred during DDR memory initialization during the DDR4 LR-DIMM Transmit Buffer Training phase.",
            "Message": "An error occurred during DDR memory channel initialization on memory slots: %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Do the following: 1) Remove input power to the system, 2) Reseat the DIMM module and 3) Restart the system. If the issue persists, then replace the faulty memory module(s) identified in the message.",
            "Severity": "Critical"
        },
        "UEFI0227": {
            "Description": "An error occurred during DDR memory initialization during the Memory Buffer Receive Enable Training - Configuration Read phase.",
            "Message": "An error occurred during DDR memory channel initialization on memory slots: %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Do the following: 1) Remove input power to the system, 2) Reseat the DIMM module and 3) Restart the system. If the issue persists, then replace the faulty memory module(s) identified in the message.",
            "Severity": "Critical"
        },
        "UEFI0228": {
            "Description": "An error occurred during DDR memory initialization during the Memory Buffer Receive Enable Training - Configuration Write phase.",
            "Message": "An error occurred during DDR memory channel initialization on memory slots: %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Do the following: 1) Remove input power to the system, 2) Reseat the DIMM module and 3) Restart the system. If the issue persists, then replace the faulty memory module(s) identified in the message.",
            "Severity": "Critical"
        },
        "UEFI0229": {
            "Description": "An error occurred during DDR memory initialization during the Memory Buffer Receive Enable Training - Calibration phase.",
            "Message": "An error occurred during DDR memory channel initialization on memory slots: %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Do the following: 1) Remove input power to the system, 2) Reseat the DIMM module and 3) Restart the system. If the issue persists, then replace the faulty memory module(s) identified in the message.",
            "Severity": "Critical"
        },
        "UEFI0230": {
            "Description": "An error occurred during DDR memory initialization during the Memory Buffer Receive Enable Training - Calculation phase.",
            "Message": "An error occurred during DDR memory channel initialization on memory slots: %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Do the following: 1) Remove input power to the system, 2) Reseat the DIMM module and 3) Restart the system. If the issue persists, then replace the faulty memory module(s) identified in the message.",
            "Severity": "Critical"
        },
        "UEFI0231": {
            "Description": "An error occurred during DDR memory initialization during the Memory Buffer Write Leveling Training - Configuration Read phase.",
            "Message": "An error occurred during DDR memory channel initialization on memory slots: %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Do the following: 1) Remove input power to the system, 2) Reseat the DIMM module and 3) Restart the system. If the issue persists, then replace the faulty memory module(s) identified in the message.",
            "Severity": "Critical"
        },
        "UEFI0232": {
            "Description": "An error occurred during DDR memory initialization during the Memory Buffer Write Leveling Training - Configuration Write phase.",
            "Message": "An error occurred during DDR memory channel initialization on memory slots: %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Do the following: 1) Remove input power to the system, 2) Reseat the DIMM module and 3) Restart the system. If the issue persists, then replace the faulty memory module(s) identified in the message.",
            "Severity": "Critical"
        },
        "UEFI0233": {
            "Description": "An error occurred during DDR memory initialization during the Memory Buffer Write Leveling Training - FIFO Reset phase.",
            "Message": "An error occurred during DDR memory channel initialization on memory slots: %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Do the following: 1) Remove input power to the system, 2) Reseat the DIMM module and 3) Restart the system. If the issue persists, then replace the faulty memory module(s) identified in the message.",
            "Severity": "Critical"
        },
        "UEFI0234": {
            "Description": "An error occurred during DDR memory initialization during the Memory Buffer Write Leveling Training - Memory Test phase.",
            "Message": "An error occurred during DDR memory channel initialization on memory slots: %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Do the following: 1) Remove input power to the system, 2) Reseat the DIMM module and 3) Restart the system. If the issue persists, then replace the faulty memory module(s) identified in the message.",
            "Severity": "Critical"
        },
        "UEFI0235": {
            "Description": "An error occurred during DDR memory initialization during the Memory Buffer Write Leveling Training - Calibration phase.",
            "Message": "An error occurred during DDR memory channel initialization on memory slots: %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Do the following: 1) Remove input power to the system, 2) Reseat the DIMM module and 3) Restart the system. If the issue persists, then replace the faulty memory module(s) identified in the message.",
            "Severity": "Critical"
        },
        "UEFI0236": {
            "Description": "An error occurred during DDR memory initialization during the Write DQ/DQS Training - FIFO Reset phase.",
            "Message": "An error occurred during DDR memory channel initialization on memory slots: %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Do the following: 1) Remove input power to the system, 2) Reseat the DIMM module and 3) Restart the system. If the issue persists, then replace the faulty memory module(s) identified in the message.",
            "Severity": "Critical"
        },
        "UEFI0237": {
            "Description": "An error occurred during DDR memory initialization during the Write DQ/DQS Training - Memory Test phase.",
            "Message": "An error occurred during DDR memory channel initialization on memory slots: %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Do the following: 1) Remove input power to the system, 2) Reseat the DIMM module and 3) Restart the system. If the issue persists, then replace the faulty memory module(s) identified in the message.",
            "Severity": "Critical"
        },
        "UEFI0238": {
            "Description": "An error occurred during DDR memory initialization during the Write DQ/DQS Training - Calibration phase.",
            "Message": "An error occurred during DDR memory channel initialization on memory slots: %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Do the following: 1) Remove input power to the system, 2) Reseat the DIMM module and 3) Restart the system. If the issue persists, then replace the faulty memory module(s) identified in the message.",
            "Severity": "Critical"
        },
        "UEFI0239": {
            "Description": "An error occurred during DDR memory initialization during the Write DQ/DQS Training - Calculation phase.",
            "Message": "An error occurred during DDR memory channel initialization on memory slots: %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Do the following: 1) Remove input power to the system, 2) Reseat the DIMM module and 3) Restart the system. If the issue persists, then replace the faulty memory module(s) identified in the message.",
            "Severity": "Critical"
        },
        "UEFI0240": {
            "Description": "An error occurred during Memory Voltage Regulator initialization during the VR0 SVID Ramp phase.",
            "Message": "An error occurred during Voltage Regulator (VR) initialization on memory riser %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Do the following: 1) Remove input power to the system, 2) Reseat the memory riser and 3) Restart the system. For more information, see the platform Owner's Manual.",
            "Severity": "Critical"
        },
        "UEFI0241": {
            "Description": "An error occurred during Memory Voltage Regulator initialization during the VR1 SVID Ramp phase.",
            "Message": "An error occurred during Voltage Regulator (VR) initialization on memory riser %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Do the following: 1) Remove input power to the system, 2) Reseat the memory riser and 3) Restart the system. For more information, see the platform Owner's Manual.",
            "Severity": "Critical"
        },
        "UEFI0242": {
            "Description": "The Partial Memory Mirroring feature cannot be enabled because the current DIMM population or hardware configuration does not support the requested size.",
            "Message": "Unable to enable the requested Partial Mirror size of %1GB due to the current DIMM population or hardware configuration does not support the requested size. %2GB was allocated instead.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "Check the DIMM population and hardware configuration to make sure the requested Partial Mirror size can be supported. For more information, see platform Owner's Manual.",
            "Severity": "Critical"
        },
        "UEFI0243": {
            "Description": "The Scalable Memory Interconnect (SMI) channel identified in the message is operating at a degraded width. This allows continued uptime although indicates an error condition requiring further investigation. This maybe an early indication of upcoming memory riser failure.",
            "Message": "Scalable Memory Interconnect (SMI) operating at reduced width on memory riser %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Do the following: 1) Remove input power to the system, 2) Reseat the memory riser and 3) Restart the system. For more information, see the platform Owner's Manual.",
            "Severity": "Critical"
        },
        "UEFI0244": {
            "Description": "Quick Path Interconnect (QPI) links failed to come up to full operating frequency.",
            "Message": "Quick Path Interconnect (QPI) links are operating in slow speed mode.",
            "NumberOfArgs": 0,
            "Resolution": "Reseat all processors in the system and ensure all processors are matching. If the issue persists, contact your service provider.",
            "Severity": "Critical"
        },
        "UEFI0245": {
            "Description": "Quick Path Interconnect (QPI) initialization failed to configure all installed processors to the maximum common frequency.",
            "Message": "Quick Path Interconnect (QPI) link initialization error detected.",
            "NumberOfArgs": 0,
            "Resolution": "Reseat all processors in the system and ensure all processors are matching. If the issue persists, contact your service provider.",
            "Severity": "Critical"
        },
        "UEFI0246": {
            "Description": "Quick Path Interconnect (QPI) initialization encountered a programmatic error. Link option mismatch detected.",
            "Message": "Quick Path Interconnect (QPI) initialization error detected.",
            "NumberOfArgs": 0,
            "Resolution": "Reseat all processors in the system and ensure all processors are matching. If the issue persists, contact your service provider.",
            "Severity": "Critical"
        },
        "UEFI0247": {
            "Description": "Quick Path Interconnect (QPI) initialization encountered a programmatic error. The requested Memory Mapped IO (MMIOH) size is not supported. MMIOH allocation was forced instead.",
            "Message": "Quick Path Interconnect (QPI) initialization error detected.",
            "NumberOfArgs": 0,
            "Resolution": "Reseat all processors in the system and ensure all processors are matching. If the issue persists, contact your service provider.",
            "Severity": "Critical"
        },
        "UEFI0248": {
            "Description": "Quick Path Interconnect (QPI) initialization encountered a programmatic error. A resource allocation was forced because resources were not requested for the identified processor. .",
            "Message": "Quick Path Interconnect (QPI) initialization error detected on processor %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Reseat all processors in the system and ensure all processors are matching. If the issue persists, contact your service provider.",
            "Severity": "Critical"
        },
        "UEFI0249": {
            "Description": "Quick Path Interconnect (QPI) initialization encountered a programmatic error. A requested resource could not be allocated. Resource was forced to maximum possible value instead.",
            "Message": "Quick Path Interconnect (QPI) initialization error detected.",
            "NumberOfArgs": 0,
            "Resolution": "Reseat all processors in the system and ensure all processors are matching. If the issue persists, contact your service provider.",
            "Severity": "Critical"
        },
        "UEFI0250": {
            "Description": "Quick Path Interconnect (QPI) initialization encountered a programmatic error. The Legacy VGA range processor target is not populated. Decode was forced to the Legacy CPU socket.",
            "Message": "Quick Path Interconnect (QPI) initialization error detected.",
            "NumberOfArgs": 0,
            "Resolution": "Reseat all processors in the system and ensure all processors are matching. If the issue persists, contact your service provider.",
            "Severity": "Critical"
        },
        "UEFI0251": {
            "Description": "A memory riser was detected behind an empty processor socket. Memory must be installed behind a populated processor socket in order to be recognized by the system and available for usage. Check to make sure processors and memory are installed in a supported configuration.",
            "Message": "Memory riser %1 is populated behind an empty processor socket.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Do the following: 1) Remove input power to the system, 2) Populate processors and memory in a supported configuration and 3) Restart the system. For more information, see the platform Owner's Manual.",
            "Severity": "Warning"
        },
        "UEFI0252": {
            "Description": "The watchdog timer is armed before the BIOS boot manager invokes an UEFI boot option. The watchdog is set to a period of 5 minutes. The Operating System boot loader from the boot option is required to disable the watchdog timer after it is successfully loaded, otherwise the system will reset if the timer expires.",
            "Message": "Unable to boot a boot option because the watchdog timer has expired. System will reset.",
            "NumberOfArgs": 0,
            "Resolution": "Check the boot option image and boot loader. Update them to the latest version if possible.",
            "Severity": "Warning"
        },
        "UEFI0253": {
            "Description": "Unable to enable NUMA Fault Resilient Memory (FRM) feature due to the current configuration does not support it.",
            "Message": "Unable to enable NUMA Fault Resilient Memory (FRM) feature due to the current configuration does not support it.",
            "NumberOfArgs": 0,
            "Resolution": "Check the DIMM population and hardware configuration to make sure NUMA FRM feature can be supported. For more information, see platform Owner's Manual.",
            "Severity": "Warning"
        },
        "UEFI0254": {
            "Description": "Unable to enable NUMA Fault Resilient Memory operating mode because of channel configuration mismatches.",
            "Message": "Unable to enable NUMA Fault Resilient Memory operating mode because of channel configuration mismatches.",
            "NumberOfArgs": 0,
            "Resolution": "Make sure identical memory modules in corresponding slots of channel pairs are populated. For more information, see platform Owner's Manual.",
            "Severity": "Warning"
        },
        "UEFI0255": {
            "Description": "Network Daughter Card 1 and Network Daughter Card 2 in the system do not match.",
            "Message": "Network Daughter Card 1 and Network Daughter Card 2 in the system do not match.",
            "NumberOfArgs": 0,
            "Resolution": "Check the Network Daughter Cards and make sure they are the same type.",
            "Severity": "Warning"
        },
        "UEFI0256": {
            "Description": "Unable to allocate legacy I/O resources for one of more PCIe devices because the legacy I/O space limit was reached. The legacy I/O space limit is 64K.",
            "Message": "Unable to allocate legacy I/O resources for one of more PCIe devices because the legacy I/O space limit was reached.",
            "NumberOfArgs": 0,
            "Resolution": "Do one of the following and retry the operation: 1) Remove unused PCIe cards to free up legacy I/O space. 2) Go to System Setup and disable unused PCIe cards to free up legacy I/O space.",
            "Severity": "Critical"
        },
        "UEFI0257": {
            "Description": "Cannot boot to Service Partition because the target Service Partition was not found in the boot list.",
            "Message": "Unable to boot to Service Partition because the target Service Partition was not found in the boot list.",
            "NumberOfArgs": 0,
            "Resolution": "Retry the operation. If the issue persists, do one of the following and retry the operation: 1) Update the system BIOS. 2) Update the iDRAC firmware.",
            "Severity": "Critical"
        },
        "UEFI0258": {
            "Description": "An issue is observed on the Hard-drive/SSD backplane.",
            "Message": "An issue is observed on the Hard-drive/SSD backplane.",
            "NumberOfArgs": 0,
            "Resolution": "Do one of the following: 1) Make sure the correct type of Hard-drive/SSD backplane is installed. 2) Check the configuration of Hard-drive/SSD backplane and make sure its power cable is connected. Restart the system and retry the operation. If the issue persists, contact your service provider.",
            "Severity": "Critical"
        },
        "UEFI0259": {
            "Description": "The BIOS operation cannot be completed because the R920 baseboard does not support the R930 BIOS firmware.",
            "Message": "Unable to complete the BIOS operation because the R920 baseboard does not support the R930 BIOS firmware.",
            "NumberOfArgs": 0,
            "Resolution": "Update the BIOS firmware to a supported R920 BIOS version. For a list of supported firmware versions, see the Owners Manual available at the support site.",
            "Severity": "Warning"
        },
        "UEFI0260": {
            "Description": "The R930 baseboard does not support R920 memory risers.",
            "Message": "The R930 baseboard does not support R920 memory risers.",
            "NumberOfArgs": 0,
            "Resolution": "Replace R920 memory risers with R930 memory risers. For information about the supported memory riser types, see the Owners Manual available at the support site.",
            "Severity": "Warning"
        },
        "UEFI0261": {
            "Description": "The operation cannot be completed because the R920 I/O riser is not supported in R930.",
            "Message": "Unable to complete the operation because the R920 I/O riser is not supported.",
            "NumberOfArgs": 0,
            "Resolution": "Replace the R920 I/O riser with an R930 I/O riser. For information about the supported I/O risers, see the product documentation available at the support site.",
            "Severity": "Warning"
        },
        "UEFI0262": {
            "Description": "An issue is observed initializing DDR (double data rate) on the memory riser identified in the message. A possible cause is the DIMM modules are incorrectly seated in the slots.",
            "Message": "Unable to initialize DIMM modules on memory riser %1 because of a DDR training error.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Do the following: 1) Remove input power to the system, 2) Reseat the DIMM modules and 3) Restart the system. If the issue persists, then replace the faulty memory modules identified in the message.",
            "Severity": "Warning"
        },
        "UEFI0263": {
            "Description": "Unable to perform iSCSI boot on the connection identified in the message because the network cable is not connected.",
            "Message": "Unable to perform iSCSI boot on connection %1 because the network cable is not connected.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Check the network cable connection of the system and retry the operation.",
            "Severity": "Warning"
        },
        "UEFI0264": {
            "Description": "Unable to perform iSCSI boot because the iSCSI initiator name is invalid.",
            "Message": "Unable to perform iSCSI boot because the iSCSI initiator name is invalid.",
            "NumberOfArgs": 0,
            "Resolution": "Go to System Setup > Network Settings page, make sure there is no typographical error in the iSCSI Initiator Name field, and retry the operation.",
            "Severity": "Warning"
        },
        "UEFI0265": {
            "Description": "Unable to perform iSCSI boot on the connection identified in the message because the iSCSI initiator IPv4 address is invalid.",
            "Message": "Unable to perform iSCSI boot on connection %1 because the iSCSI initiator IPv4 address is invalid.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Go to System Setup > Network Settings > iSCSI Device Settings page, make sure there is no typographical error in the Initiator IP address field, and retry the operation.",
            "Severity": "Warning"
        },
        "UEFI0266": {
            "Description": "Unable to perform iSCSI boot on the connection identified in the message because the iSCSI initiator IPv4 subnet mask address is invalid.",
            "Message": "Unable to perform iSCSI boot on connection %1 because the iSCSI initiator IPv4 subnet mask address is invalid.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Go to System Setup > Network Settings > iSCSI Device Settings page, make sure there is no typographical error in the Initiator Subnet Mask field, and retry the operation.",
            "Severity": "Warning"
        },
        "UEFI0267": {
            "Description": "Unable to perform iSCSI boot on the connection identified in the message because the IPv4 initiator gateway address is invalid.",
            "Message": "Unable to perform iSCSI boot on connection %1 because the IPv4 initiator gateway address is invalid.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Go to System Setup > Network Settings > iSCSI Device Settings page, make sure there is no typographical error in the Initiator Gateway field, and retry the operation.",
            "Severity": "Warning"
        },
        "UEFI0268": {
            "Description": "Unable to perform iSCSI boot on the connection identified in the message because the iSCSI target name is invalid.",
            "Message": "Unable to perform iSCSI boot on connection %1 because the iSCSI target name is invalid.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Go to System Setup > Network Settings > iSCSI Device Settings > Connection Settings page, make sure the iSCSI Target Name in the iSCSI setup page is correct, and retry the operation.",
            "Severity": "Warning"
        },
        "UEFI0269": {
            "Description": "Unable to perform iSCSI boot on the connection identified in the message because the iSCSI target IP address is invalid.",
            "Message": "Unable to perform iSCSI boot on connection %1 because the iSCSI target IP address is invalid.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Go to System Setup > Network Settings > iSCSI Device Settings > Connection Settings page, do the following: 1) Make sure the Target IP Address is set corresponding to the mode enabled (IPv4/IPv6). 2) Make sure there is no typographical error in the Target IP Address field. 3) Retry the operation.",
            "Severity": "Warning"
        },
        "UEFI0270": {
            "Description": "Unable to perform iSCSI boot on the connection identified in the message because the network connection to DHCPv4 server is not established.",
            "Message": "Unable to perform iSCSI boot on connection %1 because the network connection to DHCPv4 server is not established.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Check the network cable connection of the initiator or the DHCPv4 server and retry the operation.",
            "Severity": "Warning"
        },
        "UEFI0271": {
            "Description": "Unable to perform iSCSI boot on the connection identified in the message because the network connection to DHCPv6 server is not established.",
            "Message": "Unable to perform iSCSI boot on connection %1 because the network connection to DHCPv6 server is not established.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Check the network cable connection of the initiator or the DHCPv6 server and retry the operation.",
            "Severity": "Warning"
        },
        "UEFI0272": {
            "Description": "Unable to perform iSCSI boot on the connection identified in the message because the BIOS cannot obtain the initiator information from DHCPv4 server.",
            "Message": "Unable to perform iSCSI boot on connection %1 because the BIOS cannot obtain the initiator information from DHCPv4 server.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Do one of the following: 1) Check the configuration of DHCPv4 server. 2) Go to System Setup > Network Settings > iSCSI Device Settings > Connection Settings page, disable DHCP and configure the initiator information manually. Retry the operation.",
            "Severity": "Warning"
        },
        "UEFI0273": {
            "Description": "Unable to perform iSCSI boot on the connection identified in the message because the iSCSI target configuration data obtained from DHCPv4 server is invalid.",
            "Message": "Unable to perform iSCSI boot on connection %1 because the iSCSI target configuration data obtained from DHCPv4 server is invalid.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Do one of the following: 1) Reconfigure the DHCPv4 server root path option, and note that server name must be specified. 2) Go to System Setup > Network Settings > iSCSI Device Settings > Connection Settings page, disable Target Info via DHCP and configure the parameters manually. Retry the operation.",
            "Severity": "Warning"
        },
        "UEFI0274": {
            "Description": "Unable to perform iSCSI boot on the connection identified in the message because the iSCSI login operation did not complete successfully.",
            "Message": "Unable to perform iSCSI boot on connection %1 because the iSCSI login operation did not complete successfully.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Do the following: 1) Go to System Setup > Network Settings > iSCSI Device Settings > Connection Settings page, make sure the target name is correct. 2) On the iSCSI target system, make sure the initiator name is added into the target identifiers. 3) Compare the authentication settings in the iSCSI initiator setup page to that of the iSCSI target system and make sure the settings match. 4) Retry the operation.",
            "Severity": "Warning"
        },
        "UEFI0275": {
            "Description": "Unable to perform iSCSI boot on the connection identified in the message because the TCP connection timed out when connecting to the iSCSI target.",
            "Message": "Unable to perform iSCSI boot on connection %1 because the TCP connection timed out when connecting to the iSCSI target.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Do the following: 1) Make sure the iSCSI target system is online with the firewall configured to allow TCP access. 2) Make sure the server network infrastructure is configured to allow access to the iSCSI target. 3) Go to System Setup > Network Settings > iSCSI Device Settings > Connection Settings page, make sure the iSCSI initiator settings (iSCSI, DHCP, VLAN, initiator/target IP addresses) are configured correctly. 4) Retry the operation.",
            "Severity": "Warning"
        },
        "UEFI0276": {
            "Description": "Unable to perform iSCSI boot on the connection identified in the message because the initiator information from DHCPv6 server cannot be obtained.",
            "Message": "Unable to perform iSCSI boot on connection %1 because the initiator information from DHCPv6 server cannot be obtained.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Do one of the following: 1) Check the configuration of DHCPv6 server. 2) Go to System Setup > Network Settings > iSCSI Device Settings > Connection Settings page, disable DHCP and configure the initiator information manually. Retry the operation.",
            "Severity": "Warning"
        },
        "UEFI0277": {
            "Description": "Unable to perform iSCSI boot on the connection number identified in the message because the iSCSI target configuration data obtained from DHCPv6 server is invalid.",
            "Message": "Unable to perform iSCSI boot on connection %1 because the iSCSI target configuration data obtained from DHCPv6 server is invalid.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Do one of the following: 1) Reconfigure the DHCPv6 server boot file URL option, and note that server name must be specified. 2) Go to System Setup > Network Settings > iSCSI Device Settings > Connection Settings page, disable Target Info via DHCP and configure the parameters manually. Retry the operation.",
            "Severity": "Warning"
        },
        "UEFI0278": {
            "Description": "The Post Package Repair (PPR) operation cannot be completed because of an issue in the DIMM memory slot identified in the message.",
            "Message": "Unable to complete the Post Package Repair (PPR) operation because of an issue in the DIMM memory slot %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Replace the DIMM and retry the operation. For more information, see the platform Owners Manual. .",
            "Severity": "Critical"
        },
        "UEFI0279": {
            "Description": "The Post Package Repair (PPR) operation in the DIMM memory slot identified in the message is successfully completed.",
            "Message": "The Post Package Repair (PPR) operation in the DIMM memory slot %1 is successfully completed.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "UEFI0280": {
            "Description": "The Hardware P State (HWP) mode cannot be enabled because the processor does not support the HWP mode. The CPU Power Management setting has changed to System DBPM (DAPC).",
            "Message": "Cannot enable the Hardware P State (HWP) mode because the processor does not support the HWP mode.",
            "NumberOfArgs": 0,
            "Resolution": "Install an HWP-capable processor and retry the operation.",
            "Severity": "Warning"
        },
        "UEFI0281": {
            "Description": "The system BIOS is not fully secured because the PWD_EN jumper is not installed on the motherboard. Some BIOS security features such as signed BIOS update are enforced based on the PWD_EN jumper presence.",
            "Message": "The system BIOS is not fully secured because the PWD_EN jumper is not installed on the motherboard.",
            "NumberOfArgs": 0,
            "Resolution": "Disconnect the input AC power to the system, install the PWD_EN jumper, connect the AC power, and then turn on the system. If the issue persists, contact your service provider.",
            "Severity": "Warning"
        },
        "UEFI0282": {
            "Description": "One or more graphics processing unit (GPU) adapters are not operating correctly because the power cables between graphics processing unit (GPU) adapters and motherboard are not correctly connected.",
            "Message": "One or more graphics processing unit (GPU) adapters are not operating correctly because the power cables between the GPU adapters and motherboard are not correctly connected.",
            "NumberOfArgs": 0,
            "Resolution": "Make sure that the cable connections between GPU adapters and motherboard are correct and retry the operation.",
            "Severity": "Critical"
        },
        "UEFI0283": {
            "Description": "The command cannot be written to Mailbox Interface CSR register during Memory Reference Code (MRC) initialization because the Power Control Unit (PCU) Mailbox is not responding.",
            "Message": "Unable to write the command to Mailbox Interface CSR register during Memory Reference Code (MRC) initialization because the Power Control Unit (PCU) Mailbox is not responding.",
            "NumberOfArgs": 0,
            "Resolution": "Do the following: 1) Disconnect the input power supply to the server. 2) Reseat all processors. 3) Restart the server. If the issue persists, contact your service provider.",
            "Severity": "Warning"
        },
        "UEFI0284": {
            "Description": "The BIOS cannot accept the Secure Boot policy data from the management console because the format of the data is incompatible with the BIOS Secure Boot databases. Secure Boot policy data consists of a Platform Key (PK), Key Exchange Key (KEK) database, Authorized Signature Database (db), and Forbidden Signature Database (dbx). The contents of PK and KEK must follow the Distinguished Encoding Rules (DER) X.509 certificate format. Each entry in db and dbx must follow the DER X.509 certificate format or consist of a hash value generated by a Secure Hash Algorithm (SHA-256, SHA-384, or SHA-512).",
            "Message": "Unable to import Secure Boot policy data because the format of the data is incompatible with the Secure Boot databases.",
            "NumberOfArgs": 0,
            "Resolution": "Make sure certificates follow the Distinguished Encoding Rules (DER) X.509 certificate format. Hash values in the Secure Boot policy must be 32 bytes, 48 bytes, or 64 bytes in size. Also make sure the data for the Platform Key (PK) and Key Exchange Key (KEK) database contain only certificates, not hash values. If the import operation includes multiple policy objects (certificates or hash values), determine the failing object by retrying the operation with one object at a time.",
            "Severity": "Critical"
        },
        "UEFI0285": {
            "Description": "The BIOS cannot send Secure Boot policy data (certificates and hash values) to iDRAC because of an issue in the iDRAC Shared Memory Architecture (SMA) Intelligent Platform Management Interface (IPMI). This means management consoles will not display the latest Secure Boot policy data because BIOS is not synchronized with iDRAC. Synchronization must occur before using management consoles to configure Secure Boot policy data.",
            "Message": "Unable to send Secure Boot policy data to iDRAC because of an issue in the iDRAC Shared Memory Architecture (SMA) Intelligent Platform Management Interface (IPMI).",
            "NumberOfArgs": 0,
            "Resolution": "Do one of the following: 1) Remove input power from the system, wait for 30 seconds, and re-apply input power. Turn on the system. 2) Update the iDRAC firmware on the system.",
            "Severity": "Informational"
        },
        "UEFI0286": {
            "Description": "A management console requested changes to Secure Boot policy objects, and the BIOS saved the changes successfully. Secure Boot policy objects consist of the Platform Key (PK), Key Exchange Key (KEK) database, Authorized Signature Database (db), and Forbidden Signature Database (dbx).",
            "Message": "The changes to Secure Boot policy objects are successfully saved by BIOS.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "UEFI0287": {
            "Description": "The QuickPath Interconnect (QPI) link of the processor identified in the message has a downgraded clock speed or dropped clock because of an initialization error.",
            "Message": "The QuickPath Interconnect (QPI) link %1 of the processor %2 has a downgraded clock speed or dropped clock because of an initialization error.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "Reseat all processors in the system, make sure all processors are of the same type/capacity/model, check for damage, and then retry the operation. For more information, see the Troubleshooting section in the platform Owners Manual. If the issues persists, contact your service provider.",
            "Severity": "Critical"
        },
        "UEFI0288": {
            "Description": "The Memory Multi-rank Sparing feature cannot be enabled because the current DIMM population or hardware configuration does not support the feature.",
            "Message": "Unable to enable the Memory Multi-rank Sparing feature because the current DIMM population or hardware configuration does not support the feature.",
            "NumberOfArgs": 0,
            "Resolution": "Check the DIMM population and hardware configuration to make sure Memory Multi-rank Sparing feature can be supported. For more information, see the platform Owner's Manual.",
            "Severity": "Warning"
        },
        "UEFI0289": {
            "Description": "DDR memory initialization cannot be completed because no Dual Inline Memory Module's (DIMM's) are installed. Only processor embedded memory is available.",
            "Message": "Unable to initialize DDR memory because no Dual Inline Memory Module's (DIMM's) are installed.",
            "NumberOfArgs": 0,
            "Resolution": "Populate Dual Inline Memory Module's (DIMM's) in a supported memory configuration. For more information, see the platform Owner's Manual available on the support site.",
            "Severity": "Warning"
        },
        "UEFI0290": {
            "Description": "The Sub-NUMA Cluster (SNC) mode cannot be enabled because of mismatches in the memory configuration.",
            "Message": "Unable to configure the Sub-NUMA Cluster (SNC) mode because of mismatches in the memory configuration.",
            "NumberOfArgs": 0,
            "Resolution": "Check the Dual Inline Memory Module (DIMM) population to make sure that the Sub-NUMA Cluster (SNC) mode can be enabled. For more information, see the platform Owner's Manual.",
            "Severity": "Warning"
        },
        "UEFI0291": {
            "Description": "The Processor Embedded Memory mode cannot be enabled because no on-package memory was detected.",
            "Message": "Unable to configure the requested Processor Embedded Memory mode because no on-package memory was detected.",
            "NumberOfArgs": 0,
            "Resolution": "Replace the processor to make sure that the Processor Embedded Memory mode is supported, and then retry the operation. For more information, see the platform Owner's Manual.",
            "Severity": "Warning"
        },
        "UEFI0292": {
            "Description": "DDR memory initialization of the Dual Inline Memory Module (DIMM) in the specified memory slot cannot be completed because of a mismatch in the size of the DIMM installed in the server.",
            "Message": "Unable to initialize the Dual Inline Memory Module (DIMM) in memory slot %1 because of a mismatch in the size of the DIMM installed in the server.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Remove the mismatched Dual Inline Memory Module (DIMM) module and replace it with a DIMM of the same size as other DIMMs installed on the Integrated Memory Controller (iMC). For more information, see the platform Owner's Manual available on the support site.",
            "Severity": "Warning"
        },
        "UEFI0293": {
            "Description": "DDR memory initialization of the Dual In-line Memory Modules (DIMMs) installed in the system cannot be completed because the DIMMs are installed in an unsupported, asymmetrical configuration between the Integrated Memory Controllers (iMCs).",
            "Message": "Unable to initialize all Dual Inline Memory Modules (DIMMs) in the system because DIMMs are installed in an unsupported, asymmetric configuration between the Integrated Memory Controllers (iMCs).",
            "NumberOfArgs": 0,
            "Resolution": "Remove the Dual Inline Memory Module's (DIMMs) and install in a supported, symmetric configuration between the Integrated Memory Controllers (iMCs). For more information, see the platform Owner's Manual available on the support site.",
            "Severity": "Warning"
        },
        "UEFI0294": {
            "Description": "DDR memory initialization of the Dual Inline Memory Module (DIMM) in the specified memory slot cannot be completed because of a mismatch in the number of ranks between the DIMMs installed in the server.",
            "Message": "Unable to initialize the Dual Inline Memory Module (DIMM) in memory slot %1 because of a mismatch in the number of ranks.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Remove the mismatched Dual Inline Memory Module (DIMM) and replace it with a DIMM with the same rank count as the other installed DIMMs in the Integrated Memory Controllers (iMCs). For more information, see the platform Owner's Manual available on the support site.",
            "Severity": "Warning"
        },
        "UEFI0295": {
            "Description": "An issue has occurred in processor Built-In-Self-Test (BIST). The affected tile and socket are identified by the message.",
            "Message": "An issue has occurred during processor Built-In Self-Test (BIST). Tiles Affected: %1 on Socket %2.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "Remove input power from the system, wait for 30 seconds, and re-apply input power. Turn on the system. If the issue persists, contact your service provider.",
            "Severity": "Warning"
        },
        "UEFI0296": {
            "Description": "The Boot Guard detected a corrupted BIOS in the server. A BIOS recovery process is automatically started.",
            "Message": "The Boot Guard detected a corrupted BIOS in the server.",
            "NumberOfArgs": 0,
            "Resolution": "No response action required.",
            "Severity": "Critical"
        },
        "UEFI0297": {
            "Description": "A BIOS corruption is detected. A BIOS Recovery process is automatically started. This process would take a few minutes.",
            "Message": "A BIOS corruption is detected. A BIOS Recovery process is requested by the BIOS. This process would take a few minutes.",
            "NumberOfArgs": 0,
            "Resolution": "No response action required.",
            "Severity": "Informational"
        },
        "UEFI0298": {
            "Description": "The BIOS Recovery process is started.",
            "Message": "The BIOS Recovery process is started.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "UEFI0299": {
            "Description": "The BIOS Recovery process is completed.",
            "Message": "The BIOS Recovery process is completed.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "UEFI0300": {
            "Description": "The BIOS Recovery process cannot be completed because of unknown issues.A BIOS recovery process is automatically started.",
            "Message": "Unable to complete the BIOS Recovery process because of unknown issues.",
            "NumberOfArgs": 0,
            "Resolution": "Wait for the system to automatically retry the BIOS Recovery process.",
            "Severity": "Critical"
        },
        "UEFI0301": {
            "Description": "The BIOS Recovery process failed consecutively three times because of unknown issues.",
            "Message": "The BIOS Recovery process failed consecutively for three times because of unknown issues.",
            "NumberOfArgs": 0,
            "Resolution": "Do the following: 1) Disconnect the input power supply to the server. 2) Restart the server. If the issue persists, contact your service provider.",
            "Severity": "Critical"
        },
        "UEFI0302": {
            "Description": "The NVDIMM-N module in slot identified in the message has issue because of the reasons described in the message. The NVDIMM-N module identified will be set to read-only mode.",
            "Message": "%1 on NVDIMM-N located at %2. The identified NVDIMM-N module will be set to read only mode.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "Remove input power to the system, reseat the NVDIMM-N module and restart the system. If the issue persists, replace the faulty memory module identified in the message.",
            "Severity": "Critical"
        },
        "UEFI0303": {
            "Description": "The NVDIMM-N module in slot identified in the message has issue because of the reasons described in the message. The NVDIMM-N module identified will be set to fully-functional mode.",
            "Message": "%1 on NVDIMM-N located at %2. The identified NVDIMM-N module will be set to fully functional mode.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "Replace the NVDIMM-N module. For information about replacing, see the Owner's Manual on the support site.",
            "Severity": "Critical"
        },
        "UEFI0304": {
            "Description": "The Save operation cannot be completed because of an issue identified in the message. All NVDIMM-N modules will be set to read-only mode.",
            "Message": "Unable to complete the NVDIMM-N Save operation because %1. All NVDIMM-N modules will be set to read only mode.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Install NVDIMM-N battery and retry the operation.",
            "Severity": "Critical"
        },
        "UEFI0305": {
            "Description": "The BIOS firmware could not be updated during the previous reboot operation because of some issues.",
            "Message": "Unable to update BIOS firmware in the previous boot because of some issues.",
            "NumberOfArgs": 0,
            "Resolution": "Retry the operation. If the issue persists, contact your service provider.",
            "Severity": "Warning"
        },
        "UEFI0306": {
            "Description": "The BIOS firmware cannot be updated because the BIOS image file used is corrupted.",
            "Message": "Unable to update BIOS firmware because the new BIOS image file used is corrupted.",
            "NumberOfArgs": 0,
            "Resolution": "Make sure that the BIOS firmware is downloaded from the correct support site. If the issue persists, contact your service provider.",
            "Severity": "Warning"
        },
        "UEFI0307": {
            "Description": "The Baseboard UPI A cable is not connected.",
            "Message": "The Baseboard UPI A cable is not connected.",
            "NumberOfArgs": 0,
            "Resolution": "Connect the Baseboard UPI A cable. For more information, see the platform Owner's Manual.",
            "Severity": "Warning"
        },
        "UEFI0308": {
            "Description": "The Baseboard UPI A cable connection is misconfigured.",
            "Message": "The Baseboard UPI A cable connection is misconfigured.",
            "NumberOfArgs": 0,
            "Resolution": "Connect the Baseboard UPI A cable. For more information, see the platform Owner's Manual.",
            "Severity": "Warning"
        },
        "UEFI0309": {
            "Description": "The Baseboard UPI B cable is not connected.",
            "Message": "The Baseboard UPI B cable is not connected.",
            "NumberOfArgs": 0,
            "Resolution": "Connect the Baseboard UPI B cable. For more information, see the platform Owner's Manual.",
            "Severity": "Warning"
        },
        "UEFI0310": {
            "Description": "The Baseboard UPI B cable connection is misconfigured.",
            "Message": "The Baseboard UPI B cable connection is misconfigured.",
            "NumberOfArgs": 0,
            "Resolution": "Connect the Baseboard UPI B cable. For more information, see the platform Owner's Manual.",
            "Severity": "Warning"
        },
        "UEFI0311": {
            "Description": "The Baseboard UPI C cable is not connected.",
            "Message": "The Baseboard UPI C cable is not connected.",
            "NumberOfArgs": 0,
            "Resolution": "Connect the Baseboard UPI C cable. For more information, see the platform Owner's Manual.",
            "Severity": "Warning"
        },
        "UEFI0312": {
            "Description": "The Baseboard UPI C cable connection is misconfigured.",
            "Message": "The Baseboard UPI C cable connection is misconfigured.",
            "NumberOfArgs": 0,
            "Resolution": "Connect the Baseboard UPI C cable. For more information, see the platform Owner's Manual.",
            "Severity": "Warning"
        },
        "UEFI0313": {
            "Description": "The Baseboard UPI D cable is not connected.",
            "Message": "The Baseboard UPI D cable is not connected.",
            "NumberOfArgs": 0,
            "Resolution": "Connect the Baseboard UPI D cable. For more information, see the platform Owner's Manual.",
            "Severity": "Warning"
        },
        "UEFI0314": {
            "Description": "The Baseboard UPI D cable connection is misconfigured.",
            "Message": "The Baseboard UPI D cable connection is misconfigured.",
            "NumberOfArgs": 0,
            "Resolution": "Connect the Baseboard UPI D cable. For more information, see the platform Owner's Manual.",
            "Severity": "Warning"
        },
        "UEFI0316": {
            "Description": "Unable to allocate Memory Mapped Input Output (MMIO) resources for one or more PCIe cards either because of insufficient MMIO memory space, or because the NVRAM_CLR jumper is already installed.",
            "Message": "Unable to allocate Memory Mapped Input Output (MMIO) resources for one or more PCIe cards either because of insufficient MMIO memory space, or because the NVRAM_CLR jumper is already installed.",
            "NumberOfArgs": 0,
            "Resolution": "Do one of the following and retry the operation: 1) Remove the NVRAM_CLR jumper. 2) Remove the unused PCIe cards to provide more Memory Mapped Input Output (MMIO) memory space.",
            "Severity": "Warning"
        },
        "UEFI0318": {
            "Description": "The PWD_EN jumper is not installed. The BIOS Initial Boot Block code has detected an unauthenticated Pre-EFI (PEI) module.",
            "Message": "The PWD_EN jumper is not installed. The BIOS Initial Boot Block code has detected an unauthenticated Pre-EFI (PEI) module.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required, if the issue is observed in the development phase. However, in production environment, recover the BIOS by doing the following: 1) Turn off the server and disconnect the input power. 2) Install the PWD_EN jumper on the motherboard. 3) Reconnect to the power source and restart the server.",
            "Severity": "Critical"
        },
        "UEFI0319": {
            "Description": "The system is booting from the recovery BIOS image file. The recovery BIOS did not receive a request from iDRAC to update the primary BIOS, and therefore the system stopped responding.",
            "Message": "The system is booting from the recovery BIOS image. The recovery BIOS did not receive a request from iDRAC to update the primary BIOS, and therefore system stopped responding.",
            "NumberOfArgs": 0,
            "Resolution": "Do one of the following and retry the operation: 1) Turn off the server and disconnect the input power. 2) Wait for 30 seconds and reconnect to the power source and retry the operation. 3) Make sure that the iDRAC firmware version on the system is up to date and retry the operation.",
            "Severity": "Critical"
        },
        "USR0001": {
            "Description": "No detailed description is required.",
            "Message": "%1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "USR0002": {
            "Description": "Details the Username that logged in and the IP Address they are coming from.",
            "Message": "%1 login from %2.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "USR0005": {
            "Description": "Login failed from UserID: IP Address.",
            "Message": "Login failed from %1: %2.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "Contact the iDRAC administrator and ensure the username and password credentials used are correct.",
            "Severity": "Informational"
        },
        "USR0007": {
            "Description": "UserID closing session from IP Address.",
            "Message": "%1 closing session from %2.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "USR0008": {
            "Description": "The Default Login Warning feature is disabled. No warning is provided if any local user is configured with default credentials.",
            "Message": "The Default Login Warning feature is disabled.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "USR0013": {
            "Description": "The user does not have sufficient privileges to execute the command.",
            "Message": "Insufficient user privileges to perform operation.",
            "NumberOfArgs": 0,
            "Resolution": "Login with sufficient privileges.",
            "Severity": "Informational"
        },
        "USR0014": {
            "Description": "The user session which is currently in use is invalid.",
            "Message": "The current user session is invalid.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "USR0015": {
            "Description": "The specified user does not exist.",
            "Message": "The specified user does not exist.",
            "NumberOfArgs": 0,
            "Resolution": "Verify the existing users and enter a valid username.",
            "Severity": "Warning"
        },
        "USR0016": {
            "Description": "Unable to obtain the session info from RAC.",
            "Message": "Unable to get session info from the RAC.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "USR0017": {
            "Description": "There are no active sessions on the iDRAC for the specified user.",
            "Message": "No active sessions currently exist for the specified user.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "USR0018": {
            "Description": "There are no active sessions on the iDRAC which can be displayed.",
            "Message": "No active sessions currently exist.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "USR0019": {
            "Description": "The specified username exceeds the prescribed limit (255).",
            "Message": "Specified user name is too long.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Warning"
        },
        "USR0020": {
            "Description": "The specified session id does not exist and is invalid.",
            "Message": "Invalid Session ID.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Warning"
        },
        "USR0021": {
            "Description": "The session could not be closed. A possible reason is that the session does not exist.",
            "Message": "Unable to close session with the specified ID",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Critical"
        },
        "USR0022": {
            "Description": "The username specified already exists and cannot be assigned.",
            "Message": "The specified user already exists. Duplicate user names are not allowed.",
            "NumberOfArgs": 0,
            "Resolution": "Choose a unique username.",
            "Severity": "Warning"
        },
        "USR0023": {
            "Description": "The user privilege is invalid. This may be due to invalid combinations of privileges given to the user.",
            "Message": "The current user privilege is not valid.",
            "NumberOfArgs": 0,
            "Resolution": "Request the administrator to assign appropriate user privileges to the specific user.",
            "Severity": "Warning"
        },
        "USR0024": {
            "Description": "Cannot log in to iDRAC from the user name and IP address identified in the message by using Intelligent Platform Management Interface (IPMI) because an incorrect user name or password is entered.",
            "Message": "Unable to log in to iDRAC from %1:%2 using Intelligent Platform Management Interface (IPMI) because an incorrect user name or password is entered.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "Enter the correct user name and password and retry the operation.",
            "Severity": "Informational"
        },
        "USR0030": {
            "Description": "Successful login for the username, IP address, and interface identified in the message.",
            "Message": "Successfully logged in using %1, from %2 and %3.",
            "NumberOfArgs": 3,
            "ParamTypes": [
                "String",
                "String",
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "USR0031": {
            "Description": "Unsuccessful login for the username, IP address, and interface identified in the message.",
            "Message": "Unable to log in for %1 from %2 using %3.",
            "NumberOfArgs": 3,
            "ParamTypes": [
                "String",
                "String",
                "String"
            ],
            "Resolution": "Make sure the login credentials are valid and retry the operation.",
            "Severity": "Informational"
        },
        "USR0032": {
            "Description": "The session for the username, IP address, and interface identified in the message is logged off.",
            "Message": "The session for %1 from %2 using %3 is logged off.",
            "NumberOfArgs": 3,
            "ParamTypes": [
                "String",
                "String",
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "USR0033": {
            "Description": "The IPMI over LAN login attempt was ended by the IPMI client before success or failure.",
            "Message": "Login for %1 from %2 using %3 was incomplete.",
            "NumberOfArgs": 3,
            "ParamTypes": [
                "String",
                "String",
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "USR0034": {
            "Description": "The account identified in the message is temporarily disabled because of consecutive unsuccessful Login attempts to iDRAC from the IP address identified in the message.",
            "Message": "Login attempt alert for %1 from %2 using %3, IP will be blocked for %4 seconds.",
            "NumberOfArgs": 4,
            "ParamTypes": [
                "String",
                "String",
                "String",
                "String"
            ],
            "Resolution": "Contact the iDRAC administrator and make sure the username and password credentials used are correct. Check the Lifecycle Controller Log (LC Log) to see if more unauthorized iDRAC access attempts are occurring than would be expected due to forgotten account names or passwords.",
            "Severity": "Warning"
        },
        "USR0150": {
            "Description": "The VNC client is connected from the IP address identified in the message to the iDRAC VNC Server.",
            "Message": "Opening a remote VNC session from IP address %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "USR0151": {
            "Description": "The VNC client from the IP address identified in the message is logged off.",
            "Message": "The remote VNC session from the IP address %1 is logging off.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "USR0152": {
            "Description": "Could not successfully connect to the remote VNC session, because an incorrect VNC password was entered from the IP address identified in the message.",
            "Message": "Unable to connect the remote VNC session, because an incorrect VNC password was entered from the IP %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Enter the correct VNC password and retry the operation.",
            "Severity": "Warning"
        },
        "USR0153": {
            "Description": "The VNC client is logged off from the IP address identified in the message.",
            "Message": "Logging off the remote VNC session from the IP address %1, because the session timed out.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "To re-establish the remote VNC session, log in again using the VNC client.",
            "Severity": "Informational"
        },
        "USR0170": {
            "Description": "The device identified in the message is connected to the Front Panel USB port and attached to the iDRAC.",
            "Message": "The Front Panel USB port is attached to iDRAC Disk.USBFront.%1. Device details: Device class %2, Vendor ID %3, Manufacturer Name %4, Product ID %5, Product Name %6, Serial Number %7.",
            "NumberOfArgs": 7,
            "ParamTypes": [
                "String",
                "String",
                "String",
                "String",
                "String",
                "String",
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "USR0171": {
            "Description": "The device identified in the message is connected to the Front Panel USB port and detached from the iDRAC.",
            "Message": "The Front Panel USB port is detached from the iDRAC Disk.USBFront.%1. Device Details: Device Class %2, Vendor ID %3, Product ID %4.",
            "NumberOfArgs": 4,
            "ParamTypes": [
                "String",
                "String",
                "String",
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "USR0172": {
            "Description": "The Front Panel USB Management Port Mode setting is changed as identified in the message.",
            "Message": "The Front Panel USB Management Port Mode setting is changed from %1 to %2.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "USR0173": {
            "Description": "The Front Panel USB port switched automatically from iDRAC to operating system.",
            "Message": "The Front Panel USB port switched automatically from iDRAC to operating system.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "USR0174": {
            "Description": "The Front Panel USB device is removed from the operating system.",
            "Message": "The Front Panel USB device is removed from the operating system.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "USR0175": {
            "Description": "The USB device attached to the port identified in the message is drawing more current than is supported by the port.",
            "Message": "The Front Panel USB Port Over Current is detected for the attached device on Disk.USBFront.%1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Reinsert the USB device in the Front Panel USB Port and retry the operation. If the issue persists, use a different USB device.",
            "Severity": "Warning"
        },
        "USR0176": {
            "Description": "The Front Panel USB Port Over Current condition is cleared for the port identified in the message.",
            "Message": "The Front Panel USB Port Over Current condition is cleared for the attached device Disk.USBFront.%1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "USR0177": {
            "Description": "Configuring the Front Panel USB Port Mode to Automatic because the iDRAC is unable to retrieve the Front Panel USB Port Mode.",
            "Message": "Configuring the Front Panel USB Port Mode to Automatic because the iDRAC is unable to retrieve the Front Panel USB Port Mode.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "USR0180": {
            "Description": "The Quick Sync feature is enabled because the activate button on the bezel was pressed.",
            "Message": "The Quick Sync feature is enabled because the activate button on the bezel was pressed.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "USR0181": {
            "Description": "The Quick Sync feature is deactivated because the inactivity timeout limit was reached.",
            "Message": "The Quick Sync feature is deactivated because the inactivity timeout limit was reached.",
            "NumberOfArgs": 0,
            "Resolution": "Press the activate button on the bezel to activate the iDRAC Quick Sync feature.",
            "Severity": "Informational"
        },
        "USR0182": {
            "Description": "Server information has been accessed by using the iDRAC Quick Sync feature.",
            "Message": "Server information has been accessed by using the iDRAC Quick Sync feature.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "USR0183": {
            "Description": "A bezel with the iDRAC Quick Sync feature is detected.",
            "Message": "A bezel with the iDRAC Quick Sync feature is detected.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "USR0184": {
            "Description": "A bezel with the iDRAC Quick Sync feature has been disconnected and the feature is not available.",
            "Message": "A bezel with the iDRAC Quick Sync feature has been disconnected and the feature is not available.",
            "NumberOfArgs": 0,
            "Resolution": "Connect a bezel with the iDRAC Quick Sync feature. Press the activate button to enable the Quick Sync feature.",
            "Severity": "Informational"
        },
        "USR0190": {
            "Description": "The peak value of the sensor identified in the message is reset.",
            "Message": "Peak value is reset for %1 sensor.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "USR0200": {
            "Description": "The user identified in the message has successfully entered proper credentials to access Quick Sync.",
            "Message": "User %1 has successfully logged in to Quick Sync %2.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "USR0201": {
            "Description": "The user identified in the message is unable to access Quick Sync because invalid credentials are entered.",
            "Message": "User %1 has unsuccessfully attempted to log in to Quick Sync.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Make sure that correct user name and password are entered, and then retry the operation.",
            "Severity": "Warning"
        },
        "USR0202": {
            "Description": "The mobile device with the MAC Address identified in the message is no longer connected to Quick Sync.",
            "Message": "Mobile device has disconnected from Quick Sync %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "USR0203": {
            "Description": "The mobile device with the specified mac address did not enter proper authentication credentials within the required duration of time.",
            "Message": "Mobile device with MAC Address %1 was disconnected from Quick Sync interface because of authentication timeout.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Press the activate button on the panel. Make sure that correct user name and password are entered, and then retry the operation.",
            "Severity": "Warning"
        },
        "USR0204": {
            "Description": "The BMC cannot communicate with the Quick Sync device embedded in the panel, due to a problem with the interface to the device.",
            "Message": "Quick Sync feature is not available due to hardware failure.",
            "NumberOfArgs": 0,
            "Resolution": "Make sure ribbon cable is connected properly to the communications device embedded in the panel, and retry operation.",
            "Severity": "Warning"
        },
        "USR0205": {
            "Description": "Quick Sync access for the user identified in the message is temporarily disabled because of consecutive unsuccessful Login attempts to Quick Sync from the MAC address identified in the message.",
            "Message": "Quick Sync access alert %1 from %2, Quick Sync will be blocked for %3 seconds.",
            "NumberOfArgs": 3,
            "ParamTypes": [
                "String",
                "String",
                "String"
            ],
            "Resolution": "Contact the server administrator and make sure the username and password credentials used are correct. Check the Lifecycle Controller Log (LC Log) to see if more unauthorized server access attempts are occurring than would be expected due to forgotten account names or passwords.",
            "Severity": "Warning"
        },
        "USR0206": {
            "Description": "The Quick Sync feature is enabled because the activate/deactivate button on the panel was pressed.",
            "Message": "The Quick Sync feature is enabled because the activate/deactivate button on the panel was pressed.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "USR0207": {
            "Description": "The Quick Sync feature is disabled because the activate/deactivate button on the panel was pressed.",
            "Message": "The Quick Sync feature is disabled because the activate/deactivate button on the panel was pressed.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "USR0208": {
            "Description": "The Quick Sync feature is deactivated because the inactivity timeout limit was reached.",
            "Message": "The Quick Sync feature is deactivated because the inactivity timeout limit was reached.",
            "NumberOfArgs": 0,
            "Resolution": "Press the activate/deactivate button on the panel to activate the Quick Sync feature.",
            "Severity": "Informational"
        },
        "USR0209": {
            "Description": "A panel with the Quick Sync feature has been disconnected and the feature is not available.",
            "Message": "A panel with the Quick Sync feature is not available.",
            "NumberOfArgs": 0,
            "Resolution": "Connect a panel with the Quick Sync feature. Press the activate/deactivate button to enable the Quick Sync.",
            "Severity": "Informational"
        },
        "USR0210": {
            "Description": "Server information has been accessed by using the Quick Sync feature.",
            "Message": "Server information has been accessed by using the Quick Sync feature.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "USR100": {
            "Description": "The operation completed successfully.",
            "Message": "The command was successful.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "USR101": {
            "Description": "Unable to allocate the resource because of the lack of memory or file space in the iDRAC firmware.",
            "Message": "Resource allocation failure.",
            "NumberOfArgs": 0,
            "Resolution": "Reset iDRAC and retry the operation.",
            "Severity": "Critical"
        },
        "USR102": {
            "Description": "The value provided for the specified parameter is invalid.",
            "Message": "Invalid parameter value for %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "To provide the correct value for the specified parameter, see Lifecycle Controller-Remote Services documentation.",
            "Severity": "Warning"
        },
        "USR103": {
            "Description": "One or more required parameters needed for the operation are missing.",
            "Message": "Missing parameters %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Refer to the Lifecycle Controller Remote Services documentation and provide the required parameters.",
            "Severity": "Warning"
        },
        "USR104": {
            "Description": "The operation did not complete successfully because of an unknown error in iDRAC.",
            "Message": "Unable to perform the operation due to an unknown error in iDRAC.",
            "NumberOfArgs": 0,
            "Resolution": "Retry the operation. If the issue persists, reset the iDRAC.",
            "Severity": "Warning"
        },
        "USR105": {
            "Description": "The user account used as credentials to access iDRAC is not enabled or configured to perform the operation.",
            "Message": "The account is not configured.",
            "NumberOfArgs": 0,
            "Resolution": "Retry the operation after creating the user account.",
            "Severity": "Warning"
        },
        "USR106": {
            "Description": "The username provided does not have sufficient privileges to perform the invoke operation on the method.",
            "Message": "%1 unauthorized for %2 on %3.%4",
            "NumberOfArgs": 4,
            "ParamTypes": [
                "String",
                "String",
                "String",
                "String"
            ],
            "Resolution": "Retry the operation using user credentials that are authorized to perform the operation.",
            "Severity": "Warning"
        },
        "USR107": {
            "Description": "The identified user has performed the identified set operation or invoke method operation. The operation is either set on an instance of the class identified or an invocation of the identified method.",
            "Message": "The operation %1 of the %2 was performed by %3",
            "NumberOfArgs": 3,
            "ParamTypes": [
                "String",
                "String",
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "USR108": {
            "Description": "The Quick Sync InactivityTimeout feature cannot be set because the InactivityTimerEnable attribute is disabled.",
            "Message": "Unable to set the Quick Sync InactivityTimeout feature because the InactivityTimerEnable attribute is disabled.",
            "NumberOfArgs": 0,
            "Resolution": "Enable the Quick Sync InactivityTimerEnable option before configuring the InactivityTimeout feature.",
            "Severity": "Informational"
        },
        "USR8500": {
            "Description": "Multiple login attempts were unsuccessful from the identified IP address. After detecting this error condition, this IP address will be blocked from login for the duration specified in the message.",
            "Message": "Excessive login failures from %1; blocked for %2 seconds.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "Make sure the username and password credentials used are correct, wait for the duration specified in the message and then retry the login.",
            "Severity": "Warning"
        },
        "USR8501": {
            "Description": "The operation to close a user session using the process ID identified in the message was successful.",
            "Message": "Successfully closed Session process: pid=%1 sid=%2",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "USR8502": {
            "Description": "The operation to close a user session using the session ID identified in the message was successful.",
            "Message": "Successfully closed Session: pid=%1 sid=%2",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "USR8503": {
            "Description": "The Active Directory authentication was not successful for the specified username.",
            "Message": "Domain user authentication was not successful. Reason code = %1",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Contact the administrator and ensure the username and password credentials used in the operation are correct.",
            "Severity": "Informational"
        },
        "USR8504": {
            "Description": "The IP range filter feature is enabled in CMC. The IP address from where the login attempt was made is not in the specified range of IP address that can access the CMC.",
            "Message": "The IP address specified is out of range.",
            "NumberOfArgs": 0,
            "Resolution": "If access needs to be given to this specified IP address, change the IP range address and IP range mask accordingly and retry the operation.",
            "Severity": "Informational"
        },
        "USR8505": {
            "Description": "The operation to invalidate the Session identified in the message was successful.",
            "Message": "Successfully invalidated Session: sid=%1",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "USR8506": {
            "Description": "The operation to invalidate the Session identified in the message was successful.",
            "Message": "Successfully closed Session: sid=%1",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "USR8507": {
            "Description": "The login attempt with details specified in the message was not successful.",
            "Message": "%1 login was not successful (username=%2, ip=%3, error=0x%4)",
            "NumberOfArgs": 4,
            "ParamTypes": [
                "String",
                "String",
                "String",
                "String"
            ],
            "Resolution": "Contact the administrator and ensure the username and password credentials used are correct. Retry the operation with valid credentials.",
            "Severity": "Informational"
        },
        "USR8508": {
            "Description": "The login attempt with details specified in the message was not successful.",
            "Message": "%1 login was not successful (username=%2, ip=%3, reason=%4)",
            "NumberOfArgs": 4,
            "ParamTypes": [
                "String",
                "String",
                "String",
                "String"
            ],
            "Resolution": "Maximum sessions already in use, so close any of existing session and retry the operation.",
            "Severity": "Informational"
        },
        "USR8509": {
            "Description": "The login attempt with details specified in the message was not successful.",
            "Message": "Login was not successful (username=%1, ip=%2, error=0x%3, type=%4)",
            "NumberOfArgs": 4,
            "ParamTypes": [
                "String",
                "String",
                "String",
                "String"
            ],
            "Resolution": "Contact the administrator and ensure the username and password credentials used are correct. Retry the operation with valid credentials.",
            "Severity": "Informational"
        },
        "USR8510": {
            "Description": "Successful login by Username identified in the message.",
            "Message": "Login was successful %1(username=%2, type=%3, sid=%4)",
            "NumberOfArgs": 4,
            "ParamTypes": [
                "String",
                "String",
                "String",
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "USR8511": {
            "Description": "Successful login from IP address by Username identified in the message.",
            "Message": "Login was successful %1 from %2 (username=%3, type=%4, sid=%5)",
            "NumberOfArgs": 5,
            "ParamTypes": [
                "String",
                "String",
                "String",
                "String",
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "USR8512": {
            "Description": "The login attempt with details specified in the message was not successful.",
            "Message": "%1 login was not successful (username=%2, reason=%3)",
            "NumberOfArgs": 3,
            "ParamTypes": [
                "String",
                "String",
                "String"
            ],
            "Resolution": "Contact the administrator and ensure the username and password credentials used are correct. Retry the operation with valid credentials.",
            "Severity": "Informational"
        },
        "USR8513": {
            "Description": "Successful login from IP address identified in the message by username identified in the message.",
            "Message": "%1 login successful from %2 (type=%3).",
            "NumberOfArgs": 3,
            "ParamTypes": [
                "String",
                "String",
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "USR8514": {
            "Description": "A bezel that has the iDRAC LCD panel feature is detected.",
            "Message": "A bezel that has the iDRAC LCD panel feature is detected.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "USR8515": {
            "Description": "A bezel that has the iDRAC LCD panel feature is disconnected, and therefore the feature is not available.",
            "Message": "A bezel that has the iDRAC LCD panel feature is disconnected.",
            "NumberOfArgs": 0,
            "Resolution": "Connect a bezel that has the iDRAC LCD panel feature.",
            "Severity": "Informational"
        },
        "USR8516": {
            "Description": "The Baseboard Management Controller (BMC) is unable to communicate to the LCD device embedded in the panel because of connection issues in the LCD ribbon cable.",
            "Message": "The Baseboard Management Controller (BMC) is unable to communicate to the LCD device embedded in the panel because of connection issues in the LCD ribbon cable.",
            "NumberOfArgs": 0,
            "Resolution": "Make sure that LCD ribbon cable is properly connected to the LCD device in the panel, and then retry the operation. For more information about connection procedure, see the server's Owner's Manual available on the support site.",
            "Severity": "Warning"
        },
        "VDR1": {
            "Description": "A storage component such as a physical disk or an enclosure has failed. The failed component may have been identified by the controller while performing a task such as a rescan or a check consistency.",
            "Message": "%1 failed.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Replace the failed component. You can identify which component has failed by locating the component that has a red \"X\" for its status. Perform a rescan after replacing the failed component.",
            "Severity": "Critical"
        },
        "VDR10": {
            "Description": "This alert is provided for informational purposes.",
            "Message": "Formatting the %1 has started.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "VDR100": {
            "Description": "The virtual disk identified in message cannot be used because of missing features on the current controller. The features may be missing because they are not available in the firmware version on the controller or the necessary licenses are not installed.",
            "Message": "%1 is unavailable because of incompatibilities with the current controller.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Update the controller firmware and license to match the peer controller.",
            "Severity": "Warning"
        },
        "VDR101": {
            "Description": "Indicates the Virtual Disk to Virtual Adapter Mapping for audit purposes.",
            "Message": "Virtual Adapter mapping reported for %1. Virtual Adapter 1 is now %2. Virtual Adapter 2 is now %3. Virtual Adapter 3 is now %4. Virtual Adapter 4 is now %5",
            "NumberOfArgs": 5,
            "ParamTypes": [
                "String",
                "String",
                "String",
                "String",
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "VDR104": {
            "Description": "The secure virtual disk operation was successful on the security capable virtual disk identified in the message. A security capable virtual disk is created using only Self-Encrypting Drives (SED).",
            "Message": "Successfully secured %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "VDR11": {
            "Description": "This message is generated after initialization of a virtual disk starts.",
            "Message": "%1 has started initializing.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "VDR12": {
            "Description": "This message is generated after reconfiguration of a virtual disk starts.",
            "Message": "Reconfiguration has started for %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "VDR13": {
            "Description": "This alert is provided for informational purposes.",
            "Message": "%1 rebuild has started.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "VDR14": {
            "Description": "A user cancelled the consistency check operation for a virtual disk.",
            "Message": "The consistency check on %1 was cancelled.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "VDR15": {
            "Description": "The initialization operation could not be completed. This may be due to a user action or a physical disk failure.",
            "Message": "Initialization of %1 was cancelled.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "If a physical disk failed, then replace the physical disk. Restart the virtual disk initialization.",
            "Severity": "Informational"
        },
        "VDR16": {
            "Description": "A physical disk included in the virtual disk failed or there is an error in the parity information. A failed physical disk causes errors in parity information.",
            "Message": "Consistency check of %1 failed.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Check that all the physical disks of the virtual disk are in a healthy condition. Replace any disks that are not healthy and restart the operation. If this is not the problem, delete the virtual disk and restore the data to the disk from a backup copy.",
            "Severity": "Critical"
        },
        "VDR17": {
            "Description": "A physical disk included in the virtual disk failed.",
            "Message": "%1 format failed.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Replace the failed physical disk. Identify the failed physical disk by locating the disk that has a red \"X\" for its status. Rebuild the physical disk. When finished, restart the virtual disk format operation.",
            "Severity": "Critical"
        },
        "VDR18": {
            "Description": "A physical disk included in the virtual disk has failed or was removed.",
            "Message": "Initialization of %1 has failed.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "If a physical disk has failed, replace the physical disk. Restart the virtual disk initialization.",
            "Severity": "Critical"
        },
        "VDR19": {
            "Description": "The reconfiguration operation was not completed. This may be due to a user action or a physical disk failure.",
            "Message": "Reconfiguration of %1 has failed.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Recreate the virtual disk and restore data from a backup copy.",
            "Severity": "Critical"
        },
        "VDR2": {
            "Description": "The virtual disk has returned to a healthy state and is working properly.",
            "Message": "%1 returned to optimal state.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "VDR20": {
            "Description": "A physical disk included in the virtual disk has failed or is corrupt. You may also have cancelled the rebuild.",
            "Message": "%1 rebuild failed.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Replace the failed or corrupt disk. You can identify a disk that has failed by locating the disk that has a red \"X\" for its status. Restart the virtual disk rebuild.",
            "Severity": "Critical"
        },
        "VDR21": {
            "Description": "This message is generated after a consistency check completes on a virtual disk.",
            "Message": "Consistency check for %1 has completed.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "VDR22": {
            "Description": "This alert is provided for informational purposes.",
            "Message": "Formatting the %1 is completed.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "VDR23": {
            "Description": "This message is generated after initialization completes on a virtual disk.",
            "Message": "Initialization of %1 has completed.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "VDR24": {
            "Description": "The re-configuration operation on the virtual disk completed.",
            "Message": "Reconfiguration of %1 has completed.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "VDR25": {
            "Description": "This alert is provided for informational purposes.",
            "Message": "%1 rebuild is completed.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "VDR26": {
            "Description": "You paused the Check Consistency operation on a virtual disk.",
            "Message": "The check consistency on a %1 has been paused (suspended).",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "To resume the Check Consistency operation, right-click the virtual disk in the Storage Management tree view and select Resume Check Consistency.",
            "Severity": "Informational"
        },
        "VDR27": {
            "Description": "The check consistency on a virtual disk has resumed processing after a pause.",
            "Message": "The consistency check on a %1 has been resumed.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "This alert is provided for informational purposes.",
            "Severity": "Informational"
        },
        "VDR28": {
            "Description": "A user has caused a mirrored virtual disk to be split. When a virtual disk is mirrored, its data is copied to another virtual disk to maintain redundancy. After being split, both virtual disks retain a copy of the data. Because the mirror is no longer intact, updates to the data are no longer copied to the mirror.",
            "Message": "A virtual disk and its mirror have been split.",
            "NumberOfArgs": 0,
            "Resolution": "This alert is provided for informational purposes.",
            "Severity": "Informational"
        },
        "VDR29": {
            "Description": "A mirrored virtual disk is un-mirrored. When a virtual disk is mirrored, its data is copied to another virtual disk to maintain redundancy. After being un-mirrored, the disk formerly used as the mirror returns to being a physical disk and becomes available for inclusion in another virtual disk.",
            "Message": "A mirrored virtual disk has been un-mirrored.",
            "NumberOfArgs": 0,
            "Resolution": "This alert is provided for informational purposes.",
            "Severity": "Informational"
        },
        "VDR3": {
            "Description": "Data redundancy has been restored to a virtual disk that previously suffered a loss of redundancy.",
            "Message": "Redundancy normal on %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "This alert is provided for informational purposes.",
            "Severity": "Informational"
        },
        "VDR30": {
            "Description": "A user changed the write policy for a virtual disk.",
            "Message": "%1 write policy has changed.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "This alert is provided for informational purposes.",
            "Severity": "Informational"
        },
        "VDR31": {
            "Description": "The controller is getting disconnected from its virtual disk, while Input Output (IO) is in-progress.",
            "Message": "Controller cache is preserved for missing or offline %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Try importing foreign disks, if any. Check if the enclosure containing the Virtual Disk is disconnected from the controller. Insert any disks that are reported missing or failed. If the enclosure or disks were removed intentionally, the preserved cache can be discarded. See storage hardware documentation for more information on performing these steps.",
            "Severity": "Warning"
        },
        "VDR32": {
            "Description": "Background initialization of a virtual disk has started. This is an automated process that writes the parity or mirror data on newly created virtual disks.",
            "Message": "Background initialization has started for %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "VDR33": {
            "Description": "Background initialization of a virtual disk was cancelled. This may be due to user action. This operation may automatically restart.",
            "Message": "Background initialization was cancelled for %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "VDR34": {
            "Description": "Background initialization of a virtual disk failed.",
            "Message": "Background initialization failed for %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Run a consistency check on the virtual disk. If that fails, check the health of the member drives of the virtual disk and then recreate.",
            "Severity": "Critical"
        },
        "VDR35": {
            "Description": "Background initialization of a virtual disk completed.",
            "Message": "Background initialization has completed for %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "VDR36": {
            "Description": "Virtual disk initialization is in-progress. This alert is provided for informational purposes.",
            "Message": "%1 initialization is in-progress %2.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "VDR37": {
            "Description": "Disk space that was formerly \"dead\" or inaccessible to a redundant virtual disk has been restored. This alert is provided for informational purposes.",
            "Message": "Dead disk segments are restored on %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "VDR38": {
            "Description": "A user renamed a virtual disk. This alert is provided for informational purposes.",
            "Message": "%1 is renamed.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "VDR39": {
            "Description": "The virtual disk check consistency has identified issues and made corrections. For example, the check consistency may have encountered a bad disk block and remapped the disk block to restore data consistency. This alert is provided for informational purposes.",
            "Message": "The check consistency has made corrections and completed for %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required. As a precaution, monitor the Log for other errors related to this virtual disk. If problems persist, contact technical support.",
            "Severity": "Informational"
        },
        "VDR4": {
            "Description": "This message is generated after a virtual disk was created on a controller.",
            "Message": "%1 was created.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "VDR40": {
            "Description": "This message is generated after the reconfiguration of a virtual disk resumes.",
            "Message": "The reconfiguration of %1 has resumed.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "VDR41": {
            "Description": "This alert is provided for informational purposes.",
            "Message": "%1 read policy has changed.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "VDR42": {
            "Description": "This alert is provided for informational purposes.",
            "Message": "Dedicated hot spare assigned physical disk %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "VDR43": {
            "Description": "This alert is provided for informational purposes.",
            "Message": "Dedicated hot spare unassigned physical disk %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "VDR44": {
            "Description": "This alert is provided for informational purposes.",
            "Message": "%1 disk cache policy has changed.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "VDR45": {
            "Description": "This alert is provided for informational purposes.",
            "Message": "%1 blink has been initiated.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "VDR46": {
            "Description": "This alert is provided for informational purposes.",
            "Message": "%1 blink has ceased.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "VDR47": {
            "Description": "A disk media error was detected while the controller was completing a background task. A bad disk block was identified. The disk block was remapped.",
            "Message": "A disk media error was corrected on %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Check the Lifecycle log for information related to members of this virtual disk.",
            "Severity": "Informational"
        },
        "VDR48": {
            "Description": "This alert is provided for informational purposes. The virtual disk has inconsistent data. This may be caused when a power loss or system shutdown occurs while data is being written to the virtual disk.",
            "Message": "%1 has inconsistent data.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "VDR49": {
            "Description": "A redundant virtual disk has lost redundancy. This may occur when the virtual disk suffers the failure of more than one physical disk. In this case, both the source physical disk and the target disk with redundant data have failed. A rebuild is not possible because there is no longer redundancy.",
            "Message": "%1 is permanently degraded.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Replace the failed disks and restore from backup.",
            "Severity": "Critical"
        },
        "VDR5": {
            "Description": "The controller removed a virtual disk. This is due to a delete virtual disk operation, a reset configuration operation, or the removal of every physical disk that was a member of the virtual disk.",
            "Message": "%1 was deleted.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "VDR50": {
            "Description": "The background initialization task encountered errors that cannot be corrected. The virtual disk contains physical disks that have unusable disk space or disk errors that cannot be corrected.",
            "Message": "Background Initialization (BGI) completed with uncorrectable errors on %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Review other messages to identify whether the physical disk that has errors. If the virtual disk is redundant, you can replace the physical disk and continue using the virtual disk. If the virtual disk is non-redundant, you need to recreate the virtual disk after replacing the physical disk. After replacing the physical disk, run a consistency check to verify the data.",
            "Severity": "Critical"
        },
        "VDR51": {
            "Description": "The consistency check completed on the virtual disk after making corrections.",
            "Message": "The consistency check process made corrections and completed on %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "VDR52": {
            "Description": "The data on physical disk members of the virtual disk does not match. Redundancy may be lost.",
            "Message": "The consistency check found inconsistent parity data on %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Rerun the consistency check task. If you receive this message again, verify the health of the physical disks included in the virtual disk. See the storage hardware documentation for more information. Review messages for significant messages related to the physical disks. If a physical disk has a problem, replace it and restore from a backup copy. Contact technical support if the issue persists.",
            "Severity": "Warning"
        },
        "VDR53": {
            "Description": "The consistency check can no longer report errors in the parity data.",
            "Message": "The consistency check logging of inconsistent parity data is disabled for %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "See the storage hardware documentation for more information on consistency check operation. Contact technical support.",
            "Severity": "Warning"
        },
        "VDR54": {
            "Description": "You have cancelled the virtual disk initialization.",
            "Message": "%1 initialization is terminated.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Restart the initialization.",
            "Severity": "Warning"
        },
        "VDR55": {
            "Description": "The controller cannot communicate with attached devices. A disk may be removed or contain errors. Cables may also be loose or defective.",
            "Message": "%1 initialization has failed.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Verify the health of attached devices. Review the Alert Log for significant events. Make sure the cables are attached securely. See the Cables Attached Correctly section for more information on checking the cables.",
            "Severity": "Critical"
        },
        "VDR56": {
            "Description": "This message occurs when a physical disk in the disk group was removed or when a physical disk included in a redundant virtual disk fails. Because the virtual disk is redundant (uses mirrored or parity information) and only one physical disk has failed, the virtual disk can be rebuilt. Typically, the virtual disk (E.g. RAID 6) has multiple redundant disks and there is a problem with one of them.",
            "Message": "Redundancy of %1 has been degraded.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Replace the missing or failed physical disk.",
            "Severity": "Critical"
        },
        "VDR57": {
            "Description": "A disk media error was detected while the controller was completing a background task. A bad disk block was identified. The disk block has been remapped.",
            "Message": "Background Initialization in %1 corrected medium error.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Consider replacing the disk. If you receive this alert frequently, ensure to replace the disk. It is recommended to routinely back up your data.",
            "Severity": "Informational"
        },
        "VDR58": {
            "Description": "Virtual disk bad blocks are due to presence of unrecoverable bad blocks on one or more member physical disks.",
            "Message": "Bad block medium error is detected at block %1 on %2.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "Recovering a physical disk bad block depends on the RAID level and state of the virtual disk. If a virtual disk is redundant, the controller can recover a bad block on a physical disk. If a virtual disk is not redundant, then the physical disk bad block results in a virtual disk bad block.",
            "Severity": "Critical"
        },
        "VDR59": {
            "Description": "This alert message occurs if virtual disk security has failed.",
            "Message": "%1 security has failed.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "VDR6": {
            "Description": "This alert is provided for informational purposes.",
            "Message": "%1 configuration has changed.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "VDR60": {
            "Description": "There are two modes of virtual disk initialization, full and fast. This initialization type identified in the message is running on the virtual disk identified in the message.",
            "Message": "%1 initialization is in progress on %2.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "VDR7": {
            "Description": "One or more physical disks included in the virtual disk have failed. If the virtual disk is non-redundant (does not use mirrored or parity data), then the failure of a single physical disk can cause the virtual disk to fail. If the virtual disk is redundant, then more physical disks have failed than you can rebuild using mirrored or parity information.",
            "Message": "%1 has failed.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Create a new virtual disk and restore from a backup.",
            "Severity": "Critical"
        },
        "VDR8": {
            "Description": "The virtual drive on the Controller identified in the message is degraded either because the physical disk drive in the drive group is removed or the physical disk drive added in a redundant virtual drive has failed.",
            "Message": "%1 is degraded either because the physical disk drive in the drive group is removed or the physical disk drive added in a redundant virtual drive has failed.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Do the following and retry the operation: 1) Insert a physical disk drive. After the drive is inserted, the previous data is automatically rebuilt by the system. 2) If not already done, configure a hot-spare for the virtual drive. 3) If a physical disk drive is removed from the disk drive group, either replace the disk or restore the original disk drive.",
            "Severity": "Warning"
        },
        "VDR9": {
            "Description": "A consistency check operation on a virtual disk has started.",
            "Message": "%1 consistency check has started.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "VDR91": {
            "Description": "This message occurs if there are medium errors in the physical drives.",
            "Message": "Consistency check for %1 has detected multiple uncorrectable medium errors.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Replace the failed drives.",
            "Severity": "Critical"
        },
        "VDR92": {
            "Description": "This message occurs if there are medium errors in the physical drives.",
            "Message": "Consistency check for %1 has completed with uncorrectable errors.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Replace the failed drives.",
            "Severity": "Critical"
        },
        "VDR93": {
            "Description": "This alert message occurs if there are medium errors in the physical drives.",
            "Message": "%1 bad block medium error is cleared.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "VDR94": {
            "Description": "This message occurs if the controller pinned cache is recovered.",
            "Message": "Controller preserved cache was recovered for %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "VDR95": {
            "Description": "This alert message occurs if the virtual disk has bad blocks.",
            "Message": "Unable to log block %1.Bad block table on %2 is full.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "Replace the disk in the Virtual disk, generating this alert and restore from backup. You may have lost data.",
            "Severity": "Informational"
        },
        "VDR96": {
            "Description": "This message occurs if the virtual disk has bad blocks.",
            "Message": "Bad block table on %1 is 80 percent full.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Replace the disk in the Virtual disk, generating this message.",
            "Severity": "Informational"
        },
        "VDR97": {
            "Description": "The Patrol Read task has encountered an error such as a bad disk block and remapped data to correct the error.",
            "Message": "Patrol Read corrected a media error on %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "VDR98": {
            "Description": "The virtual disk identified in the message has changed active paths. This can be because of an attempt to optimize the throughput of the system or it could be because of a controller failover.",
            "Message": "%1 has switched active controllers. Its active path is now through %2.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "VDR99": {
            "Description": "The virtual disk identified in the message cannot be used because of an ID conflict with another virtual disk.",
            "Message": "%1 is unavailable because of an ID conflict in the fault-tolerant pair.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Power cycle the system chassis to restore the virtual disk. If this does not correct the problem then contact your service provider.",
            "Severity": "Warning"
        },
        "VF001": {
            "Description": "The command was successful.",
            "Message": "Command successful.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "VF002": {
            "Description": "The operation did not complete successfully because of an internal issue with the firmware.",
            "Message": "General failure.",
            "NumberOfArgs": 0,
            "Resolution": "Do one of the following: 1) Rerun the command after about 2 minutes 2) Reset iDRAC and rerun the command.",
            "Severity": "Critical"
        },
        "VF003": {
            "Description": "The required input parameter identified in the message is missing.",
            "Message": "Missing required parameter: %1",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Refer the iDRAC and Lifecycle Controller User Guides for the required input parameters for this method.",
            "Severity": "Warning"
        },
        "VF004": {
            "Description": "The value of the input parameter identified in the message is not a valid value.",
            "Message": "Invalid value for the parameter: %1",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Refer the iDRAC and Lifecycle Controller User Guides for the required input parameters for this method.",
            "Severity": "Warning"
        },
        "VF005": {
            "Description": "A partition with no image was created.",
            "Message": "Empty partition creation successful",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "VF006": {
            "Description": "Creating a partition without image failed.",
            "Message": "Empty partition creation failed",
            "NumberOfArgs": 0,
            "Resolution": "Do one of the following: 1) Rerun the command after about 2 minutes 2) Reset iDRAC and rerun the command.",
            "Severity": "Critical"
        },
        "VF0060": {
            "Description": "The SD card was not detected. Therefore, the requested operation cannot be completed.",
            "Message": "Unable to perform the requested operation. Make sure the SD card is inserted and enabled.",
            "NumberOfArgs": 0,
            "Resolution": "Verify whether the SD card is inserted and enabled, then re-try.",
            "Severity": "Critical"
        },
        "VF007": {
            "Description": "A partition with an image was created.",
            "Message": "Image partition creation successful",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "VF008": {
            "Description": "Creating a partition with an image did not complete successfully.",
            "Message": "Image partition creation did not complete successfully.",
            "NumberOfArgs": 0,
            "Resolution": "Do one of the following: 1) Rerun the command after about 2 minutes, 2) Reset iDRAC and rerun the command.",
            "Severity": "Critical"
        },
        "VF009": {
            "Description": "The specified partition was formatted.",
            "Message": "Partition formatting successful",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "VF010": {
            "Description": "Formatting the specified partition did not complete successfully.",
            "Message": "Partition formatting did not complete successfully.",
            "NumberOfArgs": 0,
            "Resolution": "Do one of the following: 1) Rerun the command after about 2 minutes 2) Reset iDRAC and rerun the command.",
            "Severity": "Critical"
        },
        "VF011": {
            "Description": "The specified password was not correct.",
            "Message": "Wrong password",
            "NumberOfArgs": 0,
            "Resolution": "Verify the password supplied.",
            "Severity": "Warning"
        },
        "VF012": {
            "Description": "There is no SD card detected.",
            "Message": "SD card not present",
            "NumberOfArgs": 0,
            "Resolution": "Check the SD card slot.",
            "Severity": "Warning"
        },
        "VF013": {
            "Description": "The SD card is locked by another operation.",
            "Message": "SD card locked",
            "NumberOfArgs": 0,
            "Resolution": "Rerun the command after about 2 minutes.",
            "Severity": "Warning"
        },
        "VF014": {
            "Description": "Enabling vFlash was not successful because the vFlash feature is not disabled.",
            "Message": "vFlash not disabled.",
            "NumberOfArgs": 0,
            "Resolution": "The vFlash is enabled and any attempt to enable it will not be successful.",
            "Severity": "Warning"
        },
        "VF015": {
            "Description": "Disabling vFlash was not successful because the vFlash feature is not enabled.",
            "Message": "vFlash not enabled.",
            "NumberOfArgs": 0,
            "Resolution": "The vFlash is disabled and an attempts to disable it will not be successful.",
            "Severity": "Warning"
        },
        "VF016": {
            "Description": "The SD card is not writable.",
            "Message": "SD card is read only",
            "NumberOfArgs": 0,
            "Resolution": "Check the write-protection tab of the SD card.",
            "Severity": "Informational"
        },
        "VF017": {
            "Description": "The SD card is not initialized.",
            "Message": "SD card not initialized",
            "NumberOfArgs": 0,
            "Resolution": "In order to perform this operation, first initialize the SD Card.",
            "Severity": "Informational"
        },
        "VF018": {
            "Description": "The specified partition index is not valid for the command.",
            "Message": "Invalid partition index",
            "NumberOfArgs": 0,
            "Resolution": "Check that the partition exists.",
            "Severity": "Warning"
        },
        "VF019": {
            "Description": "The SD card is full.",
            "Message": "Not enough space on SD card",
            "NumberOfArgs": 0,
            "Resolution": "Check all the partitions, delete the ones that are not necessary and try this operation again.",
            "Severity": "Informational"
        },
        "VF020": {
            "Description": "The number of partitions exceeded the maximum number allowed on a SD card.",
            "Message": "Exceeded maximum number of partitions",
            "NumberOfArgs": 0,
            "Resolution": "This SD card has reached the partition limit. Delete any partitions that are not necessary and try again.",
            "Severity": "Informational"
        },
        "VF021": {
            "Description": "The size specified is greater than the maximum allowed for a partition.",
            "Message": "Exceeded maximum partition size of 4GB",
            "NumberOfArgs": 0,
            "Resolution": "Try a partition size that is smaller than 4GB and the available space on the card.",
            "Severity": "Informational"
        },
        "VF022": {
            "Description": "The size specified is lower than the minimum allowed for a partition.",
            "Message": "Partition size below minimum",
            "NumberOfArgs": 0,
            "Resolution": "Try a larger partition size.",
            "Severity": "Informational"
        },
        "VF023": {
            "Description": "Partition with this label exists. Duplicate labels are not supported.",
            "Message": "Partition label not unique",
            "NumberOfArgs": 0,
            "Resolution": "Try a different partition label.",
            "Severity": "Informational"
        },
        "VF024": {
            "Description": "The partition is locked by another operation.",
            "Message": "Partition locked",
            "NumberOfArgs": 0,
            "Resolution": "Wait for the partition to be unlocked and check the partition status to see if it is attached.",
            "Severity": "Warning"
        },
        "VF025": {
            "Description": "Partition is read only.",
            "Message": "Partition is read only",
            "NumberOfArgs": 0,
            "Resolution": "To perform a write operation on this partition, change its access type to read-write and try this operation again.",
            "Severity": "Informational"
        },
        "VF026": {
            "Description": "This partition index has already been used.",
            "Message": "Partition index in use",
            "NumberOfArgs": 0,
            "Resolution": "This partition index has already been used. Try a different index.",
            "Severity": "Informational"
        },
        "VF027": {
            "Description": "This partition is attached and attempts to attach it will fail.",
            "Message": "Partition already attached",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "VF028": {
            "Description": "This partition is detached and attempts to detach it will fail.",
            "Message": "Partition already detached",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "VF029": {
            "Description": "The user account credentials provided for this vFlash operation do not have the correct privileges. Virtual Media Access privilege is required to perform vFlash SD Card media operations.",
            "Message": "Insufficient permission",
            "NumberOfArgs": 0,
            "Resolution": "Use a different user account the has Virtual Media Access privilege.",
            "Severity": "Warning"
        },
        "VF030": {
            "Description": "The specified hash type is not a valid type.",
            "Message": "Invalid hash type",
            "NumberOfArgs": 0,
            "Resolution": "Provide a valid hash type.",
            "Severity": "Warning"
        },
        "VF031": {
            "Description": "The specified partition label is not a valid label.",
            "Message": "Invalid partition label.",
            "NumberOfArgs": 0,
            "Resolution": "Try a label that complies with the standards for an OS volume label.",
            "Severity": "Warning"
        },
        "VF032": {
            "Description": "The specified partition type is not a valid type.",
            "Message": "Invalid partition type.",
            "NumberOfArgs": 0,
            "Resolution": "Try a partition type that is supported.",
            "Severity": "Warning"
        },
        "VF033": {
            "Description": "The specified format type is not a valid type.",
            "Message": "Invalid partition format type.",
            "NumberOfArgs": 0,
            "Resolution": "Try a format type that is supported.",
            "Severity": "Warning"
        },
        "VF034": {
            "Description": "The specified partition access type is not a valid type.",
            "Message": "Invalid partition access type.",
            "NumberOfArgs": 0,
            "Resolution": "Try a partition access type that is supported.",
            "Severity": "Warning"
        },
        "VF035": {
            "Description": "The image file is not valid.",
            "Message": "Invalid image.",
            "NumberOfArgs": 0,
            "Resolution": "Check the image file provided.",
            "Severity": "Warning"
        },
        "VF036": {
            "Description": "The partition was attached.",
            "Message": "Attach partition successful.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "VF037": {
            "Description": "The attaching partition operation did not complete successfully.",
            "Message": "Attach partition operation did not complete successfully.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Warning"
        },
        "VF038": {
            "Description": "The partition was detached.",
            "Message": "Detach partition successful",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "VF039": {
            "Description": "The detaching partition operation did not complete successfully.",
            "Message": "Detach partition operation did not complete successfully.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Warning"
        },
        "VF040": {
            "Description": "The downloaded image did not successfully complete the hash verification.",
            "Message": "Image hash verification was not successful.",
            "NumberOfArgs": 0,
            "Resolution": "Try the download again. If this issue persists, check the network connectivity.",
            "Severity": "Warning"
        },
        "VF041": {
            "Description": "The remote share could not be mounted.",
            "Message": "Remote mount was not successful.",
            "NumberOfArgs": 0,
            "Resolution": "Try the operation again. If this problem persists, check your login credentials and network.",
            "Severity": "Warning"
        },
        "VF042": {
            "Description": "The remote file could not be found.",
            "Message": "Remote file missing.",
            "NumberOfArgs": 0,
            "Resolution": "Check the mount area.",
            "Severity": "Warning"
        },
        "VF043": {
            "Description": "The file size is too large to be used.",
            "Message": "Remote file too large.",
            "NumberOfArgs": 0,
            "Resolution": "Try a smaller file.",
            "Severity": "Warning"
        },
        "VF044": {
            "Description": "File transfer was not successful. This could be because of network problems or an operational problem with the file server.",
            "Message": "TFTP download operation was not successful.",
            "NumberOfArgs": 0,
            "Resolution": "Try the download again. If the issue persists, validate that the network share is operational.",
            "Severity": "Warning"
        },
        "VF045": {
            "Description": "File transfer was not successful. This could be because of network problems or an operational problem with the file server.",
            "Message": "FTP download operation was not successful.",
            "NumberOfArgs": 0,
            "Resolution": "Try the download again. If the issue persists, validate that the network share is operational.",
            "Severity": "Warning"
        },
        "VF046": {
            "Description": "File transfer was not successful. This could be because of network problems or an operational problem with the file server.",
            "Message": "HTTP download operation was not successful.",
            "NumberOfArgs": 0,
            "Resolution": "Try the download again. If the issue persists, validate that the network share is operational.",
            "Severity": "Warning"
        },
        "VF047": {
            "Description": "This is not a Dell-licensed VFlash.",
            "Message": "Unsupported SD Card.",
            "NumberOfArgs": 0,
            "Resolution": "This feature requires a Dell SD card.",
            "Severity": "Informational"
        },
        "VF048": {
            "Description": "The SD card was initialized.",
            "Message": "Initialize media successful.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "VF049": {
            "Description": "The initializing SD card operation did not complete successfully.",
            "Message": "Initialize media operation did not complete successfully.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Warning"
        },
        "VF050": {
            "Description": "The partition was copied.",
            "Message": "Export partition successful.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "VF051": {
            "Description": "The copying partition operation did not complete successfully.",
            "Message": "Export partition operation did not complete successfully.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Warning"
        },
        "VF052": {
            "Description": "The device is not ready to access media information.",
            "Message": "Media not ready.",
            "NumberOfArgs": 0,
            "Resolution": "Try the operation later again.",
            "Severity": "Warning"
        },
        "VF053": {
            "Description": "CreatePartitionUsingImage method cannot be completed because the URI and Share Type entered do not match.",
            "Message": "Unable to CreatePartition because the URI and Share Type entered do not match.",
            "NumberOfArgs": 0,
            "Resolution": "Make sure that the URI and Share Type match, and then retry the operation.",
            "Severity": "Informational"
        },
        "VFL0001": {
            "Description": "The requested operation for the vFlash SD Card completed successfully.",
            "Message": "The vFlash SD Card operation is successful.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "VFL0002": {
            "Description": "The status of vFlash SD Card or the vFlash media partition cannot be obtained, because some of the iDRAC services are busy.",
            "Message": "Unable to query the vFlash media status.",
            "NumberOfArgs": 0,
            "Resolution": "Retry the operation. If the issue persists, restart the iDRAC and retry the operation. If the issue continues to persist, contact your service provider.",
            "Severity": "Critical"
        },
        "VFL0003": {
            "Description": "The partition number identified in the message cannot be queried, because identified partition does not exist.",
            "Message": "Partition %1 does not exist.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Use a partition number of an existing partition for the requested operation.",
            "Severity": "Informational"
        },
        "VFL0004": {
            "Description": "The requested vFlash media operation could not be performed, because some of the iDRAC services are busy.",
            "Message": "Unable to perform the vFlash media operation.",
            "NumberOfArgs": 0,
            "Resolution": "Retry the operation. If the issue persists, restart the iDRAC and retry the operation. If the issue continues to persist, contact your service provider.",
            "Severity": "Critical"
        },
        "VFL0005": {
            "Description": "There are no vFlash partitions available currently for the display.",
            "Message": "No vFlash partitions exist.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "VFL0007": {
            "Description": "The operations could not be completed because a vFlash SD Card is not detected.",
            "Message": "No vFlash SD card is present.",
            "NumberOfArgs": 0,
            "Resolution": "Confirm an SD Card is present in the vFlash SD Card reader slot. Otherwise, insert an SD Card and retry the operation.",
            "Severity": "Critical"
        },
        "VFL0009": {
            "Description": "Unable to access the vFlash media, because another operation is currently using the vFlash media.",
            "Message": "vFlash media is currently in use by another operation.",
            "NumberOfArgs": 0,
            "Resolution": "Wait until the vFlash media is available for the requested operation, and then retry the operation.",
            "Severity": "Warning"
        },
        "VFL0010": {
            "Description": "Another operation is currently in progress on the SD card.",
            "Message": "An operation is in progress on the SD card.",
            "NumberOfArgs": 0,
            "Resolution": "Wait until the current operation is completed, and then retry the requested operation.",
            "Severity": "Informational"
        },
        "VFL0011": {
            "Description": "The vFlash media is not disabled.",
            "Message": "vFlash media is not disabled.",
            "NumberOfArgs": 0,
            "Resolution": "Disable the vFlash media by running the command 'racadm set idrac.vFlashSD.Enable 0'.",
            "Severity": "Informational"
        },
        "VFL0012": {
            "Description": "The vFlash media is not enabled.",
            "Message": "vFlash media is not enabled.",
            "NumberOfArgs": 0,
            "Resolution": "Enable the vFlash media by running the command 'racadm set idrac.vFlashSD.Enable 1'.",
            "Severity": "Informational"
        },
        "VFL0013": {
            "Description": "The request could not be successfully completed, because the vFlash SD Card is in read-only mode. Write operations cannot be performed on the card.",
            "Message": "The vFlash SD Card is in read-only mode.",
            "NumberOfArgs": 0,
            "Resolution": "Change the access mode on the vFlash SD Card to read-write.",
            "Severity": "Informational"
        },
        "VFL0014": {
            "Description": "The vFlash SD card is not initialized. Either the card is not properly formatted or it may not be supported.",
            "Message": "The vFlash SD card is not initialized.",
            "NumberOfArgs": 0,
            "Resolution": "Format the vFlash SD card by running the command \"racadm vflashsd initialize\". Make sure that the card is supported by contacting your service provider for a list of supported SD card types.",
            "Severity": "Informational"
        },
        "VFL0015": {
            "Description": "The request could not be successfully completed, because the vFlash SD Card partition is in read-only mode. Write operations cannot be performed on the card partition.",
            "Message": "vFlash media partition is of read-only type.",
            "NumberOfArgs": 0,
            "Resolution": "Change the partition access type to read-write by running the command 'racadm set idrac.vFlashPartition.<index>.accesstype 1'.",
            "Severity": "Informational"
        },
        "VFL0016": {
            "Description": "The requested vFlash media partition is already attached to the host operating system.",
            "Message": "vFlash media partition is already in attached state.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "VFL0017": {
            "Description": "The file system on the specified vFlash media partition could not be recognized. Data on the partition may be corrupted.",
            "Message": "Unable to perform the vFlash media operation because the vFlash media partition is corrupted.",
            "NumberOfArgs": 0,
            "Resolution": "Format the vFlash SD Card using the 'racadm vflashsd initialize' command and retry the operation.",
            "Severity": "Informational"
        },
        "VFL0018": {
            "Description": "The requested operation is currently in progress.",
            "Message": "The requested operation is in progress.",
            "NumberOfArgs": 0,
            "Resolution": "Wait for the requested operation to complete.",
            "Severity": "Informational"
        },
        "VFL0019": {
            "Description": "The requested vFlash media partition is already detached from the host operating system.",
            "Message": "The vFlash media partition is already in detached state.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "VFL0020": {
            "Description": "The vFlash SD card is currently in use by another operation.",
            "Message": "vFlash SD card is not ready.",
            "NumberOfArgs": 0,
            "Resolution": "Wait for the current vFlash SD card operation to finish, and they retry.",
            "Severity": "Informational"
        },
        "VFL0021": {
            "Description": "The requested operation cannot be performed if one of the vFlash SD cards is in an 'attached' state.",
            "Message": "One of the vFlash SD Card partitions is already attached to the host operating system.",
            "NumberOfArgs": 0,
            "Resolution": "Detach the vFlash SD Card partitions by running the racadm command \"racadm set iDRAC.vflashpartition.<partition number>.attachstate 0\". and retry the operation.",
            "Severity": "Informational"
        },
        "VFL0703": {
            "Description": "None.",
            "Message": "The SD card initialization was successful.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "VFL0704": {
            "Description": "None.",
            "Message": "SD card is not present and could not be initialized.",
            "NumberOfArgs": 0,
            "Resolution": "Insert the SD card and try again.",
            "Severity": "Critical"
        },
        "VFL0705": {
            "Description": "An error has occurred while initializing the SD card. The SD card is not present or vFlash is not enabled, or the SD card is write-protected.",
            "Message": "Error occurred and SD card could not be initialized.",
            "NumberOfArgs": 0,
            "Resolution": "Re-insert the SD card, enable the SD card, or disable write-protection on the SD card. Then try to initialize the SD card again.",
            "Severity": "Critical"
        },
        "VFL0708": {
            "Description": "None.",
            "Message": "SD card is busy with another operation and could not be initialized.",
            "NumberOfArgs": 0,
            "Resolution": "Retry after a few minutes.",
            "Severity": "Critical"
        },
        "VFL0710": {
            "Description": "None.",
            "Message": "vFlash is not enabled; the SD card could not be initialized.",
            "NumberOfArgs": 0,
            "Resolution": "Enable vFlash and try again.",
            "Severity": "Critical"
        },
        "VFL0711": {
            "Description": "An error occurred while initializing the SD card because the SD card write-protection feature is enabled.",
            "Message": "SD card is write-protected and could not be initialized.",
            "NumberOfArgs": 0,
            "Resolution": "Move the SD card write-protection tab to the disabled position and try again.",
            "Severity": "Critical"
        },
        "VFL0712": {
            "Description": "None.",
            "Message": "One or more partitions are busy with another operation; the SD card could not be initialized.",
            "NumberOfArgs": 0,
            "Resolution": "Retry the task after a few minutes.",
            "Severity": "Critical"
        },
        "VFL0713": {
            "Description": "None.",
            "Message": "One or more partitions are currently attached; the SD card could not be initialized.",
            "NumberOfArgs": 0,
            "Resolution": "Detach the partitions and try again.",
            "Severity": "Critical"
        },
        "VFL0714": {
            "Description": "None.",
            "Message": "SD card is not ready and could not be initialized.",
            "NumberOfArgs": 0,
            "Resolution": "Retry after a few minutes.",
            "Severity": "Critical"
        },
        "VFL0715": {
            "Description": "None.",
            "Message": "Error occurred while initializing the SD Card due to insufficient permission.",
            "NumberOfArgs": 0,
            "Resolution": "Contact the administrator for the required permissions and try again.",
            "Severity": "Critical"
        },
        "VFL0716": {
            "Description": "An error has occurred while initializing SD Card because the SD card is not an approved vFlash SD card.",
            "Message": "SD Card is not a vFlash SD Card; the SD card could not be initialized.",
            "NumberOfArgs": 0,
            "Resolution": "Insert a vFlash SD card and try again.",
            "Severity": "Critical"
        },
        "VFL0719": {
            "Description": "The SD card is in use by another process. Initialization requires exclusive access to the SD card to complete the initialization.",
            "Message": "One or more partitions are in use; the SD card could not be initialized.",
            "NumberOfArgs": 0,
            "Resolution": "The SD card is in use by another process. Retry after a few minutes.",
            "Severity": "Critical"
        },
        "VFL0721": {
            "Description": "The SD card Initialization did not complete within the maximum process allotted time.",
            "Message": "Error occurred while initializing the SD Card due to a timeout.",
            "NumberOfArgs": 0,
            "Resolution": "Retry after a few minutes.",
            "Severity": "Critical"
        },
        "VFL1001": {
            "Description": "None.",
            "Message": "Removable Flash Media %1 is present.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "VFL1002": {
            "Description": "None.",
            "Message": "Removable Flash Media %1 is IPMI-function ready.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "VFL1003": {
            "Description": "The removable flash media is installed but improperly configured or failed to initialize.",
            "Message": "Removable Flash Media %1 is not IPMI-function ready.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "If unintended, reinstall the flash media and module.",
            "Severity": "Warning"
        },
        "VFL1004": {
            "Description": "None.",
            "Message": "Removable Flash Media %1 is ready.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "VFL1005": {
            "Description": "The media is being prepared or is under maintenance. If the problem persists, reinstall the card.",
            "Message": "Removable Flash Media %1 is not ready.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Please wait for the media to be ready.",
            "Severity": "Warning"
        },
        "VFL1006": {
            "Description": "At boot, the Card Identification (CID) signature of the card is different from the Non-volatile (NV) storage value or the card is the destination of a copy operation that is in-progress.",
            "Message": "Removable Flash Media %1 is offline.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "If unintended, reinstall the flash media.",
            "Severity": "Warning"
        },
        "VFL1007": {
            "Description": "None.",
            "Message": "Removable Flash Media %1 is online.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "VFL1008": {
            "Description": "An error is reported during a SD card read or write.",
            "Message": "Failure detected on Removable Flash Media %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "Re-install the flash media, if the issue persists replace the media.",
            "Severity": "Critical"
        },
        "VFL1009": {
            "Description": "None.",
            "Message": "Removable Flash Media %1 is operating normally.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "VFL1010": {
            "Description": "None.",
            "Message": "Removable Flash Media %1 was activated.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "VFL1011": {
            "Description": "None.",
            "Message": "Removable Flash Media %1 was deactivated.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "VFL1012": {
            "Description": "None.",
            "Message": "Removable Flash Media %1 is booting.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "VFL1013": {
            "Description": "None.",
            "Message": "Removable Flash Media %1 has finished booting.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "VFL1014": {
            "Description": "The card is write-protected by the physical latch on the SD card. IDSDM cannot use a write-protected card.",
            "Message": "Removable Flash Media %1 is write protected.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "If unintended, remove the media and disable write protection.",
            "Severity": "Warning"
        },
        "VFL1015": {
            "Description": "None.",
            "Message": "Removable Flash Media %1 is writable.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "VFL1016": {
            "Description": "The SD card is not detected or not installed.",
            "Message": "Media not present for Removable Flash Media %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "If unintended, reinstall the flash media.",
            "Severity": "Critical"
        },
        "VFL1017": {
            "Description": "None.",
            "Message": "Media is present for Removable Flash Media %1.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "VFLA1000": {
            "Description": "None.",
            "Message": "Removable Flash Media %1 is absent.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "VLT0100": {
            "Description": "System hardware detected an over voltage or under voltage condition.If multiple voltage exceptions occur consecutively the system may power down in failsafe mode.",
            "Message": "Processor module %1 voltage is less than the lower warning threshold.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "1) Review system logs for power supply exceptions.2) Remove the processor module. Inspect processor socket for bent pins. 3) If the problem persists, contact technical support. Refer to the product documentation to choose a convenient contact method.",
            "Severity": "Warning"
        },
        "VLT0101": {
            "Description": "System hardware detected an over voltage or under voltage condition.If multiple voltage exceptions occur consecutively the system may power down in failsafe mode.",
            "Message": "Processor module %1 voltage is less than the lower critical threshold.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "1) Review system logs for power supply exceptions.2) Remove the processor module. Inspect processor socket for bent pins. 3) If the problem persists, contact technical support. Refer to the product documentation to choose a convenient contact method.",
            "Severity": "Critical"
        },
        "VLT0102": {
            "Description": "System hardware detected an over voltage or under voltage condition.If multiple voltage exceptions occur consecutively the system may power down in failsafe mode.",
            "Message": "Processor module %1 voltage is greater than the upper warning threshold.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "1) Review system logs for power supply exceptions.2) Remove the processor module. Inspect processor socket for bent pins. 3) If the problem persists, contact technical support. Refer to the product documentation to choose a convenient contact method.",
            "Severity": "Warning"
        },
        "VLT0103": {
            "Description": "System hardware detected an over voltage or under voltage condition.If multiple voltage exceptions occur consecutively the system may power down in failsafe mode.",
            "Message": "Processor module %1 voltage is greater than the upper critical threshold.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "1) Review system logs for power supply exceptions.2) Remove the processor module. Inspect processor socket for bent pins. 3) If the problem persists, contact technical support. Refer to the product documentation to choose a convenient contact method.",
            "Severity": "Critical"
        },
        "VLT0104": {
            "Description": "System hardware detected an over voltage or under voltage condition.If multiple voltage exceptions occur consecutively the system may power down in failsafe mode.",
            "Message": "Processor module %1 voltage is outside of range.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "1) Review system logs for power supply exceptions.2) Remove the processor module. Inspect processor socket for bent pins. 3) If the problem persists, contact technical support. Refer to the product documentation to choose a convenient contact method.",
            "Severity": "Critical"
        },
        "VLT0105": {
            "Description": "None.",
            "Message": "Processor module %1 voltage is within range.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "VLT0200": {
            "Description": "System hardware detected an over voltage or under voltage condition.If multiple voltage exceptions occur consecutively the system may power down in failsafe mode.",
            "Message": "The system board %1 voltage is less than the lower warning threshold.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "1) Review system logs for power supply exceptions2) Reduce system to minimum configuration, inspect and re-install system cables. 3) If the problem persists, contact technical support. Refer to the product documentation to choose a convenient contact method.",
            "Severity": "Warning"
        },
        "VLT0201": {
            "Description": "System hardware detected an over voltage or under voltage condition.If multiple voltage exceptions occur consecutively the system may power down in failsafe mode.",
            "Message": "The system board %1 voltage is less than the lower critical threshold.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "1) Review system logs for power supply exceptions2) Reduce system to minimum configuration, inspect and re-install system cables. 3) If the problem persists, contact technical support. Refer to the product documentation to choose a convenient contact method.",
            "Severity": "Critical"
        },
        "VLT0202": {
            "Description": "System hardware detected an over voltage or under voltage condition.If multiple voltage exceptions occur consecutively the system may power down in failsafe mode.",
            "Message": "The system board %1 voltage is greater than the upper warning threshold.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "1) Review system logs for power supply exceptions2) Reduce system to minimum configuration, inspect and re-install system cables. 3) If the problem persists, contact technical support. Refer to the product documentation to choose a convenient contact method.",
            "Severity": "Warning"
        },
        "VLT0203": {
            "Description": "System hardware detected an over voltage or under voltage condition.If multiple voltage exceptions occur consecutively the system may power down in failsafe mode.",
            "Message": "The system board %1 voltage is greater than the upper critical threshold.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "1) Review system logs for power supply exceptions2) Reduce system to minimum configuration, inspect and re-install system cables. 3) If the problem persists, contact technical support. Refer to the product documentation to choose a convenient contact method.",
            "Severity": "Critical"
        },
        "VLT0204": {
            "Description": "System hardware detected an over voltage or under voltage condition.If multiple voltage exceptions occur consecutively the system may power down in failsafe mode.",
            "Message": "The system board %1 voltage is outside of range.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "1) Review system logs for power supply exceptions2) Reduce system to minimum configuration, inspect and re-install system cables. 3) If the problem persists, contact technical support. Refer to the product documentation to choose a convenient contact method.",
            "Severity": "Critical"
        },
        "VLT0205": {
            "Description": "None.",
            "Message": "The system board %1 voltage is within range.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "VLT0206": {
            "Description": "System hardware detected an over voltage or under voltage condition.If multiple voltage exceptions occur consecutively the system may power down in failsafe mode.",
            "Message": "The memory module %1 %2 voltage is less than the lower warning threshold.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "1) Review system logs for power supply exceptions.2) Reseat the memory module.3) If the problem persists, contact technical support. Refer to the product documentation to choose a convenient contact method.",
            "Severity": "Warning"
        },
        "VLT0207": {
            "Description": "System hardware detected an over voltage or under voltage condition.If multiple voltage exceptions occur consecutively the system may power down in failsafe mode.",
            "Message": "The memory module %1 %2 voltage is less than the lower critical threshold.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "1) Review system logs for power supply exceptions.2) Reseat the memory module.3) If the problem persists, contact technical support. Refer to the product documentation to choose a convenient contact method.",
            "Severity": "Critical"
        },
        "VLT0208": {
            "Description": "System hardware detected an over voltage or under voltage condition.If multiple voltage exceptions occur consecutively the system may power down in failsafe mode.",
            "Message": "The memory module %1 %2 voltage is greater than the upper warning threshold.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "1) Review system logs for power supply exceptions.2) Reseat the memory module.3) If the problem persists, contact technical support. Refer to the product documentation to choose a convenient contact method.",
            "Severity": "Warning"
        },
        "VLT0209": {
            "Description": "System hardware detected an over voltage or under voltage condition.If multiple voltage exceptions occur consecutively the system may power down in failsafe mode.",
            "Message": "The memory module %1 %2 voltage is greater than the upper critical threshold.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "1) Review system logs for power supply exceptions.2) Reseat the memory module.3) If the problem persists, contact technical support. Refer to the product documentation to choose a convenient contact method.",
            "Severity": "Critical"
        },
        "VLT0210": {
            "Description": "System hardware detected an over voltage or under voltage condition.If multiple voltage exceptions occur consecutively the system may power down in failsafe mode.",
            "Message": "The memory module %1 %2 voltage is outside of range.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "1) Review system logs for power supply exceptions.2) Reseat the memory module.3) If the problem persists, contact technical support. Refer to the product documentation to choose a convenient contact method.",
            "Severity": "Critical"
        },
        "VLT0211": {
            "Description": "None.",
            "Message": "The memory module %1 %2 voltage is within range.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "VLT0212": {
            "Description": "System hardware detected an over voltage or under voltage condition.If multiple voltage exceptions occur consecutively the system may power down in failsafe mode.",
            "Message": "The disk drive bay %1 voltage is less than the lower warning threshold.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "1) Review system logs for power supply exceptions.2) Reseat hard disks in the bay. Reconnect all cables attached to the bay.3) If the problem persists, contact technical support. Refer to the product documentation to choose a convenient contact method.",
            "Severity": "Warning"
        },
        "VLT0213": {
            "Description": "System hardware detected an over voltage or under voltage condition.If multiple voltage exceptions occur consecutively the system may power down in failsafe mode.",
            "Message": "The disk drive bay %1 voltage is less than the lower critical threshold.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "1) Review system logs for power supply exceptions.2) Reseat hard disks in the bay. Reconnect all cables attached to the bay.3) If the problem persists, contact technical support. Refer to the product documentation to choose a convenient contact method.",
            "Severity": "Critical"
        },
        "VLT0214": {
            "Description": "System hardware detected an over voltage or under voltage condition.If multiple voltage exceptions occur consecutively the system may power down in failsafe mode.",
            "Message": "The disk drive bay %1 voltage is greater than the upper warning threshold.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "1) Review system logs for power supply exceptions.2) Reseat hard disks in the bay. Reconnect all cables attached to the bay.3) If the problem persists, contact technical support. Refer to the product documentation to choose a convenient contact method.",
            "Severity": "Warning"
        },
        "VLT0215": {
            "Description": "System hardware detected an over voltage or under voltage condition.If multiple voltage exceptions occur consecutively the system may power down in failsafe mode.",
            "Message": "The disk drive bay %1 voltage is greater than the upper critical threshold.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "1) Review system logs for power supply exceptions.2) Reseat hard disks in the bay. Reconnect all cables attached to the bay.3) If the problem persists, contact technical support. Refer to the product documentation to choose a convenient contact method.",
            "Severity": "Critical"
        },
        "VLT0216": {
            "Description": "System hardware detected an over voltage or under voltage condition.If multiple voltage exceptions occur consecutively the system may power down in failsafe mode.",
            "Message": "The disk drive bay %1 voltage is outside of range.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "1) Review system logs for power supply exceptions.2) Reseat hard disks in the bay. Reconnect all cables attached to the bay.3) If the problem persists, contact technical support. Refer to the product documentation to choose a convenient contact method.",
            "Severity": "Critical"
        },
        "VLT0217": {
            "Description": "None.",
            "Message": "The disk drive bay %1 voltage is within range.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "VLT0218": {
            "Description": "System hardware detected an over voltage or under voltage condition.If multiple voltage exceptions occur consecutively the system may power down in failsafe mode.",
            "Message": "The %1 voltage is less than the lower warning threshold.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "1) Review system logs for power supply exceptions2) Reduce system to minimum configuration, inspect and re-install system cables.3) If the problem persists, contact technical support. Refer to the product documentation to choose a convenient contact method.",
            "Severity": "Warning"
        },
        "VLT0219": {
            "Description": "System hardware detected an over voltage or under voltage condition.If multiple voltage exceptions occur consecutively the system may power down in failsafe mode.",
            "Message": "The %1 voltage is less than the lower critical threshold.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "1) Review system logs for power supply exceptions2) Reduce system to minimum configuration, inspect and re-install system cables.3) If the problem persists, contact technical support. Refer to the product documentation to choose a convenient contact method.",
            "Severity": "Critical"
        },
        "VLT0220": {
            "Description": "System hardware detected an over voltage or under voltage condition.If multiple voltage exceptions occur consecutively the system may power down in failsafe mode.",
            "Message": "The %1 voltage is greater than the upper warning threshold.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "1) Review system logs for power supply exceptions2) Reduce system to minimum configuration, inspect and re-install system cables. 3) If the problem persists, contact technical support. Refer to the product documentation to choose a convenient contact method.",
            "Severity": "Warning"
        },
        "VLT0221": {
            "Description": "System hardware detected an over voltage or under voltage condition.If multiple voltage exceptions occur consecutively the system may power down in failsafe mode.",
            "Message": "The %1 voltage is greater than the upper critical threshold.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "1) Review system logs for power supply exceptions2) Reduce system to minimum configuration, inspect and re-install system cables. 3) If the problem persists, contact technical support. Refer to the product documentation to choose a convenient contact method.",
            "Severity": "Critical"
        },
        "VLT0222": {
            "Description": "System hardware detected an over voltage or under voltage condition. If multiple voltage exceptions occur consecutively the system may power down in failsafe mode.",
            "Message": "The %1 voltage is outside of range.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "1) Review system logs for power supply exceptions 2) Reduce system to minimum configuration, inspect and re-install system cables. 3) If the problem persists, contact technical support. Refer to the product documentation to choose a convenient contact method.",
            "Severity": "Critical"
        },
        "VLT0223": {
            "Description": "None.",
            "Message": "The %1 voltage is within range.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "VLT0224": {
            "Description": "System hardware detected an over voltage or under voltage condition.If multiple voltage exceptions occur consecutively the system may power down in failsafe mode.",
            "Message": "The memory module %1 voltage is less than the lower warning threshold.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "1) Review system logs for power supply exceptions.2) Reseat the memory module.3) If the problem persists, contact technical support. Refer to the product documentation to choose a convenient contact method.",
            "Severity": "Warning"
        },
        "VLT0225": {
            "Description": "System hardware detected an over voltage or under voltage condition.If multiple voltage exceptions occur consecutively the system may power down in failsafe mode.",
            "Message": "The memory module %1 voltage is less than the lower critical threshold.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "1) Review system logs for power supply exceptions.2) Reseat the memory module.3) If the problem persists, contact technical support. Refer to the product documentation to choose a convenient contact method.",
            "Severity": "Critical"
        },
        "VLT0226": {
            "Description": "System hardware detected an over voltage or under voltage condition.If multiple voltage exceptions occur consecutively the system may power down in failsafe mode.",
            "Message": "The memory module %1 voltage is greater than the upper warning threshold.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "1) Review system logs for power supply exceptions.2) Reseat the memory module.3) If the problem persists, contact technical support. Refer to the product documentation to choose a convenient contact method.",
            "Severity": "Warning"
        },
        "VLT0227": {
            "Description": "System hardware detected an over voltage or under voltage condition.If multiple voltage exceptions occur consecutively the system may power down in failsafe mode.",
            "Message": "The memory module %1 voltage is greater than the upper critical threshold.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "1) Review system logs for power supply exceptions.2) Reseat the memory module.3) If the problem persists, contact technical support. Refer to the product documentation to choose a convenient contact method.",
            "Severity": "Critical"
        },
        "VLT0228": {
            "Description": "System hardware detected an over voltage or under voltage condition.If multiple voltage exceptions occur consecutively the system may power down in failsafe mode.",
            "Message": "The memory module %1 voltage is outside of range.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "1) Review system logs for power supply exceptions.2) Reseat the memory module.3) If the problem persists, contact technical support. Refer to the product documentation to choose a convenient contact method.",
            "Severity": "Critical"
        },
        "VLT0229": {
            "Description": "None.",
            "Message": "The memory module %1 voltage is within range.",
            "NumberOfArgs": 1,
            "ParamTypes": [
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "VLT0230": {
            "Description": "System hardware detected an over voltage or under voltage condition.If multiple voltage exceptions occur consecutively the system may power down in failsafe mode.",
            "Message": "The mezzanine card %1 %2 voltage is less than the lower warning threshold.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "1) Review system logs for power supply exceptions.2) Reseat the mezzanine card.3) If the problem persists, contact technical support. Refer to the product documentation to choose a convenient contact method.",
            "Severity": "Warning"
        },
        "VLT0231": {
            "Description": "System hardware detected an over voltage or under voltage condition.If multiple voltage exceptions occur consecutively the system may power down in failsafe mode.",
            "Message": "The mezzanine card %1 %2 voltage is less than the lower critical threshold.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "1) Review system logs for power supply exceptions.2) Reseat the mezzanine card.3) If the problem persists, contact technical support. Refer to the product documentation to choose a convenient contact method.",
            "Severity": "Critical"
        },
        "VLT0232": {
            "Description": "System hardware detected an over voltage or under voltage condition.If multiple voltage exceptions occur consecutively the system may power down in failsafe mode.",
            "Message": "The mezzanine card %1 %2 voltage is greater than the upper warning threshold.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "1) Review system logs for power supply exceptions.2) Reseat the mezzanine card.3) If the problem persists, contact technical support. Refer to the product documentation to choose a convenient contact method.",
            "Severity": "Warning"
        },
        "VLT0233": {
            "Description": "System hardware detected an over voltage or under voltage condition.If multiple voltage exceptions occur consecutively the system may power down in failsafe mode.",
            "Message": "The mezzanine card %1 %2 voltage is greater than the upper critical threshold.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "1) Review system logs for power supply exceptions.2) Reseat the mezzanine card.3) If the problem persists, contact technical support. Refer to the product documentation to choose a convenient contact method.",
            "Severity": "Critical"
        },
        "VLT0234": {
            "Description": "System hardware detected an over voltage or under voltage condition.If multiple voltage exceptions occur consecutively the system may power down in failsafe mode.",
            "Message": "The mezzanine card %1 %2 voltage is outside of range.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "1) Review system logs for power supply exceptions. 2) Reseat the mezzanine card. 3) If the problem persists, contact technical support. Refer to the product documentation to choose a convenient contact method.",
            "Severity": "Critical"
        },
        "VLT0235": {
            "Description": "None.",
            "Message": "The mezzanine card %1 %2 voltage is within range.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "VLT0300": {
            "Description": "Low voltages may be the result of a problem with the voltage regulator or a problem with the processor. The low voltage may cause the processor to fail to operate.",
            "Message": "CPU %1 %2 voltage is less than the lower warning threshold.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "1) Turn system off and remove input power for one minute. Re-apply input power and turn system on. 2) Make sure the processor is seated correctly. 3) If the issue still persists, contact technical support. Refer to the product documentation to choose a convenient contact method.",
            "Severity": "Warning"
        },
        "VLT0301": {
            "Description": "Low voltages may be the result of a problem with the voltage regulator or a problem with the processor. When the critical threshold is crossed, the processor will fail to operate. The system may power down.",
            "Message": "CPU %1 %2 voltage is less than the lower critical threshold.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "1) Turn system off and remove input power for one minute. Re-apply input power and turn system on. 2) Make sure the processor is seated correctly. 3) If the issue still persists, contact technical support. Refer to the product documentation to choose a convenient contact method.",
            "Severity": "Critical"
        },
        "VLT0302": {
            "Description": "High voltages may be the result of problem with the voltage regulator or a problem with the processor. Elevated voltages may result in damage to the processor or other electronic components inside the system.",
            "Message": "CPU %1 %2 voltage is greater than the upper warning threshold.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "1) Turn system off and remove input power for one minute. Re-apply input power and turn system on. 2) Make sure the processor is seated correctly. 3) If the issue still persists, contact technical support. Refer to the product documentation to choose a convenient contact method.",
            "Severity": "Warning"
        },
        "VLT0303": {
            "Description": "High voltages may be the result of problem with the voltage regulator or a problem with the processor. Elevated voltages may result in damage to the processor or other system electrical components. The system may power down.",
            "Message": "CPU %1 %2 voltage is greater than the upper critical threshold.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "1) Turn system off and remove input power for one minute. Re-apply input power and turn system on. 2) Make sure the processor is seated correctly. 3) If the issue still persists, contact technical support. Refer to the product documentation to choose a convenient contact method.",
            "Severity": "Critical"
        },
        "VLT0304": {
            "Description": "Voltages outside the allowable range may damage electrical components or may cause the system to shutdown.",
            "Message": "CPU %1 %2 voltage is outside of range.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "1) Turn system off and remove input power for one minute. Re-apply input power and turn system on. 2) Make sure the processor is seated correctly. 3) If the issue still persists, contact technical support. Refer to the product documentation to choose a convenient contact method.",
            "Severity": "Critical"
        },
        "VLT0305": {
            "Description": "None.",
            "Message": "CPU %1 %2 voltage is within range.",
            "NumberOfArgs": 2,
            "ParamTypes": [
                "String",
                "String"
            ],
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "VME0001": {
            "Description": "Virtual Console session started.",
            "Message": "Virtual Console session started.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "VME0002": {
            "Description": "Virtual Media session started.",
            "Message": "Virtual Media session started.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "VME0003": {
            "Description": "Virtual Console session fails to start.",
            "Message": "Virtual Console session fails to start.",
            "NumberOfArgs": 0,
            "Resolution": "Retry the Virtual Console session initiation.",
            "Severity": "Informational"
        },
        "VME0004": {
            "Description": "Virtual Media session fails to start.",
            "Message": "Virtual Media session fails to start.",
            "NumberOfArgs": 0,
            "Resolution": "Retry the Virtual Media session initiation.",
            "Severity": "Informational"
        },
        "VME0005": {
            "Description": "Virtual Console session exited.",
            "Message": "Virtual Console session exited.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "VME0006": {
            "Description": "Virtual Media session exited.",
            "Message": "Virtual Media session exited.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "VME0007": {
            "Description": "Virtual Console session created.",
            "Message": "Virtual Console session created.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "VME0008": {
            "Description": "Virtual Media session created.",
            "Message": "Virtual Media session created.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "VRM0009": {
            "Description": "No virtual media was found to disconnect.",
            "Message": "No Virtual Media devices are currently connected.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Critical"
        },
        "VRM0010": {
            "Description": "The virtual media could not be disconnected. Possible reason is that it might be in use.",
            "Message": "Unable to disconnect Virtual Media devices.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Critical"
        },
        "VRM0011": {
            "Description": "The Virtual Media server is already disconnected.",
            "Message": "The Virtual Media image server is not currently connected.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "VRM0012": {
            "Description": "The Virtual Media server is already connected.",
            "Message": "The Virtual Media image server is already connected.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "VRM0013": {
            "Description": "Simultaneously connecting Virtual Media and USB interface is not possible.",
            "Message": "Virtual Media services is currently attached to the USB interface. It must be detached before the image server can be connected.",
            "NumberOfArgs": 0,
            "Resolution": "Detach the USB interface and re-try.",
            "Severity": "Warning"
        },
        "VRM0014": {
            "Description": "Racadm tool was unable to get the status of the USB interface.",
            "Message": "Unable to determine current state of Virtual Media USB interface.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Critical"
        },
        "VRM0015": {
            "Description": "Success message.",
            "Message": "Virtual Console is ENABLED",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "VRM0016": {
            "Description": "Success message.",
            "Message": "Virtual Console is DISABLED",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "VRM0017": {
            "Description": "Success message.",
            "Message": "Virtual Media disconnect operation successful",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "VRM0018": {
            "Description": "Success message.",
            "Message": "Virtual Media image server operation successful",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "VRM0019": {
            "Description": "The Remote Image is now configured and ready to use.",
            "Message": "Remote Image is now Configured",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Informational"
        },
        "VRM0020": {
            "Description": "Racadm tool failed to obtain the data.",
            "Message": "Unable to determine current Remote Image state.",
            "NumberOfArgs": 0,
            "Resolution": "No response action is required.",
            "Severity": "Critical"
        }
    }